(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    460531,       8837]*)
(*NotebookOutlinePosition[    461185,       8860]*)
(*  CellTagsIndexPosition[    461141,       8856]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Einstellungen", "Section"],

Cell[BoxData[
    \(\(<< Graphics`;\)\)], "Input"],

Cell["Hier wird die Testausgabe geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(test\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]], "Input"],

Cell["Hier wird Laden / Speichern geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(saveOrLoad\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["Hier wird die Statusanzeige geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(status = True;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Hinweisen formatiert.", "Text"],

Cell[BoxData[
    StyleBox[\(NoPr[text_]\  := \ If[status, Print[text]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Fehlern formatiert.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox[\(ErPr[text_]\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[":=",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[\(If[status, StylePrint[text, FontColor \[Rule] Red], 
            FontWeight -> "\<Bold\>"]\),
          FontFamily->"Courier New",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[";",
        FontFamily->"Courier New",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 1, 0]]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Diplomarbeit \"Dynamik klassischer Spinsysteme\"", "Title"],

Cell[CellGroupData[{

Cell["Definitionen", "Section"],

Cell[CellGroupData[{

Cell["Spin-Variablen", "Subsection"],

Cell["An dieser Stelle werden die Spin-Variablen definiert.", "Text"],

Cell[BoxData[{
    RowBox[{\(s[\[Mu]_] = Table[\(s[\[Mu], i]\)[t], {i, 1, 3}];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, MatrixForm[s[1]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hilfsmethoden", "Section"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordnete) Knotenmenge \"vertices\" \
des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getVertices[tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({temp, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(vertices\  = \ {}\), ";", "\[IndentingNewLine]", 
                RowBox[{
                  StyleBox["(*",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  RowBox[{
                    
                    StyleBox[\(Flatten\  \[Rule] \ 
                        Mengenklammern\ werden\ gestrichen\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Sort\  \[Rule] \ 
                        Knoten\ werden\ aufsteigend\ sortiert\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Split\  \[Rule] \ 
                        Doppelte\ Knoten\ werden\ in\ Mengen\ zusammengefasst\
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    "  ", 
                    
                    StyleBox[\(Union\  -> \ 
                        Mengen\ werden\ \(\(vereinigt\)\(.\)\)\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox["*)",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]]}], 
                "\[IndentingNewLine]", \(temp\  = \ 
                  Split[\ Sort[\ Flatten[tree]]\ ]\), ";", 
                "\[IndentingNewLine]", \(For[i = \ 1, \ 
                  i\  \[LessEqual] \ 
                    Length[temp], \ \(i++\), \[IndentingNewLine]\(vertices\  \
= \ Union[\ vertices, \ temp[\([i]\)]\ ];\)\[IndentingNewLine]]\), ";", 
                "\[IndentingNewLine]", "vertices"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getVertices[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexmengen.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexSets[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  RowBox[{\(Depth[M]\  \[NotEqual] \ 3\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: Not a set of sets.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[M]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[vertices]\  && \ 
                      result\), ",", " ", \(i++\), ",", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(! IntegerQ[vertices[\([i]\)]]\), ",", " ", 
                          RowBox[{\(result\  = False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";", "\[IndentingNewLine]", 
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(vertices[\([i]\)]\  < \ 1\), ",", " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of positive \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexSets[{{1, 2, 3}, {4, 5}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexpaaren.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexPairs[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{
                RowBox[{"result", " ", "=", " ", 
                  StyleBox[\(verifyIndexSets[M]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M]\), ",", \(i++\), ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", 
                        
                        RowBox[{\(Length[M[\([i]\)]]\  \[NotEqual] \ 2\), ",",
                           " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of pairs.\>"]\
\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexPairs[{{1, 2}, {3, 4}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Graphen-Kopplungsmatrix \"J\":
\[CapitalUDoubleDot]bergeben wird die Zeilen- / Spaltenzahl \"n\" von \
\"J\",die Menge \"H\" der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \
\"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getJ[n_, H_, strength_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({vertices, \[Mu], \[Nu], i}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{
                StyleBox[\(verifyIndexPairs[H]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[H]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[vertices]\  > \ n\), ",", 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, n}]\  \[NotEqual] \ vertices\), 
                    ",", " ", 
                    RowBox[{
                      
                      StyleBox[\(NoPr["\<Notice: System is not connected.\>"]\
\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], ";"}]}], " ", "]"}], 
                ";", "\[IndentingNewLine]", \(J\  = \ 
                  Table[If[
                      MemberQ[H, {\[Mu], \[Nu]}] || 
                        MemberQ[H, {\[Nu], \[Mu]}], strength, 0], {\[Mu], 1, 
                      n}, {\[Nu], 1, n}]\), ";", " ", "\[IndentingNewLine]", 
                "J"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, getJ[2, {{1, 2}}, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode zeigt den Staus der Rechnung an.", "Text"],

Cell[BoxData[{
    RowBox[{\(showProgress[i_, imax_, t0_]\  := \ 
          Module[{percentage, t, h, m, 
              s}, \[IndentingNewLine]percentage\  = \ 
              i/imax\ *100; \[IndentingNewLine]t\  = \ \((AbsoluteTime[]\  - \
\ t0)\); \[IndentingNewLine]h\  = \ 
              IntegerPart[\ t/3600]; \[IndentingNewLine]m\  = 
              IntegerPart[\((t\  - \ 3600\ \ h)\)/
                  60]; \[IndentingNewLine]s\  = \ 
              IntegerPart[t\  - \ 3600\ h\  - \ 60\ m]; \[IndentingNewLine]If[
              Mod[percentage, 10]\  \[Equal] \ 0, 
              Print[ToString[percentage]\  <> \ "\<% , \>"\  <> 
                  ToString[h]\  <> \ "\<:\>"\  <> \ 
                  ToString[m]\  <> \ "\<:\>"\  <> \ 
                  ToString[s]]];\[IndentingNewLine]];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, showProgress[10, 100, AbsoluteTime[] - 5430]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Phasenraum-Funktionen", "Section"],

Cell["\<\
Diese Methode liefert die Gesamtenergie \"energy\":
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und eine \
Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalEnergy[J_, M_]\  := \ 
          Module[{energy, i, 
              j, \[Mu], \[Nu]}, \[IndentingNewLine]energy\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\[Mu]\  = \ 
                M[\([i]\)]; \[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  Length[M], \ \(j++\), \[IndentingNewLine]\[Nu]\  = \ 
                  M[\([j]\)]; \[IndentingNewLine]energy\ \  = \ 
                  energy\  + \ 
                    J[\([\[Mu], \[Nu]]\)]\ *\ \((s[\[Mu]]\  . \ 
                          s[\[Nu]])\);\[IndentingNewLine]];\[IndentingNewLine]\
]; \[IndentingNewLine]1/2\ *\ energy];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, \ 
        getTotalEnergy[{{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert den Gesamtspin \"spin\":
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpin[M_]\  := \ 
          Module[{spin, i}, \[IndentingNewLine]spin\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\(spin\  = \ 
                  spin\  + \ 
                    s[\ M[\([i]\)]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]spin];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpin[{1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die \"i\"-te Komponente des Gesamtspins:
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge und die Komponente \
\"i\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpinComponent[M_, 
            i_]\  := \ \(getTotalSpin[M]\)[\([i]\)];\), "\[IndentingNewLine]",
       
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpinComponent[{1, 2, 3}, 3]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerische \"Standard\"-Integration", "Section"],

Cell["\<\
Diese Methode liefert die Hamiltonschen Bewegungsgleichungen\"equations\".\
\>", "Text"],

Cell[BoxData[
    \(H\  = \ \(\[Sum]\+\(\[Mu]\  < \ \[Nu]\)J\_\[Mu]\[Nu]\ s\_\[Mu]*
            s\_\[Nu]\ und\ \(s\& . \)\_\[Mu]\  = \ \(\[PartialD]\ H\/\
\[PartialD]\ s\_\(\_\[Mu]\)\ x\ s\_\[Mu]\ \  \[Rule] \ \(s\& . \)\_\[Mu]\  = \
\ \[Sum]\+\(\[Mu]\  < \ \[Nu]\)\(\(J\_\[Mu]\[Nu]\)\(\ \)\(s\_\[Nu]\)\(\ \)\(x\
\)\(\ \)\(s\_\[Mu]\)\(\ \)\)\)\)\)], "Text"],

Cell["\<\
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getEquations[n_, H_, strength_]\  := \ 
          Module[{J, \[Mu], \[Nu], i}, \[IndentingNewLine]J\  = \ 
              getJ[n, H, strength]; \[IndentingNewLine]equations\  = \ 
              Table[\(s[\[Mu], i]'\)[t] == \ 
                  Sum[J[\([\[Mu], \[Nu]]\)]\ *\ \(Cross[s[\[Nu]], 
                          s[\[Mu]]]\)[\([i]\)], {\[Nu], 1, n}], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]equations];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getEquations[2, {{1, 2}}, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Anfangsbedingungen \"init\":
\[CapitalUDoubleDot]bergeben wird die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInit[v_]\  := \ 
          Module[{n, init, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]init = 
              Table[\(s[\[Mu], i]\)[0] \[Equal] v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]init];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getInit[{{0, 0, 1}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert das DGl-System:
\[CapitalUDoubleDot]bergeben werden die Hamiltonschen Bewegungsgleichungen \
\"equations\" und die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSystem[equations_, v_]\  := \ 
          Module[{init, system}, \[IndentingNewLine]init\  = 
              getInit[v]; \[IndentingNewLine]system\  = 
              Join[init, equations]; \[IndentingNewLine]system];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, 
        getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Variablen \"var\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getVar[n_]\  := \ 
          Module[{var, \[Mu]}, \[IndentingNewLine]var\  = \ 
              Table[s[\[Mu]], {\[Mu], 1, n}]; \[IndentingNewLine]var];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getVar[2]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die L\[ODoubleDot]sung \"solution\"des DGl-Systems:
\[CapitalUDoubleDot]bergeben wird das DGl-System \"system\", die Variablen \
\"var\" und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSolution[system_, var_, T_, stepSize_]\  := \ 
          Module[{solution}, \[IndentingNewLine]solution\  = 
              NDSolve[Flatten[system], 
                Flatten[var], {t, 0, T}, \[IndentingNewLine]Method \[Rule] 
                  RungeKutta, \[IndentingNewLine]MaxStepSize \[Rule] 
                  stepSize, \[IndentingNewLine]StartingStepSize \[Rule] \ 
                  stepSize, \[IndentingNewLine]MaxSteps \[Rule] 
                  Infinity\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              solution]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getSolution[
          getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}], 
          getVar[2], 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die numerische \"Standard\"-Integration \
durch:
\[CapitalUDoubleDot]bergeben werden die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare, die Kopplungsst\[ADoubleDot]rke \"strength\", die Menge \
\"v\" von Vektoren und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(integrateStandard[n_, H_, strength_, v_, T_, stepSize_]\  := \ 
          Module[{equations, system, var, 
              solution}, \[IndentingNewLine]equations\  = \ 
              getEquations[n, H, strength]; \[IndentingNewLine]system\  = \ 
              getSystem[equations, v]; \[IndentingNewLine]var\  = \ 
              getVar[n]; \[IndentingNewLine]solution = \ 
              getSolution[system, var, T, 
                stepSize]; \[IndentingNewLine]solution];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        integrateStandard[2, {{1, 2}}, 1, {{1, 0, 0}, {0, 1, 0}}, 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Konstruktionsbaum und -pfad", "Section"],

Cell[TextData[{
  "Diese Methoden vergleicht zwei Mengen nach der L\[ADoubleDot]nge ",
  StyleBox["und",
    FontWeight->"Bold"],
  " der Reihenfolge der Elemente:\n\[CapitalUDoubleDot]bergeben werden zwei \
Mengen \"M1\" und \"M2\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(lengthSort[M1_, M2_]\  := \ 
          Module[{result}, \[IndentingNewLine]If[
              Length[M1]\  < \ Length[M2], \ 
              result\  = \ True]; \[IndentingNewLine]If[
              Length[M1]\  > \ Length[M2], \ 
              result\  = \ False]; \[IndentingNewLine]If[
              Length[M1]\  \[Equal] \ 
                Length[M2], \[IndentingNewLine]result\  = \ 
                False; \[IndentingNewLine]For[i\  = \ 1, 
                i\  \[LessEqual] \ 
                    Length[M1]\  && \ \(! result\), \(i++\), \
\[IndentingNewLine]\(If[M1[\([i]\)]\  < \ M2[\([i]\)], \ 
                    result\  = \ 
                      True];\)\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]result];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, lengthSort[{1, 2}, {3, 4, 5}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode sortiert die Knotenmengen des Baumes \"tree\". Dies ist ",
  StyleBox["nur",
    FontWeight->"Bold"],
  " f\[UDoubleDot]r die Testmethoden notwendig.\n\[CapitalUDoubleDot]bergeben \
wird der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedTree[tree_]\  := \ 
          Module[{sortedTree, i}, \[IndentingNewLine]sortedTree\  = \ 
              Table[Sort[tree[\([i]\)]], {i, 1, 
                  Length[tree]}]; \[IndentingNewLine]sortedTree\  = \ 
              Sort[sortedTree, 
                lengthSort[#1, #2] &]; \[IndentingNewLine]sortedTree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, getSortedTree[{{2, 1}, {3, 2, 1}, {1}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die gleichf\[ODoubleDot]rmige \
Kopplung von zwei Teilmengen:
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und die \
Index-Teilmengen \"M1\" und \"M2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyUniformCoupling[J_, M1_, M2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, c, i, j, \[Mu], \[Nu]}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Intersection[M1, M2]\  \[NotEqual] \ {}\), ",", 
                    " ", "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: Not disjoint: \>"\  <> \ 
                            ToString[M1]\  <> \ "\< and \>"\  <> \ 
                            ToString[M2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[M1, M2]\  > \ Length[J]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      
                      StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(\[Mu]\  = \ M1[\([1]\)]\), ";", 
                "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([1]\)]\), " ", ";", 
                "\[IndentingNewLine]", \(c\  = \ J[\([\[Mu], \[Nu]]\)]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M1]\  && \ result\), ",",
                     " ", \(i++\), ",", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(j\  = \ 1\), 
                        ",", \(j\  \[LessEqual] \ Length[M2]\  && \ result\), 
                        ",", " ", \(j++\), ",", "\[IndentingNewLine]", 
                        
                        RowBox[{\(\[Mu]\  = \ M1[\([i]\)]\), ";", 
                          "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([j]\)]\), 
                          ";", "\[IndentingNewLine]", 
                          RowBox[{"If", "[", " ", 
                            
                            RowBox[{\(J[\([\[Mu], \[Nu]]\)]\  \[NotEqual] \ 
                                c\), ",", 
                              RowBox[{\(result\  = \ False\), ";", " ", 
                                
                                StyleBox[\(ErPr["\<Error: No uniform \
coupling: \>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]], 
                                StyleBox[";",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "]"}], ";", "\[IndentingNewLine]", "result"}]}], "]"}]}], 
        ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyUniformCoupling[{{0, 1, 0}, {1, 0, 1}, {0, 1, 0}}, {1, 
            3}, {2}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die Eigenschaften des \
(Teil)baumes \"tree\":
\[CapitalUDoubleDot]bergeben werden die Kopplungsmatrix \"J\" und der \
(Teil)baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyTree[tree_, J_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({sortedTree, result, vertices, decomposition, M1, M2, 
                M3, i, j, k}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Index - \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ verifyIndexSets[tree]\), ";", 
                "\[IndentingNewLine]", \(sortedTree\  = \ 
                  getSortedTree[tree]\), ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Leere\ \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(MemberQ[sortedTree, {}]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", " ", 
                      StyleBox[\(ErPr["\<Error: Empty set found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ \(Wurzel\)\(\ \)\(?\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ 
                  getVertices[sortedTree]\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(! MemberQ[sortedTree, vertices]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: No radix found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, Length[J]}]\  \[NotEqual] \ 
                      vertices\), ",", " ", 
                    StyleBox[\(ErPr["\<Notice: Subtree.\>"\ ];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", 
                    " ", \(i \[LessEqual] \ Length[sortedTree]\  && \ 
                      result\), ",", " ", \(i++\), ",", "\[IndentingNewLine]",
                     
                    
                    RowBox[{\(M1\  = \ sortedTree[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(decomposition\  = \ False\), 
                      ";", "\[IndentingNewLine]", \(If[\ 
                        Length[M1]\  \[Equal] \ 1, \ 
                        decomposition\  = \ True]\), ";", 
                      "\[IndentingNewLine]", 
                      RowBox[{"For", "[", 
                        
                        RowBox[{\(j\  = \ 1\), ",", 
                          " ", \(j\  \[LessEqual] \ Length[sortedTree]\  && \ 
                            result\), ",", " ", \(j++\), ",", 
                          StyleBox["\[IndentingNewLine]",
                            FontColor->GrayLevel[0]], 
                          RowBox[{"If", "[", " ", 
                            RowBox[{\(i\  \[NotEqual] \ j\), ",", 
                              StyleBox["\[IndentingNewLine]",
                                FontColor->GrayLevel[0]], 
                              
                              RowBox[{\(M2\  = \ sortedTree[\([j]\)]\), ";", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Disjunkte\ Mengen\ oder\ \(\(Teilmengen\)\
\(\ \)\(?\)\)\ *) \),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", 
                                  
                                  RowBox[{\(! \((Intersection[M1, 
                                        M2]\  == \ {} || \ 
                                        Union[M1, M2]\  \[Equal] \ M1\  || \ 
                                        Union[M1, M2]\  \[Equal] \ M2)\)\), 
                                    ",", "\[IndentingNewLine]", 
                                    
                                    RowBox[{\(result\  = \ True\), ";", 
                                      "\[IndentingNewLine]", 
                                      
                                      StyleBox[\(ErPr["\<Error: No subsets: \
\>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  "\[IndentingNewLine]", "]"}], ";", " ", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Doppelte\ \(\(Mengen\)\(\ \)\(?\)\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008],
                                  FontVariations->{"CompatibilityType"->0}], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  RowBox[{\(M1\  \[Equal] \ M2\), ",", " ", 
                                    RowBox[{\(result = \ False\), ";", " ", 
                                      
                                      StyleBox[\(ErPr["\<Error: Vertex found \
twice: \>"\  <> \ ToString[M1]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  " ", "]"}], ";", "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  
                                  RowBox[{\(Union[M1, M2]\  \[Equal] \ 
                                        M1\  && \ \(! decomposition\)\), ",", 
                                    "\[IndentingNewLine]", 
                                    RowBox[{
                                      RowBox[{"For", "[", 
                                        
                                        RowBox[{\(k\  = \ 1\), ",", 
                                        " ", \(k\  \[LessEqual] \ 
                                        Length[
                                        sortedTree]\  && \ \(! \
decomposition\)\), ",", " ", \(k++\), ",", 
                                        StyleBox["\[IndentingNewLine]",
                                        FontColor->GrayLevel[
                                        0]], \(If[\ 
                                        i\  \[NotEqual] \ k\  && \ 
                                        j\  \[NotEqual] \ 
                                        k, \[IndentingNewLine]M3\  = \ 
                                        sortedTree[\([k]\)]; \
\[IndentingNewLine]If[M1\  == \ Union[M2, M3]\  && \ 
                                        verifyUniformCoupling[J, M2, M3], \ 
                                        decomposition\  = \ 
                                        True];\[IndentingNewLine]\ \ ];\)}], 
                                        "\[IndentingNewLine]", "  ", "]"}], 
                                      ";"}]}], "\[IndentingNewLine]", " ", 
                                  "]"}]}]}], "]"}]}], "]"}], ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", 
                      RowBox[{"If", "[", 
                        RowBox[{\(! decomposition\), ",", 
                          RowBox[{\(result\  = \ False\), ";", 
                            StyleBox[" ",
                              FontColor->RGBColor[0, 1, 0]], 
                            
                            StyleBox[\(ErPr["\<Error: No uniform composition \
found for \>" <> \ ToString[M1]]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyTree[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}, {{0, 1, 1}, {1, 0, 
              1}, {1, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[StyleBox["Diese Methode liefert den  (ungeordneten) Pfad  \
\"treePath\" von einem Knoten \"\[Mu]\"  bis zu der Wurzel des Baumes \
\"tree\":\n\[CapitalUDoubleDot]bergeben weden der Knoten \"\[Mu]\" und der \
Baum \"tree\".",
  FontVariations->{"CompatibilityType"->0}]], "Text"],

Cell[BoxData[{
    RowBox[{\(getPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath, 
              i}, \[IndentingNewLine]treePath\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[tree], \ \(i++\), \[IndentingNewLine]\(If[\ 
                  MemberQ[\ tree[\([i]\)], \[Mu]\ ], \ \ treePath\  = \ 
                    Append[\ treePath, 
                      tree[\([i]\)]\ ]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]treePath];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPath[1, {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode liefert den (aufsteigend geordneten) Pfad \"treePath\" von \
einem Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " bis zu der Wurzel des Baumes \"tree\":\n\[CapitalUDoubleDot]bergeben \
werden der Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " und der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath}, \[IndentingNewLine]treePath\  = \ 
              getPath[\[Mu], tree]; \[IndentingNewLine]treePath\  = \ 
              Sort[\ treePath, \ \((Length[#1]\  < \ 
                      Length[#2])\)\  &\ ]; \[IndentingNewLine]treePath];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getSortedPath[1, \ {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordneten) Pfade \"treePathes\" von \
allen Knoten \"vertices\" bis zur Wurzel des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getAllPathes[tree_]\  := \ 
          Module[{treePathes, \ treePath, \ vertices, 
              i}, \[IndentingNewLine]treePathes\  = \ {}; \
\[IndentingNewLine]vertices\  = \ getVertices[tree]; \[IndentingNewLine]For[
              i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[vertices], \ \(i++\), \[IndentingNewLine]treePath\  = \
\ getSortedPath[\ vertices[\([i]\)], 
                  tree\ ]; \[IndentingNewLine]treePathes\  = \ 
                Append[treePathes, 
                  treePath];\[IndentingNewLine]]; \
\[IndentingNewLine]treePathes];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getAllPathes[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Kopplungskonstanten \"allCouplings\" des \
(aufsteigend geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben werden der Pfad \"treePath\" und die \
Kopplungsmatrix \"J\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathCouplings[treePath_, J_]\  := \ 
          Module[{allCouplings, coupling, M1, M2, \[Mu], \[Nu], 
              i}, \[IndentingNewLine]allCouplings\  = \ {"\<undefined\>"}; \
\[IndentingNewLine]For[i\  = \ 2, \ 
              i \[LessEqual] \ 
                Length[treePath], \ \(i++\), \[IndentingNewLine]M1 = \ 
                treePath[\([i - 1]\)]; \[IndentingNewLine]M2 = \ 
                Complement[\ treePath[\([i]\)], \ 
                  M1\ ]; \[IndentingNewLine]\[Mu]\  = \ 
                M1[\([1]\)]; \[IndentingNewLine]\[Nu]\  = \ 
                M2[\([1]\)]; \[IndentingNewLine]coupling\  = \ 
                J[\([\[Mu], \[Nu]]\)]; \[IndentingNewLine]allCouplings = \ 
                Append[allCouplings, 
                  coupling];\[IndentingNewLine]]; \
\[IndentingNewLine]allCouplings];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPathCouplings[{{1}, {1, 2}, {1, 2, 3}}, {{0, 1, 1}, {1, 0, 1}, {1, 
              1, 0}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Die Methode liefert die Gesamtspins \"allsSpins\" des (aufsteigend \
geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben wird der Pfad \"treePath\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathSpins[treePath_]\  := \ 
          Module[{allSpins, spin, M, 
              i}, \[IndentingNewLine]allSpins\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i \[LessEqual] \ 
                Length[treePath], \(i++\), \[IndentingNewLine]M\  = \ 
                treePath[\([i]\)]; \[IndentingNewLine]spin\  = \ 
                getTotalSpin[M]; \[IndentingNewLine]allSpins\  = \ 
                Append\ [allSpins, 
                  spin];\[IndentingNewLine]]; \[IndentingNewLine]allSpins\  \
//. \ t \[Rule] \ 0];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getPathSpins[{{1}, {1, 2}, {1, 2, 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Drehmatrizen", "Section"],

Cell["Diese Methode berechnet den Betrag des Vektors \"v\".", "Text"],

Cell[BoxData[{
    RowBox[{\(norm[v_] := Sqrt[v . v];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, norm[{1, 0, 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode wandelt den Vektor \"\[Omega]\" in eine antysymmetrische \
Matrix \"\[CapitalOmega]\" um.\nDie Signatur nimmt die Werte ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(-1\))\)\^n\ an . \ 
          Dabei\ ist\ n\ die\ Zahl\ der\ ben\[ODoubleDot]tigten\ \
Transpositionen\ f\[UDoubleDot]r\ das\ Erreichen\ einer\ kanonische\ \
\(\(Reihenfolge\)\(.\)\)\)]]
}], "Text"],

Cell[BoxData[
    \(\[CapitalOmega]\_ij\  = \ \(-\(\[Sum]\+k 
            signatur \((i, j, k)\)*\ \[Omega]\_k\)\)\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getMatrix[\[Omega]_]\  := \ 
          Module[{i, j, k}, \[IndentingNewLine]\ \[CapitalOmega]\  = 
              Table[\(-Sum[
                    Signature[{i, j, k}] \[Omega][\([k]\)], {k, 1, 3}]\), {i, 
                  1, 3}, {j, 1, 3}]; \[IndentingNewLine]\ \[CapitalOmega]];\),
       "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getMatrix[{0, 0, 1}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode erstellt die Drehmatrix \"R\" zu der Drehachse \"\[Omega]\" und \
dem Winkel \"\[CurlyPhi]\" = |w| t:\
\>", "Text"],

Cell[BoxData[
    \(R\_ij\  = \ \(\[Delta]\_ij\) 
          cos\[CurlyPhi]\  + \ \(e\_i\) \(e\_j\) \((1 - 
              cos\[CurlyPhi])\)\  + \ \(\[CapitalOmega]\_ij\) 
          sin\[CurlyPhi]\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getRotation[\[Omega]_, t_]\ \  := \ 
          Module[{e, \[CurlyPhi], \[CapitalOmega], i, j, 
              R}, \[IndentingNewLine]e = \ \[Omega]/
                norm[\[Omega]]; \[IndentingNewLine]\[CurlyPhi]\  = \ 
              norm[\[Omega]]\ *\ t; \[IndentingNewLine]\[CapitalOmega]\  = \ 
              getMatrix[e]; \[IndentingNewLine]R = 
              Table[If[i \[Equal] j, Cos[\[CurlyPhi]], 0] + 
                  e[\([i]\)] 
                    e[\([j]\)] \((1 - 
                        Cos[\[CurlyPhi]])\) + \[CapitalOmega][\([i, j]\)] 
                    Sin[\[CurlyPhi]], {i, 1, 3}, {j, 1, 
                  3}]; \[IndentingNewLine]R];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(\(If[test, getRotation[{0, 0, 1}, Pi/2]]\)\(\ \)\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Anfangsbedingungen", "Section"],

Cell["Diese Methoden liefern zuf\[ADoubleDot]llige Einheitsvektoren \"v\".", \
"Text"],

Cell[BoxData[{\(generate\  := \ 
        Module[{v}, \[IndentingNewLine]v\  = \ {2*Random[] - 1, 
              2*Random[] - 1, 2*Random[] - 1}; \[IndentingNewLine]v\  = \ 
            v\ /\ norm[v]; \[IndentingNewLine]v];\), "\[IndentingNewLine]", 
    RowBox[{\(generateSet[n_]\  := \ 
          Module[{v, i}, \[IndentingNewLine]v\  = \ 
              Table[generate, {i, 1, n}]; \[IndentingNewLine]v];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, generateSet[1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert zuf\[ADoubleDot]llige Anfangsbedingungen \
\"initialConditi\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInitRule[v_]\  := \ 
          Module[{n, initRule, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]initRule = 
              Table[\(s[\[Mu], i]\)[0] -> v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]Flatten[initRule]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getInitRule[{{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Explizite Zeitentwicklung", "Section"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung f\[UDoubleDot]r ein System in einem \
\[ADoubleDot]u\[SZ]eren (konstanten) Magnetfeld:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\", die Kopplungsmatrix \
\"J\", das Magnefeld \"B\" und das gyromagnetische Verh\[ADoubleDot]ltnis \"\
\[Gamma]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(getTimeEvolutionWithB[tree_, J_, B_, \[Gamma]_]\), " ", ":=", 
        " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allTimeEvolutions, timeEvolution, treePathes, treePath, 
              pathCouplings, pathSpins, vertices, i, j, k, \[Mu]}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(allTimeEvolutions\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(NoPr["\<Tree: \>"\  <> \ ToString[tree]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr["\<J: \>"\  <> \ ToString[J]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(NoPr["\<Tree verified: \>"\  <> \ 
                    ToString[verifyTree[tree, J]]\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[\( (*\ Baum\  \[Rule] \ Knotenm  enge\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Baum\  \[Rule] \ Pfade\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(treePathes = \ getAllPathes[tree]\), 
              ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), ",", 
                  " ", \(i\  \[LessEqual] \ Length[treePathes]\), ",", 
                  " ", \(i++\), ",", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Knotenmenge\  \[Rule] \ Knoten\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(\[Mu]\  = \ vertices[\([i]\)]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Pfade\  \[Rule] \ Pfad\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(treePath\  = \ 
                      treePathes[\([i]\)]\), ";", "\[IndentingNewLine]", " ", 
                    
                    
                    StyleBox[\(NoPr["\<Path \>"\  <> \ 
                          ToString[i]\  <> \ "\<, vertex \>"\  <> \ 
                          ToString[\[Mu]]\  <> \ "\<: \>" <> \ 
                          ToString[treePath]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Pfad\  \[Rule] \ 
                          Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(pathSpins\  = \ 
                      getPathSpins[treePath]\), ";", 
                    "\[IndentingNewLine]", \(pathCouplings\  = \ 
                      getPathCouplings[treePath, J]\), ";", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(NoPr["\<Couplings: \>"\  <> \ 
                          ToString[pathCouplings]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\  \
\[Rule] \ Zeitentwicklung\ ohne\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    StyleBox[\(timeEvolution\  = \ pathSpins[\([1]\)]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(For[j\  = \ 2, 
                        j < \ Length[
                            pathSpins], \(j++\), \
\[IndentingNewLine]\(timeEvolution\  = \ 
                            getRotation[
                                pathSpins[\([j]\)], \((pathCouplings[\([j]\)]\
\  - \ pathCouplings[\([j + 1]\)])\)\ *\ t]\  . \ 
                              timeEvolution;\)\[IndentingNewLine]]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(timeEvolution\  = \ 
                        getRotation[
                            pathSpins[\([Length[
                                  pathSpins]]\)], \((pathCouplings[\([Length[
                                      pathSpins]]\)])\)*\ t]\  . \ 
                          timeEvolution\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Zeitentwicklung\ ohne\ B\  \[Rule] \ 
                          Zeitentwicklung\ mit\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(timeEvolution\  = \ 
                      getRotation[B, \[Gamma]]\  . \ timeEvolution\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(k\  = 1\), ",", " ", \(k\  \[LessEqual] \ 3\),
                         ",", " ", \(k++\), ",", 
                        StyleBox["\[IndentingNewLine]",
                          FontColor->RGBColor[0, 0, 1],
                          Background->RGBColor[1, 0, 
                          1]], \(allTimeEvolutions\  = \ 
                            Append[
                              allTimeEvolutions, \(s[\[Mu]]\)[\([k]\)]\  -> 
                                timeEvolution[\([k]\)]];\)}], 
                      "\[IndentingNewLine]", "]"}], ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "allTimeEvolutions"}]}], "]"}]}], ";"}]], "Input"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\" und die Kopplungsmatrix \
\"J\".\
\>", "Text"],

Cell[BoxData[
    \(\(getTimeEvolution[tree_, J_]\  := \ 
        getTimeEvolutionWithB[tree, J, {1, 0, 0}, 0];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der Zeitentwicklung",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode testet die Zeitenwicklung f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Menge der Kopplungspaare \"H\" und der \
Baum \"tree\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testTimeEvolution[H_, tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, vertices, n, J, timeEvolution, S, S1, S2, S3, 
                energy, v, toPlot, toPlot1, toPlot2}\), ",", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*Zeitraum*) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspins\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, K, 0.1]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = \ 
                  Join[toPlot1, toPlot2]\), ";", 
                "\[IndentingNewLine]", \(Plot[\[IndentingNewLine]Evaluate[
                    toPlot], {t, 0, K}, \[IndentingNewLine]PlotStyle \[Rule] 
                    Join[Table[Hue[i/5], {i, 1, 5}], 
                      Table[{Dashing[{0.01}], Black}, {i, 1, 
                          5}]], \[IndentingNewLine]PlotLegend \[Rule] \
{"\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\
\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]]\), ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
          testTimeEvolution[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 5}, {4, 
                5}, {1, 2}, {3, 4}}, \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Symplektische Integration", "Section"],

Cell["\<\
Diese Methode pr\[UDoubleDot]ft die Zerlegung der Menge \"H\" von \
Kopplungspaaren:
\[CapitalUDoubleDot]bergeben wird die Menge \"H\" und die Teilmengen \"H1\", \
\"H2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyDecomposition[H_, H1_, H2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, sortedH, sortedH1, sortedH2}\), ",", 
              "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ True\), ";", 
                "\[IndentingNewLine]", \(sortedH\  = \ getSortedTree[H]\), 
                ";", "\[IndentingNewLine]", \(sortedH1\  = \ 
                  getSortedTree[H1]\), ";", 
                "\[IndentingNewLine]", \(sortedH2\  = \ getSortedTree[H2]\), 
                ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  
                  RowBox[{\(sortedH\  \[NotEqual] \ 
                        sortedTree[Union[H1, H2]] || \ 
                      Intersection[H1, H2]\  \[NotEqual] {}\), ",", 
                    "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: No valid decomposition of H: \
\>"\  <> \ ToString[H1]\  <> \ "\< and \>"\  <> \ ToString[H2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                "result"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyDecomposition[{{1, 2}, {2, 3}, {1, 3}}, {{1, 2}, {2, 3}}, {{1, 
              3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Ersetzungsregel \"s[t,i] \[Rule] s[\[Tau],i]\". \
Diese Ersetzungsregel wird in der symplektischen Integration verwendet.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getReplacementRule[M_, \[Tau]_]\  := \ 
          Module[{replacement, i, j}, \[IndentingNewLine]replacement\  = \ 
              Table[\ \(s[M[\([i]\)], j]\)[
                    t]\  \[Rule] \ \(s[M[\([i]\)], j]\)[\[Tau]], {i, 1, 
                  Length[M]}, {j, 1, 3}]; \[IndentingNewLine]Flatten[
              replacement]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getReplacementRule[{1, 2, 3}, \[Tau]]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration durch:
\[CapitalUDoubleDot]bergeben wird 
-die Menge \"H\" aller Kopplungspaare,
-die Teilmengen \"H1\" und \"H2\", 
-die B\[ADoubleDot]ume \"tree1\" und \"tree2\",
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(integrateSymplectic[H_, H1_, H2_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({result, time, vertices, vertices1, vertices2, J1, J2, 
              timeEvolution1, timeEvolution2, init, i, p, 
              q, \[Zeta], \[Lambda], \[Chi], \[CapitalTheta]}\), ",", 
            "\[IndentingNewLine]", 
            RowBox[{
              
              StyleBox[\(NoPr["\<Decomposition verified: \>"\  <> \ 
                    ToString[verifyDecomposition[H, H1, H2]]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\( (*\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ 
                getVertices[\ Union[tree1, tree2]\ ]\), ";", 
              "\[IndentingNewLine]", \(vertices1\  = \ getVertices[tree1]\), 
              ";", "\[IndentingNewLine]", \(vertices2\  = \ 
                getVertices[tree2]\), ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrizen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J1\  = \ 
                getJ[\ Max[vertices1], H1, 1]\), ";", 
              "\[IndentingNewLine]", \(J2\  = \ 
                getJ[\ Max[vertices2], H2, 1]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Zeitentwicklungen : \ s[\[Tau], i]\  -> \ f \((t)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ linke\ Seite\ ersetzen\ \(durch : \ \[Tau]\), \ 
                  rechte\ Seite\ ersetzen\ \(durch : \ t\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution1\  = \ 
                getTimeEvolution[tree1, J1]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", \(timeEvolution2\  = \ 
                getTimeEvolution[tree2, J2]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontTracking->"Plain",
                FontColor->GrayLevel[0.500008],
                FontVariations->{"Underline"->False,
                "Outline"->False,
                "Shadow"->False,
                "StrikeThrough"->False,
                "Masked"->False,
                "CompatibilityType"->0,
                "RotationAngle"->0}], 
              "\[IndentingNewLine]", \(init\  = \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", \(result\  = \ {init}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(time\  = \ AbsoluteTime[]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<firstOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...firstOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              1.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]\  + \ 
                                  O \((\[CapitalDelta]\^2)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                              Mod[i, plotStep] \[Equal] \ 0, 
                              result\  = \ 
                                Append[result, 
                                  init\  //. \ \[Tau]\  \[Rule] \ \((i\ \
\[CapitalDelta])\)]\ ];\)}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<secondOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...secondOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              2.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ B\ \[CapitalDelta]/2\ *\ 
                                    exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]/2\  + \ 
                                  O \((\[CapitalDelta]\^3)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t\  \[Rule] \ \[CapitalDelta]\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<fourthOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...fourthOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(p\  = 
                      N[1/\((4\  - \ 4^\((1/3)\))\)]\), ";", " ", 
                    "\[IndentingNewLine]", \(q\  = N[1 - 4*p]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          RowBox[{
                            StyleBox["(*",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              
                              StyleBox[\(4.  \(Ordnung : \ 
                                      exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ \(i = 
                                    1\)\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["..",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              RowBox[{
                                RowBox[{
                                  StyleBox["5",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], " ", 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[
                                    SubscriptBox[
                                      StyleBox["p",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->GrayLevel[0.500008]], "i"],
                                    
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["B",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["\[CapitalDelta]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]]}], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox["+",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[\(O \((\[CapitalDelta]\^5)\)\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]]}]}], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["*)",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              p\  = \ \(p\_1\  = \ \(p\_2\  = \ \(p\_4\  = \ 
                                      p\_5\)\)\), \ q\  = \ p\_3\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ q\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((q\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<ForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...ForestRuth\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[CapitalTheta]\  = \ 
                      N[1/\((2\  - \ 2^\((1/3)\))\)]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[CapitalTheta])\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2*\[CapitalTheta])\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<optimizedForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\(NoPr["\<Calculating...optimizedForestRuth\>"]\)\
,
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[Zeta]\  = \ 0.17208656\), ";", 
                    "\[IndentingNewLine]", \(\[Lambda]\  = \ \
\(-0.09156203\)\), ";", 
                    "\[IndentingNewLine]", \(\[Chi]\  = \ \(-0.16162176\)\), 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ optimierter\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1\  - \ 
                                      2 \((\[Chi] + \[Zeta])\))\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1\  - \ 
                                        2*\((\[Chi] + \[Zeta])\))\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              "result"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der symplektischen \
Integration",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten:
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToLists[F_, K_, \[CapitalDelta]_, 
            plotStep_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, {j\ *\ plotStep\ *\[CapitalDelta], 
                        F[\([i]\)]\  //. \ 
                          t \[Rule] \ \((j\ *\ 
                                plotStep\ *\[CapitalDelta])\)}];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToLists[{t, t\^2, t\^3}, 10, 1, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\

Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten. Dabei wird die diskrete Ersetzungsregel \"rule\" verwendet.
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToListsWithdiscreteRule[F_, 
            K_, \[CapitalDelta]_, plotStep_, rule_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({j*plotStep*\[CapitalDelta], 
                            F[\([i]\)]}\  //. 
                          t \[Rule] \ \((j*plotStep*\[CapitalDelta])\)\)\  //. 
                        rule[\([j + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToListsWithdiscreteRule[{t, t\^2, t\^3}, 3, 1, 
          1, {{t -> 0}, {t -> 1}, {t -> 2}, {t -> 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode testet die symplektische Integration f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Mengen der Kopplungspaare \"H\",\"H1\",\
\"H2\" und die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testSymplecticIntegration[H_, H1_, H2_, tree_, tree1_, 
            tree2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, \[CapitalDelta], vertices, n, J, timeEvolution, S, 
                S1, S2, S3, energy, v, toPlot, toPlot1, toPlot2, i, j, 
                plotStep, temp, allTemp}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Anzahl\ und\ Gr\[ODoubleDot]\[SZ]e\ der\ Zeitschritte\ *) \
\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = \ 10\^3\), 
                ";", \(\[CapitalDelta]\  = \ 10\^\(-4\)\), 
                ";", \(plotStep\  = \ 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot1\  = \ 
                  convertFunctionsToLists[toPlot1, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Standard - Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, 
                    K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  convertFunctionsToLists[toPlot2, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                    K, \ \[CapitalDelta], \ v, "\<firstOrder\>", plotStep]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot3\  = \ 
                  convertFunctionsToListsWithdiscreteRule[toPlot, 
                    K\ , \[CapitalDelta]\ , \ plotStep, timeEvolution]\), ";",
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = 
                  Join[toPlot1, toPlot2, toPlot3]\), ";", 
                "\[IndentingNewLine]", \(MultipleListPlot[
                    toPlot, \[IndentingNewLine]PlotJoined \[Rule] 
                      True, \[IndentingNewLine]SymbolShape \[Rule] 
                      None, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 5}], 
                        Table[{Dashing[{0.02}], GrayLevel[i/10]}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \
\*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\
\)}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
          testSymplecticIntegration[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 
                5}, {4, 5}, {1, 2}, {3, 
                4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
                1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
                4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
                2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
                5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
                5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]\ ]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichern und Laden", "Section"],

Cell["\<\
Diese Methode wandelt eine diskrete Ersetzungsregel \"rule\" in eine Menge \
\"points\" von Punkten um:
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertDiscreteRuleToPoints[n_, K_, \[CapitalDelta]_, 
            plotStep_, rule_]\  := \ 
          Module[{points, var, temp, i, 
              j}, \[IndentingNewLine]points\  = \ {{{"\<n\>", n}, {"\<K\>", 
                    K}, {"\<Delta\>", N[\[CapitalDelta]]}, {"\<plotStep\>", 
                    plotStep}}}; \[IndentingNewLine]var\  = \ 
              Flatten[getVar[n]]; \[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({i\ *\ plotStep, var[\([j]\)]}\  //. 
                          t \[Rule] \ \((i*plotStep*\ \[CapitalDelta])\)\)\  //. 
                        rule[\([i + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(points\  = \ 
                  Append[points, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              points, 1]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertDiscreteRuleToPoints[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine Menge \"points\" von Punkten in eine diskrete \
Ersetzungsregel \"rule\" um.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertPointsToDiscreteRule[points_]\  := \ 
          Module[{n, K, \[CapitalDelta], plotStep, var, rule, i, 
              j}, \[IndentingNewLine]n\  = \ 
              points[\([1, 2]\)]; \[IndentingNewLine]K\  = \ 
              points[\([2, 2]\)]; \[IndentingNewLine]\[CapitalDelta]\  = \ 
              points[\([3, 2]\)]; \[IndentingNewLine]plotStep\  = \ 
              points[\([4, 
                  2]\)]; \[IndentingNewLine]rule\  = \ {}; \
\[IndentingNewLine]var\  = \ Flatten[getVar[n]]; \[IndentingNewLine]For[
              i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, \ 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, 
                      var[\([j]\)]\  \[Rule] \ 
                          points[\([j\  + 4\  + i\ *\ 3\ n, 2]\)]\  //. \ 
                        t \[Rule] \ \((i*
                              plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(rule\  = \ 
                  Append[rule, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]{n, 
              K, \[CapitalDelta], plotStep, rule}];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertPointsToDiscreteRule[\[IndentingNewLine]{{"\<n\>", 
              1}, {"\<K\>", 1}, {"\<Delta\>", 1}, {"\<plotStep\>", 1}, {0, 
              1}, {0, 2}, {0, 3}, {1, 4}, {1, 5}, {1, 
              6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode schreibt eine diskrete Ersetzungsregel \"rule\" in eine Datei \
\"filename\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(saveDiscreteRuleToFile[n_, K_, \[CapitalDelta]_, plotStep_, 
            rule_, filename_]\  := \ 
          Module[{points}, \[IndentingNewLine]points\  = \ 
              convertDiscreteRuleToPoints[n, K, \[CapitalDelta], plotStep, 
                rule]; \[IndentingNewLine]Export[filename\  <> \ "\<.dat\>", 
              points];\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        saveDiscreteRuleToFile[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 
                6}}, \[IndentingNewLine]"\<testfile\>"\[IndentingNewLine]]]\),
      
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liest eine diskrete Ersetzungsregel \"rule\" aus einer Datei \
\"filename\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(loadDiscreteRuleFromFile[filename_]\  := \ 
          Module[{points, rule}, \[IndentingNewLine]points\  = \ 
              Import[filename\  <> \ "\<.dat\>"]; \[IndentingNewLine]rule\  = \
\ convertPointsToDiscreteRule[points]; \[IndentingNewLine]rule];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, loadDiscreteRuleFromFile["\<testfile\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert einen Dateinamen \"filename\". \
\[CapitalUDoubleDot]bergeben wird 
-eine Systembeschreibung \"system\",
-die Zahl \"n\" der Spins,
-die Zahl \"K\" und die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der \
Zeitschritte,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".
-der Typ \"type\" der Integration.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createFilename[system_, n_, K_, \[CapitalDelta]_, plotStep_, 
            type_]\  := \ 
          Module[{filename}, \[IndentingNewLine]filename\  = \ 
              system\  <> \ "\<_n_\>"\  <> \ 
                ToString[n]\  <> \ "\<_K_\>"\  <> \ 
                ToString[N[K]]\  <> \ "\<_Delta_\>"\  <> \ 
                ToString[N[\[CapitalDelta]]]\  <> \ "\<_plotStep_\>" <> \ 
                ToString[N[plotStep]] <> "\<_Type_\>"\  <> \ 
                type\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        createFilename["\<fliege\>", 5, 1, 1, 1, "\<firstOrder\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine kontinuierliche Ersetzungsregel \"continuous\" in \
eine diskrete Ersetzungsregel \"discrete\" um:\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertContinuousToDiscreteRule[K_, \[CapitalDelta]_, 
            plotStep_, continuous_]\  := \ 
          Module[{discrete, 
              i}, \[IndentingNewLine]discrete\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]\(discrete\  = \ 
                  Append[discrete, 
                    continuous\  //. \ 
                      t \[Rule] \((i*
                            plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]discrete];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertContinuousToDiscreteRule[4, 1, 
          2, {\(s[1, 1]\)[t] -> \ 
              t, \(s[1, 2]\)[t] -> \(-t\), \(s[1, 3]\)[t] -> 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Ikosidodekaeder", "Section"],

Cell["\<\
Die folgenden Methoden erleichtern die Eingabe des Ikosidodekaeders.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createBowTieH[M1_, M2_, C_]\  := \ 
          Module[{H}, \[IndentingNewLine]H\  = \ {{M1[\([1]\)], 
                  C}, {M1[\([2]\)], C}, {M1[\([1]\)], 
                  M1[\([2]\)]}, {M2[\([1]\)], C}, {M2[\([2]\)], 
                  C}, {M2[\([1]\)], M2[\([2]\)]}}; \[IndentingNewLine]H];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieH[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{
    RowBox[{\(createBowTieTree\ [M1_, M2_, C_]\  := \ 
          Module[{tree}, \[IndentingNewLine]tree\  = \ \
{\[IndentingNewLine]{M1[\([1]\)]}, {M1[\([2]\)]}, {M1[\([1]\)], 
                  M1[\([2]\)]}, \[IndentingNewLine]{M2[\([1]\)]}, \
{M2[\([2]\)]}, {M2[\([1]\)], M2[\([2]\)]}, \[IndentingNewLine]{M1[\([1]\)], 
                  M1[\([2]\)], M2[\([1]\)], 
                  M2[\([2]\)]}, \[IndentingNewLine]{C}, \
\[IndentingNewLine]{M1[\([1]\)], M1[\([2]\)], M2[\([1]\)], M2[\([2]\)], 
                  C}\[IndentingNewLine]}; \[IndentingNewLine]tree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieTree[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleH[A_, B_, C_]\  := \ 
        Module[{H}, \[IndentingNewLine]H\  = \ {{A, B}, {B, C}, {C, 
                A}}; \[IndentingNewLine]H];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleH[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleTree[A_, B_, C_]\  := \ 
        Module[{tree}, \[IndentingNewLine]tree\  = \ {{A}, {B}, {A, 
                B}, {C}, {A, B, 
                C}}; \[IndentingNewLine]tree];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleTree[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(treeUnion[trees_]\  := \ 
        Module[{unitedTrees, radix}, \[IndentingNewLine]unitedTrees\  = \ 
            trees[\([1]\)]; \[IndentingNewLine]For[i\  = \ 2, \ 
            i \[LessEqual] \ \ Length[
                trees], \(i++\), \[IndentingNewLine]radix\  = \ {Union[
                  getVertices[unitedTrees], 
                  getVertices[
                    trees[\([i]\)]]]}; \[IndentingNewLine]unitedTrees\  = \ 
              Union[unitedTrees, trees[\([i]\)], 
                radix];\[IndentingNewLine]]; \[IndentingNewLine]unitedTrees];\
\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        treeUnion[{createTriangleTree[1, 2, 3], 
            createTriangleTree[4, 5, 6]}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Hauptprogramm", "Section"],

Cell["\<\
Diese Methode liefert die Differenz von zwei Listen \"lists1\" und \
\"lists2\": 2-1.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getListDifference[lists1_, lists2_]\  := \ 
          Module[{i, j, listDifference, 
              allListDifference}, \[IndentingNewLine]allListDifference\  = \ \
{}; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[lists1], \ \(i++\), \[IndentingNewLine]listDifference\ \
 = \ {}; \[IndentingNewLine]For[j\  = \ 1, 
                j\  \[LessEqual] \ 
                  Length[lists1[\([i]\)]], \ \(j++\), \
\[IndentingNewLine]\(listDifference\  = \ 
                    Append[listDifference, {lists1[\([i, j, 1]\)], 
                        Log[10, 
                          Abs[lists2[\([i, j, 2]\)]\  - \ 
                              lists1[\([i, j, 
                                  2]\)]]]}];\)\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference\  = \ 
                Append[allListDifference, 
                  DeleteCases[
                    listDifference, {0, 
                      Indeterminate}]];\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getListDifference[{{{1, 1}, {2, 1}}, {{1, 0}, {2, 0}}}, {{{1, 1}, {2, 
                2}}, {{1, \(-1\)}, {2, \(-2\)}}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration f\[UDoubleDot]r \
Graphen durch und speichert das Ergebnis.
\[CapitalUDoubleDot]bergeben werden:
-die Systembeschreibung \"system\"
-die Mengen der Kopplungspaare \"H\",\"H1\",\"H2\" 
-die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\"
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(makeResults[system_, H_, H1_, H2_, tree_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({vertices, n, J, timeEvolution, filename}\), ",", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ Knoten\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(vertices\  = \ getVertices[\ Union[tree1, tree2]\ ]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
              RowBox[{"(*", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                
                RowBox[{\(timeEvolution\  = \ 
                    integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                      K, \ \[CapitalDelta], \ v, type, plotStep]\), ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Speichern\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(filename\  = \ 
                      createFilename[system, n, K\ , \[CapitalDelta]\ , 
                        plotStep, type]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(NoPr[filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(saveDiscreteRuleToFile[n, \ 
                      K, \ \[CapitalDelta], \ plotStep, \ timeEvolution, \ 
                      filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", 
                      tree1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", 
                      tree2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
                "*)"}], "\[IndentingNewLine]", "  ", 
              RowBox[{"(*", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                
                RowBox[{\(timeEvolution\  = \ 
                    integrateStandard[n, H, 1, v, 
                      K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  "\[IndentingNewLine]", \(timeEvolution\  = \ 
                    convertContinuousToDiscreteRule[K, \[CapitalDelta], 
                      plotStep, timeEvolution]\), ";", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Speichern\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(filename\  = \ 
                      createFilename[system, n, K\ , \[CapitalDelta]\ , 
                        plotStep, "\<rungekutta\>"]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(NoPr[filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(saveDiscreteRuleToFile[n, \ 
                      K, \ \[CapitalDelta], \ plotStep, \ timeEvolution, \ 
                      filename\ ]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", 
                      tree1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", 
                      tree2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
                "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Referenz : \ Explizite\ Zeitentwicklung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                getTimeEvolution[tree, J]\  //. \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<exact\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[saveOrLoad, 
        makeResults[\[IndentingNewLine]"\<Fliege\>", \[IndentingNewLine]{{1, 
              5}, {2, 5}, {3, 5}, {4, 5}, {1, 2}, {3, 
              4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
              1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
              4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
              2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 2}, {3}, {4}, {3, 
              4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
              5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
              5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]1000\ ,  (*K*) \[IndentingNewLine]0.1\ \
\ ,  (*\[CapitalDelta]*) \[IndentingNewLine]Import["\<v5.dat\>"], \
\[IndentingNewLine]"\<optimizedForestRuth\>", \[IndentingNewLine]10 \
(*plotStep*) \[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[TextData[{
  "Diese Methode erstellt eine logarithmische Skala von ",
  Cell[BoxData[
      \(10\^min\)]],
  " bis ",
  Cell[BoxData[
      \(10\^max\)]],
  "."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(myLogScale[min_, max_]\  := \ 
          Module[{i, j, 
              myticks}, \[IndentingNewLine]myticks\  = \ {}; \
\[IndentingNewLine]For[i\  = \ min, \ 
              i\  \[LessEqual] \ max, \ \(i++\), \[IndentingNewLine]For[
                j\  = \ 1, 
                j\  \[LessEqual] \ 9, \(j++\), \[IndentingNewLine]If[
                  j\  == \ 1, 
                  myticks\  = \ 
                    Append[myticks, {i, 
                        i, {0.01, 0}}]]; \[IndentingNewLine]If[j\  > \ 1, 
                  myticks\  = \ 
                    Append[myticks, {N[Log[10, j\ *\ 10^i]], "\<\>", {0.005, 
                          0}}]];\[IndentingNewLine]]]; \
\[IndentingNewLine]myticks];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, myLogScale[0, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode plottet die Ergebnisse der Dateien \"data\". Dargestellt werden \
die Gesamtenergie, der Gesamtspin und die Komponenten des Gesamtspins.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(showResults[data_, relative_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allLists, lists, vertices, S, S1, S2, S3, J, energy, 
              toPlot, i, j, n, K, \[CapitalDelta], plotStep, timeEvolution, 
              reference}\), ",", "\[IndentingNewLine]", 
            
            RowBox[{\(allLists\  = \ \ {}\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), 
                  ",", \(i\  \[LessEqual] \ Length[data]\), ",", \(i++\), ",",
                   "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Datei\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\({n, K, \[CapitalDelta], plotStep, 
                          timeEvolution}\  = \ 
                        loadDiscreteRuleFromFile[data[\([i]\)]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(J\  = \ 
                        Import[data[\([i]\)]\  <> \ "\<_J.dat\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], " ", 
                      StyleBox["Knoten",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(vertices\  = \ 
                      Table[j, {j, 1, n}]\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S\  = \ 
                      norm[getTotalSpin[vertices]]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S1\  = \ 
                      getTotalSpinComponent[vertices, 1]\), ";", 
                    "\[IndentingNewLine]", \(S2\  = \ 
                      getTotalSpinComponent[vertices, 2]\), ";", 
                    "\[IndentingNewLine]", \(S3\  = \ 
                      getTotalSpinComponent[vertices, 3]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtenergie\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(energy\  = \ 
                      getTotalEnergy[J, vertices]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {S, S1, S2, S3, 
                        energy}\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(f\  = \ 
                      getTotalSpin[{1, 2, 3}]\  . \ getTotalSpin[{5}]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {f}\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Menge\ von\ Funktionen\  \[Rule] \ 
                          Liste\ von\ Punkten\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(lists\  = 
                      convertFunctionsToListsWithdiscreteRule[toPlot, 
                        K, \[CapitalDelta], plotStep, timeEvolution]\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            1. \ Datensatz\ ist\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[
                      relative\  && \ i\  \[Equal] \ 1, 
                      reference\  = \ lists]\), ";", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            Differenz\ zur\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[relative\  && \ i\  > \ 1, 
                      lists\  = \ getListDifference[reference, lists]]\), ";",
                     "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(If[\(! relative\)\  || \ 
                          i\  > \ 1, 
                        allLists = \ Join[allLists, lists]];\)}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Darstellung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(MultipleListPlot[
                allLists, \[IndentingNewLine]PlotJoined \[Rule] 
                  True, \[IndentingNewLine]PlotRange \[Rule] 
                  All, \[IndentingNewLine]SymbolShape \[Rule] 
                  None, \[IndentingNewLine]Axes \[Rule] 
                  False, \[IndentingNewLine]PlotRange -> 
                  All, \[IndentingNewLine]Ticks \[Rule] \ 
                  Automatic, \[IndentingNewLine]Frame \[Rule] 
                  True, \[IndentingNewLine]FrameTicks \[Rule] \ {Automatic, 
                    myLogScale[\(-9\), \(-3\)]}, \[IndentingNewLine]PlotLabel \
-> StyleForm["\<Fliege (numerisch)\>", 
                    FontSize \[Rule] 
                      16], \[IndentingNewLine]FrameLabel -> \
{StyleForm["\<t\>", FontSize \[Rule] 16], 
                    StyleForm[\*"\"\<\[Delta](\!\(s\_15\^2\)+ \!\(s\_25\^2\)+ \
\!\(s\_35\^2\))\>\"", 
                      FontSize \[Rule] 
                        16], "\<\>", "\<\>"}, \[IndentingNewLine]PlotStyle \
\[Rule] {Black, {AbsoluteDashing[{7, 2}], Red}, {AbsoluteDashing[{4, 2}], 
                      Blue}, {AbsoluteDashing[{2, 2}], 
                      Green}}, \[IndentingNewLine]PlotLegend \[Rule] \
{"\<SZT\>", "\<FR\>", "\<OFR\>", "\<RK\>"}, \[IndentingNewLine]LegendLabel \
\[Rule] "\<4.Ordnung, \[CapitalDelta] = 0.1\>", \[IndentingNewLine]LegendSize \
\[Rule] {0.3, 
                    0.25}, \[IndentingNewLine]LegendPosition\  \[Rule] \ \
{0.555, \(-0.395\)}, \[IndentingNewLine]AspectRatio \[Rule] 
                  0.5\[IndentingNewLine]]\), ";"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[\(! saveOrLoad\), \[IndentingNewLine]\(showResults[{\
\[IndentingNewLine]"\<Fliege_n_5_K_1000._Delta_0.1_plotStep_10._Type_exact\>",\
 \[IndentingNewLine]"\<Fliege_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
fourthOrder\>", \
\[IndentingNewLine]"\<Fliege_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
ForestRuth\>", \
\[IndentingNewLine]"\<Fliege_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
optimizedForestRuth\>", \
\[IndentingNewLine]"\<Fliege_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
rungekutta\>"\[IndentingNewLine]}, True];\)\[IndentingNewLine]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.25 0.47619 [
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0119048 0.97619 0.488095 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0141895 0.00962001 0.859704 0.0964657 [
[.01419 -0.0125 -3 -9 ]
[.01419 -0.0125 3 0 ]
[.20659 -0.0125 -6 -9 ]
[.20659 -0.0125 6 0 ]
[.39899 -0.0125 -6 -9 ]
[.39899 -0.0125 6 0 ]
[.59139 -0.0125 -6 -9 ]
[.59139 -0.0125 6 0 ]
[.78379 -0.0125 -6 -9 ]
[.78379 -0.0125 6 0 ]
[.97619 -0.0125 -9 -9 ]
[.97619 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -6.78125 -23 ]
[.5 -0.0125 6.78125 -9 ]
[-0.0125 .08798 -12 -4.5 ]
[-0.0125 .08798 0 4.5 ]
[-0.0125 .18444 -12 -4.5 ]
[-0.0125 .18444 0 4.5 ]
[-0.0125 .28091 -12 -4.5 ]
[-0.0125 .28091 0 4.5 ]
[-0.0125 .37738 -12 -4.5 ]
[-0.0125 .37738 0 4.5 ]
[-0.0125 .47384 -12 -4.5 ]
[-0.0125 .47384 0 4.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .25 -30.1875 -81.9688 ]
[-0.01875 .25 -12 81.9688 ]
[ 0 .5 .125 0 ]
[1.0125 .08798 0 -4.5 ]
[1.0125 .08798 12 4.5 ]
[1.0125 .18444 0 -4.5 ]
[1.0125 .18444 12 4.5 ]
[1.0125 .28091 0 -4.5 ]
[1.0125 .28091 12 4.5 ]
[1.0125 .37738 0 -4.5 ]
[1.0125 .37738 12 4.5 ]
[1.0125 .47384 0 -4.5 ]
[1.0125 .47384 12 4.5 ]
[ 1 0 .125 0 ]
[.5 .5125 -88.0625 0 ]
[.5 .5125 88.0625 15.1875 ]
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01419 0 m
.01419 .00625 L
s
[(0)] .01419 -0.0125 0 1 Mshowa
.20659 0 m
.20659 .00625 L
s
[(20)] .20659 -0.0125 0 1 Mshowa
.39899 0 m
.39899 .00625 L
s
[(40)] .39899 -0.0125 0 1 Mshowa
.59139 0 m
.59139 .00625 L
s
[(60)] .59139 -0.0125 0 1 Mshowa
.78379 0 m
.78379 .00625 L
s
[(80)] .78379 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(100)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.06229 0 m
.06229 .00375 L
s
.11039 0 m
.11039 .00375 L
s
.15849 0 m
.15849 .00375 L
s
.25469 0 m
.25469 .00375 L
s
.30279 0 m
.30279 .00375 L
s
.35089 0 m
.35089 .00375 L
s
.44709 0 m
.44709 .00375 L
s
.49519 0 m
.49519 .00375 L
s
.54329 0 m
.54329 .00375 L
s
.63949 0 m
.63949 .00375 L
s
.68759 0 m
.68759 .00375 L
s
.73569 0 m
.73569 .00375 L
s
.83189 0 m
.83189 .00375 L
s
.87999 0 m
.87999 .00375 L
s
.92809 0 m
.92809 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -67.7813 -27 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22 translate 1 -1 scale
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
72.563 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .02055 m
.005 .02055 L
s
0 .03754 m
.005 .03754 L
s
0 .04959 m
.005 .04959 L
s
0 .05894 m
.005 .05894 L
s
0 .06658 m
.005 .06658 L
s
0 .07304 m
.005 .07304 L
s
0 .07863 m
.005 .07863 L
s
0 .08356 m
.005 .08356 L
s
0 .08798 m
.01 .08798 L
s
[(-8)] -0.0125 .08798 1 0 Mshowa
0 .11702 m
.005 .11702 L
s
0 .134 m
.005 .134 L
s
0 .14606 m
.005 .14606 L
s
0 .1554 m
.005 .1554 L
s
0 .16304 m
.005 .16304 L
s
0 .1695 m
.005 .1695 L
s
0 .1751 m
.005 .1751 L
s
0 .18003 m
.005 .18003 L
s
0 .18444 m
.01 .18444 L
s
[(-7)] -0.0125 .18444 1 0 Mshowa
0 .21348 m
.005 .21348 L
s
0 .23047 m
.005 .23047 L
s
0 .24252 m
.005 .24252 L
s
0 .25187 m
.005 .25187 L
s
0 .25951 m
.005 .25951 L
s
0 .26597 m
.005 .26597 L
s
0 .27156 m
.005 .27156 L
s
0 .2765 m
.005 .2765 L
s
0 .28091 m
.01 .28091 L
s
[(-6)] -0.0125 .28091 1 0 Mshowa
0 .30995 m
.005 .30995 L
s
0 .32694 m
.005 .32694 L
s
0 .33899 m
.005 .33899 L
s
0 .34834 m
.005 .34834 L
s
0 .35597 m
.005 .35597 L
s
0 .36243 m
.005 .36243 L
s
0 .36803 m
.005 .36803 L
s
0 .37296 m
.005 .37296 L
s
0 .37738 m
.01 .37738 L
s
[(-5)] -0.0125 .37738 1 0 Mshowa
0 .40641 m
.005 .40641 L
s
0 .4234 m
.005 .4234 L
s
0 .43545 m
.005 .43545 L
s
0 .4448 m
.005 .4448 L
s
0 .45244 m
.005 .45244 L
s
0 .4589 m
.005 .4589 L
s
0 .46449 m
.005 .46449 L
s
0 .46943 m
.005 .46943 L
s
0 .47384 m
.01 .47384 L
s
[(-4)] -0.0125 .47384 1 0 Mshowa
0 0 m
0 .5 L
s
gsave
-0.01875 .25 -164.063 -13.0938 Mabsadd m
1 1 Mabs scale
currentpoint translate
142.969 13.0938 translate
90 rotate
-142.969 -13.0938 translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 26.1875 translate 1 -1 scale
63.000 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
72.563 18.188 moveto
(H) show
82.125 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
91.688 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
105.813 12.063 moveto
(2) show
113.125 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
132.250 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
141.813 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(25) show
155.938 12.063 moveto
(2) show
163.250 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
182.375 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
191.938 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(35) show
206.063 12.063 moveto
(2) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
213.375 18.188 moveto
(L) show
222.938 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.01419 .49375 m
.01419 .5 L
s
.20659 .49375 m
.20659 .5 L
s
.39899 .49375 m
.39899 .5 L
s
.59139 .49375 m
.59139 .5 L
s
.78379 .49375 m
.78379 .5 L
s
.97619 .49375 m
.97619 .5 L
s
.125 Mabswid
.06229 .49625 m
.06229 .5 L
s
.11039 .49625 m
.11039 .5 L
s
.15849 .49625 m
.15849 .5 L
s
.25469 .49625 m
.25469 .5 L
s
.30279 .49625 m
.30279 .5 L
s
.35089 .49625 m
.35089 .5 L
s
.44709 .49625 m
.44709 .5 L
s
.49519 .49625 m
.49519 .5 L
s
.54329 .49625 m
.54329 .5 L
s
.63949 .49625 m
.63949 .5 L
s
.68759 .49625 m
.68759 .5 L
s
.73569 .49625 m
.73569 .5 L
s
.83189 .49625 m
.83189 .5 L
s
.87999 .49625 m
.87999 .5 L
s
.92809 .49625 m
.92809 .5 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.995 .02055 m
1 .02055 L
s
.995 .03754 m
1 .03754 L
s
.995 .04959 m
1 .04959 L
s
.995 .05894 m
1 .05894 L
s
.995 .06658 m
1 .06658 L
s
.995 .07304 m
1 .07304 L
s
.995 .07863 m
1 .07863 L
s
.995 .08356 m
1 .08356 L
s
.99 .08798 m
1 .08798 L
s
[(-8)] 1.0125 .08798 -1 0 Mshowa
.995 .11702 m
1 .11702 L
s
.995 .134 m
1 .134 L
s
.995 .14606 m
1 .14606 L
s
.995 .1554 m
1 .1554 L
s
.995 .16304 m
1 .16304 L
s
.995 .1695 m
1 .1695 L
s
.995 .1751 m
1 .1751 L
s
.995 .18003 m
1 .18003 L
s
.99 .18444 m
1 .18444 L
s
[(-7)] 1.0125 .18444 -1 0 Mshowa
.995 .21348 m
1 .21348 L
s
.995 .23047 m
1 .23047 L
s
.995 .24252 m
1 .24252 L
s
.995 .25187 m
1 .25187 L
s
.995 .25951 m
1 .25951 L
s
.995 .26597 m
1 .26597 L
s
.995 .27156 m
1 .27156 L
s
.995 .2765 m
1 .2765 L
s
.99 .28091 m
1 .28091 L
s
[(-6)] 1.0125 .28091 -1 0 Mshowa
.995 .30995 m
1 .30995 L
s
.995 .32694 m
1 .32694 L
s
.995 .33899 m
1 .33899 L
s
.995 .34834 m
1 .34834 L
s
.995 .35597 m
1 .35597 L
s
.995 .36243 m
1 .36243 L
s
.995 .36803 m
1 .36803 L
s
.995 .37296 m
1 .37296 L
s
.99 .37738 m
1 .37738 L
s
[(-5)] 1.0125 .37738 -1 0 Mshowa
.995 .40641 m
1 .40641 L
s
.995 .4234 m
1 .4234 L
s
.995 .43545 m
1 .43545 L
s
.995 .4448 m
1 .4448 L
s
.995 .45244 m
1 .45244 L
s
.995 .4589 m
1 .4589 L
s
.995 .46449 m
1 .46449 L
s
.995 .46943 m
1 .46943 L
s
.99 .47384 m
1 .47384 L
s
[(-4)] 1.0125 .47384 -1 0 Mshowa
1 0 m
1 .5 L
s
gsave
.5 .5125 -149.063 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.1875 translate 1 -1 scale
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fliege) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
129.938 15.188 moveto
(H) show
139.500 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(numerisch) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
225.563 15.188 moveto
(L) show
235.125 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 0 r
.001 w
.02381 .07901 m
.03343 .09994 L
.04305 .0314 L
.05267 .10772 L
.06229 .11316 L
.07191 .10605 L
.08153 .04063 L
.09115 .10028 L
.10077 .14591 L
.11039 .14496 L
.12001 .12701 L
.12963 .15091 L
.13925 .17078 L
.14887 .17817 L
.15849 .18378 L
.16811 .19115 L
.17773 .18316 L
.18735 .17617 L
.19697 .18945 L
.20659 .19613 L
.21621 .19186 L
.22583 .18868 L
.23545 .18347 L
.24507 .15337 L
.25469 .13663 L
.26431 .1485 L
.27393 .0807 L
.28355 .14824 L
.29317 .16095 L
.30279 .17336 L
.31241 .18904 L
.32203 .18678 L
.33165 .19605 L
.34127 .21731 L
.35089 .22577 L
.36051 .22194 L
.37013 .21709 L
.37975 .20849 L
.38937 .19636 L
.39899 .21127 L
.40861 .22699 L
.41823 .22473 L
.42785 .20814 L
.43747 .18008 L
.44709 .12102 L
.45671 .17156 L
.46633 .07297 L
.47595 .14694 L
.48557 .15535 L
.49519 .20254 L
Mistroke
.50481 .22147 L
.51443 .23621 L
.52405 .23465 L
.53367 .21899 L
.54329 .22225 L
.55291 .23601 L
.56253 .23992 L
.57215 .24202 L
.58177 .24375 L
.59139 .23127 L
.60101 .21385 L
.61063 .21978 L
.62025 .22018 L
.62987 .2011 L
.63949 .18562 L
.64911 .16122 L
.65873 .16739 L
.66835 .18862 L
.67797 .18518 L
.68759 .21838 L
.69721 .23943 L
.70683 .24149 L
.71645 .24151 L
.72607 .24279 L
.73569 .23486 L
.74531 .23803 L
.75493 .25534 L
.76455 .26096 L
.77417 .25355 L
.78379 .2429 L
.79341 .22355 L
.80303 .18663 L
.81265 .20956 L
.82227 .23475 L
.83189 .2247 L
.84151 .16404 L
.85113 .19056 L
.86075 .23408 L
.87037 .24514 L
.87999 .22667 L
.88961 .21377 L
.89923 .23859 L
.90885 .25358 L
.91847 .26092 L
.92809 .26816 L
.93771 .26432 L
.94733 .24842 L
.95695 .24736 L
.96657 .2561 L
.97619 .25381 L
Mistroke
Mfstroke
1 0 0 r
[ 7 2 ] 0 Mabsdash
.02381 .28808 m
.03343 .29358 L
.04305 .31208 L
.05267 .31667 L
.06229 .29122 L
.07191 .27242 L
.08153 .23925 L
.09115 .28849 L
.10077 .3333 L
.11039 .35124 L
.12001 .37 L
.12963 .38808 L
.13925 .3976 L
.14887 .40286 L
.15849 .40636 L
.16811 .40794 L
.17773 .40925 L
.18735 .41437 L
.19697 .42086 L
.20659 .42273 L
.21621 .41894 L
.22583 .40963 L
.23545 .39533 L
.24507 .38224 L
.25469 .3804 L
.26431 .38147 L
.27393 .36452 L
.28355 .30779 L
.29317 .39267 L
.30279 .41629 L
.31241 .4241 L
.32203 .4246 L
.33165 .42472 L
.34127 .42922 L
.35089 .43802 L
.36051 .4465 L
.37013 .45072 L
.37975 .44946 L
.38937 .4448 L
.39899 .43947 L
.40861 .43461 L
.41823 .43158 L
.42785 .42877 L
.43747 .42178 L
.44709 .40542 L
.45671 .37097 L
.46633 .32948 L
.47595 .39885 L
.48557 .42199 L
.49519 .43368 L
Mistroke
.50481 .44056 L
.51443 .4452 L
.52405 .44933 L
.53367 .4554 L
.54329 .46295 L
.55291 .4679 L
.56253 .46838 L
.57215 .46466 L
.58177 .45805 L
.59139 .45204 L
.60101 .45124 L
.61063 .45399 L
.62025 .45266 L
.62987 .44083 L
.63949 .4072 L
.64911 .35468 L
.65873 .41219 L
.66835 .42022 L
.67797 .42059 L
.68759 .43015 L
.69721 .44829 L
.70683 .46455 L
.71645 .47438 L
.72607 .47733 L
.73569 .47528 L
.74531 .47191 L
.75493 .47054 L
.76455 .47215 L
.77417 .47453 L
.78379 .47441 L
.79341 .4695 L
.80303 .45973 L
.81265 .446 L
.82227 .42613 L
.83189 .39283 L
.84151 .26578 L
.85113 .39495 L
.86075 .42448 L
.87037 .44259 L
.87999 .45679 L
.88961 .46965 L
.89923 .47908 L
.90885 .48382 L
.91847 .48449 L
.92809 .48258 L
.93771 .48056 L
.94733 .48153 L
.95695 .48554 L
.96657 .4881 L
.97619 .48528 L
Mistroke
Mfstroke
0 0 1 r
[ 4 2 ] 0 Mabsdash
.02381 .13648 m
.03343 .17234 L
.04305 .18155 L
.05267 .0654 L
.06229 .18495 L
.07191 .17619 L
.08153 .07839 L
.09115 .1692 L
.10077 .20653 L
.11039 .17189 L
.12001 .22378 L
.12963 .24549 L
.13925 .23906 L
.14887 .2289 L
.15849 .19072 L
.16811 .15389 L
.17773 .21119 L
.18735 .25825 L
.19697 .26134 L
.20659 .25599 L
.21621 .25049 L
.22583 .19719 L
.23545 .19435 L
.24507 .18199 L
.25469 .22701 L
.26431 .21397 L
.27393 .23193 L
.28355 .22703 L
.29317 .22479 L
.30279 .26116 L
.31241 .26045 L
.32203 .26678 L
.33165 .25793 L
.34127 .1158 L
.35089 .0119 L
.36051 .26209 L
.37013 .28284 L
.37975 .29222 L
.38937 .2968 L
.39899 .26784 L
.40861 .23105 L
.41823 .23176 L
.42785 .22945 L
.43747 .26715 L
.44709 .28874 L
.45671 .28504 L
.46633 .2215 L
.47595 .29396 L
.48557 .28919 L
.49519 .2684 L
Mistroke
.50481 .21749 L
.51443 .2476 L
.52405 .14563 L
.53367 .29632 L
.54329 .31202 L
.55291 .30546 L
.56253 .29803 L
.57215 .26917 L
.58177 .18919 L
.59139 .23686 L
.60101 .29247 L
.61063 .29292 L
.62025 .28934 L
.62987 .28861 L
.63949 .20859 L
.64911 .27382 L
.65873 .26441 L
.66835 .25407 L
.67797 .26346 L
.68759 .12033 L
.69721 .23484 L
.70683 .27438 L
.71645 .30757 L
.72607 .31342 L
.73569 .32042 L
.74531 .31013 L
.75493 .21819 L
.76455 .22818 L
.77417 .27581 L
.78379 .30554 L
.79341 .31942 L
.80303 .32508 L
.81265 .28739 L
.82227 .29138 L
.83189 .30074 L
.84151 .25939 L
.85113 .21993 L
.86075 .2925 L
.87037 .29188 L
.87999 .2864 L
.88961 .32996 L
.89923 .32751 L
.90885 .31616 L
.91847 .29442 L
.92809 .18325 L
.93771 .20836 L
.94733 .3164 L
.95695 .32996 L
.96657 .32369 L
.97619 .32013 L
Mistroke
Mfstroke
0 1 0 r
[ 2 2 ] 0 Mabsdash
.02381 .27613 m
.03343 .26068 L
.04305 .21243 L
.05267 .13888 L
.06229 .07452 L
.07191 .24082 L
.08153 .26533 L
.09115 .24475 L
.10077 .14946 L
.11039 .21592 L
.12001 .22051 L
.12963 .13971 L
.13925 .24289 L
.14887 .24812 L
.15849 .20577 L
.16811 .21442 L
.17773 .23191 L
.18735 .21835 L
.19697 .25273 L
.20659 .27178 L
.21621 .25478 L
.22583 .25689 L
.23545 .28374 L
.24507 .28166 L
.25469 .27283 L
.26431 .28052 L
.27393 .2381 L
.28355 .26135 L
.29317 .23701 L
.30279 .21454 L
.31241 .11963 L
.32203 .20685 L
.33165 .22331 L
.34127 .31977 L
.35089 .33885 L
.36051 .32897 L
.37013 .31596 L
.37975 .30104 L
.38937 .26252 L
.39899 .31565 L
.40861 .35478 L
.41823 .35819 L
.42785 .34068 L
.43747 .3146 L
.44709 .23393 L
.45671 .30116 L
.46633 .30425 L
.47595 .34841 L
.48557 .33004 L
.49519 .10955 L
Mistroke
.50481 .32674 L
.51443 .36127 L
.52405 .36085 L
.53367 .30654 L
.54329 .23616 L
.55291 .33116 L
.56253 .35031 L
.57215 .36707 L
.58177 .38141 L
.59139 .3702 L
.60101 .33465 L
.61063 .33912 L
.62025 .34474 L
.62987 .31654 L
.63949 .33385 L
.64911 .35012 L
.65873 .30293 L
.66835 .21259 L
.67797 .25939 L
.68759 .34584 L
.69721 .38124 L
.70683 .37492 L
.71645 .36416 L
.72607 .36633 L
.73569 .34334 L
.74531 .35446 L
.75493 .39975 L
.76455 .41201 L
.77417 .4012 L
.78379 .38558 L
.79341 .3526 L
.80303 .29945 L
.81265 .34739 L
.82227 .40359 L
.83189 .4039 L
.84151 .37255 L
.85113 .24072 L
.86075 .38675 L
.87037 .40188 L
.87999 .34996 L
.88961 .3558 L
.89923 .20608 L
.90885 .37606 L
.91847 .40293 L
.92809 .42364 L
.93771 .42128 L
.94733 .38597 L
.95695 .36395 L
.96657 .38965 L
.97619 .39137 L
Mistroke
Mfstroke
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
MathSubEnd
P
% End of sub-graphic
0 g
.76429 .0619 m
.76429 .18095 L
.90714 .18095 L
.90714 .0619 L
F
1 g
.76429 .0619 m
.76429 .18095 L
.90714 .18095 L
.90714 .0619 L
F
0 g
.001 w
[ ] 0 setdash
.76429 .0619 m
.90714 .0619 L
.90714 .18095 L
.76429 .18095 L
.76429 .0619 L
s
% Start of sub-graphic
p
0.764286 0.0619048 0.907143 0.180952 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0142694 0.142694 [
[ 0 0 0 0 ]
[ 1 .83333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .83333 L
0 .83333 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0256849 0.35119 0.168379 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 1 0 r
.02493 w
[ 2 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .09703 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(RK) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.19121 0.35119 0.333904 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 1 r
.02493 w
[ 4 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .26256 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(OFR) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.356735 0.35119 0.499429 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.02493 w
[ 7 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .42808 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(FR) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.52226 0.35119 0.664954 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.02493 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .59361 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .74772 -117 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4.) show
75.000 12.813 moveto
(Ordnung) show
117.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
129.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(D) show
141.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
153.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.1) show
171.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{953, 476.5},
  ImageMargins->{{9, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000>i0001g2000`400?l00000o`00003oo`3ooooo
0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00
o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl
0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0oooo
o`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?oo
ool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo
003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooiP3oool40000
0?l0ooood@3oool00?l0ooooi@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0
oooocP3oool00?l0ooooi@3oool00`000000oooo0?ooo`3o0?ooom<0oooo003o0?ooonD0oooo00<0
00000?ooo`3oool0o`3ooooC0?ooo`00o`3ooooU0?ooo`030000003oool0oooo0?l0ooood`3oool0
0?l0ooooi@3oool00`000000oooo0?ooo`3o0?ooom<0oooo003o0?ooon<0oooo1`00003o0?ooom40
oooo003o0?ooonD0oooo00<000000?ooo`3oool0o`3ooooC0?ooo`00o`3ooooU0?ooo`030000003o
ool0oooo0?l0ooood`3oool00?l0ooooo`3ooooo0?oook`0oooo001V0?ooo`800000TP3oool40000
00<0oooo0P00002A0?ooo`<000000P3oool2000008l0oooo0`0000040?ooo`800000T03oool20000
00@0oooo0P00002<0?ooo`D000000P3oool2000000@0oooo0P00001C0?ooo`00I@3oool010000000
oooo0?ooo`00002A0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000T@3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo08`0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`00002>0?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool00000S@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`1@0?ooo`00I@3oool010000000oooo0?ooo`00002B0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool00000SP3oool5000000050?ooo`000000oooo0?oo
o`000000SP3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000008h0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`00002=0?ooo`050000003oool0oooo0?oo
o`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0500oooo001U0?oo
o`040000003oool0oooo000009<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0oooo08`0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00002>0?ooo`<0
00000`3oool010000000oooo0?ooo`00002?0?ooo`8000000`3oool010000000oooo0?ooo`00002=
0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo0500oooo001U0?ooo`040000003oool0oooo00000940oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`00002?0?ooo`030000003oool000000080oooo00@000000?oo
o`3oool00000S`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000008h0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`00002=0?ooo`050000003oool0oooo0?oo
o`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0500oooo001V0?oo
o`800000T`3oool2000000@0oooo0P00002A0?ooo`8000000`3oool200000900oooo0`0000030?oo
o`800000T03oool2000000@0oooo0P00002=0?ooo`800000103oool2000000@0oooo0P00001C0?oo
o`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3o
oonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0
ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o
0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0
oooo003o0?ooool0ooooo`3ooonl0?ooo`00G03ooooo00000?l00000o`00000J000004H0oooo001L
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0
U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2E0?ooo`030000003o
ool0oooo09D0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003o
ool0oooo09D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolF0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?oooaH0oooo00<000000?ooo`3oool0A03oool005`0
oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo5P3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolF0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0?l0oooo4`3oool00`000?l0oooo0?ooo`3o0?ooool0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolC0?ooo`030000o`3oool0
oooo0?l0ooooo`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oo
oa<0oooo00<0003o0?ooo`3oool0o`3ooooo0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo0?l0oooo4`3oool00`000?l0oooo0?ooo`3o0?ooool0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolC0?ooo`030000o`3oool0oooo0?l0oooo
o`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oooa<0oooo00<0
003o0?ooo`3oool0o`3ooomT0?ooohT000004P3oool00`000000oooo0?ooo`140?ooo`00G03oool5
00000?l0oooo4@3oool00`000?l0oooo0?ooo`3o0?ooof@0oooo00<000000?ooo`3oool0Q@3oool0
0`000000oooo0?ooo`0<0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0o`3ooolC0?oo
o`030000o`3oool0oooo0?l0ooooI03oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`03
0000o`3oool0003o0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000
o`3oool0003o0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000o`3o
ool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000o`3oool0
003o0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000o`3oool0003o
0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolD0?ooo`030000o`3oool0oooo0?l0
ooooH`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030000o`3oool0003o0?l0oooo
I@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`3_0?ooo`030000o`3o
ool0003o0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`3_
0?ooo`030000o`3oool0oooo0?l0ooooI@3oool00`000000oooo0?ooo`250?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`3_0?ooo`030000o`3oool0003o0?l0ooooI@3oool00`000000oooo0?ooo`0d0?oo
o`<000000P3oool4000000030?ooo`000000000004D0oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0>l0
oooo00<0003o0?ooo`000?l0o`3ooomU0?ooo`030000003oool0oooo00l0oooo0`00o`001@3oool0
0?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o01<0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000160?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07P3oool00`000000oooo0000
003b0?ooo`030000o`3oool0oooo0?l0ooooH`3oool00`000000oooo0?ooo`0e0?ooo`<000000`3o
ool3000004L0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool5
000001`0oooo00<000000?ooo`000000k`3oool010000?l0oooo0?ooo`000?oo0?ooofD0oooo00<0
00000?ooo`3oool0=@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0000004L0oooo
00<000000?ooo`3oool0303oool5000004H0oooo001L0?ooo`030000003oool0oooo01h0oooo00<0
00000?ooo`000000k`3oool010000?l0oooo0?ooo`000?oo0?ooofD0oooo00<000000?ooo`3oool0
=@3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000004H0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0N0?ooo`03
0000003oool0000001d0oooo00<000000?ooo`3oool0c`3oool00`000?l0oooo0?ooo`3o0?ooofH0
oooo00<000000?ooo`3oool0=03oool400000080oooo0`0000000`3oool00000000000150?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0000000M0?ooo`030000003oool0oooo0<l0oooo00@0003o0?ooo`3oool0
003oo`3ooomU0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0N0?ooo`030000003oool0000001d0oooo
00<000000?ooo`3oool0c`3oool010000?l0oooo0?ooo`000?oo0?ooofD0oooo00<000000?ooo`3o
ool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`0000007@3oool00`000000oooo0?ooo`3B0?ooo`030000
o`3oool0oooo0?l0ooooH`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07P3oool00`000000oooo0000
000L0?ooo`030000003oool000000=00oooo00@0003o0?ooo`3oool0003oo`3ooomU0?ooo`030000
003oool0oooo08D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0M0?ooo`050000003oool0oooo0?ooo`0000006`3oool00`000000oooo
0000003@0?ooo`040000o`3oool0oooo0000ool0ooooI@3oool00`000000oooo0?ooo`250?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
7@3oool01@000000oooo0?ooo`3oool0000001/0oooo00<000000?ooo`000000c`3oool00`000?l0
oooo0?ooo`3o0?ooofL0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`D000006`3oool01@000000oooo0?ooo`3oool0000001/0
oooo00<000000?ooo`000000c`3oool01@000?l0oooo0?ooo`3oool0003o0?l0ooooI@3oool00`00
0000oooo0?ooo`250?ooo`030000003oool0oooo00`0oooo1@0000160?ooo`00G03oool00`000000
oooo0?ooo`0M0?ooo`050000003oool0oooo0?ooo`0000006`3oool00`000000oooo0000003?0?oo
o`050000o`3oool0oooo0?ooo`000?l0o`3ooomU0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0M0?oo
o`050000003oool0oooo0?ooo`0000006`3oool00`000000oooo0000003C0?ooo`030000o`3oool0
oooo0?l0ooooH`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3oool0
000001X0oooo00@000000?ooo`3oool00000c`3oool00`000?l0oooo0?ooo`020?ooo`030000o`3o
ool0oooo0?l0ooooHP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3o
ool0000001X0oooo00D000000?ooo`3oool0oooo0000003>0?ooo`030000o`3oool0oooo0080oooo
00<0003o0?ooo`3oool0o`3ooomR0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool05`3oool01@000000oooo0?ooo`3oool000000<h0oooo
00<0003o0?ooo`3oool0o`3ooomW0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool05`3oool01@000000oooo0?ooo`3oool000000<h0oooo
00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`3o0?ooof80oooo00<000000?ooo`3oool0
Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0G0?ooo`050000003o
ool0oooo0?ooo`000000cP3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo0?l0oooo
HP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo1@00000J0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05`3o
ool01@000000oooo0?ooo`3oool000000=<0oooo00<0003o0?ooo`3oool0o`3ooomR0?ooo`030000
003oool0oooo08D0oooo00<000000?ooo`3oool0303oool5000004H0oooo001L0?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0G0?ooo`050000003o
ool0oooo0?ooo`000000cP3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo0?l0oooo
HP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3;0?ooo`030000o`3o
ool0oooo0080oooo00<0003o0?ooo`3oool0o`3ooomR0?ooo`030000003oool0oooo03H0oooo0P00
00030?ooo`<000000P3oool300000080oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01`0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0bP3oool00`000?l0oooo0?ooo`3o0?ooofP0oooo00<000000?ooo`3oool0=@3oool0
10000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
@03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0bP3oool00`000?l0oooo0?ooo`030?ooo`030000o`3o
ool0oooo0?l0ooooHP3oool00`000000oooo0?ooo`0?0?ooo`D0003o00<0oooo0000o`000?l00`00
0?l00`3oool0003o0000o`030000o`030?ooo`000?l0003o0180oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`020?ooo`<00000@@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool01@3o
ool01@000000oooo0?ooo`3oool0003o01<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`3:0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0o`3ooomR0?ooo`030000
003oool0oooo03D0oooo00@000000?ooo`3oool000000`3oool2000000<0oooo00@000000?ooo`3o
ool00000@03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D0
00006@3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000?l04`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0=00oooo00<0003o0?ooo`3oool0o`3ooomR0?oo
o`030000003oool0oooo03D0oooo00@000000?ooo`3oool000000`3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0<0?ooo`D00000
AP3oool005`0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`050000003o
ool0oooo0?ooo`000?l04`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0<X0oooo
00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`3o0?ooof80oooo00<000000?ooo`3oool0
=P3oool2000000<0oooo2@0000110?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`050000003o
ool0oooo0?ooo`000?l04P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0<X0oooo
00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`3o0?ooof80oooo00<000000?ooo`3oool0
Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo01/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020000oa80oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`390?ooo`030000o`3oool0oooo0?l0ooooJ03o
ool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`040000003oool0
oooo0000oa<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`390?ooo`030000o`3o
ool0oooo00<0oooo00<0003o0?ooo`3oool0o`3ooomR0?ooo`030000003oool0oooo08D0oooo00<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool5000001T0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`020000oa80oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`390?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0EP3oool0
0`000000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0<
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`060?oo
o`040000003oool0oooo0000o`H0oooo00<00?l00?ooo`3oool02@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0<l0oooo00<0003o0?ooo`3oool0EP3oool00`000000oooo0?ooo`3o
0?ooo`T0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool01`3oool01000
0000oooo0000o`000?l60?ooo`03003o003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`390?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0EP3oool0
0`000000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01X0oooo00<000000?oo
o`3oool01`3oool01@000000oooo0000o`3oool0003o0140oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`390?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0EP3oool0
0`000000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000603oool00`000000oooo0?ooo`070?oo
o`050000003oool0003o0?ooo`000?l01@3oool00`00o`00oooo0?ooo`080?ooo`030000003oool0
oooo0080oooo00D0003o0?ooo`3oool0oooo0000003:0?ooo`030000o`3oool0oooo05d0oooo0P00
003o0?ooo`X0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0<0?ooo`D00000AP3o
ool005`0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`000?l01`3oool00`00o`00oooo0?ooo`080?ooo`030000003oool0
oooo0080oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`370?ooo`030000o`3oool0
oooo00@0oooo00<0003o0?ooo`3oool0EP3oool200000?l0oooo2P3oool00`000000oooo0?ooo`25
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00D000000?oo
o`000?l0oooo0000o`050?ooo`800?l02@3oool010000000oooo0?ooo`3oool20000o`@0oooo00<0
00000?ooo`3oool0S`3oool00`000000oooo0?ooo`0e0?ooo`030000o`3oool0oooo00@0oooo00<0
003o0?ooo`3oool0E@3oool00`000000oooo0000003o0?ooo`X0oooo00<000000?ooo`3oool0Q@3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`050000003oool0
oooo0?ooo`000?l0403oool01@000000oooo0?ooo`3oool0003o00D0oooo00<000000?ooo`3oool0
S`3oool00`000000oooo0?ooo`0l0?ooo`030000o`3oool0oooo05D0oooo00<000000?ooo`000000
o`3oool:0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`140?ooo`00G03oool5000000l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`050000003oool0003o0?ooo`000?l0103oool00`00o`00oooo003o00090?ooo`030000
003oool0oooo0080oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`2?0?ooo`030000
003oool0oooo03D0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`1E0?ooo`030000
003oool000000?l0oooo2P3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00`0oooo
1@0000160?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool010000000003o0?ooo`000?l40?ooo`03003o003oool00?l000T0oooo
00@000000?ooo`3oool0oooo0P000?l40?ooo`030000003oool0oooo08l0oooo00<000000?ooo`3o
ool0=@3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo05D0oooo00<000000?ooo`00
0000o`3oool:0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`140?ooo`00CP3oool2000000`0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00T0oooo00@0003o0?ooo`3oool0003o103oool00`00o`00
oooo003o00080?ooo`030000003oool0oooo0080oooo0P000?l40?ooo`030000003oool0oooo08h0
oooo00<000000?ooo`000000=P3oool00`000?l0oooo0?ooo`1L0?ooo`030000003oool000000?l0
oooo2P3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool03`3oool2000003<0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0003o0?ooo`3o
ool0403oool00`000000oooo0?ooo`020?ooo`80003o1@3oool00`000000oooo0?ooo`2=0?ooo`03
0000003oool0000003H0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`1D0?ooo`04
0000003oool0oooo00000?l0oooo2@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool03P3oool010000000oooo0?ooo`00000b0?ooo`00C@3oool01000
0000oooo0?ooo`00000;0?ooo`T000003@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00T0oooo00@0003o0?ooo`3oool0003o103oool00`00o`00oooo003o00080?ooo`030000003o
ool0oooo0080oooo0P000?l50?ooo`030000003oool0oooo08d0oooo00<000000?ooo`000000=P3o
ool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo05@0oooo00@000000?ooo`3oool00000
o`3oool90?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0203oool900000100oooo
00@000000?ooo`3oool00000<P3oool004L0oooo100000030?ooo`800000303oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool010000000oooo
0?ooo`000?l30?ooo`04003o003oool0oooo003o00P0oooo00<000000?ooo`3oool00P3oool00`00
0?l0oooo0?ooo`040?ooo`030000003oool0oooo08d0oooo00<000000?ooo`000000?P3oool00`00
0?l0oooo0?ooo`1D0?ooo`040000003oool0oooo00000?l0oooo2@3oool00`000000oooo0?ooo`25
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0203oool4000000<0oooo0P00000c
0?ooo`00C@3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`040000o`3oool0oooo0000o`<0oooo00@0
0?l00?ooo`3oool00?l0203oool00`000000oooo0?ooo`040?ooo`030000o`3oool0oooo0080oooo
00<000000?ooo`3oool0S@3oool00`000000oooo0000000e0?ooo`030000o`3oool0oooo00H0oooo
00<0003o0?ooo`3oool0E03oool010000000oooo0?ooo`00003o0?ooo`T0oooo00<000000?ooo`3o
ool0=@3oool300000080oooo0`0000020?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0>0?ooo`040000003oool0oooo00000380oooo001>0?ooo`80
0000303oool00`000000oooo0?ooo`0E0?ooo`050000003oool0oooo0?ooo`0000002`3oool01@00
0?l0oooo0?ooo`3oool0003o00h0oooo00D000000?ooo`3oool0oooo0000o`020?ooo`030000o`3o
ool0oooo0080oooo00<000000?ooo`3oool0S@3oool00`000000oooo0000000e0?ooo`030000o`3o
ool0oooo00H0oooo00<0003o0?ooo`3oool0E03oool010000000oooo0?ooo`00003o0?ooo`T0oooo
00<000000?ooo`3oool03`3oool80?l000030?ooo`3o0000o`0000H0o`0000<0oooo0?l0003o0000
4`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000004H0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0?0?ooo`800000<`3oool005`0oooo00<000000?ooo`3oool0
5@3oool01@000000oooo0?ooo`3oool0000000/0oooo00D0003o0000003oool0oooo0000o`020?oo
o`04003o003oool0oooo003o00P0oooo00D000000?ooo`3oool0oooo0000o`020?ooo`030000o`3o
ool0oooo0080oooo00<000000?ooo`3oool0S@3oool010000000oooo0?ooo`00000d0?ooo`030000
o`3oool0oooo05d0oooo00@000000?ooo`3oool00000o`3oool90?ooo`030000003oool0oooo03H0
oooo00<000000?ooo`3oool00P3oool3000004L0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`040000003oool0oooo000000/0
oooo00<0003o0000003oool0103oool01000o`00oooo0?ooo`00o`070?ooo`030000003oool0oooo
0080oooo00@0003o0?ooo`3oool0003o103oool00`000000oooo0?ooo`2=0?ooo`040000003oool0
oooo000003@0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`1C0?ooo`050000003o
ool0oooo0?ooo`000000o`3oool90?ooo`030000003oool0oooo03H0oooo0P0000030?ooo`040000
003oool0oooo000004H0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0F0?ooo`030000003oool0000000`0oooo00D0003o0000003oool0
oooo0000o`020?ooo`04003o003oool0oooo003o00L0oooo00<000000?ooo`3oool00P3oool01000
0?l0oooo0?ooo`000?l50?ooo`030000003oool0oooo08/0oooo00D000000?ooo`3oool0oooo0000
000d0?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0D`3oool01@000000oooo0?oo
o`3oool000000?l0oooo2@3oool00`000000oooo0?ooo`0f0?ooo`060000003oool0oooo0000003o
ool000000P3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool2000000d0oooo00@000000?ooo`3o
ool0003o3@3oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo00H0oooo00<000000?oo
o`3oool0R`3oool01@000000oooo0?ooo`3oool0000003d0oooo00<0003o0?ooo`3oool0D`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo1P3oool00`000000oooo0?ooo`0e
0?ooo`T00000A`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo01L0oooo0P00000<0?ooo`070000o`000000oooo0?ooo`000?l0oooo003o
00030?ooo`03003o003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool010000?l0oooo0?oo
o`000?l50?ooo`030000003oool0oooo08/0oooo00D000000?ooo`3oool0oooo0000000d0?ooo`03
0000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0D`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0?l0oooo1P3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`0:0?ooo`070000o`000000oooo0?ooo`000?l0oooo003o00030?ooo`03003o003oool0oooo
00D0oooo00<000000?ooo`3oool00P3oool010000?l0oooo0?ooo`000?l50?ooo`030000003oool0
oooo08/0oooo00D000000?ooo`3oool0oooo0000000d0?ooo`030000o`3oool0oooo00H0oooo00<0
003o0?ooo`3oool0D`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo1P3o
ool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0903oool00`000?l0oooo000000020?ooo`030000o`3oool0
0?l000@0oooo00<00?l00?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`040000o`3oool0
oooo0000o`D0oooo00<000000?ooo`3oool0R`3oool01@000000oooo0?ooo`3oool0000003@0oooo
00<0003o0?ooo`3oool0G03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo
1P3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0903oool00`000?l0oooo0000000?0?ooo`030000003o
ool0oooo00<0oooo00D0003o0?ooo`3oool0oooo0000o`040?ooo`030000003oool0oooo08/0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0a0?ooo`030000o`3oool0oooo00H0oooo
00<0003o0?ooo`3oool0D`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo
1P3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0903oool020000?l0oooo0?ooo`000000oooo0000o`3o
ool00?l0103oool00`00o`00oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00D0003o0?oo
o`3oool0oooo0000o`050?ooo`030000003oool0oooo08X0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0a0?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0D`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo1P3oool00`000000oooo0?ooo`25
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool09`3oool01@000000oooo0000o`3oool00?l000@0oooo00<00?l00?ooo`3oool00`3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo08X0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0j0?ooo`030000o`3oool0oooo05<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`3o0?ooo`H0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02@0oooo00P0003o0?oo
o`3oool000000?ooo`000?l0oooo003o00@0oooo00<00?l00?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool00`3oool00`000000oooo
0?ooo`290?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0<03oool00`000?l0oooo
0?ooo`070?ooo`030000o`3oool0oooo05<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`3o0?ooo`D0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02@0oooo00H0003o0?ooo`3oool00000
0?ooo`000?l;0?ooo`030000003oool0oooo00<0oooo00<0003o0?ooo`3oool00P3oool00`000?l0
oooo0?ooo`030?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0`0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0D`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0?l0oooo1@3oool00`000000oooo0?ooo`250?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
903oool01`000?l0oooo0?ooo`3oool000000000o`00o`001@3oool00`00o`00oooo0?ooo`020000
00H0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo
08P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0`0?ooo`030000o`3oool0oooo
05`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooo`D0oooo00<000000?oo
o`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo02@0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo0?ooo`030?ooo`03
003o003oool0000000P0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`040?ooo`03
0000003oool0oooo08P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0`0?ooo`03
0000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0DP3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0100oooo00<00?l00?ooo`3oool0l@3oool00`000000oooo0?ooo`250?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
903oool00`000?l0oooo0?ooo`030?ooo`03003o00000000oooo00<0oooo00<00?l00000003oool0
203oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0
R03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02l0oooo00<0003o0?ooo`3oool0
1`3oool00`000?l0oooo0?ooo`1B0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
403oool00`00o`00oooo0?ooo`3a0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0Z0?ooo`050000o`3o
ool000000000003oool00P00000F0?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0i0?ooo`030000o`3oool0oooo0580oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0@0?ooo`03003o003oool0oooo0?40oooo00<000000?ooo`3oool0
Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo02@0oooo00<0003o0?ooo`3oool00`3oool01`00o`00oooo0?ooo`3oool000000?ooo`00
o`002P3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3o
ool0R03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02l0oooo00<0003o0?ooo`3o
ool01`3oool00`000?l0oooo0?ooo`1B0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0403oool00`00o`00oooo0?ooo`3a0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0T0?ooo`030000
o`3oool0oooo0080oooo00<00?l00000o`3oool0103oool00`00o`00oooo0?ooo`080?ooo`030000
o`3oool0oooo0080oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`260?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0;`3oool00`000?l0oooo0?ooo`070?ooo`030000
o`3oool0oooo0580oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0?0?ooo`03003o
003oool0oooo0?40oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02<0oooo00<0003o0?ooo`3oool00`3o
ool00`00o`00003o0?ooo`040?ooo`03003o003oool0oooo00L0oooo00<0003o0?ooo`3oool00`3o
ool00`000?l0oooo0?ooo`050?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0_0?ooo`030000o`3oool0oooo05`0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0?0?ooo`03003o003oool0oooo0?40oooo00<000000?ooo`3oool0Q@3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000008@3oool0
0`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0103oool0
0`000000oooo0?ooo`260?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0;P3oool0
0`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo0580oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0?0?ooo`03003o003oool0oooo0?40oooo00<000000?ooo`3oool0Q@3oool0
0`000000oooo0?ooo`0<0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool08`3oool00`00
0?l0oooo0?ooo`030?ooo`03003o00000?l0oooo00@0oooo00<00?l00?ooo`3oool01`3oool00`00
0?l0oooo0?ooo`040?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo02d0oooo00<0003o0?ooo`3oool0203oool00`00
0?l0oooo0?ooo`1B0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03`3oool2003o
0?80oooo00<000000?ooo`3oool0=@3oool3000000<0oooo100000020?ooo`<00000@@3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02T0
oooo00<00?l00000o`3oool0103oool00`00o`00oooo0?ooo`0F0?ooo`030000003oool0oooo08D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`03003o003oool0oooo01h0
oooo00<0003o0?ooo`3oool0DP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00l0
oooo0P00o`2F0?ooo`030000o`3oool0oooo05T0oooo00<000000?ooo`3oool0=@3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0@03oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
02<0oooo00<0003o0?ooo`3oool00`3oool00`00o`00003o0?ooo`040?ooo`03003o003oool0oooo
00L0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`050?ooo`030000003oool0oooo
08D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`03003o003oool0oooo
01<0oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`150?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0@0?ooo`03003o003oool0oooo
09@0oooo00<0003o0?ooo`3oool0F@3oool00`000000oooo0?ooo`0?0?oooa@000005@3oool01@00
0000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02<0oooo00<0003o0?oo
o`3oool0103oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?oo
o`3oool01@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0;@3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo04D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00l0oooo00<00?l00?oo
o`3oool0U@3oool00`000?l0oooo0?ooo`1I0?ooo`030000003oool0oooo03H0oooo0P0000050?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02<0oooo00<0003o0?ooo`3o
ool00`3oool00`00o`00003o0?ooo`050?ooo`03003o003oool0oooo00H0oooo00<0003o0?ooo`3o
ool0103oool00`000?l0oooo0?ooo`050?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0G0?ooo`03003o003oool0oooo01<0oooo00<0003o0?ooo`3o
ool0D@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool03P3oool2003o09H0oooo00<0003o0?ooo`3oool0F@3oool00`000000oooo0?ooo`0e0?ooo`04
0000003oool0oooo00000080oooo00X000000?ooo`3oool000000?ooo`000000oooo0000003oool0
0000@03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo02<0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo00H0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`050?ooo`030000
003oool0oooo08@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?ooo`800?l0
5@3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo04D0oooo0P0000090?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool03P3oool2003o09H0oooo00<0003o0?ooo`3oool0
F@3oool00`000000oooo0?ooo`0e0?ooo`@000000P3oool4000000030?ooo`000000000000<00000
@03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo02<0oooo00<0003o0?ooo`3oool00P3oool01000o`00oooo0?ooo`000?l50?ooo`03003o
003oool0oooo00H0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`060?ooo`030000
003oool0oooo08<0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?ooo`800?l0
5@3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo04@0oooo00<000000?ooo`000000
2@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00l0oooo00<00?l00?ooo`3oool0
U03oool00`000?l0oooo0?ooo`1I0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0[0?ooo`030000o`3o
ool0oooo01`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1a0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0>03oool00`000?l0oooo0?ooo`140?ooo`030000003o
ool0000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0>0?ooo`03003o003o
ool0oooo09D0oooo0P000?mJ0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0S0?ooo`030000o`3oool0
oooo0080oooo00@00?l00?ooo`3oool0003o1@3oool00`00o`00oooo0?ooo`060?ooo`030000o`3o
ool0oooo00D0oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`800000L`3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01D0oooo00<00?l00?ooo`00o`00503o
ool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo04@0oooo00<000000?ooo`0000002@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00d0oooo00<00?l00?ooo`00o`00U`3o
ool00`000?l0oooo0?ooo`1H0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0S0?ooo`030000o`3oool0
oooo0080oooo00@00?l00?ooo`3oool0003o1@3oool00`00o`00oooo0?ooo`060?ooo`030000o`3o
ool0oooo00D0oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool000000780oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`03003o003o
ool00?l001@0oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`140?ooo`030000003o
ool0000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`03003o003o
ool00?l009H0oooo0P000?mJ0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0R0?ooo`030000o`3oool0
oooo00<0oooo00@00?l00?ooo`3oool0003o1@3oool00`00o`00oooo0?ooo`050?ooo`030000o`3o
ool0oooo00H0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0<0?ooo`040000003o
ool0oooo00000780oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`03003o
003oool00?l001@0oooo00<0003o0?ooo`3oool0D03oool010000000oooo0?ooo`0000080?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool00`00o`00oooo0?ooo`2D0?ooo`80
003oFP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool08P3oool00`000?l0oooo0?ooo`0D0?ooo`030000
o`3oool0oooo00H0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0<0?ooo`050000
003oool0oooo0?ooo`000000L@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02`0
oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`140?ooo`040000003oool0oooo0000
00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`03003o003oool0oooo
09D0oooo00<0003o0?ooo`000?l0FP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000P0?ooo`030000o`3oool0oooo0080
oooo00D00?l00?ooo`3oool0oooo0000o`050?ooo`03003o003oool0oooo00D0oooo00<0003o0?oo
o`3oool01P3oool00`000?l0oooo0?ooo`060?ooo`030000003oool0oooo00/0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool05@3oool00`00o`00oooo003o000D0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?oo
o`3oool0@`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0<0?ooo`03003o003oool00?l009D0oooo00<0003o0?ooo`3oool0FP3oool0
0`000000oooo0?ooo`250?ooo`030000003oool0oooo00`0oooo1@0000160?ooo`00G03oool00`00
0000oooo0?ooo`0W0?ooo`05003o003oool0oooo0?ooo`000?l01@3oool00`00o`00oooo0?ooo`0G
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1]
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool05@3oool00`00o`00oooo003o000P
0?ooo`030000o`3oool0oooo04<0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0303oool00`00o`00oooo003o002E0?ooo`030000o`3o
ool0003o05X0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo0100oooo00<0003o0?ooo`3oool03`3oool0
0`000?l0oooo0?ooo`020?ooo`05003o003oool0oooo0?ooo`000?l01@3oool00`00o`00oooo0?oo
o`050?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0503oool00`00o`00oooo003o
000D0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0@`3oool01@000000oooo0?oo
o`3oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0>0?ooo`03003o
003oool0oooo09D0oooo00<0003o0?ooo`3oool0F03oool00`000000oooo0?ooo`250?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0403o
ool00`000?l0oooo0?ooo`0?0?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool02`3o
ool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00L0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0680oooo00<000000?ooo`0000001`3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02/0oooo00<0003o0?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`130?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00`0oooo00<00?l00?ooo`3oool0U@3o
ool00`000?l0oooo0000o`1J0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0403o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0@0?ooo`030000o`3oool0
oooo00l0oooo00<0003o0?ooo`3oool00P3oool01@00o`00oooo0?ooo`3oool0003o00D0oooo00<0
0?l00?ooo`3oool01@3oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00L0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0680oooo00@0
00000?ooo`3oool000001P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01<0oooo
00D00?l00?ooo`3oool0oooo003o000B0?ooo`030000o`3oool0oooo0500oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0303oool00`00o`00oooo003o002E0?ooo`030000o`3oool0003o05X0oooo00<000000?ooo`3o
ool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0140oooo00<0003o0?ooo`3oool03P3oool01@000?l0oooo0?ooo`3oool00?l000X0
oooo00<00?l00?ooo`3oool01@3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo00H0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?oo
o`00o`00G`3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0C0?ooo`05003o003oool0oooo0?ooo`00o`004P3oool00`000?l0oooo0?oo
o`0:0?ooo`030000o`3oool0oooo04<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0303oool00`00o`00oooo003o
002E0?ooo`030000o`3oool0003o05X0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0140oooo00<0003o
0?ooo`3oool03P3oool01@000?l0oooo0?ooo`3oool00?l000D0oooo00<0003o0?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`050?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool01P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00@000000?ooo`00o`000?l0
G`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0C0?ooo`05003o003oool0oooo0?ooo`00o`004P3oool00`000?l0
oooo0?ooo`0:0?ooo`030000o`3oool0oooo04<0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03P3oool00`00o`00
oooo0?ooo`2C0?ooo`030000o`3oool0oooo05X0oooo00<000000?ooo`3oool0Q@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02`0oooo
00<0003o0?ooo`3oool07P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0g0?ooo`030000o`3oool0oooo0480oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`00o`00oooo0?ooo`2E0?ooo`040000o`3oool0oooo0000oeT0
oooo00<000000?ooo`3oool0?03oool3000004H0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030000o`3oool0oooo00d0oooo
00D0003o0?ooo`3oool0oooo003o00050?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3o
ool0103oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo00L0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0:0?ooo`0300000000o`000?l005h0oooo00<000000?ooo`3o
ool01@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool04P3oool01@00
o`00oooo0?ooo`3oool00?l00180oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo0?ooo`12
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00/0oooo00<00?l00?ooo`00o`00V03oool00`000?l0oooo0?ooo`1G
0?ooo`030000003oool0oooo03l0oooo00D000000?ooo`3oool0oooo000000110?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04P3oool0
0`000?l0oooo0?ooo`0=0?ooo`050000o`3oool0oooo0?ooo`00o`001@3oool00`000?l0oooo0?oo
o`020?ooo`03003o003oool0oooo00@0oooo00<0003o0?ooo`3oool0203oool00`000?l0oooo0?oo
o`070?ooo`P000003@3oool00`0000000?l0003o001M0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`0000003P3oool00`000000oooo0?ooo`0B0?ooo`05003o003oool0oooo0?ooo`00o`00
4P3oool00`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo0480oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
2`3oool00`00o`00oooo003o002E0?ooo`040000o`3oool0oooo0000oeT0oooo00<000000?ooo`3o
ool03P3oool300000080oooo0P0000040?ooo`8000000`3oool4000000<0oooo1P0000020?ooo`80
00000P3oool600000080oooo0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`070?ooo`D0
0000203oool4000000T0oooo0P0000040?ooo`8000000`3oool5000000h0oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`140?ooo`00G03oool500000100oooo00<0003o0?ooo`3oool0
303oool00`000?l0oooo0?ooo`020?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool0
0`3oool00`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool0
7@3oool2003o05d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0000000>0?ooo`030000
003oool0oooo0180oooo00D00?l00?ooo`3oool0oooo003o000B0?ooo`030000o`3oool0oooo04l0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool03@3oool00`00o`00oooo0?ooo`0C0?ooo`030000o`3oool0oooo07d0
oooo00@0003o0?ooo`3oool0003oF@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
00H0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`07
0?ooo`030000003oool0000001D0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00`0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0C
0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`08
0?ooo`030000o`3oool0oooo01d0oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`09
0?ooo`8000003P3oool00`000000oooo0?ooo`0Y0?ooo`030000o`3oool0oooo00X0oooo00<0003o
0?ooo`3oool0@P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`03003o003oool0oooo01D0oooo00<0003o
0?ooo`3oool0O@3oool010000?l0oooo0?ooo`000?mI0?ooo`030000003oool0oooo00`0oooo1@00
00070?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000h0oooo00<000000?ooo`000000
2@3oool4000000P0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
4`3oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool0
:03oool2003o05`0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo0140oooo00D00?l00?ooo`3oool0oooo003o000B0?ooo`030000o`3oool0oooo00X0
oooo00<0003o0?ooo`3oool0@P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`04003o003oool0oooo003o
01@0oooo00<0003o0?ooo`3oool0O@3oool00`000?l0oooo0?ooo`1J0?ooo`030000003oool0oooo
00`0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`@000000`3o
ool3000000030?ooo`0000000000008000000P3oool2000000040?ooo`00000000000?ooo`@00000
103oool4000000h0oooo00<000000?ooo`3oool0503oool010000000oooo0?ooo`00000:0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0U0?ooo`03003o003oool0oooo00@0oooo00<0003o0?ooo`3oool0
0`3oool00`00o`00oooo0?ooo`0?0?ooo`030000o`3oool0oooo00H0oooo00<00?l00?ooo`3oool0
4P3oool00`00o`00oooo003o001K0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
3`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo01d0oooo00<0003o0?ooo`3oool0
@@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
3@3oool00`000000oooo0?ooo`080?ooo`04003o003oool0oooo003o01@0oooo00<0003o0?ooo`3o
ool0O@3oool010000?l0oooo0?ooo`000?mI0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`000000203oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo02D0oooo00<00000
0?ooo`3oool0503oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00>03oool01@2IVIT08R8R00000014
A4@0gMgM01l0oooo00<000000?ooo`3oool04`3oool00`000?l0oooo0?ooo`0;0?ooo`050000o`3o
ool0oooo0?ooo`00o`001P3oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo00<0oooo
00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`060?ooo`03003o003oool0oooo0180oooo
00<00?l00?ooo`00o`00F`3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00l0oooo
00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0?0?ooo`030000o`3oool0oooo00/0oooo
00<0003o0?ooo`3oool0@03oool00`000000oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`00
00004@3oool2000000/0oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?ooo`200?ooo`03
0000o`3oool0oooo05L0oooo00<000000?ooo`3oool03P3oool2000000T0oooo0P00000;0?ooo`80
00009`3oool00`000000oooo0?ooo`0E0?ooo`8000002P3oool200000100oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`140?ooo`00=`3oool208R8R080oooo00<0VIVI04A4A03oool0
7P3oool00`000000oooo0?ooo`0C0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0
203oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0
1@3oool2003o01@0oooo00@00?l00?ooo`3oool00000F@3oool00`000000oooo0?ooo`0N0?ooo`03
0000003oool0oooo02H0oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`100?ooo`03
0000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`030000003oool0oooo
00D0oooo00<00?l00?ooo`3oool05@3oool00`000?l0oooo0?ooo`1l0?ooo`050000o`3oool0oooo
0?ooo`000?l0F@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0A03oool003H0oooo00<0k^k^07MgM`3oool00`3oool00`14A4@0oooo0?ooo`0M0?oo
o`030000003oool0oooo01<0oooo00<0003o0?ooo`3oool02`3oool01@000?l0oooo0?ooo`3oool0
0?l000H0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0
oooo00X0oooo00<0003o0?ooo`3oool01@3oool00`00o`00oooo0?ooo`0C0?ooo`04003o003oool0
oooo003o05T0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0=0?ooo`03003o003o
ool0oooo00<0oooo00<00?l00?ooo`3oool03P3oool00`000?l0oooo0?ooo`1?0?ooo`030000003o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo0000000D0?ooo`030000003oool0oooo00@0oooo
00@00?l00?ooo`3oool00?l04`3oool00`000?l0oooo0?ooo`1m0?ooo`050000o`3oool0oooo0?oo
o`000?l0F@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0A03oool003<0oooo00@0VIVI014A4@1gMgL0R8R81@3oool00`0c<c<0oooo0?ooo`0M0?oo
o`D000004P3oool00`000?l0oooo0?ooo`0:0?ooo`050000o`3oool0oooo0?ooo`00o`00303oool0
0`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool01P3oool0
0`00o`00oooo0?ooo`0B0?ooo`05003o003oool0oooo003o000000006`3oool00`000?l0oooo0?oo
o`0i0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0303oool00`00o`00oooo0?oo
o`030?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo0?oo
o`100?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000000E0?ooo`030000
003oool0oooo00<0oooo00@00?l00?ooo`3oool00?l04`3oool20000ogh0oooo00D0003o0?ooo`3o
ool0oooo0000o`1I0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0303oool50000
04H0oooo000c0?ooo`04014A4@3^k^h0R8R808R8R0@0oooo00<0gMgM05EEE@3oool07P3oool00`00
0000oooo0?ooo`0D0?ooo`030000o`3oool0oooo00X0oooo00D0003o0?ooo`3oool0oooo003o0007
0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`0B
0?ooo`800?l05`3oool00`00o`0000000?ooo`0J0?ooo`030000o`3oool0oooo03T0oooo00<00000
0?ooo`3oool08P3oool00`000000oooo0?ooo`0;0?ooo`03003o003oool0oooo00<0oooo00<00?l0
0?ooo`3oool03P3oool00`000?l0oooo0?ooo`0<0?ooo`030000o`3oool0oooo0400oooo00<00000
0?ooo`3oool01`3oool010000000oooo0?ooo`00000E0?ooo`030000003oool0oooo00H0oooo00<0
0?l00?ooo`3oool04@3oool20000ogh0oooo00<0003o0?ooo`3oool0F`3oool00`000000oooo0?oo
o`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool003<0oooo00D00000
0?ooo`3oool08R8R0;^k^`020?ooo`030:ZZZP0R8R80gMgM01l0oooo00<000000?ooo`3oool0;@3o
ool00`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0oooo00D0oooo00<00?l00?ooo`00o`004`3o
ool00`00o`00oooo0?ooo`020?ooo`030000003oool0oooo01L0oooo0P000?lk0?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0<@3oool00`000?l0oooo0?ooo`100?ooo`030000003o
ool0oooo00L0oooo00@000000?ooo`3oool000005@3oool00`000000oooo0?ooo`030?ooo`03003o
003oool0oooo01@0oooo0P000?mn0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0
EP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool003<0oooo00D08R8R0?ooo`3oool0gMgM04A4A0020000000305EEE@3^k^h0oooo01l0oooo
00<000000?ooo`3oool05@3oool00`000?l0oooo0?ooo`090?ooo`050000o`3oool0oooo0?ooo`00
o`001`3oool00`000?l0oooo0?ooo`020?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3o
ool02P3oool00`000?l0oooo0?ooo`050?ooo`03003o003oool0oooo0180oooo00L00?l00?ooo`3o
ool0oooo003o003oool0000001T0oooo00<0003o0?ooo`000?l0>@3oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo00X0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0>
0?ooo`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0?`3oool00`000000oooo0?ooo`08
0?ooo`040000003oool0oooo000001H0oooo00D000000?ooo`3oool0oooo003o00030?ooo`03003o
003oool0oooo0140oooo00<0003o0?ooo`000?l0PP3oool00`000?l0oooo0?ooo`1F0?ooo`030000
003oool0oooo08D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0E0?ooo`030000o`3oool0oooo00T0oooo00@0003o0?ooo`3oool00?l0
203oool00`000?l0oooo0?ooo`020?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3oool0
2P3oool00`000?l0oooo0?ooo`070?ooo`03003o003oool0oooo0100oooo00L00?l00?ooo`3oool0
oooo003o003oool0000001T0oooo00<0003o0?ooo`000?l0>@3oool00`000000oooo0?ooo`0U0?oo
o`030000003oool0oooo00T0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0>0?oo
o`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0?`3oool00`000000oooo0?ooo`080?oo
o`040000003oool0oooo000001H0oooo00D000000?ooo`3oool0oooo003o00030?ooo`03003o003o
ool0oooo0140oooo00<0003o0?ooo`000?l0O@3oool00`000?l0oooo0?ooo`020?ooo`030000o`3o
ool0oooo05H0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo01H0oooo00<0003o0?ooo`3oool01`3oool0
1@000?l0oooo0?ooo`3oool00?l000P0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo0?oo
o`020?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0103oool00`00o`00oooo003o
000F0?ooo`04003o003oool0oooo000005@0oooo00<000000?ooo`3oool09P3oool00`000000oooo
0?ooo`080?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03P3oool00`000?l0oooo
0?ooo`1>0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool000005P3oool00`000000
oooo0?ooo`050?ooo`03003o003oool0oooo0140oooo00<0003o0?ooo`3oool0H@3oool00`000000
oooo0?ooo`0I0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0EP3ooon900000180
oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000D0?ooo`030000o`3oool0oooo00L0oooo
00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo00@0oooo
00<00?l00?ooo`00o`004P3oool00`00o`00oooo0?ooo`040?ooo`030000003oool0oooo01D0oooo
00@0003o0?ooo`3oool0003o>03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01l0
oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo0?ooo`0o0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`0000005P3oool01@000000oooo0?ooo`3oool00?l001H0oooo00@0003o0?oo
o`3oool0003oH@3oool3000001T0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`3]
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0903oool00`00o`00oooo0?ooo`060?oo
o`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`0B0?oo
o`03003o003oool0oooo0180oooo00D00?l00?ooo`3oool0oooo003o00030?ooo`030000003oool0
oooo01@0oooo00@0003o0?ooo`3oool0003o>03oool00`000000oooo0?ooo`0X0?ooo`030000003o
ool0oooo00H0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3o
ool0oooo00`0oooo00<0003o0?ooo`3oool0?`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0000001H0oooo00D000000?ooo`3oool0oooo003o00030?ooo`03003o003oool0oooo0100oooo
00@0003o0?ooo`3oool0003oH03oool010000000oooo0?ooo`3oool2000001L0oooo00<0003o0?oo
o`3oool0N@3oool00`000000oooo0?ooo`1j0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo01H0oooo00<0003o0?ooo`3oool01`3oool01@000?l0oooo0?ooo`3oool00?l0
00P0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo0?ooo`0@0?ooo`030000o`3oool0oooo
00<0oooo00D00?l00?ooo`3oool0oooo003o000A0?ooo`05003o003oool0oooo0?ooo`00o`000`3o
ool00`000000oooo0?ooo`0C0?ooo`050000o`3oool0oooo0?ooo`000?l0>03oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo00D0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo
0?ooo`0L0?ooo`030000o`3oool0oooo03l0oooo00<000000?ooo`3oool02@3oool2000001P0oooo
00@000000?ooo`3oool00?l00`3oool00`00o`00oooo0?ooo`0@0?ooo`040000o`3oool0oooo0000
of00oooo00<000000?ooo`3oool00`3oool2000001D0oooo00<0003o0?ooo`3oool00P3oool00`00
0?l0oooo0?ooo`1d0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0A03oool003H0
oooo1`00000O0?ooo`030000003oool0oooo01H0oooo00<0003o0?ooo`3oool01`3oool01@000?l0
oooo0?ooo`3oool00?l000P0oooo00<0003o0?ooo`3oool00`3oool01@00o`00oooo0?ooo`3oool0
003o00d0oooo00<0003o0?ooo`3oool00`3oool01@00o`00oooo0?ooo`3oool00?l001D0oooo00<0
0?l00?ooo`3oool00P3oool00`000000oooo0?ooo`0B0?ooo`030000o`3oool0oooo0080oooo00<0
003o0?ooo`3oool0=03oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo00D0oooo00<0
0?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00`0oooo00<0
003o0?ooo`3oool0?`3oool00`000000oooo0?ooo`090?ooo`800000603oool00`000000oooo0?oo
o`040?ooo`03003o003oool0oooo01<0oooo00<0003o0?ooo`3oool0G@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`3oool0M03oool2000007/0oooo00<0
00000?ooo`3oool0A03oool003@0oooo0P0000070?ooo`8000007@3oool00`000000oooo0?ooo`0F
0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo0?ooo`07
0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool00`3oool01@00o`00oooo0?ooo`3o
ool00?l00140oooo00<00?l00?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?ooo`030000o`3o
ool0oooo0080oooo00<0003o0?ooo`3oool0=03oool00`000000oooo0?ooo`0[0?ooo`030000003o
ool0oooo01`0oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo0?ooo`0n0?ooo`030000003o
ool0oooo00X0oooo0P00000H0?ooo`040000003oool0oooo003o01H0oooo00@0003o0?ooo`3oool0
003oG`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0180oooo00<0003o0?ooo`3o
ool00P3oool00`000?l0oooo0?ooo`1c0?ooo`030000003oool0000007/0oooo00<000000?ooo`3o
ool0A03oool003<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0J0?ooo`D00000
5@3oool00`000?l0oooo0?ooo`060?ooo`050000o`3oool0oooo0?ooo`00o`00203oool00`000?l0
oooo0?ooo`030?ooo`04003o003oool0oooo0000o`h0oooo00<0003o0?ooo`3oool06@3oool00`00
o`00oooo0?ooo`020?ooo`03003o003oool0oooo0080oooo00<000000?ooo`3oool0C@3oool00`00
0000oooo0?ooo`0/0?ooo`030000003oool0oooo00<0oooo00<00?l00?ooo`3oool01@3oool00`00
o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo04d0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`0F0?ooo`040000003oool0oooo003o00<0oooo00<00?l00?ooo`3oool0403oool0
0`000?l0oooo0?ooo`1O0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04@3oool0
0`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo07<0oooo00<000000?ooo`000000M`3oool5
000004H0oooo001L0?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`3oool01P3oool01000
0?l0oooo0?ooo`00o`0?0?ooo`04003o003oool0oooo0000o`l0oooo00<0003o0?ooo`3oool00P3o
ool01@00o`00oooo0?ooo`3oool00?l00140oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`020?ooo`030000003oool0oooo0140oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo
0?ooo`0c0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool00P3oool00`00o`00oooo
0?ooo`050?ooo`03003o003oool0oooo00d0oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo
0?ooo`0n0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool05P3oool010000000oooo
0?ooo`00o`030?ooo`03003o003oool0oooo0100oooo00@0003o0?ooo`3oool0003oGP3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00<0003o0?ooo`3oool00`3oool00`00
0?l0oooo0?ooo`1c0?ooo`040000003oool0oooo000007X0oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool08`3oool00`00o`00oooo0?ooo`070?ooo`030000o`3oool0oooo
00<0oooo00@00?l00?ooo`3oool0003o503oool01@00o`00oooo0?ooo`3oool00?l000@0oooo00<0
003o0?ooo`3oool03`3oool00`00o`00oooo0?ooo`030?ooo`030000003oool0oooo0100oooo00<0
003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0c0?ooo`030000003oool0oooo02h0oooo00<0
00000?ooo`3oool02P3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00`0oooo00<0
003o0?ooo`3oool0?P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool0103oool00`00o`00oooo0?ooo`0@0?ooo`040000o`3oool0oooo0000oeh0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0?0?ooo`030000o`3oool0oooo07T0oooo
00@000000?ooo`3oool00000NP3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0H0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo
0?ooo`0F0?ooo`030000o`3oool0oooo0080oooo00D00?l00?ooo`3oool0oooo003o00040?ooo`03
0000o`3oool0oooo00T0oooo00<00?l00?ooo`3oool02P3oool2000000l0oooo00<0003o0?ooo`3o
ool0103oool00`000?l0oooo0?ooo`0b0?ooo`030000003oool0oooo02l0oooo00D000000?ooo`3o
ool0oooo003o000V0?ooo`030000o`3oool0oooo03h0oooo00<000000?ooo`3oool09@3oool00`00
0000oooo003o000F0?ooo`040000o`3oool0oooo0000oed0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0?0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0LP3oool0
10000000oooo0?ooo`00001j0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo01T0oooo00<0003o0?ooo`3oool0103oool010000?l0oooo0?ooo`00o`090?ooo`030000o`3o
ool0oooo00<0oooo00@00?l00?ooo`3oool0003o3`3oool00`000?l0oooo0?ooo`0<0?ooo`030000
o`3oool0oooo00P0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`060?ooo`030000
003oool0oooo00`0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0a0?ooo`030000
003oool0oooo0340oooo00<000000?ooo`00o`002@3oool00`00o`00oooo0?ooo`0<0?ooo`030000
o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0?P3oool00`000000oooo0?ooo`0U0?ooo`030000
003oool00?l000<0oooo00<00?l00?ooo`3oool0503oool00`000?l0oooo0?ooo`1J0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool05@3oool00`000?l0oooo0?ooo`1b0?ooo`050000
003oool0oooo0?ooo`000000N@3oool00`000000oooo0?ooo`140?ooo`00=`3oool200000080oooo
0P00000O0?ooo`D00000603oool00`000?l0oooo0?ooo`020?ooo`050000o`3oool0oooo0?ooo`00
o`002P3oool00`000?l0oooo0?ooo`020?ooo`04003o003oool0oooo0000o`l0oooo00<0003o0?oo
o`3oool00P3oool00`00o`00oooo0?ooo`020?ooo`06003o003oool0oooo0000o`3oool0003o2P3o
ool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00L0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0340oooo00<000000?ooo`00o`002@3o
ool00`00o`00oooo0?ooo`0<0?ooo`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0?@3o
ool00`000000oooo0?ooo`0V0?ooo`030000003oool00?l000<0oooo00<00?l00?ooo`3oool0403o
ool01@000?l0oooo0?ooo`3oool0003o05/0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`0>0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0L@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo07<0oooo1@0000160?ooo`00=P3oool01P000000oooo0?oo
o`000000oooo00000200oooo00<000000?ooo`3oool06`3oool01@000?l0oooo0?ooo`3oool0003o
00<0oooo00<00?l00?ooo`3oool0203oool00`000?l0oooo0?ooo`020?ooo`03003o003oool0003o
0140oooo00@0003o0?ooo`3oool00?l01@3oool01000o`00oooo0?ooo`000?lB0?ooo`03003o003o
ool0oooo00P0oooo0P00000:0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0203o
ool00`000000oooo0000000V0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0203o
ool00`00o`00oooo0?ooo`0;0?ooo`030000o`3oool0oooo04d0oooo00<000000?ooo`3oool09P3o
ool00`000000oooo0?ooo`040?ooo`03003o003oool0oooo00l0oooo00<0003o0?ooo`3oool0G@3o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<0003o0?ooo`3oool0103o
ool00`000?l0oooo0?ooo`1a0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0M`3o
ool00`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0703oool010000?l0oooo0?ooo`000?lD0?ooo`030000
o`3oool0oooo0100oooo00@0003o0?ooo`3oool00?l01@3oool00`00o`00oooo0000o`020?ooo`03
0000o`3oool0oooo00P0oooo00<00?l00?ooo`3oool0403oool00`000000oooo0?ooo`070?ooo`03
0000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool01`3oool010000000oooo0?ooo`00000U0?oo
o`030000003oool0oooo03<0oooo00<00000003o003oool05P3oool00`000?l0oooo0?ooo`0=0?oo
o`030000o`3oool0oooo03d0oooo00<000000?ooo`3oool09P3oool00`000000oooo003o000E0?oo
o`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0F@3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo00d0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`1a0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`140?oo
o`00=P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01d0oooo1@00000K0?oo
o`030000o`3oool0oooo00<0oooo00<00?l00?ooo`3oool0203oool00`000?l0oooo0?ooo`020?oo
o`03003o003oool0oooo01`0oooo00@0003o0?ooo`3oool0003o2P3oool00`00o`00oooo0?ooo`03
0?ooo`03003o003oool0oooo00/0oooo0P0000060?ooo`030000o`3oool0oooo00H0oooo00<0003o
0?ooo`3oool01@3oool2000000@0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0d
0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool02`3oool00`000?l0oooo0?ooo`0=
0?ooo`030000o`3oool0oooo03d0oooo00<000000?ooo`3oool09`3oool00`0000000?l00?ooo`03
0?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`1H
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0303oool00`000?l0oooo0?ooo`1h
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0LP3oool5000004H0oooo000f0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0N
0?ooo`80003o0P3oool00`00o`00oooo0?ooo`090?ooo`060000o`3oool0oooo0?ooo`000?l00?l0
4`3oool010000?l0oooo0?ooo`00o`050?ooo`03003o003oool0003o0080oooo00<0003o0?ooo`3o
ool0203oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00d0oooo0P0000040?ooo`03
0000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool0=03oool00`00o`0000000?ooo`070?ooo`03
003o003oool0oooo01/0oooo00<0003o0?ooo`3oool0?@3oool00`000000oooo0?ooo`0W0?ooo`03
00000000o`00oooo00<0oooo00<00?l00?ooo`3oool03P3oool00`000?l0oooo0?ooo`020?ooo`03
0000o`3oool0oooo05P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0<0?ooo`03
0000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0L@3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo07H0oooo00<000000?ooo`3oool0A03oool003H0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool07`3oool010000?l0oooo0?ooo`00o`0;0?ooo`060000o`3oool0003o0000o`3oool00?l04`3o
ool010000?l0oooo0?ooo`00o`050?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool0
3P3oool00`00o`00oooo0?ooo`0>0?ooo`8000000P3oool00`000?l0oooo0?ooo`070?ooo`030000
o`3oool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo00D0oooo00<0003o0?ooo`3oool0;P3oool00`000000oooo0?ooo`0D0?ooo`030000
o`3oool0oooo00d0oooo00<0003o0?ooo`3oool0?03oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo00<0oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`1G0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool04P3oool00`000?l0oooo0?ooo`1a0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo0340oooo000f0?ooo`8000000P3oool2000001<0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0^0?ooo`80003o5`3oool010000?l0oooo0?ooo`00o`060?ooo`03003o
00000?l0oooo0080oooo00<0003o0?ooo`3oool01P3oool00`00o`00oooo0?ooo`0H0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0O0?ooo`030000
003oool0oooo00@0oooo0P000?l_0?ooo`03003o003oool0000000L0oooo00<00?l00?ooo`3oool0
2`3oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo03`0oooo00<000000?ooo`3oool0
:03oool00`0000000?l00?ooo`0D0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0
E`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00/0oooo00<0003o0?ooo`3oool0
103oool00`000?l0oooo0?ooo`1`0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
?03oool00`000?l0oooo0?ooo`0f0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
<@3oool004l0oooo00<000000?ooo`3oool02P3oool9000001`0oooo00<00?l00?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`020?ooo`03003o003oool0oooo0180oooo00<0003o0?ooo`3oool01`3o
ool01@000?l0oooo0?ooo`3oool0003o00P0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo
0?ooo`0A0?ooo`03000000000?l0oooo00P0oooo00@0003o0?ooo`3oool00000303oool00`000000
oooo0?ooo`0L0?ooo`8000001`3oool20000obl0oooo00@00?l00?ooo`3oool000001P3oool00`00
o`00oooo0?ooo`0;0?ooo`030000o`3oool0oooo04`0oooo00<000000?ooo`3oool0:03oool00`00
00000?l00?ooo`030?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool0F`3oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo00D0oooo0P0000030?ooo`030000o`3oool0oooo
00@0oooo00<0003o0?ooo`3oool0L03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
03`0oooo00<0003o0?ooo`3oool0;P3oool900000180oooo00<000000?ooo`3oool0<@3oool004L0
oooo100000050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08P3oool00`00o`00
oooo0?ooo`0>0?ooo`03003o003oool0oooo0180oooo00<0003o0?ooo`00o`001P3oool00`00o`00
oooo0?ooo`020?ooo`030000o`3oool0oooo00H0oooo00<00?l00?ooo`3oool01@3oool00`00o`00
oooo0?ooo`0B0?ooo`030000o`000000oooo00L0oooo00<0003o0000000000003P3oool00`000000
oooo0?ooo`0I0?ooo`800000203oool00`000?l0oooo0000o`0_0?ooo`04003o003oool0oooo0000
00L0oooo00<00?l00?ooo`3oool02P3oool00`000?l0oooo0?ooo`0>0?ooo`030000o`3oool0oooo
03X0oooo00<000000?ooo`3oool0:P3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo
00h0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`1F0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool00`3oool2000000030?ooo`000000oooo0080oooo00<0003o0?oo
o`3oool0103oool00`000?l0oooo0?ooo`1`0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0>`3oool20000ocL0oooo00<000000?ooo`3oool0203oool4000000D0oooo00<000000?oo
o`3oool0<03oool003l0oooo00<000000?ooo`3oool02`3oool010000000oooo0?ooo`00000;0?oo
o`030000003oool0oooo0280oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`0D0?oo
o`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`0>0?oo
o`03003o003oool0oooo0140oooo00@0003o0?ooo`3oool000001`3oool00`000?l0oooo0?ooo`0?
0?ooo`030000003oool0oooo01H0oooo0P0000080?ooo`050000o`3oool0oooo0?ooo`000?l0<`3o
ool00`000000oooo0?ooo`040?ooo`8000002`3oool00`000?l0oooo0?ooo`0>0?ooo`030000o`3o
ool0oooo03X0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`020?ooo`03003o003o
ool0oooo00h0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`1E0?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`0000000P0000040?ooo`040000003oool0oooo0000oed0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03/0oooo
0P000?lg0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3oool003T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`@000002`3oool00`000000oooo
0?ooo`190?ooo`030000o`00o`00oooo00D0oooo00<00?l00?ooo`3oool00`3oool00`000?l0oooo
0?ooo`050?ooo`03003o003oool0oooo01T0oooo00D0003o0?ooo`3oool0oooo000000050?ooo`03
0000003oool0003o0100oooo00<000000?ooo`3oool0503oool2000000T0oooo00<0003o0?ooo`3o
ool00`3oool00`000?l0oooo0?ooo`0[0?ooo`03003o003oool0oooo0080oooo00<000000?ooo`3o
ool0100000000`00o`00oooo0000000K0?ooo`030000o`3oool0oooo03X0oooo00<000000?ooo`3o
ool0:@3oool00`00o`0000000?ooo`0D0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3o
ool0E@3oool00`000000oooo0?ooo`0E0?ooo`8000001`3oool010000000oooo0?ooo`000?l70?oo
o`030000o`3oool0oooo05<0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo03/0oooo0P000?lg0?ooo`030000003oool0oooo00h0oooo1000000b0?oo
o`00>@3oool7000001`0oooo00<000000?ooo`3oool08P3oool00`00o`00oooo0?ooo`0?0?ooo`03
003o003oool0oooo0180oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`050?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool04@3oool00`000?l0oooo0?ooo`020?ooo`80
000000<0oooo0000000000000P3oool00`000?l0oooo0?ooo`0?0?ooo`030000003oool0oooo0140
oooo0P00000;0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0:`3oool00`00o`00
oooo0?ooo`030?ooo`800000103oool01000o`00oooo0?ooo`0000090?ooo`030000o`3oool0oooo
00h0oooo00<0003o0?ooo`3oool0>@3oool00`000000oooo0?ooo`0Z0?ooo`03003o00000000oooo
00<0oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`0Y0?ooo`030000o`3oool0oooo
02P0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`080?ooo`030000o`3oool0oooo
05<0oooo0P00000J0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0?03oool00`00
0?l0oooo0?ooo`0d0?ooo`030000003oool0oooo04@0oooo000o0?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool08@3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo0180
oooo00<00?l00?ooo`3oool0103oool00`000?l00?l00?ooo`0<0?ooo`03003o003oool0oooo00D0
oooo00<00?l00?ooo`3oool0603oool00`000000oooo0?ooo`0E0?ooo`8000003P3oool3000000`0
oooo00<0003o0?ooo`3oool0<P3oool00`00o`00oooo0?ooo`090?ooo`05003o003oool0oooo0?oo
o`000000203oool00`000?l0oooo0?ooo`0>0?ooo`030000o`3oool0oooo03T0oooo00<000000?oo
o`3oool0:P3oool00`00o`0000000?ooo`030?ooo`03003o003oool0oooo00h0oooo00<0003o0?oo
o`3oool00P3oool00`000?l0oooo0?ooo`0Y0?ooo`030000o`3oool0oooo02P0oooo00<000000?oo
o`3oool07`3oool00`000000oooo0000o`080?ooo`030000o`3oool0oooo0580oooo00<000000?oo
o`0000006@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03X0oooo00<0003o0?oo
o`000?l0=P3oool00`000000oooo0?ooo`140?ooo`00?`3oool00`000000oooo0?ooo`0J0?ooo`03
0000003oool0oooo0240oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0B0?ooo`03
003o00000?l0oooo00@0oooo00<0003o003o003oool0103oool00`000?l0oooo0?ooo`0P0?ooo`03
0000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool04P3oool00`000000oooo0?ooo`080?ooo`<0
00005P3oool00`000?l0oooo0?ooo`0l0?ooo`8000001@3oool00`000?l0oooo0?ooo`1;0?ooo`03
0000003oool0oooo02/0oooo00<000000?ooo`3oool00P3oool00`00o`00oooo0?ooo`0>0?ooo`03
0000o`3oool0oooo02d0oooo0P000?lY0?ooo`030000003oool0oooo0240oooo00<000000000o`3o
ool01`3oool00`000?l0oooo0?ooo`1B0?ooo`040000003oool0oooo000001P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0j0?ooo`040000o`3oool0oooo0000ocD0oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0B@3oool00`00o`00003o0?ooo`030?oo
o`040000o`3oool0oooo003o00@0oooo00<0003o0?ooo`3oool0103oool00`00o`00oooo0?ooo`07
0?ooo`03003o003oool0oooo00l0oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo0?ooo`0C
0?ooo`030000003oool0oooo00D0oooo0P00000A0?ooo`030000o`3oool0oooo00D0oooo00<0003o
0?ooo`3oool0:`3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0?0?ooo`030000o`3oool0oooo03P0oooo00<00000
0?ooo`3oool0:`3oool00`00o`00oooo0000000C0?ooo`030000o`3oool0oooo00<0oooo00<0003o
0?ooo`3oool0:03oool20000obP0oooo00<000000?ooo`3oool08P3oool00`000000003o0?ooo`07
0?ooo`030000o`3oool0oooo0580oooo00@000000?ooo`3oool00000603oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo03T0oooo00D0003o0?ooo`3oool0oooo0000o`0e0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0240oooo00<00?l00?ooo`3oool0403o
ool00`00o`00oooo0?ooo`0H0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0103o
ool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool02`3o
ool00`000?l0oooo0?ooo`0D0?ooo`8000000P3oool300000140oooo0P000?l80?ooo`030000o`3o
ool0oooo02/0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`050?ooo`050000003o
ool0oooo0?ooo`000?l04@3oool00`000?l0oooo0?ooo`0h0?ooo`030000003oool0oooo02/0oooo
00<00?l00?ooo`0000000`3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00<0oooo
00<0003o0?ooo`3oool0:03oool00`000?l0oooo0000o`0W0?ooo`030000003oool0oooo0280oooo
00<000000000o`3oool0G03oool01@000000oooo0?ooo`3oool0000001L0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`0h0?ooo`050000o`3oool0oooo0?ooo`000?l0=@3oool00`00
0000oooo0?ooo`140?ooo`00?P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0240
oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0B0?ooo`03003o00000?l0oooo00<0
oooo00@0003o0?ooo`3oool00?l01@3oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo
00L0oooo00<00?l00?ooo`3oool03P3oool00`000?l0oooo0?ooo`0<0?ooo`030000o`3oool0oooo
01D0oooo0P00000@0?ooo`040000o`3oool0003o0000o`/0oooo00<0003o0?ooo`3oool0:P3oool0
0`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00D0oooo00<000000?ooo`3oool04P3oool0
0`000?l0oooo0?ooo`0F0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0;03oool0
0`00o`00oooo000000030?ooo`03003o003oool0oooo00d0oooo00<0003o0?ooo`3oool00`3oool0
0`000?l0oooo0?ooo`0Z0?ooo`030000o`3oool0oooo02@0oooo00<000000?ooo`3oool08`3oool0
0`000000003o0?ooo`070?ooo`030000o`3oool0oooo0540oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0>03oool0
0`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo0380oooo00<000000?ooo`3oool0A03oool0
03T0oooo100000020?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool08@3oool00`00
o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo0180oooo00<00?l00000o`3oool01P3oool00`00
o`00oooo0?ooo`030?ooo`030000o`3oool0oooo01h0oooo00<0003o0?ooo`3oool0303oool00`00
0?l0oooo0?ooo`0U0?ooo`80003o3`3oool00`000?l0oooo0?ooo`0o0?ooo`040000003oool0oooo
0000oa40oooo00<0003o0?ooo`3oool05@3oool00`000000oooo0000000O0?ooo`030000003oool0
oooo02h0oooo00D000000?ooo`3oool0oooo003o000F0?ooo`030000o`3oool0oooo02L0oooo00<0
003o0?ooo`3oool09P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00H0oooo00<0
003o0?ooo`3oool0D@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01@0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0m0?ooo`030000o`3oool0oooo0380oooo00<0
00000?ooo`3oool0A03oool003T0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`0J0?ooo`030000003oool0oooo0240oooo00<00?l00?ooo`3oool09@3oool00`00o`00003o0?oo
o`030?ooo`040000o`3oool0oooo003o00/0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo
0?ooo`140?ooo`030000o`3oool0oooo03`0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo
0?ooo`060?ooo`030000003oool0003o0140oooo00<0003o0?ooo`3oool0503oool010000000oooo
0?ooo`00000O0?ooo`030000003oool0oooo02`0oooo00<00?l00?ooo`0000004`3oool00`000?l0
oooo0?ooo`040?ooo`030000o`3oool0oooo02L0oooo00<0003o0?ooo`000?l09@3oool00`000000
oooo0?ooo`0U0?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0D@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`0h0?ooo`030000o`3oool0oooo03L0oooo00<000000?ooo`3oool0A03oool003T0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0200
oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0D0?ooo`050000o`3oool0oooo0?oo
o`000?l0203oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo00L0oooo00<00?l00?oo
o`3oool03P3oool00`000?l0oooo0?ooo`0<0?ooo`030000o`3oool0oooo03L0oooo00<0003o0?oo
o`3oool0:03oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00H0oooo00<000000?oo
o`000?l0:03oool01@000000oooo0?ooo`3oool0000001d0oooo00<000000?ooo`3oool0;@3oool0
1000o`00oooo0?ooo`0000020?ooo`03003o003oool0oooo00d0oooo00<0003o0?ooo`3oool0;@3o
ool010000?l0oooo0?ooo`000?lU0?ooo`030000003oool0oooo02D0oooo00<0003o0?ooo`3oool0
1P3oool00`000?l0oooo0?ooo`1A0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03L0oooo00<0003o0?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`0a0?ooo`030000003oool0oooo04@0oooo000i0?ooo`040000003o
ool0oooo0?ooo`8000007@3oool00`000000oooo0?ooo`0P0?ooo`03003o003oool0oooo0140oooo
00<00?l00?ooo`3oool04P3oool00`00o`00oooo0000o`020?ooo`030000o`3oool0oooo0080oooo
00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo00L0oooo
00<00?l00?ooo`3oool03P3oool00`000?l0oooo0?ooo`0<0?ooo`030000o`3oool0oooo02@0oooo
00<0003o0?ooo`3oool0403oool00`000?l0oooo0?ooo`0X0?ooo`03003o003oool0oooo00/0oooo
00<00?l00?ooo`3oool01`3oool00`000000003o0?ooo`0@0?ooo`030000o`3oool0oooo01<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo02d0oooo
00@00?l00?ooo`3oool000000P3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00@0
oooo00<0003o0?ooo`3oool09P3oool010000?l0oooo0?ooo`000?lT0?ooo`030000003oool0oooo
02H0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`1@0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
03L0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0a0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo03@0oooo00<00?l00?ooo`3oool04@3oool00`00o`00
oooo0?ooo`030?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool00P3oool00`000?l0
oooo0?ooo`0M0?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool0903oool00`000?l0
oooo0?ooo`0@0?ooo`030000o`3oool0oooo0400oooo00<000000000o`3oool0403oool00`000?l0
oooo0?ooo`0B0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06P3oool00`000000
oooo0?ooo`0`0?ooo`040000003oool0oooo003o00l0oooo00<0003o0?ooo`3oool0103oool00`00
0?l0oooo0?ooo`0V0?ooo`050000o`3oool0oooo0?ooo`000?l08P3oool00`000000oooo0?ooo`0W
0?ooo`030000o`000000oooo05T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0=`3oool00`000?l0oooo0?ooo`04
0?ooo`030000o`3oool0oooo0300oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0803oool00`00o`00oooo0?ooo`0U0?ooo`05003o003oool0oooo0?ooo`000?l01P3oool0
0`00o`00oooo0?ooo`030?ooo`050000o`3oool0oooo0?ooo`00o`002P3oool00`00o`00oooo0?oo
o`0=0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool08P3oool00`000?l0oooo0?oo
o`0B0?ooo`030000o`3oool0oooo02L0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?oo
o`080?ooo`030000003oool0oooo00l0oooo00<0003o0?ooo`3oool04@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0;P3oool01@00o`00oooo0?oo
o`3oool000000140oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0Z0?ooo`030000
o`3oool0oooo0200oooo00<000000?ooo`3oool09`3oool00`000?l000000?ooo`070?ooo`030000
o`3oool0oooo04l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0=`3oool00`000?l0oooo0?ooo`040?ooo`030000
o`3oool0oooo0300oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0803o
ool00`00o`00oooo0?ooo`0A0?ooo`03003o003oool0oooo01D0oooo0P000?l;0?ooo`050000o`3o
ool0oooo0?ooo`00o`002P3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00h0oooo
00<0003o0?ooo`3oool08P3oool00`000?l0oooo0?ooo`0B0?ooo`030000o`3oool0oooo02L0oooo
00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`080?ooo`030000o`3oool0oooo00l0oooo
00<0003o0?ooo`3oool0403oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool0;P3oool01@00o`00oooo0?ooo`3oool000000080oooo00<00?l00?ooo`3o
ool04`3oool00`000?l0oooo0?ooo`0V0?ooo`030000o`3oool0oooo02<0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`060?ooo`030000o`3oool0oooo04l0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool0?P3oool00`000?l0oooo0?ooo`0_0?ooo`030000003oool0oooo04@0oooo000a0?ooo`040000
003oool0oooo0?ooo`8000009@3oool00`000000oooo0?ooo`0P0?ooo`03003o003oool0oooo0140
oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo00<0
oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00l0
oooo0P00o`0b0?ooo`030000o`3oool0oooo03`0oooo00<00?l00?ooo`3oool02`3oool00`00o`00
oooo0?ooo`080?ooo`030000o`000000oooo00l0oooo00<0003o0?ooo`3oool0403oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0;P3oool00`00o`00
oooo0?ooo`020?ooo`030000003oool00?l000d0oooo00<0003o0?ooo`3oool01@3oool00`000?l0
oooo0?ooo`0V0?ooo`050000o`3oool0oooo0?ooo`000?l08@3oool00`000000oooo0?ooo`0X0?oo
o`030000o`000000oooo00L0oooo00<0003o0?ooo`3oool0CP3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0f0?oo
o`030000o`3oool0oooo03L0oooo00<000000?ooo`3oool0A03oool00300oooo00L000000?ooo`3o
ool0oooo0000003oool0000002D0oooo00<000000?ooo`3oool0=03oool00`00o`00oooo0?ooo`0A
0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0103oool00`000?l0oooo0?ooo`0J
0?ooo`060000o`3oool0oooo003o003oool00?l0303oool00`000?l0oooo0?ooo`0g0?ooo`030000
o`3oool0oooo0400oooo00<0003o0000003oool08@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool0=03oool00`000000oooo003o000=0?ooo`030000
o`3oool0oooo02h0oooo00D0003o0?ooo`3oool0oooo0000o`0P0?ooo`030000003oool0oooo02T0
oooo00<0003o0?ooo`0000001`3oool00`000?l0oooo0?ooo`1>0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0200
oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo02l0
oooo00<000000?ooo`3oool0A03oool00300oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo01l0oooo00<00?l00?ooo`3oool09P3oool00`00o`00
oooo0?ooo`080?ooo`03003o003oool0oooo00@0oooo00@0003o0?ooo`3oool00?l02`3oool00`00
o`00oooo0?ooo`0;0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool02P3oool00`00
0?l0oooo0?ooo`0R0?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`3oool09`3oool00`00
o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00L0oooo00<0003o0?ooo`0000003`3oool00`00
0?l0oooo0?ooo`0>0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0_0?ooo`03003o003oool0oooo00<0oooo00<000000?ooo`3oool0303oool00`00
0?l0oooo0?ooo`050?ooo`030000o`3oool0oooo02H0oooo00D0003o0?ooo`3oool0oooo0000o`0P
0?ooo`030000003oool0oooo00L0oooo00<0003o0?ooo`3oool07P3oool010000?l0oooo0?ooo`00
00070?ooo`030000o`3oool0oooo04h0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0803oool00`00o`00oooo0?oo
o`0B0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0;P3oool00`000000oooo0?oo
o`140?ooo`00<03oool00`000000oooo000000030?ooo`030000003oool0oooo02<0oooo00<00000
0?ooo`3oool07`3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo02<0oooo00@0003o
0?ooo`3oool00?l02`3oool00`00o`00oooo0?ooo`0:0?ooo`040000o`3oool0oooo003o00<0oooo
00<00?l00?ooo`3oool02P3oool00`000?l0oooo0?ooo`0Q0?ooo`030000o`3oool0oooo0180oooo
00<0003o0?ooo`3oool09P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00L0oooo
00<0003o0?ooo`0000003`3oool00`000?l0oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0`0?ooo`03003o003oool0oooo00<0oooo
00<00000003o003oool0303oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo02H0oooo
00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo
00<0003o0?ooo`3oool07P3oool010000?l0oooo0?ooo`00001H0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01l0
oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo02h0
oooo00<000000?ooo`3oool0A03oool00340oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo01l0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo
0?ooo`0A0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool00`3oool010000?l0oooo
0?ooo`00o`0;0?ooo`03003o003oool0oooo00X0oooo00@0003o0?ooo`3oool00?l01@3oool00`00
o`00oooo0?ooo`080?ooo`030000o`3oool0oooo0200oooo00<0003o0?ooo`3oool0503oool00`00
0?l0oooo0?ooo`0U0?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool02@3oool00`00
0000oooo0?ooo`0<0?ooo`030000o`3oool0oooo00`0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo0300oooo00<00?l00?ooo`3oool0103oool00`00
o`00oooo0?ooo`0;0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0:`3oool00`00
0?l0oooo0?ooo`0L0?ooo`030000003oool0oooo00P0oooo00<0003o0?ooo`3oool07P3oool01000
0?l0oooo0?ooo`0000070?ooo`030000o`3oool0oooo04d0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0=03oool0
0`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo02h0oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0=@3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo
00T0oooo00<00?l00?ooo`3oool00`3oool00`000?l0oooo0?ooo`0L0?ooo`03003o003oool0oooo
00@0oooo00<00?l00?ooo`3oool01`3oool00`000?l0oooo0?ooo`0P0?ooo`030000o`3oool0oooo
01@0oooo00<0003o0?ooo`3oool0?P3oool01@000?l0oooo0?ooo`3oool0000000h0oooo00<0003o
0?ooo`3oool02`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0>03oool00`00o`00oooo0?ooo`0C0?ooo`030000o`3oool0oooo02D0oooo00<0003o
0?ooo`3oool08@3oool00`000000oooo0?ooo`090?ooo`80003o8`3oool00`000000oooo0?ooo`04
0?ooo`030000o`3oool0oooo04d0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool07`3oool2003o01d0oooo00<0003o
0?ooo`3oool0;P3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001d0oooo00<00?l00?oo
o`3oool09P3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00H0oooo00<00?l00?oo
o`3oool02@3oool00`00o`00oooo0?ooo`0:0?ooo`030000o`3oool0oooo03@0oooo00<0003o0?oo
o`3oool0?03oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo00@0oooo00<0003o0?oo
o`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`030000o`3oool0oooo00T0oooo0P00000C0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0<@3oool00`00o`00oooo0?ooo`050?oo
o`030000003oool0oooo00X0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0U0?oo
o`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo00P0oooo00<0003o0?ooo`000?l05@3oool00`00o`00oooo0?ooo`070?oo
o`050000o`3oool0oooo0?ooo`0000001P3oool00`000?l0oooo0?ooo`1=0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool0103oool2003o01<0oooo00<0003o0?ooo`3oool0=03oool5
000004H0oooo001L0?ooo`030000003oool0oooo01h0oooo00<00?l00?ooo`3oool0503oool00`00
o`00oooo0?ooo`0S0?ooo`030000o`00o`00oooo00/0oooo00<00?l00?ooo`3oool02P3oool01000
0?l0oooo0?ooo`00o`080?ooo`03003o003oool0oooo00D0oooo00<0003o0?ooo`3oool0=`3oool0
0`000?l0oooo0?ooo`060?ooo`030000o`3oool0003o01`0oooo00<00?l00?ooo`3oool0403oool0
0`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<P3oool0
0`00o`00oooo0?ooo`040?ooo`03003o00000000oooo00/0oooo00<0003o0?ooo`3oool0;@3oool0
0`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo00P0oooo00@000000?ooo`00000000003P3o
ool00`000000oooo0?ooo`090?ooo`030000o`3oool0oooo01D0oooo00<00?l00?ooo`3oool01`3o
ool01@000?l0oooo0?ooo`3oool0000000H0oooo00<0003o0?ooo`3oool0C@3oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0G0?ooo`8000001P3oool2003o01<0oooo00<0003o0?ooo`3oool01`3oool00`000?l0oooo
0?ooo`0^0?ooo`030000003oool0oooo04@0oooo000i0?ooo`030000003oool0oooo0200oooo00<0
00000?ooo`3oool07P3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00l0oooo00<0
0?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`040?ooo`030000o`00o`00oooo00/0oooo00<0
0?l00?ooo`3oool02@3oool010000?l0oooo0?ooo`00o`0:0?ooo`03003o003oool0oooo00@0oooo
00<0003o0?ooo`3oool0803oool00`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0oooo00D0oooo
00@0003o0?ooo`3oool0003o703oool00`00o`00oooo0?ooo`0F0?ooo`030000o`3oool0oooo00<0
oooo00<000000?ooo`3oool02P3oool00`000?l0oooo0?ooo`070?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo00@0
oooo00<00?l00?ooo`0000002`3oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo02@0
oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`080?ooo`050000003oool0oooo0?oo
o`0000003@3oool00`000000oooo0?ooo`090?ooo`030000o`3oool0003o01D0oooo0P00o`080?oo
o`050000o`3oool0oooo0?ooo`0000001P3oool00`000?l0oooo0?ooo`1<0?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo01D0oooo00@000000?ooo`3oool000006P3oool00`000?l0oooo0?ooo`070?ooo`030000o`3o
ool0oooo02h0oooo00<000000?ooo`3oool0A03oool003T0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`0e0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool02`3oool2
003o00050?ooo`00o`00oooo0?ooo`000?l06@3oool010000?l0oooo0?ooo`00o`0A0?ooo`030000
o`3oool0oooo0200oooo00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`050?ooo`040000
o`3oool0oooo0000oc00oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool0>P3oool01@00o`00oooo0000003oool0003o
00T0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`0T0?ooo`030000o`3oool0oooo
00@0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0303oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo
0080oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0E0?ooo`040000003oool0oooo
000000D0oooo0P00o`0C0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0;P3oool0
0`000000oooo0?ooo`140?ooo`00>@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo
01h0oooo00<00?l00?ooo`3oool09P3oool00`00o`00oooo0?ooo`0?0?ooo`04003o003oool0003o
003o00`0oooo00<00?l00?ooo`3oool02@3oool00`000?l0oooo0?ooo`0<0?ooo`03003o003oool0
oooo00@0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo0?ooo`0H0?ooo`030000o`3oool0
oooo01H0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0
oooo01P0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`090?ooo`030000003oool0
oooo00T0oooo00<0003o0?ooo`3oool0103oool2000001/0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo00P0oooo00<000000000o`3oool0203oool0
0`000?l0oooo0?ooo`060?ooo`040000o`3oool0oooo0?ooo`800000:03oool00`000?l0oooo0?oo
o`060?ooo`030000003oool0oooo00@0oooo0P0000090?ooo`030000003oool0oooo00X0oooo00@0
003o0?ooo`3oool0003o4`3oool00`00o`00oooo003o00080?ooo`030000o`3oool0oooo0080oooo
00<000000?ooo`3oool0103oool00`000?l0oooo0?ooo`0[0?ooo`030000o`3oool0oooo01d0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0503oool01@000000oooo0?ooo`3oool0000000D0oooo0P00o`0C0?ooo`03
0000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0;P3oool00`000000oooo0?ooo`140?ooo`00
=P3oool7000001l0oooo00<000000?ooo`3oool07P3oool00`00o`00oooo0?ooo`0D0?ooo`03003o
003oool0oooo02<0oooo0P00o`0<0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0
2@3oool00`00o`00oooo0?ooo`040?ooo`030000o`3oool0oooo00<0oooo00<00?l00?ooo`3oool0
603oool00`000?l0oooo0?ooo`0F0?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool0
5`3oool00`00o`00oooo0?ooo`0D0?ooo`05003o003oool0oooo0?ooo`000?l01`3oool00`000000
oooo0?ooo`090?ooo`040000o`3oool0oooo0?ooo`8000007@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo03@0oooo00<00?l00?ooo`3oool01@3oool01P00o`00oooo0?ooo`000?l0
oooo0000oa40oooo00@0003o0?ooo`3oool000000P3oool2000001l0oooo00<0003o0?ooo`3oool0
303oool00`000000oooo0?ooo`070?ooo`T000003@3oool010000?l0oooo0?ooo`000?lC0?ooo`03
003o003oool00?l000d0oooo00<000000?ooo`3oool0103oool00`000?l0oooo0?ooo`0/0?ooo`80
003o7@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool02`3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`800?l07@3oool00`000?l0oooo0?ooo`0^0?ooo`03
0000003oool0oooo04@0oooo000i0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
7P3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0
803oool00`00o`00oooo0?ooo`070?ooo`040000o`3oool0oooo003o00d0oooo00<00?l00?ooo`3o
ool01`3oool00`00o`00oooo0?ooo`0J0?ooo`030000o`3oool0oooo01/0oooo00<0003o0?ooo`3o
ool07@3oool00`00o`00oooo0?ooo`0E0?ooo`04003o003oool0oooo0000o`P0oooo00<000000?oo
o`3oool0203oool010000?l0oooo00000000000P0?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0=03oool00`00o`00oooo0?ooo`050?ooo`06003o003oool0oooo0000o`000000003o
1`3oool00`000?l0oooo0?ooo`070?ooo`040000o`3oool0oooo000000@0oooo0P00000M0?ooo`03
0000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`0M0?ooo`03
0000o`3oool0oooo01@0oooo00<00?l00?ooo`00o`00203oool00`000?l0oooo0?ooo`030?ooo`03
0000003oool0oooo00<0oooo00<0003o0?ooo`3oool0:`3oool010000?l0oooo0?ooo`000?lK0?oo
o`030000003oool0oooo0100oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0<0?oo
o`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo01H0oooo00<0003o0?ooo`3oool0>@3oool00`000000oooo0?ooo`140?oo
o`00>@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo03D0oooo00<00?l00?ooo`3o
ool03`3oool00`00o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo01D0oooo00@0003o0?ooo`3o
ool00?l04`3oool010000?l0oooo0?ooo`00o`030?ooo`03003o003oool0oooo0300oooo00D0003o
0?ooo`3oool0oooo0000o`070?ooo`030000o`3oool0oooo02h0oooo00@00?l00?ooo`3oool0003o
2@3oool00`000000oooo0?ooo`070?ooo`8000008`3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo02<0oooo00<0003o0?ooo`3oool05`3oool01P00o`00oooo0?ooo`000?l0oooo0000
00L0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`8000006P3oool00`00
0?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool07P3oool01000
0?l0oooo0?ooo`000?lN0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000?l0oooo0?ooo`0[0?ooo`050000o`3oool0oooo0?ooo`000?l06P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0303oool20000o`@0oooo00<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`050?ooo`070000003oool0oooo0?ooo`00o`00
oooo003o000B0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0;@3oool00`000000
oooo0?ooo`140?ooo`00>@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01d0oooo
00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo00/0oooo
00<00?l00?ooo`3oool01P3oool00`000?l0oooo0?ooo`0@0?ooo`03003o003oool0oooo0080oooo
00@0003o0?ooo`3oool00?l00`3oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo01H0
oooo00D0003o0?ooo`3oool0oooo0000o`080?ooo`030000o`3oool0oooo01@0oooo00<00?l00?oo
o`3oool05`3oool00`00o`00oooo0000o`0:0?ooo`030000003oool0oooo00@0oooo0P0000000`00
0?l0oooo0?ooo`0R0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool08P3oool20000
oa40oooo00<00?l00?ooo`3oool0203oool00`000?l0oooo0000o`070?ooo`030000o`3oool0oooo
00L0oooo00<0003o0?ooo`0000002@3oool00`000000oooo0?ooo`0G0?ooo`030000o`3oool0oooo
00H0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0O0?ooo`040000o`3oool0oooo
0000oa<0oooo00@00?l00?ooo`3oool00?l01`3oool00`000?l0oooo0?ooo`040?ooo`030000003o
ool0oooo0080oooo00<0003o0?ooo`3oool0:`3oool00`000?l0oooo0?ooo`020?ooo`030000o`3o
ool0oooo01L0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`060?ooo`060000003o
ool0oooo003o003oool00?l04P3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo02d0
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07@3oool00`00o`00oooo
0?ooo`0E0?ooo`03003o003oool0oooo02@0oooo00<0003o0?ooo`3oool02`3oool00`00o`00oooo
0?ooo`060?ooo`050000o`3oool0oooo0?ooo`00o`003`3oool01`00o`00oooo0?ooo`3oool0003o
0?ooo`00o`00103oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo01H0oooo00@0003o
0?ooo`3oool0003o2@3oool00`000?l0oooo0?ooo`0?0?ooo`80003o0P3oool00`00o`00oooo0?oo
o`0J0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool00`0000020?ooo`030000o`3o
ool0oooo02<0oooo00<000000?ooo`3oool0103oool2000002D0oooo0P000?lA0?ooo`03003o003o
ool0oooo00D0oooo00L00?l00?ooo`3oool0003o0?ooo`000?l0000000H0oooo00<0003o0?ooo`3o
ool01`3oool00`000?l000000?ooo`090?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`3o
ool01P3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo0280oooo00<0003o0?ooo`3o
ool04@3oool01000o`00oooo0?ooo`00o`070?ooo`030000o`3oool0oooo00@0oooo00<000000?oo
o`3oool0<03oool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo01D0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00/0oooo00<0003o0?oo
o`000?l0103oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00L0oooo00H000000?oo
o`3oool00?l00?ooo`00o`0B0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0;@3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0M0?ooo`03003o003oool0
oooo01D0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0C0?ooo`030000o`3oool0
oooo00X0oooo00<00?l00?ooo`3oool01P3oool010000?l0oooo0?ooo`00o`0E0?ooo`03003o003o
ool0oooo01`0oooo00<0003o0?ooo`3oool0603oool00`000?l0oooo0?ooo`0:0?ooo`030000o`3o
ool0oooo00P0oooo1@000?l20?ooo`040000o`3oool0oooo003o01X0oooo00<00?l00?ooo`3oool0
303oool2000000D0oooo00<0003o0?ooo`3oool08`3oool00`000000oooo0?ooo`04000002L0oooo
0P000?lA0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool00`3oool00`000?l0oooo
0?ooo`040?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo
0?ooo`0O0?ooo`050000o`3oool0oooo0?ooo`0000008@3oool01@000?l0oooo0?ooo`3oool0003o
01<0oooo00@00?l00?ooo`3oool00?l01`3oool00`000?l0oooo0?ooo`050?ooo`050000003oool0
oooo0?ooo`000?l0;@3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo01@0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo00<0
003o0?ooo`000?l01@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool05@3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo02d0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0=@3oool00`00o`00oooo0?ooo`0>
0?ooo`03003o003oool0oooo01@0oooo00<0003o0?ooo`3oool05P3oool00`00o`00oooo0?ooo`0?
0?ooo`05003o003oool0oooo0?ooo`00o`001P3oool00`00o`00oooo0?ooo`0E0?ooo`030000o`3o
ool0oooo01P0oooo00<0003o0?ooo`3oool04`3oool00`000?l0oooo0?ooo`060?ooo`040000o`3o
ool0oooo003o01X0oooo00<00?l00?ooo`000?l04`3oool00`000?l0oooo0?ooo`0T0?ooo`800000
:`3oool20000oaT0oooo00<00?l00?ooo`000?l00`3oool00`000?l000000?ooo`0>0?ooo`030000
o`3oool0oooo00/0oooo00<000000?ooo`3oool05@3oool00`000?l0oooo0?ooo`0:0?ooo`030000
003oool0oooo01l0oooo00D0003o0?ooo`3oool0oooo0000o`0V0?ooo`050000003oool0oooo0?oo
o`000?l0BP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0303oool010000?l0oooo0?ooo`000?l50?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool02@3oool01@000000oooo003o003oool00?l004h0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool07@3oool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool0
oooo0240oooo00<00?l00?ooo`3oool01P3oool00`000?l0oooo0?ooo`0B0?ooo`03003o003oool0
oooo00P0oooo00<00?l00?ooo`3oool05@3oool00`000?l0oooo0?ooo`0V0?ooo`030000o`3oool0
oooo00<0oooo0P000?l90?ooo`030000o`3oool00?l001`0oooo00<00?l00000o`3oool04P3oool0
0`000?l0oooo0?ooo`1A0?ooo`030000o`3oool0oooo0100oooo00<00?l00?ooo`3oool01`3oool0
0`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool01P3oool0
0`000000003o0?ooo`0=0?ooo`030000003oool0oooo01@0oooo00<0003o0?ooo`3oool01`3oool0
0`000?l0oooo0000000R0?ooo`030000o`3oool0oooo01D0oooo00D00?l00?ooo`3oool0oooo003o
00050?ooo`030000o`3oool0oooo00L0oooo00@000000?ooo`3oool0003o;03oool00`000?l0oooo
0?ooo`060?ooo`030000o`3oool0oooo0180oooo00<000000?ooo`3oool0503oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00d0oooo00@0003o0?ooo`3oool0003o1@3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`00o`00oooo003o000B0?oo
o`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0;@3oool00`000000oooo0?ooo`140?oo
o`00G03oool5000001X0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0V0?ooo`03
0000o`3oool0oooo00T0oooo00<00?l00?ooo`3oool01@3oool01@000?l0oooo0?ooo`3oool00?l0
0180oooo00@00?l00?ooo`00o`00003o1`3oool00`00o`00oooo0?ooo`0m0?ooo`040000o`3oool0
oooo0?ooo`80003o3@3oool00`00o`00oooo0?ooo`0J0?ooo`030000o`3oool0oooo04H0oooo0`00
0?lN0?ooo`030000o`3oool0oooo00l0oooo00<00?l00?ooo`3oool01@3oool00`00o`00003o0?oo
o`050?ooo`030000003oool0oooo0080oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo01<0oooo00<0003o0?ooo`3oool0203oool00`000?l0oooo0000
000R0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool03`3oool00`00o`00oooo0?oo
o`020?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool01`3oool01@000000oooo0?oo
o`3oool0003o02/0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`0A0?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0>0?ooo`040000
o`3oool0oooo0000o`D0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`04
00000000o`00oooo003o0180oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`0Y0?oo
o`D00000AP3oool005`0oooo00<000000?ooo`3oool0703oool00`00o`00oooo0?ooo`0F0?ooo`03
003o003oool0oooo00h0oooo00<00?l00?ooo`3oool05P3oool00`000?l0oooo0?ooo`080?ooo`03
003o003oool0oooo00@0oooo00D0003o0?ooo`3oool0oooo003o000D0?ooo`03003o003oool0003o
01h0oooo00<0003o0?ooo`3oool09`3oool30000o`h0oooo00<0003o0?ooo`3oool06`3oool00`00
o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo02@0oooo0`000?l00`3oool0003o0000o`030000
o`040?ooo`000?l0003o0000o`80oooo00<0003o0?ooo`3oool06P3oool00`000?l0oooo0000o`0A
0?ooo`03003o003oool0oooo00D0oooo00<00?l00000o`3oool0103oool00`000?l0oooo00000002
0?ooo`030000o`3oool0oooo00H0oooo00<000000?ooo`000?l03`3oool00`000000oooo0?ooo`0B
0?ooo`030000o`3oool0oooo00P0oooo00<0003o0000003oool08P3oool00`000?l0oooo0?ooo`02
0?ooo`030000o`3oool0oooo00l0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`03
0?ooo`030000o`3oool0oooo00P0oooo00@000000?ooo`3oool0003o:`3oool00`000?l0oooo0?oo
o`060?ooo`030000o`3oool0oooo0140oooo00<000000?ooo`3oool05P3oool01@000000oooo0?oo
o`3oool0000001X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo01<0oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`0]0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03H0oooo00<00?l00?ooo`3oool03@3o
ool00`00o`00oooo0?ooo`0F0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`0D0?ooo`030000o`3oool0oooo00D0oooo00<00?l00?ooo`3oool0503o
ool00`000?l0oooo0?ooo`0h0?ooo`03003o003oool0oooo01/0oooo00<00?l00?ooo`3oool04P3o
ool00`000?l0oooo0?ooo`0S0?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool06P3o
ool00`000?l0oooo0000o`0J0?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`0000000P3o
ool00`000?l0oooo0?ooo`050?ooo`040000003oool0oooo0000oa00oooo00<000000?ooo`3oool0
4@3oool00`000?l0oooo0?ooo`080?ooo`03000000000?l0oooo02L0oooo00<0003o0?ooo`3oool0
6P3oool00`000?l0oooo0?ooo`080?ooo`030000003oool0oooo02`0oooo00<0003o0?ooo`3oool0
1`3oool00`000?l0oooo0?ooo`0?0?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool0
00004@3oool01@000?l0oooo0?ooo`3oool0003o00D0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0<0?ooo`0400000000o`00oooo003o0180oooo00<0003o0?ooo`3oool02P3oool0
0`000?l0oooo0?ooo`0/0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
01`0oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo
00L0oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`0K0?ooo`030000o`3oool0oooo
00D0oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?ooo`0h0?ooo`03003o003oool0003o
01`0oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?ooo`0d0?ooo`030000o`3oool0oooo
00/0oooo00<00?l00?ooo`3oool02`3oool010000?l0oooo0?ooo`000?l@0?ooo`03003o003oool0
oooo00d0oooo00D0003o0?ooo`000000oooo0000o`070?ooo`040000003oool0oooo0000oa40oooo
00<000000?ooo`3oool06`3oool00`000000003o0?ooo`0R0?ooo`030000o`3oool0oooo0080oooo
00<0003o0?ooo`3oool03`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00<0oooo
00<0003o0?ooo`3oool02@3oool00`000000oooo0000o`0[0?ooo`030000o`3oool0oooo00L0oooo
00<0003o0?ooo`3oool03`3oool00`000000oooo0?ooo`0H0?ooo`8000004P3oool01@000?l0oooo
0?ooo`3oool0003o00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0>0?ooo`03
003o003oool00?l00180oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo0?ooo`0/0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01/0oooo00<00?l00?ooo`3oool0
603oool00`00o`00oooo0?ooo`0a0?ooo`05003o003oool0oooo0?ooo`000?l01P3oool00`00o`00
oooo0?ooo`0E0?ooo`030000o`3oool0oooo01X0oooo00<0003o0?ooo`3oool0>03oool00`00o`00
oooo0000o`0L0?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`3oool08`3oool00`000?l0
oooo0?ooo`0>0?ooo`030000o`3oool0oooo00/0oooo00<00?l00?ooo`3oool02`3oool010000?l0
oooo0?ooo`000?l@0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0103oool00`00
0?l0oooo000000050?ooo`@00000103oool00`000?l0oooo0?ooo`0>0?ooo`030000003oool0oooo
0100oooo00<0003o0?ooo`3oool01`3oool00`000000oooo0000o`0S0?ooo`030000o`3oool0oooo
0080oooo00<0003o0?ooo`3oool03`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo
00l0oooo00<000000?ooo`000?l07@3oool2000002L0oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`0@0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00h0oooo00@00?l00?ooo`3oool00?l0C@3oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0K0?ooo`03003o003oool0oooo
01P0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo
00P0oooo00<00?l00?ooo`000?l01`3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo
0180oooo00<0003o0?ooo`3oool0E`3oool00`00o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo
02<0oooo00<0003o0?ooo`3oool0703oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo
00H0oooo00<00?l00?ooo`3oool01@3oool010000?l0oooo000000000?l3000000P0oooo00<0003o
0?ooo`3oool01`3oool00`00o`00oooo0?ooo`050?ooo`800000403oool00`000?l0oooo0?ooo`06
0?ooo`040000003oool0oooo0000ob80oooo00<0003o0?ooo`3oool05@3oool00`00o`00oooo0?oo
o`030?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3oool02P3oool00`000000003o0?oo
o`0K0?ooo`030000003oool0oooo00@00000203oool00`000?l0oooo0?ooo`070?ooo`030000o`3o
ool0oooo00h0oooo00<000000?ooo`3oool0;03oool00`000?l0oooo0?ooo`020?ooo`030000o`3o
ool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0140oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`0/0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo03H0oooo00<00?l00?ooo`3oool03@3oool0
0`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool01P3oool0
0`00o`00oooo0?ooo`0F0?ooo`030000o`3oool0oooo00@0oooo00<00?l00?ooo`3oool0?@3oool0
0`00o`00oooo0?ooo`0=0?ooo`03003o003oool0003o01`0oooo00<00?l00?ooo`3oool0=`3oool0
0`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0oooo00X0oooo00<00?l00?ooo`3oool02P3oool0
1@000?l0oooo0?ooo`3oool0003o01P0oooo00<0003o003o003oool02@3oool00`000?l0oooo0?oo
o`0C0?ooo`03003o003oool0oooo00L0oooo0P00000>0?ooo`030000o`3oool0oooo00D0oooo00D0
00000?ooo`3oool0oooo0000o`0R0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0
6@3oool00`000?l0oooo0?ooo`0:0?ooo`03000000000?l0oooo01X0oooo00<000000?ooo`3oool0
1@3oool3000000D0oooo00<0003o0?ooo`3oool01`3oool00`000?l0oooo0?ooo`0=0?ooo`030000
003oool0oooo02d0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`060?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool03`3oool01000o`0000000?ooo`00o`0@0?ooo`03
0000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0;03oool00`000000oooo0?ooo`140?ooo`00
=`3oool200000080oooo0P00000O0?ooo`030000003oool0oooo01/0oooo00<00?l00?ooo`3oool0
803oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0oooo01P0oooo00<0003o0?ooo`3oool0
1`3oool00`00o`00oooo0?ooo`0P0?ooo`030000o`3oool0oooo00D0oooo00<00?l00?ooo`3oool0
4@3oool00`000?l0oooo0?ooo`0X0?ooo`800?l03@3oool01000o`00oooo0?ooo`000?lL0?ooo`03
003o003oool0oooo0180oooo00<0003o0?ooo`3oool08P3oool00`000?l0oooo0?ooo`0@0?ooo`03
0000o`3oool0oooo00X0oooo0P00o`0;0?ooo`050000o`3oool0oooo0?ooo`000?l0403oool00`00
o`00oooo0?ooo`050?ooo`030000o`3oool0oooo00H0oooo00@0003o0?ooo`3oool0003o2`3oool0
0`000?l0oooo0?ooo`070?ooo`03003o003oool0oooo00T0oooo0P00000<0?ooo`030000o`3oool0
oooo00D0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`0O0?ooo`030000o`3oool0
oooo00@0oooo00<0003o0?ooo`3oool03P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0
oooo0080oooo00<0003o0?ooo`3oool02`3oool00`000?l000000?ooo`0G0?ooo`8000002P3oool0
0`000000oooo0?ooo`020?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool03@3oool0
0`000000oooo0?ooo`0l0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0403oool0
1000o`0000000?ooo`00o`0@0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0;03o
ool00`000000oooo0?ooo`140?ooo`00=P3oool01P000000oooo0?ooo`000000oooo00000200oooo
00<000000?ooo`3oool06`3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo00D0oooo
00<0o`000?ooo`3oool0803oool00`000?l0oooo0?ooo`060?ooo`030000o`00o`00oooo00L0oooo
00<00?l00?ooo`3oool05`3oool00`000?l0oooo0?ooo`0I0?ooo`030000o`3oool0oooo02P0oooo
0P00o`0=0?ooo`04003o003oool0oooo0000oa`0oooo00<0003o0?ooo`3oool04P3oool00`000?l0
oooo0?ooo`0R0?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool02`3oool00`00o`00
oooo0?ooo`090?ooo`050000o`3oool0oooo0?ooo`000?l0403oool00`00o`00oooo0?ooo`050?oo
o`030000o`00o`00oooo00H0oooo00@0003o0?ooo`3oool0003o2`3oool00`000?l0oooo0?ooo`07
0?ooo`03003o003oool0oooo00/0oooo1@0000070?ooo`030000o`3oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0V0?ooo`030000o`3oool0oooo00h0oooo00<00?l0
0?ooo`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo00d0oooo1000000C
0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000o`0;0?ooo`030000o`3o
ool0oooo00/0oooo00<000000?ooo`3oool0;P3oool01P000?l0oooo0?ooo`00o`00oooo0000o`T0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0@0?ooo`04003o003oool00000003o
0100oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`0/0?ooo`030000003oool0oooo
04@0oooo000f0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool07@3oool00`00
0000oooo0?ooo`0K0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool0103oool20?l0
00H0oooo00<00?l00?ooo`3oool06P3oool00`000?l0oooo0?ooo`030?ooo`80003o00<0oooo003o
003oool01`3oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo00D0oooo00<00?l00?oo
o`3oool0403oool00`000?l0oooo0?ooo`0Z0?ooo`03003o003oool0oooo00X0oooo00<00?l00?oo
o`3oool00P3oool00`000?l0oooo0?ooo`0J0?ooo`03003o003oool0oooo0140oooo00<0003o0?oo
o`3oool0=P3oool00`000?l0oooo0?ooo`080?ooo`03003o003oool00?l000/0oooo00<0003o0?oo
o`3oool00P3oool00`000?l0oooo0?ooo`0=0?ooo`03003o003oool0oooo00H0oooo00<00?l00?oo
o`3oool01@3oool010000?l0oooo0?ooo`000?l;0?ooo`030000o`3oool0oooo00L0oooo0P00o`0A
0?ooo`H000001`3oool00`000000oooo0?ooo`0V0?ooo`030000o`3oool0oooo00@0oooo00<0003o
0?ooo`3oool03P3oool00`00o`00oooo0?ooo`040?ooo`05003o003oool0oooo0?ooo`000?l03P3o
ool00`000?l0oooo0?ooo`020?ooo`d000001@3oool00`000000oooo0?ooo`0<0?ooo`050000003o
ool0oooo0?ooo`000?l02`3oool00`000?l0oooo0?ooo`0;0?ooo`030000003oool0oooo02h0oooo
00H0003o0?ooo`3oool00?l00?ooo`000?l:0?ooo`050000003oool0oooo0?ooo`0000005@3oool0
0`000000oooo0?ooo`0?0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0;03oool0
0`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo01d0oooo1@00000k0?ooo`80o`001P3oool00`00o`00oooo0?ooo`0K0?ooo`050000o`3oool0
oooo0?ooo`000?l0303oool00`00o`00oooo0?ooo`0G0?ooo`030000o`3oool0oooo00D0oooo00<0
0?l00?ooo`3oool0403oool00`000?l0oooo0?ooo`0Y0?ooo`03003o003oool00?l000X0oooo00<0
0?l00?ooo`3oool00`3oool00`000?l0oooo0?ooo`0I0?ooo`030000o`00o`00oooo0180oooo00<0
003o0?ooo`3oool08@3oool00`000?l0oooo0?ooo`0B0?ooo`030000o`3oool0oooo00P0oooo00<0
0?l00?ooo`3oool02`3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo01D0oooo00<0
003o003o003oool01`3oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo00P0oooo00<0
0?l00?ooo`3oool05@3oool010000000003o0000000000030?ooo`030000003oool0oooo00@0oooo
00<0003o0?ooo`3oool07`3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo02P0oooo
00<0003o0?ooo`3oool03`3oool500000100oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`0^0?ooo`070000o`3oool0oooo0?ooo`00o`00oooo0000o`0;0?ooo`040000003oool0oooo
00000180oooo00D00?l00?ooo`3oool0oooo003o00190?ooo`D00000AP3oool003H0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01X0oooo00<0
0?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`040?ooo`030?l0003oool0oooo00@0oooo00<0
0?l00?ooo`3oool06`3oool00`000?l0oooo0000o`060?ooo`03003o003oool0oooo02P0oooo00<0
0?l00?ooo`3oool03`3oool00`000?l0oooo0?ooo`0X0?ooo`03003o003oool0oooo00/0oooo00<0
0?l00?ooo`3oool07`3oool00`000?l00?l00?ooo`0B0?ooo`030000o`3oool0oooo0240oooo00<0
003o0?ooo`3oool07@3oool00`00o`00oooo003o000P0?ooo`03003o003oool0oooo00D0oooo00<0
003o0?ooo`3oool01`3oool00`000?l0oooo0000o`0;0?ooo`030000o`3oool0oooo00H0oooo00<0
0?l00?ooo`00o`00603oool00`000?l0oooo0?ooo`03000000L0oooo00<0003o0?ooo`3oool07`3o
ool00`000?l0oooo0?ooo`0D0?ooo`03003o003oool0oooo00D0oooo00D00?l00?ooo`3oool0oooo
0000o`0>0?ooo`030000o`3oool0oooo02@0oooo00@000000?ooo`3oool0003o2`3oool00`000?l0
oooo0?ooo`090?ooo`030000003oool0oooo02l0oooo00D0003o0?ooo`3oool0oooo003o00020?oo
o`030000o`3oool0oooo00T0oooo0P00000C0?ooo`06003o003oool0oooo0?ooo`00o`0000003`3o
ool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo02`0oooo00<000000?ooo`3oool0A03o
ool003H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo01X0oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`020?ooo`030?l0003o
ool0o`0002D0oooo00<0003o0?ooo`3oool01P3oool2003o00@0oooo00<00?l00?ooo`3oool06@3o
ool00`000?l0oooo0?ooo`120?ooo`05003o003oool0oooo0?ooo`00o`00403oool00`000?l0oooo
0?ooo`0H0?ooo`030000o`3oool0oooo03D0oooo00<0003o0?ooo`3oool04`3oool00`000?l0oooo
0?ooo`0:0?ooo`03003o003oool0oooo00T0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo
0?ooo`0<0?ooo`03003o003oool0oooo00D0oooo00<0003o0?ooo`00o`002@3oool20000oa@0oooo
00<00?l00?ooo`3oool05`3oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo01l0oooo
00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0=0?ooo`03003o003oool0oooo00D0oooo
00D00?l00?ooo`3oool0oooo0000o`0?0?ooo`030000o`3oool0oooo02@0oooo00<000000?ooo`00
0?l02`3oool00`000?l0oooo0?ooo`080?ooo`030000003oool0oooo03@0oooo0P00o`000`3oool0
003o0?ooo`0;0?ooo`030000003oool0oooo0140oooo00H00?l00?ooo`3oool0oooo003o0000000?
0?ooo`030000o`3oool0oooo00/0oooo00<0003o0?ooo`3oool0;03oool00`000000oooo0?ooo`14
0?ooo`00=P3oool200000080oooo0P00000P0?ooo`030000003oool0oooo01X0oooo00<00?l00?oo
o`3oool06`3oool01@00o`00oooo0?ooo`3oool0o`0000L0oooo00<00?l00?ooo`3oool0:@3oool0
1000o`00oooo0?ooo`00o`0K0?ooo`030000o`3oool0oooo00D0oooo00<00?l00?ooo`3oool03`3o
ool00`000?l0oooo0?ooo`0/0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0103o
ool00`000?l0oooo0?ooo`0H0?ooo`030000o`00o`00oooo0180oooo00<0003o0?ooo`3oool0803o
ool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo00P0oooo00@00?l00?ooo`3oool00?l0
2P3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00`0oooo00<00?l00?ooo`3oool0
1@3oool00`000?l0oooo003o00090?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool0
1P3oool00`00o`00oooo003o000G0?ooo`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0
7P3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo00d0oooo00<00?l00?ooo`3oool0
1@3oool01000o`00oooo0?ooo`000?l@0?ooo`030000o`3oool0oooo02@0oooo00<000000?ooo`00
0?l0303oool00`000?l0oooo0?ooo`060?ooo`030000003oool0oooo0300oooo00<0003o0?ooo`3o
ool00P3oool2003o02P0oooo00<000000?ooo`3oool0303oool00`000?l0oooo0?ooo`0;0?ooo`03
0000o`3oool0oooo02`0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
>`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<00?l00?ooo`3oool0:P3oool00`00o`00
oooo003o000L0?ooo`030000o`3oool0oooo00@0oooo00<00?l00?ooo`3oool03`3oool00`000?l0
oooo0?ooo`0X0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool01@3oool00`00o`00
oooo0?ooo`050?ooo`030000o`3oool0oooo01P0oooo00<0003o003o003oool04P3oool00`000?l0
oooo0?ooo`0P0?ooo`030000o`3oool0oooo01<0oooo00<0003o0?ooo`3oool0203oool00`00o`00
oooo0?ooo`0:0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0503oool00`000?l0
oooo003o00090?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool0203oool00`00o`00
oooo0?ooo`0E0?ooo`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool09@3oool00`000?l0
oooo0?ooo`0H0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool09@3oool00`000000
003o0?ooo`0;0?ooo`030000o`3oool0oooo00D0oooo00<000000?ooo`3oool0<@3oool00`000?l0
oooo0?ooo`030?ooo`03003o003oool0003o0200oooo00D00?l00?ooo`3oool0oooo003o00020?oo
o`030000003oool0oooo00/0oooo00<0003o0?ooo`3oool0303oool010000?l0oooo0?ooo`3oool9
00000240oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool06@3oool00`00
o`00oooo0?ooo`0M0?ooo`03003o003oool0o`0000<0oooo00<0o`000?ooo`3oool00P3oool00`00
o`00oooo0?ooo`190?ooo`030000o`3oool0oooo00D0oooo00<00?l00?ooo`3oool03@3oool00`00
0?l0oooo0?ooo`0X0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool01P3oool00`00
0?l0oooo0?ooo`0H0?ooo`03003o003oool0oooo0140oooo00<0003o0?ooo`3oool0=`3oool00`00
0?l0oooo0?ooo`070?ooo`04003o003oool0oooo003o00T0oooo00<0003o0?ooo`3oool00`3oool0
0`000?l0oooo0?ooo`0<0?ooo`03003o003oool0oooo01h0oooo00<0003o0?ooo`3oool01P3oool0
0`00o`00oooo003o00160?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0303oool0
0`00o`00oooo0?ooo`060?ooo`03003o003oool0003o0100oooo00<0003o0?ooo`3oool09@3oool0
0`000000003o0?ooo`0C0?ooo`030000003oool0oooo0300oooo00<0003o0?ooo`3oool00`3oool0
1000o`00oooo0?ooo`000?lP0?ooo`05003o003oool0oooo0?ooo`00o`000P3oool00`000000oooo
0?ooo`0;0?ooo`030000o`3oool0oooo00`0oooo00@0003o0?ooo`3oool000002@3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01T0oooo
00<00?l00?ooo`3oool07@3oool00`00o`00oooo0?l000030?ooo`030?l0003oool0oooo06H0oooo
00<0003o0?ooo`3oool0:03oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00h0oooo
00<0003o0?ooo`3oool05P3oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo0200oooo
00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`0:0?ooo`03003o003oool0oooo00L0oooo
00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0<0?ooo`03003o003oool0oooo00D0oooo
00<0003o0?ooo`00o`005P3oool00`000?l0oooo0?ooo`060?ooo`03003o003oool0oooo01L0oooo
00<0003o0?ooo`3oool0303oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo00H0oooo
00<0003o0?ooo`3oool0303oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo0100oooo
00<0003o0?ooo`3oool09P3oool00`000000oooo0?ooo`0;0?ooo`030000o`3oool0oooo00<0oooo
00<000000?ooo`3oool0<@3oool00`000?l0oooo0?ooo`030?ooo`800?l000<0oooo0000o`3oool0
7`3oool01@00o`00oooo0?ooo`3oool00?l000<0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0A03oool003X0oooo
00@000000?ooo`3oool0oooo0P00000L0?ooo`D000005`3oool00`00o`00oooo0?ooo`0M0?ooo`03
003o003o0000oooo00<0oooo00D0o`000?ooo`3oool0oooo003o001<0?ooo`030000o`3oool0oooo
00D0oooo00<00?l00?ooo`3oool02`3oool00`000?l0oooo0?ooo`0`0?ooo`03003o003oool0oooo
00@0oooo00<00?l00?ooo`3oool0803oool00`000?l0oooo003o000C0?ooo`030000o`3oool0oooo
0200oooo00<0003o0?ooo`3oool07P3oool01000o`00oooo0?ooo`00o`0N0?ooo`03003o003oool0
oooo00D0oooo00<0003o0?ooo`00o`005P3oool00`000?l0oooo0?ooo`060?ooo`03003o003oool0
0?l001L0oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0
oooo01D0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0000o`0A0?ooo`030000o`3oool0
oooo02D0oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0
oooo0380oooo00<0003o0?ooo`3oool00`3oool2003o0080oooo00<0003o0?ooo`3oool09P3oool0
0`000000oooo0?ooo`080?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`000000303oool0
0`000000oooo0?ooo`0H0?ooo`D00000AP3oool003T0oooo00L000000?ooo`3oool0oooo0000003o
ool0000001`0oooo00<000000?ooo`3oool0>P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool00?l004d0oooo00<0003o0?ooo`3oool01P3oool00`00o`00oooo0?ooo`080?ooo`80003o;@3o
ool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`0E0?ooo`030000o`3oool00?l003D0oooo00<0003o0?ooo`3oool05P3o
ool00`000?l0oooo0?ooo`050?ooo`03003o003oool0oooo00/0oooo00<0003o0?ooo`3oool0103o
ool00`000?l0oooo0?ooo`0B0?ooo`040000o`3oool0oooo003o0240oooo00<00?l00?ooo`3oool0
503oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo01d0oooo00<0003o0?ooo`3oool0
1P3oool00`000?l0oooo0?ooo`0F0?ooo`03003o00000?l0oooo0100oooo00<0003o0?ooo`3oool0
9@3oool00`000?l000000?ooo`0;0?ooo`050000o`3oool0oooo0?ooo`000000?03oool01000o`00
oooo0?ooo`000?lO0?ooo`05003o003oool0oooo0?ooo`00o`00103oool00`000000oooo0?ooo`08
0?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`0000003@3oool2000001`0oooo00<00000
0?ooo`3oool0A03oool003T0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo01T0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`03
0?ooo`030?l0003oool0oooo04d0oooo00<0003o0?ooo`3oool01P3oool00`00o`00oooo0?ooo`06
0?ooo`80003o103oool00`00o`00oooo0?ooo`0W0?ooo`03003o003oool0oooo00H0oooo00D00?l0
0?ooo`3oool0oooo003o000;0?ooo`030000o`3oool0oooo01D0oooo00@0003o0?ooo`3oool00?l0
4`3oool00`000?l0oooo0?ooo`0N0?ooo`030000o`3oool0oooo01H0oooo00<0003o0?ooo`3oool0
1@3oool01@00o`00oooo0?ooo`3oool00?l000T0oooo00<0003o0?ooo`3oool0103oool00`000?l0
oooo0?ooo`0;0?ooo`03003o003oool0oooo00@0oooo00<0003o0?ooo`3oool05`3oool00`000?l0
oooo0?ooo`050?ooo`05003o003oool0oooo0?ooo`00o`005@3oool00`000?l0oooo0?ooo`0>0?oo
o`030000o`3oool0oooo01`0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`0;0?oo
o`05003o003oool0oooo0?ooo`000?l01P3oool00`00o`00003o0?ooo`0g0?ooo`030000o`3oool0
000000`0oooo00@0003o0?ooo`3oool00000=P3oool00`000?l0oooo0?ooo`030?ooo`03003o003o
ool0oooo0240oooo00D00?l00?ooo`3oool0oooo003o00050?ooo`030000003oool0oooo00L0oooo
00<0003o0?ooo`3oool03@3oool00`000?l000000?ooo`0?0?ooo`030000003oool0oooo00D0oooo
0P00000B0?ooo`030000003oool0oooo04@0oooo000i0?ooo`030000003oool0000000<0oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`0H0?ooo`03003o003oool0oooo01l0oooo00<0
0?l00?ooo`3oool00`3oool00`3o00000?l00?ooo`1>0?ooo`030000o`3oool0oooo00`0oooo0P00
0?l50?ooo`05003o003oool00?l00?ooo`00o`009P3oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo00d0oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo0?ooo`0D0?ooo`030000
o`3oool0oooo01h0oooo00<0003o0?ooo`3oool05P3oool00`000?l0oooo0?ooo`090?ooo`03003o
003oool0oooo00H0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0;0?ooo`03003o
003oool0oooo00@0oooo00@0003o0?ooo`3oool00?l05P3oool00`000?l0oooo0?ooo`050?ooo`03
003o003oool0oooo01L0oooo00<0003o0?ooo`3oool03P3oool00`000?l0oooo0?ooo`0U0?ooo`03
0000o`3oool0oooo00/0oooo00H00?l00?ooo`3oool0003o0?ooo`000?l50?ooo`03003o00000?l0
oooo0140oooo00<0003o0?ooo`3oool08`3oool010000?l0oooo0?ooo`00000;0?ooo`030000o`00
0000000003L0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo003o00020?ooo`030000o`3o
ool0oooo01d0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`030?ooo`8000001`3o
ool00`000?l0oooo0?ooo`0=0?ooo`030000o`000000oooo0100oooo00<000000?ooo`3oool01000
000D0?ooo`030000003oool0oooo04@0oooo000j0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`0H0?ooo`03003o003oool0oooo01l0oooo00<0o`00
003o003oool00`3oool00`00o`00oooo0?ooo`1>0?ooo`030000o`3oool0oooo00H0oooo00@00?l0
0?ooo`3oool0oooo0P000?l70?ooo`03003o003oool0oooo0080oooo1@00o`0[0?ooo`04003o003o
ool0oooo003o00`0oooo00<0003o0?ooo`3oool05`3oool00`00o`00oooo0?ooo`0A0?ooo`030000
o`3oool0oooo03P0oooo00<0003o0?ooo`3oool0103oool00`00o`00oooo0?ooo`020?ooo`03003o
003oool0oooo00D0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0;0?ooo`03003o
003oool0oooo00L0oooo00<00?l00?ooo`3oool0503oool00`000?l0oooo0?ooo`050?ooo`05003o
003oool0oooo0?ooo`00o`00A@3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo00X0
oooo00<00?l00?ooo`000?l02@3oool00`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0oooo02<0
oooo00@0003o0?ooo`3oool0oooo0P0000090?ooo`030000003oool0oooo03H0oooo00<0003o0?oo
o`3oool00`3oool00`00o`00oooo003o00020?ooo`030000o`3oool0oooo02X0oooo00<000000?oo
o`3oool0103oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo0140oooo0P00000H0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03T0oooo00<0o`000?ooo`3o
ool0103oool00`00o`00oooo0?ooo`1H0?ooo`03003o003oool0003o00P0oooo00<00?l00?ooo`3o
ool01`3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3o
ool02`3oool00`000?l0oooo0?ooo`0D0?ooo`040000o`3oool0oooo003o01<0oooo00<0003o0?oo
o`3oool07@3oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo00@0oooo00<00?l00?oo
o`3oool02P3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo0180oooo00@0003o0?oo
o`3oool00?l05`3oool00`000?l0oooo0?ooo`080?ooo`03003o003oool0oooo01<0oooo00<0003o
0?ooo`3oool03P3oool00`000?l0oooo0?ooo`0L0?ooo`030000o`3oool0oooo00L0oooo00<0003o
0?ooo`3oool02`3oool00`000?l0oooo0?ooo`030?ooo`050000o`3oool0oooo0?ooo`00o`004`3o
ool00`000?l0oooo0?ooo`0Y0?ooo`8000001P3oool00`000000oooo0000o`0g0?ooo`030000o`3o
ool0oooo00D0oooo00@00?l00?ooo`3oool0003o7`3oool00`00o`00oooo0?ooo`020?ooo`03003o
003oool0oooo00H0oooo0P00000D0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
A03oool005`0oooo1@00000F0?ooo`03003o003oool0oooo01h0oooo00<0o`000?ooo`00o`00103o
ool00`3o0000oooo0?ooo`1?0?ooo`80003o1`3oool00`000?l0oooo0?ooo`070?ooo`03003o003o
ool0oooo02X0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0S0?ooo`050000o`3o
ool0oooo0?ooo`00o`004`3oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo01l0oooo
00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00/0oooo
00<00?l00?ooo`3oool0103oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo00@0oooo
00D00?l00?ooo`3oool0oooo003o000E0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3o
ool06`3oool00`000?l0oooo0?ooo`0E0?ooo`03003o003oool0oooo00D0oooo0P000?l20?ooo`03
003o003oool0oooo0140oooo00<0003o0?ooo`3oool08P3oool00`000?l0oooo0?ooo`050?ooo`80
00000P3oool200000080oooo00<0003o0?ooo`3oool0=@3oool00`000?l0oooo0?ooo`030?ooo`03
003o003oool0oooo0080oooo00<0003o0?ooo`3oool07@3oool00`00o`00oooo0?ooo`020?ooo`03
003o003oool0oooo00P0oooo0P0000020?ooo`030000o`3oool0oooo00`0oooo00<000000000o`3o
ool0:03oool5000004H0oooo000n0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
603oool00`00o`00oooo0?ooo`0N0?ooo`040?l0003oool0oooo003o0080oooo00<00?l00?ooo`3o
0000DP3oool30000o`060?ooo`000?l0oooo0000o`3oool00?l0203oool00`00o`00oooo0?ooo`08
0?ooo`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool01`3oool2003o00h0oooo10000?l0
0`3oool0003o0000o`020000o``0oooo00<0003o0?ooo`3oool0=@3oool00`000?l0oooo0?ooo`0I
0?ooo`030000o`3oool0oooo00T0oooo00<00?l00?ooo`3oool01@3oool00`000?l0oooo0?ooo`05
0?ooo`030000o`3oool0oooo00/0oooo00<00?l00?ooo`3oool00`3oool01@000?l0oooo0?ooo`3o
ool00?l001d0oooo00<00?l00?ooo`3oool0603oool00`000?l0oooo0?ooo`0>0?ooo`030000o`3o
ool0oooo01/0oooo00<0003o0?ooo`3oool0203oool00`000?l0oooo0?ooo`090?ooo`030000o`00
o`00oooo00P0oooo00<0003o0?ooo`00o`004`3oool00`000?l0oooo0?ooo`0R0?ooo`030000o`3o
ool0oooo00L0oooo0P0000040?ooo`030000o`3oool0oooo03/0oooo00<00?l00?ooo`00o`000P3o
ool00`000?l0oooo0?ooo`0M0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool02P3o
ool00`000000oooo0000o`0>0?ooo`03000000000?l0oooo02`0oooo00<000000?ooo`3oool0A03o
ool003T0oooo100000020?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool05`3oool0
0`00o`00oooo0?ooo`0O0?ooo`030?l0003oool0oooo0080oooo00@00?l00?ooo`3oool0o`00E`3o
ool010000?l0oooo0?ooo`00o`0C0?ooo`03003o003oool0oooo02X0oooo00<00?l00?ooo`3oool0
5@3oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo00<0oooo00<00?l00?ooo`3oool0
4@3oool00`000?l0oooo0?ooo`0L0?ooo`030000o`3oool0oooo01T0oooo00<0003o0?ooo`3oool0
103oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00D0oooo00<0003o0?ooo`3oool0
1@3oool00`000?l0oooo0?ooo`0;0?ooo`03003o003oool0oooo00<0oooo00D0003o0?ooo`3oool0
oooo003o000G0?ooo`030000o`3oool0oooo00<0oooo00<00?l00?ooo`3oool00P3oool00`00o`00
oooo0?ooo`0C0?ooo`030000o`3oool0oooo00l0oooo00<0003o0?ooo`3oool06P3oool00`000?l0
oooo0?ooo`080?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`00o`002`3oool00`000?l0
oooo0?ooo`0f0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool0<`3oool00`000?l0
oooo0?ooo`040?ooo`03003o003oool00?l003D0oooo00<000000000o`3oool0303oool00`000000
oooo0000o`0]0?ooo`030000003oool0oooo04@0oooo000i0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0F0?ooo`03003o003oool0oooo01l0
oooo00<0o`000?ooo`3oool00P3oool2003o0080oooo00<0o`000?ooo`3oool0F@3oool00`00o`00
oooo0?ooo`040?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool07@3oool00`00o`00
oooo0?ooo`0S0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0103oool00`00o`00
oooo0?ooo`0A0?ooo`030000o`3oool0oooo01@0oooo00<00?l00?ooo`3oool01@3oool00`000?l0
oooo0?ooo`0J0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool02P3oool00`000?l0
oooo0?ooo`070?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool00P3oool00`00o`00
oooo0?ooo`0D0?ooo`030000o`3oool0oooo00<0oooo00<00?l00?ooo`3oool00P3oool00`00o`00
oooo0?ooo`0C0?ooo`030000o`3oool0oooo00l0oooo00<0003o0?ooo`3oool09@3oool00`000?l0
oooo0?ooo`070?ooo`030000o`3oool0oooo00/0oooo00<0003o003o003oool04P3oool00`000?l0
oooo0?ooo`0R0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool0<`3oool00`000?l0
oooo0?ooo`060?ooo`05003o003oool0oooo0?ooo`000?l07@3oool00`00o`00oooo0?ooo`030?oo
o`03003o003oool0oooo00`0oooo00<0003o0?ooo`3oool02`3oool010000000oooo0?ooo`000?l/
0?ooo`030000003oool0oooo04@0oooo000i0?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`0E0?ooo`03003o003oool0oooo0200oooo00<0o`00
0?ooo`3oool00P3oool01@00o`00oooo0?ooo`3oool0o`000640oooo00<00?l00?ooo`3oool0:`3o
ool00`00o`00oooo0?ooo`0T0?ooo`80003o103oool00`000?l0oooo0?ooo`050?ooo`03003o003o
ool0oooo0180oooo00<0003o0?ooo`3oool04P3oool2003o02@0oooo00<0003o0?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool01`3o
ool00`000?l0oooo0?ooo`0:0?ooo`03003o003oool0oooo01l0oooo00<0003o0?ooo`3oool00`3o
ool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo0480oooo00<0003o0?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`050?ooo`050000o`3oool0oooo0?ooo`00o`002`3oool00`00o`00oooo
0?ooo`0A0?ooo`030000o`3oool0oooo0280oooo00<0003o0?ooo`3oool0@`3oool00`000?l0oooo
0?ooo`050?ooo`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool06`3oool00`00o`00oooo
0?ooo`030?ooo`03003o003oool0oooo00`0oooo00<0003o0000000000002@3oool2000000<0oooo
00<0003o0?ooo`3oool0:P3oool00`000000oooo0?ooo`140?ooo`00>@3oool010000000oooo0?oo
o`3oool2000001d0oooo1@00000C0?ooo`03003o003oool0oooo02H0oooo00D00?l00?ooo`3oool0
oooo0?l0001K0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool0303oool00`00o`00
oooo0?ooo`0L0?ooo`03003o003oool0oooo02H0oooo00@0003o0?ooo`3oool0003o7@3oool00`00
0?l0oooo0?ooo`0B0?ooo`800?l01`3oool00`000?l0oooo0?ooo`0V0?ooo`03003o003oool0oooo
00<0oooo00<0003o0?ooo`3oool0503oool00`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo
0080oooo00<00?l00?ooo`3oool0503oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo
01L0oooo00<0003o0?ooo`3oool0403oool00`000?l0oooo0?ooo`0J0?ooo`030000o`3oool0oooo
00T0oooo00<0003o0?ooo`3oool0103oool01@000?l0oooo0?ooo`3oool00?l000`0oooo00<00?l0
0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0c0?ooo`030000o`3oool0oooo0380oooo00<0003o
0?ooo`3o00001@3oool01000o`00oooo0?ooo`00o`020?ooo`030000o`3oool0oooo01/0oooo00<0
0?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0?0?ooo`030000003oool0oooo00@0oooo0P00
000^0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0=`3oool00`3o0000oooo0?ooo`08
0?ooo`030?l0003oool0oooo05T0oooo00D00?l00?ooo`3oool0oooo003o000?0?ooo`03003o003o
ool0oooo01/0oooo00<00?l00?ooo`3oool0:@3oool00`000?l0oooo0?ooo`070?ooo`03003o003o
ool0oooo02L0oooo00<00?l00?ooo`3oool01@3oool00`000?l0oooo0?ooo`0L0?ooo`050000o`3o
ool0oooo0?ooo`00o`001P3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3oool0oooo00X0oooo
00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`030?ooo`03003o003oool0oooo01@0oooo
00<0003o0?ooo`3oool02@3oool00`00o`00oooo0?ooo`0A0?ooo`030000o`3oool0oooo0100oooo
00<0003o0?ooo`3oool06@3oool00`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0oooo0080oooo
00<00?l00?ooo`3oool07`3oool00`000?l0oooo0?ooo`0P0?ooo`030000o`3oool0oooo00l0oooo
00<0003o0?ooo`3oool0<P3oool00`000?l0oooo0?l000050?ooo`04003o003oool0oooo003o0080
oooo00<0003o0?ooo`3oool0;`3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo00<0
00001`3oool00`000?l0oooo0?ooo`0Z0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo01@0oooo00<00?l00?ooo`3oool0803oool00`3o0000oooo0?ooo`1U0?ooo`03003o
003oool00?l00140oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`0c0?ooo`03003o
003oool0oooo01<0oooo00<0003o0?ooo`3oool04P3oool00`00o`00oooo0?ooo`040?ooo`030000
o`3oool0oooo01`0oooo00D0003o0?ooo`3oool0oooo003o00060?ooo`03003o003oool0oooo00<0
oooo00<0003o0?ooo`3oool01`3oool00`000?l0oooo0?ooo`0?0?ooo`030000o`3oool0oooo00<0
oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo0140
oooo00<0003o0?ooo`3oool0403oool00`000?l0oooo0?ooo`0I0?ooo`030000o`3oool0oooo00X0
oooo00<0003o0?ooo`3oool05@3oool00`00o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo0200
oooo00<0003o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`0d0?ooo`030?l0003oool0oooo00H0
oooo00@00?l00?ooo`3oool0003o7@3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo
00/0oooo00<0003o0?ooo`3oool00`3oool2000000X0oooo00<0003o0?ooo`3oool0:P3oool00`00
0000oooo0?ooo`140?ooo`00<@3oool010000000oooo0?ooo`3oool2000002D0oooo00<000000?oo
o`3oool04`3oool00`00o`00oooo0?ooo`0P0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?oo
o`3oool0FP3oool00`00o`00oooo003o000A0?ooo`03003o003oool0oooo01X0oooo00<00?l00?oo
o`3oool0=03oool00`00o`00oooo0?ooo`0B0?ooo`030000o`3oool0oooo0100oooo00<00?l00?oo
o`00o`001P3oool00`000?l0oooo0?ooo`0L0?ooo`050000o`3oool0oooo0?ooo`00o`001P3oool0
0`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool02P3oool0
0`00o`00oooo0?ooo`0O0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool0103oool0
0`00o`00oooo0?ooo`0A0?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3oool0603oool0
0`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool00`3oool0
0`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo03D0oooo00<0003o0?ooo`3oool0403oool0
0`000?l0oooo0?ooo`0a0?ooo`030000o`3o0000oooo00D0oooo00<00?l00?ooo`3oool08@3oool0
0`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00/0oooo00<0003o0?ooo`3oool03`3oool0
0`000?l0oooo0?ooo`0Z0?ooo`030000003oool0oooo04@0oooo000`0?ooo`070000003oool0oooo
0?ooo`000000oooo0000000U0?ooo`030000003oool0oooo03H0oooo00<0o`000?ooo`3oool02@3o
ool00`3o0000oooo0?ooo`1J0?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool0I`3o
ool00`000?l0oooo0?ooo`0?0?ooo`04003o003oool0oooo003o02D0oooo00<0003o0?ooo`3oool0
1`3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0
2@3oool01@00o`00oooo0?ooo`3oool0003o00H0oooo00<00?l00?ooo`3oool0503oool00`000?l0
oooo0?ooo`020?ooo`03003o003oool0oooo01P0oooo00<0003o0?ooo`3oool04@3oool00`000?l0
oooo0?ooo`0U0?ooo`030000o`3oool0oooo0080003o1P3oool00`00o`00oooo0?ooo`0;0?ooo`03
003o003oool0oooo0180oooo00<0003o0?ooo`3oool07`3oool00`000?l0oooo0?ooo`0@0?ooo`03
0000o`3oool0oooo0340oooo00<0003o0?l0003o00001@3oool01000o`00oooo0?ooo`00o`030?oo
o`030000o`3oool0oooo01X0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0;0?oo
o`030000o`3oool0oooo00l0oooo00<0003o0?ooo`3oool0:P3oool00`000000oooo0?ooo`140?oo
o`00<03oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo02<0oooo1@00000@0?oo
o`03003o003oool0oooo0240oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`1J0?oo
o`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`0e0?oo
o`03003o003oool0oooo01<0oooo00<0003o0?ooo`3oool03`3oool00`00o`00oooo0?ooo`050?oo
o`030000o`3oool0oooo01h0oooo00@0003o0?ooo`3oool00?l02`3oool00`000?l0oooo0?ooo`09
0?ooo`030000o`3oool0oooo00T0oooo00D00?l00?ooo`3oool0oooo0000o`060?ooo`03003o003o
ool0oooo01@0oooo00<0003o0?ooo`3oool02@3oool00`00o`00oooo0?ooo`100?ooo`030000o`3o
ool0oooo00/0oooo0P000?l80?ooo`03003o003oool0oooo0200oooo00<0003o0?ooo`3oool07`3o
ool00`000?l0oooo0?ooo`130?ooo`040000o`3oool0o`000?l000D0oooo00@00?l00?ooo`3oool0
0?l00`3oool00`000?l0oooo0?ooo`0^0?ooo`030000o`3oool0oooo00l0oooo00<0003o0?ooo`3o
ool09P3oool5000004H0oooo000`0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0A0?ooo`03003o003oool0oooo0280oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`200?ooo`800?l01`3oool00`00o`00oooo0?ooo`0e0?ooo`03003o
003oool0oooo01@0oooo00<0003o0?ooo`3oool04@3oool00`00o`00oooo0?ooo`020?ooo`030000
o`3oool0oooo0200oooo00<00?l00?ooo`3oool01P3oool01@00o`00oooo0?ooo`3oool0003o01X0
oooo00<0003o0?ooo`3oool01@3oool00`00o`00oooo0?ooo`0D0?ooo`030000o`3oool0oooo0080
oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0@0?ooo`030000o`3oool0oooo0180
oooo00<0003o0?ooo`3oool0603oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo01D0
oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?ooo`0b0?ooo`030000o`3oool0oooo0300
oooo00@0003o0?ooo`3oool0o`00203oool01@00o`00oooo0?ooo`3oool0003o01`0oooo00<00?l0
0?ooo`3oool00`3oool00`00o`00oooo0?ooo`1:0?ooo`030000003oool0oooo04@0oooo000a0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0A0?oo
o`03003o003oool0oooo0240oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`1_0?oo
o`03003o003oool0oooo00d0oooo00@00?l00?ooo`3oool00?l01P3oool00`00o`00oooo0?ooo`0e
0?ooo`03003o003oool0oooo02@0oooo00D00?l00?ooo`3oool0oooo003o00030?ooo`030000o`3o
ool0oooo0200oooo00<0003o003o003oool01`3oool00`00o`00oooo0?ooo`0=0?ooo`030000o`3o
ool0oooo00T0oooo00@00?l00?ooo`3oool0003o7P3oool00`000?l0oooo0?ooo`020?ooo`03003o
003oool0oooo00@0oooo00<00?l00?ooo`3oool0403oool00`000?l0oooo0?ooo`0B0?ooo`030000
o`3oool0oooo01P0oooo00<0003o0?ooo`3oool05@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o
003oool0oooo0180oooo00<0003o0?ooo`3oool07`3oool00`000?l0oooo0?ooo`0@0?ooo`030000
o`3oool0oooo0300oooo00@0003o0?ooo`3o0000o`00103oool00`00o`00oooo0?ooo`050?ooo`03
0000o`3oool0oooo01X0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0;0?ooo`03
0000o`3oool0oooo00l0oooo00<0003o0?ooo`3oool0:P3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0e0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0
K`3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo0080oooo0P00o`1D0?ooo`030000
o`3oool0oooo00`0oooo00D00?l00?ooo`3oool0oooo003o00030?ooo`030000o`3oool0oooo0200
oooo00<0003o0?ooo`3oool01`3oool01@00o`00oooo0?ooo`3oool0003o00/0oooo00<0003o0?oo
o`3oool0203oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01T0oooo00<00?l00?oo
o`3oool05P3oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo01P0oooo00<0003o0?oo
o`3oool05@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01<0oooo00<0003o0?oo
o`3oool07P3oool00`000?l0oooo0?ooo`0A0?ooo`030000o`3oool0oooo0340oooo00<0o`000?oo
o`3o00000`3oool01@00o`00oooo0?ooo`3oool00?l000<0oooo00<0003o0?ooo`3oool06P3oool0
0`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00/0oooo00<0003o0?ooo`3oool03`3oool0
0`000?l0oooo0?ooo`0Z0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000<P3oool00`3o
0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo06h0oooo00<00?l00?ooo`3oool02`3oool00`00
o`00oooo0?ooo`080?ooo`03003o003oool0oooo03H0oooo00<00?l00?ooo`3oool05@3oool00`00
0?l0oooo0?ooo`0<0?ooo`03003o003oool0oooo00D0oooo00<0003o0?ooo`3oool08@3oool00`00
o`00oooo0?ooo`0:0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0203oool01000
o`00oooo0?ooo`000?l80?ooo`03003o003oool0oooo01D0oooo00<0003o0?ooo`3oool0203oool0
0`00o`00oooo0?ooo`0?0?ooo`030000o`3oool0oooo01@0oooo00<0003o0?ooo`3oool05`3oool0
0`000?l0oooo0?ooo`0E0?ooo`03003o003oool0oooo0440oooo00<0003o0?ooo`3oool04P3oool0
0`000?l0oooo0?ooo`0_0?ooo`050000o`3oool0o`000?ooo`3o00000`3oool01@00o`00oooo0?oo
o`3oool00?l003@0oooo00<0003o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`0V0?ooo`D00000
AP3oool004d0oooo0`00000<0?ooo`030000003oool0oooo03@0oooo00<0o`000?ooo`3oool03@3o
ool00`3o0000oooo0?ooo`1k0?ooo`03003o003oool0oooo00H0oooo00@00?l00?ooo`3oool00?l0
>03oool00`00o`00oooo0?ooo`0F0?ooo`030000o`3oool0oooo0100oooo00<00?l00?ooo`3oool0
903oool00`00o`00oooo0?ooo`060?ooo`04003o003oool0oooo0000o`d0oooo00<0003o0?ooo`3o
ool02@3oool00`000?l0oooo0?ooo`070?ooo`03003o003oool0oooo01D0oooo00D0003o0?ooo`3o
ool0oooo003o00060?ooo`03003o003oool0oooo02H0oooo00<0003o0?ooo`3oool0?@3oool00`00
o`00oooo0?ooo`0C0?ooo`030000o`3oool0oooo01d0oooo00<0003o0?ooo`3oool04P3oool00`00
0?l0oooo0?ooo`0_0?ooo`050000o`3oool0o`000?ooo`3o00001`3oool01@00o`00oooo0?ooo`3o
ool0003o01`0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0:0?ooo`030000o`3o
ool0oooo0100oooo00<0003o0?ooo`3oool0:@3oool00`000000oooo0?ooo`0>0?ooo`<00000<`3o
ool003T0oooo00<000000?ooo`3oool04@3oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo03<0oooo00<0o`000?ooo`3oool0P03oool00`00o`00oooo0?ooo`080?ooo`03003o003o
ool0oooo00P0oooo0`00o`0h0?ooo`03003o003oool0oooo01H0oooo00<0003o0?ooo`3oool02P3o
ool00`00o`00oooo0?ooo`030?ooo`03003o003oool0003o02@0oooo00<00?l00000o`3oool01P3o
ool01000o`00oooo0?ooo`000?l=0?ooo`030000o`3oool0oooo00L0oooo00<00?l00?ooo`000?l0
8@3oool010000?l0oooo0?ooo`00o`080?ooo`03003o003oool0oooo00d0oooo00<0003o0?ooo`3o
ool0;P3oool00`000?l0oooo0?ooo`0E0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3o
ool04`3oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo04<0oooo00H0003o0?ooo`3o
ool0o`000?ooo`3o00030?ooo`03003o003oool0oooo00D0oooo00<0003o0?ooo`3oool06P3oool0
0`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00X0oooo00<0003o0?ooo`3oool0403oool0
0`000?l0oooo0?ooo`0Y0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3o
ool003T0oooo00<000000?ooo`3oool04@3oool010000000oooo0?ooo`00000;0?ooo`T00000;@3o
ool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo06l0oooo00<00?l00?ooo`3oool01P3o
ool2003o06`0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0000o`0V0?ooo`030000o`3o
ool0oooo00D0oooo00<00?l00?ooo`000?l05`3oool00`00o`00003o0?ooo`090?ooo`03003o003o
ool0oooo01D0oooo00@0003o0?ooo`3oool00?l0603oool00`000?l0oooo0?ooo`0E0?ooo`030000
o`3oool0oooo01H0oooo00<0003o0?ooo`3oool05@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o
003oool0oooo01<0oooo00<0003o0?ooo`3oool0<`3oool00`000?l0oooo0?ooo`0]0?ooo`040000
o`3oool0oooo0?l000D0oooo00D00?l00?ooo`3oool0oooo003o00030?ooo`030000o`3oool0oooo
01X0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`110?ooo`T00000403oool01000
0000oooo0?ooo`00000b0?ooo`00>@3oool00`000000oooo0?ooo`0;0?ooo`@000000P3oool30000
00`0oooo00<000000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo
0700oooo00@00?l00?ooo`3oool0oooo0`00o`1:0?ooo`03003o003oool0oooo01H0oooo00<0003o
0?ooo`3oool02@3oool00`00o`00oooo0?ooo`040?ooo`030000o`3oool0oooo02<0oooo00<00?l0
0?ooo`000?l05`3oool00`000?l0oooo0?ooo`070?ooo`03003o00000?l0oooo00T0oooo00<00?l0
0?ooo`3oool05@3oool00`000?l0oooo0?ooo`090?ooo`03003o003oool0oooo00`0oooo00<0003o
0?ooo`3oool05P3oool00`000?l0oooo0?ooo`0F0?ooo`030000o`3oool0oooo01D0oooo00<00?l0
0?ooo`3oool08`3oool00`000?l0oooo0?ooo`0L0?ooo`030000o`3oool0oooo01<0oooo00<0003o
0?ooo`3oool0;@3oool01P000?l0oooo0?ooo`3o0000oooo0?l000<0oooo00D00?l00?ooo`3oool0
oooo003o00040?ooo`030000o`3oool0oooo02`0oooo00<0003o0?ooo`3oool04@3oool00`000?l0
oooo0?ooo`0Y0?ooo`030000003oool0oooo00P0oooo100000020?ooo`<00000<`3oool003H0oooo
1`00000A0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0<P3oool00`3o0000oooo
0?ooo`0?0?ooo`030?l0003oool0oooo0740oooo0P00o`1>0?ooo`03003o003oool0oooo01H0oooo
00<0003o0?ooo`3oool0403oool00`00o`00oooo0?ooo`0R0?ooo`04003o003oool0oooo0000o`L0
oooo00<00?l00?ooo`000?l03@3oool00`000?l0oooo0?ooo`0C0?ooo`03003o003oool0oooo01P0
oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0<0?ooo`030000o`3oool0oooo01H0
oooo00<0003o0?ooo`3oool05P3oool00`000?l0oooo0?ooo`0U0?ooo`03003o003oool0oooo01<0
oooo00<0003o0?ooo`3oool0703oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo0300
oooo00<0o`000?ooo`3o0000203oool01@00o`00oooo0?ooo`3oool0003o01X0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`090?ooo`030000o`3oool0oooo0140oooo00<0003o0?oo
o`3oool0:@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0380oooo000i0?ooo`03
0000003oool0oooo0180oooo0`00000;0?ooo`030000003oool0oooo0340oooo00<0o`000?ooo`3o
ool0403oool00`3o0000oooo0?ooo`310?ooo`03003o003oool0oooo01L0oooo0P000?l80?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool08P3oool01@00o`00oooo0?ooo`3oool0003o
00H0oooo00<00?l00000o`000?l03@3oool00`000?l0oooo0?ooo`070?ooo`03003o003oool0oooo
0240oooo00@0003o0?ooo`3oool00?l0203oool00`00o`00oooo0?ooo`0<0?ooo`030000o`3oool0
oooo01L0oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo0?ooo`0E0?ooo`03003o003oool0
oooo00d0oooo00<00?l00?ooo`3oool0<P3oool00`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0
oooo02/0oooo00<0003o0?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool00?l002<0oooo00<0
0?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`090?ooo`030000o`3oool0oooo0140oooo00<0
003o0?ooo`3oool0:@3oool00`000000oooo0?ooo`0?0?ooo`<00000<P3oool003T0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0a0?ooo`030?l0003oool0oooo0140oooo00<0o`00
0?ooo`3oool0g03oool00`000?l0oooo0?ooo`050?ooo`03003o003oool0oooo00D0oooo00<00?l0
0?ooo`3oool09P3oool00`000?l0oooo0?ooo`030?ooo`030000o`00o`00oooo00h0oooo00<0003o
0?ooo`3oool01`3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01D0oooo00@0003o
0?ooo`3oool00?l0<@3oool00`000?l0oooo0?ooo`0]0?ooo`03003o003oool0oooo00d0oooo00<0
0?l00?ooo`3oool0503oool00`000?l0oooo0?ooo`0K0?ooo`030000o`3oool0oooo01@0oooo00<0
003o0?ooo`3oool0:`3oool010000?l0oooo0?ooo`3o00020?ooo`050?l0003oool0oooo0?ooo`00
o`00103oool01@00o`00oooo0?ooo`3oool0003o01X0oooo00<00?l00?ooo`3oool01@3oool00`00
o`00oooo0?ooo`090?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3oool0:@3oool00`00
0000oooo0?ooo`140?ooo`00>@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0300
oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`300?ooo`03003o003oool0oooo01X0
oooo00<0003o0?ooo`3oool0103oool00`00o`00oooo0?ooo`040?ooo`030000o`3oool0oooo02<0
oooo00<00?l00?ooo`3oool0103oool20000oa80oooo00<0003o0?ooo`3oool01P3oool00`000?l0
0?l00?ooo`0:0?ooo`03003o003oool0oooo01D0oooo00<0003o0?ooo`3oool02@3oool00`00o`00
oooo0?ooo`0;0?ooo`030000o`3oool0oooo0300oooo00<0003o0?ooo`3oool05@3oool00`00o`00
oooo0?ooo`0T0?ooo`030000o`3oool0oooo01/0oooo00<0003o0?ooo`3oool0<03oool00`000?l0
oooo0?ooo`0>0?ooo`050000o`3oool0oooo0?ooo`3o00000P3oool00`3o0000oooo0?ooo`060?oo
o`05003o003oool0oooo0?ooo`000?l03`3oool00`000?l0oooo0?ooo`0L0?ooo`030000o`3oool0
oooo0140oooo00<0003o0?ooo`3oool0:@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool04`3oool00`3o
0000oooo0?ooo`300?ooo`03003o003oool0oooo01/0oooo00<0003o0?ooo`3oool02P3oool00`00
0?l00?l00?ooo`0S0?ooo`03003o003oool0oooo0080oooo0P000?l40?ooo`03003o003oool0oooo
01H0oooo00<0003o0?ooo`3oool02P3oool00`00o`00oooo0?ooo`0E0?ooo`030000o`3oool00?l0
00T0oooo00<00?l00?ooo`3oool02`3oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo
0180oooo10000?lW0?ooo`03003o003oool0oooo01D0oooo00<0003o0?ooo`3oool0<P3oool00`00
0?l0oooo0?ooo`0H0?ooo`<0003o3P3oool01@000?l0oooo0?ooo`3oool0o`000080oooo00D0o`00
0?ooo`3oool0oooo003o00040?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3oool02P3o
ool20000o`030?ooo`000?l0oooo00P0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?oo
o`190?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0140oooo0P3o000L
0?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool0`03oool00`00o`00oooo0?ooo`0L
0?ooo`050000o`3oool0oooo0?ooo`00o`001P3oool010000?l0oooo0?ooo`00o`0S0?ooo`03003o
003oool0oooo00P0oooo00<00?l00?ooo`3oool03P3oool00`000?l0oooo0?ooo`030?ooo`040000
o`3oool0oooo003o02<0oooo00<0003o0?ooo`00o`002@3oool00`00o`00oooo0?ooo`0:0?ooo`03
0000o`3oool0oooo01T0oooo00<0003o0?ooo`3oool0303oool50000oa`0oooo00<00?l00?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`0E0?ooo`030000o`3oool0oooo01T0oooo00<0003o0?ooo`3o
ool05P3oool00`000?l0oooo0?ooo`0H0?ooo`040000o`3oool0oooo0?ooo`80003o3`3oool0103o
0000oooo0?ooo`3o00020?ooo`03003o003oool0oooo00P0oooo00<0003o0?ooo`3oool0203oool2
0000o`<0oooo00<0003o0?ooo`3oool01`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0
oooo00T0oooo00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0Y0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo01<0oooo0P3o000I0?ooo`030?l0003oool0oooo
0?L0oooo00@0003o0?ooo`3oool00?l01P3oool00`000?l0oooo0?ooo`0`0?ooo`03003o003oool0
oooo00d0oooo00@0003o0?ooo`3oool0oooo0P000?l30?ooo`03003o003oool0oooo00X0oooo00<0
0?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0D0?ooo`030000o`3oool0oooo01X0oooo00<0
003o0?ooo`3oool0203oool20000ob40oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?oo
o`0a0?ooo`030000o`3oool0oooo01L0oooo00<0003o0?ooo`3oool07@3oool30000o`P0oooo00D0
003o0?ooo`3oool0oooo0?l000020?ooo`040?l0003oool0oooo003o00D0oooo00<00?l00?ooo`3o
ool0303oool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo00L0oooo00<00?l00?ooo`3o
ool01@3oool00`00o`00oooo0?ooo`090?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3o
ool0:@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`030?l0
003oool0oooo01D0oooo00<0o`000?ooo`3oool05@3oool00`3o0000oooo0?ooo`2o0?ooo`03003o
003oool0oooo01l0oooo00<0003o003o003oool0203oool00`00o`00oooo0?ooo`0Q0?ooo`03003o
003oool0oooo01T0oooo00@0003o0?ooo`3oool0003o1@3oool00`00o`00oooo0?ooo`0:0?ooo`03
003o003oool0oooo01@0oooo00<0003o0?ooo`3oool02P3oool00`00o`00oooo0?ooo`090?ooo`03
0000o`3oool0oooo01X0oooo00@0003o0?ooo`000?l0003o103oool30000ob<0oooo00<00?l00?oo
o`3oool09`3oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo01L0oooo00<0003o0?oo
o`3oool05P3oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00H0oooo00D0003o0?oo
o`3oool0oooo0?l0000;0?ooo`03003o003oool0oooo0080oooo1@000?l00`3oool0003o0000o`02
0000o`H0oooo00<0003o0?ooo`3oool06`3oool00`000?l0oooo0?ooo`0A0?ooo`030000o`3oool0
oooo02T0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool20?l0
01@0oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`2o0?ooo`03003o003oool0oooo
0200oooo0P000?l40?ooo`050000o`3oool0oooo0?ooo`00o`008`3oool00`00o`00oooo0?ooo`09
0?ooo`03003o003oool0oooo00d0oooo0P000?lD0?ooo`03003o003oool0oooo01@0oooo00<0003o
0?ooo`00o`002P3oool00`00o`00oooo0?ooo`0Z0?ooo`<0003o>@3oool00`00o`00oooo0?ooo`0E
0?ooo`030000o`3oool0oooo01P0oooo00<0003o0?ooo`3oool0<03oool00`000?l0oooo0?ooo`07
0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool00P3oool0103o0000oooo0?ooo`3o
00020?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool04P3oool00`000?l0oooo0?oo
o`070?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool02@3oool00`000?l0oooo0?oo
o`0B0?ooo`030000o`3oool0oooo02P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0603oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo01H0oooo00<0o`00
0?ooo`3oool0`03oool00`00o`00oooo0?ooo`0N0?ooo`04003o003oool0oooo0000o`<0oooo00D0
003o0?ooo`3oool0oooo003o000S0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0
5P3oool00`00o`00oooo0?ooo`0R0?ooo`030000o`00o`00oooo00T0oooo00<00?l00?ooo`3oool0
203oool00`000?l0oooo0?ooo`190?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0
5@3oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo01L0oooo00<0003o0?ooo`3oool0
5@3oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0
0P3oool0103o0000oooo0?ooo`3o00020?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3o
ool01@3oool00`00o`00oooo0?ooo`090?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`3o
ool0:03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0I0?ooo`030?l0
003oool0oooo0140oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`3Q0?ooo`03003o
003oool0oooo0080oooo00<0003o0?ooo`000?l0<`3oool00`00o`00oooo0?ooo`0F0?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool05@3oool00`000?l00?l00?ooo`0D0?ooo`030000
o`3oool0oooo04T0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0F0?ooo`030000
o`3oool0oooo0340oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo0?ooo`0:0?ooo`030000
o`3oool0oooo0080oooo00<0003o0?ooo`3oool01@3oool0103o0000oooo0?ooo`00o`050?ooo`03
003o003oool0oooo01<0oooo00<0003o0?ooo`3oool01P3oool00`00o`00oooo0?ooo`050?ooo`03
003o003oool0oooo04T0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
6@3oool00`3o0000oooo0?ooo`0[0?ooo`030?l0003oool0oooo0;l0oooo00<00?l00?ooo`3oool0
7P3oool00`00o`00oooo0?ooo`030?ooo`80003o103oool00`00o`00oooo0?ooo`0O0?ooo`03003o
003oool0oooo02<0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0E0?ooo`030000
o`3oool0oooo00T0oooo00<00?l00?ooo`3oool01`3oool00`000?l0oooo0?ooo`1:0?ooo`03003o
003oool0oooo02P0oooo00<0003o0?ooo`3oool05`3oool00`000?l0oooo0?ooo`0H0?ooo`030000
o`3oool0oooo01@0oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`060?ooo`040?l0
003oool0oooo0?l000P0oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`0I0?ooo`03
0000o`3oool0oooo01<0oooo00<0003o0?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0
603oool00`3o0000oooo0?ooo`2o0?ooo`03003o003oool0oooo02X0oooo00<00?l00?ooo`3oool0
7`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3oool0
5@3oool00`00o`00003o0?ooo`090?ooo`03003o003oool0oooo00L0oooo00<0003o0?ooo`3oool0
G03oool00`00o`00oooo0?ooo`0`0?ooo`030000o`3oool0oooo01P0oooo00<0003o0?ooo`3oool0
8`3oool00`000?l0oooo0000o`050?ooo`070?l0003oool0oooo0?ooo`3o0000oooo003o00050?oo
o`03003o003oool0oooo01<0oooo00<0003o0?ooo`3oool01P3oool00`00o`00oooo0?ooo`050?oo
o`03003o003oool0oooo00L0oooo00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`0X0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02`0oooo00<0o`000?ooo`3o
ool0603oool00`3o0000oooo0?ooo`2o0?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3o
ool02P3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3o
ool05@3oool00`00o`00oooo0?ooo`0R0?ooo`03003o00000?l0oooo00T0oooo00<00?l00?ooo`3o
ool01@3oool00`000?l0oooo0?ooo`1<0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3o
ool05P3oool00`000?l0oooo0?ooo`0F0?ooo`030000o`3oool0oooo01X0oooo00<0003o0?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo00d0oooo0P000?l50?ooo`07
0?l0003oool0oooo0?ooo`3o0000oooo003o000L0?ooo`030000o`3oool0oooo00@0oooo00<00?l0
0?ooo`3oool01P3oool00`00o`00oooo0?ooo`070?ooo`030000o`3oool0oooo01@0oooo00<0003o
0?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0K0?oo
o`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`3O0?oo
o`03003o003oool0oooo03X0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0:0?oo
o`03003o003oool0oooo01D0oooo00<00?l00?ooo`000?l0403oool00`000?l0oooo0?ooo`1<0?oo
o`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool05P3oool00`000?l0oooo0?ooo`0F0?oo
o`030000o`3oool0oooo02X0oooo0P00o`040?ooo`030000o`3oool0oooo00h0oooo00<0003o0?oo
o`3oool00`3oool01`3o0000oooo0?ooo`3oool0o`000?ooo`00o`001@3oool00`00o`00oooo0?oo
o`0D0?ooo`030000o`3oool0oooo00@0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?oo
o`050?ooo`030000o`3oool0oooo01D0oooo00<0003o0?ooo`3oool0:03oool00`000000oooo0?oo
o`140?ooo`00=`3oool200000080oooo0P00000O0?ooo`030000003oool0oooo01/0oooo00<0o`00
0?ooo`3oool03@3oool00`3o0000oooo0?ooo`3K0?ooo`03003o003oool0oooo02X0oooo00<00?l0
0?ooo`3oool07`3oool00`00o`00oooo0?ooo`0=0?ooo`<00?l04`3oool00`00o`00oooo0?ooo`0:
0?ooo`03003o003oool0oooo01L0oooo00<0003o0?ooo`3oool01`3oool00`00o`00oooo0?ooo`03
0?ooo`030000o`3oool0oooo04d0oooo00<00?l00?ooo`3oool0:@3oool00`000?l0oooo0?ooo`0F
0?ooo`030000o`3oool0oooo01X0oooo00<0003o0?ooo`3oool03@3oool2003o00<0oooo00<0003o
0?ooo`3oool0503oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<00?l0
0?ooo`3oool0A@3oool00`000?l0oooo0?ooo`0X0?ooo`030000003oool0oooo04@0oooo000f0?oo
o`060000003oool0oooo0000003oool00000803oool00`000000oooo0?ooo`0L0?ooo`030?l0003o
ool0oooo00`0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`2n0?ooo`03003o003o
ool0oooo01`0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003o
ool0oooo0140oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0E0?ooo`04003o003o
ool0oooo0000o`P0oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`1Q0?ooo`03003o
003oool0oooo01L0oooo00<0003o0?ooo`3oool0<P3oool00`000?l0oooo0?ooo`0>0?ooo`05003o
003oool0oooo0?ooo`000?l05P3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo00@0
oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`040?ooo`03003o003oool0oooo00L0
oooo00<00?l00?ooo`3oool0103oool00`000?l0oooo0?ooo`110?ooo`030000003oool0oooo04@0
oooo000f0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`0L0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool06`3oool00`3o0000
oooo0?ooo`2n0?ooo`03003o003oool0oooo01/0oooo00<00?l00?ooo`3oool03@3oool00`00o`00
oooo0?ooo`0N0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool03@3oool00`00o`00
oooo0?ooo`0S0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`000?l0DP3oool00`00o`00
oooo0?ooo`0@0?ooo`03003o003oool0oooo01L0oooo00<0003o0?ooo`3oool05@3oool00`000?l0
oooo0?ooo`0K0?ooo`030000o`3oool0oooo00/0oooo00<00?l00?ooo`3oool06P3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool00?l001`0oooo00<0003o0?ooo`3oool0103oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo00@0oooo00<0003o0?ooo`3oool05`3oool00`000?l0
oooo0?ooo`0W0?ooo`030000003oool0oooo04@0oooo000f0?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030?l0003oool0oooo00X0
oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`3L0?ooo`03003o003oool0oooo05<0
oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0E0?ooo`05003o003oool0oooo0?oo
o`000?l0203oool20000oe<0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0^0?oo
o`030000o`3oool0oooo01/0oooo00<0003o0?ooo`3oool02`3oool00`00o`00oooo003o00020?oo
o`030000o`3oool0oooo01D0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo003o00060?oo
o`03003o003oool0oooo01<0oooo00<0003o0?ooo`3oool0103oool00`00o`00oooo0?ooo`070?oo
o`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool0603oool00`000?l0oooo0?ooo`0W0?oo
o`030000003oool0oooo04@0oooo000f0?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030?l0003oool0oooo02P0oooo00<0o`000?oo
o`3oool0TP3oool00`3o0000oooo0?ooo`0Z0?ooo`03003o003oool0oooo01T0oooo00<00?l00?oo
o`3oool03P3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo01@0oooo00<00?l00?oo
o`3oool0303oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01X0oooo00<0003o0?oo
o`3oool0103oool00`000?l00?l00?ooo`1C0?ooo`03003o003oool0oooo02/0oooo00<0003o0?oo
o`3oool0503oool00`000?l0oooo0?ooo`0L0?ooo`030000o`3oool0oooo00X0oooo00<00?l00?oo
o`00o`000P3oool00`000?l0oooo0?ooo`0J0?ooo`030?l0003oool0oooo00H0oooo00<00?l00?oo
o`3oool0503oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo01P0oooo00<0003o0?oo
o`3oool09`3oool00`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool07P3oool00`3o0000oooo0?ooo`080?oo
o`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool0T@3oool00`3o0000oooo0?ooo`0Z0?oo
o`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0M0?oo
o`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`0D0?oo
o`03003o003oool0oooo00<0oooo00<0003o0?ooo`3oool00P3oool010000?l0oooo0?ooo`00o`1X
0?ooo`03003o003oool0oooo01P0oooo0P000?lD0?ooo`030000o`3oool0oooo01d0oooo00<0003o
0?ooo`3oool0303oool00`00o`00003o0?ooo`0G0?ooo`030?l0003oool0oooo0080oooo00<0o`00
003o003oool01P3oool00`00o`00oooo0?ooo`0D0?ooo`030000o`3oool0oooo00<0oooo00<00?l0
0?ooo`3oool01`3oool00`00o`00oooo0?ooo`030?ooo`030000o`3oool0oooo01P0oooo00<0003o
0?ooo`3oool09`3oool00`000000oooo0?ooo`140?ooo`00=P3oool200000080oooo0P00000P0?oo
o`D000009`3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo0940oooo00<0o`000?oo
o`3oool0:P3oool00`00o`00oooo0?ooo`0G0?ooo`03003o003oool0oooo0100oooo00<00?l00?oo
o`3oool07@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00`0oooo00<00?l00?oo
o`3oool08P3oool00`00o`00oooo0?ooo`040?ooo`040000o`3oool0oooo0000o`<0oooo00<00?l0
0?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo01X0oooo00<0003o
0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo00T0oooo00D00?l0
0?ooo`3oool0oooo0000o`0H0?ooo`030?l0003oool0oooo00<0oooo00<00?l00?ooo`3oool08P3o
ool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3oool06@3o
ool00`000?l0oooo0?ooo`0S0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool07`3oool0
0`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool0TP3oool0
0`3o0000oooo0?ooo`2L0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0503oool0
0`00o`00oooo0?ooo`060?ooo`030000o`3oool0oooo05H0oooo00<00?l00?ooo`3oool04P3oool0
0`00o`00oooo0?ooo`0L0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool07`3oool0
0`000?l0oooo0?ooo`070?ooo`06003o003oool0oooo0?ooo`00o`00003o603oool00`3o0000oooo
0?ooo`030?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0503oool00`000?l0oooo
0?ooo`030?ooo`03003o003oool0oooo00L0oooo00D00?l00?ooo`3oool0oooo0000o`160?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01l0oooo0P3o00070?ooo`030?l0
003oool0oooo0;40oooo00<0o`000?ooo`3o0000:`3oool00`00o`00oooo0?ooo`0F0?ooo`03003o
003oool0oooo0180oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0E0?ooo`03003o
003oool0oooo00/0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0L0?ooo`030000
o`3oool0oooo00<0oooo00<00?l00?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0b0?ooo`80003o
3@3oool00`000?l0oooo0?ooo`0P0?ooo`030000o`3oool0oooo00L0oooo00D00?l00?ooo`3oool0
oooo003o000I0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3oool00`00o`00
oooo0?ooo`0D0?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3oool06P3oool00`000?l0
oooo0?ooo`0W0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0240oooo
0`3o00040?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool0T03oool00`3o0000oooo
0?l0000[0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo
0?ooo`0L0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool06@3oool00`00o`00oooo
0?ooo`0D0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0IP3oool00`00o`00oooo
0?ooo`0O0?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`3oool08P3oool00`000?l0oooo
0?ooo`0;0?ooo`03003o003oool0oooo01H0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo
0?ooo`050?ooo`03003o003oool0oooo01@0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo
0?ooo`070?ooo`04003o003oool0oooo0000oad0oooo00<0003o0?ooo`3oool09`3oool00`000000
oooo0?ooo`140?ooo`00>P3oool01@000000oooo0?ooo`3oool0000001d0oooo00<000000?ooo`3o
ool0903oool20?l000030?ooo`3o0000oooo0200oooo00<0o`000?ooo`3oool0T03oool00`3o0000
oooo0?ooo`0[0?ooo`03003o003oool0oooo02/0oooo00<00?l00?ooo`3oool0703oool00`00o`00
oooo0?ooo`0S0?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool0303oool00`00o`00
oooo0?ooo`1A0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool08@3oool00`000?l0
oooo0?ooo`060?ooo`030000o`3oool0oooo02@0oooo00<0003o0?ooo`3oool01@3oool00`00o`00
oooo0?ooo`020?ooo`030000o`3oool0oooo01H0oooo00<0o`000?ooo`3oool00`3oool00`00o`00
oooo0?ooo`0M0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool01`3oool01000o`00
oooo0?ooo`000?lM0?ooo`030000o`3oool0oooo02L0oooo00<000000?ooo`3oool0A03oool003T0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo02L0
oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`2?0?ooo`030?l0003oool0o`000480
oooo00<00?l00?ooo`3oool0C03oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00/0
oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`1O0?ooo`03003o003oool0oooo01@0
oooo00<00?l00?ooo`3oool08@3oool00`000?l0oooo0?ooo`0]0?ooo`030000o`3oool0oooo00@0
oooo00H00?l00?ooo`3oool0oooo0000o`00o`0H0?ooo`030?l0003oool0oooo00<0oooo00<00?l0
0?ooo`3oool01@3oool00`00o`00oooo0?ooo`0E0?ooo`030000o`3oool0oooo0080oooo00<00?l0
0?ooo`3oool01`3oool00`00o`00oooo0?ooo`0N0?ooo`030000o`3oool0oooo02L0oooo00<00000
0?ooo`3oool0A03oool003T0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo04X0oooo00<0o`000?ooo`3oool0SP3oool0103o0000oooo0?ooo`3o
000[0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?oo
o`0J0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?oo
o`0;0?ooo`03003o003oool0oooo02<0oooo00<00?l00?ooo`3oool0>P3oool2003o01<0oooo00<0
0?l00?ooo`3oool0>@3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo02P0oooo00<0
003o0?ooo`3oool00`3oool01P00o`00oooo0?ooo`3oool0003o003o01P0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0oooo02H0oooo00<0003o0?ooo`3o
ool07@3oool00`000?l0oooo0?ooo`0V0?ooo`030000003oool0oooo04@0oooo000i0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`1:0?ooo`03
0?l0003oool0oooo08h0oooo00@0o`000?ooo`3oool0o`00:`3oool00`00o`00oooo0?ooo`0C0?oo
o`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool06@3oool00`00o`00oooo0?ooo`0H0?oo
o`03003o003oool0oooo01T0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0=0?oo
o`03003o003oool0oooo03X0oooo0P00o`0Z0?ooo`03003o003oool0oooo02<0oooo00@0003o0?oo
o`3oool0003o;03oool00`000?l0oooo0?ooo`060?ooo`030000o`00o`00oooo01d0oooo00<00?l0
0?ooo`3oool01@3oool00`00o`00oooo0?ooo`0F0?ooo`050000o`3oool0oooo0?ooo`00o`002@3o
ool00`00o`00003o0?ooo`180?ooo`030000003oool0oooo04@0oooo000j0?ooo`80000000<0oooo
0000000000007@3oool00`000000oooo0?ooo`1:0?ooo`030?l0003oool0oooo08h0oooo00@0o`00
0?ooo`3oool0o`00;03oool00`00o`00oooo0?ooo`0A0?ooo`03003o003oool0oooo01L0oooo00<0
0?l00?ooo`3oool06@3oool00`00o`00oooo0?ooo`0U0?ooo`03003o003oool0oooo0240oooo00<0
0?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0j0?ooo`03003o003oool00?l00180oooo00<0
0?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0U0?ooo`030000o`3oool0oooo02l0oooo00<0
0?l00?ooo`3oool06`3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo01h0oooo00@0
003o0?ooo`3oool00?l02P3oool00`00o`00003o0?ooo`0P0?ooo`030000o`3oool0oooo0140oooo
0P000?lB0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo04/0oooo00<0
o`000?ooo`3oool0S@3oool01@3o0000oooo0?ooo`3oool0o`0003h0oooo00<00?l00?ooo`3oool0
=03oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0
303oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo05h0oooo00<00?l00?ooo`3oool0
5@3oool00`00o`00oooo0?ooo`1D0?ooo`040000o`3oool0oooo003o00<0oooo00@0003o0?ooo`3o
ool00?l05P3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo00D0oooo00<00?l00?oo
o`3oool05`3oool00`000?l0oooo003o000:0?ooo`03003o003oool0oooo0240oooo00<0003o0?oo
o`3oool03P3oool20000oa@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0B`3oool00`3o0000oooo0?ooo`2A0?ooo`030?l0003oool0oooo02X0oooo00<00?l00?ooo`3o
ool03`3oool00`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3o
ool06@3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3o
ool08P3oool00`00o`00oooo0?ooo`0i0?ooo`05003o003oool0oooo0?ooo`00o`00403oool00`00
o`00oooo0?ooo`1]0?ooo`80003o00D00?l00?ooo`3oool0oooo0000o`020?ooo`03003o003oool0
oooo01@0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0
oooo01L0oooo00<0003o0?ooo`3oool0203oool00`000?l0oooo0?ooo`0S0?ooo`030000o`3oool0
oooo00`0oooo00<0003o0?ooo`3oool05@3oool00`000000oooo0?ooo`140?ooo`00?P3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo0=/0oooo00D0o`000?ooo`3oool0oooo0?l0000/
0?ooo`03003o003oool0oooo02/0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0J
0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0>
0?ooo`03003o003oool0oooo03P0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0>
0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool0E`3oool20000o`030?ooo`000?l0
oooo0080oooo00<00?l00?ooo`3oool0503oool00`3o0000oooo0?ooo`030?ooo`03003o003o0000
oooo00L0oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`050?ooo`050000o`3oool0
oooo0?ooo`00o`008`3oool00`000?l0oooo0?ooo`090?ooo`80003o603oool00`000000oooo0?oo
o`140?ooo`00>@3oool400000080oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`1;
0?ooo`030?l0003oool0oooo08d0oooo00D0o`000?ooo`3oool0oooo0?l0000l0?ooo`03003o003o
ool0oooo01/0oooo00<00?l00?ooo`3oool0@03oool00`00o`00oooo0?ooo`0P0?ooo`03003o003o
ool0oooo00h0oooo00<00?l00?ooo`3oool0>03oool00`00o`00oooo0?ooo`030?ooo`03003o003o
ool0oooo00d0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`1G0?ooo`04003o003o
ool0oooo0000oaX0oooo00<0o`000?ooo`3oool00`3oool00`00o`00o`000?ooo`0P0?ooo`030000
o`3oool00?l000L0oooo00D0003o0?ooo`3oool0oooo003o000^0?ooo`030000o`3oool0oooo01P0
oooo00<000000?ooo`3oool0A03oool003T0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`0J0?ooo`D00000B@3oool00`3o0000oooo0?ooo`2=0?ooo`030?l0003oool0oooo02l0
oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0e0?ooo`03003o003oool0oooo01/0
oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo0140
oooo00<00?l00?ooo`3oool0B@3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00`0
oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`1F0?ooo`03003o003oool0oooo00H0
oooo00<00?l00?ooo`3oool04`3oool00`3o0000oooo0?ooo`030?ooo`03003o003oool0oooo00L0
oooo00<00?l00?ooo`3oool05P3oool00`000?l0oooo003o00060?ooo`030000o`3oool0oooo0080
oooo00<00?l00?ooo`3oool08`3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo01H0
oooo1@0000160?ooo`00>@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`3oool0C03oool00`3o0000oooo0?ooo`2<0?ooo`050?l0003oool0oooo0?oo
o`3o0000;@3oool00`00o`00oooo0?ooo`0[0?ooo`03003o003oool0oooo01@0oooo00<00?l00?oo
o`3oool0703oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00`0oooo00<00?l00?oo
o`3oool08P3oool00`00o`00oooo0?ooo`0g0?ooo`03003o003oool0oooo00D0oooo00<00?l00?oo
o`3oool0O@3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo01<0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`060?ooo`03003o003oool0oooo01H0oooo00<0003o0?oo
o`3oool00`3oool20000obd0oooo00@0003o0?ooo`3oool0oooo0P000?lM0?ooo`030000003oool0
oooo04@0oooo000i0?ooo`040000003oool0oooo0?ooo`8000007@3oool00`000000oooo0?ooo`1<
0?ooo`030?l0003oool0oooo08/0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0/
0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`0D
0?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0@
0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0=`3oool00`00o`00oooo0?ooo`06
0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`1N
0?ooo`03003o003oool0oooo01<0oooo00<0o`000?ooo`3oool00`3oool00`00o`00o`000?ooo`07
0?ooo`03003o003oool0oooo01L0oooo00<0003o003o00000?l00P000?l80?ooo`03003o003oool0
oooo02@0oooo00@0003o0?ooo`3oool0003o7`3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`1<0?ooo`030?l0003oool0oooo08/0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0g0?ooo`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool0<03oool0
0`3o0000oooo0?ooo`0<0?ooo`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool0403oool0
0`00o`00oooo0?ooo`1<0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool0E@3oool0
0`00o`00oooo0?ooo`0R0?ooo`03003o003o0000oooo0240oooo00<0003o003o003oool02P3oool0
0`00o`00oooo0?ooo`0U0?ooo`030000o`3oool0oooo01l0oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0C@3oool00`3o0000oooo0?ooo`2:0?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool0;@3oool00`00o`00oooo0?ooo`100?ooo`03003o003oool0oooo
01P0oooo0P3o00030?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool03P3oool00`00
o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool0=P3oool00`00
o`00oooo0?ooo`070?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool05`3oool00`00
o`00oooo0?ooo`1E0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool04`3oool00`3o
0000oooo0?ooo`030?ooo`03003o003o0000oooo00L0oooo00<00?l00?ooo`3oool0603oool00`00
o`00oooo0?ooo`090?ooo`03003o003oool0oooo04L0oooo00<000000?ooo`3oool0A03oool00340
oooo00@000000?ooo`3oool0oooo0P00000U0?ooo`030000003oool0oooo04d0oooo00<0o`000?oo
o`3oool0RP3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo02`0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo01<0oooo00<00?l00?oo
o`3oool06@3oool20?l000<0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0>0?oo
o`03003o003oool0oooo0280oooo00<00?l00?ooo`3oool0=@3oool00`00o`00oooo0?ooo`080?oo
o`03003o003oool0oooo07/0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0C0?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`00o`00oooo0?ooo`1^0?oo
o`030000003oool0oooo04@0oooo000`0?ooo`070000003oool0oooo0?ooo`000000oooo0000000U
0?ooo`030000003oool0oooo04d0oooo00<0o`000?ooo`3oool0T03oool00`3o0000oooo0?ooo`0]
0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`0C
0?ooo`03003o003oool0oooo01T0oooo0P3o00040?ooo`03003o003oool0oooo00D0oooo00<00?l0
0?ooo`3oool03`3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0140oooo00<00?l0
0?ooo`3oool0=03oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00L0oooo00<00?l0
0?ooo`3oool0603oool00`00o`00oooo0?ooo`1O0?ooo`03003o003oool0oooo0180oooo00<0o`00
0?ooo`3oool00`3oool00`00o`00oooo0?l000070?ooo`03003o003oool0oooo01P0oooo00<00?l0
0?ooo`3oool02@3oool00`00o`00oooo0?ooo`170?ooo`030000003oool0oooo04@0oooo000`0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`3I
0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0;P3oool00`00o`00oooo0?ooo`0X
0?ooo`03003o003oool0oooo02d0oooo00@0o`000?ooo`3oool0o`002P3oool00`00o`00oooo0?oo
o`0Q0?ooo`03003o003oool0oooo03L0oooo00<00?l00?ooo`00o`00703oool00`00o`00oooo0?oo
o`060?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool0E03oool00`00o`00oooo0?oo
o`0M0?ooo`030?l0003oool0oooo00<0oooo00<00?l00?ooo`3o00008P3oool00`00o`00oooo0?oo
o`090?ooo`03003o003oool0oooo04L0oooo00<000000?ooo`3oool0A03oool00300oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo04h0oooo00<0o`00
0?ooo`3oool0R03oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo02h0oooo00D00?l0
0?ooo`3oool0oooo003o000j0?ooo`03003o003oool0oooo01T0oooo00@0o`000?ooo`3oool0o`00
0`3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool0
3@3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo0200oooo00@00?l00?ooo`3oool0
oooo0P00o`0<0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool01P3oool00`00o`00
oooo0?ooo`0H0?ooo`03003o003oool0oooo05@0oooo00<00?l00?ooo`3oool0203oool00`00o`00
oooo0?ooo`0A0?ooo`030?l0003oool0oooo00@0oooo00<00?l00?ooo`3o00001`3oool00`00o`00
oooo0?ooo`0H0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0A`3oool00`000000
oooo0?ooo`140?ooo`00<@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0CP3oool00`3o0000oooo0?ooo`280?ooo`030?l0003oool0oooo03H0oooo
0`00o`0W0?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool06@3oool0103o0000oooo
0?ooo`3o00030?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool08`3oool00`00o`00
oooo0?ooo`0V0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0303oool00`00o`00
oooo0?ooo`1g0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool04@3oool00`3o0000
oooo0?ooo`0>0?ooo`03003o003oool0oooo06h0oooo00<000000?ooo`3oool0A03oool005`0oooo
1@00001=0?ooo`030?l0003oool0oooo08L0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`1I0?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool06@3oool0103o0000oooo
0?ooo`3o00030?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool04P3oool00`00o`00
oooo0?ooo`0=0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool07`3oool00`00o`00
oooo0?ooo`040?ooo`800?l02@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo01T0
oooo00<00?l00?ooo`3oool0LP3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0o`0000L0
oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo04<0
oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`1?0?ooo`030?l0003oool0oooo08H0oooo
00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`1J0?ooo`03003o003oool0oooo00l0oooo
00<00?l00?ooo`3oool09P3oool00`00o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo03D0oooo
00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00<0oooo
00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`1C0?ooo`03003o003oool0oooo00T0oooo
00<00?l00?ooo`3oool0403oool00`3o0000oooo0?ooo`030?ooo`04003o003oool0oooo0?l00240
oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`170?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo0500oooo00<0o`000?ooo`3oool0Q@3oool00`3o0000oooo
0?ooo`050?ooo`030?l0003oool0oooo06/0oooo00<00?l00?ooo`3oool06P3oool01@3o0000oooo
0?ooo`3oool0o`0000@0oooo00D00?l00?ooo`3oool0oooo003o000F0?ooo`03003o003oool0oooo
00`0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo
00T0oooo0P00o`040?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool00`3oool00`00
o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo0580oooo00<00?l00?ooo`3oool02P3oool00`00
o`00oooo0?ooo`0F0?ooo`04003o003oool0oooo0?l000P0oooo00<00?l00?ooo`3oool05P3oool0
0`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo04L0oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0D03oool00`3o0000oooo0?ooo`250?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool0FP3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo
01X0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`03003o003oool0oooo01P0oooo00<00?l0
0?ooo`3oool09@3oool00`00o`00oooo0?ooo`0Z0?ooo`04003o003oool0oooo003o0180oooo00<0
0?l00?ooo`3oool0M03oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo0100oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`03003o003oool0oooo06d0oooo00<0
00000?ooo`3oool0A03oool003<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0oooo0540oooo00<0o`000?ooo`3oool0Q03oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo05X0oooo00<00?l00?ooo`3oool0:P3oool01@3o0000oooo0?ooo`3o
ool0o`0000@0oooo00@00?l00?ooo`3oool00?l09@3oool00`00o`00oooo0?ooo`0f0?ooo`03003o
003oool0oooo00`0oooo0`00o`0C0?ooo`05003o003oool0oooo0?ooo`00o`00703oool00`00o`00
oooo0?ooo`0S0?ooo`03003o003oool0oooo04`0oooo00<0o`000?ooo`3oool00`3oool01@00o`00
oooo0?ooo`3oool0o`0000L0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0:0?oo
o`03003o003oool0oooo04L0oooo00<000000?ooo`3oool0A03oool003@0oooo0P0000070?ooo`80
00007@3oool00`000000oooo0?ooo`3Q0?ooo`030?l0003oool0oooo06T0oooo00<00?l00?ooo`3o
ool06`3oool01@3o0000oooo0?ooo`3oool0o`0000H0oooo00<00?l00?ooo`3oool05`3oool00`00
o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool06P3oool00`00
o`00oooo0?ooo`0S0?ooo`04003o003oool0oooo003o01d0oooo00<00?l00?ooo`3oool08P3oool0
0`00o`00oooo003o000]0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool03`3oool0
0`3o0000oooo0?ooo`030?ooo`05003o003oool0oooo0?ooo`3o0000803oool00`00o`00oooo0?oo
o`0:0?ooo`03003o003oool0oooo04L0oooo00<000000?ooo`3oool0A03oool003H0oooo1`00000O
0?ooo`030000003oool0oooo0580oooo00<0o`000?ooo`3oool0P`3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo05X0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0K
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`00o`00oooo0?ooo`0H
0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`0J
0?ooo`03003o003oool0oooo02@0oooo00<00?l00?ooo`00o`007@3oool00`00o`00oooo0?ooo`0R
0?ooo`03003o003oool0oooo00800?l0:P3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0
oooo00l0oooo00<0o`000?ooo`3oool00`3oool01@00o`00oooo0?ooo`3oool0o`0000L0oooo00<0
0?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo04H0oooo00<0
00000?ooo`3oool0A03oool005`0oooo1@00001@0?ooo`030?l0003oool0oooo08<0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`1J0?ooo`03003o003oool0oooo00/0oooo00<00?l0
0?ooo`3oool06`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<00?l0
0?ooo`3oool06@3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo08D0oooo00<00?l0
0?ooo`3oool0;@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00l0oooo00<0o`00
0?ooo`3oool01`3oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0oooo06T0oooo1@000016
0?ooo`00G03oool00`000000oooo0?ooo`1C0?ooo`030?l0003oool0oooo0880oooo00<0o`000?oo
o`3oool0I03oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01`0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`0Z0?ooo`03003o003oool0oooo03D0oooo00<00?l00?oo
o`3oool09@3oool2003o01h0oooo00<00?l00?ooo`3oool0803oool00`00o`00oooo0?ooo`030?oo
o`03003o003oool0oooo04P0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`090?oo
o`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`160?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo05<0oooo00<0o`000?ooo`3o
ool0PP3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo06H0oooo00<00?l00?ooo`3o
ool07@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo01h0oooo00<00?l00?ooo`3o
ool0203oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3o
ool09`3oool00`00o`00oooo0?ooo`0L0?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3o
ool0103oool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3o
ool03`3oool00`3o0000oooo0?ooo`030?ooo`05003o003oool0oooo0?ooo`3o0000603oool00`00
o`00oooo0?ooo`050?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0AP3oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1D0?ooo`030?l0003oool0oooo0800
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`1K0?ooo`03003o003oool0oooo00P0
oooo00<00?l00?ooo`3oool0A03oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo01X0
oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`160?ooo`03003o003oool0oooo0500
oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0?0?ooo`030?l0003oool0oooo00<0
oooo00D00?l00?ooo`3oool0oooo0?l000070?ooo`03003o003oool0oooo00h0oooo0`00o`050?oo
o`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0AP3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`1D0?ooo`030?l0003oool0oooo0800oooo00<0o`000?ooo`3o
ool01`3oool00`3o0000oooo0?ooo`1K0?ooo`03003o003oool0oooo02L0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`0O0?ooo`03003o003oool0oooo02D0oooo00<00?l00?ooo`3o
ool0PP3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo02D0oooo00<00?l00?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`0H0?ooo`030?l0003oool0oooo00D0oooo00<00?l00?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo05P0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0E@3oool00`3o0000oooo0?ooo`1o0?ooo`030?l0
003oool0oooo00L0oooo00<0o`000?ooo`3oool0G03oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo01d0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0Y0?ooo`03003o
003oool0oooo01`0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0W0?ooo`030?l0
003oool0oooo01d0oooo00<00?l00?ooo`3oool07@3oool00`00o`00oooo0?ooo`080?ooo`800?l0
A@3oool00`3o0000oooo0?ooo`040?ooo`05003o003oool0oooo0?ooo`3o00001`3oool00`00o`00
oooo0?ooo`0=0?ooo`03003o003oool0oooo00<0oooo0P00o`000`3oool00?l00?ooo`0<0?ooo`03
003o003oool0oooo04H0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00003E0?ooo`030?l0
003oool0oooo00P0oooo00<0o`000?ooo`3oool0G@3oool00`00o`00oooo0?ooo`030?ooo`03003o
003oool0oooo01h0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0O0?ooo`03003o
003oool0oooo00L0oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0E0?ooo`03003o
003oool0oooo02P0oooo00<0o`000?ooo`3oool07@3oool00`00o`00oooo0?ooo`0M0?ooo`03003o
003oool0oooo02h0oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`0=0?ooo`030?l0
003oool0oooo00@0oooo00D00?l00?ooo`3oool0oooo0?l0000O0?ooo`800?l03@3oool00`00o`00
oooo0?ooo`120?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0EP3oool00`3o0000oooo
0?ooo`290?ooo`030?l0003oool0oooo05h0oooo00<00?l00?ooo`00o`000P3oool00`00o`00oooo
0?ooo`0N0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool07`3oool00`00o`00oooo
0?ooo`070?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo
0?ooo`0W0?ooo`80o`007`3oool00`00o`00oooo0?ooo`0Y0?ooo`03003o003oool0oooo0280oooo
00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`0=0?ooo`030?l0003oool0oooo00@0oooo
00D00?l00?ooo`3oool0oooo0?l000070?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3o
ool0503oool00`00o`00oooo0?ooo`160?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo05L0oooo00<0o`000?ooo`3oool0O03oool00`3o0000oooo0?ooo`090?ooo`030?l0
003oool0oooo0640oooo0P00o`0P0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0
7`3oool00`00o`00oooo0?ooo`1W0?ooo`80o`00?P3oool00`00o`00oooo0?ooo`0:0?ooo`03003o
003oool0oooo0280oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`0=0?ooo`030?l0
003oool0oooo00P0oooo00<0o`000?ooo`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o
003oool0oooo05d0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0E`3o
ool00`3o0000oooo0?ooo`1l0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0P`3o
ool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo02L0oooo00<00?l00?ooo`3oool07`3o
ool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo02L0oooo0P3o000P0?ooo`03003o003o
ool0oooo01/0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0P0?ooo`03003o003o
ool0oooo01l0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`030?l0003o
ool0oooo00D0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003o
ool0oooo04H0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0F03oool0
0`3o0000oooo0?ooo`1k0?ooo`030?l0003oool0oooo08l0oooo00<0o`000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`0O0?ooo`04003o003oool0oooo0?ooo`<00?l000<0oooo003o003oool08@3o
ool00`00o`00oooo0?ooo`0A0?ooo`03003o003oool0oooo02P0oooo0P3o000P0?ooo`03003o003o
ool0oooo01/0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003o
ool0oooo00`0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`0a0?ooo`03003o003o
ool0oooo04H0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00001G0?ooo`030?l0003oool0
oooo07T0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`230?ooo`030?l0003oool0
oooo00H0oooo00<0o`000?ooo`3oool07`3oool3003o03`0oooo00<00?l00?ooo`3oool09`3oool0
103o0000oooo0?ooo`3o000O0?ooo`03003o003oool0oooo02T0oooo00<00?l00?ooo`3oool0803o
ool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo00`0oooo00<0o`000?ooo`3oool00`3o
ool00`00o`00oooo0?ooo`020?ooo`030?l0003oool0oooo00H0oooo00<00?l00?ooo`3oool02`3o
ool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo0480oooo1@0000160?ooo`00G03oool0
0`000000oooo0?ooo`1I0?ooo`030?l0003oool0oooo07T0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`3J0?ooo`03003o003oool0oooo03X0oooo00@0o`000?ooo`3oool0o`00803o
ool00`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0<`3o
ool00`00o`00oooo0?ooo`0<0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01P3o
ool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo05h0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0FP3oool00`3o0000oooo0?ooo`1h0?ooo`030?l0003oool0
oooo00X0oooo00<0o`000?ooo`3oool0PP3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0
oooo04/0oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0Z0?ooo`030?l0003oool0
oooo01h0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0
oooo00d0oooo00<00?l00?ooo`3oool07`3oool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool0
oooo0080oooo00<0o`000?ooo`3oool01P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0
oooo01D0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`0O0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo0=D0oooo00<0o`000?ooo`3oool02P3oool00`3o
0000oooo0?ooo`220?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0C03oool00`00
o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo02P0oooo00@0o`000?ooo`3oool0o`00803oool0
0`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo00800?l000@0oooo003o0000o`000?l0<@3o
ool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo00`0oooo00<0o`000?ooo`3oool00`3o
ool00`00o`00oooo0?ooo`020?ooo`030?l0003oool0oooo02`0oooo00<00?l00?ooo`3oool08`3o
ool00`00o`00oooo0?ooo`0P0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo05X0oooo00<0o`000?ooo`3oool0N03oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0
oooo0840oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`1M0?ooo`03003o003oool0
oooo02P0oooo00<0o`000?ooo`3oool0<P3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0
oooo01d0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0<0?ooo`030?l0003oool0
oooo00<0oooo00<00?l00?ooo`3oool00`3oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0
oooo00/0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0U0?ooo`03003o003oool0
oooo01h0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00001I0?ooo`030?l0003oool0oooo
07H0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`200?ooo`030?l0003oool0oooo
00P0oooo00<0o`000?ooo`3oool0C@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo
02P0oooo00D0o`000?ooo`3oool0oooo0?l0000P0?ooo`03003o003oool0oooo02P0oooo00<00?l0
0?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0;0?ooo`030?l0003oool0oooo00T0oooo00<0o`00
0?ooo`3oool01@3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo03/0oooo00@00?l0
0?ooo`3oool00?l0703oool5000004H0oooo001L0?ooo`030000003oool0oooo05`0oooo00<0o`00
0?ooo`3oool0M03oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo0800oooo00<0o`00
0?ooo`3oool02@3oool00`3o0000oooo0?ooo`1=0?ooo`03003o003oool0oooo00/0oooo00<00?l0
0?ooo`3oool0:@3oool01@3o0000oooo0?ooo`3oool0o`000200oooo00<00?l00?ooo`3oool0303o
ool00`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool08@3o
ool00`3o0000oooo0?ooo`030?ooo`03003o003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3o
ool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool08@3o
ool01000o`00oooo0?ooo`00o`0P0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo05`0oooo00<0o`000?ooo`3oool0M03oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003o
ool0oooo0800oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`1K0?ooo`03003o003o
ool0oooo02P0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0O0?ooo`03003o003o
ool0oooo00T0oooo0P00o`0k0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool02P3o
ool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo00<0oooo00<0o`000?ooo`3oool0;03o
ool00`00o`00oooo0?ooo`0Q0?ooo`05003o003oool0oooo0?ooo`00o`007`3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1M0?ooo`030?l0003oool0oooo0780oooo00<0
o`000?ooo`3oool0T03oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo04l0oooo00<0
0?l00?ooo`3oool0=03oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo04X0oooo00<0
0?l00?ooo`3oool06`3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00X0oooo00<0
o`000?ooo`3oool0103oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00X0oooo00<0
0?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0U0?ooo`03003o003oool0oooo01d0oooo00<0
00000?ooo`3oool0A03oool005`0oooo1@00001K0?ooo`030?l0003oool0oooo0740oooo00<0o`00
0?ooo`3oool03`3oool00`3o0000oooo0?ooo`1o0?ooo`030?l0003oool0oooo00X0oooo00<0o`00
0?ooo`3oool0C`3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo02X0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0N0?ooo`03003o003oool0oooo00P0oooo00<00?l0
0?ooo`3oool07@3oool00`00o`00oooo0?ooo`0b0?ooo`03003o003oool0oooo00X0oooo00<0o`00
0?ooo`3oool02P3oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0oooo00X0oooo00<00?l0
0?ooo`3oool0>P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo01P0oooo1@000016
0?ooo`00CP3oool2000000`0oooo00<000000?ooo`3oool0GP3oool00`3o0000oooo0?ooo`1`0?oo
o`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0g`3oool00`00o`00oooo0?ooo`050?oo
o`03003o003oool0oooo02/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0N0?oo
o`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`0K0?oo
o`03003o003oool0oooo0240oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`040?oo
o`030?l0003oool0oooo00D0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0G0?oo
o`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool08`3oool00`000000oooo0?ooo`0?0?oo
o`800000<`3oool004d0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`3@0?oo
o`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0O`3oool00`3o0000oooo0?ooo`0:0?oo
o`030?l0003oool0oooo0540oooo00<00?l00?ooo`3oool0>03oool00`3o0000oooo0?ooo`0O0?oo
o`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0?@3oool00`00o`00oooo0?ooo`0F0?oo
o`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0103oool00`3o0000oooo0?ooo`0/0?oo
o`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0L0?oo
o`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3oool00500oooo00<000000?oo
o`3oool02@3oool9000005T0oooo00<0o`000?ooo`3oool0P@3oool00`3o0000oooo0?ooo`1o0?oo
o`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0D@3oool00`00o`00oooo0?ooo`030?oo
o`03003o003oool0oooo02`0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0T0?oo
o`800?l08`3oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo01H0oooo00<00?l00?oo
o`3oool02@3oool00`3o0000oooo0?ooo`030?ooo`03003o003oool0oooo00@0oooo00<0o`000?oo
o`3oool01@3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01P0oooo00<00?l00?oo
o`3oool09P3oool00`00o`00oooo0?ooo`0D0?ooo`T000004`3oool00`000000oooo0?ooo`0`0?oo
o`00A`3oool4000000<0oooo0P00000<0?ooo`030000003oool0oooo05l0oooo00<0o`000?ooo`3o
ool0K@3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo07d0oooo00<0o`000?ooo`3o
ool02`3oool00`3o0000oooo0?ooo`1B0?ooo`03003o003oool0oooo00800?l0;`3oool00`3o0000
oooo0?ooo`0U0?ooo`05003o003oool0oooo0?ooo`00o`009@3oool00`00o`00oooo0?ooo`0c0?oo
o`03003o003oool0oooo00T0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`040?oo
o`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0>@3oool00`00o`00oooo0?ooo`060?oo
o`03003o003oool0oooo01/0oooo00<000000?ooo`3oool0203oool4000000<0oooo0P00000c0?oo
o`00CP3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0600oooo00<0o`000?ooo`3o
ool0K03oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo07d0oooo00<0o`000?ooo`3o
ool02`3oool00`3o0000oooo0?ooo`250?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool07`3oool01000o`00oooo0?ooo`00o`0W0?ooo`03003o003oool0oooo01T0oooo00<00?l00?oo
o`3oool08P3oool00`3o0000oooo0?ooo`020?ooo`03003o003oool0oooo00H0oooo00<0o`000?oo
o`3oool0103oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01T0oooo00<00?l00?oo
o`3oool0703oool00`00o`00oooo0?ooo`0U0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0<P3oool004h0oooo0`00000;0?ooo`030000003oool0oooo0600oooo00<0o`000?ooo`3o
ool0H@3oool50?l000030?ooo`3o0000o`000080oooo00<0o`000?ooo`3oool04`3oool00`3o0000
oooo0?ooo`1m0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0DP3oool2003o0300
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0P0?ooo`800?l0@`3oool00`00o`00
oooo0?ooo`0G0?ooo`03003o003oool0oooo00T0oooo00D0o`000?ooo`3oool0oooo003o00090?oo
o`030?l0003oool0oooo02`0oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0J0?oo
o`030000003oool0oooo00l0oooo0`00000b0?ooo`00G03oool00`000000oooo0?ooo`1Q0?ooo`03
0?l0003oool0oooo05/0oooo00<0o`000?ooo`3o00000P3o00080?ooo`<0o`005@3oool00`3o0000
oooo0?ooo`1l0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0Q03oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo04X0oooo00<00?l00?ooo`3oool0603oool00`00o`00
oooo0?ooo`0G0?ooo`03003o003oool0oooo00T0oooo00D0o`000?ooo`3oool0oooo003o00090?oo
o`030?l0003oool0oooo00D0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0i0?oo
o`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool06P3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`1Q0?ooo`030?l0003oool0oooo05X0oooo00<0o`000?ooo`3o
ool0XP3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo08@0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`1:0?ooo`03003o003oool0oooo03<0oooo00<00?l00?ooo`3o
ool0203oool00`3o0000oooo0?ooo`0C0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3o
ool06`3oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3o
ool06@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1R0?ooo`030?l0
003oool0oooo05T0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`2<0?ooo`030?l0
003oool0oooo08<0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`1:0?ooo`03003o
003oool0oooo01H0oooo00<00?l00?ooo`3oool0903oool01@3o0000oooo0?ooo`3oool00?l000T0
oooo00<0o`000?ooo`3oool01@3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo01/0
oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`0V0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo0;d0oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo
0?ooo`1k0?ooo`030?l0003oool0oooo09@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`1S0?ooo`03003o003oool0oooo01T0oooo00<00?l00?ooo`3oool0203oool0103o0000oooo
0?ooo`00o`0:0?ooo`030?l0003oool0oooo02h0oooo00<00?l00?ooo`3oool09P3oool00`00o`00
oooo0?ooo`0I0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo06<0oooo
00<0o`000?ooo`3oool0EP3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0oooo07/0oooo
00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`2;0?ooo`030?l0003oool0oooo04X0oooo
00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo00/0oooo
00<00?l00?ooo`3oool0203oool00`3o0000oooo0?ooo`050?ooo`03003o003oool0oooo00L0oooo
00<00?l00?ooo`3oool0=`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01T0oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0I03oool00`3o0000oooo0?oo
o`1E0?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool0N`3oool00`3o0000oooo0?oo
o`0?0?ooo`030?l0003oool0oooo0880oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?oo
o`1:0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?oo
o`070?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool01@3oool00`00o`00oooo0?oo
o`060?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?oo
o`0<0?ooo`03003o003oool0oooo01P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0I@3oool00`3o0000oooo0?ooo`1C0?ooo`030?l0003oool0oooo02L0oooo00<0o`00
0?ooo`3oool0NP3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo0880oooo00<0o`00
0?ooo`3oool0E03oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo02D0oooo00D0o`00
0?ooo`3oool0oooo003o000:0?ooo`030?l0003oool0oooo00H0oooo00<00?l00?ooo`3oool01@3o
ool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool03@3o
ool3003o01L0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0IP3oool0
0`3o0000oooo0?ooo`1@0?ooo`030?l0003oool0oooo02T0oooo00<0o`000?ooo`3oool0N@3oool0
0`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo0880oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`1P0?ooo`03003o003oool0oooo01`0oooo00<00?l00?ooo`3oool01P3oool0
103o0000oooo0?ooo`00o`0;0?ooo`030?l0003oool0oooo00L0oooo00<00?l00?ooo`3oool09@3o
ool00`00o`00oooo0?ooo`0[0?ooo`<00?l04`3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`1W0?ooo`030?l0003oool0oooo04h0oooo00<0o`000?ooo`3oool0:P3oool0
0`3o0000oooo0?ooo`1i0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0P@3oool0
0`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo04X0oooo00<00?l00?ooo`3oool0<P3oool0
0`00o`00oooo0?ooo`060?ooo`040?l0003oool0oooo003o00/0oooo00<0o`000?ooo`3oool01`3o
ool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo03L0oooo00<00?l00?ooo`3oool0:03o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1X0?ooo`030?l0003oool0
oooo04d0oooo00<0o`000?ooo`3oool0:P3oool00`3o0000oooo0?ooo`1i0?ooo`030?l0003oool0
oooo0140oooo00<0o`000?ooo`3oool0P03oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0
oooo04X0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0
oooo00H0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`080?ooo`03003o003oool0
oooo00<0oooo00<00?l00?ooo`3oool07`3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0
oooo02P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0J@3oool00`3o
0000oooo0?ooo`1;0?ooo`030?l0003oool0oooo0:L0oooo00<0o`000?ooo`3oool04@3oool00`3o
0000oooo0?ooo`200?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0BP3oool00`00
o`00oooo0?ooo`0@0?ooo`800?l0:03oool0103o0000oooo0?ooo`00o`0M0?ooo`03003o003oool0
oooo01l0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0X0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo06X0oooo00<0o`000?ooo`3oool0B@3oool00`3o
0000oooo0?ooo`0]0?ooo`030?l0003oool0oooo08`0oooo00<0o`000?ooo`3oool0P03oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo04X0oooo00<00?l00?ooo`3oool0<@3oool00`00
o`00oooo0?ooo`050?ooo`040?l0003oool0oooo003o00d0oooo00<0o`000?ooo`3oool0203oool0
0`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo0400oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0J`3oool00`3o0000oooo0?ooo`180?ooo`030?l0003oool0oooo
02d0oooo00<0o`000?ooo`3oool0M`3oool00`3o0000oooo0?ooo`2E0?ooo`030?l0003oool0oooo
00T0oooo00<0o`000?ooo`3oool0BP3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo
0200oooo00<00?l00?ooo`3oool01@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo
00T0oooo00@00?l00?ooo`3oool00?l0>@3oool00`00o`00oooo0?ooo`0Y0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo06`0oooo0P3o00170?ooo`030?l0003oool0oooo
02l0oooo00<0o`000?ooo`3oool0MP3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo
08`0oooo00<0o`000?ooo`3oool0BP3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo
0280oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0=0?ooo`030?l0003oool0oooo
00/0oooo00<00?l00?ooo`3oool08@3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo
02X0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0KP3oool20?l007L0
oooo00<0o`000?ooo`3oool0M@3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo07l0
oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`1J0?ooo`03003o003oool0oooo02T0
oooo00<0o`000?ooo`00o`003`3oool00`3o0000oooo0?ooo`090?ooo`03003o003oool00?l002<0
oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0Z0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo0700oooo0P3o00120?ooo`030?l0003oool0oooo0300oooo
00<0o`000?ooo`3oool0M@3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo07h0oooo
00<0o`000?ooo`3oool0F03oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo02<0oooo
00<00?l00?ooo`3oool0103oool00`3o0000oooo003o000?0?ooo`030?l0003oool0oooo00X0oooo
00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0n0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0780oooo0P3o000o0?ooo`030?l0003oool0oooo0380oooo00<0
o`000?ooo`3oool0M03oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo07h0oooo00<0
o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`1;0?ooo`03003o003oool0oooo00X0oooo00<0
0?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`030?ooo`030?l0003oool0oooo0100oooo00<0
o`000?ooo`3oool02`3oool00`00o`00oooo0?ooo`0R0?ooo`800?l04P3oool00`00o`00oooo0?oo
o`0Z0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo07@0oooo0P3o000l
0?ooo`030?l0003oool0oooo03<0oooo00<0o`000?ooo`3oool0L`3oool00`3o0000oooo0?ooo`0F
0?ooo`030?l0003oool0oooo07`0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`1<
0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo003o0002
003o00040?ooo`00o`000?l0003o0140oooo00<0o`000?ooo`3oool0<03oool00`00o`00oooo0?oo
o`0?0?ooo`03003o003oool0oooo02/0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0MP3oool20?l003X0oooo00<0o`000?ooo`3oool0Z@3oool00`3o0000oooo0?ooo`0F
0?ooo`030?l0003oool0oooo07`0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`1>
0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0:`3oool00`3o0000oooo0?ooo`0A
0?ooo`030?l0003oool0oooo0300oooo00<00?l00?ooo`3oool0?@3oool00`000000oooo0?ooo`14
0?ooo`00G03oool5000007L0oooo103o000d0?ooo`030?l0003oool0oooo03D0oooo00<0o`000?oo
o`3oool0LP3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo07/0oooo00<0o`000?oo
o`3oool02`3oool00`3o0000oooo0?ooo`1>0?ooo`03003o003oool0oooo00D0oooo00<00?l00?oo
o`3oool0:`3oool00`3o0000oooo0?ooo`1G0?ooo`03003o003oool0oooo02L0oooo1@0000160?oo
o`00G03oool00`000000oooo0?ooo`1m0?ooo`<0o`0000<0oooo0?l0003o00000P3o000[0?ooo`03
0?l0003oool0oooo03H0oooo00<0o`000?ooo`3oool0L@3oool00`3o0000oooo0?ooo`2F0?ooo`03
0?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0CP3oool00`00o`00oooo0?ooo`030?ooo`03
003o003oool0oooo02`0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0a0?ooo`03
003o003oool0oooo00d0oooo00<00?l00?ooo`3oool0;03oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`250?ooo`@0o`00H@3oool00`3o0000oooo0?ooo`1_0?ooo`030?l0
003oool0oooo01T0oooo00<0o`000?ooo`3oool0N`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0
003oool0oooo04l0oooo00D00?l00?ooo`3oool0oooo003o00140?ooo`030?l0003oool0oooo0340
oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0/0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo08X0oooo00<0o`000?ooo`3oool08P3oool00`3o0000oooo
0?ooo`0h0?ooo`030?l0003oool0oooo06l0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo
0?ooo`2:0?ooo`030?l0003oool0oooo04l0oooo00@00?l00?ooo`3oool00?l0;`3oool00`3o0000
oooo0?ooo`0D0?ooo`030?l0003oool0oooo0340oooo00<00?l00?ooo`3oool0>`3oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`2;0?ooo`80o`008@3oool00`3o0000oooo
0?ooo`0j0?ooo`030?l0003oool0oooo06d0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo
0?ooo`1i0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0D03oool00`00o`00oooo
003o000_0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0@03oool00`00o`00oooo
0?ooo`0/0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo08d0oooo0P3o
000N0?ooo`030?l0003oool0oooo03/0oooo00<0o`000?ooo`3oool0K@3oool00`3o0000oooo0?oo
o`0K0?ooo`030?l0003oool0oooo07T0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?oo
o`200?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool0<@3oool00`00o`00oooo0?oo
o`0:0?ooo`03003o003oool0oooo02d0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0S`3oool20?l001/0oooo00<0o`000?ooo`3oool0?@3oool00`3o0000oooo0?ooo`1[
0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool0M`3oool00`3o0000oooo0?ooo`0@
0?ooo`030?l0003oool0oooo07l0oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`0a
0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0;@3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`2B0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?oo
o`3oool0?P3oool00`3o0000oooo0?ooo`1[0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?oo
o`3oool0M`3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo07h0oooo00<0o`000?oo
o`3oool05`3oool00`3o0000oooo0?ooo`0a0?ooo`03003o003oool0oooo03T0oooo00<000000?oo
o`3oool0A03oool005`0oooo00<000000?ooo`3oool0T`3oool20?l001D0oooo00<0o`000?ooo`3o
ool0@03oool00`3o0000oooo0?ooo`2;0?ooo`030?l0003oool0oooo07H0oooo00<0o`000?ooo`3o
ool04P3oool00`3o0000oooo0?ooo`1m0?ooo`030?l0003oool0oooo04`0oooo00<00?l00?ooo`3o
ool0203oool00`00o`00oooo0?ooo`0]0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo09D0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`120?ooo`030?l0
003oool0oooo06P0oooo00<0o`000?ooo`3oool07`3oool00`3o0000oooo0?ooo`1e0?ooo`030?l0
003oool0oooo01@0oooo00<0o`000?ooo`3oool0N`3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0
003oool0oooo0380oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0^0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo09H0oooo0P3o000?0?ooo`80o`00AP3o
ool00`3o0000oooo0?ooo`1V0?ooo`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool0M03o
ool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo07X0oooo00<0o`000?ooo`3oool0603o
ool00`3o0000oooo0?ooo`0b0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0;P3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`2H0?ooo`030?l0003oool0
oooo00T0oooo0`3o00190?ooo`030?l0003oool0oooo06D0oooo00<0o`000?ooo`3oool08@3oool0
0`3o0000oooo0?ooo`2>0?ooo`P0o`00S`3oool00`3o0000oooo0?ooo`1/0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo09X0oooo0`3o00050?ooo`80o`00C@3oool00`3o
0000oooo0?ooo`1S0?ooo`030?l0003oool0oooo02<0oooo00<0o`000?ooo`3oool0L`3oool00`3o
0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo06l0oooo00<0o`000?ooo`3oool06@3oool00`3o
0000oooo0?ooo`0b0?ooo`03003o003oool0oooo00@0oooo0`00o`0`0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo09d0oooo1@3o001@0?ooo`030?l0003oool0oooo0600
oooo0P3o000V0?ooo`030?l0003oool0oooo07<0oooo00<0o`000?ooo`3oool08@3oool00`3o0000
oooo0?ooo`1^0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0<@3oool00`00o`00
oooo0?ooo`03003o03@0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00003b0?ooo`<0o`00
G@3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0oooo0740oooo00<0o`000?ooo`3oool0
8`3oool00`3o0000oooo0?ooo`1/0?ooo`030?l0003oool0oooo01/0oooo00<0o`000?ooo`3oool0
<P3oool00`00o`00oooo0?ooo`0b0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0m`3o
ool40?l000030?ooo`3o0000o`0000H0o`00CP3oool00`3o0000oooo0?ooo`0Z0?ooo`030?l0003o
ool0oooo0700oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`1[0?ooo`030?l0003o
ool0oooo01/0oooo00<0o`000?ooo`3oool0J`3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`3o0?ooo`H0oooo0P3o001:0?ooo`030?l0003oool0oooo02`0oooo00<0o`00
0?ooo`3oool0K`3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0oooo06X0oooo00<0o`00
0?ooo`3oool0703oool00`3o0000oooo0?ooo`1Z0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo0?l0oooo203oool30?l004H0oooo00<0o`000?ooo`3oool0W`3oool00`3o
0000oooo0?ooo`0V0?ooo`030?l0003oool0oooo06P0oooo00<0o`000?ooo`3oool07@3oool00`3o
0000oooo0?ooo`1Z0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0
oooo2`3oool20?l00480oooo0P3o000a0?ooo`030?l0003oool0oooo06d0oooo00<0o`000?ooo`3o
ool0T@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo06T0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0o`3oool<0?ooo`030?l0003oool0oooo03/0oooo
0P3o00000`3oool0o`000?l0000d0?ooo`030?l0003oool0oooo06`0oooo00<0o`000?ooo`3oool0
:03oool00`3o0000oooo0?ooo`280?ooo`030?l0003oool0oooo06T0oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0o`3oool>0?ooo`030?l0003oool0oooo03H0oooo0`3o
000i0?ooo`030?l0003oool0oooo09L0oooo00<0o`000?ooo`3oool0I@3oool00`3o0000oooo0?oo
o`0Q0?ooo`030?l0003oool0oooo06P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0o`3oool?0?ooo`030?l0003oool0oooo03<0oooo0P3o000m0?ooo`030?l0003oool0
oooo06X0oooo00<0o`000?ooo`3oool0:P3oool00`3o0000oooo0?ooo`1T0?ooo`030?l0003oool0
oooo0240oooo00<0o`000?ooo`3oool0J03oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`3o0?oooa00oooo00<0o`000?ooo`3oool0;P3oool30?l00440oooo00<0o`000?oo
o`3oool0J@3oool00`3o0000oooo0?ooo`0Z0?ooo`030?l0003oool0oooo06<0oooo00<0o`000?oo
o`3oool08`3oool00`3o0000oooo0?ooo`1W0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D0
0000o`3oool?0?ooo`030?l0003oool0oooo02/0oooo0P3o00150?ooo`80o`00J@3oool00`3o0000
oooo0?ooo`0[0?ooo`030?l0003oool0oooo0680oooo00<0o`000?ooo`3oool08`3oool00`3o0000
oooo0?ooo`1S0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`030?l0
003oool0oooo02P0oooo0P3o00190?ooo`030?l0003oool0oooo06D0oooo00<0o`000?ooo`3oool0
;03oool00`3o0000oooo0?ooo`1Q0?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool0
IP3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oooa<0oooo00<0
o`000?ooo`3oool09P3oool00`3o0000oooo0?ooo`1:0?ooo`030?l0003oool0oooo06@0oooo00<0
o`000?ooo`3oool0;@3oool00`3o0000oooo0?ooo`1P0?ooo`030?l0003oool0oooo02H0oooo00<0
o`000?ooo`3oool0I@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o
0?oooaD0oooo00<0o`000?ooo`3oool08@3oool30?l004h0oooo0P3o001T0?ooo`030?l0003oool0
oooo08l0oooo00<0o`000?ooo`3oool09`3oool00`3o0000oooo0?ooo`1U0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0oooo5P3oool00`3o0000oooo0?ooo`0N0?oo
o`80o`00D`3oool20?l00680oooo00<0o`000?ooo`3oool0;P3oool00`3o0000oooo0?ooo`1N0?oo
o`030?l0003oool0oooo02P0oooo00<0o`000?ooo`3oool0I03oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`3o0?oooaL0oooo00<0o`000?ooo`3oool06`3oool20?l005L0
oooo0P3o001O0?ooo`030?l0003oool0oooo0300oooo00<0o`000?ooo`3oool0G03oool00`3o0000
oooo0?ooo`0Y0?ooo`030?l0003oool0oooo06@0oooo00<000000?ooo`3oool0A03oool005`0oooo
00<000000?ooo`3oool0o`3ooolH0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool0
FP3oool00`3o0000oooo0?ooo`1J0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3oool0
G03oool00`3o0000oooo0?ooo`0Z0?ooo`030?l0003oool0oooo06<0oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0o`3ooolI0?ooo`030?l0003oool0oooo01L0oooo00<0
o`000?ooo`3oool0G03oool20?l005T0oooo00<0o`000?ooo`3oool0<`3oool00`3o0000oooo0?oo
o`1J0?ooo`030?l0003oool0oooo02/0oooo00<0o`000?ooo`3oool0H`3oool00`000000oooo0?oo
o`140?ooo`00G03oool500000?l0oooo603oool00`3o0000oooo0?ooo`0D0?ooo`80o`00H@3oool2
0?l005L0oooo00<0o`000?ooo`3oool0=03oool00`3o0000oooo0?ooo`1I0?ooo`030?l0003oool0
oooo02`0oooo00<0o`000?ooo`3oool0GP3oool5000004H0oooo001L0?ooo`030000003oool0oooo
0?l0oooo6`3oool20?l00140oooo0`3o001U0?ooo`<0o`00D`3oool00`3o0000oooo0?ooo`0e0?oo
o`030?l0003oool0oooo05P0oooo00<0o`000?ooo`3oool0TP3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`3o0?oooad0oooo0P3o000=0?ooo`80o`00J`3oool20?l00500
oooo00<0o`000?ooo`3oool0=`3oool00`3o0000oooo0?ooo`1G0?ooo`030?l0003oool0oooo02h0
oooo00<0o`000?ooo`3oool0H@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`3o0?oooal0oooo0P3o00070?ooo`@0o`00K`3oool20?l004h0oooo00<0o`000?ooo`3oool0
T03oool00`3o0000oooo0?ooo`0`0?ooo`030?l0003oool0oooo0600oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0o`3ooolQ0?ooo`80o`0000<0oooo0?l0003o00000P3o
001e0?ooo`80o`00B`3oool00`3o0000oooo0?ooo`0i0?ooo`030?l0003oool0oooo08P0oooo00<0
o`000?ooo`3oool0H03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o
0?oooil0oooo0P3o000`0?ooo`L0o`0000<0oooo0?l0003o00003P3oool00`3o0000oooo0?ooo`0j
0?ooo`030?l0003oool0oooo05@0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`1O
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000o`3ooonO0?ooo`030?l0003oool0oooo
02`0oooo00<0o`000?ooo`3oool0203oool40?l000L0oooo0`3o000n0?ooo`030?l0003oool0oooo
0580oooo00<0o`000?ooo`3oool0=03oool00`3o0000oooo0?ooo`1J0?ooo`D00000AP3oool005`0
oooo00<000000?ooo`3oool0o`3ooonR0?ooo`80o`00:`3oool00`3o0000oooo0?ooo`0=0?ooo`80
o`0000<0oooo0?l0003o00000P3o00110?ooo`030?l0003oool0oooo0580oooo00<0o`000?ooo`3o
ool0=03oool00`3o0000oooo0?ooo`1N0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0?l0ooooY03oool00`3o0000oooo0?ooo`0V0?ooo`80o`00F@3oool00`3o0000oooo
0?ooo`1@0?ooo`030?l0003oool0oooo03H0oooo00<0o`000?ooo`3oool0G@3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?ooojD0oooo00<0o`000?ooo`3oool08`3o
ool20?l005/0oooo00<0o`000?ooo`3oool0C`3oool00`3o0000oooo0?ooo`0h0?ooo`030?l0003o
ool0oooo05`0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooonV
0?ooo`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool0G03oool00`3o0000oooo0?ooo`1>
0?ooo`030?l0003oool0oooo03T0oooo00<0o`000?ooo`3oool0F`3oool00`000000oooo0?ooo`14
0?ooo`00G03oool500000?l0ooooY@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo
05h0oooo00<0o`000?ooo`3oool0C03oool00`3o0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo
05H0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`3o0?ooojP0oooo00<0o`000?ooo`3o
ool0703oool00`3o0000oooo0?ooo`1P0?ooo`030?l0003oool0oooo04X0oooo00<0o`000?ooo`3o
ool0?@3oool00`3o0000oooo0?ooo`1J0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0?l0ooooZ@3oool20?l001X0oooo0P3o001T0?ooo`030?l0003oool0oooo04P0oooo
00<0o`000?ooo`3oool0?`3oool00`3o0000oooo0?ooo`1I0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0?l0ooooZ`3oool20?l001H0oooo0P3o001V0?ooo`030?l0003o
ool0oooo04L0oooo00<0o`000?ooo`3oool0@@3oool00`3o0000oooo0?ooo`1H0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`D00000o`3ooon[0?ooo`80o`004`3oool00`3o0000oooo0?ooo`1W
0?ooo`030?l0003oool0oooo04H0oooo00<0o`000?ooo`3oool0@P3oool00`3o0000oooo0?ooo`1C
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0o`3ooon`0?ooo`030?l0003oool0oooo
00/0oooo0P3o00000`3oool0o`000?ooo`1Z0?ooo`030?l0003oool0oooo04@0oooo00<0o`000?oo
o`3oool0W@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oook40
oooo0P3o00090?ooo`80o`00L03oool00`3o0000oooo0?ooo`120?ooo`030?l0003oool0oooo04D0
oooo00<0o`000?ooo`3oool0EP3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`3o0?oook<0oooo1@3o0000103oool0o`000?l0003o001d0?ooo`030?l0003oool0oooo08T0
oooo00<0o`000?ooo`3oool0E@3oool00`000000oooo0?ooo`140?ooo`00G03oool500000?l0oooo
o`3oool`0?ooo`030?l0003oool0oooo03d0oooo00<0o`000?ooo`3oool0B@3oool00`3o0000oooo
0?ooo`1@0?ooo`D00000AP3oool004l0oooo0`00000:0?ooo`030000003oool0oooo0?l0ooooo`3o
oolc0?ooo`030?l0003oool0oooo01T0oooo0P3o00000`3oool0o`000?l000020?l001X0oooo0P3o
001=0?ooo`030?l0003oool0oooo05<0oooo00<000000?ooo`3oool0403oool300000340oooo001@
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0o`3ooooo0?oooc<0oooo00<0o`00
0?ooo`3oool05@3oool40?l000L0oooo103o00000`3oool0o`000?l0000A0?ooo`80o`00C`3oool0
0`3o0000oooo0?ooo`1C0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0<03oool0
04d0oooo1@00000:0?ooo`T00000o`3ooooo0?ooobh0oooo00<0o`000?ooo`3oool04P3oool20?l0
0180oooo0`3o000<0?ooo`80o`00DP3oool00`3o0000oooo0?ooo`1:0?ooo`T00000403oool50000
0340oooo00170?ooo`@000000P3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo
0?l0ooooo`3ooole0?ooo`80o`003`3oool20?l001P0oooo0P3o00000`3oool0o`000?l000060?l0
05L0oooo00<0o`000?ooo`3oool0D03oool00`000000oooo0?ooo`080?ooo`@000000P3oool01000
0000oooo0?ooo`00000b0?ooo`00CP3oool00`000000oooo0000000;0?ooo`030000003oool0oooo
0?l0ooooo`3ooolh0?ooo`<0o`001@3oool60?l007d0oooo00<0o`000?ooo`3oool0C`3oool00`00
0000oooo0?ooo`0?0?ooo`030000003oool000000380oooo001?0?ooo`8000002`3oool00`000000
oooo0?ooo`3o0?ooool0oooo>`3oool40?l008@0oooo00<0o`000?ooo`3oool0C`3oool00`000000
oooo0?ooo`0@0?ooo`800000<P3oool005`0oooo00<000000?ooo`3oool0o`3ooooo0?oool@0oooo
00<0o`000?ooo`3oool0CP3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`3o0?ooool0ooooa@3oool00`3o0000oooo0?ooo`1=0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo0?l0ooooo`3oooo60?ooo`80o`005`3oool30?l000030?ooo`3o0000
o`0000H0o`00:P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oo
ool0oooob@3oool20?l00140oooo0`3o000=0?ooo`80o`009`3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`3o0?ooool0oooob`3oool40?l000T0oooo0P3o00000`3oool0
o`000?ooo`0A0?ooo`80o`009@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`3o0?ooool0ooooc`3oool20?l000030?ooo`3o0000o`0000@0o`00603oool20?l000l0oooo
0P3o000B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3o
ooob0?ooo`80o`0000<0oooo0?l0003o0000203oool20?l001@0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0o`3ooooo0?ooooL0oooo0`3o00000`3oool0o`000?ooo`02
0?l001H0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooooo0?oo
ooX0oooo0P3o000I0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?oooaH0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo5P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolF0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0
oooo09D0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`2E0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0U@3oool00`00
0000oooo0?ooo`2E0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0403oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03ooooo00000?l00000o`00000J
000004H0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool00?l0oooo
o`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo_03oool0
0?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0oooo
_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?oo
ool0oooo_03oool00?l0oooo_03oool5000001X0oooo00<000000?ooo`3oool0FP3oool00`000000
oooo0?ooo`3o0?oooh00oooo003o0?oool40oooo00<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`1L0?ooo`030000003oool0oooo0?l0ooooO`3oool00?l0oooo`@3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0o`3ooomo0?ooo`00o`3ooonC
0?ooo`D000001@3oool7000000<0oooo1`0000050?ooo`@000001P3oool3000000030?ooo`000000
oooo00@0oooo1000000>0?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`<00000103oool3
000000040?ooo`00000000000?ooo`<0000000@0oooo000000000000oooo0P0000040?ooo`@00000
1@3oool5000000@0oooo1`0000030?ooo`H000001P3oool5000000<0oooo0`0000020?ooo`<00000
0`3oool00`000000oooo0?ooo`3o0?ooogh0oooo003o0?oooi@0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P0000030?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo0?l0ooooOP3oool00?l0ooooU03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00<0oooo00D000000?ooo`3oool0oooo0000000C0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D00000
0?ooo`3oool0oooo000000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0
oooo0000000:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`3o0?ooogh0oooo003o0?oooi@0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo1`0000030?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool0oooo1`00000=0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?oo
o`3oool0oooo000000020?ooo`040000003oool0oooo000000<0oooo1`0000050?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01@3oool5000000@0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3o
oomn0?ooo`00o`3ooonD0?ooo`@00000203oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000D0oooo00D0
00000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3ooomn0?oo
o`00o`3ooonD0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000oooo0?ooo`3o
ool2000000@0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`030000003oool0oooo00@0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`3oool2000000050?ooo`00000000000?ooo`000000103oool01@000000oooo0?ooo`3oool0
000000H0oooo0`0000080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool2
000000@0oooo00<000000?ooo`3oool00P3oool2000000<0oooo0P0000030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0o`3ooomn0?ooo`00o`3ooonD0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`<00000203oool30000
00L0oooo0`0000000`3oool00000000000040?ooo`<000003`3oool00`000000oooo0?ooo`030?oo
o`80000000@0oooo0000000000000000103oool2000000<0oooo0P0000020?ooo`80000000D0oooo
0000003oool0oooo000000060?ooo`<000001P3oool200000080oooo0`0000030?ooo`<000001`3o
ool4000000030?ooo`000000oooo00@0oooo100000000`3oool000000?ooo`020?ooo`030000003o
ool00000008000001@3oool00`000000oooo0?ooo`3o0?ooogh0oooo003o0?oooi@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03L0oooo00<00000
0?ooo`3oool0D`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0?l0ooooO`3oool0
0?l0ooooT`3oool7000000H0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`1C0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0o`3ooomo0?ooo`00o`3ooonN0?ooo`<0
00002@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3o
ool0603oool2000000L0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooonZ0?ooo`030000
003oool0oooo06L0oooo00<000000?ooo`3oool0o`3ooonT0?ooo`00o`3ooooo0?ooool0oooo_03o
ool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo0?ooool0
oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00o`3ooooo
0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo003o0?ooool0ooooo`3ooonl0?ooo`00
o`3ooooo0?ooool0oooo_03oool00?l0ooooo`3ooooo0?oook`0oooo0000\
\>"],
  ImageRangeCache->{{{0, 952}, {475.5, 0}} -> {-1.05112, -0.525006, \
0.00220823, 0.00220823}, {{23.125, 928.813}, {464.125, 11.3125}} -> \
{-13.6704, -9.49283, 0.131623, 0.0131261}, {{727.313, 863.188}, {416.625, \
303.375}} -> {-18.0856, -3.13719, 0.0247289, 0.0515774}, {{734.563, 775}, \
{413.125, 393.688}} -> {-77.6632, -7.41808, 0.102895, 0.102895}, {{734.563, \
775}, {390.625, 371.188}} -> {-77.6632, -9.73322, 0.102895, 0.102895}, \
{{734.563, 775}, {368.125, 348.75}} -> {-77.9137, -12.084, 0.103227, \
0.103227}, {{734.563, 775}, {345.625, 326.25}} -> {-77.9137, -14.4066, \
0.103227, 0.103227}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 32, 0, 53, "Section"],
Cell[1774, 53, 50, 1, 30, "Input"],
Cell[1827, 56, 51, 0, 33, "Text"],
Cell[1881, 58, 150, 4, 30, "Input"],
Cell[2034, 64, 53, 0, 33, "Text"],
Cell[2090, 66, 156, 4, 30, "Input"],
Cell[2249, 72, 53, 0, 33, "Text"],
Cell[2305, 74, 147, 4, 30, "Input"],
Cell[2455, 80, 63, 0, 33, "Text"],
Cell[2521, 82, 176, 4, 30, "Input"],
Cell[2700, 88, 61, 0, 33, "Text"],
Cell[2764, 90, 1054, 31, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3855, 126, 65, 0, 69, "Title"],

Cell[CellGroupData[{
Cell[3945, 130, 31, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[4001, 134, 36, 0, 47, "Subsection"],
Cell[4040, 136, 69, 0, 33, "Text"],
Cell[4112, 138, 413, 10, 70, "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4574, 154, 32, 0, 33, "Section"],
Cell[4609, 156, 174, 4, 52, "Text"],
Cell[4786, 162, 4416, 98, 270, "Input"],
Cell[9205, 262, 83, 1, 33, "Text"],
Cell[9291, 265, 3307, 66, 230, "Input"],
Cell[12601, 333, 83, 1, 33, "Text"],
Cell[12687, 336, 1977, 44, 170, "Input"],
Cell[14667, 382, 245, 5, 52, "Text"],
Cell[14915, 389, 2423, 56, 190, "Input"],
Cell[17341, 447, 62, 0, 33, "Text"],
Cell[17406, 449, 1118, 22, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18561, 476, 40, 0, 33, "Section"],
Cell[18604, 478, 171, 4, 52, "Text"],
Cell[18778, 484, 1145, 23, 250, "Input"],
Cell[19926, 509, 134, 3, 52, "Text"],
Cell[20063, 514, 732, 16, 170, "Input"],
Cell[20798, 532, 171, 4, 52, "Text"],
Cell[20972, 538, 468, 11, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21477, 554, 54, 0, 33, "Section"],
Cell[21534, 556, 98, 2, 33, "Text"],
Cell[21635, 560, 357, 5, 51, "Text"],
Cell[21995, 567, 170, 3, 33, "Text"],
Cell[22168, 572, 767, 15, 130, "Input"],
Cell[22938, 589, 142, 3, 52, "Text"],
Cell[23083, 594, 614, 13, 130, "Input"],
Cell[23700, 609, 186, 4, 52, "Text"],
Cell[23889, 615, 596, 13, 130, "Input"],
Cell[24488, 630, 128, 3, 52, "Text"],
Cell[24619, 635, 507, 12, 110, "Input"],
Cell[25129, 649, 236, 4, 52, "Text"],
Cell[25368, 655, 1006, 20, 210, "Input"],
Cell[26377, 677, 335, 6, 52, "Text"],
Cell[26715, 685, 893, 18, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[27645, 708, 46, 0, 33, "Section"],
Cell[27694, 710, 246, 6, 52, "Text"],
Cell[27943, 718, 1106, 23, 250, "Input"],
Cell[29052, 743, 251, 6, 52, "Text"],
Cell[29306, 751, 713, 15, 130, "Input"],
Cell[30022, 768, 239, 5, 52, "Text"],
Cell[30264, 775, 4347, 86, 390, "Input"],
Cell[34614, 863, 211, 5, 52, "Text"],
Cell[34828, 870, 11602, 213, 810, "Input"],
Cell[46433, 1085, 293, 4, 52, "Text"],
Cell[46729, 1091, 869, 19, 170, "Input"],
Cell[47601, 1112, 387, 10, 52, "Text"],
Cell[47991, 1124, 716, 15, 130, "Input"],
Cell[48710, 1141, 216, 4, 52, "Text"],
Cell[48929, 1147, 986, 21, 210, "Input"],
Cell[49918, 1170, 229, 5, 52, "Text"],
Cell[50150, 1177, 1269, 25, 270, "Input"],
Cell[51422, 1204, 182, 4, 52, "Text"],
Cell[51607, 1210, 922, 19, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[52566, 1234, 31, 0, 33, "Section"],
Cell[52600, 1236, 69, 0, 33, "Text"],
Cell[52672, 1238, 346, 9, 70, "Input"],
Cell[53021, 1249, 400, 8, 52, "Text"],
Cell[53424, 1259, 126, 2, 44, "Text"],
Cell[53553, 1263, 649, 14, 110, "Input"],
Cell[54205, 1279, 139, 3, 33, "Text"],
Cell[54347, 1284, 206, 4, 32, "Text"],
Cell[54556, 1290, 1034, 20, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[55627, 1315, 37, 0, 33, "Section"],
Cell[55667, 1317, 86, 1, 33, "Text"],
Cell[55756, 1320, 738, 15, 190, "Input"],
Cell[56497, 1337, 108, 3, 33, "Text"],
Cell[56608, 1342, 689, 14, 130, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[57334, 1361, 44, 0, 33, "Section"],
Cell[57381, 1363, 317, 6, 52, "Text"],
Cell[57701, 1371, 8252, 173, 670, "Input"],
Cell[65956, 1546, 151, 4, 52, "Text"],
Cell[66110, 1552, 126, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[66273, 1559, 121, 1, 33, "Section"],
Cell[66397, 1562, 274, 6, 71, "Text"],
Cell[66674, 1570, 5893, 114, 915, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[72604, 1689, 44, 0, 33, "Section"],
Cell[72651, 1691, 195, 5, 52, "Text"],
Cell[72849, 1698, 2083, 45, 250, "Input"],
Cell[74935, 1745, 171, 3, 33, "Text"],
Cell[75109, 1750, 715, 14, 110, "Input"],
Cell[75827, 1766, 524, 12, 204, "Text"],
Cell[76354, 1780, 74783, 1409, 3890, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[151174, 3194, 134, 2, 33, "Section"],
Cell[151311, 3198, 342, 6, 52, "Text"],
Cell[151656, 3206, 1262, 27, 250, "Input"],
Cell[152921, 3235, 403, 7, 71, "Text"],
Cell[153327, 3244, 1394, 29, 250, "Input"],
Cell[154724, 3275, 333, 6, 71, "Text"],
Cell[155060, 3283, 9012, 174, 1235, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164109, 3462, 38, 0, 33, "Section"],
Cell[164150, 3464, 374, 7, 52, "Text"],
Cell[164527, 3473, 1782, 33, 330, "Input"],
Cell[166312, 3508, 127, 3, 33, "Text"],
Cell[166442, 3513, 1870, 37, 390, "Input"],
Cell[168315, 3552, 362, 7, 52, "Text"],
Cell[168680, 3561, 1088, 21, 210, "Input"],
Cell[169771, 3584, 114, 3, 33, "Text"],
Cell[169888, 3589, 642, 13, 130, "Input"],
Cell[170533, 3604, 403, 10, 128, "Text"],
Cell[170939, 3616, 898, 18, 130, "Input"],
Cell[171840, 3636, 149, 3, 33, "Text"],
Cell[171992, 3641, 1066, 24, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[173095, 3670, 34, 0, 33, "Section"],
Cell[173132, 3672, 92, 2, 33, "Text"],
Cell[173227, 3676, 674, 14, 110, "Input"],
Cell[173904, 3692, 934, 18, 230, "Input"],
Cell[174841, 3712, 346, 6, 90, "Input"],
Cell[175190, 3720, 388, 7, 90, "Input"],
Cell[175581, 3729, 824, 16, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[176442, 3750, 32, 0, 33, "Section"],
Cell[176477, 3752, 109, 3, 33, "Text"],
Cell[176589, 3757, 1505, 31, 250, "Input"],
Cell[178097, 3790, 595, 13, 204, "Text"],
Cell[178695, 3805, 20228, 423, 1570, "Input"],
Cell[198926, 4230, 177, 8, 33, "Text"],
Cell[199106, 4240, 1062, 23, 210, "Input"],
Cell[200171, 4265, 174, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[200370, 4272, 9180, 176, 1295, "Input"],
Cell[209553, 4450, 250938, 4382, 485, 26646, 1608, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

