(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    326788,       7006]*)
(*NotebookOutlinePosition[    327442,       7029]*)
(*  CellTagsIndexPosition[    327398,       7025]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Einstellungen", "Section"],

Cell[BoxData[
    \(\(<< Graphics`;\)\)], "Input"],

Cell["Hier wird die Testausgabe geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(test\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]], "Input"],

Cell["Hier wird Laden / Speichern geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(saveOrLoad\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["Hier wird die Statusanzeige geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(status = True;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Hinweisen formatiert.", "Text"],

Cell[BoxData[
    StyleBox[\(NoPr[text_]\  := \ If[status, Print[text]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Fehlern formatiert.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox[\(ErPr[text_]\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[":=",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[\(If[status, StylePrint[text, FontColor \[Rule] Red], 
            FontWeight -> "\<Bold\>"]\),
          FontFamily->"Courier New",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[";",
        FontFamily->"Courier New",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 1, 0]]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Diplomarbeit \"Dynamik klassischer Spinsysteme\"", "Title"],

Cell[CellGroupData[{

Cell["Definitionen", "Section"],

Cell[CellGroupData[{

Cell["Spin-Variablen", "Subsection"],

Cell["An dieser Stelle werden die Spin-Variablen definiert.", "Text"],

Cell[BoxData[{
    RowBox[{\(s[\[Mu]_] = Table[\(s[\[Mu], i]\)[t], {i, 1, 3}];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, MatrixForm[s[1]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hilfsmethoden", "Section"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordnete) Knotenmenge \"vertices\" \
des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getVertices[tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({temp, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(vertices\  = \ {}\), ";", "\[IndentingNewLine]", 
                RowBox[{
                  StyleBox["(*",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  RowBox[{
                    
                    StyleBox[\(Flatten\  \[Rule] \ 
                        Mengenklammern\ werden\ gestrichen\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Sort\  \[Rule] \ 
                        Knoten\ werden\ aufsteigend\ sortiert\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Split\  \[Rule] \ 
                        Doppelte\ Knoten\ werden\ in\ Mengen\ zusammengefasst\
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    "  ", 
                    
                    StyleBox[\(Union\  -> \ 
                        Mengen\ werden\ \(\(vereinigt\)\(.\)\)\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox["*)",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]]}], 
                "\[IndentingNewLine]", \(temp\  = \ 
                  Split[\ Sort[\ Flatten[tree]]\ ]\), ";", 
                "\[IndentingNewLine]", \(For[i = \ 1, \ 
                  i\  \[LessEqual] \ 
                    Length[temp], \ \(i++\), \[IndentingNewLine]\(vertices\  \
= \ Union[\ vertices, \ temp[\([i]\)]\ ];\)\[IndentingNewLine]]\), ";", 
                "\[IndentingNewLine]", "vertices"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getVertices[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexmengen.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexSets[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  RowBox[{\(Depth[M]\  \[NotEqual] \ 3\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: Not a set of sets.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[M]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[vertices]\  && \ 
                      result\), ",", " ", \(i++\), ",", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(! IntegerQ[vertices[\([i]\)]]\), ",", " ", 
                          RowBox[{\(result\  = False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";", "\[IndentingNewLine]", 
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(vertices[\([i]\)]\  < \ 1\), ",", " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of positive \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexSets[{{1, 2, 3}, {4, 5}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexpaaren.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexPairs[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{
                RowBox[{"result", " ", "=", " ", 
                  StyleBox[\(verifyIndexSets[M]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M]\), ",", \(i++\), ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", 
                        
                        RowBox[{\(Length[M[\([i]\)]]\  \[NotEqual] \ 2\), ",",
                           " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of pairs.\>"]\
\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexPairs[{{1, 2}, {3, 4}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Graphen-Kopplungsmatrix \"J\":
\[CapitalUDoubleDot]bergeben wird die Zeilen- / Spaltenzahl \"n\" von \
\"J\",die Menge \"H\" der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \
\"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getJ[n_, H_, strength_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({vertices, \[Mu], \[Nu], i}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{
                StyleBox[\(verifyIndexPairs[H]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[H]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[vertices]\  > \ n\), ",", 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, n}]\  \[NotEqual] \ vertices\), 
                    ",", " ", 
                    RowBox[{
                      
                      StyleBox[\(NoPr["\<Notice: System is not connected.\>"]\
\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], ";"}]}], " ", "]"}], 
                ";", "\[IndentingNewLine]", \(J\  = \ 
                  Table[If[
                      MemberQ[H, {\[Mu], \[Nu]}] || 
                        MemberQ[H, {\[Nu], \[Mu]}], strength, 0], {\[Mu], 1, 
                      n}, {\[Nu], 1, n}]\), ";", " ", "\[IndentingNewLine]", 
                "J"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, getJ[2, {{1, 2}}, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode zeigt den Staus der Rechnung an.", "Text"],

Cell[BoxData[{
    RowBox[{\(showProgress[i_, imax_, t0_]\  := \ 
          Module[{percentage, t, h, m, 
              s}, \[IndentingNewLine]percentage\  = \ 
              i/imax\ *100; \[IndentingNewLine]t\  = \ \((AbsoluteTime[]\  - \
\ t0)\); \[IndentingNewLine]h\  = \ 
              IntegerPart[\ t/3600]; \[IndentingNewLine]m\  = 
              IntegerPart[\((t\  - \ 3600\ \ h)\)/
                  60]; \[IndentingNewLine]s\  = \ 
              IntegerPart[t\  - \ 3600\ h\  - \ 60\ m]; \[IndentingNewLine]If[
              Mod[percentage, 10]\  \[Equal] \ 0, 
              Print[ToString[percentage]\  <> \ "\<% , \>"\  <> 
                  ToString[h]\  <> \ "\<:\>"\  <> \ 
                  ToString[m]\  <> \ "\<:\>"\  <> \ 
                  ToString[s]]];\[IndentingNewLine]];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, showProgress[10, 100, AbsoluteTime[] - 5430]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Phasenraum-Funktionen", "Section"],

Cell["\<\
Diese Methode liefert die Gesamtenergie \"energy\":
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und eine \
Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalEnergy[J_, M_]\  := \ 
          Module[{energy, i, 
              j, \[Mu], \[Nu]}, \[IndentingNewLine]energy\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\[Mu]\  = \ 
                M[\([i]\)]; \[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  Length[M], \ \(j++\), \[IndentingNewLine]\[Nu]\  = \ 
                  M[\([j]\)]; \[IndentingNewLine]energy\ \  = \ 
                  energy\  + \ 
                    J[\([\[Mu], \[Nu]]\)]\ *\ \((s[\[Mu]]\  . \ 
                          s[\[Nu]])\);\[IndentingNewLine]];\[IndentingNewLine]\
]; \[IndentingNewLine]1/2\ *\ energy];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, \ 
        getTotalEnergy[{{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert den Gesamtspin \"spin\":
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpin[M_]\  := \ 
          Module[{spin, i}, \[IndentingNewLine]spin\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\(spin\  = \ 
                  spin\  + \ 
                    s[\ M[\([i]\)]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]spin];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpin[{1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die \"i\"-te Komponente des Gesamtspins:
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge und die Komponente \
\"i\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpinComponent[M_, 
            i_]\  := \ \(getTotalSpin[M]\)[\([i]\)];\), "\[IndentingNewLine]",
       
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpinComponent[{1, 2, 3}, 3]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerische \"Standard\"-Integration", "Section"],

Cell["\<\
Diese Methode liefert die Hamiltonschen Bewegungsgleichungen\"equations\".\
\>", "Text"],

Cell[BoxData[
    \(H\  = \ \(\[Sum]\+\(\[Mu]\  < \ \[Nu]\)J\_\[Mu]\[Nu]\ s\_\[Mu]*
            s\_\[Nu]\ und\ \(s\& . \)\_\[Mu]\  = \ \(\[PartialD]\ H\/\
\[PartialD]\ s\_\(\_\[Mu]\)\ x\ s\_\[Mu]\ \  \[Rule] \ \(s\& . \)\_\[Mu]\  = \
\ \[Sum]\+\(\[Mu]\  < \ \[Nu]\)\(\(J\_\[Mu]\[Nu]\)\(\ \)\(s\_\[Nu]\)\(\ \)\(x\
\)\(\ \)\(s\_\[Mu]\)\(\ \)\)\)\)\)], "Text"],

Cell["\<\
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getEquations[n_, H_, strength_]\  := \ 
          Module[{J, \[Mu], \[Nu], i}, \[IndentingNewLine]J\  = \ 
              getJ[n, H, strength]; \[IndentingNewLine]equations\  = \ 
              Table[\(s[\[Mu], i]'\)[t] == \ 
                  Sum[J[\([\[Mu], \[Nu]]\)]\ *\ \(Cross[s[\[Nu]], 
                          s[\[Mu]]]\)[\([i]\)], {\[Nu], 1, n}], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]equations];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getEquations[2, {{1, 2}}, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Anfangsbedingungen \"init\":
\[CapitalUDoubleDot]bergeben wird die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInit[v_]\  := \ 
          Module[{n, init, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]init = 
              Table[\(s[\[Mu], i]\)[0] \[Equal] v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]init];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getInit[{{0, 0, 1}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert das DGl-System:
\[CapitalUDoubleDot]bergeben werden die Hamiltonschen Bewegungsgleichungen \
\"equations\" und die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSystem[equations_, v_]\  := \ 
          Module[{init, system}, \[IndentingNewLine]init\  = 
              getInit[v]; \[IndentingNewLine]system\  = 
              Join[init, equations]; \[IndentingNewLine]system];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, 
        getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Variablen \"var\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getVar[n_]\  := \ 
          Module[{var, \[Mu]}, \[IndentingNewLine]var\  = \ 
              Table[s[\[Mu]], {\[Mu], 1, n}]; \[IndentingNewLine]var];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getVar[2]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die L\[ODoubleDot]sung \"solution\"des DGl-Systems:
\[CapitalUDoubleDot]bergeben wird das DGl-System \"system\", die Variablen \
\"var\" und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSolution[system_, var_, T_, stepSize_]\  := \ 
          Module[{solution}, \[IndentingNewLine]solution\  = 
              NDSolve[Flatten[system], 
                Flatten[var], {t, 0, T}, \[IndentingNewLine]Method \[Rule] 
                  RungeKutta, \[IndentingNewLine]MaxStepSize \[Rule] 
                  stepSize, \[IndentingNewLine]StartingStepSize \[Rule] \ 
                  stepSize, \[IndentingNewLine]MaxSteps \[Rule] 
                  Infinity\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              solution]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getSolution[
          getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}], 
          getVar[2], 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die numerische \"Standard\"-Integration \
durch:
\[CapitalUDoubleDot]bergeben werden die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare, die Kopplungsst\[ADoubleDot]rke \"strength\", die Menge \
\"v\" von Vektoren und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(integrateStandard[n_, H_, strength_, v_, T_, stepSize_]\  := \ 
          Module[{equations, system, var, 
              solution}, \[IndentingNewLine]equations\  = \ 
              getEquations[n, H, strength]; \[IndentingNewLine]system\  = \ 
              getSystem[equations, v]; \[IndentingNewLine]var\  = \ 
              getVar[n]; \[IndentingNewLine]solution = \ 
              getSolution[system, var, T, 
                stepSize]; \[IndentingNewLine]solution];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        integrateStandard[2, {{1, 2}}, 1, {{1, 0, 0}, {0, 1, 0}}, 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Konstruktionsbaum und -pfad", "Section"],

Cell[TextData[{
  "Diese Methoden vergleicht zwei Mengen nach der L\[ADoubleDot]nge ",
  StyleBox["und",
    FontWeight->"Bold"],
  " der Reihenfolge der Elemente:\n\[CapitalUDoubleDot]bergeben werden zwei \
Mengen \"M1\" und \"M2\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(lengthSort[M1_, M2_]\  := \ 
          Module[{result}, \[IndentingNewLine]If[
              Length[M1]\  < \ Length[M2], \ 
              result\  = \ True]; \[IndentingNewLine]If[
              Length[M1]\  > \ Length[M2], \ 
              result\  = \ False]; \[IndentingNewLine]If[
              Length[M1]\  \[Equal] \ 
                Length[M2], \[IndentingNewLine]result\  = \ 
                False; \[IndentingNewLine]For[i\  = \ 1, 
                i\  \[LessEqual] \ 
                    Length[M1]\  && \ \(! result\), \(i++\), \
\[IndentingNewLine]\(If[M1[\([i]\)]\  < \ M2[\([i]\)], \ 
                    result\  = \ 
                      True];\)\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]result];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, lengthSort[{1, 2}, {3, 4, 5}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode sortiert die Knotenmengen des Baumes \"tree\". Dies ist ",
  StyleBox["nur",
    FontWeight->"Bold"],
  " f\[UDoubleDot]r die Testmethoden notwendig.\n\[CapitalUDoubleDot]bergeben \
wird der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedTree[tree_]\  := \ 
          Module[{sortedTree, i}, \[IndentingNewLine]sortedTree\  = \ 
              Table[Sort[tree[\([i]\)]], {i, 1, 
                  Length[tree]}]; \[IndentingNewLine]sortedTree\  = \ 
              Sort[sortedTree, 
                lengthSort[#1, #2] &]; \[IndentingNewLine]sortedTree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, getSortedTree[{{2, 1}, {3, 2, 1}, {1}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die gleichf\[ODoubleDot]rmige \
Kopplung von zwei Teilmengen:
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und die \
Index-Teilmengen \"M1\" und \"M2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyUniformCoupling[J_, M1_, M2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, c, i, j, \[Mu], \[Nu]}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Intersection[M1, M2]\  \[NotEqual] \ {}\), ",", 
                    " ", "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: Not disjoint: \>"\  <> \ 
                            ToString[M1]\  <> \ "\< and \>"\  <> \ 
                            ToString[M2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[M1, M2]\  > \ Length[J]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      
                      StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(\[Mu]\  = \ M1[\([1]\)]\), ";", 
                "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([1]\)]\), " ", ";", 
                "\[IndentingNewLine]", \(c\  = \ J[\([\[Mu], \[Nu]]\)]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M1]\  && \ result\), ",",
                     " ", \(i++\), ",", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(j\  = \ 1\), 
                        ",", \(j\  \[LessEqual] \ Length[M2]\  && \ result\), 
                        ",", " ", \(j++\), ",", "\[IndentingNewLine]", 
                        
                        RowBox[{\(\[Mu]\  = \ M1[\([i]\)]\), ";", 
                          "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([j]\)]\), 
                          ";", "\[IndentingNewLine]", 
                          RowBox[{"If", "[", " ", 
                            
                            RowBox[{\(J[\([\[Mu], \[Nu]]\)]\  \[NotEqual] \ 
                                c\), ",", 
                              RowBox[{\(result\  = \ False\), ";", " ", 
                                
                                StyleBox[\(ErPr["\<Error: No uniform \
coupling: \>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]], 
                                StyleBox[";",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "]"}], ";", "\[IndentingNewLine]", "result"}]}], "]"}]}], 
        ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyUniformCoupling[{{0, 1, 0}, {1, 0, 1}, {0, 1, 0}}, {1, 
            3}, {2}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die Eigenschaften des \
(Teil)baumes \"tree\":
\[CapitalUDoubleDot]bergeben werden die Kopplungsmatrix \"J\" und der \
(Teil)baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyTree[tree_, J_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({sortedTree, result, vertices, decomposition, M1, M2, 
                M3, i, j, k}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Index - \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ verifyIndexSets[tree]\), ";", 
                "\[IndentingNewLine]", \(sortedTree\  = \ 
                  getSortedTree[tree]\), ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Leere\ \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(MemberQ[sortedTree, {}]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", " ", 
                      StyleBox[\(ErPr["\<Error: Empty set found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ \(Wurzel\)\(\ \)\(?\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ 
                  getVertices[sortedTree]\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(! MemberQ[sortedTree, vertices]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: No radix found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, Length[J]}]\  \[NotEqual] \ 
                      vertices\), ",", " ", 
                    StyleBox[\(ErPr["\<Notice: Subtree.\>"\ ];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", 
                    " ", \(i \[LessEqual] \ Length[sortedTree]\  && \ 
                      result\), ",", " ", \(i++\), ",", "\[IndentingNewLine]",
                     
                    
                    RowBox[{\(M1\  = \ sortedTree[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(decomposition\  = \ False\), 
                      ";", "\[IndentingNewLine]", \(If[\ 
                        Length[M1]\  \[Equal] \ 1, \ 
                        decomposition\  = \ True]\), ";", 
                      "\[IndentingNewLine]", 
                      RowBox[{"For", "[", 
                        
                        RowBox[{\(j\  = \ 1\), ",", 
                          " ", \(j\  \[LessEqual] \ Length[sortedTree]\  && \ 
                            result\), ",", " ", \(j++\), ",", 
                          StyleBox["\[IndentingNewLine]",
                            FontColor->GrayLevel[0]], 
                          RowBox[{"If", "[", " ", 
                            RowBox[{\(i\  \[NotEqual] \ j\), ",", 
                              StyleBox["\[IndentingNewLine]",
                                FontColor->GrayLevel[0]], 
                              
                              RowBox[{\(M2\  = \ sortedTree[\([j]\)]\), ";", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Disjunkte\ Mengen\ oder\ \(\(Teilmengen\)\
\(\ \)\(?\)\)\ *) \),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", 
                                  
                                  RowBox[{\(! \((Intersection[M1, 
                                        M2]\  == \ {} || \ 
                                        Union[M1, M2]\  \[Equal] \ M1\  || \ 
                                        Union[M1, M2]\  \[Equal] \ M2)\)\), 
                                    ",", "\[IndentingNewLine]", 
                                    
                                    RowBox[{\(result\  = \ True\), ";", 
                                      "\[IndentingNewLine]", 
                                      
                                      StyleBox[\(ErPr["\<Error: No subsets: \
\>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  "\[IndentingNewLine]", "]"}], ";", " ", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Doppelte\ \(\(Mengen\)\(\ \)\(?\)\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008],
                                  FontVariations->{"CompatibilityType"->0}], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  RowBox[{\(M1\  \[Equal] \ M2\), ",", " ", 
                                    RowBox[{\(result = \ False\), ";", " ", 
                                      
                                      StyleBox[\(ErPr["\<Error: Vertex found \
twice: \>"\  <> \ ToString[M1]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  " ", "]"}], ";", "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  
                                  RowBox[{\(Union[M1, M2]\  \[Equal] \ 
                                        M1\  && \ \(! decomposition\)\), ",", 
                                    "\[IndentingNewLine]", 
                                    RowBox[{
                                      RowBox[{"For", "[", 
                                        
                                        RowBox[{\(k\  = \ 1\), ",", 
                                        " ", \(k\  \[LessEqual] \ 
                                        Length[
                                        sortedTree]\  && \ \(! \
decomposition\)\), ",", " ", \(k++\), ",", 
                                        StyleBox["\[IndentingNewLine]",
                                        FontColor->GrayLevel[
                                        0]], \(If[\ 
                                        i\  \[NotEqual] \ k\  && \ 
                                        j\  \[NotEqual] \ 
                                        k, \[IndentingNewLine]M3\  = \ 
                                        sortedTree[\([k]\)]; \
\[IndentingNewLine]If[M1\  == \ Union[M2, M3]\  && \ 
                                        verifyUniformCoupling[J, M2, M3], \ 
                                        decomposition\  = \ 
                                        True];\[IndentingNewLine]\ \ ];\)}], 
                                        "\[IndentingNewLine]", "  ", "]"}], 
                                      ";"}]}], "\[IndentingNewLine]", " ", 
                                  "]"}]}]}], "]"}]}], "]"}], ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", 
                      RowBox[{"If", "[", 
                        RowBox[{\(! decomposition\), ",", 
                          RowBox[{\(result\  = \ False\), ";", 
                            StyleBox[" ",
                              FontColor->RGBColor[0, 1, 0]], 
                            
                            StyleBox[\(ErPr["\<Error: No uniform composition \
found for \>" <> \ ToString[M1]]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyTree[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}, {{0, 1, 1}, {1, 0, 
              1}, {1, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[StyleBox["Diese Methode liefert den  (ungeordneten) Pfad  \
\"treePath\" von einem Knoten \"\[Mu]\"  bis zu der Wurzel des Baumes \
\"tree\":\n\[CapitalUDoubleDot]bergeben weden der Knoten \"\[Mu]\" und der \
Baum \"tree\".",
  FontVariations->{"CompatibilityType"->0}]], "Text"],

Cell[BoxData[{
    RowBox[{\(getPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath, 
              i}, \[IndentingNewLine]treePath\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[tree], \ \(i++\), \[IndentingNewLine]\(If[\ 
                  MemberQ[\ tree[\([i]\)], \[Mu]\ ], \ \ treePath\  = \ 
                    Append[\ treePath, 
                      tree[\([i]\)]\ ]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]treePath];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPath[1, {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode liefert den (aufsteigend geordneten) Pfad \"treePath\" von \
einem Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " bis zu der Wurzel des Baumes \"tree\":\n\[CapitalUDoubleDot]bergeben \
werden der Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " und der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath}, \[IndentingNewLine]treePath\  = \ 
              getPath[\[Mu], tree]; \[IndentingNewLine]treePath\  = \ 
              Sort[\ treePath, \ \((Length[#1]\  < \ 
                      Length[#2])\)\  &\ ]; \[IndentingNewLine]treePath];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getSortedPath[1, \ {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordneten) Pfade \"treePathes\" von \
allen Knoten \"vertices\" bis zur Wurzel des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getAllPathes[tree_]\  := \ 
          Module[{treePathes, \ treePath, \ vertices, 
              i}, \[IndentingNewLine]treePathes\  = \ {}; \
\[IndentingNewLine]vertices\  = \ getVertices[tree]; \[IndentingNewLine]For[
              i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[vertices], \ \(i++\), \[IndentingNewLine]treePath\  = \
\ getSortedPath[\ vertices[\([i]\)], 
                  tree\ ]; \[IndentingNewLine]treePathes\  = \ 
                Append[treePathes, 
                  treePath];\[IndentingNewLine]]; \
\[IndentingNewLine]treePathes];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getAllPathes[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Kopplungskonstanten \"allCouplings\" des \
(aufsteigend geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben werden der Pfad \"treePath\" und die \
Kopplungsmatrix \"J\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathCouplings[treePath_, J_]\  := \ 
          Module[{allCouplings, coupling, M1, M2, \[Mu], \[Nu], 
              i}, \[IndentingNewLine]allCouplings\  = \ {"\<undefined\>"}; \
\[IndentingNewLine]For[i\  = \ 2, \ 
              i \[LessEqual] \ 
                Length[treePath], \ \(i++\), \[IndentingNewLine]M1 = \ 
                treePath[\([i - 1]\)]; \[IndentingNewLine]M2 = \ 
                Complement[\ treePath[\([i]\)], \ 
                  M1\ ]; \[IndentingNewLine]\[Mu]\  = \ 
                M1[\([1]\)]; \[IndentingNewLine]\[Nu]\  = \ 
                M2[\([1]\)]; \[IndentingNewLine]coupling\  = \ 
                J[\([\[Mu], \[Nu]]\)]; \[IndentingNewLine]allCouplings = \ 
                Append[allCouplings, 
                  coupling];\[IndentingNewLine]]; \
\[IndentingNewLine]allCouplings];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPathCouplings[{{1}, {1, 2}, {1, 2, 3}}, {{0, 1, 1}, {1, 0, 1}, {1, 
              1, 0}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Die Methode liefert die Gesamtspins \"allsSpins\" des (aufsteigend \
geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben wird der Pfad \"treePath\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathSpins[treePath_]\  := \ 
          Module[{allSpins, spin, M, 
              i}, \[IndentingNewLine]allSpins\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i \[LessEqual] \ 
                Length[treePath], \(i++\), \[IndentingNewLine]M\  = \ 
                treePath[\([i]\)]; \[IndentingNewLine]spin\  = \ 
                getTotalSpin[M]; \[IndentingNewLine]allSpins\  = \ 
                Append\ [allSpins, 
                  spin];\[IndentingNewLine]]; \[IndentingNewLine]allSpins\  \
//. \ t \[Rule] \ 0];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getPathSpins[{{1}, {1, 2}, {1, 2, 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Drehmatrizen", "Section"],

Cell["Diese Methode berechnet den Betrag des Vektors \"v\".", "Text"],

Cell[BoxData[{
    RowBox[{\(norm[v_] := Sqrt[v . v];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, norm[{1, 0, 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode wandelt den Vektor \"\[Omega]\" in eine antysymmetrische \
Matrix \"\[CapitalOmega]\" um.\nDie Signatur nimmt die Werte ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(-1\))\)\^n\ an . \ 
          Dabei\ ist\ n\ die\ Zahl\ der\ ben\[ODoubleDot]tigten\ \
Transpositionen\ f\[UDoubleDot]r\ das\ Erreichen\ einer\ kanonische\ \
\(\(Reihenfolge\)\(.\)\)\)]]
}], "Text"],

Cell[BoxData[
    \(\[CapitalOmega]\_ij\  = \ \(-\(\[Sum]\+k 
            signatur \((i, j, k)\)*\ \[Omega]\_k\)\)\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getMatrix[\[Omega]_]\  := \ 
          Module[{i, j, k}, \[IndentingNewLine]\ \[CapitalOmega]\  = 
              Table[\(-Sum[
                    Signature[{i, j, k}] \[Omega][\([k]\)], {k, 1, 3}]\), {i, 
                  1, 3}, {j, 1, 3}]; \[IndentingNewLine]\ \[CapitalOmega]];\),
       "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getMatrix[{0, 0, 1}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode erstellt die Drehmatrix \"R\" zu der Drehachse \"\[Omega]\" und \
dem Winkel \"\[CurlyPhi]\" = |w| t:\
\>", "Text"],

Cell[BoxData[
    \(R\_ij\  = \ \(\[Delta]\_ij\) 
          cos\[CurlyPhi]\  + \ \(e\_i\) \(e\_j\) \((1 - 
              cos\[CurlyPhi])\)\  + \ \(\[CapitalOmega]\_ij\) 
          sin\[CurlyPhi]\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getRotation[\[Omega]_, t_]\ \  := \ 
          Module[{e, \[CurlyPhi], \[CapitalOmega], i, j, 
              R}, \[IndentingNewLine]e = \ \[Omega]/
                norm[\[Omega]]; \[IndentingNewLine]\[CurlyPhi]\  = \ 
              norm[\[Omega]]\ *\ t; \[IndentingNewLine]\[CapitalOmega]\  = \ 
              getMatrix[e]; \[IndentingNewLine]R = 
              Table[If[i \[Equal] j, Cos[\[CurlyPhi]], 0] + 
                  e[\([i]\)] 
                    e[\([j]\)] \((1 - 
                        Cos[\[CurlyPhi]])\) + \[CapitalOmega][\([i, j]\)] 
                    Sin[\[CurlyPhi]], {i, 1, 3}, {j, 1, 
                  3}]; \[IndentingNewLine]R];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(\(If[test, getRotation[{0, 0, 1}, Pi/2]]\)\(\ \)\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Anfangsbedingungen", "Section"],

Cell["Diese Methoden liefern zuf\[ADoubleDot]llige Einheitsvektoren \"v\".", \
"Text"],

Cell[BoxData[{\(generate\  := \ 
        Module[{v}, \[IndentingNewLine]v\  = \ {2*Random[] - 1, 
              2*Random[] - 1, 2*Random[] - 1}; \[IndentingNewLine]v\  = \ 
            v\ /\ norm[v]; \[IndentingNewLine]v];\), "\[IndentingNewLine]", 
    RowBox[{\(generateSet[n_]\  := \ 
          Module[{v, i}, \[IndentingNewLine]v\  = \ 
              Table[generate, {i, 1, n}]; \[IndentingNewLine]v];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, generateSet[1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert zuf\[ADoubleDot]llige Anfangsbedingungen \
\"initialConditi\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInitRule[v_]\  := \ 
          Module[{n, initRule, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]initRule = 
              Table[\(s[\[Mu], i]\)[0] -> v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]Flatten[initRule]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getInitRule[{{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Explizite Zeitentwicklung", "Section"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung f\[UDoubleDot]r ein System in einem \
\[ADoubleDot]u\[SZ]eren (konstanten) Magnetfeld:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\", die Kopplungsmatrix \
\"J\", das Magnefeld \"B\" und das gyromagnetische Verh\[ADoubleDot]ltnis \"\
\[Gamma]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(getTimeEvolutionWithB[tree_, J_, B_, \[Gamma]_]\), " ", ":=", 
        " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allTimeEvolutions, timeEvolution, treePathes, treePath, 
              pathCouplings, pathSpins, vertices, i, j, k, \[Mu]}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(allTimeEvolutions\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(NoPr["\<Tree: \>"\  <> \ ToString[tree]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr["\<J: \>"\  <> \ ToString[J]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(NoPr["\<Tree verified: \>"\  <> \ 
                    ToString[verifyTree[tree, J]]\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[\( (*\ Baum\  \[Rule] \ Knotenm  enge\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Baum\  \[Rule] \ Pfade\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(treePathes = \ getAllPathes[tree]\), 
              ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), ",", 
                  " ", \(i\  \[LessEqual] \ Length[treePathes]\), ",", 
                  " ", \(i++\), ",", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Knotenmenge\  \[Rule] \ Knoten\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(\[Mu]\  = \ vertices[\([i]\)]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Pfade\  \[Rule] \ Pfad\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(treePath\  = \ 
                      treePathes[\([i]\)]\), ";", "\[IndentingNewLine]", " ", 
                    
                    
                    StyleBox[\(NoPr["\<Path \>"\  <> \ 
                          ToString[i]\  <> \ "\<, vertex \>"\  <> \ 
                          ToString[\[Mu]]\  <> \ "\<: \>" <> \ 
                          ToString[treePath]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Pfad\  \[Rule] \ 
                          Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(pathSpins\  = \ 
                      getPathSpins[treePath]\), ";", 
                    "\[IndentingNewLine]", \(pathCouplings\  = \ 
                      getPathCouplings[treePath, J]\), ";", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(NoPr["\<Couplings: \>"\  <> \ 
                          ToString[pathCouplings]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\  \
\[Rule] \ Zeitentwicklung\ ohne\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    StyleBox[\(timeEvolution\  = \ pathSpins[\([1]\)]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(For[j\  = \ 2, 
                        j < \ Length[
                            pathSpins], \(j++\), \
\[IndentingNewLine]\(timeEvolution\  = \ 
                            getRotation[
                                pathSpins[\([j]\)], \((pathCouplings[\([j]\)]\
\  - \ pathCouplings[\([j + 1]\)])\)\ *\ t]\  . \ 
                              timeEvolution;\)\[IndentingNewLine]]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(timeEvolution\  = \ 
                        getRotation[
                            pathSpins[\([Length[
                                  pathSpins]]\)], \((pathCouplings[\([Length[
                                      pathSpins]]\)])\)*\ t]\  . \ 
                          timeEvolution\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Zeitentwicklung\ ohne\ B\  \[Rule] \ 
                          Zeitentwicklung\ mit\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(timeEvolution\  = \ 
                      getRotation[B, \[Gamma]]\  . \ timeEvolution\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(k\  = 1\), ",", " ", \(k\  \[LessEqual] \ 3\),
                         ",", " ", \(k++\), ",", 
                        StyleBox["\[IndentingNewLine]",
                          FontColor->RGBColor[0, 0, 1],
                          Background->RGBColor[1, 0, 
                          1]], \(allTimeEvolutions\  = \ 
                            Append[
                              allTimeEvolutions, \(s[\[Mu]]\)[\([k]\)]\  -> 
                                timeEvolution[\([k]\)]];\)}], 
                      "\[IndentingNewLine]", "]"}], ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "allTimeEvolutions"}]}], "]"}]}], ";"}]], "Input"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\" und die Kopplungsmatrix \
\"J\".\
\>", "Text"],

Cell[BoxData[
    \(\(getTimeEvolution[tree_, J_]\  := \ 
        getTimeEvolutionWithB[tree, J, {1, 0, 0}, 0];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der Zeitentwicklung",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode testet die Zeitenwicklung f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Menge der Kopplungspaare \"H\" und der \
Baum \"tree\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testTimeEvolution[H_, tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, vertices, n, J, timeEvolution, S, S1, S2, S3, 
                energy, v, toPlot, toPlot1, toPlot2}\), ",", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*Zeitraum*) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspins\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, K, 0.1]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = \ 
                  Join[toPlot1, toPlot2]\), ";", 
                "\[IndentingNewLine]", \(Plot[\[IndentingNewLine]Evaluate[
                      toPlot], {t, 0, 
                      K}, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\)}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
          testTimeEvolution[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 5}, {4, 
                5}, {1, 2}, {3, 4}}, \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Symplektische Integration", "Section"],

Cell["\<\
Diese Methode pr\[UDoubleDot]ft die Zerlegung der Menge \"H\" von \
Kopplungspaaren:
\[CapitalUDoubleDot]bergeben wird die Menge \"H\" und die Teilmengen \"H1\", \
\"H2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyDecomposition[H_, H1_, H2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, sortedH, sortedH1, sortedH2}\), ",", 
              "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ True\), ";", 
                "\[IndentingNewLine]", \(sortedH\  = \ getSortedTree[H]\), 
                ";", "\[IndentingNewLine]", \(sortedH1\  = \ 
                  getSortedTree[H1]\), ";", 
                "\[IndentingNewLine]", \(sortedH2\  = \ getSortedTree[H2]\), 
                ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  
                  RowBox[{\(sortedH\  \[NotEqual] \ 
                        sortedTree[Union[H1, H2]] || \ 
                      Intersection[H1, H2]\  \[NotEqual] {}\), ",", 
                    "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: No valid decomposition of H: \
\>"\  <> \ ToString[H1]\  <> \ "\< and \>"\  <> \ ToString[H2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                "result"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyDecomposition[{{1, 2}, {2, 3}, {1, 3}}, {{1, 2}, {2, 3}}, {{1, 
              3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Ersetzungsregel \"s[t,i] \[Rule] s[\[Tau],i]\". \
Diese Ersetzungsregel wird in der symplektischen Integration verwendet.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getReplacementRule[M_, \[Tau]_]\  := \ 
          Module[{replacement, i, j}, \[IndentingNewLine]replacement\  = \ 
              Table[\ \(s[M[\([i]\)], j]\)[
                    t]\  \[Rule] \ \(s[M[\([i]\)], j]\)[\[Tau]], {i, 1, 
                  Length[M]}, {j, 1, 3}]; \[IndentingNewLine]Flatten[
              replacement]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getReplacementRule[{1, 2, 3}, \[Tau]]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration durch:
\[CapitalUDoubleDot]bergeben wird 
-die Menge \"H\" aller Kopplungspaare,
-die Teilmengen \"H1\" und \"H2\", 
-die B\[ADoubleDot]ume \"tree1\" und \"tree2\",
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(integrateSymplectic[H_, H1_, H2_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({result, time, vertices, vertices1, vertices2, J1, J2, 
              timeEvolution1, timeEvolution2, init, i, p, 
              q, \[Zeta], \[Lambda], \[Chi], \[CapitalTheta]}\), ",", 
            "\[IndentingNewLine]", 
            RowBox[{
              
              StyleBox[\(NoPr["\<Decomposition verified: \>"\  <> \ 
                    ToString[verifyDecomposition[H, H1, H2]]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\( (*\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ 
                getVertices[\ Union[tree1, tree2]\ ]\), ";", 
              "\[IndentingNewLine]", \(vertices1\  = \ getVertices[tree1]\), 
              ";", "\[IndentingNewLine]", \(vertices2\  = \ 
                getVertices[tree2]\), ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrizen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J1\  = \ 
                getJ[\ Max[vertices1], H1, 1]\), ";", 
              "\[IndentingNewLine]", \(J2\  = \ 
                getJ[\ Max[vertices2], H2, 1]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Zeitentwicklungen : \ s[\[Tau], i]\  -> \ f \((t)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ linke\ Seite\ ersetzen\ \(durch : \ \[Tau]\), \ 
                  rechte\ Seite\ ersetzen\ \(durch : \ t\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution1\  = \ 
                getTimeEvolution[tree1, J1]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", \(timeEvolution2\  = \ 
                getTimeEvolution[tree2, J2]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontTracking->"Plain",
                FontColor->GrayLevel[0.500008],
                FontVariations->{"Underline"->False,
                "Outline"->False,
                "Shadow"->False,
                "StrikeThrough"->False,
                "Masked"->False,
                "CompatibilityType"->0,
                "RotationAngle"->0}], 
              "\[IndentingNewLine]", \(init\  = \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", \(result\  = \ {init}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(time\  = \ AbsoluteTime[]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<firstOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...firstOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              1.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]\  + \ 
                                  O \((\[CapitalDelta]\^2)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                              Mod[i, plotStep] \[Equal] \ 0, 
                              result\  = \ 
                                Append[result, 
                                  init\  //. \ \[Tau]\  \[Rule] \ \((i\ \
\[CapitalDelta])\)]\ ];\)}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<secondOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...secondOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              2.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ B\ \[CapitalDelta]/2\ *\ 
                                    exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]/2\  + \ 
                                  O \((\[CapitalDelta]\^3)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t\  \[Rule] \ \[CapitalDelta]\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<fourthOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...fourthOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(p\  = 
                      N[1/\((4\  - \ 4^\((1/3)\))\)]\), ";", " ", 
                    "\[IndentingNewLine]", \(q\  = N[1 - 4*p]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          RowBox[{
                            StyleBox["(*",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              
                              StyleBox[\(4.  \(Ordnung : \ 
                                      exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ \(i = 
                                    1\)\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["..",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              RowBox[{
                                RowBox[{
                                  StyleBox["5",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], " ", 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[
                                    SubscriptBox[
                                      StyleBox["p",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->GrayLevel[0.500008]], "i"],
                                    
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["B",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["\[CapitalDelta]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]]}], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox["+",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[\(O \((\[CapitalDelta]\^5)\)\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]]}]}], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["*)",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              p\  = \ \(p\_1\  = \ \(p\_2\  = \ \(p\_4\  = \ 
                                      p\_5\)\)\), \ q\  = \ p\_3\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ q\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((q\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<ForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...ForestRuth\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[CapitalTheta]\  = \ 
                      N[1/\((2\  - \ 2^\((1/3)\))\)]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[CapitalTheta])\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2*\[CapitalTheta])\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<optimizedForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\(NoPr["\<Calculating...optimizedForestRuth\>"]\)\
,
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[Zeta]\  = \ 0.17208656\), ";", 
                    "\[IndentingNewLine]", \(\[Lambda]\  = \ \
\(-0.09156203\)\), ";", 
                    "\[IndentingNewLine]", \(\[Chi]\  = \ \(-0.16162176\)\), 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ optimierter\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1\  - \ 
                                      2 \((\[Chi] + \[Zeta])\))\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1\  - \ 
                                        2*\((\[Chi] + \[Zeta])\))\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              "result"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der symplektischen \
Integration",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten:
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToLists[F_, K_, \[CapitalDelta]_, 
            plotStep_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, {j\ *\ plotStep\ *\[CapitalDelta], 
                        F[\([i]\)]\  //. \ 
                          t \[Rule] \ \((j\ *\ 
                                plotStep\ *\[CapitalDelta])\)}];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToLists[{t, t\^2, t\^3}, 10, 1, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\

Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten. Dabei wird die diskrete Ersetzungsregel \"rule\" verwendet.
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToListsWithdiscreteRule[F_, 
            K_, \[CapitalDelta]_, plotStep_, rule_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({j*plotStep*\[CapitalDelta], 
                            F[\([i]\)]}\  //. 
                          t \[Rule] \ \((j*plotStep*\[CapitalDelta])\)\)\  //. 
                        rule[\([j + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToListsWithdiscreteRule[{t, t\^2, t\^3}, 3, 1, 
          1, {{t -> 0}, {t -> 1}, {t -> 2}, {t -> 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode testet die symplektische Integration f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Mengen der Kopplungspaare \"H\",\"H1\",\
\"H2\" und die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testSymplecticIntegration[H_, H1_, H2_, tree_, tree1_, 
            tree2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, \[CapitalDelta], vertices, n, J, timeEvolution, S, 
                S1, S2, S3, energy, v, toPlot, toPlot1, toPlot2, i, j, 
                plotStep, temp, allTemp}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Anzahl\ und\ Gr\[ODoubleDot]\[SZ]e\ der\ Zeitschritte\ *) \
\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = \ 10\^3\), 
                ";", \(\[CapitalDelta]\  = \ 10\^\(-4\)\), 
                ";", \(plotStep\  = \ 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot1\  = \ 
                  convertFunctionsToLists[toPlot1, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Standard - Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, 
                    K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  convertFunctionsToLists[toPlot2, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                    K, \ \[CapitalDelta], \ v, "\<firstOrder\>", plotStep]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot3\  = \ 
                  convertFunctionsToListsWithdiscreteRule[toPlot, 
                    K\ , \[CapitalDelta]\ , \ plotStep, timeEvolution]\), ";",
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = 
                  Join[toPlot1, toPlot2, toPlot3]\), ";", 
                "\[IndentingNewLine]", \(MultipleListPlot[
                    toPlot, \[IndentingNewLine]PlotJoined \[Rule] 
                      True, \[IndentingNewLine]SymbolShape \[Rule] 
                      None, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 5}], 
                        Table[{Dashing[{0.02}], GrayLevel[i/10]}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \
\*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\
\)}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
          testSymplecticIntegration[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 
                5}, {4, 5}, {1, 2}, {3, 
                4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
                1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
                4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
                2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
                5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
                5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]\ ]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichern und Laden", "Section"],

Cell["\<\
Diese Methode wandelt eine diskrete Ersetzungsregel \"rule\" in eine Menge \
\"points\" von Punkten um:
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertDiscreteRuleToPoints[n_, K_, \[CapitalDelta]_, 
            plotStep_, rule_]\  := \ 
          Module[{points, var, temp, i, 
              j}, \[IndentingNewLine]points\  = \ {{{"\<n\>", n}, {"\<K\>", 
                    K}, {"\<Delta\>", N[\[CapitalDelta]]}, {"\<plotStep\>", 
                    plotStep}}}; \[IndentingNewLine]var\  = \ 
              Flatten[getVar[n]]; \[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({i\ *\ plotStep, var[\([j]\)]}\  //. 
                          t \[Rule] \ \((i*plotStep*\ \[CapitalDelta])\)\)\  //. 
                        rule[\([i + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(points\  = \ 
                  Append[points, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              points, 1]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertDiscreteRuleToPoints[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine Menge \"points\" von Punkten in eine diskrete \
Ersetzungsregel \"rule\" um.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertPointsToDiscreteRule[points_]\  := \ 
          Module[{n, K, \[CapitalDelta], plotStep, var, rule, i, 
              j}, \[IndentingNewLine]n\  = \ 
              points[\([1, 2]\)]; \[IndentingNewLine]K\  = \ 
              points[\([2, 2]\)]; \[IndentingNewLine]\[CapitalDelta]\  = \ 
              points[\([3, 2]\)]; \[IndentingNewLine]plotStep\  = \ 
              points[\([4, 
                  2]\)]; \[IndentingNewLine]rule\  = \ {}; \
\[IndentingNewLine]var\  = \ Flatten[getVar[n]]; \[IndentingNewLine]For[
              i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, \ 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, 
                      var[\([j]\)]\  \[Rule] \ 
                          points[\([j\  + 4\  + i\ *\ 3\ n, 2]\)]\  //. \ 
                        t \[Rule] \ \((i*
                              plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(rule\  = \ 
                  Append[rule, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]{n, 
              K, \[CapitalDelta], plotStep, rule}];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertPointsToDiscreteRule[\[IndentingNewLine]{{"\<n\>", 
              1}, {"\<K\>", 1}, {"\<Delta\>", 1}, {"\<plotStep\>", 1}, {0, 
              1}, {0, 2}, {0, 3}, {1, 4}, {1, 5}, {1, 
              6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode schreibt eine diskrete Ersetzungsregel \"rule\" in eine Datei \
\"filename\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(saveDiscreteRuleToFile[n_, K_, \[CapitalDelta]_, plotStep_, 
            rule_, filename_]\  := \ 
          Module[{points}, \[IndentingNewLine]points\  = \ 
              convertDiscreteRuleToPoints[n, K, \[CapitalDelta], plotStep, 
                rule]; \[IndentingNewLine]Export[filename\  <> \ "\<.dat\>", 
              points];\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        saveDiscreteRuleToFile[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 
                6}}, \[IndentingNewLine]"\<testfile\>"\[IndentingNewLine]]]\),
      
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liest eine diskrete Ersetzungsregel \"rule\" aus einer Datei \
\"filename\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(loadDiscreteRuleFromFile[filename_]\  := \ 
          Module[{points, rule}, \[IndentingNewLine]points\  = \ 
              Import[filename\  <> \ "\<.dat\>"]; \[IndentingNewLine]rule\  = \
\ convertPointsToDiscreteRule[points]; \[IndentingNewLine]rule];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, loadDiscreteRuleFromFile["\<testfile\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert einen Dateinamen \"filename\". \
\[CapitalUDoubleDot]bergeben wird 
-eine Systembeschreibung \"system\",
-die Zahl \"n\" der Spins,
-die Zahl \"K\" und die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der \
Zeitschritte,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".
-der Typ \"type\" der Integration.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createFilename[system_, n_, K_, \[CapitalDelta]_, plotStep_, 
            type_]\  := \ 
          Module[{filename}, \[IndentingNewLine]filename\  = \ 
              system\  <> \ "\<_n_\>"\  <> \ 
                ToString[n]\  <> \ "\<_K_\>"\  <> \ 
                ToString[N[K]]\  <> \ "\<_Delta_\>"\  <> \ 
                ToString[N[\[CapitalDelta]]]\  <> \ "\<_plotStep_\>" <> \ 
                ToString[N[plotStep]] <> "\<_Type_\>"\  <> \ 
                type\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        createFilename["\<fliege\>", 5, 1, 1, 1, "\<firstOrder\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine kontinuierliche Ersetzungsregel \"continuous\" in \
eine diskrete Ersetzungsregel \"discrete\" um:\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertContinuousToDiscreteRule[K_, \[CapitalDelta]_, 
            plotStep_, continuous_]\  := \ 
          Module[{discrete, 
              i}, \[IndentingNewLine]discrete\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]\(discrete\  = \ 
                  Append[discrete, 
                    continuous\  //. \ 
                      t \[Rule] \((i*
                            plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]discrete];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertContinuousToDiscreteRule[4, 1, 
          2, {\(s[1, 1]\)[t] -> \ 
              t, \(s[1, 2]\)[t] -> \(-t\), \(s[1, 3]\)[t] -> 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Ikosidodekaeder", "Section"],

Cell["\<\
Die folgenden Methoden erleichtern die Eingabe des Ikosidodekaeders.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createBowTieH[M1_, M2_, C_]\  := \ 
          Module[{H}, \[IndentingNewLine]H\  = \ {{M1[\([1]\)], 
                  C}, {M1[\([2]\)], C}, {M1[\([1]\)], 
                  M1[\([2]\)]}, {M2[\([1]\)], C}, {M2[\([2]\)], 
                  C}, {M2[\([1]\)], M2[\([2]\)]}}; \[IndentingNewLine]H];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieH[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{
    RowBox[{\(createBowTieTree\ [M1_, M2_, C_]\  := \ 
          Module[{tree}, \[IndentingNewLine]tree\  = \ \
{\[IndentingNewLine]{M1[\([1]\)]}, {M1[\([2]\)]}, {M1[\([1]\)], 
                  M1[\([2]\)]}, \[IndentingNewLine]{M2[\([1]\)]}, \
{M2[\([2]\)]}, {M2[\([1]\)], M2[\([2]\)]}, \[IndentingNewLine]{M1[\([1]\)], 
                  M1[\([2]\)], M2[\([1]\)], 
                  M2[\([2]\)]}, \[IndentingNewLine]{C}, \
\[IndentingNewLine]{M1[\([1]\)], M1[\([2]\)], M2[\([1]\)], M2[\([2]\)], 
                  C}\[IndentingNewLine]}; \[IndentingNewLine]tree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieTree[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleH[A_, B_, C_]\  := \ 
        Module[{H}, \[IndentingNewLine]H\  = \ {{A, B}, {B, C}, {C, 
                A}}; \[IndentingNewLine]H];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleH[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleTree[A_, B_, C_]\  := \ 
        Module[{tree}, \[IndentingNewLine]tree\  = \ {{A}, {B}, {A, 
                B}, {C}, {A, B, 
                C}}; \[IndentingNewLine]tree];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleTree[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(treeUnion[trees_]\  := \ 
        Module[{unitedTrees, radix}, \[IndentingNewLine]unitedTrees\  = \ 
            trees[\([1]\)]; \[IndentingNewLine]For[i\  = \ 2, \ 
            i \[LessEqual] \ \ Length[
                trees], \(i++\), \[IndentingNewLine]radix\  = \ {Union[
                  getVertices[unitedTrees], 
                  getVertices[
                    trees[\([i]\)]]]}; \[IndentingNewLine]unitedTrees\  = \ 
              Union[unitedTrees, trees[\([i]\)], 
                radix];\[IndentingNewLine]]; \[IndentingNewLine]unitedTrees];\
\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        treeUnion[{createTriangleTree[1, 2, 3], 
            createTriangleTree[4, 5, 6]}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Hauptprogramm", "Section"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration f\[UDoubleDot]r \
Graphen durch und speichert das Ergebnis.
\[CapitalUDoubleDot]bergeben werden:
-die Systembeschreibung \"system\"
-die Mengen der Kopplungspaare \"H\",\"H1\",\"H2\" 
-die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\"
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(makeResults[system_, H_, H1_, H2_, tree_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({vertices, n, J, timeEvolution, filename}\), ",", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ Knoten\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(vertices\  = \ getVertices[\ Union[tree1, tree2]\ ]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                  K, \ \[CapitalDelta], \ v, type, plotStep]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , plotStep, 
                    type]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}]}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "  ", 
          RowBox[{"(*", "\[IndentingNewLine]", 
            StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], 
            StyleBox["\[IndentingNewLine]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], 
            
            RowBox[{\(timeEvolution\  = \ 
                integrateStandard[n, H, 1, v, 
                  K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<rungekutta\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
            "*)"}], "\[IndentingNewLine]", "]"}]}], 
      ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[saveOrLoad, 
        makeResults[\[IndentingNewLine]"\<Ikosidodekaeder\>", \
\[IndentingNewLine]Union[\[IndentingNewLine]createBowTieH[{1, 2}, {11, 20}, 
              6], \[IndentingNewLine]createBowTieH[{2, 3}, {12, 13}, 
              7], \[IndentingNewLine]createBowTieH[{3, 4}, {14, 15}, 
              8], \[IndentingNewLine]createBowTieH[{4, 5}, {16, 17}, 
              9], \[IndentingNewLine]createBowTieH[{5, 1}, {18, 19}, 
              10], \[IndentingNewLine]createBowTieH[{11, 12}, {26, 27}, 
              21], \[IndentingNewLine]createBowTieH[{13, 14}, {27, 28}, 
              22], \[IndentingNewLine]createBowTieH[{15, 16}, {28, 29}, 
              23], \[IndentingNewLine]createBowTieH[{17, 18}, {29, 30}, 
              24], \[IndentingNewLine]createBowTieH[{19, 20}, {30, 26}, 
              25]\[IndentingNewLine]], \  (*Ikosidodekaeder*) \ \
\[IndentingNewLine]Union[\[IndentingNewLine]createBowTieH[{2, 6}, {5, 10}, 
              1], \[IndentingNewLine]createBowTieH[{3, 4}, {14, 15}, 
              8], \[IndentingNewLine]createBowTieH[{11, 21}, {7, 13}, 
              12], \[IndentingNewLine]createBowTieH[{9, 16}, {18, 24}, 
              17], \[IndentingNewLine]createBowTieH[{19, 20}, {26, 30}, 
              25], \[IndentingNewLine]createBowTieH[{22, 27}, {23, 29}, 
              28]\[IndentingNewLine]],  (*6\ \
Fliegen*) \[IndentingNewLine]Union[\[IndentingNewLine]createTriangleH[2, 3, 
              7], \[IndentingNewLine]createTriangleH[4, 5, 
              9], \[IndentingNewLine]createTriangleH[6, 11, 
              20], \[IndentingNewLine]createTriangleH[10, 18, 
              19], \[IndentingNewLine]createTriangleH[13, 14, 
              22], \[IndentingNewLine]createTriangleH[15, 16, 
              23], \[IndentingNewLine]createTriangleH[21, 26, 
              27], \[IndentingNewLine]createTriangleH[24, 29, 
              30]\[IndentingNewLine]],  (*8\ \
Dreiecke*) \[IndentingNewLine]{}, \[IndentingNewLine]treeUnion[{\
\[IndentingNewLine]createBowTieTree[{2, 6}, {5, 10}, 
                1], \[IndentingNewLine]createBowTieTree[{3, 4}, {14, 15}, 
                8], \[IndentingNewLine]createBowTieTree[{11, 21}, {7, 13}, 
                12], \[IndentingNewLine]createBowTieTree[{9, 16}, {18, 24}, 
                17], \[IndentingNewLine]createBowTieTree[{19, 20}, {26, 30}, 
                25], \[IndentingNewLine]createBowTieTree[{22, 27}, {23, 29}, 
                28]\[IndentingNewLine]}], \  (*\ 
            Baum\ 6\ Fliegen\ *) \[IndentingNewLine]treeUnion[{\
\[IndentingNewLine]createTriangleTree[2, 3, 
                7], \[IndentingNewLine]createTriangleTree[4, 5, 
                9], \[IndentingNewLine]createTriangleTree[6, 11, 
                20], \[IndentingNewLine]createTriangleTree[10, 18, 
                19], \[IndentingNewLine]createTriangleTree[13, 14, 
                22], \[IndentingNewLine]createTriangleTree[15, 16, 
                23], \[IndentingNewLine]createTriangleTree[21, 26, 
                27], \[IndentingNewLine]createTriangleTree[24, 29, 
                30], \[IndentingNewLine]{{1}}, {{8}}, {{12}}, {{17}}, {{25}}, \
{{28}}\[IndentingNewLine]}], \  (*\ 
            Baum\ 8\ Dreiecke\ *) \[IndentingNewLine]400,  (*K\
*) \[IndentingNewLine]0.25,  \
(*\[CapitalDelta]*) \[IndentingNewLine]Import["\<v30.dat\>"], \
\[IndentingNewLine]"\<fourthOrder\>", \[IndentingNewLine]4 (*plotStep\
*) \[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell["\<\
Diese Methode plottet die Ergebnisse der Dateien \"data\". Dargestellt werden \
die Gesamtenergie, der Gesamtspin und die Komponenten des Gesamtspins.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(showResults[data_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({lists, vertices, S, S1, S2, S3, J, energy, toPlot, i, j, 
              n, K, \[CapitalDelta], plotStep, timeEvolution}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(lists\  = \ {}\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), 
                  ",", \(i\  \[LessEqual] \ Length[data]\), ",", \(i++\), ",",
                   "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Datei\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\({n, K, \[CapitalDelta], plotStep, 
                          timeEvolution}\  = \ 
                        loadDiscreteRuleFromFile[data[\([i]\)]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(J\  = \ 
                        Import[data[\([i]\)]\  <> \ "\<_J.dat\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], " ", 
                      StyleBox["Knoten",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(vertices\  = \ 
                      Table[j, {j, 1, n}]\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S\  = \ 
                      norm[getTotalSpin[vertices]]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S1\  = \ 
                      getTotalSpinComponent[vertices, 1]\), ";", 
                    "\[IndentingNewLine]", \(S2\  = \ 
                      getTotalSpinComponent[vertices, 2]\), ";", 
                    "\[IndentingNewLine]", \(S3\  = \ 
                      getTotalSpinComponent[vertices, 3]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtenergie\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(energy\  = \ 
                      getTotalEnergy[J, vertices]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {energy, S1\ , 
                        S2\ , S3}\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Menge\ von\ Funktionen\  \[Rule] \ 
                          Liste\ von\ Punkten\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(lists = \ 
                      Join[lists, 
                        convertFunctionsToListsWithdiscreteRule[toPlot, 
                          K, \[CapitalDelta], plotStep, timeEvolution]]\), 
                    ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Darstellung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(MultipleListPlot[
                lists, \[IndentingNewLine]PlotJoined \[Rule] 
                  True, \[IndentingNewLine]PlotRange \[Rule] 
                  Automatic, \[IndentingNewLine]SymbolShape \[Rule] 
                  None, \[IndentingNewLine]Axes \[Rule] 
                  False, \[IndentingNewLine]Ticks \[Rule] \ 
                  Automatic, \[IndentingNewLine]Frame \[Rule] 
                  True, \[IndentingNewLine]FrameTicks \[Rule] \ 
                  Automatic, \[IndentingNewLine]PlotLabel -> 
                  StyleForm["\<Ikosidodekaeder\>", 
                    FontSize \[Rule] 
                      16], \[IndentingNewLine]FrameLabel -> \
{StyleForm["\<t\>", FontSize \[Rule] 16], 
                    StyleForm["\<\>", 
                      FontSize \[Rule] 
                        16], "\<\>", "\<\>"}, \[IndentingNewLine]PlotStyle \
\[Rule] {Black, {AbsoluteDashing[{8, 3}], Red}, {AbsoluteDashing[{5, 2}], 
                      Blue}, {AbsoluteDashing[{2, 2}], 
                      Green}}, \[IndentingNewLine]PlotLegend \[Rule] \
{"\<H\>", \*"\"\<\!\(S\^\((1)\)\)\>\"", \*"\"\<\!\(S\^\((2)\)\)\>\"", \*"\"\<\
\!\(S\^\((3)\)\)\>\""}, \[IndentingNewLine]LegendLabel \[Rule] "\<1.Ordnung, \
\[CapitalDelta] = 0.1\>", \[IndentingNewLine]LegendSize \[Rule] {0.3, 
                    0.3}, \[IndentingNewLine]LegendPosition\  \[Rule] \ \
{\(-0.780\), \(-0.385\)}, \[IndentingNewLine]AspectRatio \[Rule] 
                  0.5\ \[IndentingNewLine]]\), ";"}]}], "\[IndentingNewLine]",
           "]"}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox["If",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]], 
      StyleBox["[",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]], 
      RowBox[{
        StyleBox[\(! saveOrLoad\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[",",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
        StyleBox[\(showResults[{\[IndentingNewLine]"\<Ikosidodekaeder_n_30_K_\
1000._Delta_0.1_plotStep_10._Type_firstOrder\>"\[IndentingNewLine]}];\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
      StyleBox["]",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]]}]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.25 0.47619 [
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0119048 0.97619 0.488095 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00952381 -0.236698 0.0785431 [
[.02381 -0.0125 -3 -9 ]
[.02381 -0.0125 3 0 ]
[.21429 -0.0125 -6 -9 ]
[.21429 -0.0125 6 0 ]
[.40476 -0.0125 -6 -9 ]
[.40476 -0.0125 6 0 ]
[.59524 -0.0125 -6 -9 ]
[.59524 -0.0125 6 0 ]
[.78571 -0.0125 -6 -9 ]
[.78571 -0.0125 6 0 ]
[.97619 -0.0125 -9 -9 ]
[.97619 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -6.78125 -23 ]
[.5 -0.0125 6.78125 -9 ]
[-0.0125 .07747 -6 -4.5 ]
[-0.0125 .07747 0 4.5 ]
[-0.0125 .15602 -6 -4.5 ]
[-0.0125 .15602 0 4.5 ]
[-0.0125 .23456 -6 -4.5 ]
[-0.0125 .23456 0 4.5 ]
[-0.0125 .3131 -6 -4.5 ]
[-0.0125 .3131 0 4.5 ]
[-0.0125 .39165 -6 -4.5 ]
[-0.0125 .39165 0 4.5 ]
[-0.0125 .47019 -6 -4.5 ]
[-0.0125 .47019 0 4.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .25 -18.5625 -2 ]
[-0.01875 .25 -6 2 ]
[ 0 .5 .125 0 ]
[ 1 0 .125 0 ]
[.5 .5125 -73.7188 0 ]
[.5 .5125 73.7188 14.9375 ]
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
[(0)] .02381 -0.0125 0 1 Mshowa
.21429 0 m
.21429 .00625 L
s
[(20)] .21429 -0.0125 0 1 Mshowa
.40476 0 m
.40476 .00625 L
s
[(40)] .40476 -0.0125 0 1 Mshowa
.59524 0 m
.59524 .00625 L
s
[(60)] .59524 -0.0125 0 1 Mshowa
.78571 0 m
.78571 .00625 L
s
[(80)] .78571 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(100)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.07143 0 m
.07143 .00375 L
s
.11905 0 m
.11905 .00375 L
s
.16667 0 m
.16667 .00375 L
s
.2619 0 m
.2619 .00375 L
s
.30952 0 m
.30952 .00375 L
s
.35714 0 m
.35714 .00375 L
s
.45238 0 m
.45238 .00375 L
s
.5 0 m
.5 .00375 L
s
.54762 0 m
.54762 .00375 L
s
.64286 0 m
.64286 .00375 L
s
.69048 0 m
.69048 .00375 L
s
.7381 0 m
.7381 .00375 L
s
.83333 0 m
.83333 .00375 L
s
.88095 0 m
.88095 .00375 L
s
.92857 0 m
.92857 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -67.7813 -27 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22 translate 1 -1 scale
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
72.563 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .07747 m
.00625 .07747 L
s
[(4)] -0.0125 .07747 1 0 Mshowa
0 .15602 m
.00625 .15602 L
s
[(5)] -0.0125 .15602 1 0 Mshowa
0 .23456 m
.00625 .23456 L
s
[(6)] -0.0125 .23456 1 0 Mshowa
0 .3131 m
.00625 .3131 L
s
[(7)] -0.0125 .3131 1 0 Mshowa
0 .39165 m
.00625 .39165 L
s
[(8)] -0.0125 .39165 1 0 Mshowa
0 .47019 m
.00625 .47019 L
s
[(9)] -0.0125 .47019 1 0 Mshowa
.125 Mabswid
0 .01464 m
.00375 .01464 L
s
0 .03035 m
.00375 .03035 L
s
0 .04606 m
.00375 .04606 L
s
0 .06177 m
.00375 .06177 L
s
0 .09318 m
.00375 .09318 L
s
0 .10889 m
.00375 .10889 L
s
0 .1246 m
.00375 .1246 L
s
0 .14031 m
.00375 .14031 L
s
0 .17173 m
.00375 .17173 L
s
0 .18743 m
.00375 .18743 L
s
0 .20314 m
.00375 .20314 L
s
0 .21885 m
.00375 .21885 L
s
0 .25027 m
.00375 .25027 L
s
0 .26598 m
.00375 .26598 L
s
0 .28169 m
.00375 .28169 L
s
0 .29739 m
.00375 .29739 L
s
0 .32881 m
.00375 .32881 L
s
0 .34452 m
.00375 .34452 L
s
0 .36023 m
.00375 .36023 L
s
0 .37594 m
.00375 .37594 L
s
0 .40735 m
.00375 .40735 L
s
0 .42306 m
.00375 .42306 L
s
0 .43877 m
.00375 .43877 L
s
0 .45448 m
.00375 .45448 L
s
0 .4859 m
.00375 .4859 L
s
.25 Mabswid
0 0 m
0 .5 L
s
gsave
-0.01875 .25 -75.2813 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
63 10.2813 translate
90 rotate
-63 -10.2813 translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .49375 m
.02381 .5 L
s
.21429 .49375 m
.21429 .5 L
s
.40476 .49375 m
.40476 .5 L
s
.59524 .49375 m
.59524 .5 L
s
.78571 .49375 m
.78571 .5 L
s
.97619 .49375 m
.97619 .5 L
s
.125 Mabswid
.07143 .49625 m
.07143 .5 L
s
.11905 .49625 m
.11905 .5 L
s
.16667 .49625 m
.16667 .5 L
s
.2619 .49625 m
.2619 .5 L
s
.30952 .49625 m
.30952 .5 L
s
.35714 .49625 m
.35714 .5 L
s
.45238 .49625 m
.45238 .5 L
s
.5 .49625 m
.5 .5 L
s
.54762 .49625 m
.54762 .5 L
s
.64286 .49625 m
.64286 .5 L
s
.69048 .49625 m
.69048 .5 L
s
.7381 .49625 m
.7381 .5 L
s
.83333 .49625 m
.83333 .5 L
s
.88095 .49625 m
.88095 .5 L
s
.92857 .49625 m
.92857 .5 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.99375 .07747 m
1 .07747 L
s
.99375 .15602 m
1 .15602 L
s
.99375 .23456 m
1 .23456 L
s
.99375 .3131 m
1 .3131 L
s
.99375 .39165 m
1 .39165 L
s
.99375 .47019 m
1 .47019 L
s
.125 Mabswid
.99625 .01464 m
1 .01464 L
s
.99625 .03035 m
1 .03035 L
s
.99625 .04606 m
1 .04606 L
s
.99625 .06177 m
1 .06177 L
s
.99625 .09318 m
1 .09318 L
s
.99625 .10889 m
1 .10889 L
s
.99625 .1246 m
1 .1246 L
s
.99625 .14031 m
1 .14031 L
s
.99625 .17173 m
1 .17173 L
s
.99625 .18743 m
1 .18743 L
s
.99625 .20314 m
1 .20314 L
s
.99625 .21885 m
1 .21885 L
s
.99625 .25027 m
1 .25027 L
s
.99625 .26598 m
1 .26598 L
s
.99625 .28169 m
1 .28169 L
s
.99625 .29739 m
1 .29739 L
s
.99625 .32881 m
1 .32881 L
s
.99625 .34452 m
1 .34452 L
s
.99625 .36023 m
1 .36023 L
s
.99625 .37594 m
1 .37594 L
s
.99625 .40735 m
1 .40735 L
s
.99625 .42306 m
1 .42306 L
s
.99625 .43877 m
1 .43877 L
s
.99625 .45448 m
1 .45448 L
s
.99625 .4859 m
1 .4859 L
s
.25 Mabswid
1 0 m
1 .5 L
s
gsave
.5 .5125 -134.719 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22.9375 translate 1 -1 scale
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ikosidodekaeder) show
206.438 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
0 0 0 r
.001 w
.02381 .43601 m
.03333 .44889 L
.04286 .42639 L
.05238 .44795 L
.0619 .42058 L
.07143 .43885 L
.08095 .40978 L
.09048 .44989 L
.1 .44945 L
.10952 .4669 L
.11905 .4416 L
.12857 .43294 L
.1381 .44419 L
.14762 .38856 L
.15714 .45353 L
.16667 .44367 L
.17619 .42 L
.18571 .46481 L
.19524 .44928 L
.20476 .45011 L
.21429 .44614 L
.22381 .44576 L
.23333 .42272 L
.24286 .41294 L
.25238 .46726 L
.2619 .44665 L
.27143 .43864 L
.28095 .41981 L
.29048 .46704 L
.3 .44475 L
.30952 .43609 L
.31905 .43319 L
.32857 .43615 L
.3381 .43458 L
.34762 .46959 L
.35714 .42927 L
.36667 .45296 L
.37619 .44114 L
.38571 .43578 L
.39524 .45277 L
.40476 .4464 L
.41429 .42804 L
.42381 .42591 L
.43333 .44406 L
.44286 .45171 L
.45238 .42537 L
.4619 .4881 L
.47143 .43668 L
.48095 .41384 L
.49048 .44291 L
Mistroke
.5 .43468 L
.50952 .43276 L
.51905 .44617 L
.52857 .44288 L
.5381 .45327 L
.54762 .43772 L
.55714 .44697 L
.56667 .44036 L
.57619 .41062 L
.58571 .46126 L
.59524 .42827 L
.60476 .45276 L
.61429 .43516 L
.62381 .41558 L
.63333 .46361 L
.64286 .44037 L
.65238 .47537 L
.6619 .4029 L
.67143 .46352 L
.68095 .44368 L
.69048 .44968 L
.7 .40563 L
.70952 .46653 L
.71905 .42288 L
.72857 .4494 L
.7381 .45425 L
.74762 .44199 L
.75714 .4426 L
.76667 .43289 L
.77619 .45341 L
.78571 .42761 L
.79524 .4587 L
.80476 .41983 L
.81429 .44178 L
.82381 .44876 L
.83333 .42027 L
.84286 .44098 L
.85238 .44667 L
.8619 .42849 L
.87143 .46443 L
.88095 .43774 L
.89048 .46488 L
.9 .43215 L
.90952 .43982 L
.91905 .45337 L
.92857 .4339 L
.9381 .42015 L
.94762 .43073 L
.95714 .46949 L
.96667 .44814 L
Mistroke
.97619 .44577 L
Mfstroke
1 0 0 r
[ 8 3 ] 0 Mabsdash
.02381 .0119 m
.03333 .0119 L
.04286 .0119 L
.05238 .0119 L
.0619 .0119 L
.07143 .0119 L
.08095 .0119 L
.09048 .0119 L
.1 .0119 L
.10952 .0119 L
.11905 .0119 L
.12857 .0119 L
.1381 .0119 L
.14762 .0119 L
.15714 .0119 L
.16667 .0119 L
.17619 .0119 L
.18571 .0119 L
.19524 .0119 L
.20476 .0119 L
.21429 .0119 L
.22381 .0119 L
.23333 .0119 L
.24286 .0119 L
.25238 .0119 L
.2619 .0119 L
.27143 .0119 L
.28095 .0119 L
.29048 .0119 L
.3 .0119 L
.30952 .0119 L
.31905 .0119 L
.32857 .0119 L
.3381 .0119 L
.34762 .0119 L
.35714 .0119 L
.36667 .0119 L
.37619 .0119 L
.38571 .0119 L
.39524 .0119 L
.40476 .0119 L
.41429 .0119 L
.42381 .0119 L
.43333 .0119 L
.44286 .0119 L
.45238 .0119 L
.4619 .0119 L
.47143 .0119 L
.48095 .0119 L
.49048 .0119 L
Mistroke
.5 .0119 L
.50952 .0119 L
.51905 .0119 L
.52857 .0119 L
.5381 .0119 L
.54762 .0119 L
.55714 .0119 L
.56667 .0119 L
.57619 .0119 L
.58571 .0119 L
.59524 .0119 L
.60476 .0119 L
.61429 .0119 L
.62381 .0119 L
.63333 .0119 L
.64286 .0119 L
.65238 .0119 L
.6619 .0119 L
.67143 .0119 L
.68095 .0119 L
.69048 .0119 L
.7 .0119 L
.70952 .0119 L
.71905 .0119 L
.72857 .0119 L
.7381 .0119 L
.74762 .0119 L
.75714 .0119 L
.76667 .0119 L
.77619 .0119 L
.78571 .0119 L
.79524 .0119 L
.80476 .0119 L
.81429 .0119 L
.82381 .0119 L
.83333 .0119 L
.84286 .0119 L
.85238 .0119 L
.8619 .0119 L
.87143 .0119 L
.88095 .0119 L
.89048 .0119 L
.9 .0119 L
.90952 .0119 L
.91905 .0119 L
.92857 .0119 L
.9381 .0119 L
.94762 .0119 L
.95714 .0119 L
.96667 .0119 L
Mistroke
.97619 .0119 L
Mfstroke
0 0 1 r
[ 5 2 ] 0 Mabsdash
.02381 .38437 m
.03333 .38437 L
.04286 .38437 L
.05238 .38437 L
.0619 .38437 L
.07143 .38437 L
.08095 .38437 L
.09048 .38437 L
.1 .38437 L
.10952 .38437 L
.11905 .38437 L
.12857 .38437 L
.1381 .38437 L
.14762 .38437 L
.15714 .38437 L
.16667 .38437 L
.17619 .38437 L
.18571 .38437 L
.19524 .38437 L
.20476 .38437 L
.21429 .38437 L
.22381 .38437 L
.23333 .38437 L
.24286 .38437 L
.25238 .38437 L
.2619 .38437 L
.27143 .38437 L
.28095 .38437 L
.29048 .38437 L
.3 .38437 L
.30952 .38437 L
.31905 .38437 L
.32857 .38437 L
.3381 .38437 L
.34762 .38437 L
.35714 .38437 L
.36667 .38437 L
.37619 .38437 L
.38571 .38437 L
.39524 .38437 L
.40476 .38437 L
.41429 .38437 L
.42381 .38437 L
.43333 .38437 L
.44286 .38437 L
.45238 .38437 L
.4619 .38437 L
.47143 .38437 L
.48095 .38437 L
.49048 .38437 L
Mistroke
.5 .38437 L
.50952 .38437 L
.51905 .38437 L
.52857 .38437 L
.5381 .38437 L
.54762 .38437 L
.55714 .38437 L
.56667 .38437 L
.57619 .38437 L
.58571 .38437 L
.59524 .38437 L
.60476 .38437 L
.61429 .38437 L
.62381 .38437 L
.63333 .38437 L
.64286 .38437 L
.65238 .38437 L
.6619 .38437 L
.67143 .38437 L
.68095 .38437 L
.69048 .38437 L
.7 .38437 L
.70952 .38437 L
.71905 .38437 L
.72857 .38437 L
.7381 .38437 L
.74762 .38437 L
.75714 .38437 L
.76667 .38437 L
.77619 .38437 L
.78571 .38437 L
.79524 .38437 L
.80476 .38437 L
.81429 .38437 L
.82381 .38437 L
.83333 .38437 L
.84286 .38437 L
.85238 .38437 L
.8619 .38437 L
.87143 .38437 L
.88095 .38437 L
.89048 .38437 L
.9 .38437 L
.90952 .38437 L
.91905 .38437 L
.92857 .38437 L
.9381 .38437 L
.94762 .38437 L
.95714 .38437 L
.96667 .38437 L
Mistroke
.97619 .38437 L
Mfstroke
0 1 0 r
[ 2 2 ] 0 Mabsdash
.02381 .20044 m
.03333 .20044 L
.04286 .20044 L
.05238 .20044 L
.0619 .20044 L
.07143 .20044 L
.08095 .20044 L
.09048 .20044 L
.1 .20044 L
.10952 .20044 L
.11905 .20044 L
.12857 .20044 L
.1381 .20044 L
.14762 .20044 L
.15714 .20044 L
.16667 .20044 L
.17619 .20044 L
.18571 .20044 L
.19524 .20044 L
.20476 .20044 L
.21429 .20044 L
.22381 .20044 L
.23333 .20044 L
.24286 .20044 L
.25238 .20044 L
.2619 .20044 L
.27143 .20044 L
.28095 .20044 L
.29048 .20044 L
.3 .20044 L
.30952 .20044 L
.31905 .20044 L
.32857 .20044 L
.3381 .20044 L
.34762 .20044 L
.35714 .20044 L
.36667 .20044 L
.37619 .20044 L
.38571 .20044 L
.39524 .20044 L
.40476 .20044 L
.41429 .20044 L
.42381 .20044 L
.43333 .20044 L
.44286 .20044 L
.45238 .20044 L
.4619 .20044 L
.47143 .20044 L
.48095 .20044 L
.49048 .20044 L
Mistroke
.5 .20044 L
.50952 .20044 L
.51905 .20044 L
.52857 .20044 L
.5381 .20044 L
.54762 .20044 L
.55714 .20044 L
.56667 .20044 L
.57619 .20044 L
.58571 .20044 L
.59524 .20044 L
.60476 .20044 L
.61429 .20044 L
.62381 .20044 L
.63333 .20044 L
.64286 .20044 L
.65238 .20044 L
.6619 .20044 L
.67143 .20044 L
.68095 .20044 L
.69048 .20044 L
.7 .20044 L
.70952 .20044 L
.71905 .20044 L
.72857 .20044 L
.7381 .20044 L
.74762 .20044 L
.75714 .20044 L
.76667 .20044 L
.77619 .20044 L
.78571 .20044 L
.79524 .20044 L
.80476 .20044 L
.81429 .20044 L
.82381 .20044 L
.83333 .20044 L
.84286 .20044 L
.85238 .20044 L
.8619 .20044 L
.87143 .20044 L
.88095 .20044 L
.89048 .20044 L
.9 .20044 L
.90952 .20044 L
.91905 .20044 L
.92857 .20044 L
.9381 .20044 L
.94762 .20044 L
.95714 .20044 L
.96667 .20044 L
Mistroke
.97619 .20044 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
0 g
.12857 .06667 m
.12857 .20952 L
.27143 .20952 L
.27143 .06667 L
F
1 g
.12857 .06667 m
.12857 .20952 L
.27143 .20952 L
.27143 .06667 L
F
0 g
.001 w
[ ] 0 setdash
.12857 .06667 m
.27143 .06667 L
.27143 .20952 L
.12857 .20952 L
.12857 .06667 L
s
% Start of sub-graphic
p
0.128571 0.0666667 0.271429 0.209524 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0171233 0.171233 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0308219 0.35119 0.202055 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 1 0 r
.02493 w
[ 2 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .11644 -61 -10.4688 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.9375 translate 1 -1 scale
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(S) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 9.438 moveto
(H) show
73.188 9.438 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
77.375 9.438 moveto
(L) show
82.063 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.229452 0.35119 0.400685 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 1 r
.02493 w
[ 5 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .31507 -61 -10.4688 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.9375 translate 1 -1 scale
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(S) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 9.438 moveto
(H) show
73.188 9.438 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
77.375 9.438 moveto
(L) show
82.063 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.428082 0.35119 0.599315 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.02493 w
[ 8 3 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .5137 -61 -10.4688 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.9375 translate 1 -1 scale
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(S) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 9.438 moveto
(H) show
73.188 9.438 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
77.375 9.438 moveto
(L) show
82.063 13.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.626712 0.35119 0.797945 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.02493 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .71233 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(H) show
69.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .89726 -117 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.) show
75.000 12.813 moveto
(Ordnung) show
117.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
129.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(D) show
141.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
153.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.1) show
171.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{964, 482},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000?40001hR000`400?l00000o`00003oo`3ooooo
0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00
o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo7
0?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0oooo
o`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?oo
ool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo
003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?oo
olL0oooo003o0?oooo40oooo1000003o0?ooom40oooo003o0?oooo00oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`3o0?ooolh0oooo003o0?oooo00oooo00<000000?ooo`3oool0o`3o
oooC0?ooo`00o`3oooo`0?ooo`030000003oool0oooo0?l0ooood`3oool00?l0ooool03oool00`00
0000oooo0?ooo`3o0?ooom<0oooo003o0?oooo00oooo00<000000?ooo`3oool0o`3ooooC0?ooo`00
o`3oooo^0?ooo`L00000o`3ooooA0?ooo`00o`3oooo`0?ooo`030000003oool0oooo0?l0ooood`3o
ool00?l0ooool03oool00`000000oooo0?ooo`3o0?ooom<0oooo003o0?ooool0ooooo`3oooo70?oo
o`00M03oool200000980oooo100000030?ooo`800000T@3oool300000080oooo0P00002@0?ooo`<0
0000103oool200000900oooo0P0000040?ooo`800000S@3oool500000080oooo0P0000040?ooo`80
0000CP3oool007<0oooo00@000000?ooo`3oool00000T@3oool00`000000oooo0?ooo`030?ooo`04
0000003oool0oooo00000940oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`2=
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000SP3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000008h0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0B`3oool007<0oooo00@00000
0?ooo`3oool00000TP3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000008h0oooo
1@0000001@3oool000000?ooo`3oool0000008l0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`00002>0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
SP3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`1;0?ooo`00L`3oool010000000oooo0?ooo`00002C0?ooo`050000003oool0oooo
0?ooo`0000000P3oool00`000000oooo0?ooo`2<0?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool00000S`3oool3000000<0oooo00@000000?ooo`3oool00000S`3oool2000000<0
oooo00@000000?ooo`3oool00000SP3oool01@000000oooo0?ooo`3oool000000080oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`1;0?ooo`00L`3oool010000000oooo0?ooo`00
002A0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000S`3oool00`000000
oooo000000020?ooo`040000003oool0oooo00000900oooo00<000000?ooo`3oool00P3oool01000
0000oooo0?ooo`00002>0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
SP3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`1;0?ooo`00M03oool2000009<0oooo0P0000040?ooo`800000T@3oool2000000<0
oooo0P00002A0?ooo`<000000`3oool200000900oooo0P0000040?ooo`800000SP3oool2000000@0
oooo0P0000040?ooo`800000CP3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3o
ooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0
ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o
0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0
oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00680ooooo`00003o
00000?l00000900000110?ooo`00HP3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
03l0oooo001R0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool08`3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?oo
o`2F0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<00000
0?ooo`3oool0U@3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`00
0000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`03
0000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo
00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803o
ool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0@0?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool9
0?l00080oooo2@3o00020?ooo`T0o`0000@0oooo0?l0003o0000o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo2@3o00020?ooo`T0o`000P3oool90?l00080oooo2@3o
00020?ooo`T0o`000P3oool90?l00080oooo1@3o00020?ooo`@0o`004P3oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`03
0000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool05`3ooon:00000?l0ooooo`3ooomn0?ooo`030000003o
ool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
og`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`@000005P3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
o`3ooomi0?ooo`@00000@@3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o
0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`03
0000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo
O03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003o
ool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3o
ool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`00
0000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0e0?ooo`<00000CP3oool00`000000oooo
0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo03D0oooo00@000000?ooo`3oool00000C@3oool00`000000oooo
0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo00d0oooo0`00o`001@3oool00?l0003o0000o`00oooo00<00?l0
00D0oooo003o0000o`000?l00?ooo`03003o00040?ooo`00o`000?l0003o01@0oooo00<000000?oo
o`3oool0B`3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool4000001H0oooo00<000000?ooo`3oool0=P3oool2000000D0oooo00<0IVIV0:ZZZP3o
ool00P3oool00`2ZZZX0IVIV0?ooo`110?ooo`030000003oool0oooo0?l0ooooo`3ooomi0?ooo`@0
0000@@3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0e0?ooo`040000
003oool0oooo000000<0oooo00<0MgMg09VIV@3^k^h00P2k^k/0103MgMd0oooo09VIV@1gMgM10?oo
o`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool0=@3oool4000000<0oooo00<000000?ooo`3o
ool00P3oool0102k^k/0oooo0?ooo`0000110?ooo`030000003oool0oooo0?l0ooooo`3oooml0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0?03oool01@1gMgL0VIVI0?ooo`3oool0ZZZZ0080oooo00<0VIVI07MgM`3oool0@03oool00`00
0000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo03d0oooo00L0IVIV0:ZZZP3^k^h0oooo0<c<c02ZZZX0
IVIV0480oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0o0?ooo`030<c<c02k^k/0oooo
04@0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0
ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo
0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<0
00000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml
0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo1000000F0?ooo`030000
003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooogT0oooo100000110?ooo`00HP3o
ool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3o
oooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0
oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?oo
o`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?oo
o`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0
ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0
?`3oool005D0oooo0`00000:0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00EP3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=@3oool3
000004h0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool0
05<0oooo1@00000:0?ooo`H00000503oool00`000000oooo0?ooo`0e0?ooo`040000003oool0oooo
000004d0oooo00<000000?ooo`3oool0o`3ooooo0?ooogL0oooo1P0000110?ooo`00D`3oool01000
0000oooo0?ooo`00000;0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool03@3oool6
0000o`030?ooo`000?l0003o00@0003o00<0oooo0000o`000?l010000?l0103oool0003o0000o`00
0?lC0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<0
00000?ooo`3oool0?`3oool005@0oooo00<000000?ooo`0000002`3oool00`000000oooo0?ooo`0G
0?ooo`030000003oool0oooo03H0oooo0P0000050?ooo`0306IVIP2ZZZX0oooo0080oooo00<0ZZZZ
06IVIP3oool0@@3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o
0?ooo`00E@3oool2000000/0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0e0?oo
o`040000003oool0oooo000000<0oooo00T0MgMg09VIV@2k^k/0VIVI0<c<c03^k^h0oooo09VIV@1g
MgL0@@3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03D0oooo100000030?ooo`050000
003oool0oooo0;^k^`3MgMd00`3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0?l0
ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool0?03oool02@1gMgL0VIVI0?ooo`3oool0gMgM0>k^kP3oool0VIVI07MgM`11
0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0?@3oool01`1VIVH0WinO0>k^kP3oool0
gMgM0:ZZZP1VIVH0@P3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03l0oooo0P3<c<a5
0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3o
ool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000
003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03o
ool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool0
0680oooo1000000F0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
ogT0oooo100000110?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
o`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<0
00000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0
o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003o
ool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
og`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000
oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`@000005P3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
o`3ooomi0?ooo`@00000@@3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=@3oool3000004h0oooo00<00000
0?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`0=0?ooo`T0o`000P3oool90?l00080oooo0P3o000@0?oo
o`040000003oool0oooo000004d0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0h0?oo
o`030000003oool0oooo0080oooo00<0IVIV0:ZZZP3oool00P3oool00`2ZZZX0IVIV0?ooo`110?oo
o`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`3oool0=P3oool2000000@0oooo00T0MgMg09VIV@3o
ool0c<c<09VIV@3^k^h0oooo09VIV@1gMgL0@@3oool00`000000oooo0?ooo`3o0?ooool0ooooO03o
ool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo03D0oooo00@000000?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0c<c<00<0oooo
00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo
0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03D0oooo1000
00030?ooo`0507MgM`2IVIT0oooo0?ooo`3<c<`00P3oool00`2IVIT0MgMg0?ooo`100?ooo`030000
003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0?@3oool01`1VIVH0ZZZZ0=gMg@3<c<`0oooo0:ZZZP1V
IVH0@P3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03l0oooo00<0k^k^0?ooo`3oool0
A03oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3o
oooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool0
0`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool4000001H0
oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooN@3oool400000440
oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<0
00000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`26
0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3o
ool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000
003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03o
ool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0
oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo
0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0
oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000
oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo1000
000F0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooogT0oooo1000
00110?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03@0oooo0`0000000`3oool00000
0000001<0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?oo
o`00001=0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool03@3ooolH00000100oooo00@0
00000?ooo`3oool00000C@3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo
0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03D0oooo1000
001=0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`00
001=0?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0=03oool2000000040?ooo`000000
0000000004`0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3o
ool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001D0?ooo`800000303oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
og`0oooo00<000000?ooo`3oool0?`3oool005<0oooo00@000000?ooo`3oool000002`3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
og`0oooo00<000000?ooo`3oool0?`3oool005H0oooo00<000000?ooo`3oool02@3oool6000001@0
oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooM`3oool600000440
oooo001D0?ooo`800000303oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool005@0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<0
00000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool005@0oooo0`00000;
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o
0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`03
0000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo
O03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003o
ool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3o
ool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo
01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`00
0000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
o`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`@000005P3oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3ooomi0?ooo`@00000@@3oool00680oooo00<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml
0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0?03oool3000004L0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0o0?ooo`05
0000003oool0oooo0?ooo`000000@P3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool00`00
0000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00`0
oooo1@0000020?ooo`800000103oool2000000<0oooo100000030?ooo`H000000P3oool200000080
oooo1P0000020?ooo`8000000P3oool3000000<0oooo00<000000?ooo`3oool01`3oool5000000P0
oooo100000090?ooo`800000103oool2000000<0oooo1@00000?0?ooo`030000003oool0oooo0?l0
ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000<0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0000000E0?ooo`04
0000003oool0oooo000000X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?oo
ool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000030?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`00000>0?ooo`030000003oool0000000T0oooo100000080?ooo`040000003oool0oooo
000000X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooool0ooooO03oool0
0`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000020?ooo`@000000`3oool3
000000030?ooo`0000000000008000000P3oool2000000040?ooo`00000000000?ooo`@00000103o
ool4000000h0oooo00<000000?ooo`3oool0503oool010000000oooo0?ooo`00000:0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00L0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo01@0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool03@3oool2000000X0oooo0P00000;0?ooo`800000
9`3oool00`000000oooo0?ooo`0E0?ooo`8000002P3oool200000140oooo00<000000?ooo`3oool0
o`3ooooo0?ooog`0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003o
ool0oooo03l0oooo001R0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oo
og`0oooo00<000000?ooo`3oool0?`3oool00680oooo1000000F0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooogT0oooo100000110?ooo`00HP3oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo
00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o
0?ooool0ooooO03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooog`0oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`260?ooo`03
0000003oool0oooo0?l0ooooo`3oooml0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo
O03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0G0?ooohX00000o`3o
oooo0?ooogh0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo
0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0100
oooo00<00?l00?ooo`00o`000P00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o
0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o
0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o
003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?oo
o`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<0
0?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`00
1@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?oo
o`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o
0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o
0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o
003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?oo
o`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<0
0?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`00
1@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?oo
o`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o
0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o
0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o
003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?oo
o`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<0
0?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`00
1@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?oo
o`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l00P3oool3003o
00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0
oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool0
0?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`00
0?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`00
0?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00
oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool0
0`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o
00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0
oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool0
0?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`00
0?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`00
0?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00
oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool0
0`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o
00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0
oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool0
0?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`00
0?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`00
0?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00
oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool0
0`00o`001@3oool00?l0003o0000o`00oooo00<00?l000D0oooo003o0000o`000?l00?ooo`03003o
00050?ooo`00o`000?l0003o003oool00`00o`001@3oool00?l0003o0000o`00oooo00<00?l00P3o
ool3003o00040?ooo`00o`000?l0003o0180oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680
oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool400000?l0ooooo`3ooooo0?oooa`0oooo100000110?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680
oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo
001C0?ooo`<00000303oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003o
ool0oooo03l0oooo001C0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0o`3o
oooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00D`3oool010000000oooo0?ooo`00
000;0?ooo`H00000o`3ooooo0?ooool0oooo603oool600000440oooo001C0?ooo`<00000303oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001D0?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`00
0000oooo0?ooo`0o0?ooo`00E03oool3000000/0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0
oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0oooo
o`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3o
oooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo
0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo1000003o0?oo
ool0ooooo`3ooolL0?ooo`@00000@@3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0
oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0oooo
o`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3o
oooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo
0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo1000
003o0?ooool0ooooo`3ooolL0?ooo`@00000@@3oool00680oooo00<000000?ooo`3oool0o`3ooooo
0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?oo
ool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680
oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`030000003oool0
oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680
oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00
HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3o
ool005D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP
0?ooo`030000003oool0oooo03l0oooo001E0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00E@3oool00`000000
oooo0?ooo`0:0?ooo`H00000o`3ooooo0?ooool0oooo603oool600000440oooo001F0?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo
0?ooo`0o0?ooo`00D`3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo0?l0oooo
o`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool005<0oooo1000000;0?ooo`030000003o
ool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<00000
0?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`03
0000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`030000003o
ool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<00000
0?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R0?ooo`03
0000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`@00000o`3ooooo0?ooool0oooo703oool400000440oooo001R0?ooo`03
0000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000
oooo0?ooo`0o0?ooo`00HP3oool400000?l0ooooo`3ooooo0?oooa`0oooo100000110?ooo`00HP3o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool0
0680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000
oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000
003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<0
00000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool0
0`000000oooo0?ooo`0o0?ooo`00HP3oool400000?l0ooooo`3ooooo0?oooa`0oooo100000110?oo
o`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooolb0?ooo`030000o`3oool0oooo0?l0
ooooCP3oool00`000?l0oooo0?ooo`2I0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0100oooo0`000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00<0oooo0000o`000?l010000?l00`3oool0003o0000o`040000o`030?ooo`000?l0003o00@0003o
00@0oooo0000o`000?l0oooo1P000?lC0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0?`3oool00680oooo00<0
00000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0o0?ooo`00E03oool2
000000`0oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`3o0?ooool0ooooZ@3oool0
0`000000oooo0?ooo`0o0?ooo`00D`3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0
oooo07<0oooo00<000000?ooo`3oool0o`3ooooo0?ooojT0oooo00<000000?ooo`3oool0?`3oool0
05<0oooo00@000000?ooo`3oool000002`3oool600000700oooo00<000000?ooo`3oool0o`3ooooo
0?oooj@0oooo1P0000110?ooo`00E03oool2000000`0oooo00<000000?ooo`3oool0LP3oool20000
0?l0ooooo`3ooon[0?ooo`030000003oool0oooo03l0oooo001C0?ooo`040000003oool0oooo0000
00/0oooo00<000000?ooo`3oool0LP3oool00`000000oooo0000003o0?ooool0ooooZP3oool00`00
0000oooo0?ooo`0o0?ooo`00E03oool2000000`0oooo00<000000?ooo`3oool0LP3oool00`000000
oooo0000003o0?ooool0ooooZP3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo
0?ooo`1b0?ooo`030000003oool000000?l0ooooo`3ooonZ0?ooo`030000003oool0oooo03l0oooo
001R0?ooo`030000003oool0oooo0780oooo00<000000?ooo`000000o`3ooooo0?ooojX0oooo00<0
00000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0LP3oool00`000000oooo0000003o
0?ooool0ooooZP3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`1a0?oo
o`040000003oool0oooo00000?l0ooooo`3ooonZ0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0740oooo00@000000?ooo`3oool00000o`3ooooo0?ooojX0oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0L@3oool010000000oooo0?ooo`00003o
0?oooiX0oooo00<000000?ooo`3oool0o`3oool=0?ooo`030000003oool0oooo03l0oooo001R0?oo
o`030000003oool0oooo0740oooo00D000000?ooo`3oool0oooo0000003o0?oooiT0oooo00<00000
0?ooo`3oool0o`3oool=0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo
0740oooo00D000000?ooo`3oool0oooo0000003o0?oooiT0oooo00<000000?ooo`3oool0o`3oool=
0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0700oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`3o0?oooiL0oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`3]0?ooo`030000003oool0oooo03l0oooo001R0?ooo`@00000K`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0?l0ooooU`3oool2000001d0oooo00<000000?ooo`3o
ool0jP3oool400000440oooo001R0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`3o0?oooiH0oooo00<000000?ooo`0000007@3oool00`000000oooo
0?ooo`3]0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo03d0oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0ooooUP3o
ool00`000000oooo0000000L0?ooo`800000k`3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`0m0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`3o0?oooe<0oooo00<000000?ooo`3oool0@03oool00`000000oooo0000000L
0?ooo`030000003oool000000>h0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?oo
o`3oool0?03oool200000380oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`160?oo
o`030000003oool0oooo0?l0oooo2@3oool00`000000oooo0?ooo`100?ooo`030000003oool00000
01`0oooo00<000000?ooo`000000kP3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000
oooo0?ooo`0l0?ooo`030000003oool000000300oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`150?ooo`800000_@3oool00`000000oooo0?ooo`190?ooo`800000@P3oool00`000000
oooo0000000L0?ooo`030000003oool000000>h0oooo00<000000?ooo`3oool0?`3oool00680oooo
00<000000?ooo`3oool0?03oool00`000000oooo0000000`0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0A03oool00`000000oooo0000002m0?ooo`030000003oool0oooo04T0oooo
00<000000?ooo`000000@@3oool010000000oooo0?ooo`00000J0?ooo`040000003oool0oooo0000
0>h0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0>`3oool010000000
oooo0?ooo`00000`0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0@`3oool01@00
0000oooo0?ooo`3oool000000;/0oooo00<000000?ooo`000000BP3oool00`000000oooo0000000T
0?ooo`030000003oool0oooo01X0oooo00@000000?ooo`3oool000006P3oool010000000oooo0?oo
o`00003^0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo03/0oooo00@0
00000?ooo`3oool00000<03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0480oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0000004T0oooo
00@000000?ooo`3oool000008`3oool2000001`0oooo00@000000?ooo`3oool000006P3oool01000
0000oooo0?ooo`00003^0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo
03/0oooo00D000000?ooo`3oool0oooo0000000_0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0@@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0;P0oooo00@00000
0?ooo`3oool00000B@3oool010000000oooo0?ooo`00000S0?ooo`8000006`3oool01@000000oooo
0?ooo`3oool0000001X0oooo00@000000?ooo`3oool00000kP3oool00`000000oooo0?ooo`0o0?oo
o`00HP3oool00`000000oooo0?ooo`0k0?ooo`050000003oool0oooo0?ooo`000000;P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0;03oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0V`3oool01@00
0000oooo0?ooo`3oool0000004P0oooo00@000000?ooo`3oool000008P3oool010000000oooo0?oo
o`00000J0?ooo`050000003oool0oooo0?ooo`0000006@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo04l0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`1A0?ooo`03
0000003oool0oooo02l0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
;P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
;03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
:`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
V`3oool01@000000oooo0?ooo`3oool0000004L0oooo00D000000?ooo`3oool0oooo0000000R0?oo
o`040000003oool0oooo000001X0oooo00D000000?ooo`3oool0oooo0000000I0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo0500oooo00<000000?ooo`000000<03oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`0^0?ooo`8000002P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo02`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`800000;03oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01T0oooo0P00002L0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo01h0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0000000C0?ooo`030000003oool000000540oooo00@0
00000?ooo`3oool00000;`3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool4000002`0oooo00<0
00000?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02/0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0000002/0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0000009/0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool07P3oool01@000000oooo0?ooo`3oool0000001X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`110?ooo`030000003oool0000001<0oooo00<000000?ooo`000000
D03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02T0oooo100000110?ooo`00HP3o
ool00`000000oooo0?ooo`0]0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
3P3oool010000000oooo0?ooo`00000Z0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool05`3oool010000000oooo0?ooo`0000280?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01P0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool02P3oool200000480oooo00@000000?ooo`3oool000004P3oool010000000oooo0?ooo`00
001>0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?oo
o`0o0?ooo`00HP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00X0oooo00D00000
0?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000
:P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool0
0000L03oool2000001H0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo04<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`03
0000003oool000000480oooo00@000000?ooo`3oool000004@3oool01@000000oooo0?ooo`3oool0
000004h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0[0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0Z0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03@3oool01@00
0000oooo0?ooo`3oool0000002X0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0F
0?ooo`050000003oool0oooo0?ooo`000000K03oool4000000030?ooo`000000oooo01@0oooo0P00
000A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`000000<`3oool00`000000oooo0?oo
o`0;0?ooo`050000003oool0oooo0?ooo`0000004@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo04X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`0000002`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03@3o
ool01@000000oooo0?ooo`3oool0000002T0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`0F0?ooo`050000003oool0oooo0?ooo`000000J@3oool3000000H0oooo00<000000?ooo`3o
ool04P3oool200000100oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`110?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`04
0000003oool0oooo00000380oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo03H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Y0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`00
00002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0>03oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool04@3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0@03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0203oool010000000oooo0?ooo`00000a0?ooo`030000003oool0000000`0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool03`3oool2000003L0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0X
0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01d0oooo00D000000?oo
o`3oool0oooo000000090?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0@0?ooo`040000003oool0oooo000000l0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0000000?0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0;P3o
ool00`000000oooo0000000<0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`000000=@3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0?`3o
ool00680oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3oool0000000T0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0>03oool2000002X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0@0?ooo`040000003oool0oooo000000h0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0>0?ooo`800000;`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`0000003P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool02`3oool00`000000oooo0000000;0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo
00@000000?ooo`3oool000007@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`070?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool07@3oool00`000000
oooo000000070?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool06@3oool3000001/0
oooo00<000000?ooo`000000:P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00h0
oooo00D000000?ooo`3oool0oooo0000000>0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02@3oool400000080oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00P0oooo00@000000?ooo`3oool000003@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo01l0oooo0P00000<0?ooo`050000003oool0oooo0?ooo`0000002P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0=0?ooo`040000003oool0oooo000001d0oooo0P00000E0?ooo`030000
003oool0oooo00d0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool0
703oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0903oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0D0?ooo`@000000`3oool4000000H0oooo1000000=0?ooo`040000003oool0oooo0000
02P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0>0?ooo`050000003oool0oooo
0?ooo`0000003@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo0P000006
0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`07
0?ooo`050000003oool0oooo0?ooo`000000303oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo01D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01d0oooo00@000000?ooo`3oool000002`3oool01@000000oooo0?ooo`3oool0000000X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000001`0oooo00@000000?oo
o`3oool000004`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02H0oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?oo
o`030000003oool0000000X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A0?oo
o`<000002`3oool6000000<0oooo00<000000?ooo`3oool02`3oool010000000oooo0?ooo`00000D
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=
0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0Z0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0L0?ooo`050000003o
ool0oooo0?ooo`0000002`3oool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3o
ool0oooo0P00000A0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0
oooo0P00000;0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000A0?oo
o`80000000<0oooo0000003oool0403oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool00`3oool2000000/0oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0E0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool04@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`0V0?ooo`030000003oool0oooo03l0oooo001R0?ooo`@00000403oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00d0oooo0P0000030?ooo`030000003oool0oooo00h0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0G0?ooo`030000003oool0000000d0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01T0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0280
oooo100000110?ooo`00HP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000001X0oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`000000303oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool08P3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo0P0000060?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0<0?ooo`050000003oool0oooo
0?ooo`0000003`3oool00`000000oooo0?ooo`0G0?ooo`040000003oool0oooo000000`0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0000000/0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3o
ool0000001X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0000000d0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0=0?ooo`800000303o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3o
ool300000140oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0000000/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo0140oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool0
1@000000oooo0?ooo`3oool0000001X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0;0?ooo`8000003@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01/0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool03@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00H0oooo0P00
000<0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool2000000d0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`070?ooo`030000003oool0000000T0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00h0oooo2000
000;0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0;0?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`0000002`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0000001`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool00`3oool200000080oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`0000002@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool02P3oool2000000H0oooo00<000000?ooo`3oool03P3oool2000000@0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`050000003oool0oooo0?ooo`0000002@3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo01D0oooo00@000000?ooo`3oool00000303oool00`000000oooo0000000L0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo00P0oooo0P00000@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool07@3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool010000000oooo0?oo
o`0000090?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool3000000H0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0@0?ooo`80000000<0oooo0000003oool0
2@3oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0T0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`0000003@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool05P3oool:000001<0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool05P3oool2000000H0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02D0oooo
0P0000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool010000000oooo
00000000000B0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool01@000000
oooo0?ooo`3oool000000100oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`000009
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3o
ool0000000D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00d0oooo0P0000030?ooo`030000003oool0oooo0180oooo0P00000:0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo0100oooo0P00000B0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0
oooo01H0oooo0P00000>0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool04`3oool0
0`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0D0?ooo`8000007@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0103oool2000001/0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0<03oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo00D000000?ooo`3oool0oooo0000
000A0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`020?ooo`8000000P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01D0oooo00D0
00000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
403oool300000240oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool0303oool4000001@0oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0[0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool04@3oool3000001l0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool07`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo
0000000A0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0703oool01@000000oooo
0?ooo`3oool0000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0a0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`0000004P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool3000000`0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool05P3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00P0oooo0`00000H0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo04D0oooo2@00000;0?ooo`03
0000003oool0oooo01h0oooo00@000000?ooo`3oool000004@3oool00`000000oooo0?ooo`070?oo
o`T000008P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool010000000oooo0?ooo`00000C0?ooo`050000003oool0oooo0?ooo`000000803o
ool3000000X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0b0?ooo`050000003o
ool0oooo0?ooo`0000008@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`0000004P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`0000002`3oool01@000000oooo0?ooo`3oool0000003L0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool03P3oool010000000oooo0?ooo`00000I0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`1=0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool07P3oool00`000000oooo0000000B0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0Q0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool2000001@0oooo00@000000?ooo`00
000000008`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0<P3oool010000000oooo0?ooo`00000S0?ooo`040000003oool0oooo000000d0oooo00<0
00000?ooo`3oool04@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo0P00
00060?ooo`030000003oool0oooo01T0oooo00<000000?ooo`0000002`3oool01@000000oooo0?oo
o`3oool0000003L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0403oool00`000000oooo0000000I0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0o0?ooo`00HP3o
ool00`000000oooo0?ooo`1>0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07P3o
ool2000001<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0Z0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0280oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`0000008`3oool010000000oooo0?ooo`00000=0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0=0?ooo`800000
103oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool0
0000>03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0@0?ooo`8000006P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
CP3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0280oooo00@000000?ooo`3oool0
00008P3oool01@000000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`0000006@3oool010000000oooo0?ooo`00
000B0?ooo`80000000<0oooo0000003oool0703oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0000003T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0I0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool4
000004h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo05X0oooo00@000000?ooo`3oool000008P3oool01@000000oooo0?ooo`3oool0000000L0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`00
00006@3oool010000000oooo0?ooo`00000D0?ooo`030000003oool0oooo02X0oooo00<000000?oo
o`000000>@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool05`3oool400000440oooo001R0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0;03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0DP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05X0oooo00<000000?ooo`00
00008`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`050000003oool0oooo0?ooo`0000006@3oool010000000oooo0?ooo`00
00110?ooo`030000003oool0000003T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`070?ooo`050000003oool0oooo0?ooo`000000<03oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo01X0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0^0?ooo`050000003oool0oooo0?ooo`000000603oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1C0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0FP3oool00`000000oooo
0000000S0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`040000003oool0oooo000001X0oooo00@000000?ooo`3oool00000@P3oool0
0`000000oooo0?ooo`0h0?ooo`050000003oool0oooo0?ooo`0000002P3oool01@000000oooo0?oo
o`3oool000000300oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0K0?ooo`030000
003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0f0?ooo`050000003oool0oooo0?ooo`000000<@3oool01@000000oooo
0?ooo`3oool0000001T0oooo00D000000?ooo`3oool0oooo0000000W0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
05/0oooo0P00000S0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`090?ooo`040000003oool0oooo000001X0oooo00<000000?ooo`000000@`3o
ool00`000000oooo0?ooo`0i0?ooo`040000003oool0oooo000000X0oooo00D000000?ooo`3oool0
oooo0000000a0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0=`3oool01@000000oooo0?ooo`3oool000000340oooo00@000000?ooo`3o
ool000006P3oool01@000000oooo0?ooo`3oool0000002P0oooo00D000000?ooo`3oool0oooo0000
001E0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0000000/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`800000
6`3oool00`000000oooo0000001o0?ooo`030000003oool0000000`0oooo00<000000?ooo`000000
<P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
?`3oool00680oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo03L0oooo00@000000?ooo`3oool00000<P3oool010000000oooo0?ooo`00000J0?ooo`04
0000003oool0oooo000002T0oooo00D000000?ooo`3oool0oooo0000001E0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0S0?ooo`8000002`3oool0
1@000000oooo0?ooo`3oool0000000d0oooo0P00000K0?ooo`030000003oool0000007l0oooo00<0
00000?ooo`000000303oool00`000000oooo0000000b0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`1B
0?ooo`050000003oool0oooo0?ooo`000000>P3oool2000003<0oooo00@000000?ooo`3oool00000
6P3oool010000000oooo0?ooo`00000Y0?ooo`040000003oool0oooo000005H0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`220?ooo`030000003oool0oooo00X0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`030000003oool0oooo01/0oooo0P00001o0?ooo`030000003oool0
000000`0oooo00<000000?ooo`000000<P3oool01@000000oooo0?ooo`3oool0000001l0oooo00<0
00000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0DP3oool010000000oooo0?ooo`00
000k0?ooo`800000<`3oool00`000000oooo0000000K0?ooo`030000003oool0000002/0oooo00<0
00000?ooo`000000EP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0880oooo00<0
00000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
<P3oool010000000oooo0?ooo`00000O0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000
003oool0oooo05<0oooo00<000000?ooo`000000>`3oool00`000000oooo0?ooo`0c0?ooo`800000
703oool2000002/0oooo00<000000?ooo`000000EP3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0900oooo00@000000?ooo`3oool00000:`3oool00`000000oooo0?ooo`1o0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool0<P3oool010000000oooo0?ooo`00000O0?oo
o`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo05<0oooo0P00001b0?ooo`03
0000003oool0oooo01/0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0000001G0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0T@3oool010000000oooo0?ooo`00000[0?oo
o`030000003oool0oooo0<<0oooo00<000000?ooo`000000803oool00`000000oooo0?ooo`0o0?oo
o`00D`3oool3000000`0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`1`0?ooo`03
0000003oool0oooo01/0oooo00<000000?ooo`3oool0:P3oool2000005P0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`2A0?ooo`040000003oool0oooo00000?40oooo00<000000?oo
o`000000803oool00`000000oooo0?ooo`0o0?ooo`00E@3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0?l0oooo503oool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0TP3oool00`000000oooo0000003b0?ooo`030000003oool0oooo01l0
oooo00<000000?ooo`3oool0?`3oool005@0oooo0`00000;0?ooo`H00000o`3ooolA0?ooo`030000
003oool0oooo05H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2B0?ooo`800000
l`3oool00`000000oooo0?ooo`0J0?ooo`H00000@@3oool005<0oooo00@000000?ooo`3oool00000
2`3oool00`000000oooo0?ooo`3o0?ooofd0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`2B0?ooo`800000o`3ooolF0?ooo`030000003oool0oooo03l0oooo001C0?ooo`040000003o
ool0oooo000000/0oooo00<000000?ooo`3oool0o`3ooom]0?ooo`050000003oool0oooo0?ooo`00
0000U@3oool200000?l0oooo5P3oool00`000000oooo0?ooo`0o0?ooo`00E03oool3000000/0oooo
00<000000?ooo`3oool0o`3ooom]0?ooo`050000003oool0oooo0?ooo`000000UP3oool00`000000
oooo0?ooo`3o0?oooa@0oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0
o`3ooom]0?ooo`050000003oool0oooo0?ooo`000000UP3oool00`000000oooo0?ooo`3o0?oooa@0
oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooom^0?ooo`040000
003oool0oooo00000?l0oooo[@3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo
0?ooo`3o0?ooofh0oooo00@000000?ooo`3oool00000o`3ooon]0?ooo`030000003oool0oooo03l0
oooo001R0?ooo`030000003oool0oooo0?l0ooooKP3oool010000000oooo0?ooo`00003o0?ooojd0
oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooom^0?ooo`030000
003oool000000?l0oooo[P3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?oo
o`3o0?ooofh0oooo00<000000?ooo`000000o`3ooon^0?ooo`030000003oool0oooo03l0oooo001R
0?ooo`030000003oool0oooo0?l0ooooKP3oool00`000000oooo0000003o0?ooojh0oooo00<00000
0?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooom^0?ooo`030000003oool00000
0?l0oooo[P3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooofl0
oooo0P00003o0?ooojh0oooo00<000000?ooo`3oool0?`3oool00680oooo1000003o0?ooofh0oooo
00<000000?ooo`3oool0o`3ooonZ0?ooo`@00000@@3oool00680oooo00<000000?ooo`3oool0o`3o
oom_0?ooo`030000003oool0oooo0?l0oooo[@3oool00`000000oooo0?ooo`0o0?ooo`00HP3oool0
0`000000oooo0?ooo`3o0?ooofl0oooo00<000000?ooo`3oool0o`3ooon]0?ooo`030000003oool0
oooo03l0oooo001R0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?oo
o`3oool0?`3oool00680oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000
oooo0?ooo`0o0?ooo`00HP3oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000
003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0U@3o
ool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool0U@3o
ool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0?`3o
ool00680oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`2E0?ooo`030000003oool0
oooo09D0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0
oooo09H0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0o0?ooo`00HP3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo03l0oooo001R0?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool0?`3oool00680oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`0o0?ooo`00HP3ooooo00000?l00000o`00000T00000440oooo003o0?ooool0ooooo`3oooo7
0?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0oooo
o`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?oo
ool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo
003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?oo
olL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0oooo[03o
ool7000000<0oooo0P0000020?ooo`@00000103oool3000000D0oooo1P0000040?ooo`L000001@3o
ool3000000030?ooo`000000000000@0oooo0`0000070?ooo`<0000000<0oooo000000000000103o
ool4000000@0oooo0P0000020?ooo`@000000`3oool4000000030?ooo`000000000000@0oooo1000
00060?ooo`<0000000<0oooo000000000000103oool4000000D0oooo1@00003o0?ooohP0oooo003o
0?ooojl0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000D0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?ooo`800000103oool01@000000
oooo0?ooo`3oool0000000D0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooon90?ooo`00o`3ooon_0?ooo`030000003o
ool0oooo00D0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`050000003oool0oooo0?oo
o`0000001@3oool01@000000oooo0?ooo`3oool0000000X0oooo00@000000?ooo`3oool000001@3o
ool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000oooo
0?ooo`030?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000oooo0?ooo`3o0?ooohT0
oooo003o0?ooojl0oooo00<000000?ooo`3oool01@3oool3000000H0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`020?ooo`D000001`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`050000003oool0oooo0?oo
o`0000001@3oool010000000oooo0?ooo`3oool7000000@0oooo0`0000070?ooo`H000000`3oool7
000000<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool7000000D0oooo00<0
00000?ooo`3oool0o`3ooon90?ooo`00o`3ooon_0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`0000001P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000303o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo
000000050?ooo`050000003oool0oooo0?ooo`0000001@3oool01@000000oooo0?ooo`3oool00000
00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000<0?ooo`050000003oool0oooo
0?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000D0oooo00D000000?ooo`3oool0oooo
000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooon90?ooo`00o`3o
oon_0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000001P3oool01@000000oooo
0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<000000?ooo`3o
ool01@3oool010000000oooo0?ooo`3oool2000000@0oooo00D000000?ooo`3oool0oooo00000005
0?ooo`040000003oool0oooo0?ooo`800000103oool01@000000oooo0?ooo`3oool0000000D0oooo
00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000050?ooo`040000003oool0oooo0?ooo`800000103oool0
1@000000oooo0?ooo`3oool0000000H0oooo0`00003o0?ooohT0oooo003o0?ooojl0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`03000000D0oooo0`0000060?ooo`@0000000<0oooo
0000003oool00`3oool3000000P0oooo0`0000000`3oool000000?ooo`040?ooo`<000001`3oool3
000000030?ooo`000000oooo00@0oooo0`0000060?ooo`030000003oool0oooo00<000001@3oool4
000000H0oooo0`0000070?ooo`<0000000<0oooo0000003oool0103oool3000000H0oooo0P000002
0?ooo`<00000o`3ooon60?ooo`00o`3ooon_0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`3o0?oooiT0oooo003o0?oooj`0oooo1`0000040?ooo`03
0000003oool0oooo02X0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo0200oooo00<000000?ooo`3oool0o`3ooonI0?ooo`00o`3ooonf0?ooo`800000
7`3oool00`000000oooo0?ooo`090?ooo`8000004P3oool2000000d0oooo0P00000Q0?ooo`800000
o`3ooonK0?ooo`00o`3ooooG0?ooo`030000003oool0oooo0?l0ooook03oool00?l0ooooo`3ooooo
0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0oooo
o`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool0
0?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0oooo
a`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00\
\>"],
  ImageRangeCache->{{{0, 963}, {481, 0}} -> {-1.0511, -0.525006, 0.00218298, \
0.00218298}, {{23.375, 939.563}, {469.5, 11.4375}} -> {-15.3686, 2.30552, \
0.131212, 0.0159103}, {{124.188, 261.563}, {416.813, 279.438}} -> {-3.1375, \
-2.82875, 0.0244588, 0.0425118}, {{131.5, 172.375}, {412.563, 389}} -> \
{-12.8967, -6.80909, 0.0848815, 0.0848815}, {{131.5, 172.375}, {385.25, \
361.75}} -> {-12.931, -9.14903, 0.0851072, 0.0851072}, {{131.5, 172.375}, \
{358, 334.438}} -> {-12.8967, -11.4404, 0.0848815, 0.0848815}, {{131.5, \
172.375}, {330.688, 307.188}} -> {-12.931, -13.7927, 0.0851072, 0.0851072}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 32, 0, 53, "Section"],
Cell[1774, 53, 50, 1, 30, "Input"],
Cell[1827, 56, 51, 0, 33, "Text"],
Cell[1881, 58, 150, 4, 30, "Input"],
Cell[2034, 64, 53, 0, 33, "Text"],
Cell[2090, 66, 156, 4, 30, "Input"],
Cell[2249, 72, 53, 0, 33, "Text"],
Cell[2305, 74, 147, 4, 30, "Input"],
Cell[2455, 80, 63, 0, 33, "Text"],
Cell[2521, 82, 176, 4, 30, "Input"],
Cell[2700, 88, 61, 0, 33, "Text"],
Cell[2764, 90, 1054, 31, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3855, 126, 65, 0, 69, "Title"],

Cell[CellGroupData[{
Cell[3945, 130, 31, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[4001, 134, 36, 0, 47, "Subsection"],
Cell[4040, 136, 69, 0, 33, "Text"],
Cell[4112, 138, 413, 10, 70, "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4574, 154, 32, 0, 33, "Section"],
Cell[4609, 156, 174, 4, 52, "Text"],
Cell[4786, 162, 4416, 98, 270, "Input"],
Cell[9205, 262, 83, 1, 33, "Text"],
Cell[9291, 265, 3307, 66, 230, "Input"],
Cell[12601, 333, 83, 1, 33, "Text"],
Cell[12687, 336, 1977, 44, 170, "Input"],
Cell[14667, 382, 245, 5, 52, "Text"],
Cell[14915, 389, 2423, 56, 190, "Input"],
Cell[17341, 447, 62, 0, 33, "Text"],
Cell[17406, 449, 1118, 22, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18561, 476, 40, 0, 33, "Section"],
Cell[18604, 478, 171, 4, 52, "Text"],
Cell[18778, 484, 1145, 23, 250, "Input"],
Cell[19926, 509, 134, 3, 52, "Text"],
Cell[20063, 514, 732, 16, 170, "Input"],
Cell[20798, 532, 171, 4, 52, "Text"],
Cell[20972, 538, 468, 11, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21477, 554, 54, 0, 33, "Section"],
Cell[21534, 556, 98, 2, 33, "Text"],
Cell[21635, 560, 357, 5, 51, "Text"],
Cell[21995, 567, 170, 3, 33, "Text"],
Cell[22168, 572, 767, 15, 130, "Input"],
Cell[22938, 589, 142, 3, 52, "Text"],
Cell[23083, 594, 614, 13, 130, "Input"],
Cell[23700, 609, 186, 4, 52, "Text"],
Cell[23889, 615, 596, 13, 130, "Input"],
Cell[24488, 630, 128, 3, 52, "Text"],
Cell[24619, 635, 507, 12, 110, "Input"],
Cell[25129, 649, 236, 4, 52, "Text"],
Cell[25368, 655, 1006, 20, 210, "Input"],
Cell[26377, 677, 335, 6, 52, "Text"],
Cell[26715, 685, 893, 18, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[27645, 708, 46, 0, 33, "Section"],
Cell[27694, 710, 246, 6, 52, "Text"],
Cell[27943, 718, 1106, 23, 250, "Input"],
Cell[29052, 743, 251, 6, 52, "Text"],
Cell[29306, 751, 713, 15, 130, "Input"],
Cell[30022, 768, 239, 5, 52, "Text"],
Cell[30264, 775, 4347, 86, 390, "Input"],
Cell[34614, 863, 211, 5, 52, "Text"],
Cell[34828, 870, 11602, 213, 810, "Input"],
Cell[46433, 1085, 293, 4, 52, "Text"],
Cell[46729, 1091, 869, 19, 170, "Input"],
Cell[47601, 1112, 387, 10, 52, "Text"],
Cell[47991, 1124, 716, 15, 130, "Input"],
Cell[48710, 1141, 216, 4, 52, "Text"],
Cell[48929, 1147, 986, 21, 210, "Input"],
Cell[49918, 1170, 229, 5, 52, "Text"],
Cell[50150, 1177, 1269, 25, 270, "Input"],
Cell[51422, 1204, 182, 4, 52, "Text"],
Cell[51607, 1210, 922, 19, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[52566, 1234, 31, 0, 33, "Section"],
Cell[52600, 1236, 69, 0, 33, "Text"],
Cell[52672, 1238, 346, 9, 70, "Input"],
Cell[53021, 1249, 400, 8, 52, "Text"],
Cell[53424, 1259, 126, 2, 44, "Text"],
Cell[53553, 1263, 649, 14, 110, "Input"],
Cell[54205, 1279, 139, 3, 33, "Text"],
Cell[54347, 1284, 206, 4, 32, "Text"],
Cell[54556, 1290, 1034, 20, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[55627, 1315, 37, 0, 33, "Section"],
Cell[55667, 1317, 86, 1, 33, "Text"],
Cell[55756, 1320, 738, 15, 190, "Input"],
Cell[56497, 1337, 108, 3, 33, "Text"],
Cell[56608, 1342, 689, 14, 130, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[57334, 1361, 44, 0, 33, "Section"],
Cell[57381, 1363, 317, 6, 52, "Text"],
Cell[57701, 1371, 8252, 173, 670, "Input"],
Cell[65956, 1546, 151, 4, 52, "Text"],
Cell[66110, 1552, 126, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[66273, 1559, 121, 1, 33, "Section"],
Cell[66397, 1562, 274, 6, 71, "Text"],
Cell[66674, 1570, 5920, 115, 915, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[72631, 1690, 44, 0, 33, "Section"],
Cell[72678, 1692, 195, 5, 52, "Text"],
Cell[72876, 1699, 2083, 45, 250, "Input"],
Cell[74962, 1746, 171, 3, 33, "Text"],
Cell[75136, 1751, 715, 14, 110, "Input"],
Cell[75854, 1767, 524, 12, 204, "Text"],
Cell[76381, 1781, 74783, 1409, 3890, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[151201, 3195, 134, 2, 33, "Section"],
Cell[151338, 3199, 342, 6, 52, "Text"],
Cell[151683, 3207, 1262, 27, 250, "Input"],
Cell[152948, 3236, 403, 7, 71, "Text"],
Cell[153354, 3245, 1394, 29, 250, "Input"],
Cell[154751, 3276, 333, 6, 71, "Text"],
Cell[155087, 3284, 9012, 174, 1235, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164136, 3463, 38, 0, 33, "Section"],
Cell[164177, 3465, 374, 7, 52, "Text"],
Cell[164554, 3474, 1782, 33, 330, "Input"],
Cell[166339, 3509, 127, 3, 33, "Text"],
Cell[166469, 3514, 1870, 37, 390, "Input"],
Cell[168342, 3553, 362, 7, 52, "Text"],
Cell[168707, 3562, 1088, 21, 210, "Input"],
Cell[169798, 3585, 114, 3, 33, "Text"],
Cell[169915, 3590, 642, 13, 130, "Input"],
Cell[170560, 3605, 403, 10, 128, "Text"],
Cell[170966, 3617, 898, 18, 130, "Input"],
Cell[171867, 3637, 149, 3, 33, "Text"],
Cell[172019, 3642, 1066, 24, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[173122, 3671, 34, 0, 33, "Section"],
Cell[173159, 3673, 92, 2, 33, "Text"],
Cell[173254, 3677, 674, 14, 110, "Input"],
Cell[173931, 3693, 934, 18, 230, "Input"],
Cell[174868, 3713, 346, 6, 90, "Input"],
Cell[175217, 3721, 388, 7, 90, "Input"],
Cell[175608, 3730, 824, 16, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[176469, 3751, 32, 0, 33, "Section"],
Cell[176504, 3753, 595, 13, 204, "Text"],
Cell[177102, 3768, 16026, 333, 2070, "Input"],
Cell[193131, 4103, 174, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[193330, 4110, 7940, 163, 975, "Input"],
Cell[201273, 4275, 125475, 2726, 490, 24380, 1474, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

