(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    375914,       7621]*)
(*NotebookOutlinePosition[    376568,       7644]*)
(*  CellTagsIndexPosition[    376524,       7640]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Einstellungen", "Section"],

Cell[BoxData[
    \(\(<< Graphics`;\)\)], "Input"],

Cell["Hier wird die Testausgabe geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(test\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]], "Input"],

Cell["Hier wird Laden / Speichern geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(saveOrLoad\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["Hier wird die Statusanzeige geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(status = True;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Hinweisen formatiert.", "Text"],

Cell[BoxData[
    StyleBox[\(NoPr[text_]\  := \ If[status, Print[text]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Fehlern formatiert.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox[\(ErPr[text_]\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[":=",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[\(If[status, StylePrint[text, FontColor \[Rule] Red], 
            FontWeight -> "\<Bold\>"]\),
          FontFamily->"Courier New",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[";",
        FontFamily->"Courier New",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 1, 0]]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Diplomarbeit \"Dynamik klassischer Spinsysteme\"", "Title"],

Cell[CellGroupData[{

Cell["Definitionen", "Section"],

Cell[CellGroupData[{

Cell["Spin-Variablen", "Subsection"],

Cell["An dieser Stelle werden die Spin-Variablen definiert.", "Text"],

Cell[BoxData[{
    RowBox[{\(s[\[Mu]_] = Table[\(s[\[Mu], i]\)[t], {i, 1, 3}];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, MatrixForm[s[1]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hilfsmethoden", "Section"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordnete) Knotenmenge \"vertices\" \
des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getVertices[tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({temp, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(vertices\  = \ {}\), ";", "\[IndentingNewLine]", 
                RowBox[{
                  StyleBox["(*",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  RowBox[{
                    
                    StyleBox[\(Flatten\  \[Rule] \ 
                        Mengenklammern\ werden\ gestrichen\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Sort\  \[Rule] \ 
                        Knoten\ werden\ aufsteigend\ sortiert\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Split\  \[Rule] \ 
                        Doppelte\ Knoten\ werden\ in\ Mengen\ zusammengefasst\
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    "  ", 
                    
                    StyleBox[\(Union\  -> \ 
                        Mengen\ werden\ \(\(vereinigt\)\(.\)\)\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox["*)",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]]}], 
                "\[IndentingNewLine]", \(temp\  = \ 
                  Split[\ Sort[\ Flatten[tree]]\ ]\), ";", 
                "\[IndentingNewLine]", \(For[i = \ 1, \ 
                  i\  \[LessEqual] \ 
                    Length[temp], \ \(i++\), \[IndentingNewLine]\(vertices\  \
= \ Union[\ vertices, \ temp[\([i]\)]\ ];\)\[IndentingNewLine]]\), ";", 
                "\[IndentingNewLine]", "vertices"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getVertices[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexmengen.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexSets[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  RowBox[{\(Depth[M]\  \[NotEqual] \ 3\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: Not a set of sets.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[M]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[vertices]\  && \ 
                      result\), ",", " ", \(i++\), ",", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(! IntegerQ[vertices[\([i]\)]]\), ",", " ", 
                          RowBox[{\(result\  = False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";", "\[IndentingNewLine]", 
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(vertices[\([i]\)]\  < \ 1\), ",", " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of positive \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexSets[{{1, 2, 3}, {4, 5}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexpaaren.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexPairs[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{
                RowBox[{"result", " ", "=", " ", 
                  StyleBox[\(verifyIndexSets[M]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M]\), ",", \(i++\), ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", 
                        
                        RowBox[{\(Length[M[\([i]\)]]\  \[NotEqual] \ 2\), ",",
                           " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of pairs.\>"]\
\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexPairs[{{1, 2}, {3, 4}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Graphen-Kopplungsmatrix \"J\":
\[CapitalUDoubleDot]bergeben wird die Zeilen- / Spaltenzahl \"n\" von \
\"J\",die Menge \"H\" der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \
\"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getJ[n_, H_, strength_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({vertices, \[Mu], \[Nu], i}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{
                StyleBox[\(verifyIndexPairs[H]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[H]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[vertices]\  > \ n\), ",", 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, n}]\  \[NotEqual] \ vertices\), 
                    ",", " ", 
                    RowBox[{
                      
                      StyleBox[\(NoPr["\<Notice: System is not connected.\>"]\
\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], ";"}]}], " ", "]"}], 
                ";", "\[IndentingNewLine]", \(J\  = \ 
                  Table[If[
                      MemberQ[H, {\[Mu], \[Nu]}] || 
                        MemberQ[H, {\[Nu], \[Mu]}], strength, 0], {\[Mu], 1, 
                      n}, {\[Nu], 1, n}]\), ";", " ", "\[IndentingNewLine]", 
                "J"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, getJ[2, {{1, 2}}, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode zeigt den Staus der Rechnung an.", "Text"],

Cell[BoxData[{
    RowBox[{\(showProgress[i_, imax_, t0_]\  := \ 
          Module[{percentage, t, h, m, 
              s}, \[IndentingNewLine]percentage\  = \ 
              i/imax\ *100; \[IndentingNewLine]t\  = \ \((AbsoluteTime[]\  - \
\ t0)\); \[IndentingNewLine]h\  = \ 
              IntegerPart[\ t/3600]; \[IndentingNewLine]m\  = 
              IntegerPart[\((t\  - \ 3600\ \ h)\)/
                  60]; \[IndentingNewLine]s\  = \ 
              IntegerPart[t\  - \ 3600\ h\  - \ 60\ m]; \[IndentingNewLine]If[
              Mod[percentage, 10]\  \[Equal] \ 0, 
              Print[ToString[percentage]\  <> \ "\<% , \>"\  <> 
                  ToString[h]\  <> \ "\<:\>"\  <> \ 
                  ToString[m]\  <> \ "\<:\>"\  <> \ 
                  ToString[s]]];\[IndentingNewLine]];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, showProgress[10, 100, AbsoluteTime[] - 5430]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Phasenraum-Funktionen", "Section"],

Cell["\<\
Diese Methode liefert die Gesamtenergie \"energy\":
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und eine \
Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalEnergy[J_, M_]\  := \ 
          Module[{energy, i, 
              j, \[Mu], \[Nu]}, \[IndentingNewLine]energy\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\[Mu]\  = \ 
                M[\([i]\)]; \[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  Length[M], \ \(j++\), \[IndentingNewLine]\[Nu]\  = \ 
                  M[\([j]\)]; \[IndentingNewLine]energy\ \  = \ 
                  energy\  + \ 
                    J[\([\[Mu], \[Nu]]\)]\ *\ \((s[\[Mu]]\  . \ 
                          s[\[Nu]])\);\[IndentingNewLine]];\[IndentingNewLine]\
]; \[IndentingNewLine]1/2\ *\ energy];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, \ 
        getTotalEnergy[{{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert den Gesamtspin \"spin\":
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpin[M_]\  := \ 
          Module[{spin, i}, \[IndentingNewLine]spin\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\(spin\  = \ 
                  spin\  + \ 
                    s[\ M[\([i]\)]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]spin];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpin[{1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die \"i\"-te Komponente des Gesamtspins:
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge und die Komponente \
\"i\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpinComponent[M_, 
            i_]\  := \ \(getTotalSpin[M]\)[\([i]\)];\), "\[IndentingNewLine]",
       
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpinComponent[{1, 2, 3}, 3]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerische \"Standard\"-Integration", "Section"],

Cell["\<\
Diese Methode liefert die Hamiltonschen Bewegungsgleichungen\"equations\".\
\>", "Text"],

Cell[BoxData[
    \(H\  = \ \(\[Sum]\+\(\[Mu]\  < \ \[Nu]\)J\_\[Mu]\[Nu]\ s\_\[Mu]*
            s\_\[Nu]\ und\ \(s\& . \)\_\[Mu]\  = \ \(\[PartialD]\ H\/\
\[PartialD]\ s\_\(\_\[Mu]\)\ x\ s\_\[Mu]\ \  \[Rule] \ \(s\& . \)\_\[Mu]\  = \
\ \[Sum]\+\(\[Mu]\  < \ \[Nu]\)\(\(J\_\[Mu]\[Nu]\)\(\ \)\(s\_\[Nu]\)\(\ \)\(x\
\)\(\ \)\(s\_\[Mu]\)\(\ \)\)\)\)\)], "Text"],

Cell["\<\
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getEquations[n_, H_, strength_]\  := \ 
          Module[{J, \[Mu], \[Nu], i}, \[IndentingNewLine]J\  = \ 
              getJ[n, H, strength]; \[IndentingNewLine]equations\  = \ 
              Table[\(s[\[Mu], i]'\)[t] == \ 
                  Sum[J[\([\[Mu], \[Nu]]\)]\ *\ \(Cross[s[\[Nu]], 
                          s[\[Mu]]]\)[\([i]\)], {\[Nu], 1, n}], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]equations];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getEquations[2, {{1, 2}}, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Anfangsbedingungen \"init\":
\[CapitalUDoubleDot]bergeben wird die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInit[v_]\  := \ 
          Module[{n, init, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]init = 
              Table[\(s[\[Mu], i]\)[0] \[Equal] v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]init];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getInit[{{0, 0, 1}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert das DGl-System:
\[CapitalUDoubleDot]bergeben werden die Hamiltonschen Bewegungsgleichungen \
\"equations\" und die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSystem[equations_, v_]\  := \ 
          Module[{init, system}, \[IndentingNewLine]init\  = 
              getInit[v]; \[IndentingNewLine]system\  = 
              Join[init, equations]; \[IndentingNewLine]system];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, 
        getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Variablen \"var\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getVar[n_]\  := \ 
          Module[{var, \[Mu]}, \[IndentingNewLine]var\  = \ 
              Table[s[\[Mu]], {\[Mu], 1, n}]; \[IndentingNewLine]var];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getVar[2]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die L\[ODoubleDot]sung \"solution\"des DGl-Systems:
\[CapitalUDoubleDot]bergeben wird das DGl-System \"system\", die Variablen \
\"var\" und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSolution[system_, var_, T_, stepSize_]\  := \ 
          Module[{solution}, \[IndentingNewLine]solution\  = 
              NDSolve[Flatten[system], 
                Flatten[var], {t, 0, T}, \[IndentingNewLine]Method \[Rule] 
                  RungeKutta, \[IndentingNewLine]MaxStepSize \[Rule] 
                  stepSize, \[IndentingNewLine]StartingStepSize \[Rule] \ 
                  stepSize, \[IndentingNewLine]MaxSteps \[Rule] 
                  Infinity\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              solution]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getSolution[
          getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}], 
          getVar[2], 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die numerische \"Standard\"-Integration \
durch:
\[CapitalUDoubleDot]bergeben werden die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare, die Kopplungsst\[ADoubleDot]rke \"strength\", die Menge \
\"v\" von Vektoren und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(integrateStandard[n_, H_, strength_, v_, T_, stepSize_]\  := \ 
          Module[{equations, system, var, 
              solution}, \[IndentingNewLine]equations\  = \ 
              getEquations[n, H, strength]; \[IndentingNewLine]system\  = \ 
              getSystem[equations, v]; \[IndentingNewLine]var\  = \ 
              getVar[n]; \[IndentingNewLine]solution = \ 
              getSolution[system, var, T, 
                stepSize]; \[IndentingNewLine]solution];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        integrateStandard[2, {{1, 2}}, 1, {{1, 0, 0}, {0, 1, 0}}, 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Konstruktionsbaum und -pfad", "Section"],

Cell[TextData[{
  "Diese Methoden vergleicht zwei Mengen nach der L\[ADoubleDot]nge ",
  StyleBox["und",
    FontWeight->"Bold"],
  " der Reihenfolge der Elemente:\n\[CapitalUDoubleDot]bergeben werden zwei \
Mengen \"M1\" und \"M2\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(lengthSort[M1_, M2_]\  := \ 
          Module[{result}, \[IndentingNewLine]If[
              Length[M1]\  < \ Length[M2], \ 
              result\  = \ True]; \[IndentingNewLine]If[
              Length[M1]\  > \ Length[M2], \ 
              result\  = \ False]; \[IndentingNewLine]If[
              Length[M1]\  \[Equal] \ 
                Length[M2], \[IndentingNewLine]result\  = \ 
                False; \[IndentingNewLine]For[i\  = \ 1, 
                i\  \[LessEqual] \ 
                    Length[M1]\  && \ \(! result\), \(i++\), \
\[IndentingNewLine]\(If[M1[\([i]\)]\  < \ M2[\([i]\)], \ 
                    result\  = \ 
                      True];\)\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]result];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, lengthSort[{1, 2}, {3, 4, 5}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode sortiert die Knotenmengen des Baumes \"tree\". Dies ist ",
  StyleBox["nur",
    FontWeight->"Bold"],
  " f\[UDoubleDot]r die Testmethoden notwendig.\n\[CapitalUDoubleDot]bergeben \
wird der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedTree[tree_]\  := \ 
          Module[{sortedTree, i}, \[IndentingNewLine]sortedTree\  = \ 
              Table[Sort[tree[\([i]\)]], {i, 1, 
                  Length[tree]}]; \[IndentingNewLine]sortedTree\  = \ 
              Sort[sortedTree, 
                lengthSort[#1, #2] &]; \[IndentingNewLine]sortedTree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, getSortedTree[{{2, 1}, {3, 2, 1}, {1}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die gleichf\[ODoubleDot]rmige \
Kopplung von zwei Teilmengen:
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und die \
Index-Teilmengen \"M1\" und \"M2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyUniformCoupling[J_, M1_, M2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, c, i, j, \[Mu], \[Nu]}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Intersection[M1, M2]\  \[NotEqual] \ {}\), ",", 
                    " ", "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: Not disjoint: \>"\  <> \ 
                            ToString[M1]\  <> \ "\< and \>"\  <> \ 
                            ToString[M2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[M1, M2]\  > \ Length[J]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      
                      StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(\[Mu]\  = \ M1[\([1]\)]\), ";", 
                "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([1]\)]\), " ", ";", 
                "\[IndentingNewLine]", \(c\  = \ J[\([\[Mu], \[Nu]]\)]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M1]\  && \ result\), ",",
                     " ", \(i++\), ",", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(j\  = \ 1\), 
                        ",", \(j\  \[LessEqual] \ Length[M2]\  && \ result\), 
                        ",", " ", \(j++\), ",", "\[IndentingNewLine]", 
                        
                        RowBox[{\(\[Mu]\  = \ M1[\([i]\)]\), ";", 
                          "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([j]\)]\), 
                          ";", "\[IndentingNewLine]", 
                          RowBox[{"If", "[", " ", 
                            
                            RowBox[{\(J[\([\[Mu], \[Nu]]\)]\  \[NotEqual] \ 
                                c\), ",", 
                              RowBox[{\(result\  = \ False\), ";", " ", 
                                
                                StyleBox[\(ErPr["\<Error: No uniform \
coupling: \>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]], 
                                StyleBox[";",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "]"}], ";", "\[IndentingNewLine]", "result"}]}], "]"}]}], 
        ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyUniformCoupling[{{0, 1, 0}, {1, 0, 1}, {0, 1, 0}}, {1, 
            3}, {2}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die Eigenschaften des \
(Teil)baumes \"tree\":
\[CapitalUDoubleDot]bergeben werden die Kopplungsmatrix \"J\" und der \
(Teil)baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyTree[tree_, J_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({sortedTree, result, vertices, decomposition, M1, M2, 
                M3, i, j, k}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Index - \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ verifyIndexSets[tree]\), ";", 
                "\[IndentingNewLine]", \(sortedTree\  = \ 
                  getSortedTree[tree]\), ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Leere\ \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(MemberQ[sortedTree, {}]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", " ", 
                      StyleBox[\(ErPr["\<Error: Empty set found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ \(Wurzel\)\(\ \)\(?\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ 
                  getVertices[sortedTree]\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(! MemberQ[sortedTree, vertices]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: No radix found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, Length[J]}]\  \[NotEqual] \ 
                      vertices\), ",", " ", 
                    StyleBox[\(ErPr["\<Notice: Subtree.\>"\ ];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", 
                    " ", \(i \[LessEqual] \ Length[sortedTree]\  && \ 
                      result\), ",", " ", \(i++\), ",", "\[IndentingNewLine]",
                     
                    
                    RowBox[{\(M1\  = \ sortedTree[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(decomposition\  = \ False\), 
                      ";", "\[IndentingNewLine]", \(If[\ 
                        Length[M1]\  \[Equal] \ 1, \ 
                        decomposition\  = \ True]\), ";", 
                      "\[IndentingNewLine]", 
                      RowBox[{"For", "[", 
                        
                        RowBox[{\(j\  = \ 1\), ",", 
                          " ", \(j\  \[LessEqual] \ Length[sortedTree]\  && \ 
                            result\), ",", " ", \(j++\), ",", 
                          StyleBox["\[IndentingNewLine]",
                            FontColor->GrayLevel[0]], 
                          RowBox[{"If", "[", " ", 
                            RowBox[{\(i\  \[NotEqual] \ j\), ",", 
                              StyleBox["\[IndentingNewLine]",
                                FontColor->GrayLevel[0]], 
                              
                              RowBox[{\(M2\  = \ sortedTree[\([j]\)]\), ";", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Disjunkte\ Mengen\ oder\ \(\(Teilmengen\)\
\(\ \)\(?\)\)\ *) \),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", 
                                  
                                  RowBox[{\(! \((Intersection[M1, 
                                        M2]\  == \ {} || \ 
                                        Union[M1, M2]\  \[Equal] \ M1\  || \ 
                                        Union[M1, M2]\  \[Equal] \ M2)\)\), 
                                    ",", "\[IndentingNewLine]", 
                                    
                                    RowBox[{\(result\  = \ True\), ";", 
                                      "\[IndentingNewLine]", 
                                      
                                      StyleBox[\(ErPr["\<Error: No subsets: \
\>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  "\[IndentingNewLine]", "]"}], ";", " ", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Doppelte\ \(\(Mengen\)\(\ \)\(?\)\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008],
                                  FontVariations->{"CompatibilityType"->0}], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  RowBox[{\(M1\  \[Equal] \ M2\), ",", " ", 
                                    RowBox[{\(result = \ False\), ";", " ", 
                                      
                                      StyleBox[\(ErPr["\<Error: Vertex found \
twice: \>"\  <> \ ToString[M1]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  " ", "]"}], ";", "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  
                                  RowBox[{\(Union[M1, M2]\  \[Equal] \ 
                                        M1\  && \ \(! decomposition\)\), ",", 
                                    "\[IndentingNewLine]", 
                                    RowBox[{
                                      RowBox[{"For", "[", 
                                        
                                        RowBox[{\(k\  = \ 1\), ",", 
                                        " ", \(k\  \[LessEqual] \ 
                                        Length[
                                        sortedTree]\  && \ \(! \
decomposition\)\), ",", " ", \(k++\), ",", 
                                        StyleBox["\[IndentingNewLine]",
                                        FontColor->GrayLevel[
                                        0]], \(If[\ 
                                        i\  \[NotEqual] \ k\  && \ 
                                        j\  \[NotEqual] \ 
                                        k, \[IndentingNewLine]M3\  = \ 
                                        sortedTree[\([k]\)]; \
\[IndentingNewLine]If[M1\  == \ Union[M2, M3]\  && \ 
                                        verifyUniformCoupling[J, M2, M3], \ 
                                        decomposition\  = \ 
                                        True];\[IndentingNewLine]\ \ ];\)}], 
                                        "\[IndentingNewLine]", "  ", "]"}], 
                                      ";"}]}], "\[IndentingNewLine]", " ", 
                                  "]"}]}]}], "]"}]}], "]"}], ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", 
                      RowBox[{"If", "[", 
                        RowBox[{\(! decomposition\), ",", 
                          RowBox[{\(result\  = \ False\), ";", 
                            StyleBox[" ",
                              FontColor->RGBColor[0, 1, 0]], 
                            
                            StyleBox[\(ErPr["\<Error: No uniform composition \
found for \>" <> \ ToString[M1]]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyTree[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}, {{0, 1, 1}, {1, 0, 
              1}, {1, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[StyleBox["Diese Methode liefert den  (ungeordneten) Pfad  \
\"treePath\" von einem Knoten \"\[Mu]\"  bis zu der Wurzel des Baumes \
\"tree\":\n\[CapitalUDoubleDot]bergeben weden der Knoten \"\[Mu]\" und der \
Baum \"tree\".",
  FontVariations->{"CompatibilityType"->0}]], "Text"],

Cell[BoxData[{
    RowBox[{\(getPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath, 
              i}, \[IndentingNewLine]treePath\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[tree], \ \(i++\), \[IndentingNewLine]\(If[\ 
                  MemberQ[\ tree[\([i]\)], \[Mu]\ ], \ \ treePath\  = \ 
                    Append[\ treePath, 
                      tree[\([i]\)]\ ]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]treePath];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPath[1, {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode liefert den (aufsteigend geordneten) Pfad \"treePath\" von \
einem Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " bis zu der Wurzel des Baumes \"tree\":\n\[CapitalUDoubleDot]bergeben \
werden der Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " und der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath}, \[IndentingNewLine]treePath\  = \ 
              getPath[\[Mu], tree]; \[IndentingNewLine]treePath\  = \ 
              Sort[\ treePath, \ \((Length[#1]\  < \ 
                      Length[#2])\)\  &\ ]; \[IndentingNewLine]treePath];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getSortedPath[1, \ {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordneten) Pfade \"treePathes\" von \
allen Knoten \"vertices\" bis zur Wurzel des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getAllPathes[tree_]\  := \ 
          Module[{treePathes, \ treePath, \ vertices, 
              i}, \[IndentingNewLine]treePathes\  = \ {}; \
\[IndentingNewLine]vertices\  = \ getVertices[tree]; \[IndentingNewLine]For[
              i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[vertices], \ \(i++\), \[IndentingNewLine]treePath\  = \
\ getSortedPath[\ vertices[\([i]\)], 
                  tree\ ]; \[IndentingNewLine]treePathes\  = \ 
                Append[treePathes, 
                  treePath];\[IndentingNewLine]]; \
\[IndentingNewLine]treePathes];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getAllPathes[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Kopplungskonstanten \"allCouplings\" des \
(aufsteigend geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben werden der Pfad \"treePath\" und die \
Kopplungsmatrix \"J\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathCouplings[treePath_, J_]\  := \ 
          Module[{allCouplings, coupling, M1, M2, \[Mu], \[Nu], 
              i}, \[IndentingNewLine]allCouplings\  = \ {"\<undefined\>"}; \
\[IndentingNewLine]For[i\  = \ 2, \ 
              i \[LessEqual] \ 
                Length[treePath], \ \(i++\), \[IndentingNewLine]M1 = \ 
                treePath[\([i - 1]\)]; \[IndentingNewLine]M2 = \ 
                Complement[\ treePath[\([i]\)], \ 
                  M1\ ]; \[IndentingNewLine]\[Mu]\  = \ 
                M1[\([1]\)]; \[IndentingNewLine]\[Nu]\  = \ 
                M2[\([1]\)]; \[IndentingNewLine]coupling\  = \ 
                J[\([\[Mu], \[Nu]]\)]; \[IndentingNewLine]allCouplings = \ 
                Append[allCouplings, 
                  coupling];\[IndentingNewLine]]; \
\[IndentingNewLine]allCouplings];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPathCouplings[{{1}, {1, 2}, {1, 2, 3}}, {{0, 1, 1}, {1, 0, 1}, {1, 
              1, 0}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Die Methode liefert die Gesamtspins \"allsSpins\" des (aufsteigend \
geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben wird der Pfad \"treePath\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathSpins[treePath_]\  := \ 
          Module[{allSpins, spin, M, 
              i}, \[IndentingNewLine]allSpins\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i \[LessEqual] \ 
                Length[treePath], \(i++\), \[IndentingNewLine]M\  = \ 
                treePath[\([i]\)]; \[IndentingNewLine]spin\  = \ 
                getTotalSpin[M]; \[IndentingNewLine]allSpins\  = \ 
                Append\ [allSpins, 
                  spin];\[IndentingNewLine]]; \[IndentingNewLine]allSpins\  \
//. \ t \[Rule] \ 0];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getPathSpins[{{1}, {1, 2}, {1, 2, 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Drehmatrizen", "Section"],

Cell["Diese Methode berechnet den Betrag des Vektors \"v\".", "Text"],

Cell[BoxData[{
    RowBox[{\(norm[v_] := Sqrt[v . v];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, norm[{1, 0, 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode wandelt den Vektor \"\[Omega]\" in eine antysymmetrische \
Matrix \"\[CapitalOmega]\" um.\nDie Signatur nimmt die Werte ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(-1\))\)\^n\ an . \ 
          Dabei\ ist\ n\ die\ Zahl\ der\ ben\[ODoubleDot]tigten\ \
Transpositionen\ f\[UDoubleDot]r\ das\ Erreichen\ einer\ kanonische\ \
\(\(Reihenfolge\)\(.\)\)\)]]
}], "Text"],

Cell[BoxData[
    \(\[CapitalOmega]\_ij\  = \ \(-\(\[Sum]\+k 
            signatur \((i, j, k)\)*\ \[Omega]\_k\)\)\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getMatrix[\[Omega]_]\  := \ 
          Module[{i, j, k}, \[IndentingNewLine]\ \[CapitalOmega]\  = 
              Table[\(-Sum[
                    Signature[{i, j, k}] \[Omega][\([k]\)], {k, 1, 3}]\), {i, 
                  1, 3}, {j, 1, 3}]; \[IndentingNewLine]\ \[CapitalOmega]];\),
       "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getMatrix[{0, 0, 1}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode erstellt die Drehmatrix \"R\" zu der Drehachse \"\[Omega]\" und \
dem Winkel \"\[CurlyPhi]\" = |w| t:\
\>", "Text"],

Cell[BoxData[
    \(R\_ij\  = \ \(\[Delta]\_ij\) 
          cos\[CurlyPhi]\  + \ \(e\_i\) \(e\_j\) \((1 - 
              cos\[CurlyPhi])\)\  + \ \(\[CapitalOmega]\_ij\) 
          sin\[CurlyPhi]\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getRotation[\[Omega]_, t_]\ \  := \ 
          Module[{e, \[CurlyPhi], \[CapitalOmega], i, j, 
              R}, \[IndentingNewLine]e = \ \[Omega]/
                norm[\[Omega]]; \[IndentingNewLine]\[CurlyPhi]\  = \ 
              norm[\[Omega]]\ *\ t; \[IndentingNewLine]\[CapitalOmega]\  = \ 
              getMatrix[e]; \[IndentingNewLine]R = 
              Table[If[i \[Equal] j, Cos[\[CurlyPhi]], 0] + 
                  e[\([i]\)] 
                    e[\([j]\)] \((1 - 
                        Cos[\[CurlyPhi]])\) + \[CapitalOmega][\([i, j]\)] 
                    Sin[\[CurlyPhi]], {i, 1, 3}, {j, 1, 
                  3}]; \[IndentingNewLine]R];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(\(If[test, getRotation[{0, 0, 1}, Pi/2]]\)\(\ \)\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Anfangsbedingungen", "Section"],

Cell["Diese Methoden liefern zuf\[ADoubleDot]llige Einheitsvektoren \"v\".", \
"Text"],

Cell[BoxData[{\(generate\  := \ 
        Module[{v}, \[IndentingNewLine]v\  = \ {2*Random[] - 1, 
              2*Random[] - 1, 2*Random[] - 1}; \[IndentingNewLine]v\  = \ 
            v\ /\ norm[v]; \[IndentingNewLine]v];\), "\[IndentingNewLine]", 
    RowBox[{\(generateSet[n_]\  := \ 
          Module[{v, i}, \[IndentingNewLine]v\  = \ 
              Table[generate, {i, 1, n}]; \[IndentingNewLine]v];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, generateSet[1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert zuf\[ADoubleDot]llige Anfangsbedingungen \
\"initialConditi\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInitRule[v_]\  := \ 
          Module[{n, initRule, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]initRule = 
              Table[\(s[\[Mu], i]\)[0] -> v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]Flatten[initRule]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getInitRule[{{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Explizite Zeitentwicklung", "Section"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung f\[UDoubleDot]r ein System in einem \
\[ADoubleDot]u\[SZ]eren (konstanten) Magnetfeld:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\", die Kopplungsmatrix \
\"J\", das Magnefeld \"B\" und das gyromagnetische Verh\[ADoubleDot]ltnis \"\
\[Gamma]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(getTimeEvolutionWithB[tree_, J_, B_, \[Gamma]_]\), " ", ":=", 
        " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allTimeEvolutions, timeEvolution, treePathes, treePath, 
              pathCouplings, pathSpins, vertices, i, j, k, \[Mu]}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(allTimeEvolutions\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(NoPr["\<Tree: \>"\  <> \ ToString[tree]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr["\<J: \>"\  <> \ ToString[J]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(NoPr["\<Tree verified: \>"\  <> \ 
                    ToString[verifyTree[tree, J]]\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[\( (*\ Baum\  \[Rule] \ Knotenm  enge\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Baum\  \[Rule] \ Pfade\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(treePathes = \ getAllPathes[tree]\), 
              ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), ",", 
                  " ", \(i\  \[LessEqual] \ Length[treePathes]\), ",", 
                  " ", \(i++\), ",", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Knotenmenge\  \[Rule] \ Knoten\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(\[Mu]\  = \ vertices[\([i]\)]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Pfade\  \[Rule] \ Pfad\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(treePath\  = \ 
                      treePathes[\([i]\)]\), ";", "\[IndentingNewLine]", " ", 
                    
                    
                    StyleBox[\(NoPr["\<Path \>"\  <> \ 
                          ToString[i]\  <> \ "\<, vertex \>"\  <> \ 
                          ToString[\[Mu]]\  <> \ "\<: \>" <> \ 
                          ToString[treePath]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Pfad\  \[Rule] \ 
                          Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(pathSpins\  = \ 
                      getPathSpins[treePath]\), ";", 
                    "\[IndentingNewLine]", \(pathCouplings\  = \ 
                      getPathCouplings[treePath, J]\), ";", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(NoPr["\<Couplings: \>"\  <> \ 
                          ToString[pathCouplings]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\  \
\[Rule] \ Zeitentwicklung\ ohne\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    StyleBox[\(timeEvolution\  = \ pathSpins[\([1]\)]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(For[j\  = \ 2, 
                        j < \ Length[
                            pathSpins], \(j++\), \
\[IndentingNewLine]\(timeEvolution\  = \ 
                            getRotation[
                                pathSpins[\([j]\)], \((pathCouplings[\([j]\)]\
\  - \ pathCouplings[\([j + 1]\)])\)\ *\ t]\  . \ 
                              timeEvolution;\)\[IndentingNewLine]]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(timeEvolution\  = \ 
                        getRotation[
                            pathSpins[\([Length[
                                  pathSpins]]\)], \((pathCouplings[\([Length[
                                      pathSpins]]\)])\)*\ t]\  . \ 
                          timeEvolution\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Zeitentwicklung\ ohne\ B\  \[Rule] \ 
                          Zeitentwicklung\ mit\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(timeEvolution\  = \ 
                      getRotation[B, \[Gamma]]\  . \ timeEvolution\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(k\  = 1\), ",", " ", \(k\  \[LessEqual] \ 3\),
                         ",", " ", \(k++\), ",", 
                        StyleBox["\[IndentingNewLine]",
                          FontColor->RGBColor[0, 0, 1],
                          Background->RGBColor[1, 0, 
                          1]], \(allTimeEvolutions\  = \ 
                            Append[
                              allTimeEvolutions, \(s[\[Mu]]\)[\([k]\)]\  -> 
                                timeEvolution[\([k]\)]];\)}], 
                      "\[IndentingNewLine]", "]"}], ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "allTimeEvolutions"}]}], "]"}]}], ";"}]], "Input"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\" und die Kopplungsmatrix \
\"J\".\
\>", "Text"],

Cell[BoxData[
    \(\(getTimeEvolution[tree_, J_]\  := \ 
        getTimeEvolutionWithB[tree, J, {1, 0, 0}, 0];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der Zeitentwicklung",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode testet die Zeitenwicklung f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Menge der Kopplungspaare \"H\" und der \
Baum \"tree\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testTimeEvolution[H_, tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, vertices, n, J, timeEvolution, S, S1, S2, S3, 
                energy, v, toPlot, toPlot1, toPlot2}\), ",", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*Zeitraum*) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspins\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, K, 0.1]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = \ 
                  Join[toPlot1, toPlot2]\), ";", 
                "\[IndentingNewLine]", \(Plot[\[IndentingNewLine]Evaluate[
                      toPlot], {t, 0, 
                      K}, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\)}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
          testTimeEvolution[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 5}, {4, 
                5}, {1, 2}, {3, 4}}, \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Symplektische Integration", "Section"],

Cell["\<\
Diese Methode pr\[UDoubleDot]ft die Zerlegung der Menge \"H\" von \
Kopplungspaaren:
\[CapitalUDoubleDot]bergeben wird die Menge \"H\" und die Teilmengen \"H1\", \
\"H2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyDecomposition[H_, H1_, H2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, sortedH, sortedH1, sortedH2}\), ",", 
              "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ True\), ";", 
                "\[IndentingNewLine]", \(sortedH\  = \ getSortedTree[H]\), 
                ";", "\[IndentingNewLine]", \(sortedH1\  = \ 
                  getSortedTree[H1]\), ";", 
                "\[IndentingNewLine]", \(sortedH2\  = \ getSortedTree[H2]\), 
                ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  
                  RowBox[{\(sortedH\  \[NotEqual] \ 
                        sortedTree[Union[H1, H2]] || \ 
                      Intersection[H1, H2]\  \[NotEqual] {}\), ",", 
                    "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: No valid decomposition of H: \
\>"\  <> \ ToString[H1]\  <> \ "\< and \>"\  <> \ ToString[H2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                "result"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyDecomposition[{{1, 2}, {2, 3}, {1, 3}}, {{1, 2}, {2, 3}}, {{1, 
              3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Ersetzungsregel \"s[t,i] \[Rule] s[\[Tau],i]\". \
Diese Ersetzungsregel wird in der symplektischen Integration verwendet.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getReplacementRule[M_, \[Tau]_]\  := \ 
          Module[{replacement, i, j}, \[IndentingNewLine]replacement\  = \ 
              Table[\ \(s[M[\([i]\)], j]\)[
                    t]\  \[Rule] \ \(s[M[\([i]\)], j]\)[\[Tau]], {i, 1, 
                  Length[M]}, {j, 1, 3}]; \[IndentingNewLine]Flatten[
              replacement]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getReplacementRule[{1, 2, 3}, \[Tau]]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration durch:
\[CapitalUDoubleDot]bergeben wird 
-die Menge \"H\" aller Kopplungspaare,
-die Teilmengen \"H1\" und \"H2\", 
-die B\[ADoubleDot]ume \"tree1\" und \"tree2\",
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(integrateSymplectic[H_, H1_, H2_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({result, time, vertices, vertices1, vertices2, J1, J2, 
              timeEvolution1, timeEvolution2, init, i, p, 
              q, \[Zeta], \[Lambda], \[Chi], \[CapitalTheta]}\), ",", 
            "\[IndentingNewLine]", 
            RowBox[{
              
              StyleBox[\(NoPr["\<Decomposition verified: \>"\  <> \ 
                    ToString[verifyDecomposition[H, H1, H2]]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\( (*\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ 
                getVertices[\ Union[tree1, tree2]\ ]\), ";", 
              "\[IndentingNewLine]", \(vertices1\  = \ getVertices[tree1]\), 
              ";", "\[IndentingNewLine]", \(vertices2\  = \ 
                getVertices[tree2]\), ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrizen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J1\  = \ 
                getJ[\ Max[vertices1], H1, 1]\), ";", 
              "\[IndentingNewLine]", \(J2\  = \ 
                getJ[\ Max[vertices2], H2, 1]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Zeitentwicklungen : \ s[\[Tau], i]\  -> \ f \((t)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ linke\ Seite\ ersetzen\ \(durch : \ \[Tau]\), \ 
                  rechte\ Seite\ ersetzen\ \(durch : \ t\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution1\  = \ 
                getTimeEvolution[tree1, J1]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", \(timeEvolution2\  = \ 
                getTimeEvolution[tree2, J2]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontTracking->"Plain",
                FontColor->GrayLevel[0.500008],
                FontVariations->{"Underline"->False,
                "Outline"->False,
                "Shadow"->False,
                "StrikeThrough"->False,
                "Masked"->False,
                "CompatibilityType"->0,
                "RotationAngle"->0}], 
              "\[IndentingNewLine]", \(init\  = \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", \(result\  = \ {init}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(time\  = \ AbsoluteTime[]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<firstOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...firstOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              1.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]\  + \ 
                                  O \((\[CapitalDelta]\^2)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                              Mod[i, plotStep] \[Equal] \ 0, 
                              result\  = \ 
                                Append[result, 
                                  init\  //. \ \[Tau]\  \[Rule] \ \((i\ \
\[CapitalDelta])\)]\ ];\)}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<secondOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...secondOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              2.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ B\ \[CapitalDelta]/2\ *\ 
                                    exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]/2\  + \ 
                                  O \((\[CapitalDelta]\^3)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t\  \[Rule] \ \[CapitalDelta]\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<fourthOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...fourthOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(p\  = 
                      N[1/\((4\  - \ 4^\((1/3)\))\)]\), ";", " ", 
                    "\[IndentingNewLine]", \(q\  = N[1 - 4*p]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          RowBox[{
                            StyleBox["(*",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              
                              StyleBox[\(4.  \(Ordnung : \ 
                                      exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ \(i = 
                                    1\)\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["..",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              RowBox[{
                                RowBox[{
                                  StyleBox["5",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], " ", 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[
                                    SubscriptBox[
                                      StyleBox["p",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->GrayLevel[0.500008]], "i"],
                                    
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["B",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["\[CapitalDelta]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]]}], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox["+",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[\(O \((\[CapitalDelta]\^5)\)\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]]}]}], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["*)",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              p\  = \ \(p\_1\  = \ \(p\_2\  = \ \(p\_4\  = \ 
                                      p\_5\)\)\), \ q\  = \ p\_3\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ q\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((q\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<ForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...ForestRuth\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[CapitalTheta]\  = \ 
                      N[1/\((2\  - \ 2^\((1/3)\))\)]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[CapitalTheta])\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2*\[CapitalTheta])\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<optimizedForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\(NoPr["\<Calculating...optimizedForestRuth\>"]\)\
,
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[Zeta]\  = \ 0.17208656\), ";", 
                    "\[IndentingNewLine]", \(\[Lambda]\  = \ \
\(-0.09156203\)\), ";", 
                    "\[IndentingNewLine]", \(\[Chi]\  = \ \(-0.16162176\)\), 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ optimierter\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1\  - \ 
                                      2 \((\[Chi] + \[Zeta])\))\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1\  - \ 
                                        2*\((\[Chi] + \[Zeta])\))\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              "result"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der symplektischen \
Integration",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten:
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToLists[F_, K_, \[CapitalDelta]_, 
            plotStep_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, {j\ *\ plotStep\ *\[CapitalDelta], 
                        F[\([i]\)]\  //. \ 
                          t \[Rule] \ \((j\ *\ 
                                plotStep\ *\[CapitalDelta])\)}];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToLists[{t, t\^2, t\^3}, 10, 1, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\

Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten. Dabei wird die diskrete Ersetzungsregel \"rule\" verwendet.
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToListsWithdiscreteRule[F_, 
            K_, \[CapitalDelta]_, plotStep_, rule_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({j*plotStep*\[CapitalDelta], 
                            F[\([i]\)]}\  //. 
                          t \[Rule] \ \((j*plotStep*\[CapitalDelta])\)\)\  //. 
                        rule[\([j + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToListsWithdiscreteRule[{t, t\^2, t\^3}, 3, 1, 
          1, {{t -> 0}, {t -> 1}, {t -> 2}, {t -> 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode testet die symplektische Integration f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Mengen der Kopplungspaare \"H\",\"H1\",\
\"H2\" und die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testSymplecticIntegration[H_, H1_, H2_, tree_, tree1_, 
            tree2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, \[CapitalDelta], vertices, n, J, timeEvolution, S, 
                S1, S2, S3, energy, v, toPlot, toPlot1, toPlot2, i, j, 
                plotStep, temp, allTemp}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Anzahl\ und\ Gr\[ODoubleDot]\[SZ]e\ der\ Zeitschritte\ *) \
\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = \ 10\^3\), 
                ";", \(\[CapitalDelta]\  = \ 10\^\(-4\)\), 
                ";", \(plotStep\  = \ 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot1\  = \ 
                  convertFunctionsToLists[toPlot1, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Standard - Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, 
                    K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  convertFunctionsToLists[toPlot2, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                    K, \ \[CapitalDelta], \ v, "\<firstOrder\>", plotStep]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot3\  = \ 
                  convertFunctionsToListsWithdiscreteRule[toPlot, 
                    K\ , \[CapitalDelta]\ , \ plotStep, timeEvolution]\), ";",
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = 
                  Join[toPlot1, toPlot2, toPlot3]\), ";", 
                "\[IndentingNewLine]", \(MultipleListPlot[
                    toPlot, \[IndentingNewLine]PlotJoined \[Rule] 
                      True, \[IndentingNewLine]SymbolShape \[Rule] 
                      None, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 5}], 
                        Table[{Dashing[{0.02}], GrayLevel[i/10]}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \
\*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\
\)}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
          testSymplecticIntegration[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 
                5}, {4, 5}, {1, 2}, {3, 
                4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
                1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
                4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
                2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
                5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
                5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]\ ]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichern und Laden", "Section"],

Cell["\<\
Diese Methode wandelt eine diskrete Ersetzungsregel \"rule\" in eine Menge \
\"points\" von Punkten um:
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertDiscreteRuleToPoints[n_, K_, \[CapitalDelta]_, 
            plotStep_, rule_]\  := \ 
          Module[{points, var, temp, i, 
              j}, \[IndentingNewLine]points\  = \ {{{"\<n\>", n}, {"\<K\>", 
                    K}, {"\<Delta\>", N[\[CapitalDelta]]}, {"\<plotStep\>", 
                    plotStep}}}; \[IndentingNewLine]var\  = \ 
              Flatten[getVar[n]]; \[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({i\ *\ plotStep, var[\([j]\)]}\  //. 
                          t \[Rule] \ \((i*plotStep*\ \[CapitalDelta])\)\)\  //. 
                        rule[\([i + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(points\  = \ 
                  Append[points, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              points, 1]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertDiscreteRuleToPoints[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine Menge \"points\" von Punkten in eine diskrete \
Ersetzungsregel \"rule\" um.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertPointsToDiscreteRule[points_]\  := \ 
          Module[{n, K, \[CapitalDelta], plotStep, var, rule, i, 
              j}, \[IndentingNewLine]n\  = \ 
              points[\([1, 2]\)]; \[IndentingNewLine]K\  = \ 
              points[\([2, 2]\)]; \[IndentingNewLine]\[CapitalDelta]\  = \ 
              points[\([3, 2]\)]; \[IndentingNewLine]plotStep\  = \ 
              points[\([4, 
                  2]\)]; \[IndentingNewLine]rule\  = \ {}; \
\[IndentingNewLine]var\  = \ Flatten[getVar[n]]; \[IndentingNewLine]For[
              i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, \ 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, 
                      var[\([j]\)]\  \[Rule] \ 
                          points[\([j\  + 4\  + i\ *\ 3\ n, 2]\)]\  //. \ 
                        t \[Rule] \ \((i*
                              plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(rule\  = \ 
                  Append[rule, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]{n, 
              K, \[CapitalDelta], plotStep, rule}];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertPointsToDiscreteRule[\[IndentingNewLine]{{"\<n\>", 
              1}, {"\<K\>", 1}, {"\<Delta\>", 1}, {"\<plotStep\>", 1}, {0, 
              1}, {0, 2}, {0, 3}, {1, 4}, {1, 5}, {1, 
              6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode schreibt eine diskrete Ersetzungsregel \"rule\" in eine Datei \
\"filename\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(saveDiscreteRuleToFile[n_, K_, \[CapitalDelta]_, plotStep_, 
            rule_, filename_]\  := \ 
          Module[{points}, \[IndentingNewLine]points\  = \ 
              convertDiscreteRuleToPoints[n, K, \[CapitalDelta], plotStep, 
                rule]; \[IndentingNewLine]Export[filename\  <> \ "\<.dat\>", 
              points];\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        saveDiscreteRuleToFile[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 
                6}}, \[IndentingNewLine]"\<testfile\>"\[IndentingNewLine]]]\),
      
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liest eine diskrete Ersetzungsregel \"rule\" aus einer Datei \
\"filename\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(loadDiscreteRuleFromFile[filename_]\  := \ 
          Module[{points, rule}, \[IndentingNewLine]points\  = \ 
              Import[filename\  <> \ "\<.dat\>"]; \[IndentingNewLine]rule\  = \
\ convertPointsToDiscreteRule[points]; \[IndentingNewLine]rule];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, loadDiscreteRuleFromFile["\<testfile\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert einen Dateinamen \"filename\". \
\[CapitalUDoubleDot]bergeben wird 
-eine Systembeschreibung \"system\",
-die Zahl \"n\" der Spins,
-die Zahl \"K\" und die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der \
Zeitschritte,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".
-der Typ \"type\" der Integration.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createFilename[system_, n_, K_, \[CapitalDelta]_, plotStep_, 
            type_]\  := \ 
          Module[{filename}, \[IndentingNewLine]filename\  = \ 
              system\  <> \ "\<_n_\>"\  <> \ 
                ToString[n]\  <> \ "\<_K_\>"\  <> \ 
                ToString[N[K]]\  <> \ "\<_Delta_\>"\  <> \ 
                ToString[N[\[CapitalDelta]]]\  <> \ "\<_plotStep_\>" <> \ 
                ToString[N[plotStep]] <> "\<_Type_\>"\  <> \ 
                type\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        createFilename["\<fliege\>", 5, 1, 1, 1, "\<firstOrder\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine kontinuierliche Ersetzungsregel \"continuous\" in \
eine diskrete Ersetzungsregel \"discrete\" um:\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertContinuousToDiscreteRule[K_, \[CapitalDelta]_, 
            plotStep_, continuous_]\  := \ 
          Module[{discrete, 
              i}, \[IndentingNewLine]discrete\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]\(discrete\  = \ 
                  Append[discrete, 
                    continuous\  //. \ 
                      t \[Rule] \((i*
                            plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]discrete];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertContinuousToDiscreteRule[4, 1, 
          2, {\(s[1, 1]\)[t] -> \ 
              t, \(s[1, 2]\)[t] -> \(-t\), \(s[1, 3]\)[t] -> 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Ikosidodekaeder", "Section"],

Cell["\<\
Die folgenden Methoden erleichtern die Eingabe des Ikosidodekaeders.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createBowTieH[M1_, M2_, C_]\  := \ 
          Module[{H}, \[IndentingNewLine]H\  = \ {{M1[\([1]\)], 
                  C}, {M1[\([2]\)], C}, {M1[\([1]\)], 
                  M1[\([2]\)]}, {M2[\([1]\)], C}, {M2[\([2]\)], 
                  C}, {M2[\([1]\)], M2[\([2]\)]}}; \[IndentingNewLine]H];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieH[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{
    RowBox[{\(createBowTieTree\ [M1_, M2_, C_]\  := \ 
          Module[{tree}, \[IndentingNewLine]tree\  = \ \
{\[IndentingNewLine]{M1[\([1]\)]}, {M1[\([2]\)]}, {M1[\([1]\)], 
                  M1[\([2]\)]}, \[IndentingNewLine]{M2[\([1]\)]}, \
{M2[\([2]\)]}, {M2[\([1]\)], M2[\([2]\)]}, \[IndentingNewLine]{M1[\([1]\)], 
                  M1[\([2]\)], M2[\([1]\)], 
                  M2[\([2]\)]}, \[IndentingNewLine]{C}, \
\[IndentingNewLine]{M1[\([1]\)], M1[\([2]\)], M2[\([1]\)], M2[\([2]\)], 
                  C}\[IndentingNewLine]}; \[IndentingNewLine]tree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieTree[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleH[A_, B_, C_]\  := \ 
        Module[{H}, \[IndentingNewLine]H\  = \ {{A, B}, {B, C}, {C, 
                A}}; \[IndentingNewLine]H];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleH[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleTree[A_, B_, C_]\  := \ 
        Module[{tree}, \[IndentingNewLine]tree\  = \ {{A}, {B}, {A, 
                B}, {C}, {A, B, 
                C}}; \[IndentingNewLine]tree];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleTree[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(treeUnion[trees_]\  := \ 
        Module[{unitedTrees, radix}, \[IndentingNewLine]unitedTrees\  = \ 
            trees[\([1]\)]; \[IndentingNewLine]For[i\  = \ 2, \ 
            i \[LessEqual] \ \ Length[
                trees], \(i++\), \[IndentingNewLine]radix\  = \ {Union[
                  getVertices[unitedTrees], 
                  getVertices[
                    trees[\([i]\)]]]}; \[IndentingNewLine]unitedTrees\  = \ 
              Union[unitedTrees, trees[\([i]\)], 
                radix];\[IndentingNewLine]]; \[IndentingNewLine]unitedTrees];\
\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        treeUnion[{createTriangleTree[1, 2, 3], 
            createTriangleTree[4, 5, 6]}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Hauptprogramm", "Section"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration f\[UDoubleDot]r \
Graphen durch und speichert das Ergebnis.
\[CapitalUDoubleDot]bergeben werden:
-die Systembeschreibung \"system\"
-die Mengen der Kopplungspaare \"H\",\"H1\",\"H2\" 
-die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\"
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(makeResults[system_, H_, H1_, H2_, tree_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({vertices, n, J, timeEvolution, filename}\), ",", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ Knoten\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(vertices\  = \ getVertices[\ Union[tree1, tree2]\ ]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                  K, \ \[CapitalDelta], \ v, type, plotStep]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , plotStep, 
                    type]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}]}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "  ", 
          RowBox[{"(*", "\[IndentingNewLine]", 
            StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], 
            StyleBox["\[IndentingNewLine]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], 
            
            RowBox[{\(timeEvolution\  = \ 
                integrateStandard[n, H, 1, v, 
                  K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<rungekutta\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
            "*)"}], "\[IndentingNewLine]", "]"}]}], 
      ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[saveOrLoad, 
        makeResults[\[IndentingNewLine]"\<Ikosidodekaeder\>", \
\[IndentingNewLine]Union[\[IndentingNewLine]createBowTieH[{1, 2}, {11, 20}, 
              6], \[IndentingNewLine]createBowTieH[{2, 3}, {12, 13}, 
              7], \[IndentingNewLine]createBowTieH[{3, 4}, {14, 15}, 
              8], \[IndentingNewLine]createBowTieH[{4, 5}, {16, 17}, 
              9], \[IndentingNewLine]createBowTieH[{5, 1}, {18, 19}, 
              10], \[IndentingNewLine]createBowTieH[{11, 12}, {26, 27}, 
              21], \[IndentingNewLine]createBowTieH[{13, 14}, {27, 28}, 
              22], \[IndentingNewLine]createBowTieH[{15, 16}, {28, 29}, 
              23], \[IndentingNewLine]createBowTieH[{17, 18}, {29, 30}, 
              24], \[IndentingNewLine]createBowTieH[{19, 20}, {30, 26}, 
              25]\[IndentingNewLine]], \  (*Ikosidodekaeder*) \ \
\[IndentingNewLine]Union[\[IndentingNewLine]createBowTieH[{2, 6}, {5, 10}, 
              1], \[IndentingNewLine]createBowTieH[{3, 4}, {14, 15}, 
              8], \[IndentingNewLine]createBowTieH[{11, 21}, {7, 13}, 
              12], \[IndentingNewLine]createBowTieH[{9, 16}, {18, 24}, 
              17], \[IndentingNewLine]createBowTieH[{19, 20}, {26, 30}, 
              25], \[IndentingNewLine]createBowTieH[{22, 27}, {23, 29}, 
              28]\[IndentingNewLine]],  (*6\ \
Fliegen*) \[IndentingNewLine]Union[\[IndentingNewLine]createTriangleH[2, 3, 
              7], \[IndentingNewLine]createTriangleH[4, 5, 
              9], \[IndentingNewLine]createTriangleH[6, 11, 
              20], \[IndentingNewLine]createTriangleH[10, 18, 
              19], \[IndentingNewLine]createTriangleH[13, 14, 
              22], \[IndentingNewLine]createTriangleH[15, 16, 
              23], \[IndentingNewLine]createTriangleH[21, 26, 
              27], \[IndentingNewLine]createTriangleH[24, 29, 
              30]\[IndentingNewLine]],  (*8\ \
Dreiecke*) \[IndentingNewLine]{}, \[IndentingNewLine]treeUnion[{\
\[IndentingNewLine]createBowTieTree[{2, 6}, {5, 10}, 
                1], \[IndentingNewLine]createBowTieTree[{3, 4}, {14, 15}, 
                8], \[IndentingNewLine]createBowTieTree[{11, 21}, {7, 13}, 
                12], \[IndentingNewLine]createBowTieTree[{9, 16}, {18, 24}, 
                17], \[IndentingNewLine]createBowTieTree[{19, 20}, {26, 30}, 
                25], \[IndentingNewLine]createBowTieTree[{22, 27}, {23, 29}, 
                28]\[IndentingNewLine]}], \  (*\ 
            Baum\ 6\ Fliegen\ *) \[IndentingNewLine]treeUnion[{\
\[IndentingNewLine]createTriangleTree[2, 3, 
                7], \[IndentingNewLine]createTriangleTree[4, 5, 
                9], \[IndentingNewLine]createTriangleTree[6, 11, 
                20], \[IndentingNewLine]createTriangleTree[10, 18, 
                19], \[IndentingNewLine]createTriangleTree[13, 14, 
                22], \[IndentingNewLine]createTriangleTree[15, 16, 
                23], \[IndentingNewLine]createTriangleTree[21, 26, 
                27], \[IndentingNewLine]createTriangleTree[24, 29, 
                30], \[IndentingNewLine]{{1}}, {{8}}, {{12}}, {{17}}, {{25}}, \
{{28}}\[IndentingNewLine]}], \  (*\ 
            Baum\ 8\ Dreiecke\ *) \[IndentingNewLine]400,  (*K\
*) \[IndentingNewLine]0.25,  \
(*\[CapitalDelta]*) \[IndentingNewLine]Import["\<v30.dat\>"], \
\[IndentingNewLine]"\<fourthOrder\>", \[IndentingNewLine]4 (*plotStep\
*) \[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell["\<\
Diese Methode plottet die Ergebnisse der Dateien \"data\". Dargestellt werden \
die Gesamtenergie, der Gesamtspin und die Komponenten des Gesamtspins.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(showResults[data_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({lists, vertices, S, S1, S2, S3, J, energy, toPlot, i, j, 
              n, K, \[CapitalDelta], plotStep, timeEvolution}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(lists\  = \ {}\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), 
                  ",", \(i\  \[LessEqual] \ Length[data]\), ",", \(i++\), ",",
                   "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Datei\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\({n, K, \[CapitalDelta], plotStep, 
                          timeEvolution}\  = \ 
                        loadDiscreteRuleFromFile[data[\([i]\)]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(J\  = \ 
                        Import[data[\([i]\)]\  <> \ "\<_J.dat\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], " ", 
                      StyleBox["Knoten",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(vertices\  = \ 
                      Table[j, {j, 1, n}]\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S\  = \ 
                      norm[getTotalSpin[vertices]]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S1\  = \ 
                      getTotalSpinComponent[vertices, 1]\), ";", 
                    "\[IndentingNewLine]", \(S2\  = \ 
                      getTotalSpinComponent[vertices, 2]\), ";", 
                    "\[IndentingNewLine]", \(S3\  = \ 
                      getTotalSpinComponent[vertices, 3]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtenergie\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(energy\  = \ 
                      getTotalEnergy[J, vertices]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ { (*S, S1\ , S2\ , 
                          S3, *) energy}\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Menge\ von\ Funktionen\  \[Rule] \ 
                          Liste\ von\ Punkten\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(lists = \ 
                        Join[lists, 
                          convertFunctionsToListsWithdiscreteRule[toPlot, 
                            K, \[CapitalDelta], plotStep, 
                            timeEvolution]];\)}]}], "\[IndentingNewLine]", 
                "]"}], ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Darstellung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(MultipleListPlot[
                lists, \[IndentingNewLine]PlotJoined \[Rule] 
                  True, \[IndentingNewLine]PlotRange \[Rule] 
                  Automatic, \[IndentingNewLine]SymbolShape \[Rule] 
                  None, \[IndentingNewLine]Axes \[Rule] 
                  False, \[IndentingNewLine]Ticks \[Rule] \ 
                  Automatic, \[IndentingNewLine]Frame \[Rule] 
                  True, \[IndentingNewLine]FrameTicks \[Rule] \ 
                  Automatic, \[IndentingNewLine]PlotLabel -> 
                  StyleForm["\<Ikosidodekaeder\>", 
                    FontSize \[Rule] 
                      16], \[IndentingNewLine]FrameLabel -> \
{StyleForm["\<t\>", FontSize \[Rule] 16], 
                    StyleForm["\<H\>", 
                      FontSize \[Rule] 
                        16], "\<\>", "\<\>"}, \[IndentingNewLine]PlotStyle \
\[Rule] {Black, {AbsoluteDashing[{8, 3}], Red}, 
                    Blue, {AbsoluteDashing[{2, 2}], 
                      Green}}, \[IndentingNewLine]PlotLegend \[Rule] \
{"\<SZT\>", "\<FR\>", "\<OFR\>", "\<RK\>"}, \[IndentingNewLine]LegendLabel \
\[Rule] "\<4.Ordnung, \[CapitalDelta] = 0.1\>", \[IndentingNewLine]LegendSize \
\[Rule] {0.3, 
                    0.3}, \[IndentingNewLine]LegendPosition\  \[Rule] \ \
{\(-0.73\), \(-0.39\)}, \[IndentingNewLine]AspectRatio \[Rule] 
                  0.5\ \[IndentingNewLine]]\), ";"}]}], "\[IndentingNewLine]",
           "]"}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox["If",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]], 
      StyleBox["[",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]], 
      RowBox[{
        StyleBox[\(! saveOrLoad\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]], 
        StyleBox[",",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
        StyleBox[\(showResults[{\[IndentingNewLine]"\<Ikosidodekaeder_n_30_K_\
1000._Delta_0.1_plotStep_10._Type_fourthOrder\>", \
\[IndentingNewLine]"\<Ikosidodekaeder_n_30_K_1000._Delta_0.1_plotStep_10._\
Type_ForestRuth\>", \
\[IndentingNewLine]"\<Ikosidodekaeder_n_30_K_1000._Delta_0.1_plotStep_10._\
Type_optimizedForestRuth\>", \
\[IndentingNewLine]"\<Ikosidodekaeder_n_30_K_1000._Delta_0.1_plotStep_10._\
Type_rungekutta\>"\[IndentingNewLine]}];\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
      StyleBox["]",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 0, 1]]}]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.25 0.47619 [
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0119048 0.97619 0.488095 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00952381 -2209.72 258.048 [
[.02381 -0.0125 -3 -9 ]
[.02381 -0.0125 3 0 ]
[.21429 -0.0125 -6 -9 ]
[.21429 -0.0125 6 0 ]
[.40476 -0.0125 -6 -9 ]
[.40476 -0.0125 6 0 ]
[.59524 -0.0125 -6 -9 ]
[.59524 -0.0125 6 0 ]
[.78571 -0.0125 -6 -9 ]
[.78571 -0.0125 6 0 ]
[.97619 -0.0125 -9 -9 ]
[.97619 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -6.78125 -23 ]
[.5 -0.0125 6.78125 -9 ]
[-0.0125 .00999 -42 -4.5 ]
[-0.0125 .00999 0 4.5 ]
[-0.0125 .0745 -36 -4.5 ]
[-0.0125 .0745 0 4.5 ]
[-0.0125 .13901 -42 -4.5 ]
[-0.0125 .13901 0 4.5 ]
[-0.0125 .20352 -30 -4.5 ]
[-0.0125 .20352 0 4.5 ]
[-0.0125 .26803 -42 -4.5 ]
[-0.0125 .26803 0 4.5 ]
[-0.0125 .33255 -36 -4.5 ]
[-0.0125 .33255 0 4.5 ]
[-0.0125 .39706 -42 -4.5 ]
[-0.0125 .39706 0 4.5 ]
[-0.0125 .46157 -30 -4.5 ]
[-0.0125 .46157 0 4.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .25 -55.875 -6.78125 ]
[-0.01875 .25 -42 6.78125 ]
[ 0 .5 .125 0 ]
[ 1 0 .125 0 ]
[.5 .5125 -73.7188 0 ]
[.5 .5125 73.7188 14.9375 ]
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
[(0)] .02381 -0.0125 0 1 Mshowa
.21429 0 m
.21429 .00625 L
s
[(20)] .21429 -0.0125 0 1 Mshowa
.40476 0 m
.40476 .00625 L
s
[(40)] .40476 -0.0125 0 1 Mshowa
.59524 0 m
.59524 .00625 L
s
[(60)] .59524 -0.0125 0 1 Mshowa
.78571 0 m
.78571 .00625 L
s
[(80)] .78571 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(100)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.07143 0 m
.07143 .00375 L
s
.11905 0 m
.11905 .00375 L
s
.16667 0 m
.16667 .00375 L
s
.2619 0 m
.2619 .00375 L
s
.30952 0 m
.30952 .00375 L
s
.35714 0 m
.35714 .00375 L
s
.45238 0 m
.45238 .00375 L
s
.5 0 m
.5 .00375 L
s
.54762 0 m
.54762 .00375 L
s
.64286 0 m
.64286 .00375 L
s
.69048 0 m
.69048 .00375 L
s
.7381 0 m
.7381 .00375 L
s
.83333 0 m
.83333 .00375 L
s
.88095 0 m
.88095 .00375 L
s
.92857 0 m
.92857 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -67.7813 -27 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22 translate 1 -1 scale
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
72.563 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .00999 m
.00625 .00999 L
s
[(8.56325)] -0.0125 .00999 1 0 Mshowa
0 .0745 m
.00625 .0745 L
s
[(8.5635)] -0.0125 .0745 1 0 Mshowa
0 .13901 m
.00625 .13901 L
s
[(8.56375)] -0.0125 .13901 1 0 Mshowa
0 .20352 m
.00625 .20352 L
s
[(8.564)] -0.0125 .20352 1 0 Mshowa
0 .26803 m
.00625 .26803 L
s
[(8.56425)] -0.0125 .26803 1 0 Mshowa
0 .33255 m
.00625 .33255 L
s
[(8.5645)] -0.0125 .33255 1 0 Mshowa
0 .39706 m
.00625 .39706 L
s
[(8.56475)] -0.0125 .39706 1 0 Mshowa
0 .46157 m
.00625 .46157 L
s
[(8.565)] -0.0125 .46157 1 0 Mshowa
.125 Mabswid
0 .02289 m
.00375 .02289 L
s
0 .03579 m
.00375 .03579 L
s
0 .04869 m
.00375 .04869 L
s
0 .0616 m
.00375 .0616 L
s
0 .0874 m
.00375 .0874 L
s
0 .1003 m
.00375 .1003 L
s
0 .1132 m
.00375 .1132 L
s
0 .12611 m
.00375 .12611 L
s
0 .15191 m
.00375 .15191 L
s
0 .16481 m
.00375 .16481 L
s
0 .17772 m
.00375 .17772 L
s
0 .19062 m
.00375 .19062 L
s
0 .21642 m
.00375 .21642 L
s
0 .22933 m
.00375 .22933 L
s
0 .24223 m
.00375 .24223 L
s
0 .25513 m
.00375 .25513 L
s
0 .28094 m
.00375 .28094 L
s
0 .29384 m
.00375 .29384 L
s
0 .30674 m
.00375 .30674 L
s
0 .31964 m
.00375 .31964 L
s
0 .34545 m
.00375 .34545 L
s
0 .35835 m
.00375 .35835 L
s
0 .37125 m
.00375 .37125 L
s
0 .38415 m
.00375 .38415 L
s
0 .40996 m
.00375 .40996 L
s
0 .42286 m
.00375 .42286 L
s
0 .43576 m
.00375 .43576 L
s
0 .44867 m
.00375 .44867 L
s
0 .47447 m
.00375 .47447 L
s
0 .48737 m
.00375 .48737 L
s
.25 Mabswid
0 0 m
0 .5 L
s
gsave
-0.01875 .25 -116.719 -10.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
67.7813 10.9375 translate
90 rotate
-67.7813 -10.9375 translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.875 translate 1 -1 scale
63.000 14.125 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.125 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(H) show
72.563 14.125 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.02381 .49375 m
.02381 .5 L
s
.21429 .49375 m
.21429 .5 L
s
.40476 .49375 m
.40476 .5 L
s
.59524 .49375 m
.59524 .5 L
s
.78571 .49375 m
.78571 .5 L
s
.97619 .49375 m
.97619 .5 L
s
.125 Mabswid
.07143 .49625 m
.07143 .5 L
s
.11905 .49625 m
.11905 .5 L
s
.16667 .49625 m
.16667 .5 L
s
.2619 .49625 m
.2619 .5 L
s
.30952 .49625 m
.30952 .5 L
s
.35714 .49625 m
.35714 .5 L
s
.45238 .49625 m
.45238 .5 L
s
.5 .49625 m
.5 .5 L
s
.54762 .49625 m
.54762 .5 L
s
.64286 .49625 m
.64286 .5 L
s
.69048 .49625 m
.69048 .5 L
s
.7381 .49625 m
.7381 .5 L
s
.83333 .49625 m
.83333 .5 L
s
.88095 .49625 m
.88095 .5 L
s
.92857 .49625 m
.92857 .5 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.99375 .00999 m
1 .00999 L
s
.99375 .0745 m
1 .0745 L
s
.99375 .13901 m
1 .13901 L
s
.99375 .20352 m
1 .20352 L
s
.99375 .26803 m
1 .26803 L
s
.99375 .33255 m
1 .33255 L
s
.99375 .39706 m
1 .39706 L
s
.99375 .46157 m
1 .46157 L
s
.125 Mabswid
.99625 .02289 m
1 .02289 L
s
.99625 .03579 m
1 .03579 L
s
.99625 .04869 m
1 .04869 L
s
.99625 .0616 m
1 .0616 L
s
.99625 .0874 m
1 .0874 L
s
.99625 .1003 m
1 .1003 L
s
.99625 .1132 m
1 .1132 L
s
.99625 .12611 m
1 .12611 L
s
.99625 .15191 m
1 .15191 L
s
.99625 .16481 m
1 .16481 L
s
.99625 .17772 m
1 .17772 L
s
.99625 .19062 m
1 .19062 L
s
.99625 .21642 m
1 .21642 L
s
.99625 .22933 m
1 .22933 L
s
.99625 .24223 m
1 .24223 L
s
.99625 .25513 m
1 .25513 L
s
.99625 .28094 m
1 .28094 L
s
.99625 .29384 m
1 .29384 L
s
.99625 .30674 m
1 .30674 L
s
.99625 .31964 m
1 .31964 L
s
.99625 .34545 m
1 .34545 L
s
.99625 .35835 m
1 .35835 L
s
.99625 .37125 m
1 .37125 L
s
.99625 .38415 m
1 .38415 L
s
.99625 .40996 m
1 .40996 L
s
.99625 .42286 m
1 .42286 L
s
.99625 .43576 m
1 .43576 L
s
.99625 .44867 m
1 .44867 L
s
.99625 .47447 m
1 .47447 L
s
.99625 .48737 m
1 .48737 L
s
.25 Mabswid
1 0 m
1 .5 L
s
gsave
.5 .5125 -134.719 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22.9375 translate 1 -1 scale
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Ikosidodekaeder) show
206.438 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
0 0 0 r
.001 w
.02381 .41105 m
.03333 .4075 L
.04286 .41462 L
.05238 .41229 L
.0619 .41201 L
.07143 .40951 L
.08095 .4056 L
.09048 .40992 L
.1 .41367 L
.10952 .41047 L
.11905 .40832 L
.12857 .41311 L
.1381 .41036 L
.14762 .41265 L
.15714 .41329 L
.16667 .4178 L
.17619 .41237 L
.18571 .40882 L
.19524 .41588 L
.20476 .4097 L
.21429 .40763 L
.22381 .41194 L
.23333 .41323 L
.24286 .41399 L
.25238 .41111 L
.2619 .41682 L
.27143 .41122 L
.28095 .41109 L
.29048 .41241 L
.3 .41275 L
.30952 .4138 L
.31905 .41071 L
.32857 .41421 L
.3381 .41842 L
.34762 .41045 L
.35714 .40637 L
.36667 .41347 L
.37619 .40297 L
.38571 .40249 L
.39524 .40825 L
.40476 .4098 L
.41429 .41167 L
.42381 .40831 L
.43333 .41111 L
.44286 .41743 L
.45238 .41365 L
.4619 .40797 L
.47143 .41281 L
.48095 .40875 L
.49048 .4102 L
Mistroke
.5 .41793 L
.50952 .41633 L
.51905 .4095 L
.52857 .41167 L
.5381 .4108 L
.54762 .41088 L
.55714 .41277 L
.56667 .40926 L
.57619 .41028 L
.58571 .40998 L
.59524 .41183 L
.60476 .41678 L
.61429 .41308 L
.62381 .41136 L
.63333 .40922 L
.64286 .41197 L
.65238 .41415 L
.6619 .41548 L
.67143 .41364 L
.68095 .41343 L
.69048 .41411 L
.7 .4182 L
.70952 .41393 L
.71905 .41272 L
.72857 .41062 L
.7381 .40798 L
.74762 .40951 L
.75714 .41501 L
.76667 .41388 L
.77619 .40835 L
.78571 .41309 L
.79524 .41003 L
.80476 .41582 L
.81429 .41783 L
.82381 .41016 L
.83333 .41383 L
.84286 .41666 L
.85238 .41511 L
.8619 .40608 L
.87143 .4082 L
.88095 .41711 L
.89048 .41146 L
.9 .40979 L
.90952 .41313 L
.91905 .40925 L
.92857 .41574 L
.9381 .41352 L
.94762 .41716 L
.95714 .41708 L
.96667 .41927 L
Mistroke
.97619 .41211 L
Mfstroke
1 0 0 r
[ 8 3 ] 0 Mabsdash
.02381 .41105 m
.03333 .39558 L
.04286 .35812 L
.05238 .40053 L
.0619 .44081 L
.07143 .4333 L
.08095 .46006 L
.09048 .32035 L
.1 .27545 L
.10952 .37959 L
.11905 .30021 L
.12857 .38996 L
.1381 .364 L
.14762 .35914 L
.15714 .37221 L
.16667 .38357 L
.17619 .41982 L
.18571 .34883 L
.19524 .26398 L
.20476 .40349 L
.21429 .42914 L
.22381 .41642 L
.23333 .38677 L
.24286 .38456 L
.25238 .36518 L
.2619 .36178 L
.27143 .40429 L
.28095 .34611 L
.29048 .39134 L
.3 .40291 L
.30952 .38552 L
.31905 .39258 L
.32857 .36405 L
.3381 .43477 L
.34762 .33635 L
.35714 .43419 L
.36667 .33559 L
.37619 .36186 L
.38571 .44471 L
.39524 .32372 L
.40476 .42425 L
.41429 .34331 L
.42381 .47852 L
.43333 .35999 L
.44286 .44536 L
.45238 .40219 L
.4619 .37003 L
.47143 .32718 L
.48095 .39846 L
.49048 .39532 L
Mistroke
.5 .35204 L
.50952 .36566 L
.51905 .42128 L
.52857 .43989 L
.5381 .4583 L
.54762 .44648 L
.55714 .39524 L
.56667 .36512 L
.57619 .37357 L
.58571 .37579 L
.59524 .45279 L
.60476 .42744 L
.61429 .38718 L
.62381 .42318 L
.63333 .41158 L
.64286 .39194 L
.65238 .43702 L
.6619 .37026 L
.67143 .3265 L
.68095 .40019 L
.69048 .43549 L
.7 .38547 L
.70952 .43691 L
.71905 .42539 L
.72857 .35956 L
.7381 .42688 L
.74762 .34817 L
.75714 .38341 L
.76667 .4881 L
.77619 .35735 L
.78571 .38554 L
.79524 .42935 L
.80476 .34851 L
.81429 .43418 L
.82381 .36406 L
.83333 .33191 L
.84286 .35809 L
.85238 .40588 L
.8619 .40153 L
.87143 .42208 L
.88095 .34378 L
.89048 .45529 L
.9 .36907 L
.90952 .35471 L
.91905 .42493 L
.92857 .37724 L
.9381 .385 L
.94762 .3329 L
.95714 .40447 L
.96667 .36372 L
Mistroke
.97619 .42223 L
Mfstroke
0 0 1 r
[ ] 0 setdash
.02381 .41105 m
.03333 .41218 L
.04286 .40301 L
.05238 .40802 L
.0619 .40526 L
.07143 .40956 L
.08095 .41308 L
.09048 .40969 L
.1 .40503 L
.10952 .41068 L
.11905 .41136 L
.12857 .40769 L
.1381 .41109 L
.14762 .41042 L
.15714 .4094 L
.16667 .40459 L
.17619 .41195 L
.18571 .41224 L
.19524 .40471 L
.20476 .41254 L
.21429 .4083 L
.22381 .41086 L
.23333 .41014 L
.24286 .40723 L
.25238 .40818 L
.2619 .40542 L
.27143 .41156 L
.28095 .40829 L
.29048 .40899 L
.3 .40776 L
.30952 .40582 L
.31905 .40928 L
.32857 .40633 L
.3381 .40907 L
.34762 .41349 L
.35714 .40107 L
.36667 .40952 L
.37619 .4079 L
.38571 .40426 L
.39524 .40602 L
.40476 .40367 L
.41429 .40777 L
.42381 .41498 L
.43333 .41178 L
.44286 .40574 L
.45238 .40651 L
.4619 .41107 L
.47143 .40787 L
.48095 .40809 L
.49048 .41373 L
Mistroke
.5 .4027 L
.50952 .4104 L
.51905 .40798 L
.52857 .40979 L
.5381 .4118 L
.54762 .40639 L
.55714 .41069 L
.56667 .40865 L
.57619 .41018 L
.58571 .40977 L
.59524 .40489 L
.60476 .41236 L
.61429 .40519 L
.62381 .40836 L
.63333 .41362 L
.64286 .4163 L
.65238 .4088 L
.6619 .40557 L
.67143 .40385 L
.68095 .40659 L
.69048 .4044 L
.7 .40139 L
.70952 .40708 L
.71905 .40291 L
.72857 .41234 L
.7381 .41112 L
.74762 .41003 L
.75714 .40357 L
.76667 .40312 L
.77619 .40387 L
.78571 .40958 L
.79524 .40722 L
.80476 .41369 L
.81429 .40587 L
.82381 .41334 L
.83333 .40815 L
.84286 .41382 L
.85238 .41094 L
.8619 .41234 L
.87143 .40414 L
.88095 .39829 L
.89048 .40455 L
.9 .40401 L
.90952 .40393 L
.91905 .40568 L
.92857 .40846 L
.9381 .40459 L
.94762 .40927 L
.95714 .41288 L
.96667 .40952 L
Mistroke
.97619 .40867 L
Mfstroke
0 1 0 r
[ 2 2 ] 0 Mabsdash
.02381 .41105 m
.03333 .4145 L
.04286 .40703 L
.05238 .40055 L
.0619 .39967 L
.07143 .39734 L
.08095 .39524 L
.09048 .38674 L
.1 .39935 L
.10952 .37355 L
.11905 .37451 L
.12857 .36798 L
.1381 .37774 L
.14762 .36568 L
.15714 .36686 L
.16667 .35723 L
.17619 .36138 L
.18571 .35484 L
.19524 .35747 L
.20476 .35313 L
.21429 .33685 L
.22381 .35075 L
.23333 .33387 L
.24286 .32794 L
.25238 .32008 L
.2619 .31619 L
.27143 .30903 L
.28095 .30795 L
.29048 .30741 L
.3 .30454 L
.30952 .30589 L
.31905 .29441 L
.32857 .29401 L
.3381 .28458 L
.34762 .28625 L
.35714 .287 L
.36667 .27777 L
.37619 .26709 L
.38571 .27664 L
.39524 .26019 L
.40476 .26552 L
.41429 .25109 L
.42381 .2657 L
.43333 .25875 L
.44286 .24767 L
.45238 .24292 L
.4619 .23188 L
.47143 .23835 L
.48095 .22778 L
.49048 .23247 L
Mistroke
.5 .21752 L
.50952 .21094 L
.51905 .20467 L
.52857 .20331 L
.5381 .20208 L
.54762 .19748 L
.55714 .18768 L
.56667 .18933 L
.57619 .19973 L
.58571 .17777 L
.59524 .17439 L
.60476 .17761 L
.61429 .17636 L
.62381 .17035 L
.63333 .15911 L
.64286 .15877 L
.65238 .1624 L
.6619 .15617 L
.67143 .14322 L
.68095 .14149 L
.69048 .1493 L
.7 .1324 L
.70952 .12355 L
.71905 .11974 L
.72857 .11997 L
.7381 .12249 L
.74762 .12875 L
.75714 .12105 L
.76667 .10793 L
.77619 .10122 L
.78571 .11037 L
.79524 .09802 L
.80476 .09509 L
.81429 .09279 L
.82381 .08963 L
.83333 .08761 L
.84286 .07808 L
.85238 .07386 L
.8619 .07578 L
.87143 .08327 L
.88095 .06935 L
.89048 .05787 L
.9 .05423 L
.90952 .0616 L
.91905 .0467 L
.92857 .04435 L
.9381 .04751 L
.94762 .03126 L
.95714 .03431 L
.96667 .03901 L
Mistroke
.97619 .0119 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
0 g
.15238 .06429 m
.15238 .20714 L
.29524 .20714 L
.29524 .06429 L
F
1 g
.15238 .06429 m
.15238 .20714 L
.29524 .20714 L
.29524 .06429 L
F
0 g
.001 w
[ ] 0 setdash
.15238 .06429 m
.29524 .06429 L
.29524 .20714 L
.15238 .20714 L
.15238 .06429 L
s
% Start of sub-graphic
p
0.152381 0.0642857 0.295238 0.207143 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0171233 0.171233 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0308219 0.35119 0.202055 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 1 0 r
.02493 w
[ 2 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .11644 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(RK) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.229452 0.35119 0.400685 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 1 r
.02493 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .31507 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(OFR) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.428082 0.35119 0.599315 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.02493 w
[ 8 3 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .5137 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(FR) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.626712 0.35119 0.797945 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.02493 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .71233 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .89726 -117 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4.) show
75.000 12.813 moveto
(Ordnung) show
117.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
129.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(D) show
141.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
153.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.1) show
171.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{964, 482},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000?40001hR000`400?l00000o`00003oo`3ooooo
0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00
o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo7
0?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0oooo
o`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?oo
ool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo
003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?oo
olL0oooo003o0?ooool0oooo1@3oool400000?l0oooo_P3oool00?l0ooooo`3oool40?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0o`3ooonk0?ooo`00o`3ooooo0?ooo`@0oooo00<0
00000?ooo`3oool0o`3oooo00?ooo`00o`3ooooo0?ooo`@0oooo00<000000?ooo`3oool0o`3oooo0
0?ooo`00o`3ooooo0?ooo`@0oooo00<000000?ooo`3oool0o`3oooo00?ooo`00o`3ooooo0?ooo`@0
oooo00<000000?ooo`3oool0o`3oooo00?ooo`00o`3ooooo0?ooo`80oooo1`00003o0?oookh0oooo
003o0?ooool0oooo103oool00`000000oooo0?ooo`3o0?oool00oooo003o0?ooool0oooo103oool0
0`000000oooo0?ooo`3o0?oool00oooo003o0?ooool0ooooo`3oooo70?ooo`00QP3oool2000009<0
oooo100000030?ooo`800000T@3oool300000080oooo0P00002@0?ooo`<00000103oool200000900
oooo0P0000040?ooo`800000S03oool500000080oooo0P0000040?ooo`800000?03oool008D0oooo
00@000000?ooo`3oool00000TP3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0000
0940oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`2=0?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool00000SP3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo000008d0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool0>@3oool008D0oooo00@000000?ooo`3oool00000T`3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000008h0oooo1@0000001@3oool00000
0?ooo`3oool0000008l0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00002>
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000S@3oool01@000000oooo
0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0i0?oo
o`00Q@3oool010000000oooo0?ooo`00002D0?ooo`050000003oool0oooo0?ooo`0000000P3oool0
0`000000oooo0?ooo`2<0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
S`3oool3000000<0oooo00@000000?ooo`3oool00000S`3oool2000000<0oooo00@000000?ooo`3o
ool00000S@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`0i0?ooo`00Q@3oool010000000oooo0?ooo`00002B0?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000S`3oool00`000000oooo000000020?ooo`04
0000003oool0oooo00000900oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00002>
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000S@3oool01@000000oooo
0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0i0?oo
o`00QP3oool2000009@0oooo0P0000040?ooo`800000T@3oool2000000<0oooo0P00002A0?ooo`<0
00000`3oool200000900oooo0P0000040?ooo`800000S@3oool2000000@0oooo0P0000040?ooo`80
0000?03oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo
0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00
o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo7
0?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0oooo
o`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool007@0ooooo`00003o00000?l000009000000_
0?ooo`00M03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo09H0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2F0?ooo`030000003o
ool0oooo09D0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0UP3oool0
0`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool0U@3oool0
0`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0;@3oool0
0480oooo0P0000040?ooo`800000103oool2000000<0oooo0`0000040?ooo`8000000`3oool40000
00<0oooo0P00000<0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?oo
o`3oool0;@3oool00440oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`030?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0
oooo803oool00`000000oooo0?ooo`0]0?ooo`00@@3oool010000000oooo0?ooo`00000;0?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool600000?l0ooooo`3ooooo0?oo
oaP0oooo1P00000_0?ooo`00@P3oool2000000X0oooo0P0000030?ooo`<000001P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0P00000<0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0;@3oool00440oooo00@000000?ooo`3oool0
00002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0]0?ooo`00@P3oool20000
00X0oooo0`0000030?ooo`<000000`3oool2000000@0oooo0P0000040?ooo`<000002`3oool00`00
0000oooo0?ooo`3o0?ooool0ooooo`3oool=0?ooo`03003o003oool0oooo0100oooo00<000000?oo
o`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo303oool00`00o`00
oooo0?ooo`0A0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0oooo
o`3ooooo0?ooo``0oooo00<00?l00?ooo`3oool04@3oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooo`/0oooo00<00?l00?ooo`3oool04P3oool0
0`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooool0ooooo`3oool;0?oo
o`03003o003oool0oooo0180oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3o
ool0703ooon:00000?l0ooooo`3ooomT0?ooo`03003o003oool0oooo0180oooo00<000000?ooo`3o
ool0;@3oool007@0oooo1000000K0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0
o`3ooooo0?ooog@0oooo1000000_0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooof40oooo00<00?l00?ooo`3oool04`3o
ool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooof00oooo00<00?l00?ooo`3oool0503oool0
0`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooof00oooo00<00?l00?ooo`3oool0503oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooogL0oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
o`3ooomP0?ooo`03003o003oool0oooo01@0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3o
oomO0?ooo`03003o003oool0oooo01D0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3ooom>
0?ooo`800?l09`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooodd0oooo00D00?l00?oo
o`3oool0oooo003o000<0?ooo`03003o003oool0oooo01H0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo
0?l0ooooo`3ooom<0?ooo`03003o003oool0oooo00<0oooo00@00?l00?ooo`00o`000?l0203oool0
0`00o`00oooo0?ooo`0F0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo
01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0ooooB`3oool00`00
o`00oooo0?ooo`080?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool05P3oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool4000001/0oooo00<000000?ooo`3oool0QP3oool00`000000
oooo0?ooo`3o0?ooool0ooooB`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo01T0
oooo1000000_0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooooo0?oooeT0oooo0P00o`020?ooo`03003o003oool0oooo01L0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3ooom:0?ooo`03003o003oool0oooo00l0oooo0P00
o`0I0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<00000
0?ooo`3oool0=03oool300000080oooo100000000`3oool00000000000160?ooo`030000003oool0
oooo0?l0ooooo`3ooom90?ooo`03003o003oool0oooo02/0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0=0?ooo`<00?l000D0oooo003o
0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`00103oool00?l0003o
0000o`0A0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000A`3oool00`00
0000oooo0?ooo`3o0?ooool0ooooB@3oool00`00o`00oooo0?ooo`0[0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0=@3oool3000000<0
oooo0`0000180?ooo`030000003oool0oooo0?l0ooooo`3ooom80?ooo`03003o003oool0oooo02`0
oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`0e0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000B03oool00`000000
oooo0?ooo`3o0?ooool0oooo?P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo02d0
oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`0e0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000A`3oool00`00
0000oooo0?ooo`3o0?ooool0oooo>`3oool01000o`00oooo003o003oool2003o00H0oooo00<00?l0
0?ooo`3oool0;@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo03@0oooo100000020?ooo`<0000000<0oooo000000000000AP3oool00`00
0000oooo0?ooo`3o0?ooool0oooo=`3oool01000o`00oooo003o0000o`060?ooo`800?l0=03oool0
0`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooocH0oooo00<00?l00?ooo`3oool02`3oool3003o
0300oooo00<000000?ooo`3oool0;@3oool007@0oooo1000000K0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0o`3ooooo0?ooocH0oooo00<00?l00?ooo`3oool0>`3oool4000002l0
oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3o0?ooool0ooooM`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooocD0oooo00<0
0?l00?ooo`3oool0?`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?oooc@0oooo00<00?l0
0?ooo`3oool0@03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooobL0oooo00<00?l00?oo
o`3oool0C@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`03
0000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooobH0oooo00<00?l00?ooo`3o
ool02@3oool00`00o`00oooo0?ooo`120?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000
003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo
903oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0
@`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooob00oooo00@00?l00?ooo`00o`000?l0
1P3oool2003o00D0oooo00<00?l00?ooo`3oool0@`3oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3o
oooo0?oooal0oooo00<00?l00?ooo`3oool02P3oool01@00o`00oooo0?ooo`3oool00?l004H0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0ooooo`3ooolO0?ooo`03003o003oool0oooo00/0oooo0`00
o`170?ooo`030000003oool0oooo02d0oooo001d0?ooo`@000006`3oool00`000000oooo0?ooo`26
0?ooo`030000003oool0oooo0?l0ooooo`3ooolM0?ooo`03003o003oool0oooo00l0oooo00<00?l0
0?ooo`3oool0@P3oool4000002l0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool00`00o`00oooo0?ooo`1H0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`3o0?ooool0oooo703oool00`00o`00oooo0?ooo`1H0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
QP3oool00`000000oooo0?ooo`3o0?ooool0oooo6`3oool00`00o`00oooo0?ooo`1I0?ooo`030000
003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3o
ool00`000000oooo0?ooo`3o0?ooool0oooo6P3oool00`00o`00oooo0?ooo`1J0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool0
0`000000oooo0?ooo`3o0?ooool0oooo6@3oool00`00o`00oooo0?ooo`1K0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`3o0?ooool0oooo603oool00`00o`00oooo0?ooo`1L0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000
oooo0?ooo`3o0?ooool0oooo5`3oool00`00o`00oooo0?ooo`1M0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3o0?ooool0oooo5`3oool00`00o`00oooo0?ooo`1M0?ooo`030000003oool0oooo02d0oooo
00180?ooo`800000103oool2000000@0oooo0P0000030?ooo`<00000103oool2000000@0oooo0P00
000<0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?oo
o`3o0?ooool0ooooM`3oool00`000000oooo0?ooo`0]0?ooo`00A`3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`0f0?ooo`8000000`3oool300000080oooo0`0000020?ooo`030000003oool0
oooo03h0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`80oooo00<00?l00?ooo`3oool04@3oool0
0`00o`00oooo0?ooo`1N0?ooo`030000003oool0oooo02d0oooo00170?ooo`040000003oool0oooo
000000/0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool02@3oool6000001T0oooo00<000000?ooo`3oool0=@3o
ool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
0000@@3oool00`000000oooo0?ooo`3o0?ooooh0oooo0P00o`020?ooo`800?l000<0oooo003o003o
ool03@3oool00`00o`00oooo0?ooo`1J0?ooo`H00000;`3oool004P0oooo0P00000:0?ooo`800000
0`3oool3000000H0oooo00@000000?ooo`3oool0oooo0P00000<0?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool03@3ooolH0000oa00oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`020?ooo`<00000@P3oool00`000000oooo0?ooo`3o0?oooo`0oooo00<00?l00?oo
o`3oool01`3oool2003o00030?ooo`00o`00oooo06/0oooo00<000000?ooo`3oool0;@3oool004L0
oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`0000030?ooo`8000000`3o
ool010000000oooo0?ooo`0000110?ooo`030000003oool0oooo0?l0oooonP3oool2003o00h0oooo
00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`1P0?ooo`030000003oool0oooo02d0oooo
00180?ooo`8000002P3oool3000000<0oooo0`0000030?ooo`800000103oool3000000/0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0e0?ooo`040000003oool0oooo000000<0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo03l0oooo00<000000?oo
o`3oool0o`3ooooh0?ooo`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool0103oool00`00
o`00oooo0?ooo`1Q0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool0=P3oool2000000<0oooo2@0000120?ooo`030000003oool0oooo0?l0
oooom`3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3o
ool0H@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000
003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooo`h0oooo0P00o`000`3oool00?l0
0?ooo`1T0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooooD0oooo00<00?l00?ooo`3oool05`3o
ool2003o06D0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooom03oool00`00o`00oooo0?ooo`0I
0?ooo`03003o003oool0oooo06<0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3ooomg0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`3o0?oooo<0oooo00<00?l00?ooo`3oool0P03oool00`000000
oooo0?ooo`0]0?ooo`00M03oool4000001/0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3o0?oooo40oooo0P00o`200?ooo`@00000;`3oool007@0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooj`3oool00`00o`00oooo003o
0002003o08H0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooj03oool3003o08/0oooo00<00000
0?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?oo
o`030000003oool0oooo0?l0ooooiP3oool2003o08h0oooo00<000000?ooo`3oool0;@3oool007@0
oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0
oooohP3oool3003o0940oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooogP3oool3003o09D0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo0?l0oooofP3oool3003o09T0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0ooooeP3oool3003o09d0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooood`3oool2003o
0:40oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooodP3oool00`00o`00oooo0?ooo`2Q0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`@000006`3oool00`000000oooo0?ooo`260?ooo`030000
003oool0oooo0?l0ooood@3oool00`00o`00oooo0?ooo`2O0?ooo`@00000;`3oool007@0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo``3o
ool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo0:<0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0oooo`P3oool00`00o`00oooo003o000;0?ooo`03003o003oool0oooo0:<0oooo00<00000
0?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?oo
o`030000003oool0oooo0?l0oooo`@3oool01@00o`00oooo0?ooo`3oool00?l000T0oooo00<00?l0
0?ooo`3oool0Y03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooono0?ooo`800?l01@3oool2003o
00H0oooo00<00?l00?ooo`3oool0Y@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000
oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooonm0?ooo`03
003o003oool0oooo00h0oooo00<00?l00?ooo`3oool0Y@3oool00`000000oooo0?ooo`0]0?ooo`00
M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03D0oooo0`0000020?ooo`<00000
0P3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0?l0oooo_03oool00`00o`00oooo
0?ooo`090?ooo`03003o003oool0oooo0:/0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo0080oooo00@0
00000?ooo`3oool00000A`3oool00`000000oooo0?ooo`3o0?ooolT0oooo0P00o`000`3oool00?l0
0?ooo`2X0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool03@3oool90?l00080oooo2@3o00020?ooo`80o`004@3oool00`000000oooo0?oo
o`020?ooo`<00000B03oool00`000000oooo0?ooo`3o0?oook/0oooo00<00?l00?ooo`3oool03@3o
ool00`00o`00oooo0?ooo`2X0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0=P3oool2000000<0oooo00@000000?ooo`3oool00000A`3o
ool00`000000oooo0?ooo`3o0?oookT0oooo0P00o`2k0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0=P3oool01P000000oooo0?ooo`00
0000oooo00000080oooo00<000000?ooo`3oool0A@3oool00`000000oooo0?ooo`3o0?ooool0oooo
M`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool4000001/0oooo00<000000?ooo`3oool0=@3o
ool9000004P0oooo00<000000?ooo`3oool0o`3ooonh0?ooo`03003o003oool0oooo0;P0oooo1000
000_0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool0o`3ooong0?ooo`03003o003oool0oooo0;`0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo
0?l0oooo]`3oool00`00o`00oooo0?ooo`2l0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oookH0
oooo00<00?l00?ooo`3oool0_@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooone0?ooo`03003o
003oool0oooo0;h0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooU@3oool3003o00060?ooo`00
o`000?l0003o003oool00?l05`3oool00`00o`00oooo0?ooo`2n0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo
0?ooo`3o0?oooi<0oooo00<00?l00?ooo`3oool0203oool2003o00030?ooo`00o`00oooo0100oooo
00<00?l00?ooo`3oool0`03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooon@0?ooo`<00?l03`3o
ool2003o00030?ooo`00o`00oooo00/0oooo00<00?l00?ooo`3oool0`@3oool00`000000oooo0?oo
o`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool0o`3ooon>0?ooo`800?l05P3oool2003o00X0oooo00<00?l00?ooo`3oool0`@3oool0
0`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
08H0oooo00<000000?ooo`3oool0o`3ooon<0?ooo`03003o003oool0oooo01T0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`330?ooo`030000003oool0oooo02d0oooo001d0?ooo`@0
00006`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooR`3oool00`00o`00
oooo0?ooo`0K0?ooo`800?l0103oool00`00o`00oooo0?ooo`310?ooo`@00000;`3oool007@0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo
R`3oool00`00o`00oooo0?ooo`0N0?ooo`800?l0b03oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3o
oon90?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool0aP3oool00`000000oooo0?oo
o`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool0o`3ooon80?ooo`03003o003oool0oooo0>/0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo
0?l0ooooR03oool00`00o`00oooo0?ooo`3[0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooohH0
oooo0P00o`3^0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooohD0oooo00<00?l00?ooo`3oool0
kP3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo08H0oooo00<000000?ooo`3oool0o`3ooon50?ooo`03003o003oool0oooo0>h0oooo00<0
00000?ooo`3oool0;@3oool00480oooo0P0000040?ooo`800000103oool2000000<0oooo0`000004
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`800000303oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooon40?ooo`03003o003oool0
oooo0>l0oooo00<000000?ooo`3oool0;@3oool00440oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
0000103oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooon40?oo
o`03003o003oool0oooo0>l0oooo00<000000?ooo`3oool0;@3oool00440oooo00@000000?ooo`3o
ool000002`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo1P00000I
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooon40?ooo`03003o003oool0
oooo0>X0oooo1P00000_0?ooo`00@P3oool2000000X0oooo0P0000030?ooo`<000001P3oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`800000303oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooooo0?ooogL0oooo00<00000
0?ooo`3oool0;@3oool00440oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`260?ooo`030000003oool0oooo0?l0ooooM`3oool00`00o`00oooo0?ooo`090?ooo`03003o
003oool0oooo0?00oooo00<000000?ooo`3oool0;@3oool00480oooo0P00000:0?ooo`<000000`3o
ool3000000<0oooo0P0000030?ooo`@000000`3oool3000000/0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`0e0?ooo`<000000`3oool400000080oooo0`0000120?ooo`030000003o
ool0oooo0?l0ooooL@3oool00`00o`00oooo003o0002003o0080oooo00<00?l00?ooo`3oool01`3o
ool00`00o`00oooo0?ooo`3a0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool03@3ooolH00000100oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0440oooo00<000000?ooo`3oool0
o`3ooom_0?ooo`800?l02@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo0?40oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`0h0?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo0?l0ooooNP3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo0?80oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?oo
o`0f0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0440oooo00<0
00000?ooo`3oool0o`3ooom^0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`3c0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`0000020?ooo`0:0000003o
ool0oooo0000003oool000000?ooo`000000oooo00000440oooo00<000000?ooo`3oool0o`3ooom]
0?ooo`03003o003oool0oooo00d0oooo00@00?l00?ooo`3oool00?l0m@3oool00`000000oooo0?oo
o`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo03D0oooo10000002
0?ooo`@0000000<0oooo0000000000000`0000110?ooo`030000003oool0oooo0?l0ooooOP3oool2
003o0?H0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooK03oool00`00o`00oooo0?ooo`3o0?oo
o`P0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooJ`3oool00`00o`00oooo0?ooo`3o0?ooo`T0
oooo00<000000?ooo`3oool0;@3oool007@0oooo1000000K0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooomZ0?ooo`03003o003oool0oooo0?l0oooo1`3oool4000002l0oooo
001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?oo
o`3o0?ooofT0oooo00<00?l00?ooo`3oool0o`3oool;0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o
0?ooofP0oooo00<00?l00?ooo`3oool0o`3oool<0?ooo`030000003oool0oooo02d0oooo001d0?oo
o`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oo
ofP0oooo00<00?l00?ooo`3oool0o`3oool<0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?ooofH0
oooo00<00?l00?ooo`3oool0o`3oool>0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000
003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oooe80oooo
0`00o`00103oool00?l0003o0000o`0<0?ooo`03003o003oool0oooo0?l0oooo3`3oool00`000000
oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooom@0?ooo`03003o003oool0oooo00L0oooo0`00o`060?ooo`03003o
003oool0oooo0?l0oooo4@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooom?0?ooo`03003o003o
ool0oooo00`0oooo00<00?l00?ooo`3oool00P00o`3o0?oooa@0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo0?l0ooooC`3oool00`00o`00oooo0?ooo`0=0?ooo`800?l0o`3ooolF0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`3o0?ooodh0oooo00<00?l00?ooo`3oool0o`3ooolV0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`@000006`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0
ooooC@3oool00`00o`00oooo0?ooo`3o0?ooob@0oooo1000000_0?ooo`00M03oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooom=0?ooo`03003o
003oool0oooo0?l0oooo9`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooom;0?ooo`03003o003o
ool0oooo0?l0oooo:@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooom:0?ooo`03003o003oool0
oooo0?l0oooo:P3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool0o`3ooom:0?ooo`03003o003oool0oooo
0?l0oooo:P3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`03
0000003oool0oooo03`0oooo0`0000170?ooo`030000003oool0oooo0?l0ooooB03oool00`00o`00
oooo0?ooo`3o0?ooob`0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0o0?ooo`050000003oool0oooo0?ooo`000000@P3oool00`000000
oooo0?ooo`3o0?ooodL0oooo00<00?l00?ooo`3oool0o`3oool]0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool03P3oool300000080oooo
0P0000040?ooo`8000000`3oool4000000<0oooo1P0000020?ooo`8000000P3oool600000080oooo
0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`070?ooo`D00000203oool4000000T0oooo
0P0000040?ooo`8000000`3oool5000000l0oooo00<000000?ooo`3oool0o`3ooom50?ooo`03003o
003oool0oooo0?l0oooo;`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0L0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`000000
5@3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool0o`3oool`0?ooo`<00?l000<0oooo003o003oool03@3oool2003o0?l0oooo<P3oool00`000000
oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00`0oooo
1@0000070?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000h0oooo00<000000?ooo`00
00002@3oool4000000P0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0?l0oooo;P3oool00`00o`00oooo0?ooo`040?ooo`800?l000<0oooo003o
003oool01P3oool3003o0?l0oooo=03oool00`000000oooo0?ooo`0]0?ooo`00M03oool4000001/0
oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
00000080oooo100000030?ooo`<0000000<0oooo0000000000000P0000020?ooo`80000000@0oooo
000000000000oooo100000040?ooo`@000003P3oool00`000000oooo0?ooo`0D0?ooo`040000003o
ool0oooo000000X0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3o0?ooobd0oooo
00<00?l00?ooo`3oool02@3oool2003o00040?ooo`00o`000?l0003o0?l0oooo=@3oool4000002l0
oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool03@3oool00`000000oooo
000000080?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`0D0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool03`3oool00`00
0000oooo0?ooo`3o0?ooob/0oooo00<00?l00?ooo`3oool0o`3ooom90?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool03P3oool2000000T0
oooo0P00000;0?ooo`8000009`3oool00`000000oooo0?ooo`0E0?ooo`8000002P3oool200000140
oooo00<000000?ooo`3oool0o`3ooolZ0?ooo`03003o003oool0oooo0?l0ooooBP3oool00`000000
oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0o`3ooooo0?ooogL0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo:@3o
ool00`00o`00oooo0?ooo`3o0?oood/0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo:03oool0
0`00o`00oooo0?ooo`3o0?oood`0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo:03oool00`00
o`00oooo0?ooo`3o0?oood`0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0ooooo`3ooomg0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
QP3oool00`000000oooo0?ooo`3o0?oooa@0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo
0?ooo`3o0?oood`0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0703o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo0?l0oooo5@3oool2003o00040?ooo`00
o`000?l0003o00`0oooo00<00?l00?ooo`3oool0o`3ooom=0?ooo`030000003oool0oooo02d0oooo
001d0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?oo
o`3o0?oooa<0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`080?ooo`03003o003o
ool0oooo0?l0ooooC@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool4000001/0oooo00<00000
0?ooo`3oool0QP3oool00`000000oooo0?ooo`3o0?oooa40oooo0P00o`0:0?ooo`03003o003oool0
oooo0?l0ooooE03oool4000002l0oooo001d0?ooo`030000003oool0oooo01`0oooo00<000000?oo
o`3oool0QP3oool00`000000oooo0?ooo`3o0?ooobH0oooo00<00?l00?ooo`3oool0o`3ooom>0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01`0ooooRP00003o0?oooa80
oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo0?l0
ooooC`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?oookH0oooo
0P00o`0@0?ooo`03003o003oool0oooo0?l0ooooE03oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`3o0?oookD0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?oo
o`3o0?oooe00oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooond
0?ooo`03003o003oool0oooo0180oooo00@00?l00?ooo`3oool00?l0o`3ooomB0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0oooo/P3oool2003o01H0oooo0`00o`3o
0?oooe80oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooon`0?oo
o`800?l0o`3ooom]0?ooo`030000003oool0oooo02d0oooo001>0?ooo`800000103oool2000000@0
oooo0P0000030?ooo`<000001@3oool3000000X0oooo00<000000?ooo`3oool0o`3ooon^0?ooo`03
003o003oool0oooo0?l0ooooKP3oool00`000000oooo0?ooo`0]0?ooo`00C@3oool010000000oooo
0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo0?l0ooooZ03oool3003o00030?ooo`00o`00
0?l00?l0ooooL@3oool00`000000oooo0?ooo`0]0?ooo`00C@3oool010000000oooo0?ooo`00000;
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@00000:0?ooo`H00000o`3o
oonM0?ooo`<00?l000@0oooo003o0000o`000?l0o`3ooomc0?ooo`H00000;`3oool004h0oooo0P00
000:0?ooo`8000000`3oool3000000<0oooo00@000000?ooo`3oool000002`3oool00`000000oooo
0?ooo`3o0?oooih0oooo00<00?l00?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo02d0oooo
001=0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0000000/0oooo00<000000?ooo`3oool0o`3ooonL0?ooo`800?l0
o`3ooon10?ooo`030000003oool0oooo02d0oooo001>0?ooo`8000002P3oool3000000<0oooo0`00
00040?ooo`8000002`3oool00`000000oooo0?ooo`3o0?oooi/0oooo00<00?l00?ooo`3oool0o`3o
oon10?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooV@3oool2
003o0?l0ooooQ03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?oo
oiL0oooo00<00?l00?ooo`3oool0o`3ooon50?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo0?l0ooooUP3oool00`00o`00oooo0?ooo`3o0?ooohH0oooo00<000000?ooo`3o
ool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooonD0?ooo`03003o003oool0oooo0?l0oooo
R03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?oooi80oooo0P00
o`3o0?oooh/0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooonA
0?ooo`03003o003oool0oooo0?l0ooooR`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool40000
0?l0ooooS`3oool00`00o`00oooo0?ooo`3o0?ooohT0oooo1000000_0?ooo`00M03oool00`000000
oooo0?ooo`3o0?ooohl0oooo00<00?l00?ooo`3oool0o`3ooon=0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo0?l0ooooSP3oool00`00o`00oooo0?ooo`3o0?ooohh0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooon=0?ooo`03003o003o
ool0oooo0?l0ooooS`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o
0?ooohd0oooo00<00?l00?ooo`3oool0o`3ooon?0?ooo`030000003oool0oooo02d0oooo001d0?oo
o`030000003oool0oooo0?l0ooooS03oool00`00o`00oooo0?ooo`3o0?oooi00oooo00<000000?oo
o`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooon;0?ooo`03003o003oool0oooo0?l0
ooooT@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?oooh/0oooo
00<00?l00?ooo`3oool0o`3ooonA0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003o
ool0oooo0?l0ooooo`3ooooo0?ooob00oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0o`3ooomo0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0o`3ooonB
0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooP03oool2003o
00H0oooo0P00o`3o0?oooiD0oooo00<000000?ooo`3oool0;@3oool007@0oooo1000003o0?ooogd0
oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`3o0?oooiH0oooo1000000_0?ooo`00
M03oool00`000000oooo0?ooo`3o0?ooog`0oooo0P00o`060?ooo`04003o003oool0oooo003o0?l0
ooooU`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooog00oooo
00<00?l00?ooo`3oool04`3oool2003o0?l0ooooU`3oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`3o0?ooofl0oooo00@00?l00?ooo`00o`000?l0203oool00`00o`00oooo
0?ooo`3o0?oooj40oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3o
oom^0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?oo
o`3o0?oooj80oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooome
0?ooo`03003o003oool0oooo0?l0ooooY`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`00
0000oooo0?ooo`3o0?ooof`0oooo00<00?l00?ooo`3oool0203oool2003o0?l0ooooYP3oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooof/0oooo00<00?l00?ooo`3o
ool02@3oool00`00o`00oooo0?ooo`3o0?ooojD0oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`3o0?ooofX0oooo00<00?l00?ooo`3oool0o`3ooonb0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`@00000o`3ooomW0?ooo`800?l0o`3ooonb0?ooo`@00000;`3oool0
07@0oooo00<000000?ooo`3oool0o`3ooomW0?ooo`03003o003oool0oooo0?l0oooo]@3oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooofD0oooo0P00o`3o0?oookP0
oooo00<000000?ooo`3oool0;@3oool002l0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0j0?ooo`030000003oool0oooo0?l0ooooH`3oool00`00o`00oooo0?ooo`3o0?oookT0oooo
00<000000?ooo`3oool0;@3oool002l0oooo2@00000l0?ooo`030000003oool0oooo0?l0ooooH@3o
ool2003o0?l0oooo_03oool00`000000oooo0?ooo`0]0?ooo`00;`3oool01@000000oooo0?ooo`3o
ool0000000<0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`3o0?ooof00oooo00<0
0?l00?ooo`3oool0o`3ooonl0?ooo`030000003oool0oooo02d0oooo000c0?ooo`030000003oool0
oooo03h0oooo00<000000?ooo`3oool0o`3ooomO0?ooo`03003o003oool0oooo0?l0oooo_@3oool0
0`000000oooo0?ooo`0]0?ooo`00<`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo
0?l0ooooBP3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo0?l0oooo_@3oool00`00
0000oooo0?ooo`0]0?ooo`00;`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?oo
o`3oool0>P3oool00`000000oooo0?ooo`3o0?ooodX0oooo00<00?l00?ooo`3oool0403oool00`00
o`00oooo0?ooo`3o0?oookl0oooo00<000000?ooo`3oool0;@3oool002l0oooo2@00000l0?ooo`03
0000003oool0oooo0?l0ooooB@3oool00`00o`00oooo003o000@0?ooo`03003o003oool0oooo0?l0
oooo`03oool00`000000oooo0?ooo`0]0?ooo`00;`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo03X0oooo1000003o0?ooodH0oooo0P00o`030?ooo`03003o003oool0oooo00d0oooo
00<00?l00?ooo`3oool0o`3ooonm0?ooo`@00000;`3oool007@0oooo00<000000?ooo`3oool0o`3o
oom<0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0o`3oooo10?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooAP3oool00`00o`00oooo0?ooo`04
0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0o`3oooo20?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooA@3oool00`00o`00oooo0?ooo`0A0?oo
o`03003o003oool0oooo0?l0oooo``3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000
oooo0?ooo`3o0?oooc/0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`060?ooo`03
003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0o`3oooo40?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo0?l0oooo>P3oool01000o`00oooo0?ooo`00o`060?ooo`03
003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0103oool2003o0?l0ooooa`3oool00`000000
oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooocX0oooo00D00?l00?ooo`3oool0
oooo003o00040?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0o`3oooo70?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo09T0oooo00<0o`000?ooo`3oool0
W03oool00`00o`00oooo0?ooo`040?ooo`04003o003oool0oooo003o00`0oooo00<00?l00?ooo`3o
ool00P00o`3o0?ooolX0oooo00<000000?ooo`3oool0;@3oool00480oooo0P0000040?ooo`800000
103oool2000000<0oooo0`0000050?ooo`<0000000<0oooo0000000000000P0000030?ooo`800000
303oool00`000000oooo0?ooo`2I0?ooo`030?l0003oool0oooo09/0oooo00<00?l00?ooo`3oool0
1P3oool2003o00d0oooo00<00?l00?ooo`3oool0o`3oooo<0?ooo`030000003oool0oooo02d0oooo
00110?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000050?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3oool000002`3o
ool00`000000oooo0?ooo`2I0?ooo`80o`00W03oool00`00o`00oooo0?ooo`0F0?ooo`03003o003o
ool0oooo0?l0oooob`3oool00`000000oooo0?ooo`0]0?ooo`00@@3oool010000000oooo0?ooo`00
000;0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@0000020?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool6000009H0oooo0P3o002@0?ooo`03003o
003oool0oooo0?l0ooooj`3oool6000002l0oooo00120?ooo`8000002P3oool2000000<0oooo0`00
00030?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool2000000`0oooo
00<000000?ooo`3oool0V@3oool00`3o0000oooo0?ooo`2=0?ooo`03003o003oool00?l000X0oooo
00<00?l00?ooo`3oool0o`3ooooU0?ooo`030000003oool0oooo02d0oooo00110?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000
003oool000000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo09T0oooo00<0o`000?ooo`3oool0S03oool01@00o`00oooo0?ooo`3oool00?l0
00P0oooo00<00?l00?ooo`3oool0o`3ooooV0?ooo`030000003oool0oooo02d0oooo00120?ooo`80
00002P3oool3000000<0oooo0`0000040?ooo`8000000`3oool2000000@0oooo0`00000;0?ooo`03
0000003oool0oooo09X0oooo00<0o`000?ooo`3oool0T03oool00`00o`00oooo0?ooo`050?ooo`03
003o003oool0oooo0?l0ooooiP3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo
0?ooo`2J0?ooo`030?l0003oool0oooo08X0oooo00<00?l00?ooo`3oool0103oool2003o00@0oooo
00<00?l00?ooo`3oool0o`3ooooW0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003o
ool0oooo09T0oooo0P3o002:0?ooo`800?l0303oool00`00o`00oooo0?ooo`3o0?ooonP0oooo00<0
00000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0C@3oool00`3o0000oooo0?ooo`19
0?ooo`80o`00U@3oool01000o`00oooo0?ooo`00o`3o0?ooonX0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0C@3oool00`3o0000oooo0?ooo`190?ooo`80o`00R@3oool0
0`00o`00oooo0?ooo`0:0?ooo`800?l0o`3oooo[0?ooo`030000003oool0oooo02d0oooo001d0?oo
o`030000003oool0oooo04d0oooo00<0o`000?ooo`3oool0B@3oool20?l008P0oooo00<00?l00?oo
o`3oool0o`3ooooh0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04d0
oooo0P3o00190?ooo`030?l0003oool0o`000?l0ooooo`3ooon40?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo04d0oooo0P3o00190?ooo`030?l0003oool0o`0008H0oooo
00<00?l00?ooo`3oool0o`3ooooj0?ooo`030000003oool0oooo02d0oooo001d0?ooo`@00000C@3o
ool00`3o0000oooo0?ooo`170?ooo`030?l0003oool0o`0008D0oooo00<00?l00?ooo`3oool0o`3o
oooh0?ooo`@00000;`3oool007@0oooo00<000000?ooo`3oool0C03oool00`3o0000oooo0?ooo`19
0?ooo`030?l0003oool0oooo08<0oooo00<00?l00?ooo`3oool0o`3oooom0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo04`0oooo00<0o`000?ooo`3oool0B@3oool00`3o
0000oooo0?ooo`220?ooo`03003o003oool0oooo0?l0oooooP3oool00`000000oooo0?ooo`0]0?oo
o`00M03oool00`000000oooo0?ooo`1;0?ooo`040?l0003oool0oooo0?l004`0oooo00<0o`000?oo
o`3oool0KP3oool00`00o`00oooo003o0002003o00`0oooo00<00?l00?ooo`3oool0o`3oooon0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04/0oooo00@0o`000?ooo`3o
ool0o`00C03oool00`3o0000oooo0?ooo`1/0?ooo`800?l01P3oool3003o00040?ooo`00o`000?l0
003o0080oooo00<00?l00?ooo`3oool0o`3ooooo0?ooo`40oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0B`3oool0103o0000oooo0?ooo`3o00180?ooo`050?l0003oool0
oooo0?ooo`3o0000OP3oool2003o0?l0ooooo`3oool30?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo04/0oooo00@0o`000?ooo`3oool0o`00B03oool01@3o0000oooo0?oo
o`3oool0o`0006d0oooo00<00?l00?ooo`3oool0o`3ooooo0?oooa<0oooo00<000000?ooo`3oool0
;@3oool007@0oooo00<000000?ooo`3oool0BP3oool01@3o0000oooo0?ooo`3oool0o`0004P0oooo
00D0o`000?ooo`3oool0oooo0?l0001[0?ooo`800?l0o`3ooooo0?oooaH0oooo00<000000?ooo`3o
ool0;@3oool007@0oooo00<000000?ooo`3oool0BP3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo04D0oooo00D0o`000?ooo`3oool0oooo0?l0001Z0?ooo`03003o003oool0oooo0?l0
ooooo`3ooolF0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04X0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`140?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool0I`3oool00`00o`00oooo0?ooo`3o0?ooool0oooo5`3oool00`000000oooo
0?ooo`0]0?ooo`00M03oool4000004h0oooo00<0o`000?ooo`3oool0A03oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo06<0oooo0`00o`000`3oool00?l00?ooo`3o0?ooool0oooo5@3o
ool4000002l0oooo001d0?ooo`030000003oool0oooo04l0oooo00<0o`000?ooo`3oool0A03oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05l0oooo0`00o`3o0?ooool0oooo7`3oool0
0`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`1:0?ooo`030?l0003oool0oooo
04T0oooo00<0o`000?ooo`3oool0HP3oool00`00o`00oooo0?ooo`3o0?ooool0oooo8@3oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`1:0?ooo`030?l0003oool0oooo04T0
oooo00<0o`000?ooo`3oool0H@3oool00`00o`00oooo0?ooo`3o0?ooool0oooo8P3oool00`000000
oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`190?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0B@3oool00`3o0000oooo0?ooo`3o0?ooool0ooooP@3oool00`000000oooo
0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`190?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo05/0oooo00<0
0?l00?ooo`3oool0o`3ooooo0?ooob<0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0B@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool0=P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05X0oooo00<00?l0
0?ooo`3oool0o`3ooooo0?ooob@0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?oo
o`3oool0B@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00/0oooo00<0o`000?oo
o`3oool0=P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05X0oooo00<00?l00?oo
o`3oool0o`3ooooo0?ooob@0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3o
ool0B03oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3o
ool0=P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05P0oooo00<00?l00?ooo`3o
ool0o`3ooooo0?ooobH0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
B03oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00T0oooo0P3o000h0?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool0C03oool00`00o`00oooo003o0002003o00030?oo
o`00o`00oooo0080oooo00<00?l00?ooo`3oool0o`3ooooo0?ooobL0oooo00<000000?ooo`3oool0
;@3oool007@0oooo100000170?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02@3o
ool20?l003L0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`180?ooo`04003o003o
ool00?l0003o00L0oooo0P00o`000`3oool00?l00?ooo`3o0?ooool0oooo9@3oool4000002l0oooo
001d0?ooo`030000003oool0oooo0500oooo00<0o`000?ooo`3oool02@3oool20?l003L0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0o0?ooo`<00?l000H0oooo003o0000o`000?l0
0?ooo`00o`3o0?ooool0oooo>03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo
0?ooo`1@0?ooo`030?l0003oool0oooo00T0oooo0P3o000g0?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool0=`3oool3003o00040?ooo`00o`000?l0003o0?l0ooooo`3ooom20?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04L0oooo00<0o`000?ooo`3oool0
4P3oool00`3o0000oooo0?l0000f0?ooo`030?l0003oool0oooo03h0oooo00<00?l00?ooo`3oool0
o`3ooooo0?ooodH0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0A`3o
ool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo03@0oooo00<0o`000?ooo`3oool0?03o
ool00`00o`00oooo0?ooo`3o0?ooool0ooooB03oool00`000000oooo0?ooo`0]0?ooo`00M03oool0
0`000000oooo0?ooo`170?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool02`3oool0
0`3o0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo03@0oooo00<00?l00?ooo`3oool0o`3ooooo
0?ooodT0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0A`3oool00`3o
0000oooo0?ooo`060?ooo`030?l0003oool0oooo00P0oooo00@0o`000?ooo`3oool0o`00?@3oool0
0`3o0000oooo0?ooo`0b0?ooo`03003o003oool0oooo0?l0ooooo`3ooom;0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo04H0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`080?ooo`030?l0003oool0oooo03L0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`0a0?ooo`03003o003oool0oooo0?l0ooooo`3ooom<0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo04H0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo03L0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0`0?ooo`03003o003oool0oooo0?l0ooooo`3ooom=0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo04H0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`080?ooo`040?l0003oool0oooo0?l003H0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0]0?ooo`<00?l0o`3ooooo0?oooe00oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool0AP3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00H0oooo
00D0o`000?ooo`3oool0oooo0?l0000f0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool0:P3oool00`00o`00oooo0?ooo`3o0?ooool0ooooDP3oool00`000000oooo0?ooo`0]0?ooo`00
M03oool4000004D0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`050?l0
003oool0oooo0?ooo`3o0000=@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo02P0
oooo0P00o`3o0?ooool0ooooDP3oool4000002l0oooo001d0?ooo`030000003oool0oooo0540oooo
00<0o`000?ooo`3oool01P3oool01@3o0000oooo0?ooo`3oool0o`0003D0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0V0?ooo`03003o003oool0oooo0?l0ooooo`3ooomF0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0540oooo00<0o`000?ooo`3oool0
1P3oool01@3o0000oooo0?ooo`3oool0o`0003D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000
oooo0?ooo`0U0?ooo`03003o003oool0oooo0?l0ooooo`3ooomG0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo04D0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0380oooo00<0o`000?ooo`3oool0;03oool00`00o`00oooo
0?ooo`1d0?ooo`030?l0003oool0oooo0?l0ooooh@3oool00`000000oooo0?ooo`0]0?ooo`00M03o
ool00`000000oooo0?ooo`150?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3oool0<P3o
ool00`3o0000oooo0?ooo`0[0?ooo`03003o003oool0oooo07@0oooo0P3o003o0?ooon<0oooo00<0
00000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0A@3oool00`3o0000oooo0?ooo`09
0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0>`3oool00`3o0000oooo0?ooo`0R
0?ooo`03003o003oool0oooo07@0oooo0P3o003o0?ooon<0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0A@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo
00H0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo
0200oooo00<00?l00?ooo`3oool0M`3oool00`3o0000oooo0?ooo`0i0?ooo`030?l0003oool0oooo
09d0oooo00<0o`000?ooo`3oool0o`3oool50?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo04D0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo03L0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0O0?ooo`03
003o003oool0oooo07P0oooo00<0o`000?ooo`3oool0>@3oool00`3o0000oooo0?ooo`2M0?ooo`03
0?l0003oool0oooo0?l0oooo1@3oool00`000000oooo0?ooo`0]0?ooo`00B03oool2000000@0oooo
0P0000040?ooo`8000000`3oool3000000D0oooo0`0000020?ooo`800000303oool00`000000oooo
0?ooo`150?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`0g0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool07@3oool00`00o`00oooo
0?ooo`1i0?ooo`80o`00>`3oool00`3o0000oooo0?ooo`2M0?ooo`80o`00o`3oool60?ooo`030000
003oool0oooo02d0oooo00170?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000050?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`150?ooo`030?l0003oool0oooo00T0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0380oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0K0?ooo`800?l0O03oool20?l003/0oooo00<0o`00
0?ooo`3oool0W@3oool20?l00?l0oooo1P3oool00`000000oooo0?ooo`0]0?ooo`00A`3oool01000
0000oooo0?ooo`00000;0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@00
00040?ooo`030000003oool0oooo00T0oooo1P0000120?ooo`030?l0003oool0oooo00X0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0380oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0I0?ooo`03003o003oool0oooo07d0oooo00<0
o`000?ooo`3oool0>P3oool20?l009d0oooo00<0o`000?ooo`3o0000P03oool00`3o0000oooo0?oo
o`1m0?ooo`H00000;`3oool004P0oooo0P00000:0?ooo`8000000`3oool3000000<0oooo00@00000
0?ooo`3oool000000`3oool2000000`0oooo00<000000?ooo`3oool0A@3oool00`3o0000oooo0?oo
o`0:0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`0a0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0603oool00`00o`00oooo0?oo
o`1n0?ooo`030?l0003oool0oooo03T0oooo00<0o`000?ooo`3o0000W@3oool00`3o0000oooo0?l0
00200?ooo`030?l0003oool0oooo0880oooo00<000000?ooo`3oool0;@3oool004L0oooo00@00000
0?ooo`3oool000002@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`0000000`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0580oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0340oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`2I0?ooo`80o`00>P3oool00`3o0000oooo0?l0
002M0?ooo`030?l0003oool0o`000840oooo00<0o`000?ooo`3oool0E`3oool20?l002P0oooo00<0
00000?ooo`3oool0;@3oool004P0oooo0P00000:0?ooo`<000000`3oool3000000@0oooo0P000003
0?ooo`<000002`3oool00`000000oooo0?ooo`1B0?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool05`3oool00`00o`00oooo0?ooo`1Y0?ooo`030?l0003oool0oooo01<0oooo0P3o000j
0?ooo`030?l0003oool0o`0009d0oooo00@0o`000?ooo`3oool0o`00OP3oool00`3o0000oooo0?l0
001I0?ooo`80o`00:03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`15
0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0`
0?ooo`030?l0003oool0oooo01<0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`1Y
0?ooo`80o`005@3oool20?l003X0oooo00<0o`000?ooo`3oool0X03oool00`3o0000oooo0?ooo`1l
0?ooo`040?l0003oool0oooo0?l005P0oooo0P3o000X0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo04D0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0`
0?ooo`030?l0003oool0oooo0180oooo0P00o`0<0?ooo`03003o003oool0oooo05X0oooo0P3o000=
0?ooo`030?l0003oool0o`0001@0oooo0P3o000i0?ooo`030?l0003oool0oooo0:40oooo00<0o`00
0?ooo`3oool0N`3oool01@3o0000oooo0?ooo`3oool0o`0005P0oooo0P3o000X0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo04D0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo03/0oooo00<0o`000?ooo`3oool01P3oool0
1000o`00oooo0?ooo`00o`1X0?ooo`80o`003`3oool00`3o0000oooo0?ooo`0B0?ooo`80o`00>@3o
ool01@3o0000oooo0?ooo`3oool0o`0009/0oooo00D0o`000?ooo`3oool0oooo0?l0001m0?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0E03oool00`3o0000oooo0?l0000X0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04D0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
>`3oool00`3o0000oooo0?ooo`0D0?ooo`03003o003oool0oooo05/0oooo0P3o000@0?ooo`030?l0
003oool0oooo01<0oooo00<0o`000?ooo`3oool0=P3oool01@3o0000oooo0?ooo`3oool0o`0009/0
oooo00<0o`000?ooo`3oool0O`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05@0
oooo00@0o`000?ooo`3oool0o`009`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000
oooo0?ooo`140?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0f0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01@3oool00`00o`00
oooo0?ooo`020?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0G03oool20?l000d0
oooo00@0o`000?ooo`3oool0o`005@3oool00`3o0000oooo0?ooo`0j0?ooo`030?l0003oool0oooo
09P0oooo00<0o`000?ooo`3oool0P03oool00`3o0000oooo0?ooo`1I0?ooo`040?l0003oool0oooo
0?l002L0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0A03oool00`3o
0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0=P3oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<00?l00?ooo`3oool0103oool2003o
06@0oooo00<0o`000?ooo`3o00003@3oool00`3o0000oooo0?ooo`0C0?ooo`040?l0003oool0oooo
0?l000d0oooo00<0o`000?ooo`3oool0;03oool00`3o0000oooo0?ooo`2H0?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool0NP3oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003oool0
oooo0340oooo00@0o`000?ooo`3oool0o`009`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool4
000004<0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool0;`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0
oooo00@0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`1L0?ooo`030?l0003oool0
o`0000d0oooo00<0o`000?ooo`3oool04`3oool0103o0000oooo0?ooo`3o000=0?ooo`030?l0003o
ool0oooo02L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2H0?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool0NP3oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo01l0oooo00<0o`000?ooo`3oool0<@3oool0103o0000oooo0?ooo`3o000T0?ooo`@00000
;`3oool007@0oooo00<000000?ooo`3oool0A03oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0_0?ooo`030?l0003o
ool0oooo00T0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`070?ooo`05003o003o
ool0oooo0?ooo`00o`00:`3oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0o`0000d0oooo
00D0o`000?ooo`3oool0oooo0?l0000A0?ooo`030?l0003oool0oooo00d0oooo0P3o000Y0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0U`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0840oooo00<0o`000?ooo`3oool07`3oool00`3o0000oooo0?ooo`1L0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo04@0oooo00<0o`000?ooo`3oool0
303oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0
;`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo0080oooo00<00?l00?ooo`3oool0
2@3oool01000o`00oooo0?ooo`00o`0[0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3o
0000303oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3o
ool03@3oool20?l002T0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2F0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0PP3oool00`3o0000oooo0?ooo`0N0?ooo`03
0?l0003oool0oooo05`0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
D`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0
;`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo0080oooo00<00?l00?ooo`3oool0
>03oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0o`0000`0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`0>0?ooo`040?l0003oool0oooo0?l000`0oooo00<0o`000?ooo`3o
ool0:03oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo09H0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`0i0?ooo`030?l0003oool0oooo02X0oooo00<0o`000?ooo`3o
ool0403oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01d0oooo0P3o000b0?ooo`05
0?l0003oool0oooo0?ooo`3o00009`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000
oooo0?ooo`1C0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool00`3o0000
oooo0?ooo`0_0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool03`3oool2003o02/0
oooo00<0o`000?ooo`3oool0@@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00h0
oooo00@0o`000?ooo`3oool0o`00=P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
09H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0h0?ooo`030?l0003oool0oooo
02X0oooo00<0o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
01d0oooo0P3o000b0?ooo`050?l0003oool0oooo0?ooo`3o00009`3oool00`000000oooo0?ooo`0]
0?ooo`00M03oool00`000000oooo0?ooo`140?ooo`030?l0003oool0oooo0140oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`0]0?ooo`030?l0003oool0oooo00h0oooo00<00?l00?oo
o`3oool02`3oool00`00o`00oooo0?ooo`0Z0?ooo`030?l0003oool0oooo0440oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`0>0?ooo`040?l0003oool0oooo0?l000d0oooo00<0o`00
0?ooo`3oool09P3oool00`3o0000oooo0?ooo`2T0?ooo`030?l0003oool0oooo03L0oooo0P3o000/
0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0M
0?ooo`80o`00<P3oool01@3o0000oooo0?ooo`3oool0o`0002L0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0A03oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0
oooo02d0oooo00<0o`000?ooo`3oool03@3oool00`00o`00oooo0?ooo`0i0?ooo`030?l0003oool0
o`000380oooo00@0o`000?ooo`3oool0o`002`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00h0oooo00@0o`000?ooo`3oool0o`00303oool20?l002P0oooo00<0o`000?ooo`3oool0
603oool00`3o0000oooo0?ooo`290?ooo`030?l0003oool0oooo03L0oooo00<0o`000?ooo`3o0000
:`3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0
703oool20?l00380oooo00D0o`000?ooo`3oool0oooo0?l0000W0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo04@0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo
0?ooo`0;0?ooo`030?l0003oool0oooo03X0oooo00@0o`00003o003oool00?l0>`3oool00`3o0000
oooo0?l0000b0?ooo`040?l0003oool0oooo0?l00180oooo00<0o`000?ooo`3oool03@3oool0103o
0000oooo0?ooo`3o000<0?ooo`80o`00:03oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo0180oooo00<0o`000?ooo`3oool0P@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo03L0oooo00<0o`000?ooo`3o0000;03oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0
oooo00P0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?l0000`0?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0903oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`00
0000oooo0?ooo`140?ooo`030?l0003oool0oooo00`0oooo00D0o`000?ooo`3oool0oooo0?l00009
0?ooo`030?l0003oool0oooo02h0oooo00<00?l00?ooo`3oool0203oool2003o0400oooo00<0o`00
0?ooo`3oool0<03oool0103o0000oooo0?ooo`3o000B0?ooo`030?l0003oool0oooo0140oooo00<0
o`000?ooo`3oool02@3oool20?l002P0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`0C0?ooo`030?l0003oool0oooo0800oooo00<0o`000?ooo`3oool0?P3oool00`3o0000oooo0?l0
000[0?ooo`80o`00403oool00`3o0000oooo0?ooo`0Y0?ooo`030?l0003oool0oooo01<0oooo00<0
o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo02@0oooo00<0
00000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0@`3oool00`3o0000oooo0?ooo`0=
0?ooo`050?l0003oool0oooo0?ooo`3o0000>03oool00`00o`00o`000?ooo`02003o00030?ooo`00
o`00oooo00@0oooo00<00?l00?ooo`3o0000@@3oool00`3o0000oooo0?ooo`0_0?ooo`040?l0003o
ool0oooo0?l000/0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`090?ooo`80o`00
;`3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0o`000840oooo00<0o`000?ooo`3oool0
?P3oool0103o0000oooo0?ooo`3o000[0?ooo`80o`003`3oool00`3o0000oooo0?ooo`0Z0?ooo`03
0?l0003oool0oooo0180oooo0P3o000J0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0903oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`130?ooo`030?l0
003oool0oooo00d0oooo00D0o`000?ooo`3oool0oooo0?l0000Z0?ooo`03003o003oool0oooo00X0
oooo00<00?l00?ooo`3o00001@3oool2003o00030?ooo`00o`000?l00080oooo00<0o`000?ooo`3o
ool0?03oool0103o0000oooo0?ooo`3o000`0?ooo`050?l0003oool0oooo0?ooo`3o00002`3oool0
0`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool0
103o0000oooo0?ooo`3o000^0?ooo`030?l0003oool0oooo0140oooo00@0o`000?ooo`3oool0o`00
P03oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo03D0oooo00D0o`000?ooo`3oool0
oooo0?l0000Z0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool02P3oool00`3o0000
oooo0?ooo`0K0?ooo`030?l0003oool0o`0001<0oooo00<0o`000?ooo`3o00006P3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo02@0oooo00<000000?ooo`3oool0;@3oool007@0oooo
1000000O0?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool03@3oool01@3o0000oooo
0?ooo`3oool0o`0000T0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0;0?ooo`03
003o003oool0oooo00<00?l01P3oool01@00o`00oooo0?ooo`3oool0o`0000`0oooo00<0o`000?oo
o`3oool0?03oool0103o0000oooo0?ooo`3o000`0?ooo`050?l0003oool0oooo0?ooo`3o00002`3o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`080?ooo`040?l0003oool0oooo0?l002H0oooo00<0o`000?ooo`3oool0
1@3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
O@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo03D0oooo00D0o`000?ooo`3oool0
oooo0?l0000C0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool03P3oool00`3o0000
oooo0?ooo`0;0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool04`3oool00`3o0000
oooo0?l0000J0?ooo`030?l0003oool0oooo02L0oooo1000000_0?ooo`00M03oool00`000000oooo
0?ooo`0P0?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo
0?l0000:0?ooo`030?l0003oool0oooo00l0oooo0P3o000C0?ooo`03003o003oool0oooo00800?l0
103oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo03X0oooo00D0o`000?ooo`3oool0
oooo0?l0000`0?ooo`050?l0003oool0oooo0?ooo`3o00002`3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool03@3oool0103o0000oooo0?ooo`3o000V
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo07`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0W
0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool05@3oool20?l001@0oooo00<0o`00
0?ooo`3o00007@3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0180oooo00<0o`00
0?ooo`3oool0B03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0O0?oo
o`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?l0000:0?oo
o`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`080?oo
o`03003o003oool0oooo00H0oooo0P00o`050?ooo`030?l0003oool0oooo00`0oooo00<0o`000?oo
o`3oool0>P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo02d0oooo00D0o`000?oo
o`3oool0oooo0?l0000:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`0=0?ooo`040?l0003oool0oooo0?l000d0oooo00<0o`000?ooo`3oool05@3o
ool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0P@3o
ool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo02L0oooo00<0o`000?ooo`3oool02`3o
ool01@3o0000oooo0?ooo`3oool0o`0001<0oooo0P3o000D0?ooo`030?l0003oool0o`0001d0oooo
00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?l0000g0?ooo`030?l0003oool0oooo02<0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool07`3oool00`3o0000oooo0?oo
o`0b0?ooo`030?l0003oool0o`0000X0oooo00<0o`000?ooo`3oool02P3oool20?l000D0oooo00<0
o`000?ooo`3oool01P3oool2003o0100oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?oo
o`0/0?ooo`80o`00303oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo02d0oooo00D0
o`000?ooo`3oool0oooo0?l0000:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0
3P3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
3`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo07X0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0
4@3oool00`3o0000oooo0?l0000C0?ooo`030?l0003oool0o`0000h0oooo00<0o`000?ooo`3oool0
303oool00`3o0000oooo0?ooo`0I0?ooo`040?l0003oool0oooo0?l001H0oooo00<0o`000?ooo`3o
ool05P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02<0oooo00<000000?ooo`3o
ool0;@3oool007@0oooo00<000000?ooo`3oool07`3oool20?l003<0oooo00<0o`000?ooo`3o0000
2P3oool00`3o0000oooo0?ooo`080?ooo`80o`00203oool00`3o0000oooo0?ooo`0G0?ooo`030?l0
003oool0oooo00`0oooo00<0o`000?ooo`3oool0:03oool20?l000<0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
6@3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
3P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo07T0oooo00<0o`000?ooo`3oool0
203oool00`3o0000oooo0?ooo`0V0?ooo`80o`00403oool00`3o0000oooo0?ooo`0A0?ooo`030?l0
003oool0o`0001<0oooo00<0o`000?ooo`3o00003@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0
003oool0oooo01P0oooo00@0o`000?ooo`3oool0o`004@3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`090?ooo`03
0?l0003oool0oooo01L0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
7P3oool00`3o0000oooo0?l0000R0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0
2@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0
0`3oool00`00o`00oooo0?ooo`0@0?ooo`030?l0003oool0oooo03@0oooo0`3o00050?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool09P3oool00`3o0000oooo0?ooo`0I0?ooo`030?l0
003oool0oooo00L0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00/0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0
003oool0oooo01P0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0/0?ooo`030?l0
003oool0oooo05D0oooo00<0o`000?ooo`3oool09`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool0403oool0103o0000oooo0?ooo`3o000B0?ooo`03
0?l0003oool0o`0000d0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`0H0?ooo`04
0?l0003oool0oooo0?l00100oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0F0?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo01h0oooo00@0o`000?ooo`3o
ool0o`008@3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?oo
o`3oool01P3oool3003o00030?ooo`00o`000?l000<00?l04`3oool00`3o0000oooo0?ooo`0d0?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo01l0oooo0P3o000<0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool01`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00T0oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`080?ooo`040?l0003oool0oooo0?l000d0oooo00<0o`00
0?ooo`3oool0503oool00`3o0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool0:`3oool20?l005H0oooo00<0o`000?ooo`3oool09`3oool00`3o0000oooo0?ooo`0:
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0403oool0103o0000oooo0?ooo`3o
000E0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?oo
o`0H0?ooo`040?l0003oool0oooo0?l000l0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0F0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0203oool20?l001T0oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool08@3oool00`3o0000oooo0?oo
o`0O0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo003o
00060?ooo`030?l0003oool0oooo00@0oooo00<00?l00?ooo`3oool0:P3oool00`3o0000oooo0?oo
o`0T0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo01l0oooo0P3o000<0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool0203oool0103o0000oooo0?ooo`3o000<0?ooo`030?l0003oool0o`0001D0oooo
00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo02X0oooo
00<0o`000?ooo`3oool0BP3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo02D0oooo
00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0100oooo
00D0o`000?ooo`3oool0oooo0?l0000D0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3o
ool03P3oool00`3o0000oooo0?ooo`0H0?ooo`050?l0003oool0oooo0?ooo`3o00003@3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo01D0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`080?ooo`030?l0003oool0oooo01L0oooo00<000000?ooo`3oool0;@3oool007@0
oooo00<000000?ooo`3oool08@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00h0
oooo00<0o`000?ooo`3o00002`3oool00`3o0000oooo003o000<0?ooo`03003o003oool0oooo02/0
oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00h0
oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00L0
oooo00@0o`000?ooo`3oool0o`00303oool00`3o0000oooo0?l0000Q0?ooo`030?l0003oool0oooo
01L0oooo00<0o`000?ooo`3oool0:P3oool01@3o0000oooo0?ooo`3oool0o`0004P0oooo00<0o`00
0?ooo`3oool0<@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0403oool01@3o0000oooo0?ooo`3oool0o`000100oooo00D0o`000?ooo`3oool0oooo
0?l0000<0?ooo`030?l0003oool0oooo02d0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo
0?ooo`070?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo01L0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<0
00000?ooo`3oool07@3oool01@3o0000oooo0?ooo`3oool0o`000240oooo00<0o`000?ooo`3oool0
3P3oool00`3o0000oooo0?l0000;0?ooo`04003o003oool0oooo003o00/0oooo00<00?l00?ooo`3o
ool01@3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3o
ool0903oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3o
ool07@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool01`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00L0oooo00@0o`000?ooo`3o
ool0o`00303oool00`3o0000oooo0?l0000Q0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`0Y0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool0A@3oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0o`0000/0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`0T0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool0
0`3o0000oooo0?ooo`0]0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool01`3oool2
0?l001T0oooo00<000000?ooo`3oool0;@3oool007@0oooo1000000L0?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0o`00
00T0oooo0P00o`050?ooo`04003o003oool0oooo0?l000D0oooo00<00?l00?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0>@3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0503oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`090?ooo`030?l0003oool0o`0001@0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0:03oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo04@0oooo00<0o`000?ooo`3oool02@3oool0
0`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0o`0000/0oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool03`3oool0
0`3o0000oooo0?ooo`0G0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool00`3o0000oooo0?oo
o`070?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?oo
o`070?ooo`80o`005P3oool4000002l0oooo001d0?ooo`030000003oool0oooo01`0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo00h0oooo00<0o`00
0?ooo`3o0000203oool01@00o`00oooo0?ooo`3oool0o`0000@0oooo00<00?l00?ooo`3o0000103o
ool00`00o`00oooo0?ooo`090?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool0303o
ool00`3o0000oooo0?ooo`0R0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0103o
ool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool00`3o
ool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool02@3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool02P3o
ool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0:03o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo04<0oooo00<0o`000?ooo`3oool02@3o
ool00`3o0000oooo0?ooo`0T0?ooo`040?l0003oool0oooo0?l000/0oooo00<0o`000?ooo`3oool0
5@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool0
3P3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3oool0
3P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0
403oool0103o0000oooo0?ooo`3o000H0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000
003oool0oooo01`0oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`0?0?ooo`<00?l0
00<0oooo003o003oool00P3oool2003o00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`03003o003oool0oooo00X0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo
0?ooo`0=0?ooo`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo
0?ooo`070?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool07@3oool0103o0000oooo
0?ooo`3o000:0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0303oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool0303oool00`3o0000
oooo0?ooo`0:0?ooo`030?l0003oool0oooo03h0oooo0`3o00110?ooo`030?l0003oool0oooo00X0
oooo00<0o`000?ooo`3oool0903oool01@3o0000oooo0?ooo`3oool0o`0000X0oooo00<0o`000?oo
o`3oool05@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00d0oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo01L0oooo00<0o`000?oo
o`3oool0@P3oool0103o0000oooo0?ooo`3o000H0?ooo`030000003oool0oooo02d0oooo001d0?oo
o`030000003oool0oooo01`0oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`0>0?oo
o`03003o003o0000oooo00<0oooo0P00o`070?ooo`030?l0003oool0oooo00<0oooo00D00?l00?oo
o`3oool0oooo003o000>0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool03P3oool0
0`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo01`0oooo00@0o`000?ooo`3oool0o`002P3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool02@3o
ool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0303o
ool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo04<0oooo0P3o000m0?ooo`030?l0003o
ool0oooo00X0oooo00<0o`000?ooo`3oool0903oool01@3o0000oooo0?ooo`3oool0o`0000X0oooo
00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo01`0oooo
00<0o`000?ooo`3oool05`3oool01@3o0000oooo0?ooo`3oool0o`0003L0oooo00<0o`000?ooo`3o
ool01P3oool0103o0000oooo0?ooo`3o000H0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo01`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0^0?ooo`03
003o003o0000oooo00`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo003o0002003o0100
oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo0200
oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00H0
oooo00<0o`000?ooo`3oool06`3oool01@3o0000oooo0?ooo`3oool0o`000100oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00P0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00h0oooo00<0o`000?oo
o`3o00004`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool02P3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0oooo00h0oooo0P3o000k0?oo
o`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0903oool01@3o0000oooo0?ooo`3oool0
o`000180oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0
oooo0100oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo00X0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0
oooo00P0oooo00<0o`000?ooo`3oool01P3oool0103o0000oooo0?ooo`3o000H0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo01/0oooo00<0o`000?ooo`3oool01@3oool0
0`3o0000oooo0?ooo`0^0?ooo`03003o003o0000oooo00`0oooo00<0o`000?ooo`3oool00P3oool0
1@3o0000oooo0?ooo`3oool00?l00140oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?oo
o`0>0?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?oo
o`050?ooo`030?l0003oool0oooo02@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`0F0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3o00004`3oool00`3o0000oooo0?oo
o`0<0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?oo
o`0W0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0>@3oool00`3o0000oooo0?oo
o`0;0?ooo`030?l0003oool0oooo02L0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?oo
o`0<0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?oo
o`0E0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`070?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?oo
o`080?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool06P3oool00`000000oooo0?oo
o`0]0?ooo`00M03oool00`000000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool0703oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo0300oooo00<0o`00
0?ooo`3oool03@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00`0oooo00<0o`00
0?ooo`3oool02P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool02`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0o`000180oooo00<0o`00
0?ooo`3oool06@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo02D0oooo00<0o`00
0?ooo`3oool0403oool00`3o0000oooo0?ooo`170?ooo`030?l0003oool0oooo02P0oooo00<0o`00
0?ooo`3oool01`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00`0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool02@3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo01D0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool02P3oool20?l000L0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo01X0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?oo
o`3oool06`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01/0oooo00<0o`000?oo
o`3oool03P3oool00`00o`00oooo0?ooo`0=0?ooo`050?l0003oool0oooo0?ooo`3o0000603oool0
0`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0300oooo00<0o`000?ooo`3oool03@3oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06@3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`090?ooo`030?l0003oool0o`000180oooo00<0o`000?ooo`3oool06@3oool0
0`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool04@3oool0
0`3o0000oooo0?ooo`160?ooo`030?l0003oool0oooo02<0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0303oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo01D0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0303oool2
0?l000D0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool05@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`00
0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo01/0oooo00<0o`000?ooo`3oool03@3oool00`00
o`00oooo0?ooo`0>0?ooo`050?l0003oool0oooo0?ooo`3o00006@3oool00`3o0000oooo0?ooo`0L
0?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0B
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool01@3o0000oooo0?ooo`3o
ool0o`000140oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003o
ool0oooo02@0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0h0?ooo`030?l0003o
ool0oooo00/0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003o
ool0oooo00H0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`050?ooo`030?l0003o
ool0oooo0100oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003o
ool0oooo01D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool03P3oool01@3o0000oooo0?ooo`3oool0o`0000`0oooo
00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0E0?ooo`030000003oool0oooo02d0oooo
001d0?ooo`030000003oool0oooo02@0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?oo
o`0=0?ooo`03003o003oool0oooo00h0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?oo
o`0K0?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?oo
o`0>0?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool01@3o0000oooo0?oo
o`3oool0o`000240oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0T0?ooo`030?l0
003oool0oooo0180oooo00<0o`000?ooo`3oool0>03oool00`3o0000oooo0?ooo`0a0?ooo`030?l0
003oool0oooo00`0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00L0oooo00<0o`000?ooo`3oool0<03oool00`3o0000oooo0?ooo`080?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`030?ooo`040?l0
003oool0oooo0?l000`0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0E0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`@000006@3oool00`3o0000oooo0?ooo`070?ooo`030?l0
003oool0oooo01/0oooo00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0
003oool0oooo00P0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0`0?ooo`030?l0
003oool0oooo00h0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0=0?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`080?ooo`050?l0
003oool0oooo0?ooo`3o00008@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00d0
oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`1=0?ooo`030?l0003oool0oooo0340
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00P0
oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00L0
oooo00<0o`000?ooo`3oool0<03oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00T0
oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00X0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0180
oooo1000000_0?ooo`00M03oool00`000000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00P0oooo
00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`0=0?ooo`03003o003oool0oooo0140oooo
00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00l0oooo
00<0o`000?ooo`3oool06`3oool20?l001T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo
0?ooo`0N0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`050?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0203oool01@3o0000oooo
0?ooo`3oool0o`000100oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`090?ooo`03
0?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool08P3oool00`3o0000oooo0?ooo`1>0?ooo`03
0?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`0A0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`03
0?l0003oool0oooo0200oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0C0?ooo`03
0?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`080?ooo`03
0?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo01D0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
6@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01X0oooo00D0o`000?ooo`3oool0
oooo003o000:0?ooo`03003o003oool0oooo0100oooo0P3o000M0?ooo`030?l0003oool0oooo00P0
oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0G0?ooo`@0o`006`3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool03P3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool01@3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000
oooo0?ooo`0B0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool0203oool00`3o0000
oooo0?ooo`0c0?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool0=`3oool00`3o0000
oooo0?ooo`0<0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool04@3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool05P3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool03@3oool00`3o0000
oooo0?ooo`0C0?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool03`3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0603oool00`3o0000
oooo0?ooo`050?ooo`030?l0003oool0oooo01@0oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool06@3oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003oool0oooo00800?l0
2P3oool00`00o`00oooo0?ooo`0@0?ooo`80o`007P3oool00`3o0000oooo0?ooo`070?ooo`030?l0
003oool0oooo00l0oooo00<0o`000?ooo`3oool05@3oool20?l001T0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00`0oooo00@0o`000?ooo`3o0000
o`001P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3o
ool01`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool0703oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3o
ool0B@3oool00`3o0000oooo0?ooo`0g0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3o
ool03P3oool20?l00180oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`0C0?ooo`03
0?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`050?ooo`03
0?l0003oool0oooo01@0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0
6@3oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003oool00?l001l0oooo00<0o`000?ooo`3oool0
7@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0
<03oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0
303oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`0;0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool02`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool03@3oool00`3o0000
oooo0?ooo`0@0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool03P3oool00`3o0000
oooo0?ooo`0h0?ooo`030?l0003oool0oooo0180oooo0P3o000S0?ooo`030?l0003oool0oooo00d0
oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?l0000B0?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00/0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo01@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo01@0
oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool06@3oool00`3o0000oooo
0?ooo`090?ooo`030?l0003oool0oooo01/0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`050?ooo`03003o003oool0oooo0140oooo00<0o`000?ooo`3oool09P3oool00`3o0000oooo
0?ooo`0@0?ooo`030?l0003oool0oooo0300oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`0H0?ooo`030?l0003oool0oooo00@0oooo00@0o`000?ooo`3oool0o`00203oool00`3o0000
oooo0?ooo`0?0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool02`3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`0?0?ooo`050?l0003oool0oooo0?ooo`3o00003`3oool00`3o0000oooo0?ooo`0@0?oo
o`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`0Q0?oo
o`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool04P3oool20?l002<0oooo00<0o`000?oo
o`3oool03@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0180oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?oo
o`3oool01`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0140oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`0D0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo01P0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0J0?ooo`03
003o003oool0oooo00<0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0k0?ooo`03
0?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`0J0?ooo`05
0?l0003oool0oooo0?ooo`3o00006P3oool00`3o0000oooo0?ooo`050?ooo`<0o`002@3oool00`3o
0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`070?ooo`030?l0003oool0oooo01@0oooo00D0o`000?ooo`3oool0oooo0?l0000?
0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0?
0?ooo`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`0B
0?ooo`80o`008`3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00`0oooo00<0o`00
0?ooo`3oool06@3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00X0oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0140oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00X0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`050?l0003oool0oooo0?ooo`3o00007`3o
ool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0H0?ooo`030?l0003oool0
oooo00X0oooo00<0o`000?ooo`3oool06@3oool00`00o`00o`000?ooo`050?ooo`03003o003oool0
oooo03P0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0
oooo01X0oooo00D0o`000?ooo`3oool0oooo0?l0000=0?ooo`030?l0003oool0oooo01@0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00`0oooo00<0
o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`070?ooo`050?l0003oool0oooo0?ooo`3o0000
3P3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0
7`3oool00`3o0000oooo0?ooo`0F0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3o0000
5@3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3o0000
6@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
1@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0
4@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01D0oooo00@0o`000?ooo`3oool0
o`007`3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0H0?ooo`030?l0
003oool0oooo00/0oooo00<0o`000?ooo`3oool05P3oool2003o00030?ooo`3o0000oooo00H0oooo
00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0b0?ooo`030?l0003oool0oooo00H0oooo
00<0o`000?ooo`3oool09P3oool00`3o0000oooo0?ooo`0K0?ooo`050?l0003oool0oooo0?ooo`3o
00003P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3o
ool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0303oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3o
ool0oooo0?l0000>0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0403oool00`3o
0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool0403oool0103o
0000oooo0?ooo`3o000D0?ooo`80o`007@3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0
oooo00l0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo00T0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0
oooo0100oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0
oooo0140oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0
oooo00/0oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0
oooo01<0oooo00<000000?ooo`3oool0;@3oool00480oooo0P0000040?ooo`800000103oool20000
00<0oooo0`0000050?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`800000303oool00`00
0000oooo0?ooo`0V0?ooo`030?l0003oool0oooo01@0oooo00<00?l00?ooo`3oool00P3oool00`3o
0000oooo0?ooo`050?ooo`05003o003oool0oooo0?ooo`00o`00=@3oool00`3o0000oooo0?ooo`0J
0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`0A
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0O
0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool0403oool0103o0000oooo0?ooo`3o
000C0?ooo`030?l0003oool0o`0000/0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?oo
o`0=0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?oo
o`0:0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?oo
o`060?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`0Y0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?oo
o`0;0?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`0C0?ooo`030000003oool0oooo02d0oooo00110?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool05`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0140oooo0`00o`050?oo
o`030?l0003oool0oooo00H0oooo00@00?l00?ooo`3oool00?l0=P3oool00`3o0000oooo0?ooo`0I
0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`0@
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo0200oooo00@0o`000?ooo`3oool0oooo0P3o000E0?ooo`030?l0003o
ool0oooo01l0oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`0@0?ooo`040?l0003o
ool0oooo0?l001H0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0M0?ooo`040?l0
003oool0oooo0?l00100oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0:0?ooo`03
0?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0b0?ooo`03
0?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`040?ooo`03
0?l0003oool0oooo01H0oooo00@0o`000?ooo`3oool0o`002@3oool00`3o0000oooo0?ooo`0C0?oo
o`030000003oool0oooo02d0oooo00110?ooo`040000003oool0oooo000000/0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`05000000<0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`090?ooo`H000004`3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0
oooo00d0oooo00@00?l00?ooo`00o`000?l01`3oool00`3o0000oooo0?ooo`080?ooo`03003o003o
ool0oooo03H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003o
ool0oooo0140oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?l0000A0?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`070?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`070?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0C0?ooo`040?l0003o
ool0o`000?l001P0oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`0Z0?ooo`050?l0
003oool0oooo0?ooo`3o00005@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00l0
oooo00<0o`000?ooo`3oool02`3oool0103o0000oooo0?ooo`3o000@0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo
01h0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
01H0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
00`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0o`00
00T0oooo00<0o`000?ooo`3oool03P3oool6000002l0oooo00120?ooo`8000002P3oool2000000<0
oooo0`0000030?ooo`040000003oool0oooo000000D0oooo00@000000?ooo`3oool0oooo0P00000<
0?ooo`030000003oool0oooo01H0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`08
0?ooo`04003o003oool00?l0003o00/0oooo00<0o`000?ooo`3oool0203oool2003o03L0oooo00<0
o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo0140oooo00<0
o`000?ooo`3oool07`3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00L0oooo00D0
o`000?ooo`3oool0oooo0?l000080?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo01<0oooo0P3o000J0?ooo`030?l0
003oool0oooo01d0oooo00<0o`000?ooo`3oool0:P3oool01@3o0000oooo0?ooo`3oool0o`000140
oooo00D0o`000?ooo`3oool0oooo0?l0000:0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?oo
o`3oool02P3oool01@3o0000oooo0?ooo`3oool0o`0000l0oooo00<0o`000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool07P3oool0
0`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool0403oool0
0`3o0000oooo0?ooo`020?ooo`050000o`3oool0oooo0?ooo`3o0000203oool00`3o0000oooo0?oo
o`0<0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool05`3oool20?l000X0oooo00<0
o`000?ooo`3oool04`3oool00`000000oooo0?ooo`0]0?ooo`00@@3oool010000000oooo0?ooo`00
00090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0E0?ooo`030?l0003oool0oooo00l0oooo00D0o`00003o0000o`000?l00?ooo`03003o0003
0?ooo`00o`000?l000l0oooo00<0o`000?ooo`3oool02@3oool00`00o`00oooo0?ooo`0e0?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0@0?ooo`03
0?l0003oool0oooo0200oooo00<0o`000?ooo`3oool04@3oool0103o0000oooo0?ooo`3o000I0?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?oo
o`050?l0003oool0oooo0?ooo`3o0000203oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0
oooo00l0oooo00<0o`000?ooo`3oool0D03oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0
oooo02H0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0
oooo00X0oooo00D0o`000?ooo`3oool0oooo0?l0000?0?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo00T0oooo00<0
o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo01H0oooo00<0
o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`020000o`030?ooo`000?l0003o01T0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo00T0oooo00<0
o`000?ooo`3oool04P3oool00`000000oooo0?ooo`0]0?ooo`00@P3oool2000000X0oooo0`000003
0?ooo`<00000103oool200000080oooo100000030?ooo`<000002`3oool00`000000oooo0?ooo`0E
0?ooo`030?l0003oool0oooo00h0oooo00<00?l00?ooo`3oool0603oool00`3o0000oooo0?ooo`12
0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0@
0?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool05@3oool00`3o0000oooo0?ooo`0G
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0000o`02
0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`1Z
0?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0@
0?ooo`030?l0003oool0oooo00X0oooo00<0o`000000o`000?l00P3oool00`3o0000oooo0?ooo`0<
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0G
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`07
0?ooo`030?l000000?l0003o00D0oooo00<0003o0?ooo`3oool0703oool00`3o0000oooo0?ooo`0I
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool04P3oool00`000000oooo0?ooo`0]
0?ooo`00M03oool00`000000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00d0oooo0P00o`0K0?oo
o`030?l0003oool0oooo0480oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0B0?oo
o`030?l0003oool0oooo0380oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`0H0?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool01@3o0000003o0?ooo`000?l0
o`0000`0oooo100000000`3o0000000000000002000000030?ooo`3o0000oooo00d0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool08`3oool00`000?l0oooo0?ooo`0:0?ooo`030?l0003oool0oooo01d0oooo00<0o`00
0?ooo`3oool05`3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool03@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool04@3oool00`3o0000oooo0?ooo`080?ooo`80003o0P3oool20000o`030?l0003oool0
oooo00X0oooo00<0003o0?ooo`3o00002@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo00/0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0
oooo00<0oooo0`3o00080?ooo`80003o203oool20000o`H0oooo00<0o`000?ooo`3oool04`3oool0
0`3o0000oooo0?ooo`0H0?ooo`80o`002`3oool00`3o0000oooo0?ooo`0B0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo01@0oooo00<0o`000?ooo`3oool02@3oool00`00
0?l0oooo0?ooo`050?ooo`030?l0003oool0oooo0640oooo00<0o`000?ooo`3oool04P3oool00`3o
0000oooo0?ooo`0b0?ooo`030?l0003oool0oooo02l0oooo00<0o`000?ooo`3oool03P3oool01@00
0?l0oooo0?ooo`3oool0003o00/0oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030000003o0000oooo00X0oooo0`000?l00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0R0?ooo`030000o`3oool0
003o00/0oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0
oooo00l0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`080?ooo`<0003o1P3oool0
0`3o0000oooo0?ooo`060?ooo`80003o00<0o`000?ooo`3oool00`3oool00`000?l0oooo0?ooo`08
0?ooo`80003o00<0oooo0000o`3o00002@3oool00`3o0000oooo0?ooo`0?0?oooa00003o2P3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`0H0?ooo`040?l0003oool0oooo0?ooo`80o`000`3oool00`3o0000oooo0?oo
o`040?ooo`030000o`3o0000oooo00P0oooo00@0o`000?ooo`000?l0003o103oool=0000o`<0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo00X0oooo
00<0o`000?ooo`3oool04P3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?oo
o`0C0?ooo`030?l0003oool0oooo00T0oooo00D0003o0?ooo`000?l0003o003o00040?ooo`030?l0
003oool0oooo00<0oooo0P000?lM0?ooo`030000o`3oool0oooo03<0oooo00<0003o0?ooo`3oool0
1P3oool00`3o0000oooo0?ooo`0:0?ooo`030000o`3oool0oooo00D0oooo00<0o`000?ooo`3oool0
3`3oool00`3o0000oooo0?ooo`0H0?ooo`80003o1P3oool00`3o0000oooo0?ooo`0`0?ooo`030?l0
003oool0oooo00d0oooo00H0003o0?ooo`3oool0oooo0?l000000?l90?ooo`030000003oool0oooo
00<0oooo00<0o`000?ooo`3oool01@000?l60?ooo`@0003o00<0o`000?ooo`3oool00P000?l@0?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0R0?oo
o`040000o`3oool0oooo0?ooo`80003o2@3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0
oooo01P0oooo00<0o`000?ooo`3oool00`3oool00`000?l0oooo0?ooo`080?ooo`040?l0003oool0
oooo0?ooo`80003o00<0oooo0?l0003oool03@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00L0oooo00<0o`000?ooo`3oool0103oool40000o`<0oooo10000?l20?ooo`040?l0003o
ool0oooo0?ooo`D0003o0P3oool00`3o0000oooo0?ooo`030?ooo`030?l000000?l0003o00H0oooo
0P000?l40?ooo`030000o`3oool0oooo00L0oooo00<0o`000?ooo`3oool03@3oool20000o`030?oo
o`3o0000oooo00T0oooo00@0o`000?ooo`3oool0oooo0P000?l80?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo01P0
oooo00<0o`000?ooo`3o00001P3oool00`3o0000oooo0?ooo`030?ooo`030000o`3oool0o`0000T0
oooo00@0o`000?ooo`3oool0oooo10000?l00`3o0000oooo0?ooo`0:0?ooo`@0003o1@3oool00`3o
0000oooo0?ooo`080?ooo`80003o3P3oool00`3o0000oooo0?ooo`0O0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo01h0oooo00<0003o0?ooo`3oool00P00o`020000o`<0
oooo00@0o`000?ooo`3oool0oooo0P000?l20?ooo`80003o2`3oool3000000030?ooo`3o0000oooo
00P0oooo0P000?l00`3oool0003o0000o`0a0?ooo`80003o00D0oooo0000o`3oool0oooo0?l00004
0?ooo`030?l0003oool0oooo00T0oooo00<0003o0?ooo`000?l0603oool00`3o0000oooo0?ooo`0F
0?ooo`80003o0P3oool20000ob00oooo1@000?l<0?ooo`<0003o0`3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00L0oooo00L0003o0?l00000000000000?ooo`3o0000oooo0080003o
1`3oool00`000000oooo0?ooo`020?ooo`@0003o0`3oool00`3o0000oooo0000o`050000o`@0oooo
00<0o`000?ooo`3oool00P3oool30000o`@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`040?ooo`040?l0003oool0oooo0?ooo`P0003o8`3oool00`000?l0oooo0?ooo`030?ooo`03
0000o`3oool0oooo00H0oooo00<0o`000?ooo`3oool05P3oool00`000?l0oooo0?ooo`030?ooo`03
0?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool00P000?l00`3oool0003o0?ooo`080?ooo`04
0?l0003oool0oooo0000o`80oooo0P000?l00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool02@3oool40000o`/0oooo1P000?l70?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool00P000?l20?ooo`80003o1`3oool00`000?l0oooo0?ooo`070?oo
o`050?l0003oool0oooo0?ooo`3o00002@3oool01@000?l0oooo0?ooo`3oool0o`0000X0oooo00<0
o`000?ooo`3oool00`3oool00`000?l0oooo0?ooo`050?ooo`030?l0003oool0oooo00h0oooo00@0
o`000?ooo`3oool0003o0P3oool00`3o0000oooo0?ooo`0H0?ooo`80o`001P3oool2000000050?l0
003oool0oooo0?ooo`000?l00P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool03@3oool00`3o0000003o0000o`020000o`030?ooo`3o0000oooo00L0
oooo0P000?l20?ooo`80003o6@3oool00`3o0000oooo0?ooo`0B0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo01L0oooo0P0000040?ooo`030000o`3oool00?l000D0oooo
0P000?l00`3oool0o`000000o`020000o`H0oooo0P000?l70?ooo`8000000`3oool00`000000o`00
0?ooo`060?ooo`80003o1@3oool00`000?l0oooo0?ooo`0@0?ooo`<0003o6@3oool20000o`@0oooo
00<0003o0?ooo`3o0000103oool00`3o0000oooo0?ooo`080?ooo`040000o`3oool0oooo0?ooo`80
003o1@3oool00`3o0000oooo0?ooo`030?ooo`800000203oool00`3o0000oooo0?ooo`0:0?ooo`D0
003o1@3oool30000o`H0oooo00<0003o0?ooo`3oool05@3oool80000o`D0oooo0P000?l80?ooo`80
003o0`3oool40000o`@0oooo00<0o`000?ooo`3oool01P3oool00`000?l000000?l000020?ooo`03
0000003o0000oooo0080oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0000o`030000o`80
oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3oool2000000H0oooo00@0o`000?oo
o`3oool0o`00103oool20000o`80oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`04
0?ooo`040?l0003oool0003o0000o`H0oooo00@0o`000?ooo`000?l0003o1@3oool00`000000oooo
0?ooo`030?ooo`D0003o403oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo00D0oooo
00<0o`000?ooo`000?l00P000?lB0?ooo`80003o00<0oooo0000o`000?l00`3oool00`3o0000oooo
0?ooo`0I0?ooo`030?l000000?l0003o00@0oooo00<0003o0?ooo`3oool01P3oool00`3o0000003o
0000o`050?ooo`80003o2`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo
10000?lB0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool00P3oool20000o`P0oooo
00<0o`000000o`3oool0203oool01@3o00000000000000000000o`0000P0oooo00<0003o0?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00@0oooo0P000?l60?ooo`03
0?l0003oool0oooo0080003o303oool01P3o0000003o0?ooo`000?l0oooo0?l00240oooo00<00000
0?ooo`3oool00`0000001@000?l0oooo0?ooo`3oool0o`0000T0oooo00<0o`000?ooo`3oool01@3o
ool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo0080oooo10000?l30?ooo`<0003o1P3o
ool20000oaL0oooo00<0o`000?ooo`3oool04P3oool00`000000oooo0?ooo`0]0?ooo`00M03oool0
0`000000oooo0?ooo`0B0?ooo`030?l0003oool0oooo008000000P3oool01P000000oooo0000o`00
0?l0oooo003o00P0oooo0P000?l;0?ooo`80003o0P3oool3000000H0oooo00@0o`00000000000000
00000P3oool20000o`P0oooo0P000?l70?ooo`@000000`3oool20000o`<0oooo0P000?lE0?ooo`80
003o1`3oool20000o`T0oooo0P0000020?ooo`80003o1P3oool00`000?l0oooo0?ooo`020?ooo`03
0?l0003oool0000000<000000`000?l00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0
oooo10000?l50?ooo`D0003o2P3oool00`000?l0oooo0?ooo`070?ooo`d0003o3`3oool30000o`<0
oooo0P000?l80?ooo`060?l000000?l0003o0000o`3oool0o`001P3oool01@000000003o0000003o
ool0o`0000<0oooo0P0000030?ooo`030000o`3oool0oooo00@0003o1P3oool00`3o0000oooo0?oo
o`080?ooo`@000000P3oool0103o0000oooo0?ooo`3o00060?ooo`030000o`3oool0o`000080oooo
0`0000020?ooo`030?l0003oool0oooo00H0oooo00<0003o0?ooo`3oool02P3oool20000o`040?oo
o`00000000000?ooo`80000000<0oooo0000o`000?l01@3oool50000o`<000001`3oool00`000?l0
oooo0?ooo`070?ooo`80003o0`3oool40000o`<0oooo10000?l=0?ooo`030000o`3oool0oooo00<0
oooo0P000?l00`3oool0o`000?ooo`070?ooo`D0003o3@3oool20000o`L0oooo0P000?l60?ooo`03
0000o`3oool0oooo00D0oooo00@0o`000?ooo`000?l0003o1P3oool3000000P0oooo00<0o`000?oo
o`3oool00P3oool30000o`030?ooo`3o0000oooo02@0oooo00<0o`000?ooo`3oool02`3oool00`3o
0000oooo0000o`070?ooo`8000000`3oool0103o000000000000000000030?ooo`80003o1P3oool0
0`3o0000oooo0?ooo`070?ooo`040?l0003oool0oooo000000D0oooo0P000?l30?ooo`@0003o0P3o
ool20000o`T0oooo0P000?l30?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool04P3o
ool00`000000oooo0?ooo`020?ooo`80003o00D0oooo00000000000000000?l0000:0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo000000050?ooo`<0003o
2`3oool20000oa@0oooo10000?lB0?ooo`030000003oool0oooo02d0oooo001d0?ooo`@00000403o
ool0103o000000000000000000050?ooo`030000o`0000000?l000`0oooo00<0o`000?ooo`3oool0
2@3oool00`000000003o0000o`090?ooo`040?l0003oool0oooo0?ooo`80003o00<000000?ooo`3o
ool02@3oool20000o`D00000103oool00`000000003o0000o`070?ooo`<0003o0`0000020?ooo`d0
003o2`3oool00`000?l0oooo0?ooo`040?ooo`8000000P3oool00`000000003o0?ooo`080?ooo`03
0000o`3oool0oooo0080000000<0o`000?ooo`3oool00P000?l30?ooo`@0003o0`3oool00`3o0000
oooo0?ooo`060000oaT0oooo0P000?l30?ooo`@0003o7`3oool30000o`h0oooo0P000?l40?ooo`80
000000D0003o0?ooo`3oool0oooo0?l000050?ooo`040000003oool0oooo0?ooo`80003o00<00000
0?ooo`3oool01`3oool00`3o0000oooo0?ooo`0<0?ooo`80000000D0o`00000000000000o`000000
00060?ooo`040000o`3o00000000000000<0oooo0P0000000`3o000000000?ooo`040?ooo`80003o
00<0o`000?ooo`3oool0303oool20000o`<0oooo0P000?l00`000000oooo0?ooo`050?ooo`800000
0P3oool20000o`030?ooo`000000000000<0000000<0oooo0000o`3oool02`3oool30000o`<0oooo
00<0o`000?ooo`0000000`0000020?ooo`<0003o2@3oool00`000?l0oooo0?ooo`060?ooo`80003o
103oool40000o`D000003@000?l00`3oool0o`000?ooo`080?ooo`030000o`3oool0oooo0080oooo
00<0003o0?ooo`3oool01P3oool0103o0000oooo0?ooo`3oool20000o`@000000`3oool2000000H0
oooo00D0o`000?ooo`3oool0oooo0000o`040?ooo`030?l0003oool0oooo01`0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`0;0?ooo`040?l0003oool0oooo0000o`<0oooo0`000000
0`3oool0o`000?ooo`020?ooo`030?l0003oool0oooo00@0003o203oool00`3o0000oooo0?ooo`07
0?ooo`040?l00000000000000?ooo`8000001@3oool30000o`@0oooo0P0000000`3o0000oooo0000
o`070?ooo`030000o`3oool0o`0000<0oooo00<0o`000000o`000?l00P3oool2000000@0oooo0P00
0?l00`3oool0003o0000o`0A0?ooo`030000003oool0oooo0080oooo00<0003o0?l0003oool0103o
ool00`000000oooo0?ooo`080?ooo`030?l0003oool0oooo00@0oooo00<0o`000000000000000P00
000<0?ooo`050?l000000000oooo0000003o00004`3oool30000o``0oooo1@000?l20?ooo`030?l0
003oool0oooo00h0oooo1000000_0?ooo`00M03oool00`000000oooo0?ooo`0@0?ooo`04003o0000
0?l0003o0000o`D0oooo00@0003o0?ooo`00o`000000303oool00`3o0000oooo0?ooo`050?ooo`@0
00000`3oool20000o`H0oooo00<0o`000?ooo`3oool00P000?l30?ooo`800000203oool200000003
0?ooo`000?l0003o00P0003o00<0oooo0000000000001`3oool2000000D0003o0P00000F0?ooo`04
0?l000000?l0oooo0?l000<00000103oool00`000?l000000?ooo`090?ooo`80003o0P3oool30000
o`P0oooo00<000000000o`000?l010000?lA0?ooo`8000003P3oool30000o`T000006P3oool30000
00h0oooo00H0o`000?ooo`000?l0003o0?ooo`0000020?ooo`050000o`3oool0oooo0?ooo`3o0000
0`3oool0103o0000oooo0?ooo`0000040?ooo`030000003oool0oooo00`0oooo00<0o`000?ooo`3o
ool02@3oool01@3o0000oooo0?ooo`3o0000oooo00H0000000<0oooo0000o`000?l01P3oool00`3o
0000oooo0000000200000080003o0P3oool00`3o0000oooo0?ooo`060?ooo`040?l0003oool0oooo
0?ooo`8000000P3oool30000o`<0oooo0P0000020?ooo`<000001P3oool20000o`@0oooo00<00000
0000o`3oool04@3oool00`3o000000000?ooo`030?ooo`D0000010000?l300000080003o20000000
0`3oool0o`000?ooo`040000o`@000004P3oool4000000P0oooo00D0003o0?ooo`000?l0003o0?l0
00090?ooo`030?l0000000000000008000000P000?l30?ooo`040?l0003oool0oooo0?ooo`<00000
103oool00`3o0000oooo0000o`040?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0
1P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00/0oooo00D0o`000?ooo`000000
00000000o`02000000<0oooo20000?l40?ooo`8000001P3oool00`3o0000oooo0?ooo`060?ooo`80
00001@3oool2000000P0oooo0P0000020?ooo`040?l000000000oooo0000o`D0oooo00@0003o0?oo
o`3oool0o`000`3oool01@3o0000oooo0?ooo`000?l000000080oooo0P0000020000o`D0oooo0P00
0?l90?ooo`D0003o00<000000?ooo`3oool00P3oool00`000?l0oooo0?l000060?ooo`030000003o
ool0oooo00L0oooo00<0o`000?ooo`3oool0100000000`3o0000oooo0?ooo`020?ooo`800000203o
ool2000000050?l0003oool0oooo0?ooo`3o00005P3oool40000o`@0oooo10000?l70?ooo`030?l0
003oool0oooo0140oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool04@3o
ool2003o00030?ooo`00o`00003o00<0003o103oool00`000000oooo0?ooo`060?ooo`<0000000<0
o`000000000000001@0000090?ooo`<0003o0`3oool30000o`L0oooo0P0000030?ooo`<00000403o
ool200000080oooo0`0000090?ooo`D000004@3oool00`3o0000oooo0000o`080000o`80oooo0P00
00070?ooo`030000003oool0oooo0080003o00<0o`000?ooo`3oool02P3oool010000000o`000000
0000000>0?ooo`@000000P3oool2000000X0oooo0P00000<0?ooo`l000001`3oool4000000<0oooo
100000060?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool20000o`030?ooo`000?l0oooo00@0
oooo00@0o`000?ooo`3oool0o`000`3oool2000000030?ooo`000000oooo00h0oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?l0000:0?ooo`030?l000000?l0oooo00@0oooo00<0o`000?oo
o`3oool00P000?l200000080oooo00<0o`000?ooo`3oool01P3oool0103o0000oooo00000000000<
0?ooo`8000002`3oool20000o`80oooo00<0003o0000003oool0403oool00`000000o`000?ooo`0=
0?ooo`<0003o2P3oool00`000000o`0000000004000001X0oooo0`0000060?ooo`040000o`3oool0
oooo0?l000H0oooo0`0000000`3o0000oooo0?ooo`040?ooo`80003o00<0o`000?ooo`3oool01@3o
ool400000080003o1@3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`@0000000<0o`000000000000000`3o
ool50000o`050?ooo`3o0000oooo0?ooo`3o00002@3oool2000000@0oooo00<0o`000?ooo`3oool0
103oool2000000T0oooo0P0000030?ooo`<0000000P0o`000?ooo`3oool0oooo0?l0003oool00000
0?ooo`80003o00<0oooo0000o`000?l01`3oool01@3o0000oooo0?ooo`000000003o0080oooo0P00
0?l3000000H0oooo0P000?l30?ooo`@0003o0`3oool00`000000oooo0000o`040000o`<0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo000000080?ooo`030?l000000000000000@0oooo00<0
o`000?ooo`3oool0103oool3000000<0oooo0P0000020?ooo`050?l0003oool0oooo0?l0003oool0
0P00000H0?ooo`@0003o2`3oool00`3o000000000?ooo`0A0?ooo`030000003oool0oooo02d0oooo
001d0?ooo`030000003oool0oooo01D0oooo0P00o`020?ooo`03003o003oool0oooo0080oooo0P00
00020?ooo`@000000`3oool00`3o0000oooo0?ooo`0A0?ooo`<0003o00<0o`000?ooo`3oool02@3o
ool3000001D0oooo0P00000A0?ooo`H000002`3oool0103o000000000?ooo`3o000;0?ooo`030000
003oool0oooo0080oooo0P0000060?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0
3P0000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06`3oool7000000/0oooo
0P0000040?ooo`050?l0003oool0oooo0?ooo`3o00000P3oool010000000oooo0?ooo`000?l60?oo
o`040?l0003oool0oooo0?l000D0oooo00<000000?ooo`3oool02@3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3o00002P3oool00`3o0000oooo0000o`03
0?ooo`@0003o103oool00`000000oooo0?ooo`070?ooo`030?l000000000000001d0oooo0P000?l2
0?ooo`8000003@3oool2000003`0oooo00<0o`000?ooo`3oool00P3oool2000000/0oooo0`00000;
0?ooo`040?l000000?l0003o0000o`P0oooo00<0003o0?ooo`0000001@0000000`3o0000oooo0?oo
o`070?ooo`d0000000<0o`000000000000000`0000020?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool01@0000040?ooo`030?l0003oool0oooo00T0oooo00@0o`000?ooo`3oool0o`00
2`3oool2000000D0oooo100000030?ooo`030?l0003oool0oooo00L0oooo0`0000030?ooo`050?l0
003oool0oooo0?ooo`3o00000P3oool010000000oooo0?ooo`000?l:0?ooo`8000000P3oool20000
o`D0oooo0`0000050?ooo`<0003o1P3oool00`000000oooo0?ooo`080?ooo`030?l0003oool0oooo
0080oooo00@0o`000?ooo`3oool000001`3oool00`000000oooo0?ooo`0>0?ooo`<000001`3oool0
1@3o0000oooo0?ooo`3oool0000000P0oooo0`00000K0?ooo`030?l0003oool0oooo0140oooo00<0
00000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0603oool00`00o`00oooo0?ooo`05
0?ooo`8000007P3oool00`3o0000oooo0?ooo`0j0?ooo`8000001`3oool2000000040?ooo`3o0000
oooo0?l000`0oooo00@000000?ooo`0000000000203oool00`3o0000oooo0?ooo`0T0?ooo`800000
1@3oool00`000000oooo0?ooo`0`0?ooo`8000000P3oool01`3o0000oooo0?ooo`3oool0o`000?oo
o`0000002P3oool0103o0000oooo0?ooo`3o000A0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool02`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00<0003o2@3oool2
000000H0oooo00<000000?l0003oool0903oool00`000000oooo0?ooo`080?ooo`800000?P3oool0
0`3o0000oooo0?ooo`040?ooo`8000001`3oool2000000d0oooo00<0o`000?ooo`3oool00P3oool4
0000o`<0oooo00<0003o0?ooo`3oool01P3oool00`3o0000000000000007000000h0oooo00<0o`00
0?ooo`3oool00P3oool2000000030?l0003oool0oooo00H0oooo00<0o`000000000000002@3oool0
0`3o0000oooo0?ooo`090?ooo`040?l0003oool0oooo0?l000d0oooo1@0000070?ooo`030?l0003o
ool0oooo00d0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`8000001P3oool01@3o0000oooo
0?ooo`3oool0000000h0oooo100000060?ooo`@00000303oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00<000000?ooo`3oool00P3oool2000001/0oooo00<0o`000?ooo`3oool00P3oool01000
0000oooo0?ooo`3oool4000000<0oooo0P00000H0?ooo`030000003oool0o`000180oooo00<00000
0?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0:P3oool00`3o0000oooo0?ooo`0C0?oo
o`030?l0003oool0oooo03`0oooo0`0000020?ooo`8000000`3oool20?l000h0oooo00<000000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`0U0?ooo`80000000<0oooo000000000000=@3oool20000
00060?l0003oool0oooo0?ooo`3o000000002`3oool00`3o0000oooo0?l0000B0?ooo`050?l0003o
ool0oooo0?ooo`3o00003P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00d0oooo
00<0o`000000000000000P3oool2000000030?ooo`3o0000oooo02D0oooo00<000000?ooo`3oool0
0`3oool4000000H0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0
003oool0oooo00H0oooo0P0000020?ooo`030?l000000000000000T0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`060?ooo`<0003o0`3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo01H0oooo00<0o`000?ooo`3oool0103oool00`3o000000000?ooo`050?ooo`800000
2`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0o`0000l0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`0=0?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool400000080
oooo00D0o`000?ooo`3oool000000?l0000B0?ooo`H00000403oool01@3o0000oooo0?ooo`3oool0
o`0000@0oooo00@000000?ooo`00000000000P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo0100oooo00<0o`000?ooo`3o00001@3oool3000000T0oooo0`00000C0?ooo`8000000P3o
ool00`3o0000oooo0?ooo`0@0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo02X0oooo00<0o`000?ooo`3oool0E@3oool2000000H0oooo00<0o`000?ooo`3oool0603oool0
0`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01`0oooo00<000000?ooo`3oool0=`3oool0
1@3o000000000?ooo`3oool0000000h0oooo00<0o`000?ooo`3oool0403oool01@3o0000oooo0?oo
o`3oool0o`0000d0oooo0P3o000A0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0
0P0000030?ooo`030?l0003oool0oooo02D0oooo1@00000:0?ooo`030?l0003oool0oooo01T0oooo
00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`080?ooo`80000000<0o`000?ooo`3oool0
2@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`0F0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
0P0000020?ooo`8000003@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00l0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0=0?ooo`050?l0003oool0oooo0?ooo`3o
00002@3oool2000000050?l00000000000000?ooo`3o0000:@3oool00`3o0000oooo0?l000060?oo
o`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0@0?oo
o`80o`005@3oool:000000P0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0]0?oo
o`00M03oool00`000000oooo0?ooo`0Z0?ooo`030?l0003oool0oooo05d0oooo00<0o`000?ooo`3o
ool08P3oool00`3o0000oooo0?ooo`1H0?ooo`030?l000000000000000l0oooo00<0o`000?ooo`3o
ool04@3oool0103o0000oooo0?ooo`3o000=0?ooo`030?l0003oool0oooo0100oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo03D0oooo00<0o`000?oo
o`3oool0603oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool02@3oool01@3o0000oooo0?ooo`3oool0o`000100oooo00<0o`000?ooo`3oool06`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo0P0000030?ooo`030?l0003oool0
oooo01H0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0
oooo00l0oooo00@0o`000?ooo`3oool0o`002`3oool01@3o0000oooo0?ooo`3oool0o`0002T0oooo
00<0o`000?ooo`3o00002`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0100oooo
0P3o000O0?ooo`@000000`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02d0oooo
001d0?ooo`030000003oool0oooo02/0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?oo
o`170?ooo`030?l0003oool0oooo0240oooo00<0o`000?ooo`3oool0F@3oool0103o0000oooo0?oo
o`3o000<0?ooo`030?l0003oool0o`0001<0oooo00@0o`000?ooo`3oool0o`003@3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo03H0oooo00<0o`000?ooo`3oool05`3oool00`3o0000
oooo0?ooo`0M0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000
oooo0?ooo`0B0?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`070?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3o00003`3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0303oool01@3o0000
oooo0?ooo`3oool0o`0002/0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo0100oooo0P3o000S0?ooo`<000001P3oool00`3o0000oooo0?ooo`0@0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo02/0oooo00<0o`000?ooo`3o
ool04P3oool00`3o0000oooo0?ooo`1S0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool0FP3oool0103o0000oooo0?ooo`3o000<0?ooo`030?l0003oool0o`0001<0oooo00@0o`000?oo
o`3oool0o`003@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo03H0oooo00<0o`00
0?ooo`3oool05`3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool02`3oool00`3o0000oooo0?l0000B0?ooo`050?l0003oool0oooo0?ooo`3o00006@3o
ool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool03@3o
ool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool03`3o
ool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0o`0002`0oooo00<0o`000?ooo`3oool02@3o
ool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool0:P3o
ool00`3o0000oooo0?ooo`0@0?ooo`030000003oool0oooo02d0oooo001d0?ooo`@00000:P3oool0
0`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo06<0oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`1J0?ooo`040?l0003oool0oooo0?l000`0oooo00<0o`000?ooo`3oool04`3o
ool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0103o
ool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo03`0oooo00<0o`000?ooo`3oool05`3o
ool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool02`3o
ool20?l001<0oooo00D0o`000?ooo`3oool0oooo0?l0000Y0?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?l0000=0?ooo`030?l0003oool0o`0002`0oooo
00<0o`000?ooo`3oool02P3oool01@3o0000oooo0?ooo`3oool0o`0001@0oooo00<0o`000?ooo`3o
ool0:P3oool00`3o0000oooo0?ooo`0=0?ooo`@00000;`3oool007@0oooo00<000000?ooo`3oool0
:`3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo06@0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`1N0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0
903oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`0l0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool0
7P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0
4P3oool01@3o0000oooo0?ooo`3oool0o`0001h0oooo00<0o`000?ooo`3oool0203oool00`3o0000
oooo0?ooo`070?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool03`3oool00`3o0000
oooo0?ooo`050?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool02`3oool00`3o0000
oooo0?l0000i0?ooo`050?l0003oool0oooo0?ooo`3o0000503oool00`3o0000oooo0?ooo`0m0?oo
o`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo02`0oooo00<0o`000?ooo`3o
ool04@3oool00`3o0000oooo0?ooo`1T0?ooo`050?l0003oool0oooo0?ooo`3o0000H03oool00`3o
0000oooo0?ooo`0;0?ooo`030?l0003oool0o`0001H0oooo00<0o`000?ooo`3oool02`3oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo03P0oooo00<0o`000?ooo`3oool05@3oool00`3o
0000oooo0?ooo`0Y0?ooo`030?l0003oool0oooo0200oooo00D0o`000?ooo`3oool0oooo0?l0000I
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0I
0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3o0000>@3oool01@3o0000oooo0?ooo`3o
ool0o`0001@0oooo00<0o`000?ooo`3oool0?@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool0
0`000000oooo0?ooo`0/0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0I@3oool0
0`3o0000oooo0?ooo`1P0?ooo`80o`003P3oool20?l001<0oooo00@0o`000?ooo`3oool0o`006P3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0>03o
ool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo04l0oooo00<0o`000?ooo`3oool0603o
ool01@3o0000oooo0?ooo`3oool0o`0000/0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`0=0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0603oool20?l000l0oooo
00<0o`000?ooo`3oool0=`3oool01@3o0000oooo0?ooo`3oool0o`0005@0oooo00<000000?ooo`3o
ool0;@3oool007@0oooo00<000000?ooo`3oool0@03oool00`3o0000oooo0?ooo`1U0?ooo`030?l0
003oool0oooo0600oooo0P3o000>0?ooo`80o`004`3oool0103o0000oooo0?ooo`3o000J0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`1b0?ooo`03
0?l0003oool0oooo02h0oooo00<0o`000?ooo`3oool06@3oool0103o0000oooo0?ooo`3o000<0?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`0G0?oo
o`030?l0003oool0oooo0100oooo0P3o002R0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo0400oooo00<0o`000?ooo`3oool0IP3oool00`3o0000oooo0?ooo`1O0?ooo`80
o`003P3oool20?l001<0oooo00@0o`000?ooo`3oool0o`006P3oool00`3o0000oooo0?ooo`0=0?oo
o`050?l0003oool0oooo0?ooo`3o0000?@3oool00`3o0000oooo0?ooo`0d0?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool08P3oool00`3o0000oooo0?l0000K0?ooo`040?l0003oool0
oooo0?l000`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0X0?ooo`030?l0003o
ool0oooo0140oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`2B0?ooo`030000003o
ool0oooo02d0oooo001d0?ooo`030000003oool0oooo02d0oooo00<0o`000?ooo`3oool0403oool0
0`3o0000oooo0?ooo`380?ooo`80o`003P3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0
o`0001/0oooo00<0o`000?ooo`3oool03@3oool01@3o0000oooo0?ooo`3oool0o`0003d0oooo00<0
o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool08P3oool00`3o0000oooo0?l0000K0?ooo`040?l0003oool0oooo0?l00180oooo
00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo0140oooo
00<0o`000?ooo`3oool02`3oool20?l003X0oooo00D0o`000?ooo`3oool0oooo0?l0001D0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo02d0oooo00<0o`000?ooo`3oool0
g03oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3o0000
803oool00`3o0000oooo0?ooo`080?ooo`050?l0003oool0oooo0?ooo`3o0000?P3oool00`3o0000
oooo0?ooo`0B0?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool01P3oool00`3o0000
oooo0?ooo`0S0?ooo`030?l0003oool0o`0001/0oooo00<0o`000?ooo`3o0000=`3oool00`3o0000
oooo0?ooo`050?ooo`030?l0003oool0oooo01l0oooo0P3o000j0?ooo`050?l0003oool0oooo0?oo
o`3o0000E03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0]0?ooo`03
0?l0003oool0oooo0=`0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0C0?ooo`80
o`00803oool00`3o0000oooo0?ooo`080?ooo`040?l0003oool0oooo0?l003l0oooo00<0o`000?oo
o`3oool04@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?oo
o`3oool08`3oool00`3o0000oooo0?ooo`0L0?ooo`80o`003@3oool01@3o0000oooo0?ooo`3oool0
o`0002D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0
oooo03P0oooo00D0o`000?ooo`3oool0oooo0?l0001D0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo02h0oooo00<0o`000?ooo`3oool01@3oool20?l000L0oooo00<0o`00
0?ooo`3oool0bP3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo01<0oooo0P3o000K
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool0103o0000oooo0?ooo`3o
00100?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool06`3oool20?l000d0oooo00@0
o`000?ooo`3oool0o`009P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo0200oooo
00<0o`000?ooo`3oool0>03oool01@3o0000oooo0?ooo`3oool0o`0005@0oooo00<000000?ooo`3o
ool0;@3oool007@0oooo00<000000?ooo`3oool0;P3oool00`3o0000oooo0?ooo`030?ooo`80o`00
2@3oool00`3o0000oooo0?ooo`3:0?ooo`030?l0003oool0oooo0280oooo0P3o000K0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?l000100?ooo`030?l0
003oool0oooo0100oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo02D0oooo00<0o`000?ooo`3oool0:P3oool00`3o0000oooo0?l0000W0?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3oool0F`3oool0103o0000oooo0?ooo`3o001E0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`@00000;@3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool0k`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`110?ooo`030?l0
003oool0oooo00l0oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo02D0oooo00<0o`000?ooo`3oool0:`3oool20?l002P0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`1L0?ooo`030?l0003oool0o`000580oooo1000000_0?ooo`00M03o
ool00`000000oooo0?ooo`0^0?ooo`030?l0003oool0oooo0080o`001@3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo0?l0oooo3@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo00T0oooo00<0o`000?ooo`3oool0@@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003o
ool0oooo0240oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003o
ool0oooo02/0oooo00<0o`000?ooo`3oool09`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo05`0oooo00<0o`000?ooo`3o0000E@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool0
0`000000oooo0?ooo`0_0?ooo`80o`001`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo0?00oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo00T0oooo00<0o`000?ooo`3o0000DP3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0
oooo07h0oooo00<0o`000?ooo`3oool0H`3oool00`3o0000oooo0?l0001E0?ooo`030000003oool0
oooo02d0oooo001d0?ooo`030000003oool0oooo02l0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0>l0oooo0P3o000K0?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`1@0?ooo`030?l0003oool0oooo
0:P0oooo00<0o`000?ooo`3oool0H`3oool00`3o0000oooo0?l0001E0?ooo`030000003oool0oooo
02d0oooo001d0?ooo`030000003oool0oooo03T0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`3_0?ooo`80o`006`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00/0
oooo00<0o`000?ooo`3oool0@@3oool00`3o0000oooo0?ooo`0`0?ooo`030?l0003oool0oooo08X0
oooo00<0o`000?ooo`3oool0]@3oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo
0?ooo`0i0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0k`3oool20?l001/0oooo
00<0o`000?ooo`3oool03P3oool20?l004@0oooo00<0o`000?ooo`3oool0<03oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo08D0oooo00<0o`000?ooo`3oool0]@3oool00`000000oooo
0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0i0?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0l03oool00`3o0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo00h0oooo0P3o
00150?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo07l0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`1M0?ooo`030?l0003oool0o`0005D0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0>P3oool00`3o0000oooo0?ooo`3e0?ooo`030?l0003oool0oooo01h0oooo00<0o`00
0?ooo`3oool02P3oool00`3o0000oooo0?ooo`130?ooo`030?l0003oool0oooo00X0oooo00<0o`00
0?ooo`3oool08P3oool01@3o0000oooo0?ooo`3oool0o`000880oooo00<0o`000?ooo`3oool00`3o
ool00`3o0000oooo0?ooo`1M0?ooo`030?l0003oool0o`0005D0oooo00<000000?ooo`3oool0;@3o
ool007@0oooo00<000000?ooo`3oool0>P3oool00`3o0000oooo0?ooo`3o0?oooaL0oooo00<0o`00
0?ooo`3oool0D@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo0280oooo00D0o`00
0?ooo`3oool0oooo0?l000220?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0G@3o
ool00`3o0000oooo0?l0001E0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo03l0oooo00<0o`000?ooo`3oool0o`3oool>0?ooo`050?l0003oool0oooo0?ooo`3o0000D`3o
ool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo02@0oooo00<0o`000?ooo`3o0000P`3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo05d0oooo00<0o`000?ooo`3o0000E@3o
ool00`000000oooo0?ooo`0]0?ooo`00M03oool4000003h0oooo00<0o`000?ooo`3oool0o`3oool>
0?ooo`050?l0003oool0oooo0?ooo`3o0000E03oool00`3o0000oooo0?ooo`070?ooo`030?l0003o
ool0oooo02@0oooo00<0o`000?ooo`3o0000P`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo05d0oooo0P3o001C0?ooo`@00000;`3oool007@0oooo00<000000?ooo`3oool0>`3oool0
1@3o0000oooo0?ooo`3oool0o`000?l0oooo403oool0103o0000oooo0?ooo`3o001E0?ooo`030?l0
003oool0oooo00H0oooo00<0o`000?ooo`3oool09@3oool20?l008D0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`1N0?ooo`030?l0003oool0oooo05@0oooo00<000000?ooo`3oool0
;@3oool007@0oooo00<000000?ooo`3oool0>`3oool01@3o0000oooo0?ooo`3oool0o`000?l0oooo
403oool0103o0000oooo0?ooo`3o001N0?ooo`030?l0003oool0oooo02D0oooo0P3o00250?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0GP3oool00`3o0000oooo0?ooo`1D0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo03`0oooo00<0o`000?ooo`3o0000
o`3ooolA0?ooo`040?l0003oool0oooo0?l005d0oooo00<0o`000?ooo`3oool0[@3oool00`3o0000
oooo0?ooo`1S0?ooo`030?l0003oool0oooo05@0oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool0?03oool00`3o0000oooo0?l0003o0?oooa40oooo00@0o`000?ooo`3oool0
o`00E`3oool00`3o0000oooo0?ooo`2c0?ooo`030?l0003oool0oooo06<0oooo00<0o`000?ooo`3o
ool0E03oool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`0l0?ooo`030?l0
003oool0o`000?l0oooo4@3oool0103o0000oooo0?ooo`3o001G0?ooo`050?l0003oool0oooo0?oo
o`3o0000]P3oool00`3o0000oooo0?ooo`2e0?ooo`030000003oool0oooo02d0oooo001d0?ooo`03
0000003oool0oooo03d0oooo0P3o003o0?oooa40oooo00<0o`000?ooo`3oool0F@3oool00`3o0000
oooo0?l0002g0?ooo`030?l0003oool0oooo0;D0oooo00<000000?ooo`3oool0;@3oool007@0oooo
00<000000?ooo`3oool0?@3oool20?l00?l0oooo4@3oool00`3o0000oooo0?ooo`1I0?ooo`030?l0
003oool0o`000;80oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2e0?ooo`030000
003oool0oooo02d0oooo001>0?ooo`800000103oool2000000@0oooo0P0000030?ooo`<00000103o
ool2000000`0oooo00<000000?ooo`3oool0?P3oool00`3o0000oooo0?ooo`3o0?oooa80oooo00<0
o`000?ooo`3oool0E`3oool00`3o0000oooo0?ooo`2a0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool0]@3oool00`000000oooo0?ooo`0]0?ooo`00C@3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`00000;0?ooo`030000003oool0oooo03h0oooo00<0o`000?ooo`3oool0o`3ooolB0?oo
o`030?l0003oool0oooo0?l0oooo303oool01@3o0000oooo0?ooo`3oool0o`000;P0oooo00<00000
0?ooo`3oool0;@3oool004d0oooo00@000000?ooo`3oool000002`3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool600000?l0ooooC@3o
ool0103o0000oooo0?ooo`3o003o0?ooo`h0oooo00D0o`000?ooo`3oool0oooo0?l0002c0?ooo`H0
0000;`3oool004h0oooo0P00000:0?ooo`8000000`3oool3000000@0oooo0P00000<0?ooo`030000
003oool0oooo0?l0ooooD03oool0103o0000oooo0?ooo`3o003o0?ooo`h0oooo00D0o`000?ooo`3o
ool0oooo0?l0002h0?ooo`030000003oool0oooo02d0oooo001=0?ooo`040000003oool0oooo0000
00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0o`3ooom@0?ooo`030?l0003oool0o`000?l0oooo403oool0103o
0000oooo0?ooo`3o002h0?ooo`030000003oool0oooo02d0oooo001>0?ooo`8000002P3oool30000
00<0oooo0`0000030?ooo`<000002`3oool00`000000oooo0?ooo`3o0?oooe00oooo00<0o`000?oo
o`3o0000o`3oool@0?ooo`040?l0003oool0oooo0?l00;P0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0o`3ooom@0?ooo`030?l0003oool0o`000?l0oooo403oool00`3o
0000oooo0?ooo`2i0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0
ooooD@3oool20?l00?l0oooo403oool00`3o0000oooo0?ooo`2i0?ooo`030000003oool0oooo02d0
oooo001d0?ooo`030000003oool0oooo0?l0ooooD@3oool20?l00?l0oooo4`3oool00`3o0000oooo
0?ooo`2f0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooD@3o
ool00`3o0000oooo0?ooo`3o0?oooa80oooo00<0o`000?ooo`3oool0]P3oool00`000000oooo0?oo
o`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?oooe40oooo00<0o`000?ooo`3oool0o`3oool?
0?ooo`040?l0003oool0oooo0?l00;P0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<00000
0?ooo`3oool0o`3ooomB0?ooo`030?l0003oool0oooo0?l0oooo3P3oool0103o0000oooo0?ooo`3o
002h0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooDP3oool0
0`3o0000oooo0?ooo`3o0?ooo`h0oooo00<0o`000?ooo`3o0000^@3oool00`000000oooo0?ooo`0]
0?ooo`00M03oool400000?l0ooooD03oool20?l00?l0oooo403oool00`3o0000oooo0?l0002f0?oo
o`@00000;`3oool007@0oooo00<000000?ooo`3oool0o`3ooomA0?ooo`030?l0003oool0oooo0?l0
oooo3`3oool00`3o0000oooo0?l0002i0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000
003oool0oooo0?l0ooooD@3oool00`3o0000oooo0?ooo`3o0?oooa00oooo0P3o002i0?ooo`030000
003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooD@3oool00`3o0000oooo0?oo
o`3o0?oooa00oooo0P3o002i0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0
oooo0?l0ooooo`3ooomT0?ooo`030?l0003oool0oooo0;P0oooo00<000000?ooo`3oool0;@3oool0
07@0oooo00<000000?ooo`3oool0o`3ooooo0?ooof@0oooo00<0o`000?ooo`3oool0^03oool00`00
0000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooool0ooooI@3oool00`3o0000
oooo0?ooo`2g0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0oooo
o`3ooomU0?ooo`030?l0003oool0oooo0;L0oooo00<000000?ooo`3oool0;@3oool007@0oooo00<0
00000?ooo`3oool0o`3ooooo0?ooof@0oooo0P3o002i0?ooo`030000003oool0oooo02d0oooo001d
0?ooo`030000003oool0oooo0?l0ooooo`3ooomT0?ooo`80o`00^@3oool00`000000oooo0?ooo`0]
0?ooo`00M03oool400000?l0ooooo`3ooomT0?ooo`030?l0003oool0oooo0;@0oooo1000000_0?oo
o`00M03oool00`000000oooo0?ooo`3o0?ooool0ooooI@3oool00`3o0000oooo0?ooo`2g0?ooo`03
0000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooob00oooo
00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo803o
ool00`000000oooo0?ooo`0]0?ooo`00M03oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolP
0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<000000?oo
o`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0;@3oool007@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`2F0?ooo`03
0000003oool0oooo09D0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`03
0000003oool0oooo09D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0]0?ooo`00
M03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02d0oooo001d0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0;@3oool007@0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0]0?ooo`00M03ooooo00000?l00000o`00000T000002l0oooo003o0?ooool0
ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o
0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0
oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0ooooo`3ooooo
0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool00?l0oooo
o`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3oool0
0?l0oooo_`3oool7000000<0oooo0P0000020?ooo`@00000103oool3000000D0oooo1P0000040?oo
o`L000001@3oool3000000030?ooo`000000000000@0oooo0`0000070?ooo`<0000000<0oooo0000
00000000103oool4000000@0oooo0P0000020?ooo`@000000`3oool4000000030?ooo`0000000000
00@0oooo100000060?ooo`<0000000<0oooo000000000000103oool4000000D0oooo1@00003o0?oo
ogD0oooo003o0?oool80oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool00000
00D0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?ooo`800000103o
ool01@000000oooo0?ooo`3oool0000000D0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooomf0?ooo`00o`3oooo20?oo
o`030000003oool0oooo00D0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`050000003o
ool0oooo0?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000X0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000002@3oool0
0`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000002`3oool00`000000oooo0?oo
o`3o0?ooogH0oooo003o0?oool80oooo00<000000?ooo`3oool01@3oool3000000H0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`D000001`3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`050000003o
ool0oooo0?ooo`0000001@3oool010000000oooo0?ooo`3oool7000000@0oooo0`0000070?ooo`H0
00000`3oool7000000<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool70000
00D0oooo00<000000?ooo`3oool0o`3ooomf0?ooo`00o`3oooo20?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?oo
o`000000303oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00D000000?oo
o`3oool0oooo000000050?ooo`050000003oool0oooo0?ooo`0000001@3oool01@000000oooo0?oo
o`3oool0000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000<0?ooo`050000
003oool0oooo0?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000D0oooo00D000000?oo
o`3oool0oooo000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3ooomf
0?ooo`00o`3oooo20?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000001P3oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<0
00000?ooo`3oool01@3oool010000000oooo0?ooo`3oool2000000@0oooo00D000000?ooo`3oool0
oooo000000050?ooo`040000003oool0oooo0?ooo`800000103oool01@000000oooo0?ooo`3oool0
000000D0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00D000000?ooo`3oool0oooo000000050?ooo`040000003oool0oooo0?ooo`80
0000103oool01@000000oooo0?ooo`3oool0000000H0oooo0`00003o0?ooogH0oooo003o0?oool80
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`03000000D0oooo0`0000060?ooo`@0
000000<0oooo0000003oool00`3oool3000000P0oooo0`0000000`3oool000000?ooo`040?ooo`<0
00001`3oool3000000030?ooo`000000oooo00@0oooo0`0000060?ooo`030000003oool0oooo00<0
00001@3oool4000000H0oooo0`0000070?ooo`<0000000<0oooo0000003oool0103oool3000000H0
oooo0P0000020?ooo`<00000o`3ooomc0?ooo`00o`3oooo20?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0803oool00`000000oooo0?ooo`3o0?ooohH0oooo003o0?oookl0oooo1`00
00040?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0o`3ooon60?ooo`00o`3oooo9
0?ooo`8000007`3oool00`000000oooo0?ooo`090?ooo`8000004P3oool2000000d0oooo0P00000Q
0?ooo`800000o`3ooon80?ooo`00o`3ooooZ0?ooo`030000003oool0oooo0?l0oooof@3oool00?l0
ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0ooooa`3o
ool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo0?ooool0
ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00o`3ooooo
0?ooool0ooooa`3oool00?l0ooooo`3ooooo0?ooolL0oooo003o0?ooool0ooooo`3oooo70?ooo`00
\
\>"],
  ImageRangeCache->{{{0, 963}, {481, 0}} -> {-1.0511, -0.525006, 0.00218298, \
0.00218298}, {{23.375, 939.563}, {469.5, 11.4375}} -> {-17.8165, 8.563, \
0.131212, 4.84267*^-06}, {{147.063, 284.5}, {419.125, 281.688}} -> {-3.69536, \
-2.72925, 0.0244477, 0.0424924}, {{154.375, 195.313}, {414.875, 391.313}} -> \
{-14.841, -6.6128, 0.0848815, 0.0848815}, {{154.375, 195.313}, {387.563, \
364}} -> {-14.841, -8.93112, 0.0848815, 0.0848815}, {{154.375, 195.313}, \
{360.25, 336.75}} -> {-14.8805, -11.2767, 0.0851072, 0.0851072}, {{154.375, \
195.313}, {332.938, 309.438}} -> {-14.8805, -13.6012, 0.0851072, 0.0851072}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 32, 0, 53, "Section"],
Cell[1774, 53, 50, 1, 30, "Input"],
Cell[1827, 56, 51, 0, 33, "Text"],
Cell[1881, 58, 150, 4, 30, "Input"],
Cell[2034, 64, 53, 0, 33, "Text"],
Cell[2090, 66, 156, 4, 30, "Input"],
Cell[2249, 72, 53, 0, 33, "Text"],
Cell[2305, 74, 147, 4, 30, "Input"],
Cell[2455, 80, 63, 0, 33, "Text"],
Cell[2521, 82, 176, 4, 30, "Input"],
Cell[2700, 88, 61, 0, 33, "Text"],
Cell[2764, 90, 1054, 31, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3855, 126, 65, 0, 69, "Title"],

Cell[CellGroupData[{
Cell[3945, 130, 31, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[4001, 134, 36, 0, 47, "Subsection"],
Cell[4040, 136, 69, 0, 33, "Text"],
Cell[4112, 138, 413, 10, 70, "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4574, 154, 32, 0, 33, "Section"],
Cell[4609, 156, 174, 4, 52, "Text"],
Cell[4786, 162, 4416, 98, 270, "Input"],
Cell[9205, 262, 83, 1, 33, "Text"],
Cell[9291, 265, 3307, 66, 230, "Input"],
Cell[12601, 333, 83, 1, 33, "Text"],
Cell[12687, 336, 1977, 44, 170, "Input"],
Cell[14667, 382, 245, 5, 52, "Text"],
Cell[14915, 389, 2423, 56, 190, "Input"],
Cell[17341, 447, 62, 0, 33, "Text"],
Cell[17406, 449, 1118, 22, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18561, 476, 40, 0, 33, "Section"],
Cell[18604, 478, 171, 4, 52, "Text"],
Cell[18778, 484, 1145, 23, 250, "Input"],
Cell[19926, 509, 134, 3, 52, "Text"],
Cell[20063, 514, 732, 16, 170, "Input"],
Cell[20798, 532, 171, 4, 52, "Text"],
Cell[20972, 538, 468, 11, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21477, 554, 54, 0, 33, "Section"],
Cell[21534, 556, 98, 2, 33, "Text"],
Cell[21635, 560, 357, 5, 51, "Text"],
Cell[21995, 567, 170, 3, 33, "Text"],
Cell[22168, 572, 767, 15, 130, "Input"],
Cell[22938, 589, 142, 3, 52, "Text"],
Cell[23083, 594, 614, 13, 130, "Input"],
Cell[23700, 609, 186, 4, 52, "Text"],
Cell[23889, 615, 596, 13, 130, "Input"],
Cell[24488, 630, 128, 3, 52, "Text"],
Cell[24619, 635, 507, 12, 110, "Input"],
Cell[25129, 649, 236, 4, 52, "Text"],
Cell[25368, 655, 1006, 20, 210, "Input"],
Cell[26377, 677, 335, 6, 52, "Text"],
Cell[26715, 685, 893, 18, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[27645, 708, 46, 0, 33, "Section"],
Cell[27694, 710, 246, 6, 52, "Text"],
Cell[27943, 718, 1106, 23, 250, "Input"],
Cell[29052, 743, 251, 6, 52, "Text"],
Cell[29306, 751, 713, 15, 130, "Input"],
Cell[30022, 768, 239, 5, 52, "Text"],
Cell[30264, 775, 4347, 86, 390, "Input"],
Cell[34614, 863, 211, 5, 52, "Text"],
Cell[34828, 870, 11602, 213, 810, "Input"],
Cell[46433, 1085, 293, 4, 52, "Text"],
Cell[46729, 1091, 869, 19, 170, "Input"],
Cell[47601, 1112, 387, 10, 52, "Text"],
Cell[47991, 1124, 716, 15, 130, "Input"],
Cell[48710, 1141, 216, 4, 52, "Text"],
Cell[48929, 1147, 986, 21, 210, "Input"],
Cell[49918, 1170, 229, 5, 52, "Text"],
Cell[50150, 1177, 1269, 25, 270, "Input"],
Cell[51422, 1204, 182, 4, 52, "Text"],
Cell[51607, 1210, 922, 19, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[52566, 1234, 31, 0, 33, "Section"],
Cell[52600, 1236, 69, 0, 33, "Text"],
Cell[52672, 1238, 346, 9, 70, "Input"],
Cell[53021, 1249, 400, 8, 52, "Text"],
Cell[53424, 1259, 126, 2, 44, "Text"],
Cell[53553, 1263, 649, 14, 110, "Input"],
Cell[54205, 1279, 139, 3, 33, "Text"],
Cell[54347, 1284, 206, 4, 32, "Text"],
Cell[54556, 1290, 1034, 20, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[55627, 1315, 37, 0, 33, "Section"],
Cell[55667, 1317, 86, 1, 33, "Text"],
Cell[55756, 1320, 738, 15, 190, "Input"],
Cell[56497, 1337, 108, 3, 33, "Text"],
Cell[56608, 1342, 689, 14, 130, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[57334, 1361, 44, 0, 33, "Section"],
Cell[57381, 1363, 317, 6, 52, "Text"],
Cell[57701, 1371, 8252, 173, 670, "Input"],
Cell[65956, 1546, 151, 4, 52, "Text"],
Cell[66110, 1552, 126, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[66273, 1559, 121, 1, 33, "Section"],
Cell[66397, 1562, 274, 6, 71, "Text"],
Cell[66674, 1570, 5920, 115, 915, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[72631, 1690, 44, 0, 33, "Section"],
Cell[72678, 1692, 195, 5, 52, "Text"],
Cell[72876, 1699, 2083, 45, 250, "Input"],
Cell[74962, 1746, 171, 3, 33, "Text"],
Cell[75136, 1751, 715, 14, 110, "Input"],
Cell[75854, 1767, 524, 12, 204, "Text"],
Cell[76381, 1781, 74783, 1409, 3890, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[151201, 3195, 134, 2, 33, "Section"],
Cell[151338, 3199, 342, 6, 52, "Text"],
Cell[151683, 3207, 1262, 27, 250, "Input"],
Cell[152948, 3236, 403, 7, 71, "Text"],
Cell[153354, 3245, 1394, 29, 250, "Input"],
Cell[154751, 3276, 333, 6, 71, "Text"],
Cell[155087, 3284, 9012, 174, 1235, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164136, 3463, 38, 0, 33, "Section"],
Cell[164177, 3465, 374, 7, 52, "Text"],
Cell[164554, 3474, 1782, 33, 330, "Input"],
Cell[166339, 3509, 127, 3, 33, "Text"],
Cell[166469, 3514, 1870, 37, 390, "Input"],
Cell[168342, 3553, 362, 7, 52, "Text"],
Cell[168707, 3562, 1088, 21, 210, "Input"],
Cell[169798, 3585, 114, 3, 33, "Text"],
Cell[169915, 3590, 642, 13, 130, "Input"],
Cell[170560, 3605, 403, 10, 128, "Text"],
Cell[170966, 3617, 898, 18, 130, "Input"],
Cell[171867, 3637, 149, 3, 33, "Text"],
Cell[172019, 3642, 1066, 24, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[173122, 3671, 34, 0, 33, "Section"],
Cell[173159, 3673, 92, 2, 33, "Text"],
Cell[173254, 3677, 674, 14, 110, "Input"],
Cell[173931, 3693, 934, 18, 230, "Input"],
Cell[174868, 3713, 346, 6, 90, "Input"],
Cell[175217, 3721, 388, 7, 90, "Input"],
Cell[175608, 3730, 824, 16, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[176469, 3751, 32, 0, 33, "Section"],
Cell[176504, 3753, 595, 13, 204, "Text"],
Cell[177102, 3768, 16026, 333, 2070, "Input"],
Cell[193131, 4103, 174, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[193330, 4110, 8180, 169, 1030, "Input"],
Cell[201513, 4281, 174361, 3335, 490, 23751, 1471, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

