(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    505935,       9427]*)
(*NotebookOutlinePosition[    506589,       9450]*)
(*  CellTagsIndexPosition[    506545,       9446]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Einstellungen", "Section"],

Cell[BoxData[
    \(\(<< Graphics`;\)\)], "Input"],

Cell["Hier wird die Testausgabe geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(test\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]], "Input"],

Cell["Hier wird Laden / Speichern geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(saveOrLoad\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["Hier wird die Statusanzeige geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(status = True;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Hinweisen formatiert.", "Text"],

Cell[BoxData[
    StyleBox[\(NoPr[text_]\  := \ If[status, Print[text]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Fehlern formatiert.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox[\(ErPr[text_]\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[":=",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[\(If[status, StylePrint[text, FontColor \[Rule] Red], 
            FontWeight -> "\<Bold\>"]\),
          FontFamily->"Courier New",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[";",
        FontFamily->"Courier New",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 1, 0]]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Diplomarbeit \"Dynamik klassischer Spinsysteme\"", "Title"],

Cell[CellGroupData[{

Cell["Definitionen", "Section"],

Cell[CellGroupData[{

Cell["Spin-Variablen", "Subsection"],

Cell["An dieser Stelle werden die Spin-Variablen definiert.", "Text"],

Cell[BoxData[{
    RowBox[{\(s[\[Mu]_] = Table[\(s[\[Mu], i]\)[t], {i, 1, 3}];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, MatrixForm[s[1]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hilfsmethoden", "Section"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordnete) Knotenmenge \"vertices\" \
des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getVertices[tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({temp, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(vertices\  = \ {}\), ";", "\[IndentingNewLine]", 
                RowBox[{
                  StyleBox["(*",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  RowBox[{
                    
                    StyleBox[\(Flatten\  \[Rule] \ 
                        Mengenklammern\ werden\ gestrichen\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Sort\  \[Rule] \ 
                        Knoten\ werden\ aufsteigend\ sortiert\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Split\  \[Rule] \ 
                        Doppelte\ Knoten\ werden\ in\ Mengen\ zusammengefasst\
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    "  ", 
                    
                    StyleBox[\(Union\  -> \ 
                        Mengen\ werden\ \(\(vereinigt\)\(.\)\)\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox["*)",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]]}], 
                "\[IndentingNewLine]", \(temp\  = \ 
                  Split[\ Sort[\ Flatten[tree]]\ ]\), ";", 
                "\[IndentingNewLine]", \(For[i = \ 1, \ 
                  i\  \[LessEqual] \ 
                    Length[temp], \ \(i++\), \[IndentingNewLine]\(vertices\  \
= \ Union[\ vertices, \ temp[\([i]\)]\ ];\)\[IndentingNewLine]]\), ";", 
                "\[IndentingNewLine]", "vertices"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getVertices[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexmengen.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexSets[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  RowBox[{\(Depth[M]\  \[NotEqual] \ 3\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: Not a set of sets.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[M]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[vertices]\  && \ 
                      result\), ",", " ", \(i++\), ",", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(! IntegerQ[vertices[\([i]\)]]\), ",", " ", 
                          RowBox[{\(result\  = False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";", "\[IndentingNewLine]", 
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(vertices[\([i]\)]\  < \ 1\), ",", " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of positive \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexSets[{{1, 2, 3}, {4, 5}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexpaaren.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexPairs[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{
                RowBox[{"result", " ", "=", " ", 
                  StyleBox[\(verifyIndexSets[M]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M]\), ",", \(i++\), ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", 
                        
                        RowBox[{\(Length[M[\([i]\)]]\  \[NotEqual] \ 2\), ",",
                           " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of pairs.\>"]\
\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexPairs[{{1, 2}, {3, 4}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Graphen-Kopplungsmatrix \"J\":
\[CapitalUDoubleDot]bergeben wird die Zeilen- / Spaltenzahl \"n\" von \
\"J\",die Menge \"H\" der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \
\"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getJ[n_, H_, strength_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({vertices, \[Mu], \[Nu], i}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{
                StyleBox[\(verifyIndexPairs[H]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[H]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[vertices]\  > \ n\), ",", 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, n}]\  \[NotEqual] \ vertices\), 
                    ",", " ", 
                    RowBox[{
                      
                      StyleBox[\(NoPr["\<Notice: System is not connected.\>"]\
\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], ";"}]}], " ", "]"}], 
                ";", "\[IndentingNewLine]", \(J\  = \ 
                  Table[If[
                      MemberQ[H, {\[Mu], \[Nu]}] || 
                        MemberQ[H, {\[Nu], \[Mu]}], strength, 0], {\[Mu], 1, 
                      n}, {\[Nu], 1, n}]\), ";", " ", "\[IndentingNewLine]", 
                "J"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, getJ[2, {{1, 2}}, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode zeigt den Staus der Rechnung an.", "Text"],

Cell[BoxData[{
    RowBox[{\(showProgress[i_, imax_, t0_]\  := \ 
          Module[{percentage, t, h, m, 
              s}, \[IndentingNewLine]percentage\  = \ 
              i/imax\ *100; \[IndentingNewLine]t\  = \ \((AbsoluteTime[]\  - \
\ t0)\); \[IndentingNewLine]h\  = \ 
              IntegerPart[\ t/3600]; \[IndentingNewLine]m\  = 
              IntegerPart[\((t\  - \ 3600\ \ h)\)/
                  60]; \[IndentingNewLine]s\  = \ 
              IntegerPart[t\  - \ 3600\ h\  - \ 60\ m]; \[IndentingNewLine]If[
              Mod[percentage, 10]\  \[Equal] \ 0, 
              Print[ToString[percentage]\  <> \ "\<% , \>"\  <> 
                  ToString[h]\  <> \ "\<:\>"\  <> \ 
                  ToString[m]\  <> \ "\<:\>"\  <> \ 
                  ToString[s]]];\[IndentingNewLine]];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, showProgress[10, 100, AbsoluteTime[] - 5430]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Phasenraum-Funktionen", "Section"],

Cell["\<\
Diese Methode liefert die Gesamtenergie \"energy\":
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und eine \
Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalEnergy[J_, M_]\  := \ 
          Module[{energy, i, 
              j, \[Mu], \[Nu]}, \[IndentingNewLine]energy\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\[Mu]\  = \ 
                M[\([i]\)]; \[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  Length[M], \ \(j++\), \[IndentingNewLine]\[Nu]\  = \ 
                  M[\([j]\)]; \[IndentingNewLine]energy\ \  = \ 
                  energy\  + \ 
                    J[\([\[Mu], \[Nu]]\)]\ *\ \((s[\[Mu]]\  . \ 
                          s[\[Nu]])\);\[IndentingNewLine]];\[IndentingNewLine]\
]; \[IndentingNewLine]1/2\ *\ energy];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, \ 
        getTotalEnergy[{{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert den Gesamtspin \"spin\":
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpin[M_]\  := \ 
          Module[{spin, i}, \[IndentingNewLine]spin\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\(spin\  = \ 
                  spin\  + \ 
                    s[\ M[\([i]\)]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]spin];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpin[{1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die \"i\"-te Komponente des Gesamtspins:
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge und die Komponente \
\"i\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpinComponent[M_, 
            i_]\  := \ \(getTotalSpin[M]\)[\([i]\)];\), "\[IndentingNewLine]",
       
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpinComponent[{1, 2, 3}, 3]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerische \"Standard\"-Integration", "Section"],

Cell["\<\
Diese Methode liefert die Hamiltonschen Bewegungsgleichungen\"equations\".\
\>", "Text"],

Cell[BoxData[
    \(H\  = \ \(\[Sum]\+\(\[Mu]\  < \ \[Nu]\)J\_\[Mu]\[Nu]\ s\_\[Mu]*
            s\_\[Nu]\ und\ \(s\& . \)\_\[Mu]\  = \ \(\[PartialD]\ H\/\
\[PartialD]\ s\_\(\_\[Mu]\)\ x\ s\_\[Mu]\ \  \[Rule] \ \(s\& . \)\_\[Mu]\  = \
\ \[Sum]\+\(\[Mu]\  < \ \[Nu]\)\(\(J\_\[Mu]\[Nu]\)\(\ \)\(s\_\[Nu]\)\(\ \)\(x\
\)\(\ \)\(s\_\[Mu]\)\(\ \)\)\)\)\)], "Text"],

Cell["\<\
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getEquations[n_, H_, strength_]\  := \ 
          Module[{J, \[Mu], \[Nu], i}, \[IndentingNewLine]J\  = \ 
              getJ[n, H, strength]; \[IndentingNewLine]equations\  = \ 
              Table[\(s[\[Mu], i]'\)[t] == \ 
                  Sum[J[\([\[Mu], \[Nu]]\)]\ *\ \(Cross[s[\[Nu]], 
                          s[\[Mu]]]\)[\([i]\)], {\[Nu], 1, n}], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]equations];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getEquations[2, {{1, 2}}, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Anfangsbedingungen \"init\":
\[CapitalUDoubleDot]bergeben wird die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInit[v_]\  := \ 
          Module[{n, init, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]init = 
              Table[\(s[\[Mu], i]\)[0] \[Equal] v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]init];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getInit[{{0, 0, 1}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert das DGl-System:
\[CapitalUDoubleDot]bergeben werden die Hamiltonschen Bewegungsgleichungen \
\"equations\" und die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSystem[equations_, v_]\  := \ 
          Module[{init, system}, \[IndentingNewLine]init\  = 
              getInit[v]; \[IndentingNewLine]system\  = 
              Join[init, equations]; \[IndentingNewLine]system];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, 
        getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Variablen \"var\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getVar[n_]\  := \ 
          Module[{var, \[Mu]}, \[IndentingNewLine]var\  = \ 
              Table[s[\[Mu]], {\[Mu], 1, n}]; \[IndentingNewLine]var];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getVar[2]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die L\[ODoubleDot]sung \"solution\"des DGl-Systems:
\[CapitalUDoubleDot]bergeben wird das DGl-System \"system\", die Variablen \
\"var\" und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSolution[system_, var_, T_, stepSize_]\  := \ 
          Module[{solution}, \[IndentingNewLine]solution\  = 
              NDSolve[Flatten[system], 
                Flatten[var], {t, 0, T}, \[IndentingNewLine]Method \[Rule] 
                  RungeKutta, \[IndentingNewLine]MaxStepSize \[Rule] 
                  stepSize, \[IndentingNewLine]StartingStepSize \[Rule] \ 
                  stepSize, \[IndentingNewLine]MaxSteps \[Rule] 
                  Infinity\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              solution]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getSolution[
          getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}], 
          getVar[2], 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die numerische \"Standard\"-Integration \
durch:
\[CapitalUDoubleDot]bergeben werden die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare, die Kopplungsst\[ADoubleDot]rke \"strength\", die Menge \
\"v\" von Vektoren und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(integrateStandard[n_, H_, strength_, v_, T_, stepSize_]\  := \ 
          Module[{equations, system, var, 
              solution}, \[IndentingNewLine]equations\  = \ 
              getEquations[n, H, strength]; \[IndentingNewLine]system\  = \ 
              getSystem[equations, v]; \[IndentingNewLine]var\  = \ 
              getVar[n]; \[IndentingNewLine]solution = \ 
              getSolution[system, var, T, 
                stepSize]; \[IndentingNewLine]solution];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        integrateStandard[2, {{1, 2}}, 1, {{1, 0, 0}, {0, 1, 0}}, 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Konstruktionsbaum und -pfad", "Section"],

Cell[TextData[{
  "Diese Methoden vergleicht zwei Mengen nach der L\[ADoubleDot]nge ",
  StyleBox["und",
    FontWeight->"Bold"],
  " der Reihenfolge der Elemente:\n\[CapitalUDoubleDot]bergeben werden zwei \
Mengen \"M1\" und \"M2\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(lengthSort[M1_, M2_]\  := \ 
          Module[{result}, \[IndentingNewLine]If[
              Length[M1]\  < \ Length[M2], \ 
              result\  = \ True]; \[IndentingNewLine]If[
              Length[M1]\  > \ Length[M2], \ 
              result\  = \ False]; \[IndentingNewLine]If[
              Length[M1]\  \[Equal] \ 
                Length[M2], \[IndentingNewLine]result\  = \ 
                False; \[IndentingNewLine]For[i\  = \ 1, 
                i\  \[LessEqual] \ 
                    Length[M1]\  && \ \(! result\), \(i++\), \
\[IndentingNewLine]\(If[M1[\([i]\)]\  < \ M2[\([i]\)], \ 
                    result\  = \ 
                      True];\)\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]result];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, lengthSort[{1, 2}, {3, 4, 5}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode sortiert die Knotenmengen des Baumes \"tree\". Dies ist ",
  StyleBox["nur",
    FontWeight->"Bold"],
  " f\[UDoubleDot]r die Testmethoden notwendig.\n\[CapitalUDoubleDot]bergeben \
wird der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedTree[tree_]\  := \ 
          Module[{sortedTree, i}, \[IndentingNewLine]sortedTree\  = \ 
              Table[Sort[tree[\([i]\)]], {i, 1, 
                  Length[tree]}]; \[IndentingNewLine]sortedTree\  = \ 
              Sort[sortedTree, 
                lengthSort[#1, #2] &]; \[IndentingNewLine]sortedTree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, getSortedTree[{{2, 1}, {3, 2, 1}, {1}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die gleichf\[ODoubleDot]rmige \
Kopplung von zwei Teilmengen:
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und die \
Index-Teilmengen \"M1\" und \"M2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyUniformCoupling[J_, M1_, M2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, c, i, j, \[Mu], \[Nu]}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Intersection[M1, M2]\  \[NotEqual] \ {}\), ",", 
                    " ", "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: Not disjoint: \>"\  <> \ 
                            ToString[M1]\  <> \ "\< and \>"\  <> \ 
                            ToString[M2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[M1, M2]\  > \ Length[J]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      
                      StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(\[Mu]\  = \ M1[\([1]\)]\), ";", 
                "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([1]\)]\), " ", ";", 
                "\[IndentingNewLine]", \(c\  = \ J[\([\[Mu], \[Nu]]\)]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M1]\  && \ result\), ",",
                     " ", \(i++\), ",", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(j\  = \ 1\), 
                        ",", \(j\  \[LessEqual] \ Length[M2]\  && \ result\), 
                        ",", " ", \(j++\), ",", "\[IndentingNewLine]", 
                        
                        RowBox[{\(\[Mu]\  = \ M1[\([i]\)]\), ";", 
                          "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([j]\)]\), 
                          ";", "\[IndentingNewLine]", 
                          RowBox[{"If", "[", " ", 
                            
                            RowBox[{\(J[\([\[Mu], \[Nu]]\)]\  \[NotEqual] \ 
                                c\), ",", 
                              RowBox[{\(result\  = \ False\), ";", " ", 
                                
                                StyleBox[\(ErPr["\<Error: No uniform \
coupling: \>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]], 
                                StyleBox[";",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "]"}], ";", "\[IndentingNewLine]", "result"}]}], "]"}]}], 
        ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyUniformCoupling[{{0, 1, 0}, {1, 0, 1}, {0, 1, 0}}, {1, 
            3}, {2}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die Eigenschaften des \
(Teil)baumes \"tree\":
\[CapitalUDoubleDot]bergeben werden die Kopplungsmatrix \"J\" und der \
(Teil)baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyTree[tree_, J_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({sortedTree, result, vertices, decomposition, M1, M2, 
                M3, i, j, k}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Index - \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ verifyIndexSets[tree]\), ";", 
                "\[IndentingNewLine]", \(sortedTree\  = \ 
                  getSortedTree[tree]\), ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Leere\ \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(MemberQ[sortedTree, {}]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", " ", 
                      StyleBox[\(ErPr["\<Error: Empty set found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ \(Wurzel\)\(\ \)\(?\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ 
                  getVertices[sortedTree]\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(! MemberQ[sortedTree, vertices]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: No radix found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, Length[J]}]\  \[NotEqual] \ 
                      vertices\), ",", " ", 
                    StyleBox[\(ErPr["\<Notice: Subtree.\>"\ ];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", 
                    " ", \(i \[LessEqual] \ Length[sortedTree]\  && \ 
                      result\), ",", " ", \(i++\), ",", "\[IndentingNewLine]",
                     
                    
                    RowBox[{\(M1\  = \ sortedTree[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(decomposition\  = \ False\), 
                      ";", "\[IndentingNewLine]", \(If[\ 
                        Length[M1]\  \[Equal] \ 1, \ 
                        decomposition\  = \ True]\), ";", 
                      "\[IndentingNewLine]", 
                      RowBox[{"For", "[", 
                        
                        RowBox[{\(j\  = \ 1\), ",", 
                          " ", \(j\  \[LessEqual] \ Length[sortedTree]\  && \ 
                            result\), ",", " ", \(j++\), ",", 
                          StyleBox["\[IndentingNewLine]",
                            FontColor->GrayLevel[0]], 
                          RowBox[{"If", "[", " ", 
                            RowBox[{\(i\  \[NotEqual] \ j\), ",", 
                              StyleBox["\[IndentingNewLine]",
                                FontColor->GrayLevel[0]], 
                              
                              RowBox[{\(M2\  = \ sortedTree[\([j]\)]\), ";", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Disjunkte\ Mengen\ oder\ \(\(Teilmengen\)\
\(\ \)\(?\)\)\ *) \),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", 
                                  
                                  RowBox[{\(! \((Intersection[M1, 
                                        M2]\  == \ {} || \ 
                                        Union[M1, M2]\  \[Equal] \ M1\  || \ 
                                        Union[M1, M2]\  \[Equal] \ M2)\)\), 
                                    ",", "\[IndentingNewLine]", 
                                    
                                    RowBox[{\(result\  = \ True\), ";", 
                                      "\[IndentingNewLine]", 
                                      
                                      StyleBox[\(ErPr["\<Error: No subsets: \
\>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  "\[IndentingNewLine]", "]"}], ";", " ", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Doppelte\ \(\(Mengen\)\(\ \)\(?\)\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008],
                                  FontVariations->{"CompatibilityType"->0}], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  RowBox[{\(M1\  \[Equal] \ M2\), ",", " ", 
                                    RowBox[{\(result = \ False\), ";", " ", 
                                      
                                      StyleBox[\(ErPr["\<Error: Vertex found \
twice: \>"\  <> \ ToString[M1]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  " ", "]"}], ";", "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  
                                  RowBox[{\(Union[M1, M2]\  \[Equal] \ 
                                        M1\  && \ \(! decomposition\)\), ",", 
                                    "\[IndentingNewLine]", 
                                    RowBox[{
                                      RowBox[{"For", "[", 
                                        
                                        RowBox[{\(k\  = \ 1\), ",", 
                                        " ", \(k\  \[LessEqual] \ 
                                        Length[
                                        sortedTree]\  && \ \(! \
decomposition\)\), ",", " ", \(k++\), ",", 
                                        StyleBox["\[IndentingNewLine]",
                                        FontColor->GrayLevel[
                                        0]], \(If[\ 
                                        i\  \[NotEqual] \ k\  && \ 
                                        j\  \[NotEqual] \ 
                                        k, \[IndentingNewLine]M3\  = \ 
                                        sortedTree[\([k]\)]; \
\[IndentingNewLine]If[M1\  == \ Union[M2, M3]\  && \ 
                                        verifyUniformCoupling[J, M2, M3], \ 
                                        decomposition\  = \ 
                                        True];\[IndentingNewLine]\ \ ];\)}], 
                                        "\[IndentingNewLine]", "  ", "]"}], 
                                      ";"}]}], "\[IndentingNewLine]", " ", 
                                  "]"}]}]}], "]"}]}], "]"}], ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", 
                      RowBox[{"If", "[", 
                        RowBox[{\(! decomposition\), ",", 
                          RowBox[{\(result\  = \ False\), ";", 
                            StyleBox[" ",
                              FontColor->RGBColor[0, 1, 0]], 
                            
                            StyleBox[\(ErPr["\<Error: No uniform composition \
found for \>" <> \ ToString[M1]]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyTree[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}, {{0, 1, 1}, {1, 0, 
              1}, {1, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[StyleBox["Diese Methode liefert den  (ungeordneten) Pfad  \
\"treePath\" von einem Knoten \"\[Mu]\"  bis zu der Wurzel des Baumes \
\"tree\":\n\[CapitalUDoubleDot]bergeben weden der Knoten \"\[Mu]\" und der \
Baum \"tree\".",
  FontVariations->{"CompatibilityType"->0}]], "Text"],

Cell[BoxData[{
    RowBox[{\(getPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath, 
              i}, \[IndentingNewLine]treePath\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[tree], \ \(i++\), \[IndentingNewLine]\(If[\ 
                  MemberQ[\ tree[\([i]\)], \[Mu]\ ], \ \ treePath\  = \ 
                    Append[\ treePath, 
                      tree[\([i]\)]\ ]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]treePath];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPath[1, {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode liefert den (aufsteigend geordneten) Pfad \"treePath\" von \
einem Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " bis zu der Wurzel des Baumes \"tree\":\n\[CapitalUDoubleDot]bergeben \
werden der Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " und der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath}, \[IndentingNewLine]treePath\  = \ 
              getPath[\[Mu], tree]; \[IndentingNewLine]treePath\  = \ 
              Sort[\ treePath, \ \((Length[#1]\  < \ 
                      Length[#2])\)\  &\ ]; \[IndentingNewLine]treePath];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getSortedPath[1, \ {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordneten) Pfade \"treePathes\" von \
allen Knoten \"vertices\" bis zur Wurzel des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getAllPathes[tree_]\  := \ 
          Module[{treePathes, \ treePath, \ vertices, 
              i}, \[IndentingNewLine]treePathes\  = \ {}; \
\[IndentingNewLine]vertices\  = \ getVertices[tree]; \[IndentingNewLine]For[
              i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[vertices], \ \(i++\), \[IndentingNewLine]treePath\  = \
\ getSortedPath[\ vertices[\([i]\)], 
                  tree\ ]; \[IndentingNewLine]treePathes\  = \ 
                Append[treePathes, 
                  treePath];\[IndentingNewLine]]; \
\[IndentingNewLine]treePathes];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getAllPathes[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Kopplungskonstanten \"allCouplings\" des \
(aufsteigend geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben werden der Pfad \"treePath\" und die \
Kopplungsmatrix \"J\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathCouplings[treePath_, J_]\  := \ 
          Module[{allCouplings, coupling, M1, M2, \[Mu], \[Nu], 
              i}, \[IndentingNewLine]allCouplings\  = \ {"\<undefined\>"}; \
\[IndentingNewLine]For[i\  = \ 2, \ 
              i \[LessEqual] \ 
                Length[treePath], \ \(i++\), \[IndentingNewLine]M1 = \ 
                treePath[\([i - 1]\)]; \[IndentingNewLine]M2 = \ 
                Complement[\ treePath[\([i]\)], \ 
                  M1\ ]; \[IndentingNewLine]\[Mu]\  = \ 
                M1[\([1]\)]; \[IndentingNewLine]\[Nu]\  = \ 
                M2[\([1]\)]; \[IndentingNewLine]coupling\  = \ 
                J[\([\[Mu], \[Nu]]\)]; \[IndentingNewLine]allCouplings = \ 
                Append[allCouplings, 
                  coupling];\[IndentingNewLine]]; \
\[IndentingNewLine]allCouplings];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPathCouplings[{{1}, {1, 2}, {1, 2, 3}}, {{0, 1, 1}, {1, 0, 1}, {1, 
              1, 0}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Die Methode liefert die Gesamtspins \"allsSpins\" des (aufsteigend \
geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben wird der Pfad \"treePath\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathSpins[treePath_]\  := \ 
          Module[{allSpins, spin, M, 
              i}, \[IndentingNewLine]allSpins\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i \[LessEqual] \ 
                Length[treePath], \(i++\), \[IndentingNewLine]M\  = \ 
                treePath[\([i]\)]; \[IndentingNewLine]spin\  = \ 
                getTotalSpin[M]; \[IndentingNewLine]allSpins\  = \ 
                Append\ [allSpins, 
                  spin];\[IndentingNewLine]]; \[IndentingNewLine]allSpins\  \
//. \ t \[Rule] \ 0];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getPathSpins[{{1}, {1, 2}, {1, 2, 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Drehmatrizen", "Section"],

Cell["Diese Methode berechnet den Betrag des Vektors \"v\".", "Text"],

Cell[BoxData[{
    RowBox[{\(norm[v_] := Sqrt[v . v];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, norm[{1, 0, 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode wandelt den Vektor \"\[Omega]\" in eine antysymmetrische \
Matrix \"\[CapitalOmega]\" um.\nDie Signatur nimmt die Werte ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(-1\))\)\^n\ an . \ 
          Dabei\ ist\ n\ die\ Zahl\ der\ ben\[ODoubleDot]tigten\ \
Transpositionen\ f\[UDoubleDot]r\ das\ Erreichen\ einer\ kanonische\ \
\(\(Reihenfolge\)\(.\)\)\)]]
}], "Text"],

Cell[BoxData[
    \(\[CapitalOmega]\_ij\  = \ \(-\(\[Sum]\+k 
            signatur \((i, j, k)\)*\ \[Omega]\_k\)\)\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getMatrix[\[Omega]_]\  := \ 
          Module[{i, j, k}, \[IndentingNewLine]\ \[CapitalOmega]\  = 
              Table[\(-Sum[
                    Signature[{i, j, k}] \[Omega][\([k]\)], {k, 1, 3}]\), {i, 
                  1, 3}, {j, 1, 3}]; \[IndentingNewLine]\ \[CapitalOmega]];\),
       "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getMatrix[{0, 0, 1}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode erstellt die Drehmatrix \"R\" zu der Drehachse \"\[Omega]\" und \
dem Winkel \"\[CurlyPhi]\" = |w| t:\
\>", "Text"],

Cell[BoxData[
    \(R\_ij\  = \ \(\[Delta]\_ij\) 
          cos\[CurlyPhi]\  + \ \(e\_i\) \(e\_j\) \((1 - 
              cos\[CurlyPhi])\)\  + \ \(\[CapitalOmega]\_ij\) 
          sin\[CurlyPhi]\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getRotation[\[Omega]_, t_]\ \  := \ 
          Module[{e, \[CurlyPhi], \[CapitalOmega], i, j, 
              R}, \[IndentingNewLine]e = \ \[Omega]/
                norm[\[Omega]]; \[IndentingNewLine]\[CurlyPhi]\  = \ 
              norm[\[Omega]]\ *\ t; \[IndentingNewLine]\[CapitalOmega]\  = \ 
              getMatrix[e]; \[IndentingNewLine]R = 
              Table[If[i \[Equal] j, Cos[\[CurlyPhi]], 0] + 
                  e[\([i]\)] 
                    e[\([j]\)] \((1 - 
                        Cos[\[CurlyPhi]])\) + \[CapitalOmega][\([i, j]\)] 
                    Sin[\[CurlyPhi]], {i, 1, 3}, {j, 1, 
                  3}]; \[IndentingNewLine]R];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(\(If[test, getRotation[{0, 0, 1}, Pi/2]]\)\(\ \)\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Anfangsbedingungen", "Section"],

Cell["Diese Methoden liefern zuf\[ADoubleDot]llige Einheitsvektoren \"v\".", \
"Text"],

Cell[BoxData[{\(generate\  := \ 
        Module[{v}, \[IndentingNewLine]v\  = \ {2*Random[] - 1, 
              2*Random[] - 1, 2*Random[] - 1}; \[IndentingNewLine]v\  = \ 
            v\ /\ norm[v]; \[IndentingNewLine]v];\), "\[IndentingNewLine]", 
    RowBox[{\(generateSet[n_]\  := \ 
          Module[{v, i}, \[IndentingNewLine]v\  = \ 
              Table[generate, {i, 1, n}]; \[IndentingNewLine]v];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, generateSet[1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert zuf\[ADoubleDot]llige Anfangsbedingungen \
\"initialConditi\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInitRule[v_]\  := \ 
          Module[{n, initRule, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]initRule = 
              Table[\(s[\[Mu], i]\)[0] -> v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]Flatten[initRule]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getInitRule[{{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Explizite Zeitentwicklung", "Section"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung f\[UDoubleDot]r ein System in einem \
\[ADoubleDot]u\[SZ]eren (konstanten) Magnetfeld:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\", die Kopplungsmatrix \
\"J\", das Magnefeld \"B\" und das gyromagnetische Verh\[ADoubleDot]ltnis \"\
\[Gamma]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(getTimeEvolutionWithB[tree_, J_, B_, \[Gamma]_]\), " ", ":=", 
        " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allTimeEvolutions, timeEvolution, treePathes, treePath, 
              pathCouplings, pathSpins, vertices, i, j, k, \[Mu]}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(allTimeEvolutions\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(NoPr["\<Tree: \>"\  <> \ ToString[tree]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr["\<J: \>"\  <> \ ToString[J]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(NoPr["\<Tree verified: \>"\  <> \ 
                    ToString[verifyTree[tree, J]]\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[\( (*\ Baum\  \[Rule] \ Knotenm  enge\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Baum\  \[Rule] \ Pfade\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(treePathes = \ getAllPathes[tree]\), 
              ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), ",", 
                  " ", \(i\  \[LessEqual] \ Length[treePathes]\), ",", 
                  " ", \(i++\), ",", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Knotenmenge\  \[Rule] \ Knoten\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(\[Mu]\  = \ vertices[\([i]\)]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Pfade\  \[Rule] \ Pfad\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(treePath\  = \ 
                      treePathes[\([i]\)]\), ";", "\[IndentingNewLine]", " ", 
                    
                    
                    StyleBox[\(NoPr["\<Path \>"\  <> \ 
                          ToString[i]\  <> \ "\<, vertex \>"\  <> \ 
                          ToString[\[Mu]]\  <> \ "\<: \>" <> \ 
                          ToString[treePath]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Pfad\  \[Rule] \ 
                          Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(pathSpins\  = \ 
                      getPathSpins[treePath]\), ";", 
                    "\[IndentingNewLine]", \(pathCouplings\  = \ 
                      getPathCouplings[treePath, J]\), ";", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(NoPr["\<Couplings: \>"\  <> \ 
                          ToString[pathCouplings]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\  \
\[Rule] \ Zeitentwicklung\ ohne\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    StyleBox[\(timeEvolution\  = \ pathSpins[\([1]\)]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(For[j\  = \ 2, 
                        j < \ Length[
                            pathSpins], \(j++\), \
\[IndentingNewLine]\(timeEvolution\  = \ 
                            getRotation[
                                pathSpins[\([j]\)], \((pathCouplings[\([j]\)]\
\  - \ pathCouplings[\([j + 1]\)])\)\ *\ t]\  . \ 
                              timeEvolution;\)\[IndentingNewLine]]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(timeEvolution\  = \ 
                        getRotation[
                            pathSpins[\([Length[
                                  pathSpins]]\)], \((pathCouplings[\([Length[
                                      pathSpins]]\)])\)*\ t]\  . \ 
                          timeEvolution\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Zeitentwicklung\ ohne\ B\  \[Rule] \ 
                          Zeitentwicklung\ mit\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(timeEvolution\  = \ 
                      getRotation[B, \[Gamma]]\  . \ timeEvolution\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(k\  = 1\), ",", " ", \(k\  \[LessEqual] \ 3\),
                         ",", " ", \(k++\), ",", 
                        StyleBox["\[IndentingNewLine]",
                          FontColor->RGBColor[0, 0, 1],
                          Background->RGBColor[1, 0, 
                          1]], \(allTimeEvolutions\  = \ 
                            Append[
                              allTimeEvolutions, \(s[\[Mu]]\)[\([k]\)]\  -> 
                                timeEvolution[\([k]\)]];\)}], 
                      "\[IndentingNewLine]", "]"}], ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "allTimeEvolutions"}]}], "]"}]}], ";"}]], "Input"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\" und die Kopplungsmatrix \
\"J\".\
\>", "Text"],

Cell[BoxData[
    \(\(getTimeEvolution[tree_, J_]\  := \ 
        getTimeEvolutionWithB[tree, J, {1, 0, 0}, 0];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der Zeitentwicklung",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode testet die Zeitenwicklung f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Menge der Kopplungspaare \"H\" und der \
Baum \"tree\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testTimeEvolution[H_, tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, vertices, n, J, timeEvolution, S, S1, S2, S3, 
                energy, v, toPlot, toPlot1, toPlot2}\), ",", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*Zeitraum*) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspins\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, K, 0.1]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = \ 
                  Join[toPlot1, toPlot2]\), ";", 
                "\[IndentingNewLine]", \(Plot[\[IndentingNewLine]Evaluate[
                    toPlot], {t, 0, K}, \[IndentingNewLine]PlotStyle \[Rule] 
                    Join[Table[Hue[i/5], {i, 1, 5}], 
                      Table[{Dashing[{0.01}], Black}, {i, 1, 
                          5}]], \[IndentingNewLine]PlotLegend \[Rule] \
{"\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\
\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]]\), ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
          testTimeEvolution[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 5}, {4, 
                5}, {1, 2}, {3, 4}}, \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Symplektische Integration", "Section"],

Cell["\<\
Diese Methode pr\[UDoubleDot]ft die Zerlegung der Menge \"H\" von \
Kopplungspaaren:
\[CapitalUDoubleDot]bergeben wird die Menge \"H\" und die Teilmengen \"H1\", \
\"H2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyDecomposition[H_, H1_, H2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, sortedH, sortedH1, sortedH2}\), ",", 
              "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ True\), ";", 
                "\[IndentingNewLine]", \(sortedH\  = \ getSortedTree[H]\), 
                ";", "\[IndentingNewLine]", \(sortedH1\  = \ 
                  getSortedTree[H1]\), ";", 
                "\[IndentingNewLine]", \(sortedH2\  = \ getSortedTree[H2]\), 
                ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  
                  RowBox[{\(sortedH\  \[NotEqual] \ 
                        sortedTree[Union[H1, H2]] || \ 
                      Intersection[H1, H2]\  \[NotEqual] {}\), ",", 
                    "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: No valid decomposition of H: \
\>"\  <> \ ToString[H1]\  <> \ "\< and \>"\  <> \ ToString[H2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                "result"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyDecomposition[{{1, 2}, {2, 3}, {1, 3}}, {{1, 2}, {2, 3}}, {{1, 
              3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Ersetzungsregel \"s[t,i] \[Rule] s[\[Tau],i]\". \
Diese Ersetzungsregel wird in der symplektischen Integration verwendet.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getReplacementRule[M_, \[Tau]_]\  := \ 
          Module[{replacement, i, j}, \[IndentingNewLine]replacement\  = \ 
              Table[\ \(s[M[\([i]\)], j]\)[
                    t]\  \[Rule] \ \(s[M[\([i]\)], j]\)[\[Tau]], {i, 1, 
                  Length[M]}, {j, 1, 3}]; \[IndentingNewLine]Flatten[
              replacement]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getReplacementRule[{1, 2, 3}, \[Tau]]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration durch:
\[CapitalUDoubleDot]bergeben wird 
-die Menge \"H\" aller Kopplungspaare,
-die Teilmengen \"H1\" und \"H2\", 
-die B\[ADoubleDot]ume \"tree1\" und \"tree2\",
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(integrateSymplectic[H_, H1_, H2_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({result, time, vertices, vertices1, vertices2, J1, J2, 
              timeEvolution1, timeEvolution2, init, i, p, 
              q, \[Zeta], \[Lambda], \[Chi], \[CapitalTheta]}\), ",", 
            "\[IndentingNewLine]", 
            RowBox[{
              
              StyleBox[\(NoPr["\<Decomposition verified: \>"\  <> \ 
                    ToString[verifyDecomposition[H, H1, H2]]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\( (*\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ 
                getVertices[\ Union[tree1, tree2]\ ]\), ";", 
              "\[IndentingNewLine]", \(vertices1\  = \ getVertices[tree1]\), 
              ";", "\[IndentingNewLine]", \(vertices2\  = \ 
                getVertices[tree2]\), ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrizen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J1\  = \ 
                getJ[\ Max[vertices1], H1, 1]\), ";", 
              "\[IndentingNewLine]", \(J2\  = \ 
                getJ[\ Max[vertices2], H2, 1]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Zeitentwicklungen : \ s[\[Tau], i]\  -> \ f \((t)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ linke\ Seite\ ersetzen\ \(durch : \ \[Tau]\), \ 
                  rechte\ Seite\ ersetzen\ \(durch : \ t\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution1\  = \ 
                getTimeEvolution[tree1, J1]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", \(timeEvolution2\  = \ 
                getTimeEvolution[tree2, J2]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontTracking->"Plain",
                FontColor->GrayLevel[0.500008],
                FontVariations->{"Underline"->False,
                "Outline"->False,
                "Shadow"->False,
                "StrikeThrough"->False,
                "Masked"->False,
                "CompatibilityType"->0,
                "RotationAngle"->0}], 
              "\[IndentingNewLine]", \(init\  = \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", \(result\  = \ {init}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(time\  = \ AbsoluteTime[]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<firstOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...firstOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              1.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]\  + \ 
                                  O \((\[CapitalDelta]\^2)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                              Mod[i, plotStep] \[Equal] \ 0, 
                              result\  = \ 
                                Append[result, 
                                  init\  //. \ \[Tau]\  \[Rule] \ \((i\ \
\[CapitalDelta])\)]\ ];\)}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<secondOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...secondOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              2.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ B\ \[CapitalDelta]/2\ *\ 
                                    exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]/2\  + \ 
                                  O \((\[CapitalDelta]\^3)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t\  \[Rule] \ \[CapitalDelta]\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<fourthOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...fourthOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(p\  = 
                      N[1/\((4\  - \ 4^\((1/3)\))\)]\), ";", " ", 
                    "\[IndentingNewLine]", \(q\  = N[1 - 4*p]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          RowBox[{
                            StyleBox["(*",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              
                              StyleBox[\(4.  \(Ordnung : \ 
                                      exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ \(i = 
                                    1\)\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["..",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              RowBox[{
                                RowBox[{
                                  StyleBox["5",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], " ", 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[
                                    SubscriptBox[
                                      StyleBox["p",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->GrayLevel[0.500008]], "i"],
                                    
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["B",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["\[CapitalDelta]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]]}], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox["+",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[\(O \((\[CapitalDelta]\^5)\)\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]]}]}], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["*)",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              p\  = \ \(p\_1\  = \ \(p\_2\  = \ \(p\_4\  = \ 
                                      p\_5\)\)\), \ q\  = \ p\_3\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ q\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((q\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<ForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...ForestRuth\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[CapitalTheta]\  = \ 
                      N[1/\((2\  - \ 2^\((1/3)\))\)]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[CapitalTheta])\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2*\[CapitalTheta])\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<optimizedForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\(NoPr["\<Calculating...optimizedForestRuth\>"]\)\
,
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[Zeta]\  = \ 0.17208656\), ";", 
                    "\[IndentingNewLine]", \(\[Lambda]\  = \ \
\(-0.09156203\)\), ";", 
                    "\[IndentingNewLine]", \(\[Chi]\  = \ \(-0.16162176\)\), 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ optimierter\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1\  - \ 
                                      2 \((\[Chi] + \[Zeta])\))\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1\  - \ 
                                        2*\((\[Chi] + \[Zeta])\))\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              "result"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der symplektischen \
Integration",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten:
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToLists[F_, K_, \[CapitalDelta]_, 
            plotStep_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, {j\ *\ plotStep\ *\[CapitalDelta], 
                        F[\([i]\)]\  //. \ 
                          t \[Rule] \ \((j\ *\ 
                                plotStep\ *\[CapitalDelta])\)}];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToLists[{t, t\^2, t\^3}, 10, 1, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\

Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten. Dabei wird die diskrete Ersetzungsregel \"rule\" verwendet.
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToListsWithdiscreteRule[F_, 
            K_, \[CapitalDelta]_, plotStep_, rule_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({j*plotStep*\[CapitalDelta], 
                            F[\([i]\)]}\  //. 
                          t \[Rule] \ \((j*plotStep*\[CapitalDelta])\)\)\  //. 
                        rule[\([j + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToListsWithdiscreteRule[{t, t\^2, t\^3}, 3, 1, 
          1, {{t -> 0}, {t -> 1}, {t -> 2}, {t -> 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode testet die symplektische Integration f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Mengen der Kopplungspaare \"H\",\"H1\",\
\"H2\" und die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testSymplecticIntegration[H_, H1_, H2_, tree_, tree1_, 
            tree2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, \[CapitalDelta], vertices, n, J, timeEvolution, S, 
                S1, S2, S3, energy, v, toPlot, toPlot1, toPlot2, i, j, 
                plotStep, temp, allTemp}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Anzahl\ und\ Gr\[ODoubleDot]\[SZ]e\ der\ Zeitschritte\ *) \
\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = \ 10\^3\), 
                ";", \(\[CapitalDelta]\  = \ 10\^\(-4\)\), 
                ";", \(plotStep\  = \ 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot1\  = \ 
                  convertFunctionsToLists[toPlot1, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Standard - Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, 
                    K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  convertFunctionsToLists[toPlot2, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                    K, \ \[CapitalDelta], \ v, "\<firstOrder\>", plotStep]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot3\  = \ 
                  convertFunctionsToListsWithdiscreteRule[toPlot, 
                    K\ , \[CapitalDelta]\ , \ plotStep, timeEvolution]\), ";",
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = 
                  Join[toPlot1, toPlot2, toPlot3]\), ";", 
                "\[IndentingNewLine]", \(MultipleListPlot[
                    toPlot, \[IndentingNewLine]PlotJoined \[Rule] 
                      True, \[IndentingNewLine]SymbolShape \[Rule] 
                      None, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 5}], 
                        Table[{Dashing[{0.02}], GrayLevel[i/10]}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \
\*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\
\)}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
          testSymplecticIntegration[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 
                5}, {4, 5}, {1, 2}, {3, 
                4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
                1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
                4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
                2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
                5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
                5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]\ ]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichern und Laden", "Section"],

Cell["\<\
Diese Methode wandelt eine diskrete Ersetzungsregel \"rule\" in eine Menge \
\"points\" von Punkten um:
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertDiscreteRuleToPoints[n_, K_, \[CapitalDelta]_, 
            plotStep_, rule_]\  := \ 
          Module[{points, var, temp, i, 
              j}, \[IndentingNewLine]points\  = \ {{{"\<n\>", n}, {"\<K\>", 
                    K}, {"\<Delta\>", N[\[CapitalDelta]]}, {"\<plotStep\>", 
                    plotStep}}}; \[IndentingNewLine]var\  = \ 
              Flatten[getVar[n]]; \[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({i\ *\ plotStep, var[\([j]\)]}\  //. 
                          t \[Rule] \ \((i*plotStep*\ \[CapitalDelta])\)\)\  //. 
                        rule[\([i + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(points\  = \ 
                  Append[points, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              points, 1]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertDiscreteRuleToPoints[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine Menge \"points\" von Punkten in eine diskrete \
Ersetzungsregel \"rule\" um.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertPointsToDiscreteRule[points_]\  := \ 
          Module[{n, K, \[CapitalDelta], plotStep, var, rule, i, 
              j}, \[IndentingNewLine]n\  = \ 
              points[\([1, 2]\)]; \[IndentingNewLine]K\  = \ 
              points[\([2, 2]\)]; \[IndentingNewLine]\[CapitalDelta]\  = \ 
              points[\([3, 2]\)]; \[IndentingNewLine]plotStep\  = \ 
              points[\([4, 
                  2]\)]; \[IndentingNewLine]rule\  = \ {}; \
\[IndentingNewLine]var\  = \ Flatten[getVar[n]]; \[IndentingNewLine]For[
              i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, \ 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, 
                      var[\([j]\)]\  \[Rule] \ 
                          points[\([j\  + 4\  + i\ *\ 3\ n, 2]\)]\  //. \ 
                        t \[Rule] \ \((i*
                              plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(rule\  = \ 
                  Append[rule, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]{n, 
              K, \[CapitalDelta], plotStep, rule}];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertPointsToDiscreteRule[\[IndentingNewLine]{{"\<n\>", 
              1}, {"\<K\>", 1}, {"\<Delta\>", 1}, {"\<plotStep\>", 1}, {0, 
              1}, {0, 2}, {0, 3}, {1, 4}, {1, 5}, {1, 
              6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode schreibt eine diskrete Ersetzungsregel \"rule\" in eine Datei \
\"filename\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(saveDiscreteRuleToFile[n_, K_, \[CapitalDelta]_, plotStep_, 
            rule_, filename_]\  := \ 
          Module[{points}, \[IndentingNewLine]points\  = \ 
              convertDiscreteRuleToPoints[n, K, \[CapitalDelta], plotStep, 
                rule]; \[IndentingNewLine]Export[filename\  <> \ "\<.dat\>", 
              points];\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        saveDiscreteRuleToFile[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 
                6}}, \[IndentingNewLine]"\<testfile\>"\[IndentingNewLine]]]\),
      
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liest eine diskrete Ersetzungsregel \"rule\" aus einer Datei \
\"filename\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(loadDiscreteRuleFromFile[filename_]\  := \ 
          Module[{points, rule}, \[IndentingNewLine]points\  = \ 
              Import[filename\  <> \ "\<.dat\>"]; \[IndentingNewLine]rule\  = \
\ convertPointsToDiscreteRule[points]; \[IndentingNewLine]rule];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, loadDiscreteRuleFromFile["\<testfile\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert einen Dateinamen \"filename\". \
\[CapitalUDoubleDot]bergeben wird 
-eine Systembeschreibung \"system\",
-die Zahl \"n\" der Spins,
-die Zahl \"K\" und die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der \
Zeitschritte,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".
-der Typ \"type\" der Integration.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createFilename[system_, n_, K_, \[CapitalDelta]_, plotStep_, 
            type_]\  := \ 
          Module[{filename}, \[IndentingNewLine]filename\  = \ 
              system\  <> \ "\<_n_\>"\  <> \ 
                ToString[n]\  <> \ "\<_K_\>"\  <> \ 
                ToString[N[K]]\  <> \ "\<_Delta_\>"\  <> \ 
                ToString[N[\[CapitalDelta]]]\  <> \ "\<_plotStep_\>" <> \ 
                ToString[N[plotStep]] <> "\<_Type_\>"\  <> \ 
                type\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        createFilename["\<fliege\>", 5, 1, 1, 1, "\<firstOrder\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine kontinuierliche Ersetzungsregel \"continuous\" in \
eine diskrete Ersetzungsregel \"discrete\" um:\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertContinuousToDiscreteRule[K_, \[CapitalDelta]_, 
            plotStep_, continuous_]\  := \ 
          Module[{discrete, 
              i}, \[IndentingNewLine]discrete\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]\(discrete\  = \ 
                  Append[discrete, 
                    continuous\  //. \ 
                      t \[Rule] \((i*
                            plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]discrete];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertContinuousToDiscreteRule[4, 1, 
          2, {\(s[1, 1]\)[t] -> \ 
              t, \(s[1, 2]\)[t] -> \(-t\), \(s[1, 3]\)[t] -> 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Ikosidodekaeder", "Section"],

Cell["\<\
Die folgenden Methoden erleichtern die Eingabe des Ikosidodekaeders.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createBowTieH[M1_, M2_, C_]\  := \ 
          Module[{H}, \[IndentingNewLine]H\  = \ {{M1[\([1]\)], 
                  C}, {M1[\([2]\)], C}, {M1[\([1]\)], 
                  M1[\([2]\)]}, {M2[\([1]\)], C}, {M2[\([2]\)], 
                  C}, {M2[\([1]\)], M2[\([2]\)]}}; \[IndentingNewLine]H];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieH[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{
    RowBox[{\(createBowTieTree\ [M1_, M2_, C_]\  := \ 
          Module[{tree}, \[IndentingNewLine]tree\  = \ \
{\[IndentingNewLine]{M1[\([1]\)]}, {M1[\([2]\)]}, {M1[\([1]\)], 
                  M1[\([2]\)]}, \[IndentingNewLine]{M2[\([1]\)]}, \
{M2[\([2]\)]}, {M2[\([1]\)], M2[\([2]\)]}, \[IndentingNewLine]{M1[\([1]\)], 
                  M1[\([2]\)], M2[\([1]\)], 
                  M2[\([2]\)]}, \[IndentingNewLine]{C}, \
\[IndentingNewLine]{M1[\([1]\)], M1[\([2]\)], M2[\([1]\)], M2[\([2]\)], 
                  C}\[IndentingNewLine]}; \[IndentingNewLine]tree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieTree[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleH[A_, B_, C_]\  := \ 
        Module[{H}, \[IndentingNewLine]H\  = \ {{A, B}, {B, C}, {C, 
                A}}; \[IndentingNewLine]H];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleH[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleTree[A_, B_, C_]\  := \ 
        Module[{tree}, \[IndentingNewLine]tree\  = \ {{A}, {B}, {A, 
                B}, {C}, {A, B, 
                C}}; \[IndentingNewLine]tree];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleTree[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(treeUnion[trees_]\  := \ 
        Module[{unitedTrees, radix}, \[IndentingNewLine]unitedTrees\  = \ 
            trees[\([1]\)]; \[IndentingNewLine]For[i\  = \ 2, \ 
            i \[LessEqual] \ \ Length[
                trees], \(i++\), \[IndentingNewLine]radix\  = \ {Union[
                  getVertices[unitedTrees], 
                  getVertices[
                    trees[\([i]\)]]]}; \[IndentingNewLine]unitedTrees\  = \ 
              Union[unitedTrees, trees[\([i]\)], 
                radix];\[IndentingNewLine]]; \[IndentingNewLine]unitedTrees];\
\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        treeUnion[{createTriangleTree[1, 2, 3], 
            createTriangleTree[4, 5, 6]}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Hauptprogramm", "Section"],

Cell["\<\
Diese Methode liefert die Differenz von zwei Listen \"lists1\" und \
\"lists2\": 2-1.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getListDifference[lists1_, lists2_]\  := \ 
          Module[{i, j, listDifference, 
              allListDifference}, \[IndentingNewLine]allListDifference\  = \ \
{}; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[lists1], \ \(i++\), \[IndentingNewLine]listDifference\ \
 = \ {}; \[IndentingNewLine]For[j\  = \ 1, 
                j\  \[LessEqual] \ 
                  Length[lists1[\([i]\)]], \ \(j++\), \
\[IndentingNewLine]\(listDifference\  = \ 
                    Append[listDifference, {lists1[\([i, j, 1]\)], 
                        Log[10, 
                          Abs[lists2[\([i, j, 2]\)]\  - \ 
                              lists1[\([i, j, 
                                  2]\)]]]}];\)\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference\  = \ 
                Append[allListDifference, 
                  DeleteCases[
                    listDifference, {0, 
                      Indeterminate}]];\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getListDifference[{{{1, 1}, {2, 1}}, {{1, 0}, {2, 0}}}, {{{1, 1}, {2, 
                2}}, {{1, \(-1\)}, {2, \(-2\)}}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration f\[UDoubleDot]r \
Graphen durch und speichert das Ergebnis.
\[CapitalUDoubleDot]bergeben werden:
-die Systembeschreibung \"system\"
-die Mengen der Kopplungspaare \"H\",\"H1\",\"H2\" 
-die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\"
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(makeResults[system_, H_, H1_, H2_, tree_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({vertices, n, J, timeEvolution, filename}\), ",", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ Knoten\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(vertices\  = \ getVertices[\ Union[tree1, tree2]\ ]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
              RowBox[{"(*", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                
                RowBox[{\(timeEvolution\  = \ 
                    integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                      K, \ \[CapitalDelta], \ v, type, plotStep]\), ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Speichern\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(filename\  = \ 
                      createFilename[system, n, K\ , \[CapitalDelta]\ , 
                        plotStep, type]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(NoPr[filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(saveDiscreteRuleToFile[n, \ 
                      K, \ \[CapitalDelta], \ plotStep, \ timeEvolution, \ 
                      filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", 
                      tree1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", 
                      tree2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
                "*)"}], "  ", "\[IndentingNewLine]", " ", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                integrateStandard[n, H, 1, v, 
                  K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<rungekutta\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}]}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "  ", 
          RowBox[{"(*", "\[IndentingNewLine]", 
            StyleBox[\( (*\ Referenz : \ Explizite\ Zeitentwicklung\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(timeEvolution\  = \ 
                getTimeEvolution[tree, J]\  //. \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<exact\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
            "*)"}], "\[IndentingNewLine]", "]"}]}], 
      ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[saveOrLoad, 
        makeResults[\[IndentingNewLine]"\<Nikolaushaus\>", \
\[IndentingNewLine]{{1, 2}, {2, 3}, {3, 4}, {4, 1}, {1, 3}, {2, 4}, {1, 
              5}, {4, 5}}, \  (*Nikolaushaus*) \ \[IndentingNewLine]{{1, 
              2}, {2, 3}, {3, 4}, {4, 1}, {1, 3}, {2, 4}},  (*\ 
            4 - Pantaeder\ *) \[IndentingNewLine]{{1, 5}, {4, 5}},  (*\ 
            3  er - Kette\ *) \[IndentingNewLine]{{2}, {3}, {2, 3}, {5}, {2, 
              3, 5}, {1}, {4}, {1, 4}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {3}, {1, 2, 
              3}, {4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{1}, {4}, {1, 4}, {5}, {1, 4, 
              5}, {2}, {3}, {2, 3}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]1000\ ,  (*K*) \[IndentingNewLine]0.1\ \
\ ,  (*\[CapitalDelta]*) \[IndentingNewLine]Import["\<v5.dat\>"], \
\[IndentingNewLine]"\<optimizedForestRuth\>", \[IndentingNewLine]10 \
(*plotStep*) \[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[TextData[{
  "Diese Methode erstellt eine logarithmische Skala von ",
  Cell[BoxData[
      \(10\^min\)]],
  " bis ",
  Cell[BoxData[
      \(10\^max\)]],
  "."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(myLogScale[min_, max_]\  := \ 
          Module[{i, j, 
              myticks}, \[IndentingNewLine]myticks\  = \ {}; \
\[IndentingNewLine]For[i\  = \ min, \ 
              i\  \[LessEqual] \ max, \ \(i++\), \[IndentingNewLine]For[
                j\  = \ 1, 
                j\  \[LessEqual] \ 9, \(j++\), \[IndentingNewLine]If[
                  j\  == \ 1, 
                  myticks\  = \ 
                    Append[myticks, {i, 
                        i, {0.01, 0}}]]; \[IndentingNewLine]If[j\  > \ 1, 
                  myticks\  = \ 
                    Append[myticks, {N[Log[10, j\ *\ 10^i]], "\<\>", {0.005, 
                          0}}]];\[IndentingNewLine]]]; \
\[IndentingNewLine]myticks];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, myLogScale[0, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode plottet die Ergebnisse der Dateien \"data\". Dargestellt werden \
die Gesamtenergie, der Gesamtspin und die Komponenten des Gesamtspins.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(showResults[data_, relative_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allLists, lists, vertices, S, S1, S2, S3, J, energy, 
              toPlot, i, j, n, K, \[CapitalDelta], plotStep, timeEvolution, 
              reference}\), ",", "\[IndentingNewLine]", 
            
            RowBox[{\(allLists\  = \ \ {}\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), 
                  ",", \(i\  \[LessEqual] \ Length[data]\), ",", \(i++\), ",",
                   "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Datei\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\({n, K, \[CapitalDelta], plotStep, 
                          timeEvolution}\  = \ 
                        loadDiscreteRuleFromFile[data[\([i]\)]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(J\  = \ 
                        Import[data[\([i]\)]\  <> \ "\<_J.dat\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], " ", 
                      StyleBox["Knoten",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(vertices\  = \ 
                      Table[j, {j, 1, n}]\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S\  = \ 
                      norm[getTotalSpin[vertices]]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S1\  = \ 
                      getTotalSpinComponent[vertices, 1]\), ";", 
                    "\[IndentingNewLine]", \(S2\  = \ 
                      getTotalSpinComponent[vertices, 2]\), ";", 
                    "\[IndentingNewLine]", \(S3\  = \ 
                      getTotalSpinComponent[vertices, 3]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtenergie\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(energy\  = \ 
                      getTotalEnergy[J, vertices]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {S, S1, S2, S3, 
                        energy}\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(f\  = \ 
                      getTotalSpin[{1}]\  . \ getTotalSpin[{3}]\  + \ 
                        getTotalSpin[{2}]\  . \ getTotalSpin[{4}]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {f}\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Menge\ von\ Funktionen\  \[Rule] \ 
                          Liste\ von\ Punkten\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(lists\  = 
                      convertFunctionsToListsWithdiscreteRule[toPlot, 
                        K, \[CapitalDelta], plotStep, timeEvolution]\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            1. \ Datensatz\ ist\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[
                      relative\  && \ i\  \[Equal] \ 1, 
                      reference\  = \ lists]\), ";", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            Differenz\ zur\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[relative\  && \ i\  > \ 1, 
                      lists\  = \ getListDifference[reference, lists]]\), ";",
                     "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(If[\(! relative\)\  || \ 
                          i\  > \ 1, 
                        allLists = \ Join[allLists, lists]];\)}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Darstellung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(MultipleListPlot[
                allLists, \[IndentingNewLine]PlotJoined \[Rule] 
                  True, \[IndentingNewLine]PlotRange \[Rule] 
                  All, \[IndentingNewLine]SymbolShape \[Rule] 
                  None, \[IndentingNewLine]Axes \[Rule] 
                  False, \[IndentingNewLine]PlotRange -> 
                  All, \[IndentingNewLine]Ticks \[Rule] \ 
                  Automatic, \[IndentingNewLine]Frame \[Rule] 
                  True, \[IndentingNewLine]FrameTicks \[Rule] \ {Automatic, 
                    myLogScale[\(-9\), \(-3\)]}, \[IndentingNewLine]PlotLabel \
-> StyleForm["\<Nikolaushaus (numerisch)\>", 
                    FontSize \[Rule] 
                      16], \[IndentingNewLine]FrameLabel -> \
{StyleForm["\<t\>", FontSize \[Rule] 16], 
                    StyleForm[\*"\"\<\[Delta](\!\(s\_13\^2\)+ \!\(s\_24\^2\))\
\>\"", FontSize \[Rule] 
                        16], "\<\>", "\<\>"}, \[IndentingNewLine]PlotStyle \
\[Rule] {Black, {AbsoluteDashing[{7, 2}], Red}, {AbsoluteDashing[{4, 2}], 
                      Blue}, {AbsoluteDashing[{2, 2}], 
                      Green}}, \[IndentingNewLine]PlotLegend \[Rule] \
{"\<SZT\>", "\<FR\>", "\<OFR\>", "\<RK\>"}, \[IndentingNewLine]LegendLabel \
\[Rule] "\<4.Ordnung, \[CapitalDelta] = 0.1\>", \[IndentingNewLine]LegendSize \
\[Rule] {0.3, 
                    0.25}, \[IndentingNewLine]LegendPosition\  \[Rule] \ \
{0.55, \(-0.39\)}, \[IndentingNewLine]AspectRatio \[Rule] 
                  0.5\[IndentingNewLine]]\), ";"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[\(! saveOrLoad\), \[IndentingNewLine]\(showResults[{\
\[IndentingNewLine]"\<Nikolaushaus_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
exact\>", \
\[IndentingNewLine]"\<Nikolaushaus_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
fourthOrder\>", \
\[IndentingNewLine]"\<Nikolaushaus_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
ForestRuth\>", \
\[IndentingNewLine]"\<Nikolaushaus_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
optimizedForestRuth\>", \
\[IndentingNewLine]"\<Nikolaushaus_n_5_K_1000._Delta_0.1_plotStep_10._Type_\
rungekutta\>"\[IndentingNewLine]}, True];\)\[IndentingNewLine]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.25 0.47619 [
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0119048 0.97619 0.488095 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0141895 0.00962001 0.766328 0.0904075 [
[.01419 -0.0125 -3 -9 ]
[.01419 -0.0125 3 0 ]
[.20659 -0.0125 -6 -9 ]
[.20659 -0.0125 6 0 ]
[.39899 -0.0125 -6 -9 ]
[.39899 -0.0125 6 0 ]
[.59139 -0.0125 -6 -9 ]
[.59139 -0.0125 6 0 ]
[.78379 -0.0125 -6 -9 ]
[.78379 -0.0125 6 0 ]
[.97619 -0.0125 -9 -9 ]
[.97619 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -6.78125 -23 ]
[.5 -0.0125 6.78125 -9 ]
[-0.0125 .04307 -12 -4.5 ]
[-0.0125 .04307 0 4.5 ]
[-0.0125 .13348 -12 -4.5 ]
[-0.0125 .13348 0 4.5 ]
[-0.0125 .22388 -12 -4.5 ]
[-0.0125 .22388 0 4.5 ]
[-0.0125 .31429 -12 -4.5 ]
[-0.0125 .31429 0 4.5 ]
[-0.0125 .4047 -12 -4.5 ]
[-0.0125 .4047 0 4.5 ]
[-0.0125 .49511 -12 -4.5 ]
[-0.0125 .49511 0 4.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .25 -30.1875 -56.9063 ]
[-0.01875 .25 -12 56.9063 ]
[ 0 .5 .125 0 ]
[1.0125 .04307 0 -4.5 ]
[1.0125 .04307 12 4.5 ]
[1.0125 .13348 0 -4.5 ]
[1.0125 .13348 12 4.5 ]
[1.0125 .22388 0 -4.5 ]
[1.0125 .22388 12 4.5 ]
[1.0125 .31429 0 -4.5 ]
[1.0125 .31429 12 4.5 ]
[1.0125 .4047 0 -4.5 ]
[1.0125 .4047 12 4.5 ]
[1.0125 .49511 0 -4.5 ]
[1.0125 .49511 12 4.5 ]
[ 1 0 .125 0 ]
[.5 .5125 -116.75 0 ]
[.5 .5125 116.75 15.1875 ]
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01419 0 m
.01419 .00625 L
s
[(0)] .01419 -0.0125 0 1 Mshowa
.20659 0 m
.20659 .00625 L
s
[(20)] .20659 -0.0125 0 1 Mshowa
.39899 0 m
.39899 .00625 L
s
[(40)] .39899 -0.0125 0 1 Mshowa
.59139 0 m
.59139 .00625 L
s
[(60)] .59139 -0.0125 0 1 Mshowa
.78379 0 m
.78379 .00625 L
s
[(80)] .78379 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(100)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.06229 0 m
.06229 .00375 L
s
.11039 0 m
.11039 .00375 L
s
.15849 0 m
.15849 .00375 L
s
.25469 0 m
.25469 .00375 L
s
.30279 0 m
.30279 .00375 L
s
.35089 0 m
.35089 .00375 L
s
.44709 0 m
.44709 .00375 L
s
.49519 0 m
.49519 .00375 L
s
.54329 0 m
.54329 .00375 L
s
.63949 0 m
.63949 .00375 L
s
.68759 0 m
.68759 .00375 L
s
.73569 0 m
.73569 .00375 L
s
.83189 0 m
.83189 .00375 L
s
.87999 0 m
.87999 .00375 L
s
.92809 0 m
.92809 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -67.7813 -27 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22 translate 1 -1 scale
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
72.563 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .00709 m
.005 .00709 L
s
0 .01585 m
.005 .01585 L
s
0 .02301 m
.005 .02301 L
s
0 .02906 m
.005 .02906 L
s
0 .03431 m
.005 .03431 L
s
0 .03893 m
.005 .03893 L
s
0 .04307 m
.01 .04307 L
s
[(-8)] -0.0125 .04307 1 0 Mshowa
0 .07028 m
.005 .07028 L
s
0 .0862 m
.005 .0862 L
s
0 .0975 m
.005 .0975 L
s
0 .10626 m
.005 .10626 L
s
0 .11342 m
.005 .11342 L
s
0 .11947 m
.005 .11947 L
s
0 .12471 m
.005 .12471 L
s
0 .12934 m
.005 .12934 L
s
0 .13348 m
.01 .13348 L
s
[(-7)] -0.0125 .13348 1 0 Mshowa
0 .16069 m
.005 .16069 L
s
0 .17661 m
.005 .17661 L
s
0 .18791 m
.005 .18791 L
s
0 .19667 m
.005 .19667 L
s
0 .20383 m
.005 .20383 L
s
0 .20988 m
.005 .20988 L
s
0 .21512 m
.005 .21512 L
s
0 .21975 m
.005 .21975 L
s
0 .22388 m
.01 .22388 L
s
[(-6)] -0.0125 .22388 1 0 Mshowa
0 .2511 m
.005 .2511 L
s
0 .26702 m
.005 .26702 L
s
0 .27831 m
.005 .27831 L
s
0 .28708 m
.005 .28708 L
s
0 .29423 m
.005 .29423 L
s
0 .30029 m
.005 .30029 L
s
0 .30553 m
.005 .30553 L
s
0 .31015 m
.005 .31015 L
s
0 .31429 m
.01 .31429 L
s
[(-5)] -0.0125 .31429 1 0 Mshowa
0 .34151 m
.005 .34151 L
s
0 .35743 m
.005 .35743 L
s
0 .36872 m
.005 .36872 L
s
0 .37748 m
.005 .37748 L
s
0 .38464 m
.005 .38464 L
s
0 .39069 m
.005 .39069 L
s
0 .39594 m
.005 .39594 L
s
0 .40056 m
.005 .40056 L
s
0 .4047 m
.01 .4047 L
s
[(-4)] -0.0125 .4047 1 0 Mshowa
0 .43191 m
.005 .43191 L
s
0 .44783 m
.005 .44783 L
s
0 .45913 m
.005 .45913 L
s
0 .46789 m
.005 .46789 L
s
0 .47505 m
.005 .47505 L
s
0 .4811 m
.005 .4811 L
s
0 .48634 m
.005 .48634 L
s
0 .49097 m
.005 .49097 L
s
0 .49511 m
.01 .49511 L
s
[(-3)] -0.0125 .49511 1 0 Mshowa
0 0 m
0 .5 L
s
gsave
-0.01875 .25 -139 -13.0938 Mabsadd m
1 1 Mabs scale
currentpoint translate
117.906 13.0938 translate
90 rotate
-117.906 -13.0938 translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 26.1875 translate 1 -1 scale
63.000 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
72.563 18.188 moveto
(H) show
82.125 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
91.688 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(13) show
105.813 12.063 moveto
(2) show
113.125 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
132.250 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
141.813 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(24) show
155.938 12.063 moveto
(2) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
163.250 18.188 moveto
(L) show
172.813 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.01419 .49375 m
.01419 .5 L
s
.20659 .49375 m
.20659 .5 L
s
.39899 .49375 m
.39899 .5 L
s
.59139 .49375 m
.59139 .5 L
s
.78379 .49375 m
.78379 .5 L
s
.97619 .49375 m
.97619 .5 L
s
.125 Mabswid
.06229 .49625 m
.06229 .5 L
s
.11039 .49625 m
.11039 .5 L
s
.15849 .49625 m
.15849 .5 L
s
.25469 .49625 m
.25469 .5 L
s
.30279 .49625 m
.30279 .5 L
s
.35089 .49625 m
.35089 .5 L
s
.44709 .49625 m
.44709 .5 L
s
.49519 .49625 m
.49519 .5 L
s
.54329 .49625 m
.54329 .5 L
s
.63949 .49625 m
.63949 .5 L
s
.68759 .49625 m
.68759 .5 L
s
.73569 .49625 m
.73569 .5 L
s
.83189 .49625 m
.83189 .5 L
s
.87999 .49625 m
.87999 .5 L
s
.92809 .49625 m
.92809 .5 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.995 .00709 m
1 .00709 L
s
.995 .01585 m
1 .01585 L
s
.995 .02301 m
1 .02301 L
s
.995 .02906 m
1 .02906 L
s
.995 .03431 m
1 .03431 L
s
.995 .03893 m
1 .03893 L
s
.99 .04307 m
1 .04307 L
s
[(-8)] 1.0125 .04307 -1 0 Mshowa
.995 .07028 m
1 .07028 L
s
.995 .0862 m
1 .0862 L
s
.995 .0975 m
1 .0975 L
s
.995 .10626 m
1 .10626 L
s
.995 .11342 m
1 .11342 L
s
.995 .11947 m
1 .11947 L
s
.995 .12471 m
1 .12471 L
s
.995 .12934 m
1 .12934 L
s
.99 .13348 m
1 .13348 L
s
[(-7)] 1.0125 .13348 -1 0 Mshowa
.995 .16069 m
1 .16069 L
s
.995 .17661 m
1 .17661 L
s
.995 .18791 m
1 .18791 L
s
.995 .19667 m
1 .19667 L
s
.995 .20383 m
1 .20383 L
s
.995 .20988 m
1 .20988 L
s
.995 .21512 m
1 .21512 L
s
.995 .21975 m
1 .21975 L
s
.99 .22388 m
1 .22388 L
s
[(-6)] 1.0125 .22388 -1 0 Mshowa
.995 .2511 m
1 .2511 L
s
.995 .26702 m
1 .26702 L
s
.995 .27831 m
1 .27831 L
s
.995 .28708 m
1 .28708 L
s
.995 .29423 m
1 .29423 L
s
.995 .30029 m
1 .30029 L
s
.995 .30553 m
1 .30553 L
s
.995 .31015 m
1 .31015 L
s
.99 .31429 m
1 .31429 L
s
[(-5)] 1.0125 .31429 -1 0 Mshowa
.995 .34151 m
1 .34151 L
s
.995 .35743 m
1 .35743 L
s
.995 .36872 m
1 .36872 L
s
.995 .37748 m
1 .37748 L
s
.995 .38464 m
1 .38464 L
s
.995 .39069 m
1 .39069 L
s
.995 .39594 m
1 .39594 L
s
.995 .40056 m
1 .40056 L
s
.99 .4047 m
1 .4047 L
s
[(-4)] 1.0125 .4047 -1 0 Mshowa
.995 .43191 m
1 .43191 L
s
.995 .44783 m
1 .44783 L
s
.995 .45913 m
1 .45913 L
s
.995 .46789 m
1 .46789 L
s
.995 .47505 m
1 .47505 L
s
.995 .4811 m
1 .4811 L
s
.995 .48634 m
1 .48634 L
s
.995 .49097 m
1 .49097 L
s
.99 .49511 m
1 .49511 L
s
[(-3)] 1.0125 .49511 -1 0 Mshowa
1 0 m
1 .5 L
s
gsave
.5 .5125 -177.75 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.1875 translate 1 -1 scale
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Nikolaushaus) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
187.313 15.188 moveto
(H) show
196.875 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(numerisch) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
282.938 15.188 moveto
(L) show
292.500 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 0 r
.001 w
.02381 .1967 m
.03343 .0119 L
.04305 .20104 L
.05267 .20498 L
.06229 .2129 L
.07191 .22967 L
.08153 .15439 L
.09115 .24665 L
.10077 .2352 L
.11039 .21464 L
.12001 .26056 L
.12963 .21046 L
.13925 .25165 L
.14887 .26119 L
.15849 .21237 L
.16811 .26881 L
.17773 .24502 L
.18735 .26195 L
.19697 .27436 L
.20659 .04686 L
.21621 .28092 L
.22583 .26699 L
.23545 .25467 L
.24507 .28692 L
.25469 .22836 L
.26431 .28178 L
.27393 .28159 L
.28355 .24439 L
.29317 .29341 L
.30279 .2577 L
.31241 .28407 L
.32203 .29467 L
.33165 .20507 L
.34127 .29878 L
.35089 .2832 L
.36051 .27828 L
.37013 .30147 L
.37975 .23535 L
.38937 .30015 L
.39899 .29257 L
.40861 .26432 L
.41823 .30885 L
.42785 .26089 L
.43747 .29861 L
.44709 .30769 L
.45671 .24485 L
.46633 .31072 L
.47595 .29347 L
.48557 .29531 L
.49519 .31107 L
Mistroke
.50481 .2354 L
.51443 .31345 L
.52405 .29902 L
.53367 .2792 L
.54329 .31997 L
.55291 .25691 L
.56253 .30949 L
.57215 .31693 L
.58177 .26974 L
.59139 .31955 L
.60101 .30028 L
.61063 .30857 L
.62025 .31789 L
.62987 .22714 L
.63949 .32376 L
.64911 .30263 L
.65873 .29133 L
.66835 .32843 L
.67797 .24348 L
.68759 .31822 L
.69721 .32371 L
.70683 .28786 L
.71645 .32648 L
.72607 .30454 L
.73569 .31928 L
.74531 .3229 L
.75493 .19855 L
.76455 .332 L
.77417 .30412 L
.78379 .30179 L
.79341 .335 L
.80303 .20298 L
.81265 .32558 L
.82227 .32861 L
.83189 .30195 L
.84151 .33212 L
.85113 .30654 L
.86075 .32812 L
.87037 .32665 L
.87999 .18811 L
.88961 .33869 L
.89923 .30388 L
.90885 .31113 L
.91847 .34008 L
.92809 .21588 L
.93771 .33199 L
.94733 .33193 L
.95695 .31331 L
.96657 .33687 L
.97619 .30621 L
Mistroke
Mfstroke
1 0 0 r
[ 7 2 ] 0 Mabsdash
.02381 .32801 m
.03343 .30622 L
.04305 .3441 L
.05267 .33347 L
.06229 .36163 L
.07191 .37104 L
.08153 .24627 L
.09115 .38951 L
.10077 .37506 L
.11039 .36807 L
.12001 .40144 L
.12963 .34523 L
.13925 .39908 L
.14887 .40075 L
.15849 .36213 L
.16811 .414 L
.17773 .38203 L
.18735 .40667 L
.19697 .41797 L
.20659 .30963 L
.21621 .42453 L
.22583 .40894 L
.23545 .40182 L
.24507 .43001 L
.25469 .36375 L
.26431 .42661 L
.27393 .42453 L
.28355 .39374 L
.29317 .43703 L
.30279 .40096 L
.31241 .43006 L
.32203 .43708 L
.33165 .34543 L
.34127 .44408 L
.35089 .42355 L
.36051 .4207 L
.37013 .44679 L
.37975 .36024 L
.38937 .44247 L
.39899 .43884 L
.40861 .41589 L
.41823 .45061 L
.42785 .41181 L
.43747 .44629 L
.44709 .44834 L
.45671 .36994 L
.46633 .45775 L
.47595 .43116 L
.48557 .4339 L
.49519 .45856 L
Mistroke
.50481 .32413 L
.51443 .45342 L
.52405 .44872 L
.53367 .4328 L
.54329 .45984 L
.55291 .41833 L
.56253 .45871 L
.57215 .45561 L
.58177 .38895 L
.59139 .46814 L
.60101 .43465 L
.61063 .44412 L
.62025 .46739 L
.62987 .34584 L
.63949 .46163 L
.64911 .45581 L
.65873 .44628 L
.66835 .4665 L
.67797 .42157 L
.68759 .46864 L
.69721 .46038 L
.70683 .40488 L
.71645 .47634 L
.72607 .43499 L
.73569 .45255 L
.74531 .47416 L
.75493 .39187 L
.76455 .46812 L
.77417 .46079 L
.78379 .45732 L
.79341 .47144 L
.80303 .42157 L
.81265 .47674 L
.82227 .46333 L
.83189 .41892 L
.84151 .48289 L
.85113 .43237 L
.86075 .45987 L
.87037 .47931 L
.87999 .41643 L
.88961 .47345 L
.89923 .46397 L
.90885 .4665 L
.91847 .47517 L
.92809 .41748 L
.93771 .48341 L
.94733 .46488 L
.95695 .43165 L
.96657 .4881 L
.97619 .42637 L
Mistroke
Mfstroke
0 0 1 r
[ 4 2 ] 0 Mabsdash
.02381 .16235 m
.03343 .1655 L
.04305 .20562 L
.05267 .2058 L
.06229 .20358 L
.07191 .23404 L
.08153 .18488 L
.09115 .24549 L
.10077 .23929 L
.11039 .20537 L
.12001 .26192 L
.12963 .21471 L
.13925 .25256 L
.14887 .26478 L
.15849 .21512 L
.16811 .27226 L
.17773 .25224 L
.18735 .26501 L
.19697 .27865 L
.20659 .17315 L
.21621 .2839 L
.22583 .27173 L
.23545 .25554 L
.24507 .28992 L
.25469 .23491 L
.26431 .28595 L
.27393 .28487 L
.28355 .24579 L
.29317 .2988 L
.30279 .26133 L
.31241 .2865 L
.32203 .30078 L
.33165 .21295 L
.34127 .30102 L
.35089 .29044 L
.36051 .28472 L
.37013 .30321 L
.37975 .24998 L
.38937 .30706 L
.39899 .2932 L
.40861 .26127 L
.41823 .31623 L
.42785 .25535 L
.43747 .29913 L
.44709 .3158 L
.45671 .26284 L
.46633 .31133 L
.47595 .30358 L
.48557 .30537 L
.49519 .3107 L
Mistroke
.50481 .26137 L
.51443 .32259 L
.52405 .29555 L
.53367 .27162 L
.54329 .32917 L
.55291 .22457 L
.56253 .30787 L
.57215 .32697 L
.58177 .29045 L
.59139 .31829 L
.60101 .3133 L
.61063 .32106 L
.62025 .31502 L
.62987 .26924 L
.63949 .33468 L
.64911 .29355 L
.65873 .28012 L
.66835 .33921 L
.67797 .22051 L
.68759 .31468 L
.69721 .3355 L
.70683 .30953 L
.71645 .32343 L
.72607 .3204 L
.73569 .33339 L
.74531 .31743 L
.75493 .27321 L
.76455 .34428 L
.77417 .28753 L
.78379 .28847 L
.79341 .34707 L
.80303 .27199 L
.81265 .32064 L
.82227 .34194 L
.83189 .32373 L
.84151 .32765 L
.85113 .32517 L
.86075 .3432 L
.87037 .3188 L
.87999 .27211 L
.88961 .35192 L
.89923 .27698 L
.90885 .29752 L
.91847 .35314 L
.92809 .29577 L
.93771 .32641 L
.94733 .34653 L
.95695 .33465 L
.96657 .33159 L
.97619 .32764 L
Mistroke
Mfstroke
0 1 0 r
[ 2 2 ] 0 Mabsdash
.02381 .22935 m
.03343 .29144 L
.04305 .15841 L
.05267 .25769 L
.06229 .22194 L
.07191 .18701 L
.08153 .27726 L
.09115 .16388 L
.10077 .24775 L
.11039 .29974 L
.12001 .22917 L
.12963 .27293 L
.13925 .29634 L
.14887 .28872 L
.15849 .28865 L
.16811 .2933 L
.17773 .30811 L
.18735 .29291 L
.19697 .27171 L
.20659 .32287 L
.21621 .28457 L
.22583 .27696 L
.23545 .33433 L
.24507 .2209 L
.25469 .31635 L
.26431 .33246 L
.27393 .2909 L
.28355 .3341 L
.29317 .32484 L
.30279 .32649 L
.31241 .34837 L
.32203 .29027 L
.33165 .33609 L
.34127 .34568 L
.35089 .29451 L
.36051 .34064 L
.37013 .33267 L
.37975 .34287 L
.38937 .3434 L
.39899 .30294 L
.40861 .36598 L
.41823 .33585 L
.42785 .08256 L
.43747 .37507 L
.44709 .30877 L
.45671 .28679 L
.46633 .37882 L
.47595 .31642 L
.48557 .31424 L
.49519 .37645 L
Mistroke
.50481 .36752 L
.51443 .32517 L
.52405 .36952 L
.53367 .3919 L
.54329 .3114 L
.55291 .35726 L
.56253 .40268 L
.57215 .28136 L
.58177 .34988 L
.59139 .40686 L
.60101 .3594 L
.61063 .33481 L
.62025 .40656 L
.62987 .39336 L
.63949 .32381 L
.64911 .40283 L
.65873 .41179 L
.66835 .32769 L
.67797 .39822 L
.68759 .4225 L
.69721 .35319 L
.70683 .39492 L
.71645 .42754 L
.72607 .38541 L
.73569 .38954 L
.74531 .42831 L
.75493 .41168 L
.76455 .38398 L
.77417 .4261 L
.78379 .4284 L
.79341 .38207 L
.80303 .4231 L
.81265 .4387 L
.82227 .39022 L
.83189 .42027 L
.84151 .44362 L
.85113 .40754 L
.86075 .41735 L
.87037 .44453 L
.87999 .42601 L
.88961 .41349 L
.89923 .44311 L
.90885 .44043 L
.91847 .40896 L
.92809 .4413 L
.93771 .45054 L
.94733 .4116 L
.95695 .43882 L
.96657 .4555 L
.97619 .42057 L
Mistroke
Mfstroke
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
MathSubEnd
P
% End of sub-graphic
0 g
.7619 .06429 m
.7619 .18333 L
.90476 .18333 L
.90476 .06429 L
F
1 g
.7619 .06429 m
.7619 .18333 L
.90476 .18333 L
.90476 .06429 L
F
0 g
.001 w
[ ] 0 setdash
.7619 .06429 m
.90476 .06429 L
.90476 .18333 L
.7619 .18333 L
.7619 .06429 L
s
% Start of sub-graphic
p
0.761905 0.0642857 0.904762 0.183333 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0142694 0.142694 [
[ 0 0 0 0 ]
[ 1 .83333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .83333 L
0 .83333 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0256849 0.35119 0.168379 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 1 0 r
.02493 w
[ 2 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .09703 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(RK) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.19121 0.35119 0.333904 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 1 r
.02493 w
[ 4 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .26256 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(OFR) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.356735 0.35119 0.499429 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.02493 w
[ 7 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .42808 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(FR) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.52226 0.35119 0.664954 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.02493 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .59361 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .74772 -117 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(4.) show
75.000 12.813 moveto
(Ordnung) show
117.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(,) show
129.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(D) show
141.000 12.813 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
153.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.1) show
171.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{951, 475.5},
  ImageMargins->{{8, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000>g0001fb000`400?l00000o`00003oo`3ooooo
0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0ooooo`3ooonj0?ooo`00
o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0ooooo`3ooonj
0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0oooo
o`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?oo
ool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo
003o0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooi@3oool40000
0?l0ooood03oool00?l0ooooi03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0
ooooc@3oool00?l0ooooi03oool00`000000oooo0?ooo`3o0?ooom80oooo003o0?ooon@0oooo00<0
00000?ooo`3oool0o`3ooooB0?ooo`00o`3ooooT0?ooo`030000003oool0oooo0?l0oooodP3oool0
0?l0ooooi03oool00`000000oooo0?ooo`3o0?ooom80oooo003o0?ooon80oooo1`00003o0?ooom00
oooo003o0?ooon@0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`00o`3ooooT0?ooo`030000003o
ool0oooo0?l0oooodP3oool00?l0ooooo`3ooooo0?oookX0oooo001V0?ooo`800000TP3oool40000
00<0oooo0P00002@0?ooo`<000000P3oool2000008l0oooo0`0000040?ooo`800000T03oool20000
00@0oooo0P00002;0?ooo`D000000P3oool2000000@0oooo0P00001C0?ooo`00I@3oool010000000
oooo0?ooo`00002A0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000T03oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo08`0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`00002>0?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool00000S03oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`1@0?ooo`00I@3oool010000000oooo0?ooo`00002B0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool00000S@3oool5000000050?ooo`000000oooo0?oo
o`000000SP3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000008h0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`00002<0?ooo`050000003oool0oooo0?oo
o`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0500oooo001U0?oo
o`040000003oool0oooo000009<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0oooo08/0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00002>0?ooo`<0
00000`3oool010000000oooo0?ooo`00002?0?ooo`8000000`3oool010000000oooo0?ooo`00002<
0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo0500oooo001U0?ooo`040000003oool0oooo00000940oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`00002>0?ooo`030000003oool000000080oooo00@000000?oo
o`3oool00000S`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000008h0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`00002<0?ooo`050000003oool0oooo0?oo
o`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0500oooo001V0?oo
o`800000T`3oool2000000@0oooo0P00002@0?ooo`8000000`3oool200000900oooo0`0000030?oo
o`800000T03oool2000000@0oooo0P00002<0?ooo`800000103oool2000000@0oooo0P00001C0?oo
o`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0ooooo`3o
oonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0
ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o
0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0
oooo003o0?ooool0ooooo`3ooonj0?ooo`00G03ooooo00000?l00000o`00000H000004H0oooo001L
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0R0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
U@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0
U@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2E0?ooo`030000003o
ool0oooo09@0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2E0?ooo`030000003o
ool0oooo09@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool5
00000?l0ooooo`3ooooo0?ooo`h0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`3o0?oo
ool0ooooo`3ooolD0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0
ooooo`3ooooo0?oooa@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo503oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0G0?ooo`030000003oool0oooo0?l0ooooo`3ooooi0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0o`3ooooo0?ooooT0oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`3o0?oo
ool0oooon@3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001D0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooooD0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo0?l0ooooo`3ooooi0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool0o`3ooooo0?ooooT0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`3o0?ooool0oooon@3oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo
0?l0ooooo`3ooomL0?ooohT00000503oool00`000000oooo0?ooo`140?ooo`00G03oool5000001D0
oooo00<000000?ooo`3oool0o`3ooooo0?oooe`0oooo00<000000?ooo`3oool0Q@3oool00`000000
oooo0?ooo`0>0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool05`3oool00`000000oooo
0?ooo`3o0?ooool0ooooG03oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool200000?l0ooooo`3o
oomM0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`030000003oool000000?l0ooooo`3ooomM
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`030000003oool000000?l0ooooo`3ooomM0?oo
o`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?oo
o`00G03oool5000001@0oooo00<000000?ooo`000000o`3ooooo0?oooed0oooo00<000000?ooo`3o
ool0Q@3oool00`000000oooo0?ooo`0>0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0
5P3oool00`000000oooo0000003o0?ooool0ooooG@3oool00`000000oooo0?ooo`250?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0000003o0?ooool0ooooG@3oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0000003o0?ooool0ooooG@3oool00`000000oooo0?ooo`250?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000D0?ooo`030000003oool00000
0?l0ooooo`3ooomM0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool03P3oool50000
04H0oooo001L0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`000000o`3ooooo0?oooed0
oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`000000o`3ooooo0?oooed0oooo
00<000000?ooo`3oool0=03oool300000080oooo100000000`3oool00000000000150?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0000003o0?ooool0ooooG@3oool00`000000oooo0?ooo`0?0?ooo`<00?l000D0
oooo003o0000o`000?l00?ooo`03003o00050?ooo`00o`000?l0003o003oool00`00o`0C0?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool00000AP3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000503oool00`000000oooo0000003o0?oo
ool0ooooG@3oool00`000000oooo0?ooo`0e0?ooo`<000000`3oool3000004L0oooo00<000000?oo
o`3oool03P3oool5000004H0oooo001>0?ooo`800000303oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool000000?l0ooooo`3ooomM0?ooo`030000003oool0oooo03D0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo000000170?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool03`3oool2000003<0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0000003o0?ooool0ooooG@3oool00`000000oooo0?ooo`0e0?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000AP3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3oool004d0oooo00@0
00000?ooo`3oool000002`3oool900000100oooo00<000000?ooo`000000o`3ooooo0?oooed0oooo
00<000000?ooo`3oool0=03oool400000080oooo0`0000000`3oool00000000000150?ooo`030000
003oool0oooo00X0oooo2@00000@0?ooo`040000003oool0oooo00000380oooo00170?ooo`@00000
0`3oool2000000`0oooo00<000000?ooo`3oool05P3oool00`000000oooo0000003o0?ooool0oooo
G@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
203oool4000000<0oooo0P00000c0?ooo`00C@3oool010000000oooo0?ooo`00000;0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`000000o`3ooooo0?oooed0oooo00<000000?ooo`3oool0
Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool0
0000<P3oool004h0oooo0P00000<0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`000000
Q`3oool00`000000oooo0?ooo`3o0?ooom80oooo00<000000?ooo`3oool0Q@3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo00l0oooo0P00000c0?ooo`00G03oool00`000000oooo0?oo
o`0F0?ooo`040000003oool0oooo000008H0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`030000
003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0F0?ooo`040000003oool0oooo000008H0oooo00<000000?ooo`3oool0
o`3ooooB0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`040000003oool0oooo000008H0oooo
00<000000?ooo`3oool0o`3ooooB0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`040000003o
ool0oooo000008H0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0E0?ooo`050000003oool0oooo0?ooo`000000QP3oool00`000000oooo0?ooo`3o0?ooom80oooo
00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo01D0oooo00D000000?ooo`3oool0oooo000000260?ooo`030000
003oool0oooo0?l0oooodP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool01@000000oooo0?oo
o`3oool0000008H0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0E0?ooo`050000003oool0oooo0?ooo`000000QP3oool00`000000oooo0?ooo`3o0?ooom80oooo
00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo01D0oooo00D000000?ooo`3oool0oooo000000260?ooo`030000
003oool0oooo0?l0oooodP3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool01@000000oooo0?oo
o`3oool0000008H0oooo00<000000?ooo`3oool0o`3ooooB0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0E0?ooo`050000003oool0oooo0?ooo`000000QP3oool00`000000oooo0?ooo`3o0?ooom80oooo
00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo01D0oooo00D000000?ooo`3oool0oooo000000250?ooo`800000
o`3ooooD0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0E0?ooo`050000003oool0oooo0?ooo`000000
Q@3oool200000?l0ooooe03oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool01@000000oooo0?oo
o`3oool0000008D0oooo00<000000?ooo`000000o`3ooooC0?ooo`030000003oool0oooo03H0oooo
0P0000030?ooo`<000000P3oool300000080oooo00<000000?ooo`3oool0?@3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01D0oooo00D0
00000?ooo`3oool0oooo000000250?ooo`030000003oool000000?l0ooood`3oool00`000000oooo
0?ooo`0e0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000100?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0
oooo00<000000?ooo`3oool05@3oool01@000000oooo0?ooo`3oool0000008D0oooo00<000000?oo
o`000000o`3ooooC0?ooo`030000003oool0oooo00l0oooo1@000?l00`3oool0003o0000o`030000
o`030?ooo`000?l0003o00<0003o00<0oooo0000o`000?l04P3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo0080oooo0`0000110?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool01@000000oooo0?ooo`3oool0
000008D0oooo00<000000?ooo`000000o`3ooooC0?ooo`030000003oool0oooo03D0oooo00@00000
0?ooo`3oool000000`3oool2000000<0oooo00@000000?ooo`3oool00000@03oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01D0oooo00D0
00000?ooo`3oool0oooo000000250?ooo`030000003oool000000?l0ooood`3oool00`000000oooo
0?ooo`0e0?ooo`040000003oool0oooo000000<0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool5000001<0oooo00D000000?ooo`3oool0oooo000000250?ooo`030000003oool0
00000?l0ooood`3oool00`000000oooo0?ooo`0f0?ooo`8000000`3oool900000440oooo00<00000
0?ooo`3oool03P3oool5000004H0oooo001L0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`220?ooo`030000003oool000000?l0ooood`3oool00`00
0000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0880
oooo00<000000?ooo`000000o`3ooooC0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0PP3oool00`000000oooo0000003o0?ooom<0oooo
00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`220?ooo`030000003oool000000?l0ooood`3oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0880oooo00<000000?ooo`000000o`3ooooC
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0PP3oool00`000000oooo0000003o0?ooom<0oooo00<000000?ooo`3oool0Q@3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`220?ooo`030000003oool000000?l0
ooood`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0880oooo00<000000?ooo`000000o`3ooooC0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0PP3oool00`000000oooo0000
002/0?ooo`03003o003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0880oooo00<000000?ooo`000000[03oool0
0`00o`00oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`220?ooo`030000003oool000000:`0oooo00<00?l00?oo
o`3oool0o`3ooolT0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`140?ooo`00G03oool500000180oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`220?ooo`030000003oool000000:`0oooo00<00?l00?ooo`3oool0o`3ooolT0?ooo`03
0000003oool0oooo08D0oooo00<000000?ooo`3oool03P3oool5000004H0oooo001L0?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`220?ooo`030000
003oool000000:`0oooo00<00?l00?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0PP3oool00`000000oooo0000
002/0?ooo`03003o003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0840oooo00@000000?ooo`3oool00000[03o
ool00`00o`00oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`210?ooo`040000003oool0oooo00000:`0oooo00<0
0?l00?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0P@3oool010000000oooo0?ooo`00002/0?ooo`03003o003o
ool0oooo0?l0oooo903oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0840oooo00@000000?ooo`3oool00000[03oool00`00o`00oooo0?oo
o`3o0?ooob@0oooo00<000000?ooo`3oool0=@3oool300000080oooo0`0000020?ooo`030000003o
ool0oooo04<0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0P@3oool0
10000000oooo0?ooo`00002/0?ooo`03003o003oool0oooo0?l0oooo903oool00`000000oooo0?oo
o`0?0?ooo`P0o`0000<0oooo0?l0003o00001P3o00000`3oool0o`000?l0000C0?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`3oool00000AP3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`200?ooo`040000003oool0oooo00000:`0oooo00<00?l00?ooo`3oool0
o`3ooolT0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool00P3oool3000004L0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool500000180oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`200?ooo`050000003oool0oooo0?ooo`000000
Z`3oool00`00o`00oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0=P3oool2000000<0oooo
00@000000?ooo`3oool00000AP3oool00`000000oooo0?ooo`0>0?ooo`D00000AP3oool005`0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0800oooo
00D000000?ooo`3oool0oooo0000002[0?ooo`800?l0o`3ooolU0?ooo`030000003oool0oooo03H0
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo04@0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0P03oool01@000000oooo0?ooo`3oool0
00000:/0oooo00<00?l00?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo03D0oooo2@000017
0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0800oooo00D000000?oo
o`3oool0oooo0000002/0?ooo`03003o003oool0oooo0?l0oooo8`3oool00`000000oooo0?ooo`25
0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0800oooo00D000000?oo
o`3oool0oooo0000002[0?ooo`800?l0o`3ooolU0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0P03oool01@000000oooo0?ooo`3oool0
00000:X0oooo00<00?l00?ooo`00o`00o`3ooolU0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0P03oool01@000000oooo0?ooo`3oool0
00000:X0oooo00<00?l00?ooo`3oool0o`3ooolU0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool500000140oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`200?ooo`050000003oool0oooo0?ooo`000000[03oool0
0`00o`00oooo0?ooo`3o0?ooob<0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0>
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0800oooo00D000000?ooo`3oool0oooo0000002Z0?ooo`03003o003oool0
0?l00?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0800oooo00D000000?ooo`3oool0oooo0000002Z0?ooo`03003o003oool0
0?l00?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0800oooo00D000000?ooo`3oool0oooo0000002Z0?ooo`03003o003oool0
oooo0?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0800oooo00D000000?ooo`3oool0oooo0000002/0?ooo`03003o003oool0
oooo0?l0oooo8`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0800oooo00D000000?ooo`3oool0oooo0000002Z0?ooo`03003o003oool0
0?l00?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0A03oool005`0oooo1@00000A0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0P03oool01@000000oooo0?ooo`3oool000000:X0oooo00<00?l00?ooo`00o`00o`3ooolU
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool03P3oool5000004H0oooo001L0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`200?oo
o`050000003oool0oooo0?ooo`000000ZP3oool00`00o`00oooo0?ooo`3o0?ooobD0oooo00<00000
0?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`200?oo
o`050000003oool0oooo0?ooo`000000[03oool00`00o`00oooo0?ooo`3o0?ooob<0oooo00<00000
0?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1o0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0Z03oool00`00o`00oooo003o003o0?oo
obD0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`D000004@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo07h0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2X0?ooo`03003o003oool00?l00?l0
oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00h0oooo1@0000160?ooo`00
G03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
OP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0:P0oooo00<00?l00?ooo`3oool0
o`3ooolU0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0OP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0:X0oooo00<0
0?l00?ooo`3oool0o`3ooolS0?ooo`030000003oool0oooo03D0oooo0`0000030?ooo`@000000P3o
ool300000440oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0OP3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0:P0oooo00<00?l00?ooo`00o`00o`3ooolU
0?ooo`030000003oool0oooo03D0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool500000140oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0Z03oool00`00o`00oooo003o
003o0?ooobD0oooo00<000000?ooo`3oool03`3ooolD000001D0oooo00D000000?ooo`3oool0oooo
000000050?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool03P3oool5000004H0oooo
001L0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0Z03oool00`00o`00oooo0?oo
o`3o0?ooobD0oooo00<000000?ooo`3oool0=P3oool2000000D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo07h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2Z0?ooo`03003o003oool0
oooo0?l0oooo8`3oool00`000000oooo0?ooo`0e0?ooo`040000003oool0oooo00000080oooo00X0
00000?ooo`3oool000000?ooo`000000oooo0000003oool00000@03oool00`000000oooo0?ooo`0B
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0Z03oool00`00o`00oooo003o003o0?ooobD0oooo00<000000?ooo`3oool0=@3oool40000
0080oooo100000000`3oool000000000000300000400oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`140?ooo`00G03oool500000140oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`1n0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0Z03oool00`00o`00
oooo003o003o0?ooobD0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0>0?ooo`D0
0000AP3oool004l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0:P0oooo00<00?l00?ooo`3oool0o`3ooolU0?ooo`030000003oool0oooo08D0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0340oooo
001?0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`2Y0?ooo`03003o003oool0oooo0?l0oooo8`3oool00`000000oooo0?ooo`250?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0a0?ooo`00C`3oool0
0`000000oooo0?ooo`0:0?ooo`T00000303oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo07h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2W0?ooo`03003o003oool0
0?l00?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00X0oooo2@00000B
0?ooo`030000003oool0oooo0340oooo00170?ooo`@000001@3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1n0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0Y`3oool00`00o`00oooo003o003o0?oo
obD0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
00P0oooo100000050?ooo`030000003oool0oooo0300oooo001=0?ooo`040000003oool0oooo0000
00/0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
07h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2W0?ooo`03003o003oool0oooo
0?l0oooo9@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool03P3oool010000000oooo0?ooo`00000b0?ooo`00C@3oool4000000/0oooo00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo07h0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`2Z0?ooo`03003o003oool0oooo0?l0oooo8P3oool00`00
0000oooo0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool03P3oool40000
0380oooo001L0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`1n0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0YP3oool01@00o`00
oooo0?ooo`3oool00?l00?l0oooo903oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`2V0?ooo`05003o003oool0oooo0?ooo`00o`00o`3ooolT0?ooo`030000003oool0oooo
08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0OP3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0:H0oooo00<00?l00?ooo`3oool0o`3ooolV0?ooo`03
0000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
OP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0:X0oooo00<00?l00?ooo`3oool0
o`3ooolR0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0O@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0:H0oooo00D0
0?l00?ooo`3oool0oooo003o003o0?ooob@0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0YP3oool01@00o`00oooo0?ooo`3oool00?l00?l0oooo903oool00`000000oooo
0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo07d0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`2V0?ooo`03003o003oool0oooo0?l0oooo9P3o
ool00`000000oooo0?ooo`0l0?ooo`<00000AP3oool00`000000oooo0?ooo`0B0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`1l0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0ZP3oool0
0`00o`00oooo0?ooo`3o0?ooob80oooo00<000000?ooo`3oool0?`3oool01@000000oooo0?ooo`3o
ool000000440oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0O03oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0:H0oooo00D00?l00?ooo`3oool0oooo003o
003o0?ooob@0oooo00<000000?ooo`3oool03P3oool300000080oooo0P0000040?ooo`8000000`3o
ool4000000<0oooo1P0000020?ooo`8000000P3oool600000080oooo0P0000020?ooo`<000000`3o
ool00`000000oooo0?ooo`070?ooo`D00000203oool4000000T0oooo0P0000040?ooo`8000000`3o
ool5000000h0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0O03oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0:H0oooo00D00?l00?ooo`3oool0oooo003o
003o0?ooob@0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`060?ooo`040000003o
ool0oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0000000E0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0YP3oool00`00o`00oooo0?ooo`3o0?ooobH0oooo00<000000?ooo`3oool0
303oool5000000L0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000003P3oool00`000000
oooo000000090?ooo`@00000203oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0O03oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0:X0oooo00<00?l00?ooo`3oool0o`3ooolR0?ooo`03
0000003oool0oooo00`0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000002
0?ooo`@000000`3oool3000000030?ooo`0000000000008000000P3oool2000000040?ooo`000000
00000?ooo`@00000103oool4000000h0oooo00<000000?ooo`3oool0503oool010000000oooo0?oo
o`00000:0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0O03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0:H0oooo00D0
0?l00?ooo`3oool0oooo003o003o0?ooob@0oooo00<000000?ooo`3oool03@3oool00`000000oooo
000000080?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`0D0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo05`0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2V0?ooo`05003o003oool0oooo0?oo
o`00o`00o`3ooolT0?ooo`030000003oool0oooo00h0oooo0P0000090?ooo`8000002`3oool20000
02L0oooo00<000000?ooo`3oool05@3oool2000000X0oooo0P00000@0?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0G03oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0:H0oooo00<00?l00?ooo`3oool0o`3ooolV0?ooo`03
0000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
7@3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
ZP3oool00`00o`00oooo0?ooo`3o0?ooob80oooo00<000000?ooo`3oool0Q@3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo05`0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`2V0?ooo`05003o003oool0oooo0?ooo`00o`00
o`3ooolT0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`00o`007@3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0YP3oool01@00o`00oooo0?ooo`3oool00?l00?l0oooo903oool00`000000oooo
0?ooo`250?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0oooo1@00
000?0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`00o`00703oool00`000000oooo0000
001M0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0YP3oool00`00o`00oooo0?oo
o`3o0?ooobH0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0>0?ooo`D00000AP3o
ool005`0oooo00<000000?ooo`3oool0403oool00`000?l000000?ooo`0:0?ooo`030000003oool0
0?l001`0oooo00<000000?ooo`000000G@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0:X0oooo00<00?l00?ooo`3oool0o`3ooolR0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?oo
o`03000000000?l0003o00T0oooo00<000000?ooo`3oool0703oool00`000000oooo000000060?oo
o`03003o003oool0oooo05@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2V0?oo
o`05003o003oool0oooo0?ooo`00o`00o`3ooolT0?ooo`030000003oool0oooo08D0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo00<0003o1P3oool00`000000oooo003o000L0?ooo`030000003oool00000
00H0oooo00<00?l00?ooo`3oool0E03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0:D0oooo00D00?l00?ooo`3oool0oooo003o003o0?ooob@0ooooR@00000D0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00`3oool00`00
0?l0oooo0?ooo`030?ooo`0300000000o`000?l001`0oooo00<000000?ooo`0000001P3oool00`00
o`00oooo0?ooo`1D0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0Y@3oool00`00
o`00oooo0?ooo`3o0?oool<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`030?ooo`030000o`3oool0oooo00@0oooo00<00?l00?ooo`00
o`006`3oool00`000000oooo000000050?ooo`03003o003oool0oooo05D0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`2Y0?ooo`03003o003oool0oooo0?l0oooo_`3oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00<0oooo
00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`0K0?ooo`030000003oool0000000D0oooo
0P00o`1F0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0Y@3oool01@00o`00oooo
0?ooo`3oool00?l00?l0oooo`@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0A0?ooo`030000003oool0oooo00@0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo
003o000K0?ooo`030000003oool0000000H0oooo00<00?l00?ooo`3oool0E03oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo0:@0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`3o0?oookl0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04@3o
ool00`000000oooo0?ooo`040?ooo`030000o`3oool0oooo00<0oooo00<00?l00?ooo`00o`006P3o
ool010000000oooo0?ooo`0000050?ooo`800?l0EP3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0:@0oooo00<00?l00?ooo`3oool0o`3oooo40?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool02P3oool00`00o`00oooo003o
000J0?ooo`050000003oool0oooo0?ooo`000000103oool00`00o`00oooo0?ooo`1E0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0Z@3oool00`00o`00oooo0?ooo`3o0?oookl0oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`050?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool06P3oool01@000000oooo0?oo
o`3oool0000000@0oooo00<00?l00?ooo`00o`00E@3oool01@000000oooo0?ooo`3oool0003o00<0
oooo00<000000?ooo`3oool0Y03oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo0?l0
oooo_`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030000
003oool0oooo00D0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo003o000J0?ooo`050000
003oool0oooo0?ooo`0000001P3oool00`00o`00oooo0?ooo`1B0?ooo`030000003oool0oooo0080
oooo00D0003o0?ooo`3oool0oooo0000002V0?ooo`03003o003oool0oooo00<0oooo00<00?l00?oo
o`3oool0o`3ooonn0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000003`3oool00`000000
oooo0?ooo`060?ooo`070000o`3oool0oooo0?ooo`00o`00oooo003o000J0?ooo`050000003oool0
oooo0?ooo`000000103oool00`00o`00oooo003o001D0?ooo`030000003oool0oooo0080oooo00D0
003o0?ooo`3oool0oooo0000002V0?ooo`03003o003oool0oooo0?l0oooo`03oool5000004H0oooo
001L0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool01P3oool01`000?l0oooo0?oo
o`3oool00?l00?ooo`00o`006P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<00?l00?oo
o`3oool0E03oool00`000000oooo0?ooo`020?ooo`050000o`3oool0oooo0?ooo`000000[03oool0
0`00o`00oooo0?ooo`3o0?oookh0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool04@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01X0oooo00D000000?oo
o`3oool0oooo000000040?ooo`03003o003oool00?l005@0oooo00@000000?ooo`3oool0oooo0P00
0?l30?ooo`030000003oool0oooo0:@0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?oo
o`3o0?oookh0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04@3oool0
0`000000oooo0?ooo`060?ooo`050000o`3oool0oooo0?ooo`00o`000P3oool00`00o`00oooo0?oo
o`0G0?ooo`050000003oool0oooo0?ooo`0000001P3oool00`00o`00oooo0?ooo`1B0?ooo`040000
003oool0oooo0?ooo`80003o0`3oool00`000000oooo0?ooo`2T0?ooo`03003o003oool0oooo00<0
oooo00<00?l00?ooo`3oool0o`3ooonn0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool01P3oool01@000?l0oooo0?ooo`3oool00?l00080
oooo00<00?l00?ooo`3oool05`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<00?l00?oo
o`00o`00E03oool010000000oooo0?ooo`3oool20000o`<0oooo00<000000?ooo`3oool0Y03oool0
0`00o`00oooo0?ooo`3o0?oool@0oooo00<000000?ooo`3oool0A03oool003P0oooo00D0VIVI028R
8P000000A4A40=gMg@0O0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool01P3oool0
1@000?l0oooo0?ooo`3oool00?l00080oooo00<00?l00?ooo`3oool05P3oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`00o`00E`3oool010000000oooo0?ooo`3oool20000o`<0
oooo00<000000?ooo`3oool0ZP3oool00`00o`00oooo0?ooo`3o0?oookh0oooo00<000000?ooo`3o
ool0A03oool003L0oooo0P28R8P20?ooo`0309VIV@14A4@0oooo01h0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`080?ooo`040000o`3oool0oooo000001/0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`00o`030?ooo`03003o003oool0oooo0540oooo00D000000?oo
o`3oool0oooo0000o`040?ooo`030000003oool0oooo0:@0oooo00<00?l00?ooo`3oool00`3oool0
0`00o`00oooo0?ooo`3o0?oookh0oooo00<000000?ooo`3oool0A03oool003H0oooo00<0k^k^07Mg
M`3oool00`3oool00`14A4@0oooo0?ooo`0M0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool0203oool010000?l0oooo003o000000020?ooo`03003o003oool0oooo01H0oooo00@00000
0?ooo`3oool0003o0P3oool00`000000oooo0?ooo`040?ooo`03003o003oool0oooo0540oooo00<0
00000?ooo`3oool00`3oool010000?l0oooo0?ooo`00002V0?ooo`03003o003oool0oooo00<0oooo
00<00?l00?ooo`3oool0o`3ooonn0?ooo`030000003oool0oooo04@0oooo000c0?ooo`0409VIV@0A
4A40MgMg08R8R0D0oooo00<0<c<c0?ooo`3oool07@3oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo00X0oooo00D00?l00000003oool0oooo003o000H0?ooo`040000003oool0oooo0000
o`80oooo00@000000?ooo`3oool00?l00`3oool00`00o`00oooo0?ooo`1A0?ooo`070000003oool0
oooo0?ooo`000?l0oooo0000o`020?ooo`030000003oool0oooo0:@0oooo00<00?l00?ooo`3oool0
o`3oooo40?ooo`030000003oool0oooo04@0oooo000c0?ooo`04014A4@3^k^h0R8R808R8R0@0oooo
00<0gMgM05EEE@3oool07P3oool5000000h0oooo00<000000?ooo`3oool02@3oool00`000?l00?l0
000000020?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool00P3oool010000000oooo
0000o`000?l20?ooo`040000003oool0oooo003o05L0oooo00L000000?ooo`3oool0oooo0000o`3o
ool0003o0080oooo00<000000?ooo`3oool0ZP3oool00`00o`00oooo0?ooo`3o0?oooel0oooo00<0
00000?ooo`3oool0F03oool5000004H0oooo000c0?ooo`050000003oool0oooo028R8P2k^k/00P3o
ool00`2ZZZX08R8R0=gMg@0O0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool02@3o
ool00`000?l0oooo0000000F0?ooo`800?l00`3oool010000000oooo0000o`000?l20?ooo`040000
003oool0oooo003o00<0oooo00<00?l00?ooo`3oool0D@3oool010000000oooo0?ooo`000?l20?oo
o`040000o`3oool0oooo00000:H0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`3o
0?oooel0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`140?ooo`00<`3oool01@0R
8R80oooo0?ooo`3MgMd0A4A40080000000<0EEEE0>k^kP3oool07`3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo00T0oooo00H0003o003o003oool000000?ooo`00o`0C0?ooo`800?l0
0`3oool01`000000oooo0000o`3oool0003o0?ooo`0000001P3oool00`00o`00oooo0?ooo`1A0?oo
o`040000003oool0oooo0000o`80oooo00@0003o0?ooo`3oool00000YP3oool00`00o`00oooo0?oo
o`030?ooo`03003o003oool0oooo0?l0ooooG`3oool00`000000oooo0?ooo`1L0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool02@3oool0
1P000?l00?l00?ooo`000000oooo003o01@0oooo00D00?l00?ooo`3oool0oooo000000030?ooo`03
0000o`3oool000000080oooo00D00?l00?ooo`3oool0oooo003o001C0?ooo`040000003oool0oooo
0000o`D0oooo00<000000?ooo`3oool0Y03oool00`00o`00oooo0?ooo`3o0?ooofD0oooo00<00000
0?ooo`3oool0G03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo00T0oooo00@0003o003o003oool000000P3oool00`00o`00oooo0?ooo`0?
0?ooo`03003o003oool0oooo0080oooo00@000000?ooo`3oool0003o0`3oool010000000oooo0?oo
o`00o`1G0?ooo`030000003oool0oooo00<0oooo00@0003o0?ooo`3oool00000[03oool00`00o`00
oooo0?ooo`3o0?oooel0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
4P3oool00`00o`00oooo003o00020?ooo`080000003oool0oooo0000o`3oool0003o0?ooo`000002
0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool0D03oool010000000oooo0?ooo`00
0?l20?ooo`040000o`3oool0oooo00000:H0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo
0?ooo`3o0?oooel0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00X0oooo00<00?l00?ooo`0000000P3o
ool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool00?l00080oooo00<000000?ooo`000?l00P3o
ool010000?l0oooo0?ooo`0000060?ooo`03003o003oool0oooo0500oooo00@000000?ooo`3oool0
003o0P3oool010000?l0oooo0?ooo`00002V0?ooo`03003o003oool0oooo00<0oooo00<00?l00?oo
o`3oool0o`3ooomO0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00000>0?ooo`030000003oool0oooo00X0oooo00<00?l00?ooo`0000000P3oool00`00o`00
oooo0?ooo`0A0?ooo`06003o003oool0oooo0000003oool0003o0P3oool01P000?l0oooo0?ooo`00
0000oooo003o00@0oooo00<00?l00?ooo`3oool0D03oool010000000oooo0?ooo`000?l20?ooo`04
0000o`3oool0oooo00000:H0oooo00<00?l00?ooo`3oool0o`3ooomU0?ooo`030000003oool0oooo
05P0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0M0?ooo`03003o003oool000000080
oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`030?ooo`030000003oool0003o00<0
oooo00@0003o0?ooo`0000000?l0F03oool010000000oooo0?ooo`000?l20?ooo`050000o`3oool0
oooo0?ooo`000000Z`3oool00`00o`00oooo0?ooo`3o0?oooeh0oooo00<000000?ooo`000000G@3o
ool00`000000oooo0?ooo`140?ooo`00=P3oool7000001l0oooo00<000000?ooo`3oool07P3oool0
0`000?l000000?ooo`0B0?ooo`07003o003oool0oooo0?ooo`00o`00oooo000000050?ooo`040000
o`3oool00000003o00D0oooo00<00?l00?ooo`3oool0D03oool010000000oooo0?ooo`000?l60?oo
o`030000003oool0oooo0:<0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`3l0?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`000000G@3oool00`000000oooo0?ooo`140?oo
o`00=03oool2000000L0oooo0P00000M0?ooo`030000003oool0oooo01d0oooo00<00?l00000o`00
00000P3oool00`00o`00oooo0?ooo`0>0?ooo`09003o003oool0oooo0?ooo`00o`00oooo0000003o
ool0003o00D0oooo00<000000?ooo`3oool0103oool00`00o`00oooo0?ooo`1@0?ooo`030000003o
ool0oooo00@0oooo00@0003o0?ooo`3oool00000Y@3oool00`00o`00oooo0?ooo`030?ooo`03003o
003oool0oooo0?`0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0000001M0?ooo`030000
003oool0oooo04@0oooo000c0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool06P3o
ool00`000000oooo0?ooo`0L0?ooo`03003o003oool0oooo0080000000<0oooo003o003oool04`3o
ool01@00o`00oooo0000003oool0003o00<0oooo00@0003o0?ooo`0000000?l01@3oool00`00o`00
oooo0?ooo`1@0?ooo`040000003oool0oooo0000o`<0oooo00@0003o0?ooo`3oool00000Y@3oool0
0`00o`00oooo0?ooo`3o0?ooo`<0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0000001M
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01`0oooo00<00?l00?oo
o`000?l00P3oool00`0000000?l00?ooo`0>0?ooo`03003o003oool0oooo00<0oooo00<000000?oo
o`000?l0103oool010000?l0oooo00000000o`1H0?ooo`040000003oool0oooo0000o`<0oooo00@0
003o0?ooo`3oool00000Z`3oool00`00o`00oooo0?ooo`3l0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0>03oool00`000000oooo0000001M0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`D00000703oool00`000?l0oooo0?ooo`020?ooo`8000001P3oool20000o`030?ooo`00
0?l0oooo0080oooo00<00?l00?ooo`3oool00P3oool01000o`0000000?ooo`000?l40?ooo`040000
o`3oool00000003o00D0oooo00<00?l00?ooo`3oool0C`3oool010000000oooo0?ooo`000?l40?oo
o`040000o`3oool0oooo00000:D0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`3l
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0000001I
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0703oool00`00o`00oooo0?ooo`030000
o`03003o00000?l0003o00H0003o0`3oool01@000?l0oooo0?ooo`3oool00?l000@0oooo00@00?l0
0000003oool0003o1@3oool00`000?l000000?ooo`050?ooo`03003o003oool0oooo00T0oooo00<0
003o0?ooo`3oool0@`3oool010000000oooo0?ooo`000?l40?ooo`040000o`3oool0oooo000005`0
oooo00<000000?ooo`3oool0A@3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo0?`0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0000005d0
oooo00<000000?ooo`3oool0A03oool003L0oooo0P0000020?ooo`8000007`3oool00`000000oooo
0?ooo`0L0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool00P3oool00`000000oooo
0?ooo`040?ooo`030000o`3oool0oooo00H0oooo00<00?l00000003oool01P3oool00`000?l00000
003o00060?ooo`03003o003oool0oooo00P0oooo00<0003o0?ooo`3oool0@`3oool010000000oooo
0?ooo`000?l70?ooo`030000003oool0oooo05X0oooo00<000000?ooo`3oool0A@3oool00`00o`00
oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0000005d0oooo00<000000?ooo`3oool0A03oool003H0oooo00H000000?ooo`3oool0
00000?ooo`00000P0?ooo`030000003oool0oooo01`0oooo00<00?l00?ooo`3oool0103oool00`00
o`00oooo0?ooo`020?ooo`8000001@3oool00`000?l0oooo003o00060?ooo`030000003oool0003o
00L0oooo00<00?l00?ooo`3oool03`3oool00`000?l0oooo0?ooo`130?ooo`030000003oool0oooo
00D0oooo00@0003o0?ooo`3oool00000G03oool00`000000oooo0?ooo`1<0?ooo`03003o003oool0
oooo0?/0oooo00<000000?ooo`000000903oool00`000000oooo0?ooo`0h0?ooo`030000003oool0
000005d0oooo00<000000?ooo`3oool0A03oool003H0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool00P3oool0
0`000?l0oooo003o00050?ooo`04003o00000000oooo0000o`D0oooo00<0003o0?ooo`00o`001P3o
ool00`00o`00oooo0?ooo`070?ooo`030000o`3oool0003o04@0oooo00@000000?ooo`3oool0003o
103oool010000?l0oooo0?ooo`00001L0?ooo`030000003oool0oooo04D0oooo00<00?l00?ooo`3o
ool0103oool00`00o`00oooo0?ooo`3k0?ooo`030000003oool0000002@0oooo00<000000?ooo`3o
ool0>03oool00`000000oooo0000001M0?ooo`030000003oool0oooo04@0oooo000f0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool07@3oool5000001X0oooo00<00?l00?ooo`3o
ool0103oool00`00o`00oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00<00?l00?ooo`3o
ool00`3oool00`00o`0000000000o`060?ooo`030000o`3oool0000000H0oooo00<00?l00?ooo`3o
ool01`3oool00`000?l0oooo0000o`0=0?ooo`030000003oool0oooo03@0oooo00@000000?ooo`3o
ool0003o103oool010000?l0oooo0?ooo`00001L0?ooo`030000003oool0oooo04D0oooo00<00?l0
0?ooo`3oool0103oool00`00o`00oooo0?ooo`3k0?ooo`030000003oool0000002@0oooo00<00000
0?ooo`3oool0>03oool00`000000oooo0000001I0?ooo`D00000AP3oool003H0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01`0oooo00<00?l0
0?ooo`3oool0103oool00`00o`00oooo0?ooo`060?ooo`8000000P3oool00`000?l0oooo0?ooo`05
0?ooo`03003o00000?l0oooo00D0oooo00<0003o0?ooo`00o`001P3oool00`00o`00oooo0?ooo`06
0?ooo`030000o`3oool0oooo00h0oooo00<000000?ooo`3oool0=03oool010000000oooo0?ooo`00
0?l50?ooo`030000o`3oool0000005/0oooo00<000000?ooo`000000AP3oool00`00o`00oooo0?oo
o`3o0?ooo`<0oooo00<000000?ooo`0000008`3oool00`000000oooo0000000i0?ooo`030000003o
ool0000005d0oooo00<000000?ooo`3oool0A03oool003H0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo01`0oooo00<00?l00?ooo`3oool0103o
ool00`00o`00oooo0?ooo`080?ooo`030000003oool00?l000L0oooo00<000000000o`3oool01P3o
ool00`00o`0000000?ooo`0A0?ooo`030000o`3oool0oooo00/0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`0M0?ooo`040000003oool0oooo0000o`D0oooo00<0003o0?ooo`000000
F`3oool00`000000003o0000001=0?ooo`03003o003oool0oooo0?/0oooo00<000000?ooo`000000
8`3oool00`000000oooo0000000i0?ooo`030000003oool0000005d0oooo00<000000?ooo`3oool0
A03oool003H0oooo0P0000020?ooo`800000803oool00`000000oooo0?ooo`0_0?ooo`0300000000
o`00003o00D0oooo00<00000003o003oool01`3oool00`00o`0000000?ooo`050?ooo`03003o003o
ool0oooo00H0oooo00@0003o0?ooo`000000003o303oool00`000000oooo0000000E0?ooo`030000
003oool0oooo01d0oooo00@000000?ooo`3oool0003o1`3oool00`000000oooo0?ooo`1I0?ooo`03
000000000?l0000004H0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`3k0?ooo`03
0000003oool0000002<0oooo00<000000?ooo`000000>@3oool00`000000oooo0000001M0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`D000006P3oool00`00o`00oooo0?ooo`040?ooo`03003o
003oool0oooo00T0oooo00<00000003o00000?l01@3oool00`0000000?l00000o`080?ooo`030000
003oool0oooo00@0oooo00<00?l00?ooo`3oool01P3oool010000?l0oooo000000000?l<0?ooo`03
000000000?l0000001D0oooo00<0003o0?ooo`3oool07@3oool00`000000oooo0?ooo`060?ooo`03
0000o`3oool0000005/0oooo00<000000000o`000000AP3oool00`00o`00oooo0?ooo`050?ooo`03
003o003oool0oooo0?X0oooo00<000000?ooo`0000008`3oool00`000000oooo0000000i0?ooo`03
0000003oool0000002@0oooo00<000000?ooo`3oool0<P3oool5000004H0oooo001L0?ooo`030000
003oool0oooo01`0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0:0?ooo`030000
003oool0oooo00@0oooo00<00000003o00000?l01`3oool00`00o`0000000?ooo`060?ooo`03003o
003oool0oooo00@0oooo00H0003o0?ooo`00000000000?ooo`000?l;0?ooo`03000000000?l00000
01@0oooo00<000000000o`3oool07P3oool010000000oooo0?ooo`000?l50?ooo`030000o`3oool0
000005/0oooo00<000000000o`000?l0AP3oool00`00o`00oooo0?ooo`3o0?ooo`<0oooo00<00000
0?ooo`0000008`3oool00`000000oooo0000000i0?ooo`040000003oool0oooo000002<0oooo00<0
00000?ooo`3oool0=P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0L
0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool02@3oool01000o`0000000?ooo`00
0?l40?ooo`03000000000?l0oooo00L0oooo00<00?l00000003oool03@3oool01P000?l0oooo0000
003oool000000000o`/0oooo0P000?l00`000000oooo0?ooo`0B0?ooo`80003o00<000000?ooo`3o
ool0703oool010000000oooo0?ooo`000?l50?ooo`030000o`3oool0000005/0oooo00<000000?oo
o`000?l0CP3oool00`00o`00oooo0?ooo`3j0?ooo`030000003oool0000002<0oooo00<000000?oo
o`000000>03oool01@000000oooo0?ooo`3oool0000002<0oooo00<000000?ooo`3oool0=P3oool0
0`000000oooo0?ooo`140?ooo`00?`3oool00`000000oooo0?ooo`0J0?ooo`D00000;@3oool01000
o`00oooo000000000?l40?ooo`0300000000o`00oooo00L0oooo00<00?l00?ooo`0000001P3oool0
0`00o`00oooo0?ooo`040?ooo`050000o`000000oooo0?ooo`000000303oool010000?l0oooo0000
o`00000C0?ooo`80003o00<000000?ooo`3oool0703oool00`000000oooo0000o`060?ooo`030000
o`3oool0000005/0oooo00<000000000o`000?l0AP3oool00`00o`00oooo0?ooo`050?ooo`03003o
003oool0oooo0?X0oooo00<000000?ooo`0000008`3oool00`000000oooo0000000h0?ooo`050000
003oool0oooo0?ooo`0000008`3oool00`000000oooo0?ooo`0b0?ooo`D00000AP3oool003T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01/0oooo
00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0;0?ooo`030000o`3oool0oooo0080oooo
00<00000003o003oool0203oool00`000?l000000?ooo`050?ooo`03003o003oool0oooo00D0oooo
00D000000?ooo`3oool000000000o`0;0?ooo`040000o`3oool0003o000001<0oooo00<000000000
o`0000007P3oool00`000000oooo0000o`060?ooo`030000o`3oool0000001P0oooo00<00?l00?oo
o`3oool0@03oool00`000000003o0000o`160?ooo`03003o003oool0oooo00D0oooo00<00?l00?oo
o`3oool0_P3oool00`000?l0oooo0?ooo`0i0?ooo`030000003oool0000002<0oooo00<000000?oo
o`000000>03oool01@000000oooo0?ooo`3oool0000002<0oooo00<000000?ooo`3oool0=P3oool0
0`000000oooo0?ooo`140?ooo`00>@3oool7000000d0oooo0`00000<0?ooo`030000003oool0oooo
01/0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`070?ooo`06003o003oool0oooo
0?ooo`000000003o0`3oool00`0000000?l00?ooo`070?ooo`03003o00000?l0000000H0oooo00<0
0?l00?ooo`3oool00`3oool00`000?l000000?ooo`020?ooo`03000000000?l0oooo00T0oooo00D0
00000?ooo`3oool0oooo0000000C0?ooo`030000o`3oool0003o01h0oooo00<000000?ooo`000?l0
203oool00`000000oooo0?ooo`0F0?ooo`03003o003oool0oooo0400oooo00<0003o0?ooo`000?l0
AP3oool00`00o`00oooo0?ooo`360?ooo`030000o`3oool0oooo03T0oooo00<000000?ooo`000000
8`3oool00`000000oooo0000000h0?ooo`050000003oool0oooo0?ooo`0000008`3oool00`000000
oooo0?ooo`0f0?ooo`030000003oool0oooo00h0oooo0`00000c0?ooo`00?`3oool00`000000oooo
0?ooo`0;0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool06`3oool00`00o`00
oooo0?ooo`060?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool00`3oool01@000?l0
oooo0?ooo`3oool0003o00T0oooo00<00?l00?ooo`000000303oool00`000?l000000?ooo`030?oo
o`030000o`3oool0oooo00P0oooo00D000000000o`3oool0oooo0000o`0B0?ooo`04000000000?l0
oooo0000oah0oooo00<000000?ooo`3oool01P3oool00`000?l0oooo0000001K0?ooo`040000o`3o
ool0oooo000004d0oooo00<00?l00?ooo`3oool0_P3oool00`000?l0oooo0?ooo`0h0?ooo`040000
003oool0oooo000002<0oooo00<000000?ooo`000000>03oool01@000000oooo0?ooo`3oool00000
02<0oooo0P00000g0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3oool0
03l0oooo00<000000?ooo`3oool02`3oool010000000oooo0?ooo`00000;0?ooo`T000009`3oool0
0`00o`00oooo0?ooo`040?ooo`060000003oool000000000o`3oool00?l01`3oool00`00o`00003o
000000060?ooo`03003o003oool0oooo0080oooo00<0003o0000003oool0103oool00`000000003o
0?ooo`080?ooo`06000000000?l0oooo0?ooo`000?l000004@3oool010000?l0oooo0?ooo`00000N
0?ooo`030000003oool0003o00H0oooo00<0003o0?ooo`000000603oool00`00o`00oooo0?ooo`0o
0?ooo`05000000000?l0oooo0000o`000000A@3oool00`00o`00oooo0?ooo`050?ooo`03003o003o
ool0oooo05`0oooo00<0003o0?ooo`3oool0G`3oool00`000?l0oooo0?ooo`0h0?ooo`050000003o
ool0oooo0?ooo`0000008P3oool00`000000oooo0000000h0?ooo`050000003oool0oooo0?ooo`00
00008P3oool00`000000oooo0000000_0?ooo`T00000403oool010000000oooo0?ooo`00000b0?oo
o`00A`3oool400000080oooo0`00000<0?ooo`030000003oool0oooo01/0oooo00<00?l00?ooo`3o
ool01P3oool00`00o`00oooo0?ooo`0=0?ooo`060000o`3oool000000000o`3oool00?l0203oool0
0`000?l000000?ooo`050?ooo`03003o003oool0oooo0080oooo00<0003o0000003oool0103oool0
0`000000003o0?ooo`080?ooo`060000o`3oool0oooo0?ooo`000?l000004@3oool01@000?l0oooo
0?ooo`000?l0000001d0oooo00<000000?ooo`000?l01P3oool00`000?l0oooo0000000H0?ooo`03
003o003oool0oooo03l0oooo00D000000?ooo`3oool0003o000000150?ooo`03003o003oool0oooo
00D0oooo00<00?l00?ooo`3oool0G03oool00`000?l0oooo0?ooo`1O0?ooo`030000o`3oool0oooo
03P0oooo00D000000?ooo`3oool0oooo0000000R0?ooo`030000003oool0000003P0oooo00D00000
0?ooo`3oool0oooo0000000R0?ooo`030000003oool0000003L0oooo00<000000?ooo`3oool0203o
ool400000080oooo0`00000c0?ooo`00CP3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo01/0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0
oooo00@0oooo00H0003o000000000000003o0?ooo`00o`070?ooo`03003o00000?l0000000H0oooo
00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo
00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0?0?ooo`050000o`3oool0oooo0000o`00
00007@3oool00`000000oooo0000o`070?ooo`030000o`000000oooo01L0oooo0P00o`100?ooo`05
000000000?l0oooo0000o`000000A@3oool00`00o`00oooo0?ooo`1S0?ooo`80003o>`3oool00`00
0000oooo0?ooo`0T0?ooo`030000o`3oool0oooo03L0oooo00D000000?ooo`3oool0oooo0000000R
0?ooo`030000003oool0000003P0oooo00D000000?ooo`3oool0oooo0000000R0?ooo`030000003o
ool0000003L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0b0?ooo`00>P3oool0
1@000000oooo0?ooo`3oool0000000l0oooo0`00000;0?ooo`030000003oool0oooo01/0oooo00<0
0?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00D0oooo00@0
003o000000000000003o203oool01000o`00oooo0?ooo`000?l;0?ooo`030000003oool0oooo00@0
oooo00<000000000o`3oool0203oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00h0
oooo00H000000?ooo`3oool0oooo0000o`00000M0?ooo`030000003oool0003o00L0oooo00<0003o
0000003oool07`3oool00`000000oooo0?ooo`0g0?ooo`05000000000?l0oooo0?ooo`000?l0C@3o
ool00`00o`00oooo0?ooo`1K0?ooo`030000o`3oool0oooo03X0oooo00<000000?ooo`3oool08`3o
ool20000ocT0oooo00D000000?ooo`3oool0oooo0000000Q0?ooo`040000003oool0oooo000003P0
oooo00D000000?ooo`3oool0oooo0000000R0?ooo`030000003oool0000003L0oooo00<000000?oo
o`3oool03`3oool300000380oooo000i0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool06P3oool00`000000oooo0?ooo`0@0?ooo`03003o003oool0oooo01T0oooo00<00?l00?ooo`3o
ool01P3oool01@000?l000000?ooo`3oool00?l000H0oooo00@00?l00?ooo`3oool0003o1`3oool0
1@00o`00oooo0?ooo`000000003o00L0oooo00@0003o0?ooo`3oool0oooo0P00o`030?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000003o0?ooo`020?ooo`030000
o`3oool0oooo01/0oooo00<000000?ooo`000?l0203oool00`000000oooo0?ooo`0E0?ooo`03003o
003oool00?l000H0oooo00<000000?ooo`3oool0=`3oool01@000000003o0?ooo`3oool0003o04D0
oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`1L0?ooo`030000o`3oool0oooo03T0
oooo00<000000?ooo`3oool08`3oool00`000?l0oooo0?ooo`0h0?ooo`050000003oool0oooo0?oo
o`0000008@3oool01@000000oooo0?ooo`3oool0000003L0oooo00D000000?ooo`3oool0oooo0000
000R0?ooo`030000003oool0000003L0oooo00<000000?ooo`3oool0A03oool003T0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0100oooo00<0
0?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00h0oooo0P00
0?l20?ooo`03003o003oool0oooo00P0oooo00<000000?ooo`3oool0103oool01@00o`00oooo0?oo
o`000000003o00L0oooo00<0003o0?ooo`3oool00P3oool01P00o`00oooo0?ooo`3oool000000000
o`@0oooo00<0003o0000003oool03P3oool00`000000003o0?ooo`020?ooo`030000o`3oool0oooo
01/0oooo00<000000?ooo`3oool01`3oool00`000?l000000?ooo`0F0?ooo`03003o003oool00?l0
00H0oooo00<000000?ooo`3oool0=`3oool01@000000003o0?ooo`3oool0000004D0oooo00<00?l0
0?ooo`3oool01@3oool00`00o`00oooo0?ooo`1K0?ooo`80003o>`3oool00`000000oooo0?ooo`0R
0?ooo`030000o`3oool0003o03T0oooo00D000000?ooo`3oool0oooo0000000Q0?ooo`050000003o
ool0oooo0?ooo`000000=`3oool01@000000oooo0?ooo`3oool000000280oooo00<000000?ooo`00
0000=`3oool00`000000oooo0?ooo`140?ooo`00>@3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0403oool00`00o`00oooo0?ooo`080?ooo`03
003o003oool0oooo00H0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`070?ooo`03
0000o`3oool0oooo00L0oooo00D00?l00?ooo`3oool0003o000000060?ooo`04003o003oool00000
0000o`P0oooo00D000000000o`3oool0oooo003o00040?ooo`03000000000?l0oooo00<0oooo00<0
003o0000003oool03P3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo01X0oooo00@0
00000?ooo`3oool0003o1`3oool00`000?l0oooo0000000F0?ooo`03003o003oool00?l000D0oooo
0P00000i0?ooo`05000000000?l0oooo0?ooo`000?l0A@3oool00`00o`00oooo0?ooo`1S0?ooo`80
003o>`3oool00`000000oooo0?ooo`0R0?ooo`030000o`3oool0003o03T0oooo00D000000?ooo`3o
ool0oooo0000000Q0?ooo`050000003oool0oooo0?ooo`000000=`3oool01@000000oooo0?ooo`3o
ool000000280oooo00<000000?ooo`000000=`3oool00`000000oooo0?ooo`140?ooo`00>P3oool2
000000030?ooo`000000000001d0oooo00<000000?ooo`3oool06`3oool00`00o`00oooo0?ooo`07
0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool01`3oool20000o`<0oooo00<00?l0
0?ooo`3oool00`3oool01@00o`00oooo0?ooo`000?l0000000P0oooo00<000000000o`3oool01`3o
ool010000000003o0?ooo`3oool2003o00<0oooo00<0003o0?ooo`3oool00`3oool00`000?l00000
0?ooo`0>0?ooo`030000o`3oool0oooo0080oooo00<0003o0000003oool06P3oool010000000oooo
0?ooo`000?l70?ooo`030000o`3oool0000001h0oooo00<000000?ooo`000000>03oool01@000000
oooo0?ooo`3oool0003o04d0oooo00<00?l00?ooo`3oool0F`3oool00`000?l0oooo0000o`0j0?oo
o`8000008`3oool00`000?l0oooo0000o`0i0?ooo`050000003oool0oooo0?ooo`0000008@3oool0
1@000000oooo0?ooo`3oool0000003L0oooo00D000000?ooo`3oool0oooo0000000R0?ooo`030000
003oool0000003L0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0403o
ool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo00P0oooo00D0003o0?ooo`3oool0oooo
003o00050?ooo`05003o003oool0oooo0000o`0000001P3oool01000o`0000000?ooo`000?l80?oo
o`040000003oool0oooo0?ooo`800?l00`3oool00`000?l0oooo0?ooo`040?ooo`030000o`000000
oooo00`0oooo00<000000000o`3oool00`3oool00`000?l000000?ooo`0J0?ooo`030000003oool0
003o00P0oooo00<0003o0?ooo`0000005P3oool00`00o`00oooo003o00050?ooo`03000000000?l0
000003P0oooo00D0003o0?ooo`3oool0oooo0000o`150?ooo`03003o003oool0oooo00D0oooo00<0
0?l00?ooo`3oool0F`3oool00`000?l0oooo0000o`0i0?ooo`030000003oool0000002D0oooo00<0
003o0?ooo`3oool0=`3oool01@000000oooo0?ooo`3oool000000240oooo00D000000?ooo`3oool0
oooo0000000g0?ooo`050000003oool0oooo0?ooo`0000008P3oool00`000000oooo0000000g0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0100oooo00<00?l00?ooo`3o
ool0203oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3o
ool01`3oool00`000?l0oooo0?ooo`040?ooo`03003o00000000oooo00X0oooo00<0003o0?ooo`3o
ool00P3oool01000o`00oooo000000000?l60?ooo`030000o`000000oooo00`0oooo00<000000?oo
o`3oool00`3oool00`000?l000000?ooo`0J0?ooo`030000003oool0003o00P0oooo00<0003o0?oo
o`0000005P3oool00`00o`00oooo003o00050?ooo`03000000000?l0000003P0oooo00H0003o0?oo
o`3oool0oooo0000o`00000R0?ooo`030000003oool0oooo01l0oooo00<00?l00?ooo`3oool01@3o
ool00`00o`00oooo0?ooo`0f0?ooo`030000003oool0oooo0280oooo00<0003o0?ooo`3oool0>@3o
ool00`000000oooo0000000S0?ooo`030000o`3oool0003o03T0oooo00D000000?ooo`3oool0oooo
0000000Q0?ooo`050000003oool0oooo0?ooo`000000=`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo01l0oooo00<000000?ooo`000000=`3oool00`000000oooo0?ooo`140?ooo`00
<@3oool010000000oooo0?ooo`3oool2000002D0oooo00<000000?ooo`3oool04@3oool00`00o`00
oooo0?ooo`060?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool00`3oool00`00o`00
oooo0?ooo`0B0?ooo`05003o003oool0oooo0?ooo`000?l01P3oool00`00o`00oooo0000o`0:0?oo
o`040000o`3oool0oooo003o00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0;
0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool06@3oool00`000000oooo0000o`0:
0?ooo`030000003oool0oooo01@0oooo00<00?l00?ooo`00o`001@3oool00`000?l0oooo0000000g
0?ooo`03000000000?l0oooo0080oooo00<0003o0000003oool08@3oool00`000000oooo0?ooo`0O
0?ooo`03003o003oool0oooo03h0oooo00<000000?ooo`3oool0903oool00`000?l0oooo0?ooo`0g
0?ooo`030000003oool0000002<0oooo00<0003o0?ooo`3oool0>@3oool01@000000oooo0?ooo`3o
ool000000240oooo00D000000?ooo`3oool0oooo0000000g0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool07`3oool00`000000oooo0000000g0?ooo`030000003oool0oooo04@0oooo
000`0?ooo`070000003oool0oooo0?ooo`000000oooo0000000U0?ooo`030000003oool0oooo02D0
oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00<0
oooo00D00?l00?ooo`3oool0oooo000000050?ooo`030000003oool0003o00/0oooo00<0003o0?oo
o`00o`000P3oool00`00o`00oooo0000o`080?ooo`030000o`3oool0oooo00/0oooo00<0003o0?oo
o`3oool0103oool00`000?l0oooo0?ooo`0I0?ooo`030000003oool0oooo00P0oooo00<0003o0?oo
o`0000007P3oool20000o`030000003oool0oooo03D0oooo00<000000000o`3oool00`3oool00`00
0000oooo0?ooo`0P0?ooo`030000003oool0oooo02L0oooo00<00?l00?ooo`3oool0=P3oool00`00
0000oooo0?ooo`0R0?ooo`030000o`3oool0003o03T0oooo00<000000?ooo`0000008`3oool01000
0?l0oooo0?ooo`000?lg0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool0
1@000000oooo0?ooo`3oool0000003H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0O0?ooo`040000003oool0oooo000003H0oooo00<000000?ooo`3oool0A03oool00300oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0140oooo
00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00d0oooo
00<00?l00?ooo`3oool00`3oool01@00o`00oooo0?ooo`3oool0003o00D0oooo00<000000?ooo`00
o`002`3oool00`000000003o003o00020?ooo`03003o003oool0003o00P0oooo00<0003o0000003o
ool02`3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo01T0oooo00<000000?ooo`00
0?l0203oool00`000?l0oooo0000000F0?ooo`04003o003oool0oooo003o00<0oooo00@000000?oo
o`000?l00000=`3oool00`000000003o0?ooo`030?ooo`030000o`3oool0oooo0200oooo00<00000
0?ooo`3oool07P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo03H0oooo00<00000
0?ooo`3oool08P3oool00`000?l0oooo0000o`0i0?ooo`030000003oool0000002<0oooo00@0003o
0?ooo`3oool0003o=`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01l0oooo00D0
00000?ooo`3oool0oooo0000000f0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
7`3oool010000000oooo0?ooo`00000f0?ooo`030000003oool0oooo04@0oooo000`0?ooo`030000
003oool0000000<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0A0?ooo`03003o
003oool0oooo00H0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0B0?ooo`03003o
003oool0oooo00L0oooo00<0003o0?ooo`3oool00P3oool010000000oooo0000o`00o`0<0?ooo`03
0000o`3oool0oooo0080oooo00<00?l00000o`3oool01`3oool00`000?l000000?ooo`0:0?ooo`03
000000000?l0oooo00D0oooo00<0003o0?ooo`3oool06@3oool00`000000oooo0000o`080?ooo`03
0000o`3oool0000001H0oooo00@00?l00?ooo`3oool00?l00`3oool01@000000003o0000o`3oool0
000003H0oooo00<000000?ooo`3oool00`3oool00`000?l0oooo0?ooo`0O0?ooo`030000003oool0
000001l0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0e0?ooo`8000008`3oool0
10000?l0oooo0?ooo`000?li0?ooo`030000003oool0000002<0oooo00@0003o0?ooo`3oool0003o
=`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo00D000000?ooo`3oool0
oooo0000000f0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07`3oool010000000
oooo0?ooo`00000f0?ooo`030000003oool0oooo04@0oooo000a0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0A0?ooo`03003o003oool0oooo00H0
oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo01<0
oooo00H00?l00?ooo`3oool0oooo0000o`0000020?ooo`05000000000?l0oooo0?ooo`00o`00303o
ool00`0000000?l00?ooo`030?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool02@3o
ool00`000000003o0?ooo`050?ooo`030000o`000000oooo01T0oooo00<000000?ooo`000?l02@3o
ool00`000?l000000?ooo`0E0?ooo`04003o003oool0oooo003o00<0oooo00D000000000o`3oool0
003o0000000f0?ooo`03000000000?l0oooo00<0oooo00<0003o0?ooo`3oool07`3oool00`000000
oooo0000000O0?ooo`03003o003oool0oooo03h0oooo00<000000?ooo`0000008P3oool00`000?l0
oooo0?ooo`0j0?ooo`030000003oool0000002H0oooo00<0003o0?ooo`3oool0=@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo00D000000?ooo`3oool0oooo0000000f0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool01@000000oooo0?ooo`3oool0
000003H0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool09@3oool01@00
o`00oooo0?ooo`3oool00?l00100oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`03
0?ooo`040000o`3oool0003o0000oa00oooo00<0003o003o003oool00P3oool00`00o`00003o0?oo
o`080?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000?l000000?oo
o`0I0?ooo`030000003oool0003o00T0oooo00<0003o0000003oool0703oool01@000?l0oooo0?oo
o`000?l0000003H0oooo00<000000000o`3oool00`3oool00`000?l0oooo0?ooo`0O0?ooo`030000
003oool0000002P0oooo00<00?l00?ooo`3oool0=@3oool00`000000oooo0000000R0?ooo`040000
o`3oool0oooo0000ocT0oooo00<000000?ooo`0000008`3oool010000?l000000?ooo`000?lg0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool01@000000oooo0?ooo`3oool0
000003H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`050000003oool0
oooo0?ooo`000000=P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B
0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0>
0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool00`3oool20000o`030000003oool0
oooo0080oooo00<00?l00?ooo`3oool02P3oool00`000?l00?l00?ooo`020?ooo`03003o003oool0
oooo00T0oooo00<000000?ooo`3oool0203oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0
oooo00P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0000o`0:0?ooo`030000003oool0
oooo01<0oooo00D00?l00?ooo`3oool0oooo003o00030?ooo`050000o`3oool0oooo0?ooo`000000
4`3oool00`000000oooo0?ooo`0P0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0
7`3oool00`000000oooo0000000O0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0
403oool00`000000oooo0?ooo`0R0?ooo`030000003oool0000002D0oooo00<0003o0?ooo`3oool0
=`3oool00`000000oooo0000000S0?ooo`030000o`000000oooo03P0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
=03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo00D000000?ooo`3oool0
oooo0000000f0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo
00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo0180oooo
00<00?l00?ooo`3o00001`3oool2000000D0oooo00<00?l00?ooo`3oool02P3oool00`000?l0oooo
0?ooo`020?ooo`03003o003oool0oooo00P0oooo00<0003o0000003oool02@3oool00`000?l0oooo
0?ooo`060?ooo`030000o`3oool0oooo00P0oooo0P00000>0?ooo`030000003oool0oooo00T0oooo
00<0003o0000003oool0503oool01@00o`00oooo0?ooo`3oool00?l000<0oooo00D0003o0?ooo`3o
ool0003o0000000C0?ooo`030000003oool0oooo0200oooo00<0003o0?ooo`3oool00`3oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0000001l0oooo00<00?l00?ooo`3oool01P3oool00`00
o`00oooo0?ooo`0@0?ooo`030000003oool0oooo0280oooo00<000000?ooo`0000008P3oool01000
0?l0oooo0?ooo`000?li0?ooo`040000003oool0oooo00000240oooo00D0003o0?ooo`000000oooo
0000o`0g0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0N0?ooo`050000003oool0oooo0?ooo`000000=P3oool00`000000oooo0?ooo`140?ooo`00
>@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0180oooo00<00?l00?ooo`3oool0
1@3oool00`00o`00oooo0?ooo`090?ooo`04003o003oool0oooo003o01<0oooo00<0o`000?ooo`00
o`001@3oool00`000000oooo0?ooo`040?ooo`03003o003oool0oooo00/0oooo00D00?l00?ooo`3o
ool0oooo0000o`0:0?ooo`030000o`000000oooo00P0oooo00<000000000o`3oool01`3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0000000h0oooo00<000000000o`3oool02@3oool00`00
0?l000000?ooo`0D0?ooo`05003o003oool0oooo0?ooo`00o`000P3oool01P000000oooo0?ooo`3o
ool0003o000001<0oooo0P000?lQ0?ooo`030000o`3oool0oooo00<0oooo00<0003o0000003oool0
7`3oool00`000000oooo0000000O0?ooo`03003o003oool0oooo01T0oooo00<000000?ooo`3oool0
8P3oool00`000000oooo0000000R0?ooo`050000o`3oool0oooo0?ooo`000?l0=`3oool01@000000
oooo0?ooo`3oool000000240oooo00D0003o0?ooo`000000oooo0000o`0g0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`050000003oool0
oooo0?ooo`000000=P3oool00`000000oooo0?ooo`140?ooo`00>@3oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo02H0oooo00<00?l00?ooo`00o`004P3oool01@00o`00oooo0?l0003o
ool00?l001T0oooo00L00?l00000o`3oool0oooo0000o`0000000?l000T0oooo00<0003o0000003o
ool0203oool00`000000003o0?ooo`070?ooo`030000o`3oool0oooo00L0oooo00@000000?ooo`3o
ool000003@3oool00`000000003o0?ooo`090?ooo`030000o`000000oooo01/0oooo00L000000000
o`3oool0oooo0000o`3oool000000140oooo00<000000000o`000?l08@3oool00`000000oooo0?oo
o`030?ooo`030000o`000000oooo01l0oooo00@000000?ooo`3oool000009`3oool00`00o`00oooo
0?ooo`0@0?ooo`030000003oool0oooo0280oooo00<000000?ooo`0000008P3oool01@000?l0oooo
0?ooo`3oool0003o03L0oooo00D000000?ooo`3oool0oooo0000000Q0?ooo`050000o`3oool00000
000000000?l0=`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool07P3oool01@000000oooo0?ooo`3oool0000003H0oooo00<000000?ooo`3oool0A03o
ool003T0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0B0?ooo`03003o003oool0
oooo00D0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0@0?ooo`05003o003oool0
o`000?ooo`00o`003@3oool00`00o`00oooo0?ooo`090?ooo`07003o00000000oooo0?ooo`000?l0
0000003o000:0?ooo`030000o`000000oooo00L0oooo00<000000000o`3oool01`3oool00`000?l0
00000?ooo`060?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000003o0?ooo`090?oo
o`030000o`000000oooo01@0oooo00D00?l00?ooo`3oool0oooo003o00020?ooo`03000000000?l0
oooo0080oooo00<0003o0000003oool0403oool00`000?l0oooo0000o`0P0?ooo`03000000000?l0
oooo00@0oooo00<0003o0000003oool07`3oool010000000003o0?ooo`00000N0?ooo`03003o003o
ool0oooo00H0oooo00<00?l00?ooo`3oool03`3oool00`000000oooo0000000S0?ooo`030000003o
ool000000280oooo00<0003o0?ooo`3oool0>@3oool01@000000oooo0?ooo`3oool000000280oooo
00D000000?ooo`000000oooo0000o`0f0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool07@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0N0?ooo`050000003oool0oooo0?ooo`000000=P3oool00`00
0000oooo0?ooo`140?ooo`00=P3oool7000001l0oooo1@00000@0?ooo`03003o003oool0oooo00D0
oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0o`0000l0
oooo00<00?l00?ooo`3oool02P3oool01P000?l0oooo0?ooo`000?l0oooo003o00X0oooo00<0003o
0000003oool01`3oool00`000000oooo0?ooo`070?ooo`030000o`000000oooo00H0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`03000000000?l0oooo00T0oooo00<0003o
0000003oool0503oool01@00o`00oooo0?ooo`3oool00?l00080oooo00<0003o0?ooo`3oool00P3o
ool00`000?l000000?ooo`0@0?ooo`030000o`3oool0003o0200oooo00<000000000o`3oool01@3o
ool00`000?l0oooo0?ooo`0M0?ooo`050000003oool0003o0?ooo`0000007P3oool00`00o`00oooo
0?ooo`060?ooo`03003o003oool0oooo00l0oooo00<000000?ooo`0000008P3oool010000000oooo
0?ooo`00000R0?ooo`050000o`3oool0oooo0?ooo`000?l0=`3oool01@000000oooo0?ooo`3oool0
00000240oooo00H0003o0000003oool000000?ooo`000?lf0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`050000003oool0oooo0?ooo`00
0000<P3oool5000004H0oooo000i0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
4P3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`00o`00
503oool00`3o0000oooo003o000=0?ooo`03003o003oool0oooo00T0oooo00D00?l00000o`3oool0
oooo0000000>0?ooo`030000003oool0oooo00@0oooo00<000000000o`3oool02@3oool00`000?l0
oooo0?ooo`040?ooo`040000003oool0oooo0000o`80oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo01<0oooo00<00?l00?ooo`3oool00P3oool00`00
o`00oooo0000o`050?ooo`030000003oool0oooo00l0oooo00<0003o0?ooo`000000803oool00`00
0000003o0?ooo`050?ooo`030000o`3oool0oooo01d0oooo00D000000?ooo`000?l0003o0000000N
0?ooo`03003o003oool0oooo01P0oooo00<000000?ooo`0000008P3oool010000000oooo0?ooo`00
000V0?ooo`030000o`3oool0oooo03D0oooo00D000000?ooo`3oool0oooo0000000Q0?ooo`040000
o`000000oooo000003P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo01h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0c0?ooo`03
0000003oool0oooo04@0oooo000i0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
9P3oool2003o01<0oooo00D00?l00?ooo`3o0000o`00003o000I0?ooo`05003o00000?l000000?oo
o`000?l00P3oool00`00o`00oooo0?ooo`080?ooo`030000o`3oool0000000D0oooo00<000000000
o`3oool02@3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo0080003o0P3oool00`00
0000oooo0?ooo`090?ooo`03000000000?l0oooo00T0oooo00<0003o0000003oool06`3oool00`00
0?l0oooo0?ooo`020?ooo`030000o`000000oooo00l0oooo00D000000?ooo`3oool000000000o`0O
0?ooo`03000000000?l0oooo00D0oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3o
ool0000002P0oooo00<00?l00?ooo`3oool03P3oool00`000000oooo0000000R0?ooo`050000003o
ool0oooo0?ooo`0000008@3oool01@000?l0oooo0?ooo`3oool0003o03L0oooo00D000000?ooo`3o
ool0oooo0000000Q0?ooo`060000o`000000oooo0000003oool0003o=@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0c0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0A03oool003T0oooo00<00000
0?ooo`3oool0803oool00`000000oooo0?ooo`0C0?ooo`03003o003oool0oooo00<0oooo00<00?l0
0?ooo`3oool07`3oool01@00o`00oooo0?l0003o00000?l000d0oooo00<00?l00?ooo`3oool02@3o
ool01@00o`00oooo0000o`3oool0003o0080oooo00<00?l00?ooo`3oool02@3oool00`000?l0oooo
000000040?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool0103oool01@000000oooo
0?ooo`3oool0003o00<0oooo00<000000?ooo`3oool0203oool00`000000003o0?ooo`090?ooo`03
0000o`000000oooo00l0oooo00<000000?ooo`3oool00P3oool00`00o`00oooo0?ooo`020?ooo`03
003o00000000oooo00@0oooo00<0003o0000003oool03`3oool01@000000003o0?ooo`3oool0003o
01l0oooo00<000000000o`3oool01@3oool00`000?l0oooo0?ooo`0M0?ooo`050000003oool0003o
0000o`0000007P3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00h0oooo00<00000
0?ooo`0000008P3oool01@000000oooo0?ooo`3oool000000240oooo00<0003o0?ooo`3oool00P3o
ool00`000?l0oooo0?ooo`0d0?ooo`050000003oool0oooo0?ooo`0000008@3oool01P000?l00000
0?ooo`000000oooo0000ocD0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0M0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0c0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01<0oooo00<00?l00?ooo`3o
ool00`3oool00`00o`00oooo0?ooo`0:0?ooo`800?l04`3oool01000o`00oooo0?l0003o000>0?oo
o`03003o003oool0oooo00/0oooo0P000?l010000000oooo0?ooo`00o`0;0?ooo`030000o`3oool0
000000@0oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo0?ooo`030?ooo`040000003oool0
oooo0000o`80oooo00@0003o0?ooo`3oool000002P3oool00`000000003o0?ooo`090?ooo`030000
o`000000oooo00h0oooo00<000000000o`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`03003o
00000000003o00@0oooo00<0003o0?ooo`0000003`3oool01@000000003o0?ooo`3oool0003o01l0
oooo00<000000?ooo`3oool01@3oool00`000?l0oooo0?ooo`0M0?ooo`060000003oool0003o0000
o`3oool000007@3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo0080oooo00<00?l0
0?ooo`3oool03P3oool00`000000oooo0000000R0?ooo`050000003oool0oooo0?ooo`000000803o
ool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo03@0oooo00D000000?ooo`3oool0oooo
0000000Q0?ooo`060000o`000000oooo0000003oool0003o=@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0c0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool04`3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3o
ool04`3oool0103o0000oooo0?l00000o`0>0?ooo`03003o003oool0oooo00L0oooo00H00?l00?oo
o`3oool000000000o`00000?0?ooo`030000o`3oool0000000<0oooo00<0003o0?ooo`3oool02@3o
ool00`000?l000000?ooo`030?ooo`030000003oool0003o00@0oooo00@0003o0?ooo`3oool00000
2@3oool00`000000003o0?ooo`0:0?ooo`030000o`3oool0oooo00`0oooo00@000000000o`000?l0
00000`3oool00`00o`00oooo0?ooo`020?ooo`03003o00000000003o00D0oooo00<0003o0000003o
ool03P3oool01@000?l0oooo0?ooo`3oool0003o00d0oooo00<000000?ooo`3oool03`3oool00`00
0000003o0?ooo`050?ooo`030000o`3oool0oooo01d0oooo00H000000000o`3oool0003o0?ooo`00
000M0?ooo`03003o003oool0oooo0080oooo00<0003o0?ooo`3oool04P3oool010000000oooo0?oo
o`00000R0?ooo`050000003oool0oooo0?ooo`000000803oool010000?l0oooo0?ooo`00000i0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool01@000000oooo0000003oool0
003o03D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo03`0oooo00<00?l00?ooo`00o`006@3oool01@00
o`00oooo0?ooo`000?l0000000@0oooo00<00?l00?ooo`3oool02`3oool010000?l000000?ooo`00
000<0?ooo`030000o`000000oooo0080oooo00@000000?ooo`3oool0003o1@3oool00`000?l0oooo
000000090?ooo`03000000000?l0oooo00X0oooo00<0003o0?ooo`3oool0303oool010000?l0oooo
0?ooo`0000090?ooo`030000o`3oool0oooo00@0oooo00<0003o0000003oool03@3oool00`000000
003o0?ooo`020?ooo`030000o`3oool0oooo00/0oooo00<000000?ooo`3oool03`3oool00`000000
003o0?ooo`050?ooo`030000o`000000oooo01d0oooo00H000000000o`3oool0oooo0000o`00000R
0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool03@3oool010000000oooo0?ooo`00
000R0?ooo`050000003oool0oooo0?ooo`000000803oool010000?l0oooo0?ooo`0000020?ooo`03
0000o`3oool0oooo03@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`06
0000o`000000oooo0?ooo`000000003o=@3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`00
o`00oooo0?ooo`030?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`00o`003`3oool00`00
o`00oooo0?ooo`070?ooo`03003o003oool0oooo0080003o103oool00`00o`00oooo0?ooo`0<0?oo
o`040000o`00000000000000o``0oooo00L0003o0?ooo`3oool0oooo0000003oool0003o00L0oooo
00<0003o0?ooo`0000001`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo
00D000000?ooo`3oool0003o000000020?ooo`03003o003oool0oooo00<0oooo00<00?l00000o`3o
ool01P3oool00`000000oooo0?ooo`0<0?ooo`03000000000?l0oooo00<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0000000@0?ooo`030000o`3oool0oooo00D0oooo00<0003o0000003o
ool0703oool00`000000oooo0000o`020?ooo`030000o`000000oooo01`0oooo00L00?l00?ooo`3o
ool0oooo0000o`3oool0003o00<0oooo00<00?l00?ooo`3oool03@3oool01@000000oooo0?ooo`3o
ool000000200oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0Q0?ooo`040000003o
ool0oooo0000ocD0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`050000
o`000000oooo0?ooo`000000=P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01`0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo03<0
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04`3oool00`00o`00oooo
0?ooo`030?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3o00003`3oool00`00o`00oooo
0?ooo`0;0?ooo`030000o`3oool0oooo0080oooo00<00?l00?ooo`3oool0303oool010000?l0oooo
000000000?l<0?ooo`050000o`3oool0oooo0?ooo`0000002P3oool00`000?l000000?ooo`060?oo
o`03000000000?l0oooo00/0oooo00<0003o0?ooo`3oool02P3oool01P000000003o0?ooo`3oool0
003o00000080oooo00<00?l00?ooo`3oool00`3oool00`00o`00003o0?ooo`060?ooo`030000o`3o
ool0oooo00`0oooo00<000000?ooo`3oool00`3oool00`000?l0oooo0?ooo`090?ooo`80003o00<0
00000?ooo`3oool03P3oool00`000?l0oooo0?ooo`060?ooo`030000003oool0oooo01/0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`030000o`3oool0oooo00L0oooo00L0
0?l00?ooo`3oool0oooo0000o`000000003o00<0oooo00<00?l00?ooo`3oool03@3oool01@000000
oooo0?ooo`3oool000000200oooo00H000000?ooo`3oool0003o0?ooo`00000P0?ooo`030000o`3o
ool0oooo0080000000<0oooo0000o`3oool0=03oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01h0oooo00L0003o0000003oool0oooo0000003oool0003o03@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0<P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo01@0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0R0?ooo`03003o
003oool0oooo00d0oooo00<00?l00?ooo`3oool01`3oool01@00o`00oooo0?ooo`3oool0003o01@0
oooo0P000?l=0?ooo`060000o`3oool0oooo0000003oool0003o2`3oool00`000000oooo0?ooo`04
0?ooo`03000000000?l0oooo00/0oooo00<0003o0?ooo`3oool02@3oool00`000000003o0?ooo`03
0?ooo`040000o`000000oooo003o00D0oooo00<00?l00?ooo`3oool01P3oool00`000?l0oooo0?oo
o`0<0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool02@3oool00`000000003o0000
000?0?ooo`03000000000?l0oooo00L0oooo00<0003o0?ooo`3oool06`3oool00`000000003o0?oo
o`020?ooo`030000o`000000oooo0180oooo00<0003o0?ooo`3oool01`3oool01P00o`00oooo0?oo
o`3oool0003o000001@0oooo00D000000?ooo`000?l0oooo0000000P0?ooo`060000003oool0oooo
0000o`3oool00000803oool01`000?l0oooo0000003oool000000?ooo`000?l0=@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo00L0003o0?ooo`3oool0oooo0000003oool0
003o03@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo03`0oooo00<00?l00?ooo`00o`006@3oool00`00
o`00oooo0?ooo`060?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool02`3oool01@00
0?l0oooo0?ooo`000000003o00/0oooo00<0003o0?ooo`0000001@3oool00`000000003o0?ooo`0;
0?ooo`030000o`3oool0oooo00P0oooo00<000000?ooo`000?l0103oool00`000?l000000?ooo`06
0?ooo`03000000000?l0oooo00H0oooo00<0003o0000003oool02`3oool00`000000003o0?ooo`04
0?ooo`030000o`3oool0oooo00T0oooo0P000?l00`3oool000000?ooo`0=0?ooo`030000003oool0
oooo00L0oooo00<0003o0?ooo`3oool06`3oool00`000000003o0?ooo`020?ooo`030000o`000000
oooo0140oooo00<0003o0000003oool03@3oool00`000000003o0?ooo`020?ooo`03003o003oool0
oooo00d0oooo00D000000?ooo`000?l0oooo0000000P0?ooo`040000003oool0003o0000o`80oooo
00<000000?ooo`3oool07@3oool01`000?l0oooo0000003oool000000?ooo`000?l0=@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo01h0oooo00L0003o0?ooo`3oool0oooo0000003o
ool0003o03@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0K0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0c0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo01@0oooo00<00?l00?ooo`3oool00P3oool0
0`00o`00oooo0?ooo`0P0?ooo`03003o003oool00?l00100oooo00<00?l00?ooo`3oool01P3oool0
0`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3oool02`3oool0
1@000?l000000000003oool0003o00`0oooo00<0003o0?ooo`000000103oool00`000000003o0?oo
o`0;0?ooo`030000o`000000oooo00P0oooo00<000000000o`3oool01@3oool00`000000oooo003o
00050?ooo`0300000000o`00oooo00H0oooo00<0003o0000003oool02`3oool00`000?l0oooo0?oo
o`040?ooo`030000o`3oool0oooo00P0oooo00D000000000o`3oool0003o0000000>0?ooo`030000
00000?l0oooo00L0oooo00<0003o0?ooo`3oool06`3oool00`000000003o0?ooo`020?ooo`030000
o`3oool000000140oooo00<0003o000000000?l0203oool01`00o`00oooo0?ooo`3oool0003o0?oo
o`000?l00`3oool00`00o`00oooo0?ooo`0<0?ooo`060000003oool0003o0000o`3oool00000803o
ool010000000oooo0000o`000?l20?ooo`030000003oool0oooo01d0oooo00D0003o0?ooo`000000
oooo0000000g0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool01`000000
oooo0?ooo`3oool000000?ooo`000?l0=03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503oool00`00
o`00oooo0?ooo`020?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3o0000403oool00`00
o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo01`0oooo00<0003o000000000?l03@3oool00`00
0?l0oooo000000040?ooo`03000000000?l0oooo00/0oooo00<0003o0000003oool01`3oool00`00
0000oooo0?ooo`060?ooo`030000o`0000000?l000D0oooo00<0003o003o003oool01P3oool00`00
0?l000000?ooo`0;0?ooo`030000o`3oool0oooo00@0oooo00<0003o0000003oool0203oool01@00
0?l0oooo0?ooo`000?l0000000h0oooo00<000000000o`3oool01`3oool00`000?l0oooo0?ooo`0K
0?ooo`03000000000?l0oooo00<0oooo00<0003o0000003oool0403oool2000000030000o`3oool0
oooo00H0oooo00L00?l00?ooo`3oool0oooo0000o`3oool0003o00<0oooo00<00?l00?ooo`3oool0
303oool00`000000oooo0000o`020?ooo`030000003oool0oooo01h0oooo00@000000?ooo`000?l0
003o0P3oool00`000000oooo0?ooo`0M0?ooo`050000o`3oool000000?ooo`0000000P3oool00`00
0?l0oooo0?ooo`0b0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07@3oool00`00
0?l000000?ooo`020?ooo`030000003oool0003o03@0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0K0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0<@3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0c0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000004P3oool00`00o`00
oooo0?ooo`020?ooo`03003o003oool0oooo0200oooo00<0o`000?ooo`00o`00403oool00`00o`00
oooo0?ooo`050?ooo`03003o003oool0oooo02L0oooo00<0003o0?ooo`000?l03P3oool00`000?l0
oooo000000030?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0000o`070?ooo`030000o`0000000?l000D0oooo00<0003o003o003oool01`3oool00`000000
oooo0?ooo`0:0?ooo`030000o`3oool0oooo00D0oooo00<000000?ooo`3oool01`3oool01P000?l0
oooo0?ooo`3oool0003o000000d0oooo00<0003o0?ooo`3oool01`3oool00`000?l0oooo0?ooo`0K
0?ooo`03000000000?l0oooo00<0oooo00<0003o0000003oool0403oool00`000?l0oooo0000o`08
0?ooo`08003o003oool0oooo0000o`000000oooo000000000?lA0?ooo`060000003oool0oooo0?oo
o`000?l00000803oool01`000000oooo0?ooo`3oool0003o0?ooo`0000008@3oool00`000000oooo
000000020?ooo`030000o`3oool0oooo0380oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0M0?ooo`030000o`000000oooo00<0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo02h0oooo1@0000160?ooo`00G03oool00`000000oooo0?oo
o`0l0?ooo`030?l00000o`000?l001P0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?oo
o`0L0?ooo`030000003oool0003o0140oooo00D000000?ooo`3oool000000000o`0<0?ooo`030000
o`000000oooo00D0oooo00<000000?ooo`000?l0203oool00`000?l000000?ooo`040?ooo`030000
00000?l0oooo00P0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000
o`3oool0oooo00H0oooo00<000000000o`3oool00P3oool00`000?l000000?ooo`0<0?ooo`030000
o`3oool0oooo00L0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00h0oooo00@0003o0000003oool0003o2`3oool01@000?l000000?ooo`3oool0003o
0080oooo00<00?l00?ooo`3oool0303oool01`000000oooo0000o`3oool0003o0?ooo`0000007P3o
ool020000000oooo0?ooo`000?l0oooo0000o`3oool000007`3oool00`000?l0oooo000000020?oo
o`030000003oool0003o03@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0M0?oo
o`030000o`000000oooo00<0oooo00<000000000o`3oool0<`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo0380oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool05@3oool01@00o`00oooo0?ooo`3oool00?l00280oooo00@0o`00003o0000o`00o`00403oool0
0`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0703oool2
0000oa00oooo00L0003o0?ooo`3oool000000?ooo`000000003o00`0oooo00<0003o0000003oool0
1@3oool00`000000oooo0000o`090?ooo`030000o`00o`00oooo00<0oooo00<000000?ooo`00o`00
203oool00`000?l0oooo0?ooo`090?ooo`03000000000?l0oooo00H0oooo00<0003o0?ooo`3oool0
1P3oool00`000000oooo0?ooo`020?ooo`030000o`000000oooo00`0oooo00<0003o0?ooo`3oool0
1`3oool00`000?l000000?ooo`0J0?ooo`03000000000?l0oooo00@0oooo00<0003o0000003oool0
3`3oool010000?l0oooo0?ooo`000?l80?ooo`05003o003oool0oooo0000o`0000000P3oool01000
0000oooo0?ooo`00o`0>0?ooo`070000003oool0003o0?ooo`000?l0oooo0000000N0?ooo`040000
003oool0oooo0000o`<0oooo00<000000?ooo`3oool07@3oool00`000?l000000?ooo`020?ooo`03
0000003oool0003o0140oooo00<000000?ooo`3oool0803oool010000000oooo0?ooo`000?l30?oo
o`030000003oool0oooo01`0oooo00<0003o0000003oool00`3oool00`000000003o0?ooo`0b0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0340oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`140?oo
o`00=`3oool200000080oooo0P00000O0?ooo`030000003oool0oooo01D0oooo00@00?l00?ooo`3o
ool00?l08`3oool0103o00000?l00?ooo`3o000@0?ooo`03003o003oool0oooo0100oooo00<00?l0
0?ooo`3oool06`3oool20000oa40oooo00D0003o0?ooo`000000oooo0000o`0=0?ooo`030000o`00
0000oooo00@0oooo00<000000?ooo`000?l02P3oool00`000?l00?l00?ooo`030?ooo`0300000000
0?l00?l000P0oooo00<0003o0000003oool02@3oool00`000000003o0?ooo`060?ooo`030000o`3o
ool0oooo00H0oooo00<0003o0?ooo`3oool00`3oool00`000?l000000?ooo`0;0?ooo`030000003o
ool0oooo00L0oooo00<0003o0000003oool06P3oool00`000000003o0?ooo`040?ooo`030000o`00
0000oooo00h0oooo00D0003o0000003oool0oooo000000070?ooo`03003o003oool0oooo0080oooo
00L000000?ooo`3oool000000000o`3oool00?l000h0oooo00L000000000o`3oool0oooo0000o`3o
ool0000001h0oooo00<000000?ooo`000?l00P3oool00`000?l0oooo0000000C0?ooo`030000o`3o
ool0oooo00P0oooo00<0003o0?ooo`0000000`3oool00`000000oooo0000o`0A0?ooo`030000003o
ool0oooo0200oooo00<000000?ooo`3oool00P000?l20?ooo`030000003oool0oooo01`0oooo00<0
003o0000003oool00`3oool00`000000003o0?ooo`0b0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0340oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0<P3oool00`000000oooo0?ooo`140?ooo`00=P3oool01P000000oooo0?ooo`00
0000oooo00000200oooo00<000000?ooo`3oool05@3oool01000o`00oooo0?ooo`00o`0S0?ooo`04
0?l00000o`00oooo0?l00100oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0W0?oo
o`030000o`3oool0oooo0140oooo00@0003o0?ooo`0000000?l03P3oool00`000?l0oooo0?ooo`02
0?ooo`030000003oool0oooo00`0oooo00<00?l00?ooo`3oool00P3oool00`000000003o003o0008
0?ooo`030000o`000000oooo00T0oooo00<0003o0?ooo`3oool01P3oool00`000?l000000?ooo`06
0?ooo`030000o`3oool0oooo00<0oooo00<0003o0000003oool02`3oool00`000?l0oooo0?ooo`07
0?ooo`030000o`000000oooo01X0oooo00<000000000o`3oool0103oool00`000?l0oooo0000000>
0?ooo`030000o`000000oooo0080oooo00<0003o0?ooo`3oool0103oool01@00o`00oooo0?ooo`3o
ool0003o00<0oooo00<000000000o`3oool03P3oool00`000000oooo0000o`020?ooo`030000o`3o
ool0000001h0oooo00<000000?ooo`000?l00P3oool00`000?l0oooo0000000C0?ooo`030000o`3o
ool0oooo00P0oooo00<0003o0?ooo`0000000`3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo01l0oooo00H000000?ooo`3oool0003o0?ooo`000?l20?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0000o`0b0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool06`3oool01@000000oooo0?ooo`3oool0003o00<0oooo00<000000?oo
o`3oool0<@3oool01@000000oooo0?ooo`3oool0003o00@0oooo00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0A03oool0
03H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo03d0oooo00<00?l00?ooo`3o00005`3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0
oooo0300oooo00<0003o003o0000o`003P3oool01@000?l0oooo0?ooo`3oool000000080oooo00<0
003o0?ooo`3oool02P3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00P0oooo00<0
003o0000003oool0203oool00`000000003o0?ooo`070?ooo`030000o`000000oooo00D0oooo00<0
00000000o`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000o`3oool0oooo00P0oooo00<0
003o0?ooo`3oool06@3oool00`000000003o0?ooo`050?ooo`030000o`000000oooo00d0oooo00<0
00000?ooo`3oool00P3oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo0080oooo00<0
00000000o`00o`003@3oool00`000000oooo0000o`040?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`000?l00P3oool00`000?l0oooo0000000B0?ooo`80003o2P3oool00`000?l0oooo0000
00030?ooo`030000003oool0003o0100oooo00<000000?ooo`000000803oool01P000000oooo0?oo
o`000?l0oooo0000o`80oooo00<000000?ooo`3oool0703oool00`000?l0oooo0?ooo`030?ooo`03
0000003oool0003o0380oooo00<000000?ooo`3oool00P3oool01@000?l0oooo0?ooo`3oool00000
01d0oooo00D000000?ooo`3oool0oooo0000o`030?ooo`030000003oool0oooo0340oooo00D00000
0?ooo`3oool0oooo0000o`040?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo04@0oooo000f0?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0E0?ooo`04003o003o
ool0oooo003o0280oooo00<0o`000?ooo`00o`004P3oool00`00o`00oooo0?ooo`040?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool0<03oool00`00o`00oooo003o000=0?ooo`070000
003oool0oooo0?ooo`000000oooo0000o`0<0?ooo`03003o00000?l0oooo00<0oooo00<0003o0?oo
o`00o`002@3oool00`000000oooo0?ooo`070?ooo`03000000000?l0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000003o0?ooo`050?ooo`030000o`000000oooo00T0oooo00<000000000
o`3oool02@3oool00`000?l0oooo0?ooo`0I0?ooo`03000000000?l0oooo00D0oooo00<0003o0000
003oool03@3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00@0oooo00D00?l00?oo
o`3oool0003o000000040?ooo`03000000000?l00?l000d0oooo00<000000?ooo`3oool00`3oool0
0`000?l000000?ooo`0M0?ooo`030000003oool0oooo00<0oooo00<0003o0?ooo`000000403oool0
0`000?l0oooo0000o`0<0?ooo`070000003oool0oooo0?ooo`000000oooo0000o`0@0?ooo`030000
003oool000000200oooo00H000000?ooo`3oool0003o0?ooo`000?l20?ooo`030000003oool0oooo
01`0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo
0080oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
0080003o0`3oool00`000000oooo0?ooo`0a0?ooo`040000003oool0oooo0?ooo`80003o0`3oool0
0`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0<P3oool0
0`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool05P3oool00`00o`00oooo003o000R0?ooo`050?l0003oool0
0?l00?ooo`3o0000403oool00`00o`00oooo0?ooo`140?ooo`03003o00000?l00?l000d0oooo00H0
003o0?ooo`3oool000000?ooo`000?l20?ooo`03003o003oool0oooo00P0oooo00<00?l00000o`00
00000P3oool010000000003o0?ooo`00o`090?ooo`030000o`3oool0oooo00L0oooo00<0003o0?oo
o`3oool0203oool00`000?l0oooo0?ooo`040?ooo`03000000000?l0oooo00D0oooo00<0003o0000
003oool02@3oool00`000000003o0?ooo`090?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0<0?ooo`030000o`3oool0oooo0080oooo00<0003o0?oo
o`3oool0103oool01@00o`00oooo0?ooo`000?l0000000@0oooo00<000000?ooo`00o`003@3oool0
0`000000oooo0000o`030?ooo`030000o`000000oooo01d0oooo00<000000000o`3oool00`3oool0
0`000?l0oooo0000000@0?ooo`030000o`3oool0003o00X0oooo00<0003o0?ooo`000000103oool0
0`000000003o0?ooo`0?0?ooo`030000003oool000000200oooo00<000000?ooo`3oool00P3oool0
10000?l0oooo0?ooo`00000N0?ooo`030000o`3oool0oooo00@0oooo00<000000000o`3oool0<@3o
ool010000000oooo0?ooo`3oool20000o`@0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`020000o`<0oooo00<000000?ooo`3oool0<@3oool010000000oooo0?ooo`3oool20000o`<0
oooo00<000000?ooo`3oool0203oool00`000?l0oooo0?ooo`0@0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo01d0oooo1@00000F0?ooo`03003o003oool0oooo0200
oooo00D0o`000?ooo`3oool0oooo0?l0000A0?ooo`03003o003oool0oooo0080oooo00<00?l00?oo
o`3oool0303oool00`00o`00oooo0?ooo`0_0?ooo`80003o00<00?l00?ooo`3oool02`3oool01@00
0?l0oooo0000003oool0003o0080oooo0P00o`0:0?ooo`03003o003oool0003o0080oooo00D00000
0?ooo`3oool0oooo003o00080?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`3oool0203o
ool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<0003o0000003oool02@3o
ool00`000000003o0?ooo`090?ooo`030000o`3oool0oooo00h0oooo00<000000?ooo`3oool0203o
ool00`000?l0oooo0?ooo`050?ooo`030000o`000000oooo00`0oooo00<0003o0?ooo`3oool00`3o
ool00`000?l0oooo0?ooo`040?ooo`05003o003oool0oooo0000o`0000001@3oool00`000?l0oooo
0?ooo`0<0?ooo`030000003oool0003o00<0oooo00<0003o0000003oool07@3oool00`000000003o
0?ooo`050?ooo`030000003oool0oooo00d0oooo00<0003o0?ooo`3oool02`3oool00`000?l00000
0?ooo`040?ooo`030000003oool0003o00l0oooo00<000000?ooo`000000803oool010000000oooo
0?ooo`000?l40?ooo`030000003oool0oooo01`0oooo00<0003o0?ooo`3oool0103oool00`000000
003o0?ooo`0a0?ooo`040000003oool0oooo0?ooo`80003o103oool00`000000oooo0?ooo`0I0?oo
o`070000003oool0oooo0?ooo`000?l0oooo0000o`020?ooo`030000003oool0oooo0300oooo00D0
00000?ooo`3oool0oooo0000o`050?ooo`030000003oool0oooo00P0oooo00<0003o0?ooo`3oool0
3`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02h0oooo1@0000160?ooo`00=P3o
ool200000080oooo0P00000P0?ooo`030000003oool0oooo01H0oooo00<00?l00?ooo`3oool08P3o
ool01@3o0000oooo0?ooo`3oool0o`000140oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`0<0?ooo`03003o003oool0oooo02h0oooo00@00?l00?ooo`000?l00?l03@3oool00`000?l0
00000?ooo`0B0?ooo`050000o`3oool0oooo000000000?l02`3oool00`000?l000000?ooo`060?oo
o`030000o`3oool0oooo00T0oooo00<0003o0000003oool00`3oool00`000000003o0?ooo`070?oo
o`030000o`000000oooo00P0oooo00<000000?ooo`3oool02@3oool00`000?l0oooo0?ooo`0<0?oo
o`<000002@3oool00`000000003o0?ooo`060?ooo`030000o`000000oooo00`0oooo00<0003o0?oo
o`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00@0oooo00<0003o003o
003oool0303oool00`000000003o0?ooo`030?ooo`030000o`3oool0000001`0oooo00<000000?oo
o`000?l0103oool00`000?l0oooo0000000?0?ooo`050000o`3oool0oooo000000000?l02@3oool0
0`000?l000000?ooo`040?ooo`030000003oool0003o00l0oooo00<000000?ooo`000000803oool0
1P000000oooo0?ooo`000?l0oooo0000o`80oooo00<000000?ooo`3oool0703oool00`000?l0oooo
0?ooo`040?ooo`03000000000?l0oooo0340oooo00L000000?ooo`3oool0oooo0000o`3oool0003o
00<0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`030?ooo`040000o`3oool0oooo
00000380oooo00L000000?ooo`3oool0oooo0000o`3oool0003o00<0oooo00<000000?ooo`3oool0
1`3oool00`000?l0oooo0?ooo`0@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
<P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`03003o003o
ool00?l00280oooo00D0o`000?ooo`3oool0oooo0?l0000A0?ooo`03003o003oool0oooo0080oooo
00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0/0?ooo`03003o003oool0oooo00l0oooo
00H0003o0000003oool0003o0?ooo`00o`020?ooo`03003o003oool0oooo00P0oooo00L00?l00?oo
o`3oool000000?ooo`000000003o0080oooo00<00?l00?ooo`3oool01`3oool00`000?l0oooo0?oo
o`050?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool00P3oool00`000000003o0?oo
o`070?ooo`030000o`000000oooo00P0oooo00<000000000o`3oool02@3oool00`000?l0oooo0?oo
o`0:0?ooo`8000000`3oool00`000000oooo0?ooo`060?ooo`03000000000?l0oooo00H0oooo00<0
003o0000003oool02`3oool00`000000003o0?ooo`050?ooo`030000o`3oool0oooo00<0oooo00@0
0?l00?ooo`3oool0003o1P3oool00`000?l00?l00?ooo`0<0?ooo`03000000000?l0oooo00<0oooo
00<0003o0?ooo`000000703oool00`000000oooo0000o`040?ooo`030000o`3oool000000140oooo
0P0000000`000?l0oooo0?ooo`070?ooo`030000o`000000oooo00@0oooo00<000000?ooo`3oool0
3P3oool01@000000oooo0?ooo`3oool0000001l0oooo00<000000?ooo`000?l00P3oool010000?l0
oooo0?ooo`00000B0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`00
0000003o0?ooo`0a0?ooo`030000003oool0oooo00<0oooo00D0003o0?ooo`3oool0oooo0000000K
0?ooo`050000003oool0oooo0?ooo`000?l0103oool00`000000oooo0?ooo`0`0?ooo`070000003o
ool0oooo0?ooo`000?l0oooo0000o`030?ooo`030000003oool0oooo00L0oooo00<0003o0?ooo`00
0?l0403oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0380oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool05P3oool00`00o`00oooo003o000R0?ooo`050?l0
003oool0oooo0?ooo`3o00004@3oool00`00o`00oooo0?ooo`160?ooo`03003o003oool0oooo00X0
oooo00D0003o0?ooo`000?l0oooo003o00030?ooo`03003o003oool0oooo00P0oooo00H00?l00?oo
o`000?l000000?ooo`000?l30?ooo`03003o003oool0oooo00L0oooo00<0003o0000000000001@00
00000`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0203o
ool00`000000oooo0?ooo`070?ooo`03000000000?l0oooo00T0oooo00<0003o0?ooo`3oool0203o
ool2000000D0oooo00<000000?ooo`3oool01P3oool00`000000003o0?ooo`070?ooo`030000o`00
0000oooo00X0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`030?ooo`04003o003o
ool0oooo0000o`H0oooo00<00000003o003oool02`3oool00`000000oooo0000o`050?ooo`030000
o`000000oooo01/0oooo00<000000?ooo`000?l0103oool00`000?l0oooo0000000?0?ooo`050000
o`3oool00000000000000?l02@3oool00`000?l000000?ooo`040?ooo`030000003oool0003o00T0
oooo00<00?l00?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000001l0oooo00<000000?oo
o`000?l00P3oool01@000?l0oooo0?ooo`3oool000000140oooo00<0003o0?ooo`3oool0203oool0
0`000?l000000?ooo`050?ooo`03000000000?l0oooo0340oooo00@000000?ooo`3oool0003o1P3o
ool00`000000oooo0?ooo`0I0?ooo`070000003oool0oooo0?ooo`000?l0oooo0000o`020?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool00`3oool01@000?l0oooo0?ooo`3oool00000
00T0oooo00<0003o0?ooo`000?l0403oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
0340oooo00<000000?ooo`3oool0A03oool003X0oooo00@000000?ooo`3oool0oooo0P00000L0?oo
o`030000003oool0oooo01P0oooo00<00?l00?ooo`3oool0803oool01@3o0000oooo0?ooo`3oool0
o`0001H0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0[0?ooo`03003o003oool0
oooo00<0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0
oooo00L0oooo00H00?l00?ooo`000?l000000?ooo`000?l30?ooo`03003o003oool0oooo01`0oooo
00H000000?ooo`3oool0oooo000000000?l:0?ooo`030000o`000000oooo00L0oooo00<0003o0?oo
o`3oool02@3oool00`000?l000000?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01@3oool00`000000003o0?ooo`070?ooo`030000o`000000oooo00X0oooo00<0003o0?oo
o`3oool01@3oool00`000?l0oooo0?ooo`030?ooo`04003o003oool0003o000000L0oooo00<0003o
0?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000o`000000oooo01/0oooo00<00000
0?ooo`3oool01@3oool00`000?l000000?ooo`0=0?ooo`030000o`3oool000000080oooo00<0003o
0?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0003o00T0oooo00<00?l0
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000001l0oooo00<000000?ooo`000?l00`3o
ool010000?l0oooo0?ooo`00000?0?ooo`040000o`3oool0oooo0000o`T0oooo00<0003o0000003o
ool01@3oool00`000000oooo0?ooo`0a0?ooo`040000003oool0oooo0000o`80oooo00D0003o0?oo
o`3oool0oooo0000000K0?ooo`040000003oool0oooo0000o`80oooo00D0003o0?ooo`3oool0oooo
0000000a0?ooo`050000003oool0oooo0?ooo`000?l00P3oool010000?l0oooo0?ooo`00000<0?oo
o`030000o`3oool0oooo00d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo04@0oooo000i0?ooo`070000003oool0oooo0?ooo`000000oooo0000000L
0?ooo`030000003oool0oooo01H0oooo00<00?l00?ooo`3oool08P3oool01@3o0000oooo0?ooo`3o
ool0o`000180oooo00D00?l00?ooo`3oool0oooo003o000?0?ooo`03003o003oool0oooo02X0oooo
00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0:0?ooo`800?l04`3oool010000?l00000
000000000?l=0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool02P3oool01P000?l0
00000?ooo`3oool000000000o`X0oooo00<0003o0000003oool01`3oool00`000?l0oooo0?ooo`0:
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000?l0oooo0?ooo`06
0?ooo`030000o`000000oooo00D0oooo00<0003o0000003oool01P3oool00`00o`00oooo0?ooo`0:
0?ooo`030000003oool0003o00D0oooo00<0003o0000003oool06`3oool00`000000003o0?ooo`05
0?ooo`030000o`000000oooo00d0oooo00<0003o0?ooo`0000000P3oool00`000?l0oooo0?ooo`06
0?ooo`030000o`3oool0000000H0oooo00<000000000o`3oool0203oool00`00o`00oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`0000007`3oool00`000000oooo0?ooo`030?ooo`040000o`3o
ool0oooo000000h0oooo00D0003o0?ooo`3oool0oooo0000o`090?ooo`030000o`000000oooo00D0
oooo00<000000000o`3oool0<@3oool010000000oooo0?ooo`000?l20?ooo`050000o`3oool0oooo
0?ooo`0000006`3oool010000000oooo0?ooo`000?l20?ooo`050000o`3oool0oooo0?ooo`000000
<@3oool01@000000oooo0?ooo`3oool0003o0080oooo00@0003o0?ooo`3oool000002@3oool01000
0?l0oooo0?ooo`000?l?0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0<@3oool0
0`000000oooo0?ooo`140?ooo`00>@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool05P3oool00`00o`00oooo003o000V0?ooo`030?l0003oool0
oooo0100oooo00D00?l00?ooo`3oool0oooo003o000@0?ooo`03003o003oool0oooo02T0oooo00<0
0?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`070?ooo`05003o003oool0oooo0000o`000000
103oool00`00o`00oooo0?ooo`070?ooo`040000o`3oool0003o0?ooo`D0003o303oool01@000?l0
00000?ooo`3oool0000000`0oooo00<0003o0000003oool01P3oool00`000?l0oooo0?ooo`0:0?oo
o`030000o`3oool0oooo00D0oooo00<000000?ooo`3oool01@3oool010000?l0oooo0?ooo`000006
0?ooo`030000o`3oool0oooo00L0oooo00<0003o0000003oool02@3oool00`000?l0oooo0?ooo`06
0?ooo`030000o`000000oooo00<0oooo00<00?l00?ooo`000?l0203oool00`00o`00oooo0?ooo`0:
0?ooo`030000003oool0003o00H0oooo00<0003o0?ooo`3oool06P3oool00`000000003o0?ooo`06
0?ooo`030000003oool0oooo00/0oooo00<0003o0?ooo`0000000`3oool00`000000oooo0?ooo`06
0?ooo`030000o`000000oooo00H0oooo00<000000000o`3oool0203oool00`00o`00oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`0000007`3oool00`000000oooo0000o`060?ooo`030000003o
ool0oooo00`0oooo00<0003o0?ooo`3oool02`3oool00`000?l000000?ooo`050?ooo`0300000000
0?l0oooo0300oooo00D000000?ooo`3oool0oooo0000o`020?ooo`050000o`3oool0oooo0?ooo`00
00006`3oool010000000oooo0?ooo`000?l30?ooo`040000o`3oool0oooo00000340oooo00@00000
0?ooo`3oool0003o1P3oool00`000000oooo0?ooo`070?ooo`030000o`3oool0oooo0100oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo04@0oooo000i
0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool06P3oool5000001D0oooo00<00?l0
0?ooo`3oool08@3oool00`3o0000oooo0?ooo`0D0?ooo`03003o003oool0oooo04D0oooo00<00?l0
0?ooo`3oool02P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00L0oooo00H00?l0
0?ooo`3oool0003o000000000?l30?ooo`03003o003oool0oooo00L0oooo0P000?lC0?ooo`060000
o`000000oooo0000003oool0003o2`3oool00`000?l0oooo000000060?ooo`030000003oool0oooo
00X0oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`80003o00@0oooo0000
o`3oool000001P3oool00`000?l0oooo0?ooo`070?ooo`030000o`000000oooo00T0oooo00<0003o
0?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`03003o003oool0000000P0oooo00<00?l0
0000003oool02P3oool00`000000003o0?ooo`020?ooo`05003o003oool0oooo0?ooo`000?l0703o
ool00`000000003o0?ooo`050?ooo`030000o`3oool0000000h0oooo00H000000?ooo`3oool0oooo
000000000?l70?ooo`030000o`000000oooo00H0oooo00<000000000o`3oool0203oool00`00o`00
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06`3oool010000000
oooo0?ooo`000?l30?ooo`040000o`3oool0oooo000000d0oooo00<0003o0?ooo`3oool00P3oool0
0`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0;`3oool0
1@000000oooo0?ooo`3oool0003o0080oooo00D0003o0?ooo`3oool0oooo0000000K0?ooo`030000
003oool0oooo00@0oooo00@0003o0?ooo`3oool00000<@3oool010000000oooo0?ooo`000?l30?oo
o`040000o`3oool0oooo000000P0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0<
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0;@3oool5000004H0oooo000j0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0G0?oo
o`03003o003oool0oooo0240oooo00D0o`000?ooo`3oool0oooo0?l0000E0?ooo`03003o003oool0
oooo0100oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0
oooo00T0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0
oooo0080oooo00D0003o0?ooo`3oool0oooo003o000O0?ooo`050000o`3oool000000?ooo`000?l0
3P3oool00`000000oooo0?ooo`020?ooo`03000000000?l0oooo00/0oooo00<0003o0?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo00<0oooo00<0003o0000003oool0
103oool00`000000003o0?ooo`080?ooo`030000o`000000oooo00P0oooo00<000000?ooo`3oool0
203oool00`000?l0oooo0?ooo`020?ooo`03003o003oool0003o00P0oooo00<0003o0000003oool0
2P3oool00`000000003o0?ooo`020?ooo`03003o003oool0oooo0080oooo00<000000?ooo`3oool0
603oool00`000000oooo0000o`060?ooo`030000o`3oool0000000/0oooo00<0003o0?ooo`000000
1@3oool00`000?l0oooo0?ooo`050?ooo`030000o`000000oooo00H0oooo00<000000?ooo`3oool0
1`3oool00`00o`00oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0000o`040?ooo`040000o`3oool0oooo000000d0oooo00<0003o0?ooo`3o
ool00P3oool00`000?l0oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000000o`3o
ool03`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00@0oooo00D0003o0?ooo`3o
ool0oooo0000000:0?ooo`D0003o303oool010000000oooo0?ooo`000?l60?ooo`030000003oool0
oooo02l0oooo00@000000?ooo`3oool0003o0`3oool010000?l0oooo0?ooo`0000080?ooo`030000
o`3oool0oooo0080oooo00<0003o0?ooo`3oool0303oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo0340oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3o
ool00`00o`00oooo0?ooo`0Q0?ooo`050?l0003oool0oooo0?ooo`3o00004P3oool01000o`00oooo
0?ooo`00o`0B0?ooo`03003o003oool0oooo00L0oooo0P00o`001@3oool00?l0003o0000o`00oooo
00<00?l05P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00P0oooo00<00?l00?oo
o`3oool05@3oool00`000?l0oooo0?ooo`0R0?ooo`040000o`3oool000000000o`h0oooo00<0003o
0?ooo`0000000`3oool00`000000003o0?ooo`0;0?ooo`030000o`3oool0oooo00<0oooo00@00000
0?ooo`3oool0oooo0P000?l60?ooo`030000o`3oool0000000@0oooo00<000000000o`3oool02@3o
ool00`000?l000000?ooo`070?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool0103o
ool00`000?l0oooo0?ooo`060?ooo`03003o00000?l0oooo00T0oooo00<000000?ooo`000?l00P3o
ool2003o00<0oooo00<0003o0000003oool06@3oool00`000000oooo0000o`060?ooo`030000o`3o
ool0000000/0oooo00<0003o0?ooo`0000001@3oool00`000?l0oooo0?ooo`050?ooo`030000o`00
0000oooo00H0oooo00<000000?ooo`000?l01`3oool00`00o`00oooo003o00020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool06`3oool00`000000oooo0000o`040?ooo`040000o`3o
ool0oooo000000`0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`070?ooo`030000
o`3oool0oooo00H0oooo00<000000000o`3oool03`3oool00`000000oooo0?ooo`0M0?ooo`040000
003oool0oooo0000o`L0oooo00<000000?ooo`3oool01`3oool00`000?l0oooo0?ooo`040?ooo`80
003o2@3oool010000000oooo0?ooo`000?l30?ooo`040000o`3oool0oooo00000340oooo00<00000
0?ooo`3oool0103oool010000?l0oooo0?ooo`0000080?ooo`030000o`3oool0oooo00<0oooo00<0
003o0?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0340oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool00`00o`00oooo0?ooo`0Q
0?ooo`050?l0003oool0oooo0?ooo`3o00004P3oool01000o`00oooo0?ooo`00o`0C0?ooo`03003o
003oool0oooo00D0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0B0?ooo`03003o
003oool0oooo01`0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`020?ooo`030000
o`3oool0oooo00<0oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`0<0?ooo`800000
00<0003o0?ooo`3oool03@3oool00`000?l0oooo000000020?ooo`03003o003oool0oooo00/0oooo
00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`020000o`P0oooo00<0003o0?ooo`000000
103oool00`000000003o0?ooo`090?ooo`030000o`000000oooo00L0oooo00<0003o0?ooo`3oool0
203oool00`000?l000000?ooo`020?ooo`03003o003oool0003o00P0oooo00<00?l00000o`3oool0
2@3oool01@000000oooo0000o`3oool00?l000D0oooo00<0003o0000003oool06@3oool00`000000
oooo0?ooo`070?ooo`030000o`000000oooo00T0oooo00<0003o0?ooo`0000001P3oool00`000?l0
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`000?l02@3oool01000o`00
oooo0?ooo`0000020?ooo`040000o`3oool0oooo000001d0oooo00<000000?ooo`000?l01@3oool0
0`000?l0oooo0000000;0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool01P3oool0
0`000?l0oooo0?ooo`060?ooo`030000003oool0oooo00h0oooo00<000000?ooo`0000007P3oool0
10000000oooo0?ooo`000?l40?ooo`040000o`3oool0oooo000000T0oooo00<0003o0?ooo`3oool0
1@3oool00`000?l0oooo0?ooo`070?ooo`040000003oool0oooo0000o`<0oooo00@0003o0?ooo`3o
ool00000<@3oool00`000000oooo0000o`040?ooo`040000o`3oool0oooo000000h0oooo00<0003o
0?ooo`3oool02`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0340oooo00<00000
0?ooo`3oool0A03oool003`0oooo0P00000N0?ooo`030000003oool0oooo01L0oooo00<00?l00?oo
o`3oool0803oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0140oooo00<00?l00?oo
o`3oool04`3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00/0oooo00<00?l00?oo
o`3oool0403oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00P0oooo00<00?l00?oo
o`3oool0203oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00P0oooo00<00?l00?oo
o`3oool03P3oool00`00o`00oooo0?ooo`0;0?ooo`040000o`000000oooo0000o`l0oooo00H0003o
0?ooo`3oool000000?ooo`00o`0=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2`3oool00`000?l0oooo000000030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
1@3oool00`000?l0oooo0?ooo`090?ooo`030000o`000000oooo0080oooo00<00?l00?ooo`000?l0
2@3oool00`00o`0000000?ooo`080?ooo`070000003oool0003o0?ooo`00o`00oooo003o00030?oo
o`030000o`000000oooo01T0oooo00<000000000o`3oool01`3oool00`000?l000000?ooo`090?oo
o`030000o`3oool0000000H0oooo00<0003o0?ooo`3oool01@3oool00`000?l000000?ooo`070?oo
o`03000000000?l0oooo00H0oooo00<00?l00?ooo`00o`000P3oool010000000oooo0?ooo`000?l2
0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool01@3oool00`000?l0oooo0000000;
0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`000?l0203oool00`000?l0oooo0?ooo`06
0?ooo`03000000000?l0oooo00h0oooo00<000000?ooo`0000007P3oool00`000000oooo0000o`05
0?ooo`050000o`3oool0oooo0?ooo`0000001`3oool00`000?l0oooo0?ooo`060?ooo`030000o`3o
ool0oooo00L0oooo00@000000?ooo`3oool0003o0`3oool010000?l0oooo0?ooo`00000a0?ooo`03
0000003oool0003o00@0oooo00D0003o0?ooo`3oool0oooo000000070?ooo`030000o`3oool0oooo
00@0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
0340oooo00<000000?ooo`3oool0A03oool003/0oooo00<000000?ooo`0000007P3oool00`000000
oooo0?ooo`0j0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool04P3oool00`00o`00
oooo0?ooo`0A0?ooo`03003o003oool0oooo0080oooo0P00o`0@0?ooo`800?l03`3oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool02@3oool00`00o`00
oooo0?ooo`050?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0703oool00`000?l0
00000?ooo`0A0?ooo`030000o`3oool0oooo00800?l03@3oool01@000?l0oooo0?ooo`3oool00000
0080oooo00<0003o0?ooo`3oool02@3oool00`000?l0oooo000000030?ooo`030000o`3oool0oooo
00T0oooo00<0003o0000003oool01P3oool00`000?l0oooo0?ooo`090?ooo`030000o`000000oooo
0080oooo00<00?l0000000000?l02P3oool00`000?l0oooo0?ooo`070?ooo`03000000000?l0oooo
00<0oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`070?ooo`8000003`3oool00`00
0000003o0?ooo`080?ooo`030000003oool0oooo00P0oooo00<0003o0000003oool01P3oool00`00
0000oooo0?ooo`050?ooo`030000o`3oool0oooo00L0oooo00<000000000o`3oool01P3oool00`00
o`00oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000?l00P3oool00`000000oooo0?ooo`0J
0?ooo`030000003oool0003o00L0oooo00<000000?ooo`3oool0203oool00`000?l0oooo0?ooo`03
0?ooo`8000002P3oool00`000?l0oooo0?ooo`060?ooo`03000000000?l0oooo00h0oooo00<00000
0?ooo`0000007P3oool00`000000oooo0000o`050?ooo`050000o`3oool0oooo0?ooo`0000001`3o
ool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00L0oooo00@000000?ooo`3oool0003o
103oool00`000?l0oooo0000000a0?ooo`030000003oool0003o00P0oooo00<000000?ooo`3oool0
1@3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo04@0oooo000j0?ooo`060000003o
ool0oooo0000003oool00000703oool5000003P0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`0@0?ooo`800?l05@3oool01000o`00oooo0?ooo`00o`0D0?ooo`03003o003oool0oooo
00/0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo
02`0oooo0P00o`0=0?ooo`030000o`3oool0003o01@0oooo00<00?l00000o`3oool0303oool01000
0?l000000?ooo`0000020?ooo`040000o`3oool00?l0003o00/0oooo00D000000?ooo`3oool0oooo
0000o`0;0?ooo`030000o`000000oooo00D0oooo00<000000000o`3oool02`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00P0oooo00<00?l00000o`3oool0203oool01@000000003o
0?ooo`3oool00?l00080oooo00D00?l00?ooo`3oool0oooo0000o`080?ooo`030000003oool0oooo
00@000002`3oool00`000?l0oooo0?ooo`070?ooo`030000o`000000oooo00X0oooo00<000000?oo
o`3oool01P3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo00L0oooo00<000000000
o`3oool01P3oool01@00o`00oooo003o003oool0000000<0oooo0P000?l20?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`000?l01@3oool010000?l0oooo0?ooo`00000>0?ooo`050000003o
ool0oooo000000000?l0203oool00`000?l0oooo0?ooo`060?ooo`03000000000?l0oooo00h0oooo
00<000000?ooo`0000007P3oool00`000000oooo0000o`050?ooo`050000o`3oool0oooo0?ooo`00
00006@3oool00`000000oooo0?ooo`060?ooo`030000o`3oool000000340oooo00<000000?ooo`00
0?l01@3oool010000?l0oooo0?ooo`0000070?ooo`030000o`3oool0oooo00D0oooo00<0003o0?oo
o`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02d0oooo1@0000160?oo
o`00>@3oool7000001`0oooo00<000000?ooo`3oool0>P3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo0100oooo0P00o`0G0?ooo`03003o003oool0oooo0480oooo00<00?l00?ooo`3o
ool01@3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00d0oooo0P00o`0>0?ooo`80
003o4P3oool01@000?l0oooo0?ooo`000?l00?l000`0oooo00H0003o0000003oool000000?ooo`00
0?l30?ooo`03003o003oool0oooo00P0oooo00H0003o0?ooo`000000oooo0000o`00000;0?ooo`03
0000o`000000oooo00@0oooo00<000000?ooo`3oool0303oool01P000?l000000?ooo`3oool00?l0
0000o`X0oooo00<00?l00000o`3oool0203oool010000000003o0?ooo`00o`070?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0103oool3000000P0oooo00<0003o0?ooo`3oool01`3o
ool00`000?l000000?ooo`080?ooo`030000o`000000oooo00P0oooo00<0003o0?ooo`3oool0103o
ool00`000?l0oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<00?l00?ooo`0000000`3o
ool01@000?l0oooo0?ooo`3oool0000001`0oooo00<000000000o`3oool01@3oool010000?l0oooo
0?ooo`0000080?ooo`030000o`3oool0oooo00<0oooo00D000000?ooo`3oool000000000o`080?oo
o`030000003oool0oooo00L0oooo00<0003o0?ooo`3oool0303oool01@000000oooo0?ooo`3oool0
000001d0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`030000o`3oool0
oooo00L0oooo00<0003o0?ooo`3oool01@3oool010000000oooo0?ooo`000?l70?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`000?l01@3oool010000?l0oooo0?ooo`0000070?ooo`030000
o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000
o`3oool0oooo0080oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`140?ooo`00?@3o
ool00`000000oooo0000000L0?ooo`030000003oool0oooo0400oooo00<0o`000?ooo`3oool04@3o
ool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool02@3o
ool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool02@3o
ool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool03@3o
ool00`00o`00oooo003o000=0?ooo`030000o`3oool0oooo0180oooo00@0003o003o00000?l00?l0
3@3oool010000?l000000?ooo`000?l30?ooo`800?l02`3oool01@000?l000000?ooo`000?l00000
00`0oooo00@0003o0000003oool0oooo0P0000000`3oool0003o0?ooo`0<0?ooo`060000o`000000
oooo0?ooo`00o`00003o2P3oool00`00o`00003o000000070?ooo`030000003oool0oooo00D0oooo
00H00?l00?ooo`3oool0oooo0000o`0000060?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000003o0?ooo`080?ooo`030000o`3oool0000000P0oooo00<0003o0000
003oool0203oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo00L0oooo00<000000000
o`3oool01P3oool01@00o`00oooo0?ooo`00o`0000000080oooo00H0003o0?ooo`3oool0003o0?oo
o`00000L0?ooo`03000000000?l0oooo00D0oooo00@0003o0?ooo`3oool00000203oool00`000?l0
oooo0?ooo`020?ooo`060000003oool0oooo0?ooo`000000003o1`3oool00`000?l000000?ooo`08
0?ooo`030000o`3oool0oooo00`0oooo00D000000?ooo`3oool0oooo0000000M0?ooo`030000003o
ool0003o00D0oooo00D0003o0?ooo`3oool0oooo000000070?ooo`030000o`3oool0oooo00L0oooo
00<0003o0?ooo`3oool01@3oool010000000oooo0?ooo`000?l60?ooo`030000o`000000oooo0300
oooo00<000000?ooo`3oool01@3oool010000?l0oooo0?ooo`0000070?ooo`030000o`3oool0oooo
00H0oooo00<0003o0?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo
00<0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0j0?ooo`030?l0003oool0oooo01L0oooo00<00?l00?ooo`3oool0;@3oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool01@3oool00`00o`00
oooo0?ooo`0;0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0203oool00`00o`00
oooo0?ooo`0M0?ooo`030000o`3oool0oooo0180oooo00@0003o003o00000?l00?l03@3oool00`00
0?l000000000o`040?ooo`03003o003oool0oooo00X0oooo00@0003o0?ooo`00000000003@3oool0
10000?l000000?ooo`0000020?ooo`030000o`3oool0oooo00`0oooo00H0003o0000003oool0oooo
003o00000?l;0?ooo`030000o`000000oooo00H0oooo00@000000?ooo`000?l00?l0103oool01P00
o`00oooo0?ooo`3oool0003o000000H0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<0003o0?ooo`0000001`3oool00`000?l000000?oo
o`090?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000003o0?oo
o`060?ooo`05003o003oool0oooo0?ooo`0000000P3oool010000?l0oooo0?ooo`000?l20?ooo`03
0000003oool0oooo01T0oooo00<000000?ooo`3oool01P3oool00`000?l0oooo000000070?ooo`03
0000o`3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000003o0?ooo`060?ooo`03
0000o`000000oooo00P0oooo00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3oool00000
01d0oooo00<000000?ooo`000?l01@3oool01@000?l0oooo0?ooo`3oool0000000H0oooo00<0003o
0?ooo`3oool0203oool00`000?l0oooo0?ooo`050?ooo`040000003oool0oooo0000o`H0oooo00<0
003o0000003oool0;`3oool00`000000oooo0000o`060?ooo`040000o`3oool0oooo00000100oooo
00<0003o0?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`80003o103oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03X0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0A0?ooo`03003o003oool0oooo03L0oooo00<0
0?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo02`0oooo00@0
0?l00?ooo`3oool00?l03@3oool00`000?l0oooo0?ooo`0C0?ooo`03003o00000?l0oooo00d0oooo
00<000000000o`3oool0103oool2003o00`0oooo00<0003o000000000?l03P3oool2000000<0oooo
00<0003o0?ooo`3oool0303oool01P000?l000000?ooo`3oool000000000o`X0oooo00@00?l00?oo
o`3oool000001P3oool00`000000oooo003o00050?ooo`06003o003oool0oooo0?ooo`000?l00000
1@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000000o`3oool0
203oool00`000?l0oooo000000070?ooo`030000o`000000oooo00T0oooo00<0003o0?ooo`3oool0
0`3oool00`000?l000000?ooo`090?ooo`030000o`3oool0oooo00D0oooo00D00?l00?ooo`3oool0
0?l0000000020?ooo`070000o`3oool0oooo0?ooo`000?l0oooo0000000J0?ooo`03000000000?l0
oooo00L0oooo00<0003o0?ooo`0000001`3oool01@000?l0oooo0?ooo`3oool0000000H0oooo00<0
003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`080?ooo`03000000000?l0oooo00/0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`03000000000?l0oooo00D0oooo00D0
003o0?ooo`3oool0oooo000000060?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool0
1@3oool010000000oooo0?ooo`000?l60?ooo`030000o`000000oooo02l0oooo00<000000?ooo`00
0?l01P3oool010000?l0oooo0?ooo`0000060?ooo`030000o`3oool0oooo0140oooo00<000000?oo
o`3oool00P3oool20000o`@0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`140?oo
o`00<@3oool010000000oooo0?ooo`3oool2000002D0oooo1@00000h0?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0@P3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo
0280oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo
00`0oooo00@00?l00?ooo`3oool00?l09@3oool00`00o`00oooo0?ooo`0;0?ooo`030000o`3oool0
oooo00D0oooo00<00?l00?ooo`3oool0303oool00`000?l0oooo0?ooo`0;0?ooo`030000o`000000
oooo0080oooo00<0003o0?ooo`3oool03@3oool01P000?l000000?ooo`3oool00?l00000o`X0oooo
00D00?l00?ooo`000?l0oooo000000050?ooo`03000000000?l00?l000X0oooo00<0003o0?ooo`3o
ool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000000o`3o
ool02P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00P3oool00`000?l0oooo0?ooo`090?ooo`03000000000?l0oooo00P0oooo00<00?l00?ooo`3o
ool01@3oool00`000?l0oooo0000000:0?ooo`030000003oool0oooo00d0oooo00<000000000o`3o
ool02@3oool00`000000oooo0?ooo`050?ooo`050000o`3oool0oooo0?ooo`0000001P3oool00`00
0000oooo0?ooo`050?ooo`030000o`3oool0oooo00P0oooo00<000000000o`3oool02`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo01T0oooo00<000000?ooo`000?l01`3oool01000
0?l0oooo0?ooo`0000060?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool01@3oool0
10000000oooo0?ooo`000?l60?ooo`030000o`3oool0000002l0oooo00<000000000o`3oool02@3o
ool00`000000oooo0?ooo`040?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool01P3o
ool00`000000oooo0?ooo`020?ooo`80003o103oool00`000000oooo0?ooo`0/0?ooo`D00000AP3o
ool00300oooo00L000000?ooo`3oool0oooo0000003oool0000002D0oooo00<000000?ooo`3oool0
>P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0480oooo00<00?l00?ooo`3oool0
103oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0
2`3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0
303oool01@00o`00oooo0?ooo`3oool00?l00240oooo00@00?l00?ooo`3oool00?l04`3oool01000
o`00oooo0?ooo`00o`0<0?ooo`80003o3@3oool010000?l0oooo0?ooo`000?lC0?ooo`030000003o
ool00?l000/0oooo00H00?l00?ooo`3oool0003o0?ooo`0000040?ooo`03000000000?l0oooo00D0
oooo00<00?l00?ooo`3oool00P3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`090?ooo`030000o`000000oooo00D0
oooo00<0003o0000003oool02`3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00T0
oooo00<000000000o`3oool01@3oool01000o`00oooo0?ooo`00o`020?ooo`030000o`3oool0oooo
00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0000000>0?ooo`030000o`3oool0oooo
00L0oooo00<0003o0?ooo`0000002P3oool00`000000oooo0?ooo`050?ooo`03000000000?l0oooo
00D0oooo00<0003o0?ooo`3oool0203oool00`000000003o0?ooo`0;0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool06@3oool00`000000oooo0000o`070?ooo`040000o`3oool0oooo
000000l0oooo0P0000080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0L0?ooo`03000000000?l0oooo00H0oooo00@0003o0?ooo`3oool000001P3o
ool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo00H0oooo00<000000?ooo`3oool0103o
ool01@000?l0oooo0?ooo`3oool000000380oooo00<000000?ooo`3oool0A03oool00300oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo03X0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`130?ooo`03003o003oool0oooo00<0oooo
00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00`0oooo
00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo0340oooo
00D00?l00?ooo`3oool0oooo003o000B0?ooo`03003o003oool0oooo00h0oooo00<0003o0?ooo`3o
ool02`3oool00`000?l0oooo0000o`050?ooo`03003o003oool0oooo00/0oooo00@0003o0000003o
ool00?l03P3oool00`000?l0oooo000000040?ooo`0300000000o`00oooo00D0oooo00<00?l00?oo
o`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<0003o0?ooo`3oool0203oool0
0`000000oooo0?ooo`020?ooo`030000o`3oool0oooo00T0oooo00<0003o0000003oool01@3oool0
0`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`05003o003oool0oooo0?ooo`0000000P3oool00`000?l0oooo0?oo
o`030?ooo`030000o`000000oooo00P0oooo00@000000?ooo`3oool000003@3oool00`000?l0oooo
0?ooo`070?ooo`030000o`3oool0000000L0oooo00<0003o0?ooo`000000203oool00`000000003o
0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000000o`3oool02`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`040?ooo`030000o`3oool0oooo0080oooo10000000103oool000000?ooo`000?l60?ooo`04
0000003oool0oooo0000o`L0oooo00<0003o0000003oool03`3oool00`000000oooo0?ooo`0L0?oo
o`03000000000?l0oooo00H0oooo00@0003o0?ooo`3oool000001P3oool00`000?l0oooo0?ooo`08
0?ooo`030000o`3oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000o`020?ooo`050000o`3o
ool0oooo0?ooo`000000<P3oool00`000000oooo0?ooo`140?ooo`00<03oool00`000000oooo0000
00030?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0>P3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo04<0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?oo
o`030?ooo`03003o003oool0oooo02`0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?oo
o`0O0?ooo`03003o003oool0oooo01@0oooo00@00?l00?ooo`3oool00?l0703oool20000o`D0oooo
0P00o`0<0?ooo`040000o`000000oooo0000o`/0oooo00L00?l00?ooo`3oool0oooo0000o`3oool0
00000080oooo00<000000?ooo`00o`001P3oool00`00o`00oooo0?ooo`020?ooo`050000o`3oool0
oooo0?ooo`0000000`3oool010000?l0oooo0000o`3oool20000o`L0oooo00D000000?ooo`3oool0
oooo0000o`0;0?ooo`030000o`000000oooo00@0oooo00<0003o0?ooo`3oool0303oool00`000?l0
oooo0?ooo`020?ooo`030000o`3oool0oooo00T0oooo00<000000000o`3oool0103oool01`00o`00
oooo0?ooo`3oool00?l00?ooo`000?l01P3oool00`000?l0oooo000000070?ooo`030000003oool0
oooo0080oooo0P00000;0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?ooo`0000001`3oool0
0`000?l000000?ooo`090?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool02@3oool0
0`000?l0oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0003o00L0oooo00@0003o0?ooo`3oool000001P3o
ool00`000?l0oooo00000002000000H0oooo00<000000000o`3oool01@3oool010000000oooo0?oo
o`000?l70?ooo`030000o`000000oooo00h0oooo00<000000?ooo`0000007@3oool00`000000oooo
0?ooo`060?ooo`040000o`3oool0oooo000000H0oooo00@0003o0?ooo`3oool000001`3oool00`00
0?l0oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000?l01P3oool00`000000oooo0?ooo`0`
0?ooo`030000003oool0oooo04@0oooo000a0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool08`3oool5000003P0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`130?oo
o`05003o003oool0oooo0?ooo`00o`009`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0
oooo00X0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0
oooo02<0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`0J0?ooo`030000o`3oool0
oooo00@0oooo0P00o`0<0?ooo`040000o`0000000?l00000o`/0oooo00<00?l00?ooo`3oool0103o
ool01@000000oooo0000003oool00?l000/0oooo00@0003o0?ooo`3oool000000`3oool00`000?l0
oooo0?ooo`040?ooo`@0003o103oool010000000oooo0?ooo`00000;0?ooo`030000o`000000oooo
00<0oooo00<000000000o`3oool03@3oool00`000?l000000?ooo`020?ooo`030000003oool0oooo
00T0oooo00<000000000o`3oool0203oool00`00o`00oooo0000o`060?ooo`030000o`3oool00000
00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00P0oooo00<0003o0?ooo`0000001@3oool00`000?l0oooo0000000:0?ooo`030000o`3oool0oooo
00@0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool2000000h0oooo00<000000?ooo`000?l01`3oool01000
0?l0oooo0?ooo`0000050?ooo`040000o`3oool0oooo000000P0oooo00<000000000o`3oool01@3o
ool00`000000oooo0000o`080?ooo`030000o`000000oooo00h0oooo00<000000?ooo`0000007@3o
ool00`000000003o0?ooo`070?ooo`030000o`3oool0000000T0oooo0`0000050?ooo`030000o`3o
ool0oooo00H0oooo00D000000?ooo`3oool0oooo0000o`030?ooo`040000o`3oool0oooo000001l0
oooo00<000000?ooo`3oool0303oool5000004H0oooo001L0?ooo`030000003oool0oooo01L0oooo
00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo04@0oooo
0`00o`0B0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo
0?ooo`020?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo
0?ooo`030?ooo`03003o003oool0oooo01h0oooo00D00?l00?ooo`3oool0oooo003o000B0?ooo`05
003o003oool0oooo0?ooo`00o`006`3oool00`000?l0oooo0?ooo`050?ooo`03003o003oool0oooo
00X0oooo00@0003o0?ooo`00o`00003o2`3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0
oooo0080000000<0oooo0000o`3oool01P3oool02000o`00oooo0?ooo`3oool0003o0000003oool0
00000P3oool00`000?l0oooo0?ooo`090?ooo`80003o0P3oool010000000oooo000000000?l;0?oo
o`030000o`000000oooo00<0oooo00<000000000o`3oool03@3oool00`000?l000000?ooo`020?oo
o`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool00`3oool01`00o`00oooo0?ooo`3oool0
0000003o00000?l01`3oool00`000?l000000?ooo`050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01`3oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0000000D0oooo00<0
003o0000003oool02P3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo00T0oooo00<0
003o0?ooo`3oool02@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`0000003P3oool00`000000003o0?ooo`070?ooo`040000o`3oool0oooo000000D0oooo
00<0003o0?ooo`0000002@3oool00`000000003o0?ooo`050?ooo`030000003oool0003o00P0oooo
00<0003o0000003oool03@3oool010000000oooo0?ooo`00000=0?ooo`030000003oool0oooo00d0
oooo00<000000000o`3oool01`3oool00`000?l0oooo000000060?ooo`030000o`3oool0000000<0
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0003o00<0oooo00@0003o0?oo
o`3oool000007`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo01L0oooo0P3o000X0?ooo`030?l0003oool0oooo05T0oooo00<00?l00?oo
o`3oool00`3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo0080oooo00<00?l00?oo
o`3oool02P3oool00`00o`00oooo0?ooo`0`0?ooo`03003o003oool0oooo00<0oooo00<00?l00?oo
o`3oool03P3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo00`0oooo00@0003o0?oo
o`00o`00003o403oool01P000?l0oooo0?ooo`3oool00000003o00P0oooo00<00?l00?ooo`3oool0
0P3oool01@000?l000000?ooo`3oool0003o00h0oooo0P000?l0103oool00000000000000?l=0?oo
o`040000003oool0oooo00000140oooo00D000000?ooo`3oool000000000o`0<0?ooo`030000o`3o
ool0oooo00<0oooo00@00?l00?ooo`3oool000002P3oool00`000?l000000?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000?l0oooo0?ooo`080?ooo`030000
o`3oool0000000D0oooo00<0003o0000003oool02`3oool00`000000oooo0?ooo`030?ooo`030000
o`3oool0oooo00T0oooo00<0003o0?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00L0oooo00@000000?ooo`3oool000003@3oool00`000000003o0?ooo`080?ooo`04
0000o`3oool0oooo000000@0oooo00<0003o0?ooo`0000002@3oool00`000000003o0?ooo`050?oo
o`030000003oool0003o00P0oooo00<0003o0000003oool03@3oool010000000oooo0?ooo`00000=
0?ooo`030000003oool0oooo00d0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`04
0?ooo`030000o`3oool0000000@0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`05
0?ooo`050000003oool0oooo0?ooo`000?l00`3oool010000?l0oooo0?ooo`00000N0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05P3o
ool00`3o0000oooo0?l0000P0?ooo`030?l0003oool0oooo0680oooo00<00?l00?ooo`3o00000P3o
ool00`00o`00oooo0?ooo`0[0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool07@3o
ool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool07`3o
ool00`00o`00oooo003o000=0?ooo`030000o`000000oooo00/0oooo00<00?l00?ooo`3oool00`3o
ool01@000?l0oooo0?ooo`00o`00003o00P0oooo00<00?l00?ooo`3oool00P3oool010000?l00000
0000o`000?lB0?ooo`80003o3@3oool01P000?l000000?ooo`000000oooo0000oa00oooo00@0003o
0?ooo`3oool0003o3@3oool00`000000003o0?ooo`030?ooo`07003o003oool0oooo0000003oool0
0?l00000o`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`040?ooo`030000o`000000oooo00T0oooo00<0003o0?ooo`0000001@3oool00`000000
oooo0?ooo`0;0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool02@3oool00`000?l0
oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000000o`3oool0203oool010000?l0
oooo0?ooo`0000060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00`0oooo00D000000?ooo`3oool0oooo0000000;
0?ooo`030000003oool0000000h0oooo00<0003o0?ooo`3oool01`3oool00`000?l0oooo00000005
0?ooo`040000o`3oool0oooo000000D0oooo0P0000020?ooo`030000o`3oool0oooo00D0oooo00<0
00000?ooo`3oool01P3oool00`000?l0oooo0000000N0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool0A03oool005`0oooo1@00000D0?ooo`030?l0003oool0o`000200oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`1L0?ooo`030?l0003oool0oooo0100oooo00<00?l0
0?ooo`3oool00P3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00T0oooo00<00?l0
0?ooo`3oool0103oool00`00o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo01<0oooo00<00?l0
0?ooo`3oool07`3oool00`00o`00oooo003o000=0?ooo`030000o`00o`00oooo00/0oooo00<00?l0
0?ooo`3oool00`3oool01@000?l0oooo0?ooo`3oool0003o00d0oooo00<000000000o`3oool0503o
ool00`000?l0oooo0?ooo`0;0?ooo`030000o`00000000000080oooo00<0003o0?ooo`3oool03P3o
ool010000?l0oooo0?ooo`000?l>0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`00o`00
003o203oool00`000?l000000?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00`3oool00`000?l000000?ooo`090?ooo`030000o`3oool0000000@0oooo00<0003o0000003o
ool0303oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000000o`3o
ool0203oool00`000000oooo0?ooo`020?ooo`80003o0`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo0080oooo00<0003o0000003oool02P3oool00`000000003o0?ooo`030?ooo`04
0000003oool0oooo0000o`T0oooo00<0003o0?ooo`3oool02`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`0000003P3oool00`000?l0oooo0?ooo`070?oo
o`040000o`3oool0oooo000000@0oooo00@0003o0?ooo`3oool000001`3oool00`000000oooo0000
o`070?ooo`040000003oool0oooo0000o`D0oooo00@0003o0?ooo`3oool000007@3oool00`000000
oooo0?ooo`0=0?ooo`D00000AP3oool004h0oooo0P00000<0?ooo`030000003oool0oooo01D0oooo
00@0o`000?ooo`3oool0o`00803oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo05X0
oooo00D00?l00?ooo`3o0000oooo003o000A0?ooo`05003o003oool0oooo0?ooo`00o`00303oool0
0`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0703oool0
0`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool00P3oool0
0`00o`00oooo0?ooo`0R0?ooo`03003o003oool0oooo00X0oooo00<0003o003o003oool02`3oool0
0`00o`00oooo0?ooo`040?ooo`030000o`3oool00?l000T0oooo00<00?l00?ooo`3oool09`3oool0
1@000?l000000000003oool0003o0140oooo00@0003o00000000o`00003o3`3oool01@000?l00000
0?ooo`3oool00?l00080oooo00<000000?ooo`00o`002@3oool00`000?l000000?ooo`020?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`0:0?ooo`03
0000o`000000oooo00<0oooo00<0003o0?ooo`3oool0303oool00`000?l0oooo0?ooo`020?ooo`03
0000o`3oool0oooo00X0oooo00<000000000o`3oool0203oool01`000000oooo0?ooo`3oool0003o
0?ooo`000?l00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool02@3oool00`000?l0oooo0?ooo`080?ooo`040000o`3oool0oooo000000@0oooo00<0
003o0000003oool02P3oool00`000000003o0?ooo`030?ooo`040000003oool0oooo0000o`T0oooo
00<0003o0?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo00L0oooo00@0003o0?ooo`3o
ool00000103oool00`000?l0oooo000000080?ooo`030000003oool0003o00L0oooo00@000000?oo
o`3oool0003o203oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0140oooo00<00000
0?ooo`3oool03`3oool2000003<0oooo000c0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02`3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo01D0oooo00D0o`00
0?ooo`3oool0oooo0?l0000O0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0FP3o
ool01@00o`00oooo0?l0003oool00?l001D0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo
0?ooo`0`0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo
0?ooo`0S0?ooo`03003o003oool0oooo00h0oooo00<0003o003o003oool04`3oool00`000?l00?l0
0000o`080?ooo`03003o003oool0oooo02L0oooo00D0003o0000003oool0oooo0000o`0A0?ooo`04
0000o`0000000?l000000100oooo00@0003o0000003oool00?l00P3oool00`000000oooo003o0009
0?ooo`030000o`000000oooo0080oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`08
0?ooo`050000003oool0oooo0?ooo`000000303oool00`000?l000000?ooo`020?ooo`030000o`00
0000oooo00d0oooo00<0003o0000003oool00P3oool00`000?l0oooo0?ooo`0:0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool00P3oool010000?l0oooo0?ooo`000?l20?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000
o`3oool0oooo00P0oooo00@0003o0?ooo`3oool000000`3oool00`000?l0oooo0000000;0?ooo`03
000000000?l0oooo00<0oooo00<000000?ooo`000?l02P3oool00`000?l0oooo0?ooo`0;0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool00000
00d0oooo00<0003o0?ooo`3oool01`3oool010000?l0oooo0?ooo`0000060?ooo`030000003oool0
oooo00L0oooo00<000000000o`3oool01@3oool01@000000oooo0?ooo`3oool0003o00H0oooo00<0
003o0?ooo`0000003`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool03P3oool010000000oooo0?ooo`00000b0?ooo`00=03oool2000000L0oooo0P00
000A0?ooo`030000003oool0oooo00T0oooo2@00000>0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo05/0oooo00@0
0?l00?l0003oool00?l04@3oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00D0oooo
00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00<0oooo
00<00?l00?ooo`3oool07@3oool01@00o`00oooo0?ooo`3oool00?l000`0oooo0P000?l<0?ooo`03
003o003oool0oooo00D0oooo00<0003o003o003oool0203oool00`00o`00oooo0?ooo`0?0?ooo`<0
0?l05@3oool01@000?l0oooo0?ooo`3oool0003o0140oooo00@0003o00000000o`00003o403oool0
1P000?l0oooo00000000o`00oooo00000080oooo00<00?l00?ooo`3oool0203oool010000?l0oooo
0?ooo`0000030?ooo`<0003o2`3oool010000000oooo0?ooo`000?l=0?ooo`050000003oool0oooo
0?ooo`000?l03`3oool00`000?l000000?ooo`020?ooo`030000o`3oool0oooo00/0oooo00<0003o
0?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0003o00<0oooo00D0003o0?ooo`3oool0oooo
000000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000?l00000
0?ooo`090?ooo`040000o`3oool0oooo000000<0oooo00<0003o0000003oool0303oool00`000?l0
oooo0?ooo`020?ooo`030000003oool0003o00X0oooo00<000000000o`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo0000000=0?oo
o`030000o`3oool0oooo00L0oooo00@0003o0?ooo`3oool00000103oool00`000?l0oooo00000009
0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0oooo0000o`060?ooo`030000o`3o
ool0000000l0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`T000004`3o
ool00`000000oooo0?ooo`0`0?ooo`00=P3oool7000000X0oooo100000030?ooo`800000303oool0
0`000000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool07@3oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo05/0oooo0P3o000C0?ooo`05003o003oool0
oooo0?ooo`00o`003@3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00H0oooo00<0
0?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo01d0oooo00D0
0?l00?ooo`3oool0oooo003o000=0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0
1P3oool00`000?l0oooo0?ooo`0E0?ooo`<00?l0103oool00`00o`00oooo0?ooo`0Y0?ooo`030000
0000o`000?l00140oooo00<0003o0?ooo`0000000P0000030?ooo`03003o003oool0oooo00L0oooo
00L0003o0?ooo`3oool000000000o`3oool0003o00@0oooo00<0003o0?ooo`3oool0203oool20000
o`030000003oool0oooo00X0oooo00<0003o0000003oool00P3oool00`000?l0oooo0?ooo`0>0?oo
o`050000003oool0oooo0?ooo`000?l03@3oool00`000?l0oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00@0003o0?ooo`3oool00000103oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00H0oooo00<0003o0?ooo`3oool02P3oool00`000?l0oooo000000030?ooo`030000o`00
0000oooo00`0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0000o`0:0?ooo`0300000000
0?l0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000?l000000?ooo`0;0?ooo`030000003o
ool0oooo0080oooo00<0003o0000003oool02@3oool00`000000oooo0000o`050?ooo`050000003o
ool0oooo0?ooo`000?l01P3oool00`000?l0oooo0000000>0?ooo`030000003oool0000000/0oooo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`080?ooo`@000000`3oool2000003<0oooo
001>0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0>@3oool00`3o0000oooo0?oo
o`050?ooo`030?l0003oool0oooo05/0oooo00<00?l00?ooo`00o`004P3oool01@00o`00oooo0?oo
o`3oool00?l000d0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo01/0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o
003oool0oooo00@0oooo00<00?l00?ooo`3oool08@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`080?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0C0?ooo`030000
o`3oool0003o0180oooo00@0003o0?ooo`00o`000?l04`3oool01@00o`00oooo0000003oool0003o
00`0oooo00<000000000o`000?l0203oool20000o`L0oooo00@0003o0?ooo`0000000000303oool0
1@000?l000000?ooo`3oool000000140oooo00D0003o0000003oool0oooo0000o`0=0?ooo`030000
00000?l0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?ooo`030?ooo`030000
o`3oool0000000@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000
o`3oool0oooo00X0oooo00<0003o0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00T0oooo00<0003o0000003oool02@3oool00`000?l0oooo000000030?ooo`030000
o`3oool0000000/0oooo00<000000000o`3oool0103oool00`000000oooo0?ooo`090?ooo`030000
o`000000oooo00d0oooo00<000000?ooo`0000002P3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0<P3oool004h0oooo0`00000;0?ooo`030000003o
ool0oooo01<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003o
ool0oooo00D0oooo00<0o`000?ooo`3oool0F`3oool00`00o`00o`00003o000F0?ooo`03003o003o
ool0oooo00/0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo0?ooo`050?ooo`03003o003o
ool0oooo00`0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`0?0?ooo`03003o003o
ool0oooo0180oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0:0?ooo`03003o003o
ool0oooo00D0oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0000o`0B0?ooo`040000o`3o
ool00000003o0140oooo00<0003o003o003oool00`3oool00`000?l0oooo003o000:0?ooo`030000
o`000000oooo00X0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`020?ooo`030000
003oool0oooo00X0oooo00H0003o0?ooo`000000oooo000000000?l@0?ooo`050000o`000000oooo
0?ooo`0000003@3oool00`000000003o0?ooo`050?ooo`050000003oool0oooo0?ooo`000?l01`3o
ool00`000?l000000?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3o
ool00`000?l0oooo0?ooo`0<0?ooo`050000003oool0oooo0?ooo`000?l03P3oool00`000?l0oooo
0?ooo`020?ooo`030000003oool0003o00/0oooo00<0003o0?ooo`3oool0203oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`030000o`3oool0oooo00T0oooo00<0003o0?ooo`0000000`3oool00`000?l0oooo
0000000;0?ooo`03000000000?l0oooo00@0oooo00@000000?ooo`3oool0003o203oool00`000?l0
00000?ooo`0<0?ooo`050000003oool0oooo0?ooo`0000002@3oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo00l0oooo0`00000b0?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`1K0?ooo`03
003o003o0000oooo01<0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`060?ooo`03
003o003oool0oooo00L0oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`0D0?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool06`3oool00`00o`00oooo0?ooo`020?ooo`03
003o003oool0oooo01P0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`090?ooo`03
003o003oool0oooo00T0oooo00<00?l00?ooo`3oool06`3oool20000oa<0oooo00<0003o003o0000
00004P3oool00`000?l00?l00?ooo`020?ooo`040000o`3oool0oooo003o00X0oooo00<000000?oo
o`3oool03@3oool20000oa80oooo00H0003o0?ooo`00000000000?ooo`000?l@0?ooo`050000o`00
0000oooo0?ooo`000?l03P3oool2000000D0oooo00D000000?ooo`3oool0oooo0000o`070?ooo`03
0000o`3oool000000080oooo00<000000?ooo`3oool02P3oool2000000@0oooo00<0003o0000003o
ool02`3oool00`000?l0oooo000000030?ooo`030000o`3oool0oooo00`0oooo00<0003o0000003o
ool00P3oool00`000000oooo0000o`0;0?ooo`030000o`3oool0oooo00P0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`090?ooo`030000o`3oool0000000<0oooo00<0003o0000003o
ool02`3oool00`000000003o0?ooo`040?ooo`040000003oool0oooo0000o`P0oooo00<0003o0000
003oool0303oool01@000000oooo0?ooo`3oool0000000T0oooo00<000000?ooo`3oool04`3oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`1S0?ooo`030?l00000o`00oooo
01<0oooo00<00?l00?ooo`00o`003`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo
00P0oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo
01/0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo
00X0oooo00<00?l00?ooo`3oool09@3oool00`00o`00oooo0?ooo`0C0?ooo`80003o503oool01000
o`00oooo0000o`00o`0A0?ooo`050000o`3oool0oooo0?ooo`000?l00P3oool00`00o`00oooo0?oo
o`0G0?ooo`030000o`3oool0oooo0180oooo00D0003o0?ooo`00000000000000o`0A0?ooo`050000
o`000000oooo0?ooo`000?l03`3oool00`000?l00000000000030?ooo`040000003oool0oooo0000
o`T0oooo00D0003o0000003oool0oooo000000020?ooo`<0003o2@3oool200000080oooo00<0003o
0000003oool02`3oool00`000?l0oooo000000020?ooo`030000o`000000oooo00d0oooo00<0003o
0000003oool00P3oool00`000000oooo0000o`0;0?ooo`030000o`3oool0oooo00L0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool00`000?l000000?ooo`0:0?ooo`030000o`3oool0000000@0oooo00<00000
0?ooo`3oool02`3oool00`000?l0oooo0?ooo`030?ooo`040000003oool0oooo0000o`P0oooo00<0
003o0000003oool02`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool04`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo05/0oooo00<0o`00003o003oool04`3oool00`00o`00oooo003o000@
0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0J
0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`06
0?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0:
0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`08
0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool04`3oool00`000?l0oooo0?ooo`0C
0?ooo`04003o003oool0003o003o0140oooo00D00?l00?ooo`3oool0oooo0000o`0c0?ooo`030000
003oool0003o0140oooo00D0003o0?ooo`000000oooo0000o`0?0?ooo`030000o`3oool0oooo00<0
00000`3oool00`000?l0oooo0?ooo`080?ooo`040000o`3oool000000?ooo`80003o0`3oool20000
o`T0oooo00@000000000o`3oool00000303oool00`000?l0oooo000000020?ooo`030000o`000000
oooo00h0oooo00L0003o0?ooo`3oool0oooo0000003oool0003o00/0oooo00<0003o0?ooo`3oool0
1`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`060?ooo`030000o`000000oooo00`0oooo00H000000?ooo`3oool0
oooo0000o`00000=0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0003o2@3oool0
0`000?l0oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
0140oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool0F`3oool00`3o00000?l00?l0000E0?ooo`03003o003oool0oooo
03`0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo
02@0oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0A0?ooo`03003o003oool0oooo
00X0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo
02T0oooo00<0003o0?ooo`00o`004@3oool00`00o`00003o0?ooo`050?ooo`03003o003oool0oooo
02`0oooo00@0003o0000003oool0003o4`3oool2000000030000o`3oool0oooo00h0oooo00D0003o
0?ooo`3oool0oooo0000000>0?ooo`04000000000?l0003o0000oa40oooo00<0003o000000000000
303oool00`000?l0oooo000000020?ooo`030000o`3oool0oooo00h0oooo00L0003o0000003oool0
oooo0000003oool0003o00/0oooo00<000000000o`3oool01`3oool00`000000oooo0?ooo`030?oo
o`030000o`3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<0003o0?ooo`0000002`3oool00`000?l0oooo000000030?oo
o`030000o`000000oooo00`0oooo00<000000000o`3oool00`3oool010000000oooo0?ooo`000?l9
0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0403oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01/0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`1K0?ooo`030?l0003oool0o`0001<0oooo00<00?l00?oo
o`3oool04@3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00T0oooo00<00?l00?oo
o`3oool01`3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01@0oooo00<00?l00?oo
o`3oool01P3oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00@0oooo00<00?l00?oo
o`3oool05`3oool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00X0oooo00<00?l00?oo
o`3oool0203oool00`00o`00oooo0?ooo`0E0?ooo`030?l0003oool0oooo00@0oooo00<00?l00?oo
o`3oool04`3oool00`00o`00003o0?ooo`0B0?ooo`04003o003oool0003o0000o`@0oooo00<00?l0
0?ooo`3oool0;03oool00`000?l00?l00?ooo`0C0?ooo`040000o`00000000000000oa00oooo00<0
003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00<0
003o0?ooo`3oool05P3oool01P000?l0oooo0?ooo`000000oooo00000140oooo00@000000?ooo`3o
ool000003@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00@0003o0?oo
o`000?l0003o0P3oool01@000000oooo0?ooo`3oool0000000/0oooo00<000000?ooo`3oool0103o
ool00`000?l0oooo0000000;0?ooo`030000o`3oool0000000<0oooo00<0003o0?ooo`3oool03@3o
ool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000000o`3oool02@3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0@0?ooo`030?l0003oool0
oooo00P0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0
oooo05d0oooo00<0o`000?ooo`3oool04@3oool00`00o`00oooo003o000B0?ooo`05003o003oool0
oooo0?ooo`00o`00303oool00`00o`00oooo0?ooo`060?ooo`05003o003oool00?l0003o003oool0
0`00o`0E0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo
0?ooo`040?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo
0?ooo`0V0?ooo`03003o003oool0oooo00/0oooo00<0o`000?ooo`3oool0103oool00`00o`00oooo
0?ooo`0C0?ooo`04003o00000?l0oooo003o01<0oooo0P000?l40?ooo`03003o003oool0oooo02`0
oooo00@0003o003o003oool0003o4P3oool00`000?l000000000000B0?ooo`030000o`3oool0oooo
00<0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`080?ooo`030000o`3oool0oooo
00D0oooo00<0003o0?ooo`3oool0403oool00`000000oooo0000o`0@0?ooo`060000o`000000oooo
0?ooo`000000003o303oool2000000030000o`3oool0oooo00@0oooo00<000000?ooo`3oool00P3o
ool00`000?l0oooo0?ooo`020?ooo`040000o`3oool0003o00000080oooo00@000000?ooo`3oool0
oooo0P000?l60?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000?l0
oooo000000030?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool00P3oool00`000000
oooo0000o`0;0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0A03oool005`0oooo
00<000000?ooo`3oool06`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool0FP3oool00`3o0000oooo0?ooo`0D0?ooo`800?l05P3oool00`00o`00oooo
0?ooo`0:0?ooo`03003o003oool0oooo00@0oooo0P00o`0B0?ooo`03003o003oool0oooo00P0oooo
00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo0200oooo
00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00@0oooo
00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00L0oooo
00<00?l00?ooo`3oool02`3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo01<0oooo
00@00?l00?ooo`3oool00?l04@3oool01000o`00oooo0?ooo`000?lc0?ooo`040000o`00o`00oooo
0000oa80oooo00<0003o0?ooo`000?l0603oool00`000?l0oooo0?ooo`0E0?ooo`030000o`3oool0
oooo00@0oooo00<0003o0?ooo`3oool03`3oool01@000?l0oooo000000000000003o0100oooo00H0
003o0000003oool000000?ooo`000?l>0?ooo`04000000000?l0000000000080oooo00<000000?oo
o`3oool00`3oool00`000?l0oooo0?ooo`050?ooo`<0003o00@000000000o`000?l0003o0P3oool0
0`000?l0oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00@0003o0000000000000000303o
ool00`000?l000000?ooo`020?ooo`030000o`3oool0oooo00d0oooo00<0003o0000003oool00P3o
ool00`000000oooo0000o`0;0?ooo`030000o`3oool0oooo00L0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0003o0?ooo`3oool0403o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0h0?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool0FP3oool00`3o0000oooo0?l0000E0?ooo`03003o003oool0
oooo0140oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0
oooo00L0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0
oooo02@0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0A0?ooo`03003o003oool0
oooo00X0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0
oooo00/0oooo00<0o`000?ooo`3oool01@3oool00`00o`00oooo0?ooo`0C0?ooo`040000o`3oool0
oooo003o0100oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0/0?ooo`030000o`00
o`00003o01<0oooo00<0003o0?ooo`00o`004`3oool01@000?l0oooo0?ooo`3oool0003o01T0oooo
00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0?0?ooo`040000o`3oool000000000oa40
oooo00H0003o0?ooo`00000000000?ooo`000?l?0?ooo`030000o`3oool0oooo00<00000103oool0
0`000?l0oooo0?ooo`060?ooo`030000003oool0000000L0oooo00<0003o0?ooo`3oool00`3oool5
000000030000o`3oool0oooo00d0oooo00D0003o0000003oool0oooo0000000@0?ooo`030000o`00
0000oooo0080oooo00<000000?ooo`000?l02`3oool00`000?l0oooo0?ooo`060?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020000oa<0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0703oool00`3o0000oooo0?ooo`0I
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0FP3oool00`3o0000oooo0?l0000D
0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`00o`003@3oool01@00o`00oooo0?ooo`3o
ool00?l000/0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003o
ool0oooo00P0oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`060?ooo`03003o003o
ool0oooo01L0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003o
ool0oooo00L0oooo00<00?l00?ooo`3oool05P3oool00`3o0000oooo0?ooo`040?ooo`800?l04`3o
ool00`00o`00oooo0000o`0C0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0;03o
ool00`00o`00oooo0000o`0D0?ooo`800?l04`3oool01@000?l0oooo0?ooo`3oool0003o01h0oooo
00<0003o0?ooo`3oool0403oool010000?l0oooo000000000?lB0?ooo`050000o`00000000000?oo
o`000?l0403oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo00H0oooo00<000000?oo
o`0000001`3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo0100oooo00<000000?oo
o`000?l04@3oool01`000000oooo0?ooo`3oool000000?ooo`000?l02`3oool00`000000003o0?oo
o`060?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00P3oool30000oaD0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0703oool00`3o0000oooo0?ooo`0S
0?ooo`030?l0003oool0oooo05X0oooo00<0o`000?ooo`3o0000503oool2003o01D0oooo00<00?l0
0?ooo`3oool0303oool01000o`00oooo0?ooo`00o`0=0?ooo`03003o003oool0oooo0140oooo00<0
0?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo00H0oooo00<0
0?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo02H0oooo00<0
0?l00?ooo`3oool02P3oool00`3o0000oooo0?ooo`030?ooo`03003o003oool0oooo01<0oooo00<0
0?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0F0?ooo`03003o003oool0oooo02`0oooo00<0
0?l00000o`00o`00503oool2003o01@0oooo00@0003o0?ooo`3oool0003o6P3oool00`000?l0oooo
0?ooo`0D0?ooo`040000o`3oool000000000oa80oooo00D0003o000000000000oooo0000o`0I0?oo
o`030000o`3oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000?l0oooo0?ooo`060?oo
o`030000o`3oool0oooo00h0oooo00D0003o0?ooo`000000oooo0000o`0A0?ooo`040000o`000000
oooo00000080oooo00<0003o0?ooo`3oool02@3oool00`000000003o0?ooo`050?ooo`030000003o
ool0oooo00X0oooo00@000000?ooo`000?l0003o603oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0M0?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool0H`3o
ool0103o0000oooo0?ooo`3o000D0?ooo`800?l05@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o
003oool00?l001H0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`080?ooo`03003o
003oool0oooo00T0oooo00<00?l00?ooo`3oool0803oool00`00o`00oooo0?ooo`090?ooo`03003o
003oool0oooo00/0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o
003oool0oooo00H0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`090?ooo`80o`00
1@3oool01000o`00oooo0?ooo`00o`0B0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`0d0?ooo`03003o00000?l00?l001@0oooo00<0003o003o003o
ool04`3oool00`000?l0oooo0000o`0L0?ooo`030000o`3oool0003o01<0oooo00<0003o0?ooo`00
0000503oool2000001<0oooo00<0003o0?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`03
0000o`3oool0oooo00h0oooo00D0003o0?ooo`00000000000000o`0A0?ooo`040000o`000000oooo
000000h0oooo0P0000000`000?l0000000000004000000/0oooo00D0003o000000000?l0oooo0000
000H0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01d0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool0F@3oool01@3o0000oooo0?ooo`3oool0o`0001@0oooo00<00?l00?ooo`3oool08P3o
ool2003o0100oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0:0?ooo`03003o003o
ool0oooo00L0oooo00<00?l00?ooo`3oool04@3oool2003o0100oooo00<00?l00?ooo`3oool04P3o
ool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool01P3o
ool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00T0oooo0P3o00080?ooo`03003o003o
ool0oooo02H0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0/0?ooo`030000o`00
o`00oooo01<0oooo00<00?l00?ooo`3oool05@3oool00`000?l0oooo0?ooo`0K0?ooo`030000o`3o
ool0oooo01D0oooo00<0003o0?ooo`3oool0403oool01@000?l0oooo0000003oool0003o0140oooo
00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo01H0oooo
00D0003o0?ooo`00000000000000o`0A0?ooo`060000o`000000oooo0000003oool0003o7P3oool2
0000o`80oooo00<000000?ooo`000000603oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo00D0oooo0P3o000A0?ooo`030?l0003oool0oooo
00L0oooo00<0o`000?ooo`3oool0F@3oool01@3o0000oooo0?ooo`3oool0o`0004/0oooo00<00?l0
0?ooo`3oool0103oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00T0oooo00<00?l0
0?ooo`3oool00`3oool2003o0080oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`07
0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0<
0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool05@3oool00`3o0000oooo0?l00004
0?ooo`04003o003oool0oooo003o0180oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?oo
o`0=0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?oo
o`0C0?ooo`03003o00000?l0oooo01@0oooo0P00o`0E0?ooo`030000o`3oool0oooo0380oooo00<0
003o0?ooo`000?l04P3oool01@000?l0oooo0000003oool0003o0140oooo00<0003o0?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0
403oool010000?l00000000000000?lA0?ooo`060000o`3oool000000000003oool0003o3`3oool0
0`000?l0oooo0?ooo`0:0?ooo`80003o103oool00`000000oooo0000000H0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo01d0oooo00<0o`000?ooo`3oool0103oool0103o
0000oooo0?ooo`3o000@0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0F@3oool0
1@3o0000oooo0?ooo`3oool0o`0004`0oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?oo
o`0C0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?oo
o`070?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?oo
o`0V0?ooo`03003o003oool0oooo00T0oooo00<0o`000?ooo`3o00000`3oool00`00o`00oooo0?oo
o`0D0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?oo
o`0E0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`00o`00503oool2003o01D0oooo00<0
003o0?ooo`3oool0<P3oool20000oa<0oooo00@0003o0?ooo`3oool0003o4`3oool00`000?l0oooo
0?ooo`020?ooo`030000o`3oool0oooo01D0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo
0?ooo`0@0?ooo`030000o`00000000000180oooo00H0003o0?ooo`00000000000?ooo`000?l@0?oo
o`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01h0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3o
ool0G@3oool00`3o0000oooo0?ooo`1;0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3o
ool02`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3o
ool0103oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3o
ool0303oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3o
ool01P3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00T0oooo00<0o`000?ooo`3o
00000`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3o
ool00`3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo03D0oooo00<00?l00?ooo`00
o`005@3oool00`000?l00?l00?ooo`180?ooo`80003o503oool00`000?l0oooo0000o`0C0?ooo`05
0000o`3oool0oooo0?ooo`000?l0603oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo
0180oooo00<000000?ooo`000?l04`3oool2000000030?ooo`000?l0oooo00l0oooo00<0003o0?oo
o`3oool01`3oool00`000?l0oooo0?ooo`060?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0A03oool005`0oooo00<000000?ooo`3oool07P3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`080?ooo`03
0?l0003oool0oooo05T0oooo00<0o`000?ooo`3oool0C`3oool01@00o`00oooo0?ooo`3oool00?l0
01H0oooo00<00?l00?ooo`3oool02`3oool01000o`00oooo003o0000o`080?ooo`03003o003oool0
oooo00T0oooo00<00?l00?ooo`3oool09P3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0
oooo00D0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`080?ooo`030?l0003oool0
o`0000P0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0
oooo01@0oooo00<00?l00?ooo`00o`005P3oool00`00o`00oooo0?ooo`0B0?ooo`03003o00000?l0
oooo04T0oooo0P000?lD0?ooo`030000o`3oool0003o0340oooo00D0003o0?ooo`3oool0oooo0000
o`0C0?ooo`040000o`000000oooo0000oa80oooo00D0003o0?ooo`000000oooo0000o`0A0?ooo`03
0000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool08@3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0R0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
303oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo05T0oooo00D0o`000?ooo`3oool0
oooo0?l0001=0?ooo`05003o003oool0oooo0?ooo`00o`00403oool00`00o`00oooo0?ooo`030?oo
o`03003o003oool0oooo00/0oooo0P00o`0E0?ooo`03003o003oool0oooo00T0oooo00<00?l00?oo
o`3oool01P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo0080oooo00<00?l00?oo
o`3oool0303oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo01H0oooo00<0o`000?oo
o`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo00h0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00L0oooo00<00?l00?oo
o`3oool04`3oool01000o`00oooo0?ooo`00o`0C0?ooo`03003o003oool0oooo01D0oooo00<00?l0
0?ooo`00o`00B@3oool00`000?l0oooo0?ooo`0Z0?ooo`030000o`3oool0003o01/0oooo00@0003o
0?ooo`3oool0003o4`3oool00`000?l0oooo0000o`0C0?ooo`030000o`3oool0000001X0oooo00<0
003o0?ooo`3oool08P3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001`0oooo00@0o`00
0?ooo`3oool0o`001`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool0F@3oool01@3o0000oooo0?ooo`3oool0o`0006<0oooo00<00?l00?ooo`3oool0
403oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0
2@3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3oool0
9`3oool00`00o`00oooo0?ooo`080?ooo`030?l0003oool0o`000080oooo00<00?l00?ooo`3oool0
503oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool0
4P3oool01000o`00oooo0?ooo`00o`0C0?ooo`05003o003oool0oooo0?ooo`00o`004`3oool00`00
o`00oooo003o001:0?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`000?l0503oool20000
oa`0oooo00<0003o0?ooo`000?l0503oool00`000?l0oooo0000o`0C0?ooo`040000o`3oool0oooo
0000oa80oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0O0?ooo`D00000AP3oool0
05`0oooo00<000000?ooo`3oool07P3oool00`3o0000oooo0?l000080?ooo`030?l0003oool0oooo
01H0oooo00<0o`000?ooo`3oool0F@3oool01@3o0000oooo0?ooo`3oool0o`0004h0oooo00@00?l0
0?ooo`3oool00?l04`3oool00`00o`00oooo003o000M0?ooo`03003o003oool0oooo00D0oooo00<0
0?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00d0oooo00D0
0?l00?ooo`3oool0oooo003o000?0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0
2`3oool00`00o`00oooo0?ooo`0:0?ooo`040?l0003oool0oooo003o00D0oooo00<00?l00?ooo`3o
ool03P3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3o
ool0=03oool01@00o`00oooo0?ooo`3oool00?l001D0oooo00<00?l00?ooo`3oool0A`3oool20000
oa@0oooo00<0003o0?ooo`000?l05@3oool00`000?l0oooo0?ooo`0K0?ooo`030000o`3oool0oooo
01<0oooo00<0003o0?ooo`000?l04`3oool010000?l0oooo0?ooo`000?lB0?ooo`030000o`3oool0
oooo0080oooo00<0003o0?ooo`3oool0903oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool02`3oool00`3o
0000oooo0?ooo`1S0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0C03oool01000
o`00oooo0?ooo`00o`0C0?ooo`03003o003oool00?l001l0oooo0`00o`00103oool00?l0003o0000
o`0X0?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?oo
o`0;0?ooo`03003o003oool0oooo00P0oooo00<0o`000?ooo`3o0000203oool00`00o`00oooo0?oo
o`0T0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool04P3oool01000o`00oooo0?oo
o`00o`0G0?ooo`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool0B`3oool00`000?l0oooo
0?ooo`0B0?ooo`80003o=03oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo01H0oooo
00<0003o0?ooo`3oool04@3oool010000?l0oooo0?ooo`000?lW0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo02X0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool0=`3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo04d0oooo00<00?l00?ooo`00o`003@3oool00`3o0000oooo
0?ooo`040?ooo`800?l0<@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00h0oooo
00D00?l00?ooo`3oool0oooo003o000@0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3o
ool05P3oool00`3o0000oooo0?l000020?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3o
ool03@3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3o
ool0203oool00`00o`00oooo0?ooo`0A0?ooo`05003o003oool0oooo0?ooo`00o`004`3oool00`00
o`00oooo0?ooo`0D0?ooo`05003o003oool0oooo0?ooo`00o`00G`3oool00`000?l0oooo0?ooo`1:
0?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`000?l04`3oool00`000?l0oooo0000o`0X
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02X0oooo00<0o`000?oo
o`3oool02P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01h0oooo00<0o`000?oo
o`3oool0=`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo05d0oooo00<0o`000?oo
o`3oool0=`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00h0oooo00<00?l00?oo
o`3oool0:03oool00`00o`00oooo0?ooo`070?ooo`050?l0003oool0o`000?ooo`00o`005`3oool0
0`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04@3oool0
1@00o`00oooo0?ooo`3oool00?l000d0oooo00<0o`000?ooo`3oool00P3oool00`00o`00oooo0?oo
o`020?ooo`03003o003oool0oooo0100oooo00D00?l00?ooo`3oool0oooo003o001O0?ooo`030000
o`3oool0oooo04T0oooo0P000?lD0?ooo`030000o`3oool0003o01@0oooo00<0003o0?ooo`3oool0
9`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0g0?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool07P3oool20?l003P0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`1>0?ooo`03003o003oool0oooo00`0oooo00<0o`000?ooo`3oool0>03o
ool00`00o`00oooo0?ooo`040?ooo`03003o003oool0oooo00h0oooo00D00?l00?ooo`3oool0oooo
003o000@0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo
0?ooo`070?ooo`050?l0003oool0o`000?ooo`00o`001`3oool00`00o`00oooo0?ooo`0=0?ooo`03
003o003oool0oooo00H0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0K0?ooo`03
003o003oool0oooo0100oooo00<0o`000?ooo`3oool00P3oool00`00o`00oooo0?ooo`020?ooo`03
003o003oool0oooo01@0oooo00<00?l00?ooo`3oool0Z@3oool00`000?l0oooo0?ooo`0C0?ooo`03
0000o`3oool0oooo03h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
:`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0
7@3oool00`3o0000oooo0?l0000m0?ooo`030?l0003oool0oooo04h0oooo00<00?l00?ooo`3oool0
303oool20?l005D0oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`030?ooo`03003o
003oool0oooo00d0oooo00<00?l00?ooo`3oool01P3oool0103o0000oooo0?ooo`3o00090?ooo`03
003o003oool0oooo02<0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0?0?ooo`03
003o003oool0oooo00@0oooo00<00?l00?ooo`3oool02P3oool00`3o0000oooo0?ooo`070?ooo`03
003o003oool0oooo0100oooo00<00?l00?ooo`3oool0[@3oool00`000?l0oooo0?ooo`0C0?ooo`80
003o?`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0[0?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0
003oool0oooo03P0oooo00<0o`000?ooo`3oool0HP3oool20?l003T0oooo00<00?l00?ooo`3oool0
0`3oool00`00o`00oooo0?ooo`0?0?ooo`05003o003oool0oooo0?ooo`00o`00403oool00`00o`00
oooo0?ooo`030?ooo`03003o003oool0oooo01H0oooo00H0o`000?ooo`3oool0o`000?ooo`00o`08
0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`09
0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`04
0?ooo`03003o003oool0oooo00X0oooo0P3o00030?ooo`03003o003oool0oooo01D0oooo00D00?l0
0?ooo`3oool0oooo003o002[0?ooo`030000o`3oool0oooo01<0oooo0P000?lo0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo02`0oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3o0000>03oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo05`0oooo0P3o000i0?ooo`03003o003oool0
oooo0080oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0X0?ooo`03003o003oool0
oooo00H0oooo00<0o`000?ooo`3oool00P3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0
oooo00P0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0
oooo00X0oooo0P3o00030?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03`3oool0
1@00o`00oooo0?ooo`3oool00?l00:/0oooo00<0003o0?ooo`3oool0503oool00`000?l0oooo0?oo
o`0m0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02`0oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01h0oooo00<0o`00
0?ooo`3oool0=P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo05`0oooo0P3o000i
0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool0403oool01000o`00oooo0?ooo`00
o`0A0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?oo
o`060?ooo`060?l0003oool0oooo0?l0003oool00?l0203oool00`00o`00oooo0?ooo`0;0?ooo`03
003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0K0?ooo`03
003o003oool0oooo0140oooo0P3o00030?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3o
ool04`3oool00`00o`00oooo0?ooo`300?ooo`030000o`3oool0oooo03d0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0;03oool00`3o0000oooo0?ooo`0D0?ooo`030?l0
003oool0oooo01`0oooo00<0o`000?ooo`3o0000>03oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo05`0oooo0P3o001D0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0
0P3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00T0oooo00<0o`000?ooo`3oool0
203oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0
3@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00X0oooo00<0o`000?ooo`3oool0
203oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool0
k03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0/0?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool0:03oool00`3o0000oooo0?l0000g0?ooo`030?l0003o
ool0oooo00@0oooo00<0o`000?ooo`3oool0G@3oool00`3o0000oooo0?ooo`0h0?ooo`05003o003o
ool0oooo0?ooo`00o`004P3oool01000o`00oooo0?ooo`00o`0A0?ooo`03003o003oool0oooo0080
oooo00<00?l00?ooo`3oool05`3oool01@3o0000oooo0?ooo`3o00000?l000T0oooo00<00?l00?oo
o`3oool02`3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00P0oooo00<00?l00?oo
o`3oool02P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00D0oooo00<00?l00?oo
o`3oool02P3oool20?l000<0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`030?oo
o`03003o003oool0oooo0100oooo0P00o`3]0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo02d0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`03
0?l0003oool0oooo01`0oooo00@0o`000?ooo`3oool0o`00=P3oool00`3o0000oooo0?ooo`040?oo
o`030?l0003oool0oooo05/0oooo00<0o`000?ooo`3o0000>P3oool01000o`00oooo0?ooo`00o`0C
0?ooo`03003o003oool0oooo02T0oooo00<00?l00?ooo`3oool01@3oool01@3o0000oooo0?ooo`3o
00000?l001L0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0E0?ooo`03003o003o
ool0oooo01D0oooo00<00?l00?ooo`3oool02P3oool20?l00080oooo00<00?l00?ooo`3oool0103o
ool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool0403o
ool2003o0>d0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000[0?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0K0?ooo`050?l0003oool0
oooo0?ooo`3o0000=P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo05/0oooo00<0
o`000?ooo`3o0000>P3oool01000o`00oooo0?ooo`00o`0C0?ooo`04003o003oool0oooo003o0180
oooo00D00?l00?ooo`3oool0oooo003o000A0?ooo`03003o003oool0oooo00D0oooo00D0o`000?oo
o`3oool0oooo003o000:0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool02@3oool0
0`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo01T0oooo00<00?l00?ooo`3oool04`3oool2
0?l00080oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0
oooo0140oooo00<00?l00?ooo`3oool0i`3oool5000004H0oooo001L0?ooo`030000003oool0oooo
03L0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0K0?ooo`050?l0003oool0oooo
0?ooo`3o0000=P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo05/0oooo00<0o`00
0?ooo`3oool0D`3oool00`00o`00oooo0?ooo`0A0?ooo`05003o003oool0oooo0?ooo`00o`004@3o
ool00`00o`00oooo0?ooo`050?ooo`050?l0003oool0oooo0?ooo`3o00002P3oool00`00o`00oooo
0?ooo`0P0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo
0?ooo`070?ooo`03003o003oool0oooo00T0oooo0P3o00090?ooo`03003o003oool0oooo00h0oooo
00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`3/0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo02h0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`0:0?ooo`030?l0003oool0oooo01/0oooo00D0o`000?ooo`3oool0oooo0?l0000m0?ooo`030?l0
003oool0oooo05/0oooo00<0o`000?ooo`3o0000903oool00`3o0000oooo0?ooo`0C0?ooo`04003o
003oool0oooo003o01<0oooo00<00?l00?ooo`00o`004`3oool01@00o`00oooo0?ooo`3oool00?l0
01T0oooo00D0o`000?ooo`3oool00?l00?l0000:0?ooo`03003o003oool0oooo00X0oooo00<00?l0
0?ooo`3oool02@3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00/0oooo00<00?l0
0?ooo`3oool02`3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00/0oooo00<0o`00
0?ooo`00o`005`3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo0100oooo00<00?l0
0?ooo`00o`00k03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0^0?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0J0?oo
o`030?l0003oool0oooo03P0oooo00<0o`000?ooo`3oool0HP3oool00`3o0000oooo0?l0000T0?oo
o`030?l0003oool0oooo01<0oooo00<00?l00?ooo`00o`00503oool00`00o`00oooo0?ooo`0Y0?oo
o`03003o003oool0oooo00D0oooo00D0o`000?ooo`3oool00?l00?l0000F0?ooo`03003o003oool0
oooo00X0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0
oooo00P0oooo00H0o`000?ooo`3oool0o`000?ooo`00o`060?ooo`03003o003oool0oooo00h0oooo
00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool00?l00>`0oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0;`3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool07`3oool00`3o0000oooo0?oo
o`0A0?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`1K0?ooo`030?l0003oool0o`0002@0oooo00<0o`000?ooo`3oool0503oool00`00o`00oooo0?oo
o`0C0?ooo`03003o003oool00?l001<0oooo00@00?l00?ooo`3oool00?l04P3oool00`00o`00oooo
0?ooo`050?ooo`040?l0003oool0oooo003o00`0oooo00<00?l00?ooo`3oool0203oool00`00o`00
oooo0?ooo`0;0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0603oool00`00o`00
oooo0?ooo`0C0?ooo`060?l0003oool0oooo0?l0003oool00?l01P3oool00`00o`00oooo0?ooo`0D
0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool0jP3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0`0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool02`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool04@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`3oool0803oool00`3o0000oooo0?ooo`0h0?ooo`030?l0003oool0o`0002@0oooo0P3o000E0?oo
o`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04@3oool01000o`00oooo0?ooo`00o`0C
0?ooo`03003o003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0000;0?ooo`03003o003o
ool0oooo01l0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003o
ool0oooo00P0oooo00<00?l00?ooo`3oool0203oool0103o0000oooo0?ooo`3o00090?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`3]0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0340oooo00<0o`000?ooo`3oool0403o
ool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool04@3o
ool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0803o
ool00`3o0000oooo0?ooo`0h0?ooo`040?l0003oool0oooo0?l002@0oooo00<0o`000?ooo`3oool0
4`3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool00?l001<0oooo00@00?l00?ooo`3oool0
0?l0703oool00`00o`00oooo0?l0000;0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3o
ool02`3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3o
ool02P3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00P0oooo00D0o`000?ooo`3o
ool0oooo003o000G0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool03P3oool01@00
o`00oooo0?ooo`3oool00?l00>/0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0<P3oool01@3o0000oooo0?ooo`3oool0o`0002T0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0o`000200oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`0O0?ooo`80o`00?@3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0
oooo01@0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`0Z0?ooo`03003o003oool0
oooo00<0oooo00H0o`000?ooo`3oool00?l00?ooo`3o000F0?ooo`03003o003oool0oooo00/0oooo
00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00P0oooo
00D0o`000?ooo`3oool0o`00003o00080?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3o
ool01@3oool00`00o`00oooo0?ooo`0>0?ooo`05003o003oool0oooo0?ooo`00o`00j`3oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0c0?ooo`040?l0003oool0oooo0?l0
00d0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?l0000P0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0i0?ooo`040?l0003oool0oooo
0?l002<0oooo0P3o000[0?ooo`03003o003oool00?l001@0oooo00<00?l00?ooo`00o`004`3oool0
0`00o`00oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool02P3oool0
0`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool01@3oool0
0`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo01@0oooo00D0o`000?ooo`3oool0o`00003o
00080?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?oo
o`3Y0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000<P3oool00`3o0000oooo0?l0000=
0?ooo`030?l0003oool0oooo00`0oooo0P3o000;0?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool03`3oool00`3o0000oooo0?l0000P0?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool07P3oool20?l003X0oooo00@0o`000?ooo`3oool0o`008`3oool20?l002`0oooo00<0
0?l00?ooo`3oool04`3oool00`00o`00oooo003o000C0?ooo`03003o003oool0oooo00<0oooo00<0
o`000?ooo`00o`000`3oool00`3o0000oooo0?ooo`090?ooo`03003o003oool0oooo01d0oooo00<0
0?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00X0oooo00<0
0?l00?ooo`3oool01`3oool0103o0000oooo0?ooo`3o00090?ooo`03003o003oool0oooo00`0oooo
00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`3Y0?ooo`D00000AP3oool005`0oooo00<0
00000?ooo`3oool0=@3oool20?l000d0oooo00<0o`000?ooo`3oool02`3oool0103o0000oooo0?oo
o`3o000:0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo
0?ooo`0N0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool07`3oool00`3o0000oooo
0?ooo`0h0?ooo`030?l0003oool0oooo02@0oooo0P3o000/0?ooo`03003o003oool0oooo00`0oooo
00<0o`000?ooo`3oool0103oool00`00o`00oooo003o000I0?ooo`800?l0103oool00`3o0000oooo
0?ooo`090?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo
0?ooo`040?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo
0?ooo`0:0?ooo`03003o003oool0oooo00L0oooo00D0o`000?ooo`3oool0o`00003o000G0?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`030?ooo`03
003o003oool0oooo0>P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
=P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00X0oooo00D0o`000?ooo`3oool0
oooo0?l000090?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool03P3oool01@3o0000
oooo0?ooo`3oool0o`0002L0oooo00<0o`000?ooo`3oool07P3oool20?l003X0oooo00@0o`000?oo
o`3oool0o`008P3oool00`3o0000oooo0?l0000/0?ooo`03003o003oool0oooo00`0oooo00<0o`00
0?ooo`3oool06`3oool00`00o`00oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool04P3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo01@0oooo00<00?l0
0?ooo`3oool05@3oool00`00o`00oooo0?ooo`0:0?ooo`030?l00000o`00oooo00L0oooo00<00?l0
0?ooo`3oool0303oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00d0oooo00<00?l0
0?ooo`3oool00`3oool00`00o`00oooo0?ooo`3X0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo04@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0=0?oo
o`030?l0003oool0oooo01H0oooo00D0o`000?ooo`3oool0oooo0?l0000N0?ooo`030?l0003oool0
oooo02L0oooo0P3o000i0?ooo`050?l0003oool0oooo0?ooo`3o00008P3oool0103o0000oooo0?oo
o`3o000[0?ooo`03003o003oool0oooo00`0oooo00<0o`000?ooo`3oool0103oool2003o01D0oooo
00H00?l00?ooo`3oool0oooo003o003o00050?ooo`030?l0003oool0oooo00X0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00@0oooo00<00?l00?oo
o`3oool0603oool00`00o`00oooo0?ooo`0D0?ooo`050?l0003oool0oooo0?l00000o`00203oool0
0`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool0j03oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`140?ooo`030?l0003oool0oooo
00H0oooo0P3o00060?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool03@3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`0N0?ooo`030?l0003oool0o`0003P0oooo00D0o`000?ooo`3oool0oooo0?l0000R
0?ooo`040?l0003oool0oooo0?l002/0oooo00<00?l00?ooo`3oool02`3oool20?l000H0oooo0P00
o`0E0?ooo`06003o003oool00?l0003o003oool0o`004`3oool00`00o`00oooo0?ooo`0K0?ooo`03
003o003oool0oooo00h0oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0;0?ooo`03
003o003oool0oooo00L0oooo00@0o`000?ooo`3oool00?l02P3oool00`00o`00oooo0?ooo`0;0?oo
o`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool0kP3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`140?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool03@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0o`0003P0oooo00D0o`000?ooo`3o
ool0oooo0?l0000R0?ooo`040?l0003oool0oooo0?l002/0oooo00<00?l00?ooo`3oool02`3oool2
0?l000H0oooo0P00o`0F0?ooo`05003o003oool0oooo0?ooo`3o00001@3oool00`3o0000oooo0?oo
o`0B0?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?oo
o`0>0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?oo
o`070?ooo`040?l0003oool0oooo003o01L0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo
0?ooo`0<0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool0j03oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`140?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool07@3oool0103o0000oooo0?ooo`3o000h0?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool08P3oool00`3o0000oooo0?ooo`0g0?ooo`80o`007@3oool00`00o`00oooo
0?ooo`080?ooo`030?l0003oool0oooo00/0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo
0?ooo`0>0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo
0?ooo`060?ooo`040?l0003oool0oooo003o00X0oooo00<00?l00?ooo`3oool02P3oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool00`3oool00`00o`00
oooo0?ooo`3X0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000B@3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`0=0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo01d0oooo00@0o`000?ooo`3oool0o`00?@3oool00`3o0000
oooo0?ooo`0O0?ooo`030?l0003oool0oooo03X0oooo00<0o`000?ooo`3oool01@3oool2003o01X0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;0?ooo`03003o003oool0oooo00@0
oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo01L0
oooo00<00?l00?ooo`3oool0503oool01@3o0000oooo0?ooo`3oool0o`0000X0oooo00<00?l00?oo
o`3oool0503oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo0><0oooo1@0000160?oo
o`00G03oool00`000000oooo0?ooo`140?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool02@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3o
ool02`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3o
ool01`3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo03T0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`0O0?ooo`040?l0003oool0oooo0?l003T0oooo00<0o`000?oo
o`3o00001@3oool00`00o`00oooo0?ooo`0I0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0303oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00h0oooo00<00?l00?oo
o`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo00D0oooo00D0o`000?oo
o`3oool0oooo003o000:0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool05P3oool0
0`00o`00oooo0?ooo`3^0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
04@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo
01`0oooo00D0o`000?ooo`3oool0oooo0?l0000g0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool07`3oool0103o0000oooo0?ooo`3o000i0?ooo`030?l0003oool0o`000240oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0B0?ooo`03003o003oool0oooo00h0oooo00<0
0?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01D0oooo00<0
0?l00?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool00?l001L0oooo00<00?l00?ooo`3oool0
1`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0
i`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`140?ooo`050?l0003o
ool0oooo0?ooo`3o00003P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00l0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo03D0oooo
00<0o`000?ooo`3oool0903oool0103o0000oooo0?ooo`3o000i0?ooo`030?l0003oool0o`000240
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0=0?ooo`05003o003oool0oooo0?oo
o`00o`004@3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00@0oooo00<00?l00?oo
o`3oool03@3oool00`00o`00oooo0?ooo`050?ooo`050?l0003oool0oooo0?ooo`00o`002P3oool0
0`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool02`3oool0
0`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo04@0oooo00<00?l00?ooo`3oool0X03oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`140?ooo`050?l0003oool0oooo
0?ooo`3o00003P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01D0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01T0oooo00<0o`00
0?ooo`3oool06`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo03D0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0N0?ooo`050?l0003oool0oooo0?ooo`3o0000>@3o
ool00`3o0000oooo0?l0000P0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool03@3o
ool01@00o`00oooo0?ooo`3oool00?l00180oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`0F0?ooo`03003o003oool0oooo01X0oooo00<0o`000?ooo`3oool01`3oool00`00o`00oooo
0?ooo`0E0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool0@`3oool00`00o`00oooo
0?ooo`2P0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000@`3oool00`3o0000oooo0?l0
000F0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00T0oooo0P3o000@0?ooo`030?l0003oool0oooo02D0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0d0?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo03P0oooo00<0
o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00h0oooo00<0
0?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo00@0oooo00<0
0?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`050?ooo`060?l0003oool0oooo003o003oool0
o`002P3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3o
ool0C03oool2003o09d0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`150?ooo`80o`00
4@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0
1@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
<`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`0e0?ooo`040?l0003oool0oooo0?l00200oooo00<0o`000?ooo`3o
ool0603oool00`00o`00oooo0?ooo`0@0?ooo`05003o003oool0oooo0?ooo`00o`004P3oool00`00
o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00D0oooo00H0o`000?ooo`3oool00?l00?ooo`3o
000E0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?oo
o`060?ooo`03003o003oool0oooo00h0oooo0P00o`0L0?ooo`800?l05P3oool00`00o`00oooo0?oo
o`2O0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo04D0oooo0P3o000A
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`09
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0203oool0103o0000oooo0?ooo`3o
000?0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo03<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`0N0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0=@3oool0103o0000oooo0?oo
o`3o000P0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool03`3oool00`00o`00oooo
003o000B0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo
0?ooo`0?0?ooo`03003o003oool0oooo00@0oooo00H0o`000?ooo`3oool00?l00?ooo`3o000:0?oo
o`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0:0?oo
o`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool03P3oool01000o`00oooo0?ooo`00o`0J
0?ooo`800?l0503oool00`00o`00oooo003o002Q0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo04D0oooo00<0o`000?ooo`3oool04@3oool01@3o0000oooo0?ooo`3oool0
o`0000/0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0@0?ooo`040?l0003oool0
oooo0?l000l0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003o
ool0oooo00@0oooo00<0o`000?ooo`3oool0<`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo0280oooo00<0o`000?ooo`3oool0=@3oool0103o0000oooo0?ooo`3o000W0?ooo`030?l0
003oool0oooo00l0oooo00<00?l00?ooo`00o`004`3oool01000o`00oooo0?ooo`00o`0H0?ooo`03
003o003oool0oooo01H0oooo00<0o`000?ooo`3oool03@3oool00`00o`00oooo0?ooo`080?ooo`03
003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0A0?ooo`80
0?l06@3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo0:40oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0F@3oool01@3o0000oooo0?ooo`3oool0o`0000`0
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00H0
oooo00<0o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01X0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0j0?ooo`030?l0003oool0oooo01d0
oooo00<0o`000?ooo`3oool0>P3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool0:03oool00`00o`00oooo0?ooo`0;0?ooo`030?l0003oool0oooo00<0
oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo00<0
oooo00L0o`000?ooo`3oool0oooo003o003oool0o`0001D0oooo00<00?l00?ooo`3oool05P3oool0
0`00o`00oooo0?ooo`0G0?ooo`03003o003oool0oooo00@0oooo0P00o`0D0?ooo`03003o003oool0
oooo01@0oooo00@00?l00?ooo`3oool00?l0X03oool00`000000oooo0?ooo`140?ooo`00G03oool5
000005L0oooo00D0o`000?ooo`3oool0oooo0?l0000<0?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01X0oooo00<0
o`000?ooo`3oool0>P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01d0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0d0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0100oooo0P00
o`0C0?ooo`04003o003oool0oooo003o00d0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo
0?ooo`0D0?ooo`03003o003oool0oooo00<0oooo00@0o`000?ooo`3oool00?l00P3oool00`3o0000
oooo0?ooo`080?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool02@3oool00`00o`00
oooo0?ooo`090?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0303oool00`00o`00
oooo0?ooo`060?ooo`03003o003oool0oooo0140oooo00D00?l00?ooo`3oool0oooo003o000F0?oo
o`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool0Q@3oool5000004H0oooo001L0?ooo`03
0000003oool0oooo05X0oooo00<0o`000?ooo`3o00003@3oool00`3o0000oooo0?ooo`0A0?ooo`03
0?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0;0?ooo`03
0?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`040?ooo`03
0?l0003oool0oooo03<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0M0?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0=03oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0@0?ooo`03
003o003oool0oooo0180oooo00<00?l00?ooo`3oool03@3oool00`3o0000oooo0?ooo`030?ooo`05
003o003oool0oooo0?ooo`00o`00603oool0103o0000oooo0?ooo`00o`020?ooo`030?l0003oool0
oooo00P0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0
oooo00`0oooo00<00?l00?ooo`3oool06P3oool01@00o`00oooo0?ooo`3oool00?l001<0oooo00@0
0?l00?ooo`3oool00?l0503oool00`00o`00oooo0?ooo`290?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo05X0oooo00<0o`000?ooo`3o00003@3oool00`3o0000oooo0?oo
o`070?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?oo
o`0Q0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?oo
o`0T0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0=03oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`0W0?ooo`03003o003oool0oooo00/0oooo00<0o`000?ooo`3oool01`3oool00`00o`00oooo0?oo
o`0@0?ooo`03003o003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`090?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?oo
o`080?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?oo
o`0<0?ooo`030?l0003oool0oooo00H0oooo00<00?l00?ooo`3oool0403oool00`00o`00oooo0?oo
o`0F0?ooo`03003o003oool0oooo08T0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0G03oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01D0oooo00<0o`00
0?ooo`3oool06P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0100oooo00<0o`00
0?ooo`3oool07`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo01`0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0d0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool07@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02D0oooo00<00?l0
0?ooo`00o`003@3oool20?l000@0oooo00D00?l00?ooo`3oool0oooo003o000B0?ooo`03003o003o
ool0oooo00H0oooo00D00?l00?ooo`3oool0oooo0?l0000C0?ooo`03003o003oool0oooo01H0oooo
00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00H0oooo
00<00?l00?ooo`3oool0303oool00`3o0000oooo0?ooo`020?ooo`03003o003oool0oooo01@0oooo
00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool00?l008X0oooo
00<000000?ooo`3oool0A03oool005`0oooo1@00001H0?ooo`030?l0003oool0o`0000d0oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00/0oooo00<0
o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo03P0oooo00<0
o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02D0oooo00<0
0?l00?ooo`00o`003@3oool20?l000@0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?oo
o`020?ooo`030?l0003oool00?l000@0oooo00<0o`000?ooo`3oool0203oool00`00o`00oooo0?oo
o`060?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?oo
o`090?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?oo
o`0;0?ooo`050?l0003oool0oooo0?ooo`00o`001@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o
003oool0oooo0100oooo00<00?l00?ooo`00o`00QP3oool5000004H0oooo001L0?ooo`030000003o
ool0oooo05X0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003o
ool0oooo00T0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003o
ool0oooo00X0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0I0?ooo`030?l0003o
ool0oooo00D0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?l0000P0?ooo`030?l0003o
ool0oooo00D0oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo03<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003o
ool0oooo02d0oooo00<00?l00?ooo`3oool0303oool00`3o0000oooo0?l000050?ooo`04003o003o
ool0oooo003o01P0oooo00<0o`000?ooo`00o`00103oool00`3o0000oooo0?ooo`080?ooo`03003o
003oool0oooo01@0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0Q0?ooo`80o`00
0`3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool0
0P3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo08L0oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool0F`3oool20?l000h0oooo00<0o`000?ooo`3oool01@3o
ool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01P3o
ool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool06@3o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3o0000803o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool0103o
ool00`3o0000oooo0?ooo`0c0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool07@3o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02L0oooo00<00?l00?ooo`3oool02P3o
ool00`3o0000oooo0?ooo`070?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo00<00?l00?ooo`3oool01P3o
ool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool05`3o
ool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00X0oooo00<0o`000?ooo`3o0000203o
ool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool0RP3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1K0?ooo`80o`003P3oool5
0?l00080oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0
oooo00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0
oooo00H0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?l0000Y0?ooo`030?l0003oool0
oooo0280oooo00<0o`000?ooo`3oool0<`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo02D0oooo00<0o`000?ooo`3oool09P3oool00`00o`00oooo0?ooo`0;0?ooo`030?l0003oool0
o`0000D0oooo00<00?l00?ooo`00o`00503oool01P00o`00oooo0?ooo`3oool00?l00?l001X0oooo
00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo00/0oooo
00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo00X0oooo
00D0o`000?ooo`3o0000oooo003o000G0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3o
ool03`3oool01@00o`00oooo0?ooo`3oool00?l008T0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00001J0?ooo`030?l0003oool0oooo0180oooo0P3o000<0?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo01P0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0=0?ooo`040?l0003oool0oooo0?l0
0200oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo
03X0oooo00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
02H0oooo00<00?l00?ooo`3oool02`3oool00`3o0000oooo0?l000050?ooo`03003o003oool0oooo
01@0oooo00H00?l00?ooo`3oool0oooo003o003o00060?ooo`030?l0003oool0oooo00P0oooo00<0
0?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00H0oooo00<0
0?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00X0oooo00<0
0?l00?ooo`3oool02@3oool01@3o0000oooo0?l0003oool00?l000H0oooo00<00?l00?ooo`3oool0
503oool00`00o`00oooo0?ooo`0?0?ooo`05003o003oool0oooo0?ooo`00o`00Q@3oool5000004H0
oooo001?0?ooo`<000002P3oool00`000000oooo0?ooo`1L0?ooo`030?l0003oool0oooo0200oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0=0?ooo`80o`002@3oool00`3o0000oooo
0?ooo`0F0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool20?l00140oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool0<P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01/0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0V0?ooo`03003o003oool0oooo00d0oooo00<0o`000?ooo`3o
ool00`3oool00`00o`00oooo003o000I0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool0203oool00`00o`00oooo0?ooo`0F0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3o
ool08P3oool00`3o0000oooo003o00060?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3o
ool0103oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo08H0oooo00<000000?ooo`3o
ool0403oool300000340oooo001@0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
P03oool01@3o0000oooo0?ooo`3oool0o`0000X0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`0:0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3o00002@3oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool02P3oool20?l00140
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01/0
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0c0?ooo`030?l0003oool0o`0000H0
oooo00<00?l00?ooo`3oool04`3oool01P00o`00oooo0?ooo`00o`00oooo0?l000H0oooo00<0o`00
0?ooo`3oool02@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo01D0oooo00<00?l0
0?ooo`3oool05P3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00T0oooo00<0o`00
0?ooo`3oool02@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo01D0oooo00<00?l0
0?ooo`3oool0R`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0300oooo001=0?oo
o`D000002P3oool9000007X0oooo00@0o`000?ooo`3oool0o`00303oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool02P3oool20?l000<0oooo00<0o`00
0?ooo`3oool03`3oool00`3o0000oooo0?ooo`0=0?ooo`050?l0003oool0oooo0?ooo`3o00002`3o
ool0103o0000oooo0?ooo`3o000@0?ooo`030?l0003oool0oooo02@0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`0b0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
6`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo03<0oooo00@0o`000?ooo`3oool0
o`001@3oool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool00?l00080oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`0A0?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3o
ool01@3oool00`00o`00oooo0?ooo`0:0?ooo`030?l0003oool00?l000P0oooo00<00?l00?ooo`3o
ool02`3oool00`00o`00oooo0?ooo`090?ooo`040?l0003oool0o`00003o01P0oooo00<00?l00?oo
o`3oool0103oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00<0oooo00<00?l00?oo
o`3oool0O@3oool900000100oooo1@00000a0?ooo`00A`3oool400000080oooo00@000000?ooo`3o
ool000002`3oool00`000000oooo0?ooo`200?ooo`040?l0003oool0oooo0?l000`0oooo00<0o`00
0?ooo`3oool04`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00d0oooo00<0o`00
0?ooo`3oool03@3oool0103o0000oooo0?ooo`3o000?0?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo0380oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool0<`3oool0103o0000oooo0?ooo`3o00050?ooo`03003o003oool0oooo01@0oooo
00<00?l00?ooo`3oool02@3oool00`3o0000oooo0?ooo`090?ooo`03003o003oool0oooo00@0oooo
00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00X0oooo
00<0o`000?ooo`00o`00203oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00P0oooo
00<0o`000?ooo`00o`002@3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo00h0oooo
00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`250?ooo`030000003oool0oooo00P0oooo
100000020?ooo`040000003oool0oooo00000380oooo001>0?ooo`030000003oool0000000/0oooo
00<000000?ooo`3oool0P@3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool0503oool20?l000H0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`080?ooo`040?l0003oool0oooo0?l000l0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`0J0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0>03oool00`3o0000
oooo0?ooo`0K0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0<`3oool0103o0000
oooo0?ooo`3o00050?ooo`03003o003oool0oooo01P0oooo00<0o`000?ooo`3oool01@3oool00`3o
0000oooo0?ooo`0:0?ooo`800?l05@3oool00`00o`00oooo0?ooo`0A0?ooo`040?l0003oool0oooo
003o0240oooo00<0o`000?ooo`00o`002@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0
oooo00H0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`250?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`000000<P3oool004l0oooo0P00000;0?ooo`030000003oool0oooo
0840oooo00<0o`000?ooo`3o00003@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00X0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0203oool0103o0000oooo0?ooo`3o000?0?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0
oooo0340oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0
oooo03`0oooo00D0o`000?ooo`3oool0oooo0?l0000P0?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool0303oool01000o`00oooo0?ooo`00o`0G0?ooo`03003o003oool0oooo00/0oooo
00<0o`000?ooo`3oool0203oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00L0oooo
00@0o`000?ooo`3oool00?l02P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01D0
oooo00<00?l00?ooo`3oool05`3oool2003o07<0oooo00<000000?ooo`3oool0403oool200000380
oooo001L0?ooo`030000003oool0oooo0880oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo
0?ooo`040?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0403oool00`3o0000oooo
0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`0<0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0K0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo
0?ooo`0R0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool03@3oool00`00o`00oooo
003o000B0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3oool02P3oool20?l00080oooo
00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00L0oooo
00D0o`000?ooo`00o`00oooo0?l0000G0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3o
ool0303oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`00
o`00<`3oool00`00o`00oooo0?ooo`0m0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0840oooo0P3o000A0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0
203oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3oool0
8P3oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
9@3oool00`3o0000oooo0?ooo`0b0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
7@3oool00`3o0000oooo0?ooo`0F0?ooo`800?l04P3oool00`00o`00oooo0?ooo`020?ooo`03003o
003oool0oooo00X0oooo0P3o00020?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0
3@3oool00`00o`00oooo0?ooo`060?ooo`050?l0003oool00?l00?ooo`3o00002@3oool00`00o`00
oooo0?ooo`0D0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool01@3oool00`00o`00
oooo0?ooo`0>0?ooo`04003o003oool0oooo003o0340oooo0P00o`0o0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo0840oooo00<0o`000?ooo`3oool04@3oool0103o0000
oooo0?ooo`3o000=0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool02@3oool00`3o
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool02P3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0203oool00`3o
0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo02L0oooo00<0o`000?ooo`3oool0403oool00`3o
0000oooo0?ooo`0R0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0<P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`0R0?ooo`03003o003oool0oooo00l0oooo0P3o00030?ooo`03003o003oool0oooo
01d0oooo00D0o`000?ooo`3oool0oooo0?l0000:0?ooo`03003o003oool0oooo00T0oooo00<00?l0
0?ooo`3oool0203oool00`00o`00oooo0?ooo`0X0?ooo`03003o003oool0oooo02h0oooo00<00?l0
0?ooo`00o`00503oool2003o02P0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0P@3oool00`3o0000oooo0?ooo`0A0?ooo`040?l0003oool0oooo0?l000h0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool05@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool06@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01h0oooo00<0o`00
0?ooo`3oool03`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01X0oooo00<0o`00
0?ooo`3oool01`3oool00`3o0000oooo0?ooo`0g0?ooo`030?l0003oool0oooo01`0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0W0?ooo`03003o003oool0oooo00X0oooo00<0o`00
0?ooo`3o0000203oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00L0oooo00@00?l0
0?ooo`3oool0o`005P3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00L0oooo00<0
0?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo01L0oooo00<0
0?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo02H0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0UP3oool00`3o0000oooo0?l0000>
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo01h0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0b
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo02<0oooo00@00?l00?ooo`3oool00?l03`3oool01@3o0000oooo0?oo
o`3oool00?l000@0oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`080?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0<0?ooo`03003o
003oool0oooo00@0oooo00<00?l00?ooo`3oool05@3oool2003o01L0oooo00<00?l00?ooo`3oool0
4P3oool00`00o`00oooo0?ooo`0W0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo09L0oooo0P3o000>0?ooo`050?l0003oool0oooo0?ooo`3o00003P3oool00`3o0000oooo
0?ooo`0?0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo
0?ooo`0T0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo
0?ooo`0=0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`0J0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo01`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`0T0?ooo`03003o003oool00?l000d0oooo00<0o`000?ooo`3o00000`3oool00`00o`00oooo
0?ooo`020?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool01@3oool01@00o`00oooo
0?ooo`3oool0o`0000X0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0:0?ooo`03
003o003oool0oooo00P0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`050?ooo`03
003o003oool0oooo00d0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo0?ooo`0D0?ooo`04
003o003oool0oooo003o01@0oooo00<00?l00?ooo`00o`009`3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`2G0?ooo`80o`003P3oool01@3o0000oooo0?ooo`3oool0o`00
00l0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo
00L0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00T0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo
00L0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0o`00
0100oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo
00P0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
02D0oooo00<0o`000?ooo`3oool0=03oool00`3o0000oooo0?l000030?ooo`03003o003oool0oooo
01@0oooo00<00?l00?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000/0oooo00<00?l0
0?ooo`3oool0203oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo02/0oooo00<00?l0
0?ooo`3oool0303oool00`3o0000oooo0?ooo`020?ooo`05003o003oool0oooo0?ooo`00o`004`3o
ool01@00o`00oooo0?ooo`3oool00?l000@0oooo00<0o`000?ooo`3oool03P3oool00`00o`00oooo
0?ooo`0U0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo09P0oooo00<0
o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00T0oooo00<0
o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo01T0oooo00<0
o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01h0oooo00<0
o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo01`0oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0U0?ooo`800?l0303oool00`3o0000oooo0?oo
o`080?ooo`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool0103oool00`00o`00o`000?oo
o`020?ooo`030?l0003oool0oooo01<0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?oo
o`080?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?oo
o`0<0?ooo`80o`000`3oool01@00o`00oooo0?ooo`3oool00?l001<0oooo00<00?l00?ooo`3oool0
1P3oool00`3o0000oooo0?ooo`0;0?ooo`05003o003oool0oooo0?ooo`00o`009P3oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`2W0?ooo`030?l0003oool0oooo0180oooo
00D0o`000?ooo`3oool0oooo0?l0000<0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3o
ool0203oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3o
ool0203oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3o
ool0203oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0o`0000/0oooo00D0o`000?ooo`3o
ool0oooo0?l0000?0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool06@3oool00`3o
0000oooo0?ooo`0Y0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool09@3oool2003o
00`0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`04003o003oool0oooo003o01<0oooo00<0
0?l00?ooo`3oool00P3oool00`00o`00o`000?ooo`030?ooo`030?l0003oool0oooo00T0oooo00<0
0?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00P0oooo00<0
0?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01H0oooo0P3o
00080?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?oo
o`020?ooo`030?l0003oool0oooo00/0oooo00<00?l00?ooo`3oool0:03oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`2W0?ooo`030?l0003oool0o`000180oooo00D0o`00
0?ooo`3oool0oooo0?l0000<0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0203o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0203o
ool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00`0oooo0`3o00090?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool0303oool0103o0000oooo0?ooo`3o000;0?ooo`050?l0
003oool0oooo0?ooo`3o00003`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01T0
oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo0140
oooo00<0o`000?ooo`3oool08P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01h0
oooo00<0o`000?ooo`3oool0103oool2003o00`0oooo00D0o`000?ooo`3oool0oooo0?l000030?oo
o`04003o003oool0oooo003o01T0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`08
0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool02P3oool00`00o`00o`000?ooo`08
0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`08
0?ooo`03003o003oool0oooo00/0oooo0P3o00020?ooo`03003o003oool0oooo01@0oooo00<00?l0
0?ooo`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`80o`00303oool01@00o`00oooo0?ooo`3o
ool00?l001<0oooo00<00?l00?ooo`3oool0403oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`2W0?ooo`80o`005P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0
oooo00D0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo01h0oooo00<0o`000?ooo`3oool02@3oool20?l000<0oooo00<0o`000?ooo`3oool04P3oool0
0`3o0000oooo0?ooo`0<0?ooo`050?l0003oool0oooo0?ooo`3o00002P3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?oo
o`0T0?ooo`030?l0003oool0oooo01d0oooo0P3o000B0?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`0W0?ooo`030?l0003oool0oooo0180oooo00D0
o`000?ooo`3oool0oooo0?l000030?ooo`03003o003oool0oooo01@0oooo00L00?l00?ooo`3oool0
oooo003o003oool0o`0000D0oooo00<0o`000?ooo`3oool0203oool00`00o`00oooo0?ooo`060?oo
o`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool04`3oool20?l001L0oooo00<00?l00?oo
o`3oool02P3oool20?l000030?ooo`00o`00oooo00D0oooo00<00?l00?ooo`3oool03P3oool00`00
o`00oooo0?ooo`040?ooo`04003o003oool0oooo0?ooo`80o`00403oool00`00o`00oooo0?ooo`0A
0?ooo`03003o003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0Y`3oool20?l001<0oooo00@0o`000?ooo`3oool0o`003@3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01`3oool20?l000H0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0280oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0o`000180oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo00L0oooo00<0o`00
0?ooo`3oool07P3oool20?l00180oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`03
0?ooo`03003o003oool0oooo0180oooo00@00?l00?ooo`3oool00?l00P3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo0140oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?oo
o`070?ooo`03003o003oool0oooo00T0oooo0P3o00000`00o`00oooo0?ooo`070?ooo`03003o003o
ool0oooo01H0oooo00@0o`000?ooo`3oool0o`001`3oool00`00o`00oooo0?ooo`0H0?ooo`030?l0
003oool0oooo00/0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0@0?ooo`03003o
003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0Y`3o
ool00`3o0000oooo0?ooo`0B0?ooo`040?l0003oool0oooo0?l00140oooo0`3o000>0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`070?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030?l0
003oool0oooo00H0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0;0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00/0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H0?ooo`030?l0
003oool0oooo00P0oooo00<0o`000?ooo`3oool0703oool0103o0000oooo0?ooo`3o000H0?ooo`03
0?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0M0?ooo`03
0?l0003oool0o`000180oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`80
0?l05@3oool00`00o`00oooo003o00080?ooo`030?l0003oool0oooo00T0oooo00<00?l00?ooo`3o
ool04`3oool00`3o00000?l00?ooo`070?ooo`03003o003oool0oooo00X0oooo0P3o00000`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool02@3oool0103o0000
oooo003o003o00080?ooo`03003o003oool0oooo00d0oooo00<00?l00?ooo`3oool0103oool01P00
o`00oooo0?ooo`3o0000oooo0?l000/0oooo00<00?l00?ooo`3oool0:@3oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`2m0?ooo`030?l0003oool0o`0000d0oooo103o000A
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0:
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0>
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool05`3oool00`3o0000oooo0?ooo`02
0?ooo`800?l05P3oool01@00o`00oooo0?ooo`3oool0o`000140oooo0P00o`060?ooo`03003o003o
ool0oooo00/0oooo00<0o`000?ooo`00o`001`3oool00`00o`00oooo0?ooo`090?ooo`040?l0003o
ool0oooo003o01H0oooo00<00?l00?ooo`3oool02@3oool00`3o00000?l00?ooo`090?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool01@3oool01P00o`00oooo0?ooo`3o0000oooo0?l0
00/0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0>0?ooo`03003o003o0000oooo
0140oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0_@3oool00`3o0000
oooo0?ooo`0R0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool00`3o0000oooo0?ooo`060?oo
o`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`090?oo
o`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0=0?oo
o`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H0?oo
o`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool06`3oool0103o0000oooo0?ooo`3o000@
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`07
0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3o00004P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo01T0oooo00<00?l00?ooo`3oool00P3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00`0oooo0`00o`020?ooo`03003o003oool0oooo00/0oooo00<0o`00
0?ooo`3o00004`3oool0103o0000oooo0?ooo`3o00080?ooo`03003o003oool0oooo00`0oooo00<0
0?l00?ooo`3oool0203oool0103o0000oooo0?ooo`3o00080?ooo`03003o003oool0oooo00`0oooo
00<00?l00?ooo`3oool01P3oool01@00o`00oooo0?l0003oool0o`000180oooo00<00?l00?ooo`3o
ool03P3oool00`00o`00o`000?ooo`0A0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo0;h0oooo00<0o`000?ooo`3oool09@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`090?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo00X0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H0?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool06`3oool0103o0000oooo0?ooo`3o000@0?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool09@3oool00`3o0000oooo0?ooo`0N0?ooo`03
0?l0003oool0oooo0100oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0I0?ooo`03
003o003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0@0?ooo`80
0?l03`3oool00`3o00000?l00?ooo`050?ooo`03003o003oool0oooo00`0oooo00<0o`00003o003o
ool01P3oool00`00o`00oooo0?ooo`0G0?ooo`04003o003oool0oooo0?l000T0oooo00<00?l00?oo
o`3oool05@3oool01000o`00oooo0?ooo`3o000:0?ooo`03003o003oool0oooo00D0oooo00<00?l0
0?ooo`3oool03P3oool00`00o`00o`000?ooo`0A0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo0;h0oooo00<0o`000?ooo`3oool08P3oool0103o0000oooo0?ooo`3o000<
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0:
0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo0?ooo`0L
0?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0J
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0L
0?ooo`040?l0003oool0oooo0?l00140oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo01l0oooo00@0o`000?ooo`3o00000?l01P3oool00`00o`00oooo
0?ooo`090?ooo`060?l0003oool0oooo0?l0003oool00?l01P3oool00`00o`00oooo0?ooo`0=0?oo
o`03003o003oool0oooo00H0oooo00D00?l00?l0003oool0oooo0?l0000G0?ooo`03003o003oool0
oooo00L0oooo00D00?l00?ooo`3oool0oooo0?l000090?ooo`03003o003oool0oooo01H0oooo00<0
o`000?ooo`3oool04@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3S
0?ooo`030?l0003oool0o`0000h0oooo0P3o00050?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool02P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00H0oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00X0oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`070?ooo`80o`003`3oool00`3o0000oooo0?ooo`0V
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0L
0?ooo`040?l0003oool0oooo0?l00100oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`0L0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool07`3oool01@3o0000oooo0?l0
003oool00?l000D0oooo00<00?l00?ooo`3oool02@3oool00`3o0000oooo0?ooo`0I0?ooo`03003o
003oool0oooo00H0oooo00D00?l00?l0003oool0oooo0?l0000:0?ooo`03003o003oool0oooo00T0
oooo00<00?l00?ooo`3oool0203oool01@00o`00oooo0?ooo`3oool0o`0000T0oooo00<00?l00?oo
o`3oool01P3oool00`00o`00oooo0?l0000<0?ooo`03003o003o0000oooo0180oooo00<000000?oo
o`3oool0A03oool005`0oooo1@00003Q0?ooo`030?l0003oool0o`000100oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool02`3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool02P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3o
0000o`000?ooo`020?l000X0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0>0?oo
o`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0S0?oo
o`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool06`3oool01@3o0000oooo0?ooo`3oool0
o`000100oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0
oooo00D0oooo00<0o`000?ooo`3oool07@3oool01@3o0000oooo0?ooo`3oool0o`000080oooo00<0
0?l00?ooo`3oool0303oool01@3o0000oooo0?ooo`3oool0o`000080oooo00<00?l00?ooo`3oool0
0P3oool00`00o`00oooo0?ooo`030?ooo`030?l0003oool0oooo00P0oooo00<00?l00?ooo`3oool0
1`3oool01@3o0000oooo0?ooo`3oool0o`0000T0oooo00<00?l00?ooo`3oool02@3oool00`00o`00
oooo0?ooo`080?ooo`050?l0003oool0oooo0?ooo`3o00004P3oool00`00o`00oooo0?l0000;0?oo
o`03003o003oool0o`0000l0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`3S0?ooo`03
0?l0003oool0oooo0140oooo00<0o`000?ooo`3oool03`3oool01@3o0000oooo0?ooo`3oool0o`00
00l0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo
0140oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
00D0oooo0P3o000D0?ooo`030?l0003oool0oooo00d0oooo0P3o000;0?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo
01T0oooo00<0o`000?ooo`3oool09P3oool01@3o0000oooo0?ooo`3oool0o`000100oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool07@3oool01@3o0000oooo0?ooo`3oool0o`000080oooo00@00?l00?ooo`3oool00?l0
2`3oool01@3o0000oooo0?ooo`3oool0o`000080oooo00<00?l00?ooo`3oool00P3oool00`00o`00
oooo0?ooo`030?ooo`030?l0003oool0oooo0100oooo00<00?l00?ooo`3o00000`3oool00`3o0000
oooo0?ooo`070?ooo`03003o003oool0oooo01D0oooo00@00?l00?ooo`3oool0o`00203oool00`00
o`00oooo0?ooo`080?ooo`03003o003o0000oooo00X0oooo00<00?l00?ooo`3oool04`3oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3T0?ooo`030?l0003oool0oooo0140
oooo0P3o00000`3oool0o`000?ooo`0<0?ooo`050?l0003oool0oooo0?ooo`3o00003`3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool02@3oool00`3o
0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3o00002@3oool00`3o
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool01`3oool00`3o
0000oooo0?ooo`070?ooo`80o`00403oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo
01/0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool07@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<00?l0
0?ooo`00o`002`3oool01@3o0000oooo0?ooo`3oool0o`000080oooo00<00?l00?ooo`3oool00P3o
ool00`00o`00oooo0?ooo`020?ooo`030?l0003oool0o`0000X0oooo00<00?l00?ooo`3oool00`3o
ool00`00o`00oooo0?l000040?ooo`030?l0003oool0oooo01<0oooo00<00?l00?ooo`3oool0203o
ool00`3o00000?l00?ooo`0:0?ooo`03003o003oool0oooo00P0oooo00<00?l00?l0003oool0303o
ool00`3o0000oooo0?ooo`0A0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo0>@0oooo00<0o`000?ooo`3oool04`3oool20?l000d0oooo00@0o`000?ooo`3oool0o`004@3o
ool01@3o0000oooo0?ooo`3oool0o`0000`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool03P3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0303oool0103o0000oooo
0?ooo`3o00090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool05@3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0203oool00`3o0000
oooo0?ooo`0J0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool05@3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool0703oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo00l0oooo00D0o`000?ooo`3oool0oooo0?l0000<0?oo
o`030?l0003oool0o`0000X0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?l000040?oo
o`030?l0003oool0oooo00P0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`090?oo
o`050?l00000o`00oooo0?ooo`3o0000203oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0
o`0000X0oooo00<00?l00?ooo`3o00004`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`3T0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool02`3oool0103o
0000oooo0?ooo`3o000A0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool00`3o0000oooo0?oo
o`060?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`080?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`0:0?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?oo
o`070?ooo`030?l0003oool0oooo00L0oooo00@0o`000?ooo`3oool0o`003P3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo00P0oooo0P3o000A0?ooo`030?l0003oool0oooo02@0oooo
00<0o`000?ooo`3oool01`3oool00`00o`00oooo0?ooo`090?ooo`030?l0003oool0oooo00<0oooo
00@0o`000?ooo`3oool00?l00P3oool00`00o`00oooo0?ooo`030?ooo`030?l0003oool0o`0000/0
oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?l0000?0?ooo`03003o003oool0oooo00L0
oooo00<00?l00?ooo`3oool02@3oool01@3o0000oooo0?ooo`3oool0o`000180oooo00@0o`000?oo
o`00o`00o`002@3oool01000o`00oooo0?ooo`3o000C0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo0?l0oooo8P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0
oooo00@0oooo0P3o000<0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool02P3oool0
1@3o0000oooo0?ooo`3oool0o`0000T0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`0:0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01P3oool01@3o0000oooo0?oo
o`3oool0o`0000d0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0P0?ooo`030?l0
003oool0oooo00`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`030?l0
003oool0o`000100oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0
003oool0oooo0080oooo00<00?l00?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?ooo`040?l0
003oool0oooo003o0080oooo00<00?l00?ooo`3oool00`3oool00`3o0000oooo0?l0000?0?ooo`04
003o003oool0oooo0?l000@0oooo00<0o`000?ooo`3oool02@3oool00`00o`00oooo0?ooo`0B0?oo
o`050?l0003oool00?l00?ooo`3o00001`3oool00`00o`00oooo0?ooo`080?ooo`040?l0003oool0
oooo0?l000T0oooo00@00?l00?ooo`3oool0o`004`3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`3o0?ooo`/0oooo0P3o000C0?ooo`030?l0003oool0o`0000h0oooo00@0
o`000?ooo`3oool0oooo0P3o000>0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
4P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
403oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0
2P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`0F0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0100oooo00@0o`000?ooo`3oool0
o`00403oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01/0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`0D0?ooo`070?l0003oool0oooo0?ooo`00o`00oooo003o0004
0?ooo`050?l0003oool0oooo0?ooo`3o00002P3oool01@00o`00oooo0?ooo`3oool00?l000L0oooo
00<0o`000?ooo`3oool04@3oool00`00o`00oooo0?ooo`090?ooo`060?l0003oool0oooo003o003o
ool0o`001`3oool00`00o`00oooo0?ooo`080?ooo`040?l0003oool0oooo003o00/0oooo00<0o`00
0?ooo`3oool04P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oo
o`/0oooo0P3o000C0?ooo`030?l0003oool0o`0000h0oooo00<0o`000?ooo`3o00005P3oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool02`3oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3oool00`3o
0000oooo0?ooo`060?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0203oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool02P3oool00`3o
0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0303oool00`3o
0000oooo0?ooo`060?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0?l0000?
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`08
0?ooo`050?l0003oool0oooo0?ooo`3o00002`3oool00`00o`00oooo0?ooo`020?ooo`030?l0003o
ool0oooo00@0oooo00<0o`000?ooo`3oool0203oool00`00o`00oooo0?ooo`020?ooo`03003o003o
ool00?l000`0oooo00@0o`000?ooo`3oool00?l00P3oool00`3o0000oooo0?ooo`040?ooo`03003o
003oool0oooo00P0oooo00@0o`000?ooo`3oool00?l02@3oool00`00o`00oooo0?l0000D0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0oooo2`3oool00`3o0000oooo
0?ooo`0C0?ooo`80o`003P3oool20?l001<0oooo00@0o`000?ooo`3oool0o`00303oool00`3o0000
oooo0?ooo`060?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`0:0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool05P3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01@3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool02P3oool00`3o0000
oooo0?ooo`0I0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool02`3oool00`3o0000
oooo0?ooo`070?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`0;0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06`3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool0203oool00`00o`00
oooo0?ooo`030?ooo`030?l0003oool0oooo00l0oooo00@00?l00?ooo`3oool0o`001P3oool00`3o
0000oooo0?ooo`090?ooo`04003o003oool00?l0003o00l0oooo00<0o`000?ooo`3oool00P3oool0
0`00o`00o`000?ooo`0?0?ooo`030?l0003oool0oooo0080oooo00<00?l00?ooo`3oool01@3oool0
1000o`00oooo0?ooo`3o000D0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo0?l0oooo2`3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo0280oooo00@0o`00
0?ooo`3oool0o`00303oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00X0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo0140oooo00<0
o`000?ooo`3oool01@3oool20?l000P0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`0I0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`070?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`0;0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`020?ooo`03003o003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`090?ooo`05003o003oool0oooo0?ooo`3o00001P3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0
003oool0oooo0080oooo00<00?l00?l0003oool0103oool00`00o`00oooo0?ooo`080?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool01000o`00oooo0?ooo`3o000D0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0oooo8P3oool00`3o0000oooo
0?ooo`0R0?ooo`030?l0003oool0o`0000d0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0;0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo
0?ooo`0@0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`040?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`0:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo
0?ooo`0:0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo
0?ooo`040?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0=0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0R0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool03@3oool00`3o00000?l0
0?ooo`050?ooo`03003o003oool0oooo01D0oooo00<000000?ooo`3oool0A03oool005`0oooo00<0
00000?ooo`3oool0o`3ooolR0?ooo`030?l0003oool0oooo0280oooo0P3o000>0?ooo`80o`001@3o
ool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00d0oooo00D0o`000?ooo`3oool0oooo
0?l0000=0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?ooo`050?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo
0?ooo`080?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo
0?ooo`070?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0<0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`0K0?ooo`030?l0003oool0oooo00D0oooo00D00?l00?ooo`3oool0oooo003o000:0?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`00o`00103oool01@00o`00oooo0?ooo`3oool0o`00
01@0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00003o0?ooodD0oooo0P3o000@0?ooo`80
o`0000@0oooo0?l0003o0000o`003P3oool00`3o0000oooo0?ooo`0A0?ooo`050?l0003oool0oooo
0?ooo`3o00003@3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00l0oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00`0oooo0P3o000:
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool05@3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`0J
0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`04
0?ooo`030?l00000o`00oooo00d0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`03
0?ooo`05003o003oool0oooo0?ooo`3o0000403oool5000004H0oooo001L0?ooo`030000003oool0
oooo0?l0ooooB03oool00`3o0000oooo0?ooo`0R0?ooo`040?l0003oool0oooo0?l00140oooo00@0
o`000?ooo`3oool0o`003@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo01T0oooo
00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00X0oooo
00<0o`000?ooo`3oool02`3oool0103o0000oooo0?ooo`3o00090?ooo`030?l0003oool0oooo0180
oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo0180
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0S0?ooo`030?l0003oool0oooo00D0
oooo00D0o`000?ooo`00o`00oooo003o000:0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`00o`001`3oool00`3o0000oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo0?l0ooooB03oool00`3o0000oooo0?ooo`0R0?ooo`040?l0003oool0oooo0?l0
0140oooo00@0o`000?ooo`3oool0o`003@3oool00`3o0000oooo0?ooo`030?ooo`80o`00303oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool04@3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0503oool0
0`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01X0oooo00<0o`000?ooo`3oool01@3oool0
1@3o0000oooo0?ooo`3oool00?l000X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo003o
00030?ooo`05003o003oool0oooo0?ooo`3o0000503oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`3o0?ooofd0oooo00<0o`000?ooo`3o0000503oool00`3o0000oooo0?oo
o`0<0?ooo`040?l0003oool0oooo0?ooo`80o`003P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0:0?ooo`050?l0
003oool0oooo0?ooo`3o00003P3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo00P0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0
oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00L0
oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01P0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo01X0
oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo00@0
oooo00H0o`000?ooo`3oool00?l00?ooo`00o`030?ooo`030?l0003oool0oooo01<0oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooom]0?ooo`030?l0003oool0o`00
0180oooo00<0o`000?ooo`3o00003P3oool0103o0000oooo0?l0003o000A0?ooo`040?l0003oool0
oooo0?l000`0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0;0?ooo`050?l0003o
ool0oooo0?ooo`3o00003P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00/0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00P0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo00H0oooo
00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01X0oooo
00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00D0oooo
00@0o`000?ooo`3oool0oooo0P00o`030?ooo`030?l0003oool0oooo01<0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0o`3ooom]0?ooo`030?l0003oool0o`000180oooo
00<0o`000?ooo`3o00008`3oool0103o0000oooo0?ooo`3o000E0?ooo`030?l0003oool0oooo00/0
oooo00D0o`000?ooo`3oool0oooo0?l0000?0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool02`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00P0oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01P0oooo00<0o`000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?oo
o`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00H0oooo00<0o`000?oo
o`3oool06@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool01@3oool01@3o0000oooo0?ooo`3oool00?l000@0oooo00<0o`000?ooo`3oool04`3oool0
0`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?ooofd0oooo0P3o000D0?oo
o`80o`00903oool00`3o0000oooo0?l0000=0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool03`3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool02`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00L0oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool02P3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?oo
o`3oool0203oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00h0oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo01P0oooo00<0o`000?oo
o`3oool01`3oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo0080oooo00D00?l00?oo
o`3oool0oooo0?l0000E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
0?l0ooooK@3oool20?l001@0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?l0000=0?oo
o`040?l0003oool0oooo0?ooo`80o`0000<0oooo0?l0003oool03@3oool0103o0000oooo0?ooo`3o
000@0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool04@3oool20?l000/0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0180oooo00<0
o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0F0?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool08P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool0703oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o
0?oooh@0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`0<0?ooo`040?l0003oool0
o`000?l00180oooo00@0o`000?ooo`3oool0o`00403oool01@3o0000oooo0?ooo`3oool0o`0000h0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00X0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0;0?ooo`<0o`00203oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0203oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0D0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000o`3ooon20?ooo`030?l0
003oool0oooo02<0oooo00<0o`000?ooo`3oool0303oool20?l001@0oooo00<0o`000?ooo`3oool0
4P3oool0103o0000oooo0?ooo`3o000>0?ooo`040?l0003oool0oooo0?l00100oooo00D0o`000?oo
o`3oool0oooo0?l0000;0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0203oool3
0?l00080oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0
oooo00P0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo00P0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0
oooo01P0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0@0?ooo`D00000AP3oool0
05`0oooo00<000000?ooo`3oool0o`3oooo?0?ooo`040?l0003oool0oooo0?l00140oooo00@0o`00
0?ooo`3oool0o`003P3oool30?l001D0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?oo
o`0;0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo0180oooo0P3o00070?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo02<0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0D0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo0?l0ooood03oool00`3o0000oooo0?l0000D0?ooo`030?l0003oool0
oooo00`0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool0303oool01@3o0000oooo0?ooo`3oool0o`0000l0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00L0oooo00<0
o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00T0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01P0oooo00<0
o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0D0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo0?l0ooood03oool20?l001<0oooo00<0o`000?ooo`3oool08`3oool0
0`3o0000oooo0?l0000=0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool04@3oool0
0`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool05`3oool0
0`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool03P3oool0
0`3o0000oooo0?ooo`0E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
0?l0ooood03oool20?l001<0oooo00<0o`000?ooo`3o0000903oool20?l000d0oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`0>0?ooo`050?l0003oool0oooo0?ooo`3o0000403oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool02@3oool0
0`3o0000oooo0?ooo`060?ooo`80o`003P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0
oooo00L0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo01D0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0o`3oooo@0?oo
o`80o`00503oool20?l002@0oooo0P3o000>0?ooo`040?l0003oool0oooo0?l00140oooo00D0o`00
0?ooo`3oool0oooo0?l0000@0?ooo`050?l0003oool0oooo0?ooo`3o00003P3oool0103o0000oooo
0?ooo`3o000?0?ooo`050?l0003oool0oooo0?ooo`3o00002`3oool00`3o0000oooo0?ooo`060?oo
o`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0103oool20?l00080oooo0`3o000;0?oo
o`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool01P3oool20?l000/0oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`0E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo0?l0ooood03oool00`3o0000oooo0?ooo`0C0?ooo`80o`009@3oool00`3o0000
oooo0?ooo`0<0?ooo`030?l0003oool0o`000180oooo00<0o`000?ooo`3oool05P3oool00`3o0000
oooo0?ooo`0<0?ooo`80o`004P3oool0103o0000oooo0?ooo`3o000<0?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0<0?ooo`80o`00203oool00`3o
0000oooo0?ooo`090?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`0E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000o`3oooo>0?ooo`03
0?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`0B0?ooo`04
0?l0003oool0oooo0?l00180oooo00@0o`000?ooo`3oool0o`003P3oool00`3o0000oooo0?ooo`0A
0?ooo`040?l0003oool0oooo0?l000`0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`0<0?ooo`050?l0003oool0oooo0?ooo`3o00003`3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo00T0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`080?ooo`030?l0
003oool0oooo01T0oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0F0?ooo`D00000
AP3oool005`0oooo00<000000?ooo`3oool0o`3ooooo0?oooc<0oooo00<0o`000?ooo`3o00004P3o
ool0103o0000oooo0?ooo`3o000S0?ooo`030?l0003oool0o`0000`0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`0=0?ooo`050?l0003oool0oooo0?ooo`3o0000403oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo00/0oooo00D0o`000?ooo`3oool0oooo0?l0000<0?oo
o`80o`001@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`3oool03@3oool01@3o0000oooo0?ooo`3oool0o`0001L0oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0o`3ooooo0?oooc<0oooo00<0o`000?ooo`3o00004`3oool00`3o
0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`0>0?ooo`050?l0003oool0oooo0?ooo`3o0000403oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00/0oooo00@0o`000?ooo`3o0000o`003`3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`0=0?ooo`050?l0003oool0oooo0?ooo`3o00005`3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`3o0?ooool0oooo<`3oool00`3o0000oooo0?l0000C0?ooo`030?l0003o
ool0o`0002@0oooo00<0o`000?ooo`3oool08P3oool0103o0000oooo0?ooo`3o000A0?ooo`050?l0
003oool0oooo0?ooo`3o00003P3oool00`3o0000oooo0?ooo`0@0?ooo`050?l0003oool0oooo0?oo
o`3o00002`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00h0oooo00D0o`000?oo
o`3oool0oooo0?l0000G0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
0?l0ooooo`3ooolc0?ooo`80o`005@3oool00`3o0000oooo0?ooo`0b0?ooo`030?l0003oool0o`00
01<0oooo00<0o`000?ooo`3o00004P3oool01@3o0000oooo0?ooo`3oool0o`0000d0oooo00<0o`00
0?ooo`3oool04P3oool00`3o0000oooo0?l0000<0?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool03P3oool01@3o0000oooo0?ooo`3oool0o`0001L0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0o`3ooooo0?oooc@0oooo00<0o`000?ooo`3oool04`3oool0
0`3o0000oooo0?ooo`0b0?ooo`80o`00503oool00`3o0000oooo0?l0000C0?ooo`030?l0003oool0
oooo02@0oooo0P3o000=0?ooo`050?l0003oool0oooo0?ooo`3o0000503oool00`3o0000oooo0?oo
o`0F0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000o`3ooooo0?oooc80oooo00<0o`00
0?ooo`3oool0B03oool20?l001@0oooo00<0o`000?ooo`3o00004`3oool00`3o0000oooo0?l0000U
0?ooo`030?l0003oool0oooo00/0oooo00D0o`000?ooo`3oool0oooo0?l0000A0?ooo`040?l0003o
ool0oooo0?l001@0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`3o0?ooool0oooo=03o
ool00`3o0000oooo0?ooo`180?ooo`030?l0003oool0oooo01D0oooo00<0o`000?ooo`3oool04P3o
ool20?l003<0oooo00<0o`000?ooo`3oool04`3oool0103o0000oooo0?ooo`3o000H0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooonE0?ooo`030?l0003o
ool0oooo01@0oooo0P3o000c0?ooo`040?l0003oool0oooo0?l00180oooo00@0o`000?ooo`3oool0
o`00603oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?ooool0oooo
U@3oool00`3o0000oooo0?l0000E0?ooo`030?l0003oool0oooo03<0oooo00<0o`000?ooo`3oool0
4@3oool00`3o0000oooo0?ooo`0I0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000o`3o
oooo0?oooi<0oooo00<0o`000?ooo`3o0000BP3oool20?l001@0oooo00<0o`000?ooo`3o0000503o
ool5000004H0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooonF0?ooo`030?l0003oool0
oooo04T0oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?l0000H0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooonF0?ooo`030?l0003oool0oooo
04T0oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?l0000H0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooooh0?ooo`80o`006@3oool00`000000
oooo0?ooo`140?ooo`00G03oool500000?l0ooooo`3oooog0?ooo`030?l0003oool0oooo01<0oooo
1@0000160?ooo`00G03oool00`000000oooo0?ooo`3o0?ooool0oooon@3oool00`3o0000oooo0?oo
o`0G0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooooi
0?ooo`030?l0003oool0oooo01L0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0o`3ooooo0?ooool0oooo503oool00`000000oooo0?ooo`140?ooo`00G03oool500000?l0
ooooo`3ooooo0?ooo`h0oooo1@0000160?ooo`00CP3oool2000000`0oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo503oool00`000000oooo0?ooo`0?0?ooo`800000<`3oool004d0oooo00@0
00000?ooo`3oool000002`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo09D0oooo
00<000000?ooo`3oool0U03oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09D0oooo
00<000000?ooo`3oool0U03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00h0oooo
00@000000?ooo`3oool00000<P3oool004l0oooo00<000000?ooo`3oool02P3oool900000080oooo
00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo09D0oooo
00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo00P0oooo
2@00000B0?ooo`030000003oool0oooo0340oooo00170?ooo`@000001@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0203oool4000000D0oooo00<0
00000?ooo`3oool0<03oool004d0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000<P3oool004h0oooo0P00
000<0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0R0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`0S0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool03`3oool2000003<0oooo001L
0?ooool00000o`00003o000001P00000AP3oool00?l0ooooo`3ooooo0?oookX0oooo003o0?ooool0
ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0oooo003o
0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0
oooo003o0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo
0?oookX0oooo003o0?ooool0ooooo`3ooonj0?ooo`00o`3oooog0?ooo`030000003oool0oooo05T0
oooo00<000000?ooo`3oool0o`3ooomS0?ooo`00o`3oooof0?ooo`030000003oool0oooo05/0oooo
00<000000?ooo`3oool0o`3ooomR0?ooo`00o`3oooof0?ooo`030000003oool0oooo05/0oooo00<0
00000?ooo`3oool0o`3ooomR0?ooo`00o`3ooomd0?ooo`<000000`3oool2000000<0oooo1`000003
0?ooo`8000000P3oool4000000@0oooo0`0000050?ooo`L00000103oool4000000030?ooo`000000
000000@0oooo0`0000000`3oool00000000000020?ooo`H00000103oool300000080oooo0`000003
0?ooo`@0000000<0oooo000000000000103oool3000000030?ooo`00000000000080oooo1P00000<
0?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`<00000103oool3000000040?ooo`000000
00000?ooo`<0000000@0oooo000000000000oooo0P0000040?ooo`@000001@3oool5000000@0oooo
1`0000030?ooo`H000001P3oool5000000<0oooo0`0000020?ooo`<000000P3oool00`000000oooo
0?ooo`3o0?ooof40oooo003o0?ooogD0oooo00<000000?ooo`3oool00P3oool2000000H0oooo00<0
00000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000D0oooo00D000000?ooo`3oool0
oooo000000070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool2000000@0
oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool2
000000@0oooo00@000000?ooo`3oool0oooo0P0000030?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`3oool2000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`050000003oool0oooo0?ooo`000000o`3ooomS0?ooo`00o`3ooome0?oo
o`070000003oool0oooo0?ooo`000000oooo000000060?ooo`030000003oool0oooo00D0oooo00@0
00000?ooo`3oool000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000P3oool01000
0000oooo0?ooo`0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`000000o`3ooomS0?ooo`00o`3ooome0?ooo`070000003o
ool0oooo0?ooo`000000oooo000000060?ooo`030000003oool0oooo00D0oooo0`0000060?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`H0
0000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo1@0000050?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool6000000@0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`D00000303oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`L000001@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo1@0000040?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000?l0ooooH`3o
ool00?l0ooooM@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo000000060?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool01@000000oooo0?ooo`3oool000000140oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`02
0?ooo`050000003oool0oooo0?ooo`000000o`3ooomS0?ooo`00o`3ooome0?ooo`030000003oool0
000000<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`040000003oool0
oooo000000H0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000040?ooo`800000103oool2000000<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo0P00000;0?ooo`030000003oool0oooo
00@0oooo0P0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01000
0000oooo0?ooo`3oool2000000050?ooo`00000000000?ooo`000000103oool01@000000oooo0?oo
o`3oool0000000H0oooo0`0000080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
0P3oool2000000@0oooo00<000000?ooo`3oool00P3oool2000000<0oooo0P0000030?ooo`050000
003oool0oooo0?ooo`000000o`3ooomS0?ooo`00o`3ooome0?ooo`030000003oool0000000<0oooo
00<000000?ooo`3oool00P3oool3000000L0oooo00<000000?ooo`3oool00`0000050?ooo`<00000
203oool00`000000oooo0?ooo`060?ooo`@00000103oool2000000<0oooo0P0000040?ooo`@00000
00<0oooo0000003oool00`3oool00`000000oooo00000002000000H0oooo100000040?ooo`800000
0`3oool2000000@0oooo100000000`3oool000000?ooo`0:0?ooo`030000003oool0oooo00<0oooo
0P000000103oool000000000000000040?ooo`8000000`3oool200000080oooo0P0000001@3oool0
00000?ooo`3oool0000000H0oooo0`0000060?ooo`8000000P3oool3000000<0oooo0`0000070?oo
o`@0000000<0oooo0000003oool0103oool4000000030?ooo`000000oooo0080oooo00<000000?oo
o`0000000P0000040?ooo`030000003oool0oooo0?l0ooooH@3oool00?l0ooooM@3oool2000000@0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0o`3ooomR0?ooo`00o`3ooomd0?ooo`<000000`3oool3000000d0oooo
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02d0oooo
00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0oooo
HP3oool00?l0ooooPP3oool00`000000oooo0?ooo`040?ooo`8000004`3oool3000002@0oooo0P00
000`0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0603oool2000000H0oooo00<0
00000?ooo`3oool0o`3ooomS0?ooo`00o`3ooon20?ooo`030000003oool0oooo0:/0oooo00<00000
0?ooo`3oool0o`3ooon60?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo0?oookX0
oooo003o0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0ooooo`3ooooo
0?oookX0oooo003o0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool00?l0oooo
o`3ooooo0?oookX0oooo003o0?ooool0ooooo`3ooonj0?ooo`00o`3ooooo0?ooool0oooo^P3oool0
0?l0ooooo`3ooooo0?oookX0oooo0000\
\>"],
  ImageRangeCache->{{{0, 950}, {474.5, 0}} -> {-1.05112, -0.525006, \
0.00221288, 0.00221288}, {{23.0625, 926.875}, {463.188, 11.25}} -> {-13.6735, \
-9.09625, 0.131902, 0.0140353}, {{723.5, 859.063}, {413.438, 300.5}} -> \
{-18.0379, -3.25759, 0.0247926, 0.0517103}, {{730.75, 771.063}, {409.938, \
390.563}} -> {-77.5137, -7.66459, 0.103227, 0.103227}, {{730.75, 771.063}, \
{387.5, 368.125}} -> {-77.5137, -9.98075, 0.103227, 0.103227}, {{730.75, \
771.063}, {365.063, 345.75}} -> {-77.7645, -12.3335, 0.103561, 0.103561}, \
{{730.75, 771.063}, {342.625, 323.313}} -> {-77.7645, -14.6571, 0.103561, \
0.103561}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 32, 0, 53, "Section"],
Cell[1774, 53, 50, 1, 30, "Input"],
Cell[1827, 56, 51, 0, 33, "Text"],
Cell[1881, 58, 150, 4, 30, "Input"],
Cell[2034, 64, 53, 0, 33, "Text"],
Cell[2090, 66, 156, 4, 30, "Input"],
Cell[2249, 72, 53, 0, 33, "Text"],
Cell[2305, 74, 147, 4, 30, "Input"],
Cell[2455, 80, 63, 0, 33, "Text"],
Cell[2521, 82, 176, 4, 30, "Input"],
Cell[2700, 88, 61, 0, 33, "Text"],
Cell[2764, 90, 1054, 31, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3855, 126, 65, 0, 69, "Title"],

Cell[CellGroupData[{
Cell[3945, 130, 31, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[4001, 134, 36, 0, 47, "Subsection"],
Cell[4040, 136, 69, 0, 33, "Text"],
Cell[4112, 138, 413, 10, 70, "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4574, 154, 32, 0, 33, "Section"],
Cell[4609, 156, 174, 4, 52, "Text"],
Cell[4786, 162, 4416, 98, 270, "Input"],
Cell[9205, 262, 83, 1, 33, "Text"],
Cell[9291, 265, 3307, 66, 230, "Input"],
Cell[12601, 333, 83, 1, 33, "Text"],
Cell[12687, 336, 1977, 44, 170, "Input"],
Cell[14667, 382, 245, 5, 52, "Text"],
Cell[14915, 389, 2423, 56, 190, "Input"],
Cell[17341, 447, 62, 0, 33, "Text"],
Cell[17406, 449, 1118, 22, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18561, 476, 40, 0, 33, "Section"],
Cell[18604, 478, 171, 4, 52, "Text"],
Cell[18778, 484, 1145, 23, 250, "Input"],
Cell[19926, 509, 134, 3, 52, "Text"],
Cell[20063, 514, 732, 16, 170, "Input"],
Cell[20798, 532, 171, 4, 52, "Text"],
Cell[20972, 538, 468, 11, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21477, 554, 54, 0, 33, "Section"],
Cell[21534, 556, 98, 2, 33, "Text"],
Cell[21635, 560, 357, 5, 51, "Text"],
Cell[21995, 567, 170, 3, 33, "Text"],
Cell[22168, 572, 767, 15, 130, "Input"],
Cell[22938, 589, 142, 3, 52, "Text"],
Cell[23083, 594, 614, 13, 130, "Input"],
Cell[23700, 609, 186, 4, 52, "Text"],
Cell[23889, 615, 596, 13, 130, "Input"],
Cell[24488, 630, 128, 3, 52, "Text"],
Cell[24619, 635, 507, 12, 110, "Input"],
Cell[25129, 649, 236, 4, 52, "Text"],
Cell[25368, 655, 1006, 20, 210, "Input"],
Cell[26377, 677, 335, 6, 52, "Text"],
Cell[26715, 685, 893, 18, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[27645, 708, 46, 0, 33, "Section"],
Cell[27694, 710, 246, 6, 52, "Text"],
Cell[27943, 718, 1106, 23, 250, "Input"],
Cell[29052, 743, 251, 6, 52, "Text"],
Cell[29306, 751, 713, 15, 130, "Input"],
Cell[30022, 768, 239, 5, 52, "Text"],
Cell[30264, 775, 4347, 86, 390, "Input"],
Cell[34614, 863, 211, 5, 52, "Text"],
Cell[34828, 870, 11602, 213, 810, "Input"],
Cell[46433, 1085, 293, 4, 52, "Text"],
Cell[46729, 1091, 869, 19, 170, "Input"],
Cell[47601, 1112, 387, 10, 52, "Text"],
Cell[47991, 1124, 716, 15, 130, "Input"],
Cell[48710, 1141, 216, 4, 52, "Text"],
Cell[48929, 1147, 986, 21, 210, "Input"],
Cell[49918, 1170, 229, 5, 52, "Text"],
Cell[50150, 1177, 1269, 25, 270, "Input"],
Cell[51422, 1204, 182, 4, 52, "Text"],
Cell[51607, 1210, 922, 19, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[52566, 1234, 31, 0, 33, "Section"],
Cell[52600, 1236, 69, 0, 33, "Text"],
Cell[52672, 1238, 346, 9, 70, "Input"],
Cell[53021, 1249, 400, 8, 52, "Text"],
Cell[53424, 1259, 126, 2, 44, "Text"],
Cell[53553, 1263, 649, 14, 110, "Input"],
Cell[54205, 1279, 139, 3, 33, "Text"],
Cell[54347, 1284, 206, 4, 32, "Text"],
Cell[54556, 1290, 1034, 20, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[55627, 1315, 37, 0, 33, "Section"],
Cell[55667, 1317, 86, 1, 33, "Text"],
Cell[55756, 1320, 738, 15, 190, "Input"],
Cell[56497, 1337, 108, 3, 33, "Text"],
Cell[56608, 1342, 689, 14, 130, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[57334, 1361, 44, 0, 33, "Section"],
Cell[57381, 1363, 317, 6, 52, "Text"],
Cell[57701, 1371, 8252, 173, 670, "Input"],
Cell[65956, 1546, 151, 4, 52, "Text"],
Cell[66110, 1552, 126, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[66273, 1559, 121, 1, 33, "Section"],
Cell[66397, 1562, 274, 6, 71, "Text"],
Cell[66674, 1570, 5893, 114, 915, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[72604, 1689, 44, 0, 33, "Section"],
Cell[72651, 1691, 195, 5, 52, "Text"],
Cell[72849, 1698, 2083, 45, 250, "Input"],
Cell[74935, 1745, 171, 3, 33, "Text"],
Cell[75109, 1750, 715, 14, 110, "Input"],
Cell[75827, 1766, 524, 12, 204, "Text"],
Cell[76354, 1780, 74783, 1409, 3890, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[151174, 3194, 134, 2, 33, "Section"],
Cell[151311, 3198, 342, 6, 52, "Text"],
Cell[151656, 3206, 1262, 27, 250, "Input"],
Cell[152921, 3235, 403, 7, 71, "Text"],
Cell[153327, 3244, 1394, 29, 250, "Input"],
Cell[154724, 3275, 333, 6, 71, "Text"],
Cell[155060, 3283, 9012, 174, 1235, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164109, 3462, 38, 0, 33, "Section"],
Cell[164150, 3464, 374, 7, 52, "Text"],
Cell[164527, 3473, 1782, 33, 330, "Input"],
Cell[166312, 3508, 127, 3, 33, "Text"],
Cell[166442, 3513, 1870, 37, 390, "Input"],
Cell[168315, 3552, 362, 7, 52, "Text"],
Cell[168680, 3561, 1088, 21, 210, "Input"],
Cell[169771, 3584, 114, 3, 33, "Text"],
Cell[169888, 3589, 642, 13, 130, "Input"],
Cell[170533, 3604, 403, 10, 128, "Text"],
Cell[170939, 3616, 898, 18, 130, "Input"],
Cell[171840, 3636, 149, 3, 33, "Text"],
Cell[171992, 3641, 1066, 24, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[173095, 3670, 34, 0, 33, "Section"],
Cell[173132, 3672, 92, 2, 33, "Text"],
Cell[173227, 3676, 674, 14, 110, "Input"],
Cell[173904, 3692, 934, 18, 230, "Input"],
Cell[174841, 3712, 346, 6, 90, "Input"],
Cell[175190, 3720, 388, 7, 90, "Input"],
Cell[175581, 3729, 824, 16, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[176442, 3750, 32, 0, 33, "Section"],
Cell[176477, 3752, 109, 3, 33, "Text"],
Cell[176589, 3757, 1505, 31, 250, "Input"],
Cell[178097, 3790, 595, 13, 204, "Text"],
Cell[178695, 3805, 19709, 420, 1590, "Input"],
Cell[198407, 4227, 177, 8, 33, "Text"],
Cell[198587, 4237, 1062, 23, 210, "Input"],
Cell[199652, 4262, 174, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[199851, 4269, 9244, 177, 1295, "Input"],
Cell[209098, 4448, 296797, 4974, 484, 26599, 1633, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

