(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    459932,       9115]*)
(*NotebookOutlinePosition[    460586,       9138]*)
(*  CellTagsIndexPosition[    460542,       9134]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Einstellungen", "Section"],

Cell[BoxData[
    \(\(<< Graphics`;\)\)], "Input"],

Cell["Hier wird die Testausgabe geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(test\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]], "Input"],

Cell["Hier wird Laden / Speichern geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(saveOrLoad\  = \ False;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["Hier wird die Statusanzeige geregelt.", "Text"],

Cell[BoxData[
    StyleBox[\(status = True;\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Hinweisen formatiert.", "Text"],

Cell[BoxData[
    StyleBox[\(NoPr[text_]\  := \ If[status, Print[text]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 1, 0]]], "Input"],

Cell["Hier wird die Ausgabe von Fehlern formatiert.", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox[\(ErPr[text_]\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[":=",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[" ",
          FontFamily->"Engravers MT",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]], 
        StyleBox[\(If[status, StylePrint[text, FontColor \[Rule] Red], 
            FontWeight -> "\<Bold\>"]\),
          FontFamily->"Courier New",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[";",
        FontFamily->"Courier New",
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[0, 1, 0]]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Diplomarbeit \"Dynamik klassischer Spinsysteme\"", "Title"],

Cell[CellGroupData[{

Cell["Definitionen", "Section"],

Cell[CellGroupData[{

Cell["Spin-Variablen", "Subsection"],

Cell["An dieser Stelle werden die Spin-Variablen definiert.", "Text"],

Cell[BoxData[{
    RowBox[{\(s[\[Mu]_] = Table[\(s[\[Mu], i]\)[t], {i, 1, 3}];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, MatrixForm[s[1]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hilfsmethoden", "Section"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordnete) Knotenmenge \"vertices\" \
des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getVertices[tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({temp, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(vertices\  = \ {}\), ";", "\[IndentingNewLine]", 
                RowBox[{
                  StyleBox["(*",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  RowBox[{
                    
                    StyleBox[\(Flatten\  \[Rule] \ 
                        Mengenklammern\ werden\ gestrichen\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Sort\  \[Rule] \ 
                        Knoten\ werden\ aufsteigend\ sortiert\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["  ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    
                    StyleBox[\(Split\  \[Rule] \ 
                        Doppelte\ Knoten\ werden\ in\ Mengen\ zusammengefasst\
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[",",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    "  ", 
                    
                    StyleBox[\(Union\  -> \ 
                        Mengen\ werden\ \(\(vereinigt\)\(.\)\)\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  StyleBox[" ",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  StyleBox["*)",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]]}], 
                "\[IndentingNewLine]", \(temp\  = \ 
                  Split[\ Sort[\ Flatten[tree]]\ ]\), ";", 
                "\[IndentingNewLine]", \(For[i = \ 1, \ 
                  i\  \[LessEqual] \ 
                    Length[temp], \ \(i++\), \[IndentingNewLine]\(vertices\  \
= \ Union[\ vertices, \ temp[\([i]\)]\ ];\)\[IndentingNewLine]]\), ";", 
                "\[IndentingNewLine]", "vertices"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getVertices[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexmengen.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexSets[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, vertices, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  RowBox[{\(Depth[M]\  \[NotEqual] \ 3\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: Not a set of sets.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[M]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[vertices]\  && \ 
                      result\), ",", " ", \(i++\), ",", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(! IntegerQ[vertices[\([i]\)]]\), ",", " ", 
                          RowBox[{\(result\  = False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";", "\[IndentingNewLine]", 
                      RowBox[{"If", "[", " ", 
                        RowBox[{\(vertices[\([i]\)]\  < \ 1\), ",", " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of positive \
integers.\>"]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexSets[{{1, 2, 3}, {4, 5}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode pr\[UDoubleDot]ft eine Menge \"M\" von Indexpaaren.", \
"Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyIndexPairs[M_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            RowBox[{\({result, i}\), ",", "\[IndentingNewLine]", 
              RowBox[{
                RowBox[{"result", " ", "=", " ", 
                  StyleBox[\(verifyIndexSets[M]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M]\), ",", \(i++\), ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      RowBox[{"If", "[", 
                        
                        RowBox[{\(Length[M[\([i]\)]]\  \[NotEqual] \ 2\), ",",
                           " ", 
                          RowBox[{\(result\  = \ False\), ";", " ", 
                            
                            StyleBox[\(ErPr["\<Error: Not a set of pairs.\>"]\
\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, \ verifyIndexPairs[{{1, 2}, {3, 4}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Graphen-Kopplungsmatrix \"J\":
\[CapitalUDoubleDot]bergeben wird die Zeilen- / Spaltenzahl \"n\" von \
\"J\",die Menge \"H\" der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \
\"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(getJ[n_, H_, strength_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({vertices, \[Mu], \[Nu], i}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{
                StyleBox[\(verifyIndexPairs[H]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[H]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[vertices]\  > \ n\), ",", 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, n}]\  \[NotEqual] \ vertices\), 
                    ",", " ", 
                    RowBox[{
                      
                      StyleBox[\(NoPr["\<Notice: System is not connected.\>"]\
\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], ";"}]}], " ", "]"}], 
                ";", "\[IndentingNewLine]", \(J\  = \ 
                  Table[If[
                      MemberQ[H, {\[Mu], \[Nu]}] || 
                        MemberQ[H, {\[Nu], \[Mu]}], strength, 0], {\[Mu], 1, 
                      n}, {\[Nu], 1, n}]\), ";", " ", "\[IndentingNewLine]", 
                "J"}]}], "]"}]}], ";"}], "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[\ test, getJ[2, {{1, 2}}, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["Diese Methode zeigt den Staus der Rechnung an.", "Text"],

Cell[BoxData[{
    RowBox[{\(showProgress[i_, imax_, t0_]\  := \ 
          Module[{percentage, t, h, m, 
              s}, \[IndentingNewLine]percentage\  = \ 
              i/imax\ *100; \[IndentingNewLine]t\  = \ \((AbsoluteTime[]\  - \
\ t0)\); \[IndentingNewLine]h\  = \ 
              IntegerPart[\ t/3600]; \[IndentingNewLine]m\  = 
              IntegerPart[\((t\  - \ 3600\ \ h)\)/
                  60]; \[IndentingNewLine]s\  = \ 
              IntegerPart[t\  - \ 3600\ h\  - \ 60\ m]; \[IndentingNewLine]If[
              Mod[percentage, 10]\  \[Equal] \ 0, 
              Print[ToString[percentage]\  <> \ "\<% , \>"\  <> 
                  ToString[h]\  <> \ "\<:\>"\  <> \ 
                  ToString[m]\  <> \ "\<:\>"\  <> \ 
                  ToString[s]]];\[IndentingNewLine]];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, showProgress[10, 100, AbsoluteTime[] - 5430]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Phasenraum-Funktionen", "Section"],

Cell["\<\
Diese Methode liefert die Gesamtenergie \"energy\":
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und eine \
Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalEnergy[J_, M_]\  := \ 
          Module[{energy, i, 
              j, \[Mu], \[Nu]}, \[IndentingNewLine]energy\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\[Mu]\  = \ 
                M[\([i]\)]; \[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  Length[M], \ \(j++\), \[IndentingNewLine]\[Nu]\  = \ 
                  M[\([j]\)]; \[IndentingNewLine]energy\ \  = \ 
                  energy\  + \ 
                    J[\([\[Mu], \[Nu]]\)]\ *\ \((s[\[Mu]]\  . \ 
                          s[\[Nu]])\);\[IndentingNewLine]];\[IndentingNewLine]\
]; \[IndentingNewLine]1/2\ *\ energy];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, \ 
        getTotalEnergy[{{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert den Gesamtspin \"spin\":
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge \"M\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpin[M_]\  := \ 
          Module[{spin, i}, \[IndentingNewLine]spin\  = \ 
              0; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[M], \ \(i++\), \[IndentingNewLine]\(spin\  = \ 
                  spin\  + \ 
                    s[\ M[\([i]\)]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]spin];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpin[{1, 2, 3}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die \"i\"-te Komponente des Gesamtspins:
\[CapitalUDoubleDot]bergeben wird eine Index-(Teil)menge und die Komponente \
\"i\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getTotalSpinComponent[M_, 
            i_]\  := \ \(getTotalSpin[M]\)[\([i]\)];\), "\[IndentingNewLine]",
       
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getTotalSpinComponent[{1, 2, 3}, 3]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerische \"Standard\"-Integration", "Section"],

Cell["\<\
Diese Methode liefert die Hamiltonschen Bewegungsgleichungen\"equations\".\
\>", "Text"],

Cell[BoxData[
    \(H\  = \ \(\[Sum]\+\(\[Mu]\  < \ \[Nu]\)J\_\[Mu]\[Nu]\ s\_\[Mu]*
            s\_\[Nu]\ und\ \(s\& . \)\_\[Mu]\  = \ \(\[PartialD]\ H\/\
\[PartialD]\ s\_\(\_\[Mu]\)\ x\ s\_\[Mu]\ \  \[Rule] \ \(s\& . \)\_\[Mu]\  = \
\ \[Sum]\+\(\[Mu]\  < \ \[Nu]\)\(\(J\_\[Mu]\[Nu]\)\(\ \)\(s\_\[Nu]\)\(\ \)\(x\
\)\(\ \)\(s\_\[Mu]\)\(\ \)\)\)\)\)], "Text"],

Cell["\<\
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare und die Kopplungsst\[ADoubleDot]rke \"strength\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getEquations[n_, H_, strength_]\  := \ 
          Module[{J, \[Mu], \[Nu], i}, \[IndentingNewLine]J\  = \ 
              getJ[n, H, strength]; \[IndentingNewLine]equations\  = \ 
              Table[\(s[\[Mu], i]'\)[t] == \ 
                  Sum[J[\([\[Mu], \[Nu]]\)]\ *\ \(Cross[s[\[Nu]], 
                          s[\[Mu]]]\)[\([i]\)], {\[Nu], 1, n}], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]equations];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getEquations[2, {{1, 2}}, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Anfangsbedingungen \"init\":
\[CapitalUDoubleDot]bergeben wird die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInit[v_]\  := \ 
          Module[{n, init, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]init = 
              Table[\(s[\[Mu], i]\)[0] \[Equal] v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]init];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, getInit[{{0, 0, 1}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert das DGl-System:
\[CapitalUDoubleDot]bergeben werden die Hamiltonschen Bewegungsgleichungen \
\"equations\" und die Menge \"v\" von Vektoren.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSystem[equations_, v_]\  := \ 
          Module[{init, system}, \[IndentingNewLine]init\  = 
              getInit[v]; \[IndentingNewLine]system\  = 
              Join[init, equations]; \[IndentingNewLine]system];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, 
        getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Variablen \"var\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getVar[n_]\  := \ 
          Module[{var, \[Mu]}, \[IndentingNewLine]var\  = \ 
              Table[s[\[Mu]], {\[Mu], 1, n}]; \[IndentingNewLine]var];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getVar[2]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die L\[ODoubleDot]sung \"solution\"des DGl-Systems:
\[CapitalUDoubleDot]bergeben wird das DGl-System \"system\", die Variablen \
\"var\" und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getSolution[system_, var_, T_, stepSize_]\  := \ 
          Module[{solution}, \[IndentingNewLine]solution\  = 
              NDSolve[Flatten[system], 
                Flatten[var], {t, 0, T}, \[IndentingNewLine]Method \[Rule] 
                  RungeKutta, \[IndentingNewLine]MaxStepSize \[Rule] 
                  stepSize, \[IndentingNewLine]StartingStepSize \[Rule] \ 
                  stepSize, \[IndentingNewLine]MaxSteps \[Rule] 
                  Infinity\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              solution]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getSolution[
          getSystem[getEquations[2, {{1, 2}}, 1], {{1, 0, 0}, {0, 1, 0}}], 
          getVar[2], 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die numerische \"Standard\"-Integration \
durch:
\[CapitalUDoubleDot]bergeben werden die Zahl \"n\" der Spins, die Menge \"H\" \
der Kopplungspaare, die Kopplungsst\[ADoubleDot]rke \"strength\", die Menge \
\"v\" von Vektoren und die Zeit \"T\" und die Schrittweite \"stepSize\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(integrateStandard[n_, H_, strength_, v_, T_, stepSize_]\  := \ 
          Module[{equations, system, var, 
              solution}, \[IndentingNewLine]equations\  = \ 
              getEquations[n, H, strength]; \[IndentingNewLine]system\  = \ 
              getSystem[equations, v]; \[IndentingNewLine]var\  = \ 
              getVar[n]; \[IndentingNewLine]solution = \ 
              getSolution[system, var, T, 
                stepSize]; \[IndentingNewLine]solution];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        integrateStandard[2, {{1, 2}}, 1, {{1, 0, 0}, {0, 1, 0}}, 1, 0.1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Konstruktionsbaum und -pfad", "Section"],

Cell[TextData[{
  "Diese Methoden vergleicht zwei Mengen nach der L\[ADoubleDot]nge ",
  StyleBox["und",
    FontWeight->"Bold"],
  " der Reihenfolge der Elemente:\n\[CapitalUDoubleDot]bergeben werden zwei \
Mengen \"M1\" und \"M2\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(lengthSort[M1_, M2_]\  := \ 
          Module[{result}, \[IndentingNewLine]If[
              Length[M1]\  < \ Length[M2], \ 
              result\  = \ True]; \[IndentingNewLine]If[
              Length[M1]\  > \ Length[M2], \ 
              result\  = \ False]; \[IndentingNewLine]If[
              Length[M1]\  \[Equal] \ 
                Length[M2], \[IndentingNewLine]result\  = \ 
                False; \[IndentingNewLine]For[i\  = \ 1, 
                i\  \[LessEqual] \ 
                    Length[M1]\  && \ \(! result\), \(i++\), \
\[IndentingNewLine]\(If[M1[\([i]\)]\  < \ M2[\([i]\)], \ 
                    result\  = \ 
                      True];\)\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]result];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, lengthSort[{1, 2}, {3, 4, 5}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode sortiert die Knotenmengen des Baumes \"tree\". Dies ist ",
  StyleBox["nur",
    FontWeight->"Bold"],
  " f\[UDoubleDot]r die Testmethoden notwendig.\n\[CapitalUDoubleDot]bergeben \
wird der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedTree[tree_]\  := \ 
          Module[{sortedTree, i}, \[IndentingNewLine]sortedTree\  = \ 
              Table[Sort[tree[\([i]\)]], {i, 1, 
                  Length[tree]}]; \[IndentingNewLine]sortedTree\  = \ 
              Sort[sortedTree, 
                lengthSort[#1, #2] &]; \[IndentingNewLine]sortedTree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, getSortedTree[{{2, 1}, {3, 2, 1}, {1}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die gleichf\[ODoubleDot]rmige \
Kopplung von zwei Teilmengen:
\[CapitalUDoubleDot]bergeben wird die Kopplungsmatrix \"J\" und die \
Index-Teilmengen \"M1\" und \"M2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyUniformCoupling[J_, M1_, M2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, c, i, j, \[Mu], \[Nu]}\), ",", 
              "\[IndentingNewLine]", 
              RowBox[{\(result\  = \ True\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Intersection[M1, M2]\  \[NotEqual] \ {}\), ",", 
                    " ", "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: Not disjoint: \>"\  <> \ 
                            ToString[M1]\  <> \ "\< and \>"\  <> \ 
                            ToString[M2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(Max[M1, M2]\  > \ Length[J]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      
                      StyleBox[\(ErPr["\<Error: Dimension of J smaller than \
greatest Index.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", \(\[Mu]\  = \ M1[\([1]\)]\), ";", 
                "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([1]\)]\), " ", ";", 
                "\[IndentingNewLine]", \(c\  = \ J[\([\[Mu], \[Nu]]\)]\), ";",
                 "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), 
                    ",", \(i\  \[LessEqual] \ Length[M1]\  && \ result\), ",",
                     " ", \(i++\), ",", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(j\  = \ 1\), 
                        ",", \(j\  \[LessEqual] \ Length[M2]\  && \ result\), 
                        ",", " ", \(j++\), ",", "\[IndentingNewLine]", 
                        
                        RowBox[{\(\[Mu]\  = \ M1[\([i]\)]\), ";", 
                          "\[IndentingNewLine]", \(\[Nu]\  = \ M2[\([j]\)]\), 
                          ";", "\[IndentingNewLine]", 
                          RowBox[{"If", "[", " ", 
                            
                            RowBox[{\(J[\([\[Mu], \[Nu]]\)]\  \[NotEqual] \ 
                                c\), ",", 
                              RowBox[{\(result\  = \ False\), ";", " ", 
                                
                                StyleBox[\(ErPr["\<Error: No uniform \
coupling: \>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]], 
                                StyleBox[";",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "]"}], ";", "\[IndentingNewLine]", "result"}]}], "]"}]}], 
        ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyUniformCoupling[{{0, 1, 0}, {1, 0, 1}, {0, 1, 0}}, {1, 
            3}, {2}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode \[UDoubleDot]berpr\[UDoubleDot]ft die Eigenschaften des \
(Teil)baumes \"tree\":
\[CapitalUDoubleDot]bergeben werden die Kopplungsmatrix \"J\" und der \
(Teil)baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyTree[tree_, J_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({sortedTree, result, vertices, decomposition, M1, M2, 
                M3, i, j, k}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Index - \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ verifyIndexSets[tree]\), ";", 
                "\[IndentingNewLine]", \(sortedTree\  = \ 
                  getSortedTree[tree]\), ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Leere\ \(\(Menge\)\(\ \)\(?\)\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(MemberQ[sortedTree, {}]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", " ", 
                      StyleBox[\(ErPr["\<Error: Empty set found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ \(Wurzel\)\(\ \)\(?\)\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ 
                  getVertices[sortedTree]\), ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  RowBox[{\(! MemberQ[sortedTree, vertices]\), ",", " ", 
                    RowBox[{\(result\  = \ False\), ";", 
                      StyleBox[" ",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(ErPr["\<Error: No radix found.\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", " ", 
                  
                  RowBox[{\(Table[i, {i, 1, Length[J]}]\  \[NotEqual] \ 
                      vertices\), ",", " ", 
                    StyleBox[\(ErPr["\<Notice: Subtree.\>"\ ];\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]]}], " ", "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", 
                    " ", \(i \[LessEqual] \ Length[sortedTree]\  && \ 
                      result\), ",", " ", \(i++\), ",", "\[IndentingNewLine]",
                     
                    
                    RowBox[{\(M1\  = \ sortedTree[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(decomposition\  = \ False\), 
                      ";", "\[IndentingNewLine]", \(If[\ 
                        Length[M1]\  \[Equal] \ 1, \ 
                        decomposition\  = \ True]\), ";", 
                      "\[IndentingNewLine]", 
                      RowBox[{"For", "[", 
                        
                        RowBox[{\(j\  = \ 1\), ",", 
                          " ", \(j\  \[LessEqual] \ Length[sortedTree]\  && \ 
                            result\), ",", " ", \(j++\), ",", 
                          StyleBox["\[IndentingNewLine]",
                            FontColor->GrayLevel[0]], 
                          RowBox[{"If", "[", " ", 
                            RowBox[{\(i\  \[NotEqual] \ j\), ",", 
                              StyleBox["\[IndentingNewLine]",
                                FontColor->GrayLevel[0]], 
                              
                              RowBox[{\(M2\  = \ sortedTree[\([j]\)]\), ";", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Disjunkte\ Mengen\ oder\ \(\(Teilmengen\)\
\(\ \)\(?\)\)\ *) \),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", 
                                  
                                  RowBox[{\(! \((Intersection[M1, 
                                        M2]\  == \ {} || \ 
                                        Union[M1, M2]\  \[Equal] \ M1\  || \ 
                                        Union[M1, M2]\  \[Equal] \ M2)\)\), 
                                    ",", "\[IndentingNewLine]", 
                                    
                                    RowBox[{\(result\  = \ True\), ";", 
                                      "\[IndentingNewLine]", 
                                      
                                      StyleBox[\(ErPr["\<Error: No subsets: \
\>"\  <> \ ToString[M1]\  <> \ "\< and \>"\  <> \ ToString[M2]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  "\[IndentingNewLine]", "]"}], ";", " ", 
                                "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ 
                                    Doppelte\ \(\(Mengen\)\(\ \)\(?\)\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008],
                                  FontVariations->{"CompatibilityType"->0}], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  RowBox[{\(M1\  \[Equal] \ M2\), ",", " ", 
                                    RowBox[{\(result = \ False\), ";", " ", 
                                      
                                      StyleBox[\(ErPr["\<Error: Vertex found \
twice: \>"\  <> \ ToString[M1]]\),
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]], 
                                      StyleBox[";",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->RGBColor[0, 1, 0]]}]}], 
                                  " ", "]"}], ";", "\[IndentingNewLine]", 
                                
                                StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \
\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                "\[IndentingNewLine]", 
                                RowBox[{"If", "[", " ", 
                                  
                                  RowBox[{\(Union[M1, M2]\  \[Equal] \ 
                                        M1\  && \ \(! decomposition\)\), ",", 
                                    "\[IndentingNewLine]", 
                                    RowBox[{
                                      RowBox[{"For", "[", 
                                        
                                        RowBox[{\(k\  = \ 1\), ",", 
                                        " ", \(k\  \[LessEqual] \ 
                                        Length[
                                        sortedTree]\  && \ \(! \
decomposition\)\), ",", " ", \(k++\), ",", 
                                        StyleBox["\[IndentingNewLine]",
                                        FontColor->GrayLevel[
                                        0]], \(If[\ 
                                        i\  \[NotEqual] \ k\  && \ 
                                        j\  \[NotEqual] \ 
                                        k, \[IndentingNewLine]M3\  = \ 
                                        sortedTree[\([k]\)]; \
\[IndentingNewLine]If[M1\  == \ Union[M2, M3]\  && \ 
                                        verifyUniformCoupling[J, M2, M3], \ 
                                        decomposition\  = \ 
                                        True];\[IndentingNewLine]\ \ ];\)}], 
                                        "\[IndentingNewLine]", "  ", "]"}], 
                                      ";"}]}], "\[IndentingNewLine]", " ", 
                                  "]"}]}]}], "]"}]}], "]"}], ";", 
                      "\[IndentingNewLine]", 
                      StyleBox[\( (*\ \(Zerlegung\)\(\ \)\(?\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", 
                      RowBox[{"If", "[", 
                        RowBox[{\(! decomposition\), ",", 
                          RowBox[{\(result\  = \ False\), ";", 
                            StyleBox[" ",
                              FontColor->RGBColor[0, 1, 0]], 
                            
                            StyleBox[\(ErPr["\<Error: No uniform composition \
found for \>" <> \ ToString[M1]]\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]], 
                            StyleBox[";",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->RGBColor[0, 1, 0]]}]}], "]"}], 
                      ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", "result"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyTree[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}, {{0, 1, 1}, {1, 0, 
              1}, {1, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[StyleBox["Diese Methode liefert den  (ungeordneten) Pfad  \
\"treePath\" von einem Knoten \"\[Mu]\"  bis zu der Wurzel des Baumes \
\"tree\":\n\[CapitalUDoubleDot]bergeben weden der Knoten \"\[Mu]\" und der \
Baum \"tree\".",
  FontVariations->{"CompatibilityType"->0}]], "Text"],

Cell[BoxData[{
    RowBox[{\(getPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath, 
              i}, \[IndentingNewLine]treePath\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[tree], \ \(i++\), \[IndentingNewLine]\(If[\ 
                  MemberQ[\ tree[\([i]\)], \[Mu]\ ], \ \ treePath\  = \ 
                    Append[\ treePath, 
                      tree[\([i]\)]\ ]\ ];\)\[IndentingNewLine]]; \
\[IndentingNewLine]treePath];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPath[1, {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode liefert den (aufsteigend geordneten) Pfad \"treePath\" von \
einem Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " bis zu der Wurzel des Baumes \"tree\":\n\[CapitalUDoubleDot]bergeben \
werden der Knoten ",
  StyleBox["\"\[Mu]\"",
    FontVariations->{"CompatibilityType"->0}],
  " und der Baum \"tree\"."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(getSortedPath[\[Mu]_, tree_]\  := \ 
          Module[{treePath}, \[IndentingNewLine]treePath\  = \ 
              getPath[\[Mu], tree]; \[IndentingNewLine]treePath\  = \ 
              Sort[\ treePath, \ \((Length[#1]\  < \ 
                      Length[#2])\)\  &\ ]; \[IndentingNewLine]treePath];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getSortedPath[1, \ {{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die (aufsteigend geordneten) Pfade \"treePathes\" von \
allen Knoten \"vertices\" bis zur Wurzel des Baumes \"tree\":
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getAllPathes[tree_]\  := \ 
          Module[{treePathes, \ treePath, \ vertices, 
              i}, \[IndentingNewLine]treePathes\  = \ {}; \
\[IndentingNewLine]vertices\  = \ getVertices[tree]; \[IndentingNewLine]For[
              i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[vertices], \ \(i++\), \[IndentingNewLine]treePath\  = \
\ getSortedPath[\ vertices[\([i]\)], 
                  tree\ ]; \[IndentingNewLine]treePathes\  = \ 
                Append[treePathes, 
                  treePath];\[IndentingNewLine]]; \
\[IndentingNewLine]treePathes];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getAllPathes[{{1, 2, 3}, {1, 2}, {1}, {2}, {3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Kopplungskonstanten \"allCouplings\" des \
(aufsteigend geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben werden der Pfad \"treePath\" und die \
Kopplungsmatrix \"J\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathCouplings[treePath_, J_]\  := \ 
          Module[{allCouplings, coupling, M1, M2, \[Mu], \[Nu], 
              i}, \[IndentingNewLine]allCouplings\  = \ {"\<undefined\>"}; \
\[IndentingNewLine]For[i\  = \ 2, \ 
              i \[LessEqual] \ 
                Length[treePath], \ \(i++\), \[IndentingNewLine]M1 = \ 
                treePath[\([i - 1]\)]; \[IndentingNewLine]M2 = \ 
                Complement[\ treePath[\([i]\)], \ 
                  M1\ ]; \[IndentingNewLine]\[Mu]\  = \ 
                M1[\([1]\)]; \[IndentingNewLine]\[Nu]\  = \ 
                M2[\([1]\)]; \[IndentingNewLine]coupling\  = \ 
                J[\([\[Mu], \[Nu]]\)]; \[IndentingNewLine]allCouplings = \ 
                Append[allCouplings, 
                  coupling];\[IndentingNewLine]]; \
\[IndentingNewLine]allCouplings];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        getPathCouplings[{{1}, {1, 2}, {1, 2, 3}}, {{0, 1, 1}, {1, 0, 1}, {1, 
              1, 0}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Die Methode liefert die Gesamtspins \"allsSpins\" des (aufsteigend \
geordneten) Pfades \"treePath\":
\[CapitalUDoubleDot]bergeben wird der Pfad \"treePath\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getPathSpins[treePath_]\  := \ 
          Module[{allSpins, spin, M, 
              i}, \[IndentingNewLine]allSpins\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 1, \ 
              i \[LessEqual] \ 
                Length[treePath], \(i++\), \[IndentingNewLine]M\  = \ 
                treePath[\([i]\)]; \[IndentingNewLine]spin\  = \ 
                getTotalSpin[M]; \[IndentingNewLine]allSpins\  = \ 
                Append\ [allSpins, 
                  spin];\[IndentingNewLine]]; \[IndentingNewLine]allSpins\  \
//. \ t \[Rule] \ 0];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getPathSpins[{{1}, {1, 2}, {1, 2, 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Drehmatrizen", "Section"],

Cell["Diese Methode berechnet den Betrag des Vektors \"v\".", "Text"],

Cell[BoxData[{
    RowBox[{\(norm[v_] := Sqrt[v . v];\), "\n", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\n", 
    StyleBox[\(If[test, norm[{1, 0, 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[TextData[{
  "Diese Methode wandelt den Vektor \"\[Omega]\" in eine antysymmetrische \
Matrix \"\[CapitalOmega]\" um.\nDie Signatur nimmt die Werte ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(-1\))\)\^n\ an . \ 
          Dabei\ ist\ n\ die\ Zahl\ der\ ben\[ODoubleDot]tigten\ \
Transpositionen\ f\[UDoubleDot]r\ das\ Erreichen\ einer\ kanonische\ \
\(\(Reihenfolge\)\(.\)\)\)]]
}], "Text"],

Cell[BoxData[
    \(\[CapitalOmega]\_ij\  = \ \(-\(\[Sum]\+k 
            signatur \((i, j, k)\)*\ \[Omega]\_k\)\)\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getMatrix[\[Omega]_]\  := \ 
          Module[{i, j, k}, \[IndentingNewLine]\ \[CapitalOmega]\  = 
              Table[\(-Sum[
                    Signature[{i, j, k}] \[Omega][\([k]\)], {k, 1, 3}]\), {i, 
                  1, 3}, {j, 1, 3}]; \[IndentingNewLine]\ \[CapitalOmega]];\),
       "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getMatrix[{0, 0, 1}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode erstellt die Drehmatrix \"R\" zu der Drehachse \"\[Omega]\" und \
dem Winkel \"\[CurlyPhi]\" = |w| t:\
\>", "Text"],

Cell[BoxData[
    \(R\_ij\  = \ \(\[Delta]\_ij\) 
          cos\[CurlyPhi]\  + \ \(e\_i\) \(e\_j\) \((1 - 
              cos\[CurlyPhi])\)\  + \ \(\[CapitalOmega]\_ij\) 
          sin\[CurlyPhi]\)], "Text"],

Cell[BoxData[{
    RowBox[{\(getRotation[\[Omega]_, t_]\ \  := \ 
          Module[{e, \[CurlyPhi], \[CapitalOmega], i, j, 
              R}, \[IndentingNewLine]e = \ \[Omega]/
                norm[\[Omega]]; \[IndentingNewLine]\[CurlyPhi]\  = \ 
              norm[\[Omega]]\ *\ t; \[IndentingNewLine]\[CapitalOmega]\  = \ 
              getMatrix[e]; \[IndentingNewLine]R = 
              Table[If[i \[Equal] j, Cos[\[CurlyPhi]], 0] + 
                  e[\([i]\)] 
                    e[\([j]\)] \((1 - 
                        Cos[\[CurlyPhi]])\) + \[CapitalOmega][\([i, j]\)] 
                    Sin[\[CurlyPhi]], {i, 1, 3}, {j, 1, 
                  3}]; \[IndentingNewLine]R];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(\(If[test, getRotation[{0, 0, 1}, Pi/2]]\)\(\ \)\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Anfangsbedingungen", "Section"],

Cell["Diese Methoden liefern zuf\[ADoubleDot]llige Einheitsvektoren \"v\".", \
"Text"],

Cell[BoxData[{\(generate\  := \ 
        Module[{v}, \[IndentingNewLine]v\  = \ {2*Random[] - 1, 
              2*Random[] - 1, 2*Random[] - 1}; \[IndentingNewLine]v\  = \ 
            v\ /\ norm[v]; \[IndentingNewLine]v];\), "\[IndentingNewLine]", 
    RowBox[{\(generateSet[n_]\  := \ 
          Module[{v, i}, \[IndentingNewLine]v\  = \ 
              Table[generate, {i, 1, n}]; \[IndentingNewLine]v];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, generateSet[1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert zuf\[ADoubleDot]llige Anfangsbedingungen \
\"initialConditi\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getInitRule[v_]\  := \ 
          Module[{n, initRule, \[Mu], i}, \[IndentingNewLine]n\  = \ 
              First[Dimensions[v]]; \[IndentingNewLine]initRule = 
              Table[\(s[\[Mu], i]\)[0] -> v[\([\[Mu], i]\)], {\[Mu], 1, 
                  n}, {i, 1, 3}]; \[IndentingNewLine]Flatten[initRule]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, getInitRule[{{1, 0, 0}, {0, 1, 0}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Explizite Zeitentwicklung", "Section"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung f\[UDoubleDot]r ein System in einem \
\[ADoubleDot]u\[SZ]eren (konstanten) Magnetfeld:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\", die Kopplungsmatrix \
\"J\", das Magnefeld \"B\" und das gyromagnetische Verh\[ADoubleDot]ltnis \"\
\[Gamma]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(getTimeEvolutionWithB[tree_, J_, B_, \[Gamma]_]\), " ", ":=", 
        " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allTimeEvolutions, timeEvolution, treePathes, treePath, 
              pathCouplings, pathSpins, vertices, i, j, k, \[Mu]}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(allTimeEvolutions\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(NoPr["\<Tree: \>"\  <> \ ToString[tree]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr["\<J: \>"\  <> \ ToString[J]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(NoPr["\<Tree verified: \>"\  <> \ 
                    ToString[verifyTree[tree, J]]\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[\( (*\ Baum\  \[Rule] \ Knotenm  enge\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Baum\  \[Rule] \ Pfade\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(treePathes = \ getAllPathes[tree]\), 
              ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), ",", 
                  " ", \(i\  \[LessEqual] \ Length[treePathes]\), ",", 
                  " ", \(i++\), ",", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Knotenmenge\  \[Rule] \ Knoten\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(\[Mu]\  = \ vertices[\([i]\)]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Pfade\  \[Rule] \ Pfad\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(treePath\  = \ 
                      treePathes[\([i]\)]\), ";", "\[IndentingNewLine]", " ", 
                    
                    
                    StyleBox[\(NoPr["\<Path \>"\  <> \ 
                          ToString[i]\  <> \ "\<, vertex \>"\  <> \ 
                          ToString[\[Mu]]\  <> \ "\<: \>" <> \ 
                          ToString[treePath]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Pfad\  \[Rule] \ 
                          Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(pathSpins\  = \ 
                      getPathSpins[treePath]\), ";", 
                    "\[IndentingNewLine]", \(pathCouplings\  = \ 
                      getPathCouplings[treePath, J]\), ";", 
                    "\[IndentingNewLine]", 
                    
                    StyleBox[\(NoPr["\<Couplings: \>"\  <> \ 
                          ToString[pathCouplings]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Gesamtspins\ und\ Kopplungsst\[ADoubleDot]rken\  \
\[Rule] \ Zeitentwicklung\ ohne\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    StyleBox[\(timeEvolution\  = \ pathSpins[\([1]\)]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(For[j\  = \ 2, 
                        j < \ Length[
                            pathSpins], \(j++\), \
\[IndentingNewLine]\(timeEvolution\  = \ 
                            getRotation[
                                pathSpins[\([j]\)], \((pathCouplings[\([j]\)]\
\  - \ pathCouplings[\([j + 1]\)])\)\ *\ t]\  . \ 
                              timeEvolution;\)\[IndentingNewLine]]\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], 
                    StyleBox["\[IndentingNewLine]",
                      Background->None], 
                    
                    StyleBox[\(timeEvolution\  = \ 
                        getRotation[
                            pathSpins[\([Length[
                                  pathSpins]]\)], \((pathCouplings[\([Length[
                                      pathSpins]]\)])\)*\ t]\  . \ 
                          timeEvolution\),
                      Background->None], 
                    StyleBox[";",
                      Background->None], "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Zeitentwicklung\ ohne\ B\  \[Rule] \ 
                          Zeitentwicklung\ mit\ B\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(timeEvolution\  = \ 
                      getRotation[B, \[Gamma]]\  . \ timeEvolution\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(k\  = 1\), ",", " ", \(k\  \[LessEqual] \ 3\),
                         ",", " ", \(k++\), ",", 
                        StyleBox["\[IndentingNewLine]",
                          FontColor->RGBColor[0, 0, 1],
                          Background->RGBColor[1, 0, 
                          1]], \(allTimeEvolutions\  = \ 
                            Append[
                              allTimeEvolutions, \(s[\[Mu]]\)[\([k]\)]\  -> 
                                timeEvolution[\([k]\)]];\)}], 
                      "\[IndentingNewLine]", "]"}], ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "allTimeEvolutions"}]}], "]"}]}], ";"}]], "Input"],

Cell["\<\
Diese Methode liefert die Zeitentwicklung:
\[CapitalUDoubleDot]bergeben wird der Baum \"tree\" und die Kopplungsmatrix \
\"J\".\
\>", "Text"],

Cell[BoxData[
    \(\(getTimeEvolution[tree_, J_]\  := \ 
        getTimeEvolutionWithB[tree, J, {1, 0, 0}, 0];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der Zeitentwicklung",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode testet die Zeitenwicklung f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Menge der Kopplungspaare \"H\" und der \
Baum \"tree\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testTimeEvolution[H_, tree_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, vertices, n, J, timeEvolution, S, S1, S2, S3, 
                energy, v, toPlot, toPlot1, toPlot2}\), ",", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*Zeitraum*) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspins\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, K, 0.1]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = \ 
                  Join[toPlot1, toPlot2]\), ";", 
                "\[IndentingNewLine]", \(Plot[\[IndentingNewLine]Evaluate[
                    toPlot], {t, 0, K}, \[IndentingNewLine]PlotStyle \[Rule] 
                    Join[Table[Hue[i/5], {i, 1, 5}], 
                      Table[{Dashing[{0.01}], Black}, {i, 1, 
                          5}]], \[IndentingNewLine]PlotLegend \[Rule] \
{"\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\
\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]]\), ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
          testTimeEvolution[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 5}, {4, 
                5}, {1, 2}, {3, 4}}, \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Symplektische Integration", "Section"],

Cell["\<\
Diese Methode pr\[UDoubleDot]ft die Zerlegung der Menge \"H\" von \
Kopplungspaaren:
\[CapitalUDoubleDot]bergeben wird die Menge \"H\" und die Teilmengen \"H1\", \
\"H2\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(verifyDecomposition[H_, H1_, H2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({result, sortedH, sortedH1, sortedH2}\), ",", 
              "\[IndentingNewLine]", 
              
              RowBox[{\(result\  = \ True\), ";", 
                "\[IndentingNewLine]", \(sortedH\  = \ getSortedTree[H]\), 
                ";", "\[IndentingNewLine]", \(sortedH1\  = \ 
                  getSortedTree[H1]\), ";", 
                "\[IndentingNewLine]", \(sortedH2\  = \ getSortedTree[H2]\), 
                ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                  
                  RowBox[{\(sortedH\  \[NotEqual] \ 
                        sortedTree[Union[H1, H2]] || \ 
                      Intersection[H1, H2]\  \[NotEqual] {}\), ",", 
                    "\[IndentingNewLine]", 
                    
                    RowBox[{\(result\  = \ False\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(ErPr["\<Error: No valid decomposition of H: \
\>"\  <> \ ToString[H1]\  <> \ "\< and \>"\  <> \ ToString[H2]]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]]}]}], " ", 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                "result"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
        verifyDecomposition[{{1, 2}, {2, 3}, {1, 3}}, {{1, 2}, {2, 3}}, {{1, 
              3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert die Ersetzungsregel \"s[t,i] \[Rule] s[\[Tau],i]\". \
Diese Ersetzungsregel wird in der symplektischen Integration verwendet.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getReplacementRule[M_, \[Tau]_]\  := \ 
          Module[{replacement, i, j}, \[IndentingNewLine]replacement\  = \ 
              Table[\ \(s[M[\([i]\)], j]\)[
                    t]\  \[Rule] \ \(s[M[\([i]\)], j]\)[\[Tau]], {i, 1, 
                  Length[M]}, {j, 1, 3}]; \[IndentingNewLine]Flatten[
              replacement]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ getReplacementRule[{1, 2, 3}, \[Tau]]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration durch:
\[CapitalUDoubleDot]bergeben wird 
-die Menge \"H\" aller Kopplungspaare,
-die Teilmengen \"H1\" und \"H2\", 
-die B\[ADoubleDot]ume \"tree1\" und \"tree2\",
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(integrateSymplectic[H_, H1_, H2_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({result, time, vertices, vertices1, vertices2, J1, J2, 
              timeEvolution1, timeEvolution2, init, i, p, 
              q, \[Zeta], \[Lambda], \[Chi], \[CapitalTheta]}\), ",", 
            "\[IndentingNewLine]", 
            RowBox[{
              
              StyleBox[\(NoPr["\<Decomposition verified: \>"\  <> \ 
                    ToString[verifyDecomposition[H, H1, H2]]]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\( (*\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(vertices\  = \ 
                getVertices[\ Union[tree1, tree2]\ ]\), ";", 
              "\[IndentingNewLine]", \(vertices1\  = \ getVertices[tree1]\), 
              ";", "\[IndentingNewLine]", \(vertices2\  = \ 
                getVertices[tree2]\), ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrizen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J1\  = \ 
                getJ[\ Max[vertices1], H1, 1]\), ";", 
              "\[IndentingNewLine]", \(J2\  = \ 
                getJ[\ Max[vertices2], H2, 1]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Zeitentwicklungen : \ s[\[Tau], i]\  -> \ f \((t)\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ linke\ Seite\ ersetzen\ \(durch : \ \[Tau]\), \ 
                  rechte\ Seite\ ersetzen\ \(durch : \ t\)\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution1\  = \ 
                getTimeEvolution[tree1, J1]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", \(timeEvolution2\  = \ 
                getTimeEvolution[tree2, J2]\  //. \ 
                  getReplacementRule[vertices, \[Tau]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontTracking->"Plain",
                FontColor->GrayLevel[0.500008],
                FontVariations->{"Underline"->False,
                "Outline"->False,
                "Shadow"->False,
                "StrikeThrough"->False,
                "Masked"->False,
                "CompatibilityType"->0,
                "RotationAngle"->0}], 
              "\[IndentingNewLine]", \(init\  = \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", \(result\  = \ {init}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\(time\  = \ AbsoluteTime[]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<firstOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...firstOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              1.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]\  + \ 
                                  O \((\[CapitalDelta]\^2)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ t \[Rule] \ \[CapitalDelta]\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                              Mod[i, plotStep] \[Equal] \ 0, 
                              result\  = \ 
                                Append[result, 
                                  init\  //. \ \[Tau]\  \[Rule] \ \((i\ \
\[CapitalDelta])\)]\ ];\)}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<secondOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...secondOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              2.  \(Ordnung : \ 
                                    exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ 
                                exp\ B\ \[CapitalDelta]/2\ *\ 
                                    exp\ A\ \[CapitalDelta]\ *\ 
                                    exp\ B\ \[CapitalDelta]/2\  + \ 
                                  O \((\[CapitalDelta]\^3)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ t\  \[Rule] \ \[CapitalDelta]\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ B\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<fourthOrder\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...fourthOrder\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(p\  = 
                      N[1/\((4\  - \ 4^\((1/3)\))\)]\), ";", " ", 
                    "\[IndentingNewLine]", \(q\  = N[1 - 4*p]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          RowBox[{
                            StyleBox["(*",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              
                              StyleBox[\(4.  \(Ordnung : \ 
                                      exp\ \((A\  + \ 
                                        B)\) \[CapitalDelta]\)\  = \ \(i = 
                                    1\)\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["..",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[",",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              RowBox[{
                                RowBox[{
                                  StyleBox["5",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], " ", 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[
                                    SubscriptBox[
                                      StyleBox["p",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        FontColor->GrayLevel[0.500008]], "i"],
                                    
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["B",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["\[CapitalDelta]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["*",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["exp",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(p\_i\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox["A",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[" ",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]], 
                                  StyleBox[\(\[CapitalDelta]/2\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    FontColor->GrayLevel[0.500008]]}], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox["+",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[" ",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]], 
                                StyleBox[\(O \((\[CapitalDelta]\^5)\)\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  FontColor->GrayLevel[0.500008]]}]}], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["*)",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}], 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              p\  = \ \(p\_1\  = \ \(p\_2\  = \ \(p\_4\  = \ 
                                      p\_5\)\)\), \ q\  = \ p\_3\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ q\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((q\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((p\  + \ q)\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((p + 
                                        q)\)\ *\ \[CapitalDelta]/2)\)\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta])\)\), 
                          ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ p\ A\ \[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((p\ *\ \[CapitalDelta]/2)\)\), 
                          ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<ForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox[\(NoPr["\<Calculating...ForestRuth\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[CapitalTheta]\  = \ 
                      N[1/\((2\  - \ 2^\((1/3)\))\)]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[CapitalTheta])\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2*\[CapitalTheta])\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - \[CapitalTheta])\)\ A\ \
\[CapitalDelta]/2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - \[CapitalTheta])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ B\ \[CapitalDelta]\ *) \
\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[CapitalTheta]\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[CapitalTheta]\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["If",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["[",
                  FontColor->RGBColor[0, 0, 1]], 
                RowBox[{
                  StyleBox[\(type\  \[Equal] \ "\<optimizedForestRuth\>"\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\(NoPr["\<Calculating...optimizedForestRuth\>"]\)\
,
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    "\[IndentingNewLine]", \(\[Zeta]\  = \ 0.17208656\), ";", 
                    "\[IndentingNewLine]", \(\[Lambda]\  = \ \
\(-0.09156203\)\), ";", 
                    "\[IndentingNewLine]", \(\[Chi]\  = \ \(-0.16162176\)\), 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                      
                      RowBox[{\(i\  = \ 1\), ",", \(i\  \[LessEqual] \ K\), 
                        ",", \(i++\), ",", "\[IndentingNewLine]", 
                        RowBox[{
                          StyleBox[\(showProgress[i, K, time]\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          StyleBox[";",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 1, 0]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ optimierter\ Ruth - Forest\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1\  - \ 
                                      2 \((\[Chi] + \[Zeta])\))\)\ B\ \
\[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1\  - \ 
                                        2*\((\[Chi] + \[Zeta])\))\)\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Lambda]\ A\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Lambda]\ *\ \[CapitalDelta])\
\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Chi]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Chi]\ *\ \
\[CapitalDelta])\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \((1 - 
                                      2  \[Lambda])\)\ A\ \[CapitalDelta]/
                                    2\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution1\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\((1 - 
                                        2\ *\ \[Lambda])\)\ *\ \
\[CapitalDelta]/2)\)\), ";", "\[IndentingNewLine]", 
                          StyleBox[\( (*\ neue\ Anfangsbedingungen\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(init\  = \ 
                            init\  //. \ \ \[Tau]\  \[Rule] \ 0\), ";", 
                          "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ 
                              Zeitentwicklung : \ 
                                exp\ \[Zeta]\ B\ \[CapitalDelta]\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontTracking->"Plain",
                            FontColor->GrayLevel[0.500008],
                            FontVariations->{"Underline"->False,
                            "Outline"->False,
                            "Shadow"->False,
                            "StrikeThrough"->False,
                            "Masked"->False,
                            "CompatibilityType"->0,
                            "RotationAngle"->0}], 
                          "\[IndentingNewLine]", \(init\  = \ \
\((timeEvolution2\  //. \ init)\)\  //. \ 
                              t\  \[Rule] \ \((\[Zeta]\ *\ \[CapitalDelta])\)\
\), ";", "\[IndentingNewLine]", 
                          
                          StyleBox[\( (*\ "\<plotStep\>"\ legt\ die\ Zahl\ \
der\ Punkte\ \(\(fest\)\(.\)\)\ *) \),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          "\[IndentingNewLine]", \(If[\ 
                            Mod[i, plotStep] \[Equal] \ 0, 
                            result\  = \ 
                              Append[result, 
                                init\  //. \ \[Tau]\  \[Rule] \ \((i*\
\[CapitalDelta])\)]\ ]\), ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
                StyleBox["]",
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
              "result"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ausf\[UDoubleDot]hrlicher Test der symplektischen \
Integration",
  FontColor->RGBColor[1, 0, 0]]], "Section"],

Cell["\<\
Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten:
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToLists[F_, K_, \[CapitalDelta]_, 
            plotStep_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, {j\ *\ plotStep\ *\[CapitalDelta], 
                        F[\([i]\)]\  //. \ 
                          t \[Rule] \ \((j\ *\ 
                                plotStep\ *\[CapitalDelta])\)}];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToLists[{t, t\^2, t\^3}, 10, 1, 1]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\

Diese Methode konvertiert eine Liste \"F\" von Funktionen in eine Liste \"L\" \
von Punkten. Dabei wird die diskrete Ersetzungsregel \"rule\" verwendet.
\[CapitalUDoubleDot]bergeben werden die Anzahl \"K\" und die Gr\[ODoubleDot]\
\[SZ]e\"\[CapitalDelta]\" der Zeitschritte, die Gr\[ODoubleDot]\[SZ]e eines \
Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertFunctionsToListsWithdiscreteRule[F_, 
            K_, \[CapitalDelta]_, plotStep_, rule_]\  := \ 
          Module[{temp, L, i, 
              j}, \[IndentingNewLine]L\  = \ {}; \[IndentingNewLine]For[
              i\  = \ 1, 
              i \[LessEqual] \ 
                Length[F], \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 0, 
                j\  \[LessEqual] \ \((K/
                      plotStep)\), \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({j*plotStep*\[CapitalDelta], 
                            F[\([i]\)]}\  //. 
                          t \[Rule] \ \((j*plotStep*\[CapitalDelta])\)\)\  //. 
                        rule[\([j + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(L\  = \ 
                  Append[L, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]L];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, 
        convertFunctionsToListsWithdiscreteRule[{t, t\^2, t\^3}, 3, 1, 
          1, {{t -> 0}, {t -> 1}, {t -> 2}, {t -> 3}}]\ ]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode testet die symplektische Integration f\[UDoubleDot]r Graphen:
\[CapitalUDoubleDot]bergeben wird die Mengen der Kopplungspaare \"H\",\"H1\",\
\"H2\" und die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\".
Dargestellt werden die Gesamtenergie, der Gesamtspin und die Komponenten des \
Gesamtspins.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(testSymplecticIntegration[H_, H1_, H2_, tree_, tree1_, 
            tree2_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({K, \[CapitalDelta], vertices, n, J, timeEvolution, S, 
                S1, S2, S3, energy, v, toPlot, toPlot1, toPlot2, i, j, 
                plotStep, temp, allTemp}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Anzahl\ und\ Gr\[ODoubleDot]\[SZ]e\ der\ Zeitschritte\ *) \
\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(K\  = \ 10\^3\), 
                ";", \(\[CapitalDelta]\  = \ 10\^\(-4\)\), 
                ";", \(plotStep\  = \ 100\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(vertices\  = \ getVertices[tree]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S\  = \ 
                  norm[getTotalSpin[vertices]]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(S1\  = \ 
                  getTotalSpinComponent[vertices, 1]\), ";", 
                "\[IndentingNewLine]", \(S2\  = \ 
                  getTotalSpinComponent[vertices, 2]\), ";", 
                "\[IndentingNewLine]", \(S3\  = \ 
                  getTotalSpinComponent[vertices, 3]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Gesamtenergie\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(energy\  = \ 
                  getTotalEnergy[J, vertices]\), ";", 
                "\[IndentingNewLine]", \(toPlot\  = \ {S, S1\ , S2\ , S3, 
                    energy}\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Anfangsbedingungen\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(v\  = \ generateSet[n]\), ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Explizite\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  getTimeEvolution[tree, J]\), ";", 
                "\[IndentingNewLine]", \(toPlot1\  = \ \(toPlot\  //. \ 
                      timeEvolution\)\  //. \ getInitRule[v]\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot1\  = \ 
                  convertFunctionsToLists[toPlot1, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Standard - Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], \(timeEvolution\  = \ 
                  integrateStandard[n, H, 1, v, 
                    K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  toPlot\  //. \ timeEvolution\), ";", "\[IndentingNewLine]", 
                
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot2\  = \ 
                  convertFunctionsToLists[toPlot2, K\ , \[CapitalDelta]\ , 
                    plotStep]\), ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(timeEvolution\  = \ 
                  integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                    K, \ \[CapitalDelta], \ v, "\<firstOrder\>", plotStep]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Menge\ von\ Funktionen\  \[Rule] \ 
                      Liste\ von\ Punkten\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot3\  = \ 
                  convertFunctionsToListsWithdiscreteRule[toPlot, 
                    K\ , \[CapitalDelta]\ , \ plotStep, timeEvolution]\), ";",
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Darstellung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(toPlot\  = 
                  Join[toPlot1, toPlot2, toPlot3]\), ";", 
                "\[IndentingNewLine]", \(MultipleListPlot[
                    toPlot, \[IndentingNewLine]PlotJoined \[Rule] 
                      True, \[IndentingNewLine]SymbolShape \[Rule] 
                      None, \[IndentingNewLine]PlotStyle \[Rule] 
                      Join[Table[Hue[i/5], {i, 1, 5}], 
                        Table[{Dashing[{0.01}], Black}, {i, 1, 5}], 
                        Table[{Dashing[{0.02}], GrayLevel[i/10]}, {i, 1, 
                            5}]], \[IndentingNewLine]PlotLegend \[Rule] {"\<S\
\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", \
"\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \*"\"\<\!\(S\^2\)\>\"", \
\*"\"\<\!\(S\^3\)\>\"", "\<H\>", "\<S\>", \*"\"\<\!\(S\^1\)\>\"", \
\*"\"\<\!\(S\^2\)\>\"", \*"\"\<\!\(S\^3\)\>\"", "\<H\>"}\[IndentingNewLine]];\
\)}]}], "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*Test : Fliege*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[\ test, \ 
          testSymplecticIntegration[\[IndentingNewLine]{{1, 5}, {2, 5}, {3, 
                5}, {4, 5}, {1, 2}, {3, 
                4}}, \  (*Fliege*) \ \[IndentingNewLine]{{1, 2}, {2, 5}, {5, 
                1}},  (*Dreieck\  + \ 2\ Spins*) \[IndentingNewLine]{{3, 
                4}, {4, 5}, {5, 3}},  (*Dreieck\  + \ 
                2\ Spins*) \[IndentingNewLine]{{1}, {2}, {1, 
                2}, {3}, {4}, {3, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{1}, {2}, {1, 2}, {5}, {1, 2, 
                5}, {3}, {4}, {3, 4}, {1, 2, 3, 4, 
                5}}, \[IndentingNewLine]{{3}, {4}, {3, 4}, {5}, {3, 4, 
                5}, {1}, {2}, {1, 2}, {1, 2, 3, 4, 
                5}}\[IndentingNewLine]\ ]];\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Speichern und Laden", "Section"],

Cell["\<\
Diese Methode wandelt eine diskrete Ersetzungsregel \"rule\" in eine Menge \
\"points\" von Punkten um:
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertDiscreteRuleToPoints[n_, K_, \[CapitalDelta]_, 
            plotStep_, rule_]\  := \ 
          Module[{points, var, temp, i, 
              j}, \[IndentingNewLine]points\  = \ {{{"\<n\>", n}, {"\<K\>", 
                    K}, {"\<Delta\>", N[\[CapitalDelta]]}, {"\<plotStep\>", 
                    plotStep}}}; \[IndentingNewLine]var\  = \ 
              Flatten[getVar[n]]; \[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, \({i\ *\ plotStep, var[\([j]\)]}\  //. 
                          t \[Rule] \ \((i*plotStep*\ \[CapitalDelta])\)\)\  //. 
                        rule[\([i + 
                              1]\)]];\)\[IndentingNewLine]]; \
\[IndentingNewLine]\(points\  = \ 
                  Append[points, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]Flatten[
              points, 1]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertDiscreteRuleToPoints[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine Menge \"points\" von Punkten in eine diskrete \
Ersetzungsregel \"rule\" um.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertPointsToDiscreteRule[points_]\  := \ 
          Module[{n, K, \[CapitalDelta], plotStep, var, rule, i, 
              j}, \[IndentingNewLine]n\  = \ 
              points[\([1, 2]\)]; \[IndentingNewLine]K\  = \ 
              points[\([2, 2]\)]; \[IndentingNewLine]\[CapitalDelta]\  = \ 
              points[\([3, 2]\)]; \[IndentingNewLine]plotStep\  = \ 
              points[\([4, 
                  2]\)]; \[IndentingNewLine]rule\  = \ {}; \
\[IndentingNewLine]var\  = \ Flatten[getVar[n]]; \[IndentingNewLine]For[
              i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]temp\  = \ {}; \
\[IndentingNewLine]For[j\  = \ 1, \ 
                j \[LessEqual] \ 
                  3\ n, \(j++\), \[IndentingNewLine]\(temp\  = \ 
                    Append[temp, 
                      var[\([j]\)]\  \[Rule] \ 
                          points[\([j\  + 4\  + i\ *\ 3\ n, 2]\)]\  //. \ 
                        t \[Rule] \ \((i*
                              plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]\(rule\  = \ 
                  Append[rule, 
                    temp];\)\[IndentingNewLine]]; \[IndentingNewLine]{n, 
              K, \[CapitalDelta], plotStep, rule}];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertPointsToDiscreteRule[\[IndentingNewLine]{{"\<n\>", 
              1}, {"\<K\>", 1}, {"\<Delta\>", 1}, {"\<plotStep\>", 1}, {0, 
              1}, {0, 2}, {0, 3}, {1, 4}, {1, 5}, {1, 
              6}}\[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode schreibt eine diskrete Ersetzungsregel \"rule\" in eine Datei \
\"filename\":
\[CapitalUDoubleDot]bergeben wird die Zahl \"n\" der Spins, die Zahl \"K\" \
und Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der Zeitschritte, die Gr\
\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten von \"\
\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(saveDiscreteRuleToFile[n_, K_, \[CapitalDelta]_, plotStep_, 
            rule_, filename_]\  := \ 
          Module[{points}, \[IndentingNewLine]points\  = \ 
              convertDiscreteRuleToPoints[n, K, \[CapitalDelta], plotStep, 
                rule]; \[IndentingNewLine]Export[filename\  <> \ "\<.dat\>", 
              points];\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        saveDiscreteRuleToFile[\[IndentingNewLine]1, 1, 1, 
          1, \[IndentingNewLine]{{\(s[1, 1]\)[0]\  \[Rule] \ 
                1, \(s[1, 2]\)[0] \[Rule] 2, \(s[1, 3]\)[0] \[Rule] 
                3}, {\(s[1, 1]\)[1]\  \[Rule] \ 4, \(s[1, 2]\)[1] \[Rule] 
                5, \(s[1, 3]\)[1] \[Rule] 
                6}}, \[IndentingNewLine]"\<testfile\>"\[IndentingNewLine]]]\),
      
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liest eine diskrete Ersetzungsregel \"rule\" aus einer Datei \
\"filename\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(loadDiscreteRuleFromFile[filename_]\  := \ 
          Module[{points, rule}, \[IndentingNewLine]points\  = \ 
              Import[filename\  <> \ "\<.dat\>"]; \[IndentingNewLine]rule\  = \
\ convertPointsToDiscreteRule[points]; \[IndentingNewLine]rule];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, loadDiscreteRuleFromFile["\<testfile\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode liefert einen Dateinamen \"filename\". \
\[CapitalUDoubleDot]bergeben wird 
-eine Systembeschreibung \"system\",
-die Zahl \"n\" der Spins,
-die Zahl \"K\" und die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" der \
Zeitschritte,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".
-der Typ \"type\" der Integration.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createFilename[system_, n_, K_, \[CapitalDelta]_, plotStep_, 
            type_]\  := \ 
          Module[{filename}, \[IndentingNewLine]filename\  = \ 
              system\  <> \ "\<_n_\>"\  <> \ 
                ToString[n]\  <> \ "\<_K_\>"\  <> \ 
                ToString[N[K]]\  <> \ "\<_Delta_\>"\  <> \ 
                ToString[N[\[CapitalDelta]]]\  <> \ "\<_plotStep_\>" <> \ 
                ToString[N[plotStep]] <> "\<_Type_\>"\  <> \ 
                type\[IndentingNewLine]];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        createFilename["\<fliege\>", 5, 1, 1, 1, "\<firstOrder\>"]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode wandelt eine kontinuierliche Ersetzungsregel \"continuous\" in \
eine diskrete Ersetzungsregel \"discrete\" um:\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(convertContinuousToDiscreteRule[K_, \[CapitalDelta]_, 
            plotStep_, continuous_]\  := \ 
          Module[{discrete, 
              i}, \[IndentingNewLine]discrete\  = \ {}; \
\[IndentingNewLine]For[i\  = \ 0, 
              i\  \[LessEqual] \ \((K\ /\ 
                    plotStep)\), \(i++\), \[IndentingNewLine]\(discrete\  = \ 
                  Append[discrete, 
                    continuous\  //. \ 
                      t \[Rule] \((i*
                            plotStep*\ \[CapitalDelta])\)];\)\
\[IndentingNewLine]]; \[IndentingNewLine]discrete];\), "\[IndentingNewLine]", 
      
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        convertContinuousToDiscreteRule[4, 1, 
          2, {\(s[1, 1]\)[t] -> \ 
              t, \(s[1, 2]\)[t] -> \(-t\), \(s[1, 3]\)[t] -> 0}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Ikosidodekaeder", "Section"],

Cell["\<\
Die folgenden Methoden erleichtern die Eingabe des Ikosidodekaeders.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(createBowTieH[M1_, M2_, C_]\  := \ 
          Module[{H}, \[IndentingNewLine]H\  = \ {{M1[\([1]\)], 
                  C}, {M1[\([2]\)], C}, {M1[\([1]\)], 
                  M1[\([2]\)]}, {M2[\([1]\)], C}, {M2[\([2]\)], 
                  C}, {M2[\([1]\)], M2[\([2]\)]}}; \[IndentingNewLine]H];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieH[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{
    RowBox[{\(createBowTieTree\ [M1_, M2_, C_]\  := \ 
          Module[{tree}, \[IndentingNewLine]tree\  = \ \
{\[IndentingNewLine]{M1[\([1]\)]}, {M1[\([2]\)]}, {M1[\([1]\)], 
                  M1[\([2]\)]}, \[IndentingNewLine]{M2[\([1]\)]}, \
{M2[\([2]\)]}, {M2[\([1]\)], M2[\([2]\)]}, \[IndentingNewLine]{M1[\([1]\)], 
                  M1[\([2]\)], M2[\([1]\)], 
                  M2[\([2]\)]}, \[IndentingNewLine]{C}, \
\[IndentingNewLine]{M1[\([1]\)], M1[\([2]\)], M2[\([1]\)], M2[\([2]\)], 
                  C}\[IndentingNewLine]}; \[IndentingNewLine]tree];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, createBowTieTree[{1, 2}, {3, 4}, 5]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleH[A_, B_, C_]\  := \ 
        Module[{H}, \[IndentingNewLine]H\  = \ {{A, B}, {B, C}, {C, 
                A}}; \[IndentingNewLine]H];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleH[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(createTriangleTree[A_, B_, C_]\  := \ 
        Module[{tree}, \[IndentingNewLine]tree\  = \ {{A}, {B}, {A, 
                B}, {C}, {A, B, 
                C}}; \[IndentingNewLine]tree];\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, createTriangleTree[1, 2, 3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[{\(treeUnion[trees_]\  := \ 
        Module[{unitedTrees, radix}, \[IndentingNewLine]unitedTrees\  = \ 
            trees[\([1]\)]; \[IndentingNewLine]For[i\  = \ 2, \ 
            i \[LessEqual] \ \ Length[
                trees], \(i++\), \[IndentingNewLine]radix\  = \ {Union[
                  getVertices[unitedTrees], 
                  getVertices[
                    trees[\([i]\)]]]}; \[IndentingNewLine]unitedTrees\  = \ 
              Union[unitedTrees, trees[\([i]\)], 
                radix];\[IndentingNewLine]]; \[IndentingNewLine]unitedTrees];\
\), "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        treeUnion[{createTriangleTree[1, 2, 3], 
            createTriangleTree[4, 5, 6]}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Hauptprogramm", "Section"],

Cell["\<\
Diese Methode liefert die Differenz von zwei Listen \"lists1\" und \
\"lists2\": 2-1.\
\>", "Text"],

Cell[BoxData[{
    RowBox[{\(getListDifference[lists1_, lists2_]\  := \ 
          Module[{i, j, listDifference, 
              allListDifference}, \[IndentingNewLine]allListDifference\  = \ \
{}; \[IndentingNewLine]For[i\  = \ 1, \ 
              i\  \[LessEqual] \ 
                Length[lists1], \ \(i++\), \[IndentingNewLine]listDifference\ \
 = \ {}; \[IndentingNewLine]For[j\  = \ 1, 
                j\  \[LessEqual] \ 
                  Length[lists1[\([i]\)]], \ \(j++\), \
\[IndentingNewLine]\(listDifference\  = \ 
                    Append[listDifference, {lists1[\([i, j, 1]\)], 
                        Log[10, 
                          Abs[lists2[\([i, j, 2]\)]\  - \ 
                              lists1[\([i, j, 
                                  2]\)]]]}];\)\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference\  = \ 
                Append[allListDifference, 
                  DeleteCases[
                    listDifference, {0, 
                      Indeterminate}]];\[IndentingNewLine]]; \
\[IndentingNewLine]allListDifference];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, 
        getListDifference[{{{1, 1}, {2, 1}}, {{1, 0}, {2, 0}}}, {{{1, 1}, {2, 
                2}}, {{1, \(-1\)}, {2, \(-2\)}}}]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode f\[UDoubleDot]hrt die symplektische Integration f\[UDoubleDot]r \
Graphen durch und speichert das Ergebnis.
\[CapitalUDoubleDot]bergeben werden:
-die Systembeschreibung \"system\"
-die Mengen der Kopplungspaare \"H\",\"H1\",\"H2\" 
-die B\[ADoubleDot]ume \"tree\",\"tree1\",\"tree2\"
-die Zahl \"K\" der Zeitschritte, 
-die Gr\[ODoubleDot]\[SZ]e \"\[CapitalDelta]\" eines Zeitschrittes,
-die Anfangsbedingungen \"v\",
-der Typ \"type\" der Integration,
-die Gr\[ODoubleDot]\[SZ]e eines Plot-Zeitschrittes \"plotStep\" in Einheiten \
von \"\[CapitalDelta]\".\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(makeResults[system_, H_, H1_, H2_, tree_, tree1_, tree2_, 
          K_, \[CapitalDelta]_, v_, type_, plotStep_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({vertices, n, J, timeEvolution, filename}\), ",", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ Knoten\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
            
            RowBox[{\(vertices\  = \ getVertices[\ Union[tree1, tree2]\ ]\), 
              ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Zahl\ der\ Knoten\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(n\  = \ Max[vertices]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Kopplungsmatrix\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(J\  = \ getJ[n, H, 1]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Symplektische\ Integration\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                integrateSymplectic[H, \ H1, \ H2, \ tree1, \ tree2, \ 
                  K, \ \[CapitalDelta], \ v, type, plotStep]\), ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , plotStep, 
                    type]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "  ", 
              RowBox[{"(*", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Numerische\ Zeitentwicklung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                
                RowBox[{\(timeEvolution\  = \ 
                    integrateStandard[n, H, 1, v, 
                      K\ \[CapitalDelta], \[CapitalDelta]]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], 
                  "\[IndentingNewLine]", \(timeEvolution\  = \ 
                    convertContinuousToDiscreteRule[K, \[CapitalDelta], 
                      plotStep, timeEvolution]\), ";", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Speichern\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(filename\  = \ 
                      createFilename[system, n, K\ , \[CapitalDelta]\ , 
                        plotStep, "\<rungekutta\>"]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[\(NoPr[filename]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(saveDiscreteRuleToFile[n, \ 
                      K, \ \[CapitalDelta], \ plotStep, \ timeEvolution, \ 
                      filename\ ]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", 
                      tree1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  
                  StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", 
                      tree2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                  StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]], 
                  StyleBox[";",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 1, 0]]}], "\[IndentingNewLine]", 
                "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Referenz : \ Explizite\ Zeitentwicklung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                getTimeEvolution[tree, J]\  //. \ getInitRule[v]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ kontinuierlich\  \[Rule] \ diskret\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(timeEvolution\  = \ 
                convertContinuousToDiscreteRule[K, \[CapitalDelta], plotStep, 
                  timeEvolution]\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Speichern\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              StyleBox[\(filename\  = \ 
                  createFilename[system, n, K\ , \[CapitalDelta]\ , 
                    plotStep, "\<exact\>"]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox["\[IndentingNewLine]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[\(NoPr[filename]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              
              StyleBox[\(saveDiscreteRuleToFile[n, \ K, \ \[CapitalDelta], \ 
                  plotStep, \ timeEvolution, \ filename\ ]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_J.dat\>", J]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree.dat\>", tree]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree1.dat\>", tree1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_tree2.dat\>", tree2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H.dat\>", H]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H1.dat\>", H1]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_H2.dat\>", H2]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
              StyleBox[\(Export[filename\  <> \ "\<_v.dat\>", v]\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]], 
              StyleBox[";",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 1, 0]]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[saveOrLoad, 
        makeResults[\[IndentingNewLine]"\<Pyramide\>", \
\[IndentingNewLine]{{1, 2}, {2, 3}, {3, 4}, {4, 1}, {1, 5}, {2, 5}, {3, 
              5}, {4, 5}}, \  (*Pyramide*) \ \[IndentingNewLine]{{1, 4}, {4, 
              5}, {5, 1}, {1, 2}},  (*Triangel*) \[IndentingNewLine]{{3, 
              2}, {2, 5}, {5, 3}, {3, 
              4}},  (*Triangel*) \[IndentingNewLine]{{1}, {3}, {1, 
              3}, {2}, {4}, {2, 4}, {1, 2, 3, 4}, {5}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{4}, {5}, {4, 5}, {2}, {2, 4, 
              5}, {1}, {1, 2, 4, 5}, {3}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]{{2}, {5}, {2, 5}, {4}, {2, 4, 
              5}, {3}, {2, 3, 4, 5}, {1}, {1, 2, 3, 4, 
              5}}, \[IndentingNewLine]3333\ ,  (*K*) \[IndentingNewLine]0.03\ \
\ ,  (*\[CapitalDelta]*) \[IndentingNewLine]Import["\<v5.dat\>"], \
\[IndentingNewLine]"\<secondOrder\>", \[IndentingNewLine]33 (*plotStep\
*) \[IndentingNewLine]]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[TextData[{
  "Diese Methode erstellt eine logarithmische Skala von ",
  Cell[BoxData[
      \(10\^min\)]],
  " bis ",
  Cell[BoxData[
      \(10\^max\)]],
  "."
}], "Text"],

Cell[BoxData[{
    RowBox[{\(myLogScale[min_, max_]\  := \ 
          Module[{i, j, 
              myticks}, \[IndentingNewLine]myticks\  = \ {}; \
\[IndentingNewLine]For[i\  = \ min, \ 
              i\  \[LessEqual] \ max, \ \(i++\), \[IndentingNewLine]For[
                j\  = \ 1, 
                j\  \[LessEqual] \ 9, \(j++\), \[IndentingNewLine]If[
                  j\  == \ 1, 
                  myticks\  = \ 
                    Append[myticks, {i, 
                        i, {0.01, 0}}]]; \[IndentingNewLine]If[j\  > \ 1, 
                  myticks\  = \ 
                    Append[myticks, {N[Log[10, j\ *\ 10^i]], "\<\>", {0.005, 
                          0}}]];\[IndentingNewLine]]]; \
\[IndentingNewLine]myticks];\), "\[IndentingNewLine]", 
      StyleBox[\( (*Test*) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(If[test, myLogScale[0, 1]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell["\<\
Diese Methode plottet die Ergebnisse der Dateien \"data\". Dargestellt werden \
die Gesamtenergie, der Gesamtspin und die Komponenten des Gesamtspins.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(showResults[data_, relative_]\), " ", ":=", " ", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({allLists, lists, vertices, S, S1, S2, S3, J, energy, 
              toPlot, i, j, n, K, \[CapitalDelta], plotStep, timeEvolution, 
              reference}\), ",", "\[IndentingNewLine]", 
            
            RowBox[{\(allLists\  = \ \ {}\), ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i\  = \ 1\), 
                  ",", \(i\  \[LessEqual] \ Length[data]\), ",", \(i++\), ",",
                   "\[IndentingNewLine]", 
                  StyleBox[\( (*\ Datei\ *) \),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  RowBox[{
                    
                    StyleBox[\({n, K, \[CapitalDelta], plotStep, 
                          timeEvolution}\  = \ 
                        loadDiscreteRuleFromFile[data[\([i]\)]]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox["\[IndentingNewLine]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    
                    StyleBox[\(J\  = \ 
                        Import[data[\([i]\)]\  <> \ "\<_J.dat\>"]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], 
                    StyleBox[";",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], " ", 
                      StyleBox["Knoten",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(vertices\  = \ 
                      Table[j, {j, 1, n}]\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S\  = \ 
                      norm[getTotalSpin[vertices]]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Komponenten\ des\ Gesamtspin\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(S1\  = \ 
                      getTotalSpinComponent[vertices, 1]\), ";", 
                    "\[IndentingNewLine]", \(S2\  = \ 
                      getTotalSpinComponent[vertices, 2]\), ";", 
                    "\[IndentingNewLine]", \(S3\  = \ 
                      getTotalSpinComponent[vertices, 3]\), ";", 
                    "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Gesamtenergie\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(energy\  = \ 
                      getTotalEnergy[J, vertices]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {S, S1, S2, S3, 
                        energy}\), ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(f\  = \ 
                      getTotalSpin[{1, 2}]\  . \ getTotalSpin[{5}]\), ";", 
                    "\[IndentingNewLine]", \(toPlot\  = \ {f}\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        Menge\ von\ Funktionen\  \[Rule] \ 
                          Liste\ von\ Punkten\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(lists\  = 
                      convertFunctionsToListsWithdiscreteRule[toPlot, 
                        K, \[CapitalDelta], plotStep, timeEvolution]\), ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            1. \ Datensatz\ ist\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[
                      relative\  && \ Mod[i, 2]\  \[Equal] \ 1, 
                      reference\  = \ lists]\), ";", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        relative\ \(Auftragung : \ 
                            Differenz\ zur\ Referenz\)\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(If[
                      relative\  && \ Mod[i, 2]\  == \ 0, 
                      lists\  = \ getListDifference[reference, lists]]\), ";",
                     "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", \(If[\(! relative\)\  || \ 
                        Mod[i, 2] \[Equal] 0, 
                      allLists = \ Join[allLists, lists]]\), ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Darstellung\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              "\[IndentingNewLine]", \(MultipleListPlot[
                allLists, \[IndentingNewLine]PlotJoined \[Rule] 
                  True, \[IndentingNewLine]SymbolShape \[Rule] 
                  None, \[IndentingNewLine]Axes \[Rule] 
                  False, \[IndentingNewLine]PlotRange \[Rule] 
                  All, \[IndentingNewLine]Ticks \[Rule] \ 
                  Automatic, \[IndentingNewLine]Frame \[Rule] 
                  True, \[IndentingNewLine]FrameTicks \[Rule] \ {Automatic, 
                    myLogScale[\(-9\), 9]}, \[IndentingNewLine]PlotLabel -> 
                  StyleForm["\<Pyramide (numerisch)\>", 
                    FontSize \[Rule] 
                      16], \[IndentingNewLine]FrameLabel -> \
{StyleForm["\<t\>", FontSize \[Rule] 16], 
                    StyleForm[\*"\"\<\[Delta](\!\(s\_15\^2\)+ \!\(s\_25\^2\))\
\>\"", FontSize \[Rule] 
                        16], "\<\>", "\<\>"}, \[IndentingNewLine]PlotStyle \
\[Rule] {Yellow, {AbsoluteDashing[{5, 2}], Green}, {AbsoluteDashing[{3, 2}], 
                      Red}, Blue, {AbsoluteDashing[{5, 2}], 
                      Black}}, \[IndentingNewLine]PlotLegend \[Rule] {"\<SZT \
1.\>", "\<SZT 2.\>", "\<FR\>", "\<OFR\>", "\<SZT 4.\>"}, \
\[IndentingNewLine]LegendLabel \[Rule] "\<\>", \[IndentingNewLine]LegendSize \
\[Rule] {0.27, 
                    0.2}, \[IndentingNewLine]LegendPosition\  \[Rule] \ \
{0.59, \(-0.40\)}, \[IndentingNewLine]AspectRatio \[Rule] 
                  0.5\[IndentingNewLine]]\), ";"}]}], "\[IndentingNewLine]", 
          "]"}]}], ";"}], "\[IndentingNewLine]", 
    StyleBox[\(If[\(! saveOrLoad\), \[IndentingNewLine]\(showResults[{\
\[IndentingNewLine]"\<Pyramide_n_5_K_5000._Delta_0.02_plotStep_50._Type_exact\
\>", \[IndentingNewLine]"\<Pyramide_n_5_K_5000._Delta_0.02_plotStep_50._Type_\
firstOrder\>", \
\[IndentingNewLine]"\<Pyramide_n_5_K_3333._Delta_0.03_plotStep_33._Type_exact\
\>", \[IndentingNewLine]"\<Pyramide_n_5_K_3333._Delta_0.03_plotStep_33._Type_\
secondOrder\>", \
\[IndentingNewLine]"\<Pyramide_n_5_K_1428._Delta_0.07_plotStep_14._Type_exact\
\>", \[IndentingNewLine]"\<Pyramide_n_5_K_1428._Delta_0.07_plotStep_14._Type_\
ForestRuth\>", \
\[IndentingNewLine]"\<Pyramide_n_5_K_1111._Delta_0.09_plotStep_11._Type_exact\
\>", \[IndentingNewLine]"\<Pyramide_n_5_K_1111._Delta_0.09_plotStep_11._Type_\
optimizedForestRuth\>", \
\[IndentingNewLine]"\<Pyramide_n_5_K_909._Delta_0.11_plotStep_9._Type_exact\>\
", \[IndentingNewLine]"\<Pyramide_n_5_K_909._Delta_0.11_plotStep_9._Type_\
fourthOrder\>"\[IndentingNewLine]}, True];\)\[IndentingNewLine]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[0, 0, 1]]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.25 0.47619 [
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0119048 0.97619 0.488095 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0143838 0.00961807 0.483298 0.0571785 [
[.01438 -0.0125 -3 -9 ]
[.01438 -0.0125 3 0 ]
[.20675 -0.0125 -6 -9 ]
[.20675 -0.0125 6 0 ]
[.39911 -0.0125 -6 -9 ]
[.39911 -0.0125 6 0 ]
[.59147 -0.0125 -6 -9 ]
[.59147 -0.0125 6 0 ]
[.78383 -0.0125 -6 -9 ]
[.78383 -0.0125 6 0 ]
[.97619 -0.0125 -9 -9 ]
[.97619 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -6.78125 -23 ]
[.5 -0.0125 6.78125 -9 ]
[-0.0125 .02587 -12 -4.5 ]
[-0.0125 .02587 0 4.5 ]
[-0.0125 .08305 -12 -4.5 ]
[-0.0125 .08305 0 4.5 ]
[-0.0125 .14023 -12 -4.5 ]
[-0.0125 .14023 0 4.5 ]
[-0.0125 .19741 -12 -4.5 ]
[-0.0125 .19741 0 4.5 ]
[-0.0125 .25458 -12 -4.5 ]
[-0.0125 .25458 0 4.5 ]
[-0.0125 .31176 -12 -4.5 ]
[-0.0125 .31176 0 4.5 ]
[-0.0125 .36894 -12 -4.5 ]
[-0.0125 .36894 0 4.5 ]
[-0.0125 .42612 -12 -4.5 ]
[-0.0125 .42612 0 4.5 ]
[-0.0125 .4833 -6 -4.5 ]
[-0.0125 .4833 0 4.5 ]
[ 0 0 -0.125 0 ]
[-0.01875 .25 -30.1875 -56.9063 ]
[-0.01875 .25 -12 56.9063 ]
[ 0 .5 .125 0 ]
[1.0125 .02587 0 -4.5 ]
[1.0125 .02587 12 4.5 ]
[1.0125 .08305 0 -4.5 ]
[1.0125 .08305 12 4.5 ]
[1.0125 .14023 0 -4.5 ]
[1.0125 .14023 12 4.5 ]
[1.0125 .19741 0 -4.5 ]
[1.0125 .19741 12 4.5 ]
[1.0125 .25458 0 -4.5 ]
[1.0125 .25458 12 4.5 ]
[1.0125 .31176 0 -4.5 ]
[1.0125 .31176 12 4.5 ]
[1.0125 .36894 0 -4.5 ]
[1.0125 .36894 12 4.5 ]
[1.0125 .42612 0 -4.5 ]
[1.0125 .42612 12 4.5 ]
[1.0125 .4833 0 -4.5 ]
[1.0125 .4833 6 4.5 ]
[ 1 0 .125 0 ]
[.5 .5125 -97.625 0 ]
[.5 .5125 97.625 15.1875 ]
[ 0 0 0 0 ]
[ 1 .5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01438 0 m
.01438 .00625 L
s
[(0)] .01438 -0.0125 0 1 Mshowa
.20675 0 m
.20675 .00625 L
s
[(20)] .20675 -0.0125 0 1 Mshowa
.39911 0 m
.39911 .00625 L
s
[(40)] .39911 -0.0125 0 1 Mshowa
.59147 0 m
.59147 .00625 L
s
[(60)] .59147 -0.0125 0 1 Mshowa
.78383 0 m
.78383 .00625 L
s
[(80)] .78383 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(100)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.06247 0 m
.06247 .00375 L
s
.11056 0 m
.11056 .00375 L
s
.15865 0 m
.15865 .00375 L
s
.25484 0 m
.25484 .00375 L
s
.30293 0 m
.30293 .00375 L
s
.35102 0 m
.35102 .00375 L
s
.4472 0 m
.4472 .00375 L
s
.49529 0 m
.49529 .00375 L
s
.54338 0 m
.54338 .00375 L
s
.63956 0 m
.63956 .00375 L
s
.68765 0 m
.68765 .00375 L
s
.73574 0 m
.73574 .00375 L
s
.83192 0 m
.83192 .00375 L
s
.88001 0 m
.88001 .00375 L
s
.9281 0 m
.9281 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
.5 -0.0125 -67.7813 -27 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 22 translate 1 -1 scale
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
72.563 14.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .00312 m
.005 .00312 L
s
0 .00866 m
.005 .00866 L
s
0 .01318 m
.005 .01318 L
s
0 .01701 m
.005 .01701 L
s
0 .02033 m
.005 .02033 L
s
0 .02325 m
.005 .02325 L
s
0 .02587 m
.01 .02587 L
s
[(-8)] -0.0125 .02587 1 0 Mshowa
0 .04308 m
.005 .04308 L
s
0 .05315 m
.005 .05315 L
s
0 .06029 m
.005 .06029 L
s
0 .06584 m
.005 .06584 L
s
0 .07036 m
.005 .07036 L
s
0 .07419 m
.005 .07419 L
s
0 .07751 m
.005 .07751 L
s
0 .08043 m
.005 .08043 L
s
0 .08305 m
.01 .08305 L
s
[(-7)] -0.0125 .08305 1 0 Mshowa
0 .10026 m
.005 .10026 L
s
0 .11033 m
.005 .11033 L
s
0 .11747 m
.005 .11747 L
s
0 .12301 m
.005 .12301 L
s
0 .12754 m
.005 .12754 L
s
0 .13137 m
.005 .13137 L
s
0 .13469 m
.005 .13469 L
s
0 .13761 m
.005 .13761 L
s
0 .14023 m
.01 .14023 L
s
[(-6)] -0.0125 .14023 1 0 Mshowa
0 .15744 m
.005 .15744 L
s
0 .16751 m
.005 .16751 L
s
0 .17465 m
.005 .17465 L
s
0 .18019 m
.005 .18019 L
s
0 .18472 m
.005 .18472 L
s
0 .18855 m
.005 .18855 L
s
0 .19186 m
.005 .19186 L
s
0 .19479 m
.005 .19479 L
s
0 .19741 m
.01 .19741 L
s
[(-5)] -0.0125 .19741 1 0 Mshowa
0 .21462 m
.005 .21462 L
s
0 .22469 m
.005 .22469 L
s
0 .23183 m
.005 .23183 L
s
0 .23737 m
.005 .23737 L
s
0 .2419 m
.005 .2419 L
s
0 .24573 m
.005 .24573 L
s
0 .24904 m
.005 .24904 L
s
0 .25197 m
.005 .25197 L
s
0 .25458 m
.01 .25458 L
s
[(-4)] -0.0125 .25458 1 0 Mshowa
0 .2718 m
.005 .2718 L
s
0 .28186 m
.005 .28186 L
s
0 .28901 m
.005 .28901 L
s
0 .29455 m
.005 .29455 L
s
0 .29908 m
.005 .29908 L
s
0 .30291 m
.005 .30291 L
s
0 .30622 m
.005 .30622 L
s
0 .30915 m
.005 .30915 L
s
0 .31176 m
.01 .31176 L
s
[(-3)] -0.0125 .31176 1 0 Mshowa
0 .32897 m
.005 .32897 L
s
0 .33904 m
.005 .33904 L
s
0 .34619 m
.005 .34619 L
s
0 .35173 m
.005 .35173 L
s
0 .35626 m
.005 .35626 L
s
0 .36008 m
.005 .36008 L
s
0 .3634 m
.005 .3634 L
s
0 .36632 m
.005 .36632 L
s
0 .36894 m
.01 .36894 L
s
[(-2)] -0.0125 .36894 1 0 Mshowa
0 .38615 m
.005 .38615 L
s
0 .39622 m
.005 .39622 L
s
0 .40337 m
.005 .40337 L
s
0 .40891 m
.005 .40891 L
s
0 .41343 m
.005 .41343 L
s
0 .41726 m
.005 .41726 L
s
0 .42058 m
.005 .42058 L
s
0 .4235 m
.005 .4235 L
s
0 .42612 m
.01 .42612 L
s
[(-1)] -0.0125 .42612 1 0 Mshowa
0 .44333 m
.005 .44333 L
s
0 .4534 m
.005 .4534 L
s
0 .46054 m
.005 .46054 L
s
0 .46609 m
.005 .46609 L
s
0 .47061 m
.005 .47061 L
s
0 .47444 m
.005 .47444 L
s
0 .47776 m
.005 .47776 L
s
0 .48068 m
.005 .48068 L
s
0 .4833 m
.01 .4833 L
s
[(0)] -0.0125 .4833 1 0 Mshowa
0 0 m
0 .5 L
s
gsave
-0.01875 .25 -139 -13.0938 Mabsadd m
1 1 Mabs scale
currentpoint translate
117.906 13.0938 translate
90 rotate
-117.906 -13.0938 translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 26.1875 translate 1 -1 scale
63.000 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(d) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
72.563 18.188 moveto
(H) show
82.125 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
91.688 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
105.813 12.063 moveto
(2) show
113.125 18.188 moveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
132.250 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
141.813 20.563 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 11.375 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(25) show
155.938 12.063 moveto
(2) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
163.250 18.188 moveto
(L) show
172.813 18.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.01438 .49375 m
.01438 .5 L
s
.20675 .49375 m
.20675 .5 L
s
.39911 .49375 m
.39911 .5 L
s
.59147 .49375 m
.59147 .5 L
s
.78383 .49375 m
.78383 .5 L
s
.97619 .49375 m
.97619 .5 L
s
.125 Mabswid
.06247 .49625 m
.06247 .5 L
s
.11056 .49625 m
.11056 .5 L
s
.15865 .49625 m
.15865 .5 L
s
.25484 .49625 m
.25484 .5 L
s
.30293 .49625 m
.30293 .5 L
s
.35102 .49625 m
.35102 .5 L
s
.4472 .49625 m
.4472 .5 L
s
.49529 .49625 m
.49529 .5 L
s
.54338 .49625 m
.54338 .5 L
s
.63956 .49625 m
.63956 .5 L
s
.68765 .49625 m
.68765 .5 L
s
.73574 .49625 m
.73574 .5 L
s
.83192 .49625 m
.83192 .5 L
s
.88001 .49625 m
.88001 .5 L
s
.9281 .49625 m
.9281 .5 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.995 .00312 m
1 .00312 L
s
.995 .00866 m
1 .00866 L
s
.995 .01318 m
1 .01318 L
s
.995 .01701 m
1 .01701 L
s
.995 .02033 m
1 .02033 L
s
.995 .02325 m
1 .02325 L
s
.99 .02587 m
1 .02587 L
s
[(-8)] 1.0125 .02587 -1 0 Mshowa
.995 .04308 m
1 .04308 L
s
.995 .05315 m
1 .05315 L
s
.995 .06029 m
1 .06029 L
s
.995 .06584 m
1 .06584 L
s
.995 .07036 m
1 .07036 L
s
.995 .07419 m
1 .07419 L
s
.995 .07751 m
1 .07751 L
s
.995 .08043 m
1 .08043 L
s
.99 .08305 m
1 .08305 L
s
[(-7)] 1.0125 .08305 -1 0 Mshowa
.995 .10026 m
1 .10026 L
s
.995 .11033 m
1 .11033 L
s
.995 .11747 m
1 .11747 L
s
.995 .12301 m
1 .12301 L
s
.995 .12754 m
1 .12754 L
s
.995 .13137 m
1 .13137 L
s
.995 .13469 m
1 .13469 L
s
.995 .13761 m
1 .13761 L
s
.99 .14023 m
1 .14023 L
s
[(-6)] 1.0125 .14023 -1 0 Mshowa
.995 .15744 m
1 .15744 L
s
.995 .16751 m
1 .16751 L
s
.995 .17465 m
1 .17465 L
s
.995 .18019 m
1 .18019 L
s
.995 .18472 m
1 .18472 L
s
.995 .18855 m
1 .18855 L
s
.995 .19186 m
1 .19186 L
s
.995 .19479 m
1 .19479 L
s
.99 .19741 m
1 .19741 L
s
[(-5)] 1.0125 .19741 -1 0 Mshowa
.995 .21462 m
1 .21462 L
s
.995 .22469 m
1 .22469 L
s
.995 .23183 m
1 .23183 L
s
.995 .23737 m
1 .23737 L
s
.995 .2419 m
1 .2419 L
s
.995 .24573 m
1 .24573 L
s
.995 .24904 m
1 .24904 L
s
.995 .25197 m
1 .25197 L
s
.99 .25458 m
1 .25458 L
s
[(-4)] 1.0125 .25458 -1 0 Mshowa
.995 .2718 m
1 .2718 L
s
.995 .28186 m
1 .28186 L
s
.995 .28901 m
1 .28901 L
s
.995 .29455 m
1 .29455 L
s
.995 .29908 m
1 .29908 L
s
.995 .30291 m
1 .30291 L
s
.995 .30622 m
1 .30622 L
s
.995 .30915 m
1 .30915 L
s
.99 .31176 m
1 .31176 L
s
[(-3)] 1.0125 .31176 -1 0 Mshowa
.995 .32897 m
1 .32897 L
s
.995 .33904 m
1 .33904 L
s
.995 .34619 m
1 .34619 L
s
.995 .35173 m
1 .35173 L
s
.995 .35626 m
1 .35626 L
s
.995 .36008 m
1 .36008 L
s
.995 .3634 m
1 .3634 L
s
.995 .36632 m
1 .36632 L
s
.99 .36894 m
1 .36894 L
s
[(-2)] 1.0125 .36894 -1 0 Mshowa
.995 .38615 m
1 .38615 L
s
.995 .39622 m
1 .39622 L
s
.995 .40337 m
1 .40337 L
s
.995 .40891 m
1 .40891 L
s
.995 .41343 m
1 .41343 L
s
.995 .41726 m
1 .41726 L
s
.995 .42058 m
1 .42058 L
s
.995 .4235 m
1 .4235 L
s
.99 .42612 m
1 .42612 L
s
[(-1)] 1.0125 .42612 -1 0 Mshowa
.995 .44333 m
1 .44333 L
s
.995 .4534 m
1 .4534 L
s
.995 .46054 m
1 .46054 L
s
.995 .46609 m
1 .46609 L
s
.995 .47061 m
1 .47061 L
s
.995 .47444 m
1 .47444 L
s
.995 .47776 m
1 .47776 L
s
.995 .48068 m
1 .48068 L
s
.99 .4833 m
1 .4833 L
s
[(0)] 1.0125 .4833 -1 0 Mshowa
1 0 m
1 .5 L
s
gsave
.5 .5125 -158.625 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.1875 translate 1 -1 scale
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Pyramide) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
149.063 15.188 moveto
(H) show
158.625 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(numerisch) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
244.688 15.188 moveto
(L) show
254.250 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 16.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 1 0 r
.001 w
.024 .27779 m
.03362 .31338 L
.04324 .36179 L
.05286 .38785 L
.06247 .40061 L
.07209 .40117 L
.08171 .37623 L
.09133 .39584 L
.10095 .4179 L
.11056 .42285 L
.12018 .41399 L
.1298 .34289 L
.13942 .42223 L
.14904 .43696 L
.15865 .4412 L
.16827 .43684 L
.17789 .41526 L
.18751 .41526 L
.19713 .44237 L
.20675 .45066 L
.21636 .4494 L
.22598 .43576 L
.2356 .38693 L
.24522 .44186 L
.25484 .45305 L
.26445 .45396 L
.27407 .44587 L
.28369 .41793 L
.29331 .42361 L
.30293 .4446 L
.31254 .44867 L
.32216 .44241 L
.33178 .41777 L
.3414 .41365 L
.35102 .43522 L
.36063 .43556 L
.37025 .41919 L
.37987 .38793 L
.38949 .42278 L
.39911 .42117 L
.40872 .29475 L
.41834 .43146 L
.42796 .44729 L
.43758 .45091 L
.4472 .44278 L
.45681 .36948 L
.46643 .44696 L
.47605 .46281 L
.48567 .46681 L
.49529 .46094 L
Mistroke
.50491 .43228 L
.51452 .44719 L
.52414 .46858 L
.53376 .47485 L
.54338 .47239 L
.553 .45806 L
.56261 .40997 L
.57223 .46427 L
.58185 .47569 L
.59147 .4768 L
.60109 .46841 L
.6107 .43629 L
.62032 .45206 L
.62994 .47075 L
.63956 .4746 L
.64918 .46939 L
.65879 .45101 L
.66841 .41742 L
.67803 .45602 L
.68765 .46254 L
.69727 .45766 L
.70688 .43729 L
.7165 .41429 L
.72612 .44277 L
.73574 .44117 L
.74536 .40389 L
.75497 .43563 L
.76459 .45033 L
.77421 .44672 L
.78383 .39301 L
.79345 .45107 L
.80307 .46816 L
.81268 .47281 L
.8223 .46744 L
.83192 .43895 L
.84154 .45538 L
.85116 .47715 L
.86077 .48379 L
.87039 .48136 L
.88001 .46578 L
.88963 .43556 L
.89925 .47714 L
.90886 .48751 L
.91848 .4881 L
.9281 .47922 L
.93772 .44459 L
.94734 .46559 L
.95695 .48382 L
.96657 .48802 L
.97619 .48331 L
Mistroke
Mfstroke
0 1 0 r
[ 5 2 ] 0 Mabsdash
.02391 .24004 m
.03343 .25391 L
.04295 .2561 L
.05247 .25521 L
.06199 .23826 L
.07152 .1986 L
.08104 .24746 L
.09056 .26621 L
.10008 .26185 L
.1096 .22008 L
.11912 .26518 L
.12865 .29219 L
.13817 .30515 L
.14769 .30831 L
.15721 .30327 L
.16673 .28422 L
.17626 .27773 L
.18578 .30972 L
.1953 .32043 L
.20482 .32213 L
.21434 .31417 L
.22387 .27135 L
.23339 .31032 L
.24291 .3282 L
.25243 .33432 L
.26195 .33338 L
.27147 .32367 L
.281 .28333 L
.29052 .31434 L
.30004 .33069 L
.30956 .33355 L
.31908 .32753 L
.32861 .30787 L
.33813 .28753 L
.34765 .32119 L
.35717 .32973 L
.36669 .32988 L
.37622 .32403 L
.38574 .31053 L
.39526 .27843 L
.40478 .26605 L
.4143 .2781 L
.42382 .27286 L
.43335 .26662 L
.44287 .27782 L
.45239 .29987 L
.46191 .31438 L
.47143 .3186 L
.48096 .31065 L
.49048 .13742 L
Mistroke
.5 .32069 L
.50952 .33876 L
.51904 .346 L
.52857 .34586 L
.53809 .33709 L
.54761 .30082 L
.55713 .32776 L
.56665 .34654 L
.57618 .35198 L
.5857 .3489 L
.59522 .33278 L
.60474 .30501 L
.61426 .34528 L
.62378 .3562 L
.63331 .35828 L
.64283 .35303 L
.65235 .33575 L
.66187 .29998 L
.67139 .34242 L
.68092 .35117 L
.69044 .34983 L
.69996 .33906 L
.70948 .30222 L
.719 .32327 L
.72853 .34013 L
.73805 .34371 L
.74757 .3407 L
.75709 .33243 L
.76661 .31919 L
.77613 .30523 L
.78566 .30155 L
.79518 .3038 L
.8047 .29862 L
.81422 .23097 L
.82374 .31238 L
.83327 .33335 L
.84279 .34189 L
.85231 .34104 L
.86183 .3258 L
.87135 .31004 L
.88088 .34729 L
.8904 .35973 L
.89992 .36344 L
.90944 .35985 L
.91896 .34459 L
.92848 .30479 L
.93801 .35283 L
.94753 .36398 L
.95705 .36527 L
.96657 .35739 L
Mistroke
.97609 .32622 L
Mfstroke
1 0 0 r
[ 3 2 ] 0 Mabsdash
.02381 .09966 m
.03324 .13841 L
.04266 .13982 L
.05209 .11371 L
.06151 .12786 L
.07094 .13264 L
.08036 .15061 L
.08979 .1692 L
.09922 .16631 L
.10864 .13625 L
.11807 .16501 L
.12749 .19039 L
.13692 .19836 L
.14634 .1974 L
.15577 .18824 L
.1652 .16896 L
.17462 .11589 L
.18405 .17954 L
.19347 .19515 L
.2029 .20276 L
.21232 .20594 L
.22175 .20179 L
.23118 .18395 L
.2406 .16341 L
.25003 .20049 L
.25945 .21211 L
.26888 .2156 L
.2783 .21252 L
.28773 .19964 L
.29715 .14136 L
.30658 .19315 L
.31601 .20914 L
.32543 .21575 L
.33486 .21785 L
.34428 .21441 L
.35371 .1999 L
.36313 .14349 L
.37256 .20681 L
.38199 .22073 L
.39141 .22501 L
.40084 .22422 L
.41026 .21788 L
.41969 .20034 L
.42911 .16736 L
.43854 .21013 L
.44797 .22116 L
.45739 .22554 L
.46682 .22522 L
.47624 .21752 L
.48567 .19262 L
Mistroke
.49509 .19784 L
.50452 .22364 L
.51395 .23259 L
.52337 .23417 L
.5328 .22954 L
.54222 .21705 L
.55165 .16997 L
.56107 .21111 L
.5705 .22831 L
.57993 .2347 L
.58935 .23521 L
.59878 .22924 L
.6082 .21096 L
.61763 .1864 L
.62705 .22463 L
.63648 .23611 L
.64591 .23955 L
.65533 .23685 L
.66476 .22628 L
.67418 .19496 L
.68361 .20667 L
.69303 .22827 L
.70246 .23616 L
.71189 .23815 L
.72131 .23456 L
.73074 .22231 L
.74016 .16936 L
.74959 .21855 L
.75901 .23535 L
.76844 .2416 L
.77787 .24238 L
.78729 .23763 L
.79672 .22416 L
.80614 .15329 L
.81557 .22148 L
.82499 .23641 L
.83442 .24233 L
.84385 .24268 L
.85327 .23661 L
.8627 .21812 L
.87212 .19921 L
.88155 .23468 L
.89097 .24565 L
.9004 .24869 L
.90983 .24576 L
.91925 .23583 L
.92868 .20539 L
.9381 .21867 L
.94753 .24006 L
.95695 .24756 L
Mistroke
.96638 .24856 L
.97581 .24348 L
Mfstroke
0 0 1 r
[ ] 0 setdash
.02391 .02235 m
.03343 .07747 L
.04295 .08762 L
.05247 .09144 L
.06199 .08955 L
.07152 .10098 L
.08104 .11975 L
.09056 .12653 L
.10008 .11795 L
.1096 .06282 L
.11912 .12091 L
.12865 .14511 L
.13817 .15791 L
.14769 .16255 L
.15721 .15971 L
.16673 .14392 L
.17626 .12249 L
.18578 .16028 L
.1953 .1715 L
.20482 .17423 L
.21434 .16864 L
.22387 .14275 L
.23339 .15207 L
.24291 .17556 L
.25243 .18365 L
.26195 .18403 L
.27147 .17625 L
.281 .15096 L
.29052 .15016 L
.30004 .17457 L
.30956 .18126 L
.31908 .17962 L
.32861 .16925 L
.33813 .13161 L
.34765 .15632 L
.35717 .17309 L
.36669 .17707 L
.37622 .17537 L
.38574 .16981 L
.39526 .16032 L
.40478 .14689 L
.4143 .12797 L
.42382 .03874 L
.43335 .13287 L
.44287 .15377 L
.45239 .16752 L
.46191 .17494 L
.47143 .17487 L
.48096 .16388 L
.49048 .09121 L
Mistroke
.5 .17314 L
.50952 .19005 L
.51904 .19703 L
.52857 .19715 L
.53809 .18902 L
.54761 .15743 L
.55713 .17513 L
.56665 .19538 L
.57618 .20169 L
.5857 .20006 L
.59522 .18788 L
.60474 .05955 L
.61426 .18905 L
.62378 .20309 L
.63331 .20688 L
.64283 .2035 L
.65235 .19092 L
.66187 .14182 L
.67139 .18118 L
.68092 .19573 L
.69044 .19827 L
.69996 .19308 L
.70948 .17736 L
.719 .09766 L
.72853 .17532 L
.73805 .18625 L
.74757 .18858 L
.75709 .18703 L
.76661 .18359 L
.77613 .17981 L
.78566 .17617 L
.79518 .16973 L
.8047 .15095 L
.81422 .14345 L
.82374 .17824 L
.83327 .19203 L
.84279 .19709 L
.85231 .19421 L
.86183 .17774 L
.87135 .16053 L
.88088 .19752 L
.8904 .20981 L
.89992 .21368 L
.90944 .21058 L
.91896 .19682 L
.92848 .12721 L
.93801 .19966 L
.94753 .21231 L
.95705 .21493 L
.96657 .20937 L
Mistroke
.97609 .1886 L
Mfstroke
0 0 0 r
[ 5 2 ] 0 Mabsdash
.02391 .0119 m
.03343 .06454 L
.04295 .08166 L
.05247 .0777 L
.06199 .02882 L
.07152 .02575 L
.08104 .07686 L
.09056 .1106 L
.10008 .11906 L
.1096 .11727 L
.11912 .05768 L
.12865 .12834 L
.13817 .14329 L
.14769 .14687 L
.15721 .14407 L
.16673 .13457 L
.17626 .0981 L
.18578 .12921 L
.1953 .14969 L
.20482 .15863 L
.21434 .15928 L
.22387 .14849 L
.23339 .1025 L
.24291 .14005 L
.25243 .1586 L
.26195 .16527 L
.27147 .16379 L
.281 .15282 L
.29052 .10967 L
.30004 .14186 L
.30956 .15695 L
.31908 .15981 L
.32861 .15774 L
.33813 .15271 L
.34765 .13811 L
.35717 .07485 L
.36669 .13845 L
.37622 .15152 L
.38574 .15658 L
.39526 .15795 L
.40478 .15775 L
.4143 .15453 L
.42382 .14466 L
.43335 .10225 L
.44287 .13913 L
.45239 .15914 L
.46191 .16939 L
.47143 .17293 L
.48096 .16945 L
.49048 .15236 L
Mistroke
.5 .13926 L
.50952 .17245 L
.51904 .18266 L
.52857 .18473 L
.53809 .1799 L
.54761 .16339 L
.55713 .1319 L
.56665 .17434 L
.57618 .18581 L
.5857 .18842 L
.59522 .18312 L
.60474 .16497 L
.61426 .13455 L
.62378 .17509 L
.63331 .18606 L
.64283 .18807 L
.65235 .18279 L
.66187 .16678 L
.67139 .094 L
.68092 .16508 L
.69044 .17576 L
.69996 .1776 L
.70948 .1751 L
.719 .16811 L
.72853 .1519 L
.73805 .07601 L
.74757 .14709 L
.75709 .16363 L
.76661 .17215 L
.77613 .17744 L
.78566 .17937 L
.79518 .17672 L
.8047 .16578 L
.81422 .10967 L
.82374 .16456 L
.83327 .18289 L
.84279 .19063 L
.85231 .19143 L
.86183 .18416 L
.87135 .15344 L
.88088 .17164 L
.8904 .19243 L
.89992 .1994 L
.90944 .19907 L
.91896 .19094 L
.92848 .16349 L
.93801 .17073 L
.94753 .19336 L
.95705 .20039 L
.96657 .19954 L
Mistroke
.97609 .19041 L
Mfstroke
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
MathSubEnd
P
% End of sub-graphic
0 g
.78095 .05952 m
.78095 .15476 L
.90952 .15476 L
.90952 .05952 L
F
1 g
.78095 .05952 m
.78095 .15476 L
.90952 .15476 L
.90952 .05952 L
F
0 g
.001 w
[ ] 0 setdash
.78095 .05952 m
.90952 .05952 L
.90952 .15476 L
.78095 .15476 L
.78095 .05952 L
s
% Start of sub-graphic
p
0.780952 0.0595238 0.909524 0.154762 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0123457 0.123457 [
[ 0 0 0 0 ]
[ 1 .74074 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .74074 L
0 .74074 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0222222 0.35119 0.145679 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 0 r
.03463 w
[ 5 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .08395 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
87.000 12.813 moveto
(4.) show
99.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.165432 0.35119 0.288889 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 0 1 r
.03463 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .22716 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(OFR) show
81.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.308642 0.35119 0.432099 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.03463 w
[ 3 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .37037 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(FR) show
75.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.451852 0.35119 0.575309 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 1 0 r
.03463 w
[ 5 2 ] 0 Mabsdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .51358 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
87.000 12.813 moveto
(2.) show
99.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.595062 0.35119 0.718519 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 1 0 r
.03463 w
[ ] 0 setdash
0 .5 m
1 .5 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .65679 -61 -10.2813 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.5625 translate 1 -1 scale
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(SZT) show
87.000 12.813 moveto
(1.) show
99.000 12.813 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .5 L
0 .5 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{956, 478},
  ImageMargins->{{5, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000>l0001gR000`400?l00000o`00003oo`3ooooo
0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0ooooo`3ooono0?ooo`00
o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0ooooo`3ooono
0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0oooo
o`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?oo
ool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo
003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oo
okl0oooo003o0?ooonP0oooo1000003o0?ooom80oooo003o0?ooonL0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`3o0?oooll0oooo003o0?ooonL0oooo00<000000?ooo`3oool0o`3o
oooD0?ooo`00o`3ooooW0?ooo`030000003oool0oooo0?l0ooooe03oool00?l0ooooi`3oool00`00
0000oooo0?ooo`3o0?ooom@0oooo003o0?ooonL0oooo00<000000?ooo`3oool0o`3ooooD0?ooo`00
o`3ooooU0?ooo`L00000o`3ooooB0?ooo`00o`3ooooW0?ooo`030000003oool0oooo0?l0ooooe03o
ool00?l0ooooi`3oool00`000000oooo0?ooo`3o0?ooom@0oooo003o0?ooool0ooooo`3ooono0?oo
o`00I`3oool200000980oooo100000030?ooo`800000TP3oool300000080oooo0P00002?0?ooo`<0
0000103oool200000940oooo0P0000040?ooo`800000S03oool500000080oooo0P0000040?ooo`80
0000D`3oool006H0oooo00@000000?ooo`3oool00000T@3oool00`000000oooo0?ooo`030?ooo`04
0000003oool0oooo00000980oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`2<
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000S`3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000008d0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0D03oool006H0oooo00@00000
0?ooo`3oool00000TP3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000008l0oooo
1@0000001@3oool000000?ooo`3oool0000008h0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`00002?0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
S@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`1@0?ooo`00IP3oool010000000oooo0?ooo`00002C0?ooo`050000003oool0oooo
0?ooo`0000000P3oool00`000000oooo0?ooo`2=0?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool00000SP3oool3000000<0oooo00@000000?ooo`3oool00000T03oool2000000<0
oooo00@000000?ooo`3oool00000S@3oool01@000000oooo0?ooo`3oool000000080oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`1@0?ooo`00IP3oool010000000oooo0?ooo`00
002A0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000T03oool00`000000
oooo000000020?ooo`040000003oool0oooo000008l0oooo00<000000?ooo`3oool00P3oool01000
0000oooo0?ooo`00002?0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
S@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`1@0?ooo`00I`3oool2000009<0oooo0P0000040?ooo`800000TP3oool2000000<0
oooo0P00002@0?ooo`<000000`3oool200000940oooo0P0000040?ooo`800000S@3oool2000000@0
oooo0P0000040?ooo`800000D`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0ooooo`3o
oono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0
ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o
0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0
oooo003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool005`0ooooo`00003o
00000?l000007@0000160?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02@0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`D000001`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool0303oool5000004H0oooo001L0?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`2E0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?oo
o`2F0?ooo`030000003oool0oooo09D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo09D0oooo00<00000
0?ooo`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<00000
0?ooo`3oool0U@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo0?l0ooooo`3ooooo0?oooaT0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00003o0?ooool0ooooo`3ooolC0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0
o`3ooooo0?ooool0oooo6@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooo`H0oooo00<000000?ooo`3oool0A03o
ool005`0oooo1@00000>0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?ooo`80oooo1@000016
0?ooo`00G03oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolI0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0o`3ooooo0?ooogP0
ooooO000000@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000003`3oool00`000000oooo
0?ooo`3o0?ooool0ooooN03oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo00X0oooo
1@0000160?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?l0ooooo`3o
oomh0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?l0ooooo`3ooomh
0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool5000000l0oooo00<000000?ooo`3oool0o`3ooooo0?ooogP0oooo00<000000?oo
o`3oool0N03oool00`000000oooo0?ooo`0:0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3o
ool0403oool00`000?l000000?ooo`3o0?ooool0ooooN@3oool00`000000oooo0?ooo`1h0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool004h0oooo0P00000<0?ooo`D00000
3P3oool00`000?l0oooo0?ooo`3o0?ooool0ooooN@3oool00`000000oooo0?ooo`1h0?ooo`030000
003oool0oooo00X0oooo1@00000A0?ooo`800000<`3oool004d0oooo00@000000?ooo`3oool00000
2`3oool00`000000oooo0?ooo`0@0?ooo`030000o`3oool000000?l0ooooo`3ooomi0?ooo`030000
003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`040000
003oool0oooo00000380oooo001=0?ooo`040000003oool0oooo000000/0oooo2@00000;0?ooo`03
0000o`000000oooo0?l0ooooo`3ooomh0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3o
ool01P3oool900000100oooo00@000000?ooo`3oool00000<P3oool004L0oooo100000030?ooo`80
0000303oool00`000000oooo0?ooo`0A0?ooo`030000o`000000oooo01l0oooo1000003o0?ooool0
ooooE@3oool00`000000oooo0?ooo`0`0?ooo`<000000`3oool400000080oooo0`00000;0?ooo`<0
00000P3oool2000002L0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`080?ooo`@0
00000`3oool2000003<0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3o
ool04@3oool00`000?l0oooo0000000L0?ooo`<000000`3oool00`000000oooo0?ooo`3o0?ooool0
ooooD`3oool00`000000oooo0?ooo`0`0?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02X0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`040000003oool0oooo00000380oooo001>
0?ooo`800000303oool00`000000oooo0?ooo`0A0?ooo`030000o`3oool0000001X0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?ooool0ooooD`3oool00`000000oooo0?ooo`0>
0?ooo`H0000000<0oooo000000000000100000000`3oool000000000000E0?ooo`050000003oool0
oooo0?ooo`0000001@3oool00`000000oooo0?ooo`080?ooo`D00000:`3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo00l0oooo0P00000c0?ooo`00G03oool00`000000oooo0?ooo`0A
0?ooo`030000o`3oool0oooo01X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`3o
0?ooool0ooooDP3oool00`000000oooo0?ooo`0a0?ooo`8000001@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000;03oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0140oooo00<0003o
0?ooo`0000006P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0?l0ooooo`3ooomB
0?ooo`030000003oool0oooo0300oooo00@000000?ooo`3oool000000P3oool02P000000oooo0?oo
o`000000oooo0000003oool000000?ooo`0000090?ooo`030000003oool0000002`0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?oo
o`030000o`000000oooo01P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`3o0?oo
ool0ooooDP3oool00`000000oooo0?ooo`0`0?ooo`@000000P3oool4000000030?ooo`0000000000
00<000002P3oool2000002`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`0B0?ooo`030000o`000000oooo01P0oooo00<000000?ooo`3o
ool0o`3ooooo0?oooe`0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo00<0003o0?ooo`000000
603oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000
003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0B0?ooo`030000o`3oool000000280oooo00<000000?ooo`3oool0o`3o
oooo0?oooe80oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo00<0003o0?ooo`000000603oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0?l0oooo503oool00`000?l0oooo0?ooo`3o
0?oooc/0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo01<0oooo00<0003o0?ooo`3oool05`3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0?l0oooo4`3oool00`000?l0oooo0?ooo`3o0?oo
oc/0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo01<0oooo00<0003o0000003oool05`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo0?l0oooo4`3oool00`000?l0oooo0?ooo`3o0?oooc/0
oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo01<0oooo00<0003o0000003oool05P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo0?l0oooo4`3oool00`000?l0oooo0?ooo`3o0?oooc/0oooo
00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`D000004@3oool00`000?l000000?ooo`0F0?ooo`030000003oool0oooo0?l0oooo7`3o
ool00`000?l0oooo0?ooo`3o0?oooc/0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?oo
o`0:0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool04`3oool00`000?l0oooo0000000F
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0o`3ooolB0?ooo`80003oo`3oooll
0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0C0?ooo`030000o`3oool0000002<0oooo00<000000?oo
o`3oool0o`3ooolA0?ooo`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`1h0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0503oool00`000?l000000?ooo`0E0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0o`3ooolA0?ooo`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`1h0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
503oool00`000?l0oooo0?ooo`0E0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`1h0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503o
ool00`000?l0oooo0000000D0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0o`3o
ool@0?ooo`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`0a0?ooo`8000000`3o
ool300000080oooo0`0000020?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0D0?ooo`030000o`3oool0
000001@0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`3o0?oooa00oooo00<0003o
0?ooo`000?l0o`3oooll0?ooo`030000003oool0oooo00h0oooo40000?lB0?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00000h0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0503o
ool00`000?l0oooo0000000D0?ooo`030000003oool0oooo0?l0oooo7`3oool00`000?l0oooo0000
o`3o0?oooc`0oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo0080oooo0`00000i0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
A03oool005`0oooo1@00000C0?ooo`030000o`000000oooo0280oooo00<000000?ooo`3oool0o`3o
ool@0?ooo`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`0`0?ooo`040000003o
ool0oooo000000<0oooo0P0000030?ooo`040000003oool0oooo000003P0oooo00<000000?ooo`3o
ool02P3oool5000004H0oooo001L0?ooo`030000003oool0oooo01D0oooo00<0003o0000003oool0
4P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?l0oooo403oool00`000?l0oooo
0000o`3o0?oooc`0oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`0000030?ooo`06
0000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool00`00
0?l000000?ooo`0B0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0o`3oool@0?oo
o`030000o`3oool0003o0?l0oooo?03oool00`000000oooo0?ooo`0a0?ooo`8000000`3oool90000
03T0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0E0?ooo`030000o`3oool0oooo0180oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`3o0?ooo`l0oooo00@0003o0?ooo`3oool0003oo`3ooolk0?ooo`030000003oool0oooo
07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0E0?ooo`030000o`3oool000000140oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo0>`0oooo00D0003o0?ooo`3oool0oooo0000o`3o0?oo
oc/0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo01D0oooo00<0003o0?ooo`0000004@3oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0k03oool01@000?l0
oooo0?ooo`3oool0003o08d0oooo00<0003o0?ooo`3oool0ZP3oool00`000000oooo0?ooo`1h0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000D0?ooo`03
0000o`000000oooo0100oooo00<000000?ooo`3oool0;`3oool200000>h0oooo00D0003o0?ooo`3o
ool0oooo0000o`2=0?ooo`030000o`3oool0oooo0:X0oooo00<000000?ooo`3oool0N03oool00`00
0000oooo0?ooo`0:0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool05P3oool00`000?l0
oooo0000000R0?ooo`030000003oool0oooo01d0oooo0P00003^0?ooo`050000o`3oool0oooo0?oo
o`000?l0S@3oool00`000?l0oooo0?ooo`2Z0?ooo`030000003oool0oooo07P0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`03
0000o`3oool000000100oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0F0?ooo`03
0000o`3oool0oooo00@0oooo0P00003^0?ooo`050000o`3oool0oooo0?ooo`000?l0S@3oool00`00
0?l0oooo0?ooo`2Z0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0F0?ooo`030000o`3oool000000100
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0F0?ooo`030000o`3oool0oooo00<0
oooo00<000000?ooo`3oool0kP3oool01@000?l0oooo0?ooo`3oool0003o08d0oooo00<0003o0?oo
o`3oool0ZP3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool0A03oool005`0oooo1@00000D0?ooo`030000o`3oool0oooo0100oooo00<000000?ooo`3o
ool0403oool00`000000oooo0?ooo`0E0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`00
0000kP3oool01@000?l0oooo0?ooo`3oool0003o08d0oooo00<0003o0?ooo`3oool0ZP3oool00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo00X0oooo1@0000160?ooo`00G03oool00`000000
oooo0?ooo`0G0?ooo`030000o`3oool0000000h0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`0E0?ooo`80003o103oool00`000000oooo0000003^0?ooo`050000o`3oool0oooo0?oo
o`000?l0S@3oool00`000?l0oooo0?ooo`2Z0?ooo`030000003oool0oooo07P0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0G0?ooo`03
0000o`3oool0000000h0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0D0?ooo`03
0000o`3oool0003o00H0oooo00<000000?ooo`3oool0k03oool00`000?l0oooo0?ooo`020?ooo`03
0000o`3oool0oooo08T0oooo0P000?n/0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0G0?ooo`040000
o`3oool0oooo000000d0oooo00<000000?ooo`3oool0:03oool00`000?l0oooo0000o`040?ooo`04
0000003oool0oooo00000>d0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`290?oo
o`030000o`3oool0003o0:/0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`D000005@3oool010000?l0oooo0?ooo`00000Q0?oo
o`030000003oool0oooo01@0oooo00<0003o0?ooo`000?l0103oool010000000oooo0?ooo`00003/
0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0R@3oool00`000?l0oooo0000o`2[
0?ooo`030000003oool0oooo0300oooo0`0000020?ooo`<000000P3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo00X0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0G0?oo
o`050000o`3oool0oooo0?ooo`000000303oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo01@0oooo00<0003o0?ooo`000?l0103oool010000000oooo0?ooo`00003/0?ooo`030000o`3o
ool0oooo00<0oooo00<0003o0?ooo`3oool0R@3oool00`000?l0oooo0000o`2[0?ooo`030000003o
ool0oooo0340oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00000n0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3o
ool00`000?l0oooo0?ooo`0>0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0503o
ool00`000?l0oooo0000o`030?ooo`030000003oool0oooo0>h0oooo00<0003o0?ooo`3oool00`3o
ool00`000?l0oooo0?ooo`290?ooo`030000o`3oool0003o0:/0oooo00<000000?ooo`3oool03P3o
ool40?l000030?ooo`3o0000o`000080o`0000<0oooo0?l0003o00000P3o00000`3oool0o`000?oo
o`0B0?ooo`030000003oool0oooo0080oooo0`00000o0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0A03oool005`0oooo1@00000F0?ooo`050000o`3oool0oooo0?ooo`0000002P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00@0003o0?ooo`3oool0003o
0P3oool01@000000oooo0?ooo`3oool000000;X0oooo00<000000?ooo`3oool0;`3oool00`000?l0
oooo0?ooo`030?ooo`030000o`3oool0oooo08T0oooo00<0003o0?ooo`000?l0Z`3oool00`000000
oooo0?ooo`0a0?ooo`8000000`3oool010000000oooo0?ooo`00000n0?ooo`030000003oool0oooo
00X0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0H0?ooo`030000o`3oool0oooo0080
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180
oooo00D0003o0?ooo`3oool0oooo0000o`020?ooo`050000003oool0oooo0?ooo`000000^P3oool0
0`000000oooo0?ooo`0_0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0R@3oool0
0`000?l0oooo0000o`2[0?ooo`030000003oool0oooo0340oooo00H000000?ooo`3oool000000?oo
o`0000020?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`140?ooo`00G03oool5000001H0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3oool01@000?l0oooo0?oo
o`3oool0003o00H0oooo00<000000?ooo`3oool0^03oool200000300oooo00<0003o0?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`290?ooo`030000o`3oool0003o06L0oooo00<000000?ooo`3oool0
@@3oool00`000000oooo0?ooo`0`0?ooo`T00000?`3oool00`000000oooo0?ooo`0:0?ooo`D00000
AP3oool005`0oooo00<000000?ooo`3oool06@3oool00`000?l0oooo0?ooo`020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`0000005`3oool00`000000oooo0?ooo`0A0?ooo`050000o`3o
ool0oooo0?ooo`000?l00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0;P0oooo
00<000000?ooo`3oool0;P3oool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo08T0oooo
00<0003o0?ooo`000?l0I`3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo07P0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0J0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool00P00000J0?ooo`030000003o
ool0oooo0140oooo00D0003o0?ooo`3oool0oooo0000o`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0]`3oool00`000000oooo0?ooo`0_0?ooo`030000o`3oool0oooo00@0oooo
00<0003o0?ooo`3oool0R03oool00`000?l0oooo0000o`1W0?ooo`030000003oool0oooo0440oooo
00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo
001?0?ooo`030000003oool0oooo00X0oooo1@00000I0?ooo`030000o`3oool0oooo0080oooo0P00
000L0?ooo`030000003oool0oooo0140oooo00D0003o0?ooo`3oool0oooo0000o`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0]`3oool200000300oooo00<0003o0?ooo`3oool0
103oool00`000?l0oooo0?ooo`280?ooo`030000o`3oool0003o06H0oooo00<000000?ooo`000000
@P3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo00X0oooo1@00000B0?ooo`030000
003oool0oooo0340oooo001?0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool06`3o
ool00`000?l0oooo0?ooo`0Q0?ooo`030000003oool0oooo0100oooo00<0003o0?ooo`3oool00P3o
ool00`000?l000000?ooo`2n0?ooo`800000<03oool00`000?l0oooo0?ooo`040?ooo`030000o`3o
ool0oooo08P0oooo00<0003o0?ooo`000?l0IP3oool00`000000oooo000000120?ooo`030000003o
ool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo0340oooo001?0?ooo`030000003oool0oooo00X0oooo2@00000F0?ooo`030000o`3oool0
oooo0200oooo00<000000?ooo`3oool03`3oool00`000?l0oooo0?ooo`030?ooo`030000o`000000
oooo00@0oooo00<000000?ooo`3oool0]P3oool00`000000oooo0000000_0?ooo`030000o`3oool0
oooo00D0oooo00<0003o0?ooo`3oool0R03oool00`000?l0oooo0000o`1V0?ooo`030000003oool0
00000480oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`060?ooo`T000004P3oool0
0`000000oooo0?ooo`0a0?ooo`00A`3oool4000000D0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0M0?ooo`030000o`3oool0oooo01l0oooo00<000000?ooo`3oool03`3oool00`00
0?l0oooo0?ooo`030?ooo`030000o`000000oooo00@0oooo00<000000?ooo`3oool0]P3oool01000
0000oooo0?ooo`00000^0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0Q`3oool0
10000?l0oooo0?ooo`000?n[0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`080?ooo`@000001@3oool00`000000oooo0?ooo`0`0?ooo`00C@3oool0
10000000oooo0?ooo`00000;0?ooo`030000003oool0oooo01h0oooo00<0003o0?ooo`3oool0<03o
ool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0]P3o
ool010000000oooo0?ooo`00000^0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0
Q`3oool010000?l0oooo0?ooo`000?mV0?ooo`030000003oool000000480oooo00<000000?ooo`3o
ool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3o
ool00000<P3oool004d0oooo1000000;0?ooo`030000003oool0oooo01l0oooo0P000?lO0?ooo`03
0000003oool0oooo00h0oooo00<0003o0?ooo`3oool00`3oool00`000?l000000?ooo`050?ooo`03
0000003oool0oooo0;P0oooo00<000000?ooo`3oool0;03oool00`000?l0oooo0?ooo`050?ooo`03
0000o`3oool0oooo08L0oooo00@0003o0?ooo`3oool0003oIP3oool00`000000oooo000000120?oo
o`030000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?oo
o`@00000<P3oool005`0oooo00<000000?ooo`3oool08@3oool20000oad0oooo00<000000?ooo`3o
ool03P3oool00`000?l0oooo0?ooo`030?ooo`030000o`000000oooo00D0oooo00<000000?ooo`3o
ool0]@3oool00`000000oooo0?ooo`0_0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3o
ool0Q`3oool01@000?l0oooo0?ooo`3oool0003o06D0oooo00<000000?ooo`000000@P3oool00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0
oooo00<000000?ooo`3oool08`3oool30000o`D0oooo10000?lA0?ooo`030000003oool0oooo00h0
oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0;D0
oooo00@000000?ooo`3oool00000;P3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo
08L0oooo00D0003o0?ooo`3oool0oooo0000o`1U0?ooo`040000003oool0oooo00000440oooo00<0
00000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo02H0oooo1@000?l40?ooo`030000o`3oool0oooo00l0oooo00<00000
0?ooo`3oool0303oool00`000?l0oooo0?ooo`040?ooo`03000000000?l0oooo0;d0oooo00@00000
0?ooo`3oool00000;P3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo02h0oooo00<0
003o0?ooo`3oool0EP3oool01@000?l0oooo0?ooo`3oool0003o06D0oooo00@000000?ooo`3oool0
0000@@3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool0A03oool005`0oooo00<000000?ooo`3oool0<03oool00`000?l0oooo0?ooo`0>0?ooo`030000
003oool0oooo00`0oooo00<0003o0?ooo`3oool0103oool00`000000003o0?ooo`050?ooo`030000
003oool0oooo0;@0oooo00D000000?ooo`3oool0oooo0000000^0?ooo`030000o`3oool0oooo00H0
oooo00<0003o0?ooo`3oool0;@3oool00`000?l0oooo0?ooo`1F0?ooo`050000o`3oool0oooo0?oo
o`000?l0I@3oool010000000oooo0?ooo`0000110?ooo`030000003oool0oooo07P0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0a0?oo
o`030000o`3oool0oooo00d0oooo00<000000?ooo`3oool0303oool00`000?l0oooo0?ooo`040?oo
o`03000000000?l0oooo00D0oooo00<000000?ooo`3oool0]03oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo02/0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`0]0?oo
o`030000o`3oool0oooo05H0oooo00D0003o0?ooo`3oool0oooo0000o`2Z0?ooo`030000003oool0
oooo0300oooo0`0000030?ooo`@000000P3oool3000000T0oooo100000030?ooo`8000009`3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
0380oooo00<0003o0?ooo`3oool06`3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo
00@0oooo00<000000?ooo`3oool0]03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
02/0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`0]0?ooo`030000o`3oool0oooo
05H0oooo00D0003o0?ooo`3oool0oooo0000o`0a0?ooo`030000003oool0oooo0300oooo00D00000
0?ooo`3oool0oooo000000110?ooo`030000003oool0oooo00h0oooo1P00o`000`3oool00?l0003o
0004003o00030?ooo`00o`000?l00180oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0;@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0380oooo
00<0003o0?ooo`3oool03@3oool00`000000oooo0?ooo`0;0?ooo`030000o`3oool0oooo00@0oooo
00<000000?ooo`000?l01P3oool00`000000oooo0?ooo`2h0?ooo`030000003oool0oooo02X0oooo
00<0003o0?ooo`3oool01`3oool00`000?l0oooo0?ooo`0/0?ooo`80003oF03oool01@000?l0oooo
0?ooo`3oool0003o0340oooo0P00000a0?ooo`050000003oool0oooo0?ooo`000000@@3oool00`00
0000oooo0?ooo`0c0?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0c0?ooo`030000o`3oool0oooo00`0oooo00<000000?oo
o`3oool02`3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0003o00H0oooo00<000000?oo
o`3oool0/`3oool00`000000oooo0?ooo`0_0?ooo`030000o`3oool0oooo00L0oooo00<0003o0?oo
o`3oool0;03oool00`000?l0oooo0000o`1G0?ooo`050000o`3oool0oooo0?ooo`000?l0<@3oool2
000002@0oooo00<0003o0?ooo`3oool02P3oool01@000000oooo0?ooo`3oool000000440oooo00<0
00000?ooo`3oool0<@3oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`0d0?ooo`030000o`3oool0oooo00/0oooo00<00000
0?ooo`3oool02P3oool00`000?l0oooo0?ooo`050?ooo`030000003oool0003o00H0oooo00<00000
0?ooo`3oool09P3oool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0:P3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo02`0oooo00<0003o
0?ooo`000?l0E`3oool01@000?l0oooo0?ooo`3oool0003o0340oooo0P00000T0?ooo`030000o`3o
ool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0n0?ooo`030000003o
ool0oooo0300oooo00@000000?ooo`3oool000000P3oool02P000000oooo0?ooo`000000oooo0000
003oool000000?ooo`0000080?ooo`040000003oool0oooo000002`0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`140?ooo`00G03oool5000003<0oooo00<0003o0?ooo`3oool02`3o
ool00`000000oooo0?ooo`090?ooo`030000o`3oool0oooo00@0oooo00@000000?ooo`3oool0003o
;`3oool00`000000oooo0?ooo`2:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
:P3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo02`0oooo00<0003o0?ooo`000?l0
EP3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo02l0oooo0P00000T0?ooo`030000
o`3oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo0300oooo100000020?ooo`@0000000<0oooo0000000000000`0000090?ooo`800000
;@3oool00`000000oooo0?ooo`0:0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0403o
ool00`3o0000oooo0?ooo`0S0?ooo`030000o`3oool0oooo00X0oooo00<000000?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`040?ooo`040000003oool0oooo0000o`H0oooo00<000000?ooo`3oool0
9`3oool00`000000oooo0?ooo`280?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
:P3oool00`000?l0oooo0?ooo`070?ooo`030000o`3oool0oooo02`0oooo00<0003o0?ooo`000?l0
EP3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo02l0oooo0P00000T0?ooo`030000
o`3oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0n0?ooo`030000
003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0@0?ooo`030?l0003oool0oooo02<0oooo00<0003o0?ooo`3oool02P3o
ool00`000000oooo0?ooo`090?ooo`030000o`3oool0oooo00@0oooo00@000000?ooo`3oool0003o
1P3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0000002/0oooo00<000000?ooo`3oool0
G03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02T0oooo00<0003o0?ooo`3oool0
1`3oool010000?l0oooo0?ooo`00000[0?ooo`030000o`3oool0003o05H0oooo00<0003o0?ooo`3o
ool00P3oool00`000?l0oooo0?ooo`0`0?ooo`030000003oool0oooo0280oooo0P000?mA0?ooo`03
0000003oool0oooo07P0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`0A0?ooo`030?l0003oool0oooo02<0oooo00<0003o0?ooo`3oool0
5@3oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool0
9@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0Y0?ooo`030000o`3oool0oooo00P0oooo00<0003o000000000000
:`3oool00`000?l0oooo0000o`1F0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3oool0
;P3oool00`000000oooo0?ooo`0S0?ooo`030000o`3oool0003o00X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`030?l0003o
ool0oooo02<0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`080?ooo`030000o`3o
ool0oooo00@0oooo00D000000?ooo`3oool0oooo0000o`060?ooo`030000003oool0oooo02@0oooo
00@000000?ooo`3oool00000:P3oool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo02T0
oooo00<0003o0?ooo`3oool0203oool00`000?l000000000000Z0?ooo`040000o`3oool0oooo0000
oeH0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`0^0?ooo`040000003oool0oooo
00000280oooo00<0003o0?ooo`000?l02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo03h0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo03P0oooo00<0003o0?ooo`3oool02@3oool00`00
0000oooo0?ooo`070?ooo`030000o`3oool0oooo00D0oooo00D000000?ooo`3oool0oooo0000o`06
0?ooo`030000003oool0oooo02<0oooo00D000000?ooo`3oool0oooo0000000Z0?ooo`800000G@3o
ool00`000000oooo0?ooo`0`0?ooo`030000o`3oool0oooo00P0oooo00<0003o0?ooo`3oool0:P3o
ool010000?l0oooo0?ooo`000?mF0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0
;@3oool010000000oooo0?ooo`00000R0?ooo`030000o`3oool0003o00X0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0n0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0B0?ooo`030?l0
003oool0oooo02<0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`030000
o`3oool0oooo00D0oooo00D000000?ooo`3oool0oooo0000o`060?ooo`030000003oool0oooo02<0
oooo00D000000?ooo`3oool0oooo0000000Z0?ooo`800000G@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo02T0oooo00<0003o0?ooo`3oool0203oool010000?l000000?ooo`00000Y
0?ooo`050000o`3oool0oooo0?ooo`000?l0E@3oool00`000?l0oooo0?ooo`030?ooo`030000o`3o
ool0oooo02d0oooo00@000000?ooo`3oool000008P3oool00`000?l0oooo0000o`0:0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`1h0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool04P3o
ool00`3o0000oooo0?ooo`0T0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool01P3o
ool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<0003o0?ooo`3oool0:P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02H0oooo00<000000?ooo`000000G@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02P0oooo00<0003o0?ooo`3oool02@3o
ool010000?l000000?ooo`00000Y0?ooo`050000o`3oool0oooo0?ooo`000?l0E@3oool00`000?l0
oooo0?ooo`030?ooo`030000o`3oool0oooo02d0oooo00@000000?ooo`3oool000008P3oool00`00
0?l0oooo0000o`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0?@3oool00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00000@0?ooo`030?l0003oool0oooo02@0oooo00<0003o0?ooo`3oool02@3oool00`000000
oooo0?ooo`060?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000?l0
oooo0?ooo`040?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool09P3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0X0?ooo`030000o`3oool0oooo00T0oooo00@0003o0000003oool00000:@3oool01@00
0?l0oooo0?ooo`3oool0003o05D0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0]
0?ooo`040000003oool0oooo00000280oooo00<0003o0?ooo`000?l02P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo03D0oooo0P0000060?ooo`030000003oool0oooo07P0oooo00<0
00000?ooo`3oool02P3oool5000004H0oooo001L0?ooo`030000003oool0oooo0180oooo00<0o`00
0?ooo`3oool09@3oool00`000?l0oooo0?ooo`0A0?ooo`030000o`3oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo0280oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0V0?ooo`040000003oool0oooo000002X0oooo0P00
000_0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool09`3oool00`000?l0oooo0?oo
o`090?ooo`050000003oool0oooo0?ooo`000000:03oool01@000?l0oooo0?ooo`3oool0003o05D0
oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0`0?ooo`030000003oool0oooo0200
oooo00<0003o0?ooo`000?l0BP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo07P0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0j0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000?l0oooo
0?ooo`0:0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0:03oool2000002l0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0W0?ooo`030000o`3oool0oooo00T0oooo
00D000000?ooo`3oool0oooo0000000X0?ooo`050000o`3oool0oooo0?ooo`000?l0E@3oool00`00
0?l0oooo0?ooo`030?ooo`030000o`3oool0oooo02d0oooo00<000000?ooo`3oool08`3oool01000
0?l0oooo0?ooo`000?l90?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0=@3oool2
000000H0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo01<0oooo00<0o`000?ooo`3oool04@3oool00`3o
0000oooo0?ooo`0A0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0?l0oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00<0003o0?ooo`3oool0103oool00`00
0000oooo0?ooo`0Q0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0903oool01@00
0000oooo0?ooo`3oool0000002T0oooo00<000000?ooo`000000>03oool00`000000oooo0?ooo`0W
0?ooo`030000o`3oool0oooo00T0oooo00D000000?ooo`3oool0oooo0000000X0?ooo`050000o`3o
ool0oooo0?ooo`000?l0E@3oool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo02d0oooo
00@000000?ooo`3oool000008P3oool010000?l0oooo0?ooo`000?l90?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0=@3oool2000000H0oooo00<000000?ooo`3oool0N03oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01<0
oooo00<0o`000?ooo`3oool0403oool20?l001<0oooo00<0003o0?ooo`3oool02P3oool2000000<0
oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`030000o`3oool0oooo00@0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0V0?ooo`040000003oool0oooo0000
02h0oooo00<000000?ooo`3oool0<03oool00`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo
02P0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`1C0?ooo`030000o`3oool0oooo
00<0oooo00<0003o0?ooo`3oool0;03oool01@000000oooo0?ooo`3oool000000240oooo00D0003o
0?ooo`3oool0oooo0000o`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0=@3o
ool2000000H0oooo00<000000?ooo`3oool0<03oool3000000<0oooo100000020?ooo`<000002@3o
ool500000080oooo0P00000W0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0503oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0
o`0001<0oooo00<0003o0?ooo`3oool02`3oool010000000oooo0?ooo`000?l60?ooo`030000003o
ool0oooo00@0oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`0P0?ooo`040000003o
ool0oooo0?l000D0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo02H0oooo00@000000?ooo`3oool00000;P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo02L0oooo00<0003o0?ooo`3oool0203oool00`000000oooo0000o`030?ooo`03
0000003oool0oooo02@0oooo00<0003o0?ooo`3oool00P3oool00`000?l0oooo0?ooo`1B0?ooo`03
0000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0;03oool01@000000oooo0?ooo`3oool00000
0240oooo00D0003o0?ooo`3oool0oooo0000o`080?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0<`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0300oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`D000004P3oool00`3o0000oooo0?ooo`0>0?ooo`040?l0003oool0oooo0?l001<0oooo
00<0003o0?ooo`3oool03@3oool00`000000003o0?ooo`02000000040?ooo`0000000000000000H0
oooo00<0003o0?ooo`3oool09`3oool010000000oooo0?l0003o00050?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0W0?ooo`030000o`3oool0oooo
00P0oooo00<000000?ooo`000?l00`3oool00`000000oooo0?ooo`0T0?ooo`030000o`3oool0oooo
00<0oooo00<0003o0?ooo`3oool0D@3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo
02`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`050000o`3oool0oooo
0?ooo`000?l0203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo03<0oooo00@00000
0?ooo`3oool000001@3oool00`000000oooo0?ooo`0>0?oooa00ool05@3oool01@000000oooo0?oo
o`3oool0000000D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo00X0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0U0?ooo`030?l0003o
ool0oooo01D0oooo00<0003o0?ooo`3oool0303oool00`000?l000000000000=0?ooo`030000o`3o
ool0oooo00<0oooo00<000000?ooo`3oool08P3oool20?l000D0oooo00<000000?ooo`3oool08P3o
ool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0W0?ooo`030000o`3oool0oooo00P0oooo00<000000?ooo`000?l00`3o
ool00`000000oooo0?ooo`0T0?ooo`030000o`3oool0oooo00<0oooo00<0003o0?ooo`3oool0D@3o
ool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo0340oooo00<000000?ooo`3oool07P3o
ool01@000?l0oooo0?ooo`3oool0003o00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0c0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0<@3oool2000000D0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02/0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0D0?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool0403oool00`000?l0oooo
0?ooo`0;0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo
0?ooo`0O0?ooo`030000003oool0oooo0080o`00:P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo02D0oooo00D000000?ooo`3oool0oooo0000000/0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool09P3oool00`000?l0oooo0?ooo`070?ooo`040000003oool0oooo0000
o`@0oooo00<000000?ooo`3oool08`3oool00`000?l0oooo0?ooo`030?ooo`030000o`3oool0oooo
0540oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0/0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool07P3oool01@000?l0oooo0?ooo`3oool0003o04X0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0`0?ooo`040000003oool0oooo00000080oooo00X0
00000?ooo`3oool000000?ooo`000000oooo0000003oool000002P3oool00`000000oooo0?ooo`0[
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0503oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool04@3oool20000o`X0oooo00<0003o0?ooo`3oool03`3oool00`000?l0oooo0?ooo`030?oo
o`030000003oool0oooo01l0oooo00@000000?ooo`3oool0o`001`3oool00`000000oooo0?ooo`0X
0?ooo`030000003oool0oooo02D0oooo00D000000?ooo`3oool0oooo0000000/0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool09@3oool00`000?l0oooo0?ooo`080?ooo`040000003o
ool0oooo0000o`@0oooo00<000000?ooo`3oool08`3oool00`000?l0oooo0?ooo`030?ooo`030000
o`3oool0oooo0540oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`0/0?ooo`030000
003oool0oooo02<0oooo00D0003o0?ooo`3oool0oooo0000o`080?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0<`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
0300oooo100000020?ooo`@0000000<0oooo0000000000000`0000090?ooo`800000;@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000004`3oool00`3o0000
oooo0?ooo`0<0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool04P3oool00`000?l0
oooo0?ooo`050?ooo`80003o4P3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo01d0
oooo00<000000?ooo`3oool00P3oool00`3o0000003o0?ooo`040?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0U0?ooo`030000o`3oool0oooo00P0
oooo00@000000?ooo`3oool0003o103oool00`000000oooo0?ooo`0S0?ooo`030000o`3oool0oooo
00<0oooo00<0003o0?ooo`3oool0D@3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo
02`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`030000o`3oool0oooo
0080oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
03<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`1h0?ooo`030000003oool0
oooo00X0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`0E0?ooo`030?l0003oool0oooo
00/0oooo00<0o`000?ooo`3oool06`3oool20000o`@0oooo00<0003o0?ooo`3oool04`3oool00`00
0?l0oooo0?ooo`030?ooo`030000003oool0oooo01d0oooo00L000000?ooo`3oool0o`000?ooo`3o
0000003o00D0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0Y0?ooo`030000003o
ool0oooo0300oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`0W0?ooo`030000o`3o
ool0oooo00@0oooo00<0003o0?ooo`3oool0D@3oool00`000?l0oooo0?ooo`040?ooo`030000o`3o
ool0oooo02/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`030000o`3o
ool0oooo0080oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo03<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`1h0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool08`3o
ool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01@0oooo0P000?l00`3oool0003o0?oo
o`0E0?ooo`030000o`3oool0oooo02<0oooo00D000000?ooo`3oool0o`000?ooo`020000o`H0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool09@3oool00`000?l0oooo0?ooo`080?ooo`040000003oool0oooo0000o`@0
oooo00<000000?ooo`3oool08P3oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo0540
oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0Z0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool07P3oool00`000?l0oooo0?ooo`020?ooo`030000o`3oool0oooo00@0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo01D0oooo00<0o`000?ooo`3oool05@3oool00`3o0000oooo
0?ooo`0E0?ooo`030000o`3oool0oooo01D0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo
0?ooo`0P0?ooo`050?l0003oool0003o0?l000000?l01@3oool00`000000oooo0?ooo`0O0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0X0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool09@3oool00`000?l0oooo0?ooo`080?ooo`04
0000003oool0oooo0000o`@0oooo00<000000?ooo`3oool08P3oool00`000?l0oooo0?ooo`040?oo
o`030000o`3oool0oooo0540oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0Z0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0703oool00`000?l0oooo0?ooo`030?oo
o`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1h0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000C0?ooo`03
0?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0]0?ooo`03
0000o`3oool0oooo0080oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3o0000003o
0080oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
02/0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
02D0oooo00<0003o0?ooo`3oool0203oool01@000000oooo0?ooo`3oool0003o00@0oooo00<00000
0?ooo`3oool08@3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo0500oooo00<0003o
0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0a0?ooo`030000003oool0oooo01`0oooo00<0003o
0?ooo`3oool00`3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0<@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0N03oool00`000000oooo0?ooo`0:0?ooo`D00000AP3oool005`0oooo00<000000?oo
o`3oool05P3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool0:`3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo01d0oooo00P000000?oo
o`3oool0oooo0000o`3oool0o`000000oc00oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`0S0?ooo`030000o`3oool0oooo00P0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo
0?ooo`020?ooo`030000003oool0oooo0240oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo
0?ooo`1@0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0:P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo01`0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo
0?ooo`180?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0N03oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01H0oooo00<0
o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0<0?ooo`80o`00;03oool00`000?l0oooo0?oo
o`020?ooo`030000003oool0oooo01/0oooo00D000000?ooo`3oool0oooo0000o`020?ooo`030?l0
00000?l0oooo00D0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0d0?ooo`030000
003oool0oooo02<0oooo00<0003o0?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000
o`3oool0oooo00<0oooo00<000000?ooo`3oool0803oool00`000?l0oooo0?ooo`050?ooo`030000
o`3oool0oooo0500oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`0Z0?ooo`030000
003oool0oooo02<0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`030?ooo`040000
003oool0oooo0?ooog`00000403oool00`000000oooo0?ooo`140?ooo`00G03oool500000200oooo
00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0X0?ooo`030000o`3oool0oooo0080oooo
00<000000?ooo`3oool06`3oool01@000000oooo0?ooo`3oool0003o00<0oooo00<0o`000000o`3o
ool0103oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0803oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01h0oooo00<0003o0?ooo`3o
ool01@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0280oooo00<0003o0?ooo`3o
ool02@3oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo02H0oooo00<0003o0?ooo`3o
ool01@3oool00`000?l0oooo0?ooo`1@0?ooo`030000o`3oool0oooo00D0oooo00<0003o0?ooo`3o
ool0:P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01`0oooo00<0003o0?ooo`3o
ool00`3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0<@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo00<0003o0?ooo`3o
ool0<P3oool5000004H0oooo001L0?ooo`030000003oool0oooo01H0oooo00<0o`000?ooo`3oool0
203oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo02L0oooo00<0003o0?ooo`3oool0
0`3oool00`000000oooo0?ooo`0I0?ooo`050000003oool0oooo0?ooo`000?l0103oool00`3o0000
003o0?ooo`050?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`0P0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool07@3oool00`000?l0
oooo0?ooo`050?ooo`030000003oool0oooo0300oooo00<0003o0?ooo`3oool03P3oool00`000?l0
oooo0?ooo`030?ooo`030000003oool0oooo01l0oooo00<0003o0?ooo`3oool01P3oool00`000?l0
oooo0?ooo`0^0?ooo`030000003oool0oooo01h0oooo00<0003o0?ooo`3oool01P3oool00`000?l0
oooo0?ooo`0Y0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703oool00`000?l0
oooo0?ooo`040?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0a0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0D`3oool00`000?l0
oooo0000o`0g0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01H0oooo
00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0B0?ooo`030?l0003oool0oooo02L0oooo
00<0003o0?ooo`3oool07P3oool01@000000oooo0?ooo`3oool0003o00D0oooo00<0003o0?ooo`3o
ool0103oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01d0oooo0P000?l60?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool08@3oool00`000?l0oooo0?ooo`090?ooo`03
0000003oool0oooo00<0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?ooo`0O0?ooo`03
0000o`3oool0oooo00H0oooo00<0003o0?ooo`3oool0;@3oool200000200oooo00<0003o0?ooo`3o
ool01P3oool010000?l0oooo0?ooo`00000X0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0703oool00`000?l0oooo0?ooo`040?ooo`030000o`3oool0oooo0080oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo05X0oooo00<0003o0?oo
o`000?l0=`3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001D0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0m0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3o
ool06`3oool00`000?l0oooo0?ooo`030?ooo`030?l000000?l0oooo00H0oooo00<000000?ooo`3o
ool06`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo01`0oooo00<0003o0?ooo`00
0?l01P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0240oooo00<0003o0?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3o
ool07`3oool00`000?l0oooo0?ooo`060?ooo`030000o`3oool0oooo02d0oooo0P00000P0?ooo`03
0000o`3oool0oooo00H0oooo00@0003o0?ooo`3oool00000:03oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo01/0oooo00<0003o0?ooo`3oool0103oool00`000?l0oooo0?ooo`020?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo05<0oooo00<0003o0?ooo`000?l0<`3oool5000004H0oooo001L0?ooo`03
0000003oool0oooo01L0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`0D0?ooo`03
0?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool02P3oool00`000?l0oooo0?ooo`040?ooo`03
0000003oool0oooo01H0oooo00H000000?ooo`3oool0oooo0000o`3o00040?ooo`030?l0003oool0
003o02@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool06`3oool010000?l0oooo0?ooo`000?l50?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0803oool00`000?l0oooo0?ooo`0:0?ooo`030000003o
ool0oooo00@0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?ooo`0N0?ooo`030000o`3o
ool0oooo00H0oooo00<0003o0?ooo`3oool0;03oool00`000000oooo0000000P0?ooo`030000o`3o
ool0oooo00H0oooo00@0003o0?ooo`3oool00000<@3oool00`000000oooo0?ooo`0K0?ooo`030000
o`3oool0oooo00@0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo02l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1C0?ooo`030000
o`3oool0003o03L0oooo00<000000?ooo`3oool0A03oool004d0oooo0`00000<0?ooo`D00000=P3o
ool00`3o0000oooo0?ooo`0H0?ooo`80o`00303oool00`000?l0oooo0?ooo`030?ooo`030000003o
ool0oooo01D0oooo00L000000?ooo`3oool0oooo0000o`3oool0o`0000@0oooo00<0o`000?ooo`00
0?l01`3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0K0?ooo`040000o`3oool0oooo0000o`D0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0O0?ooo`030000o`3oool0oooo00T0oooo00<000000?oo
o`3oool01P3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo01h0oooo00<0003o0?oo
o`3oool00P3oool00`00o`00oooo0?ooo`020?ooo`030000o`3oool0oooo02/0oooo00@000000?oo
o`3oool000007`3oool00`000?l0oooo0?ooo`060?ooo`050000o`3oool000000?ooo`0000009`3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01X0oooo00<0003o0?ooo`3oool01@3o
ool00`000?l0oooo0?ooo`180?ooo`030000003oool0oooo05<0oooo00<0003o0?ooo`000?l0<`3o
ool500000100oooo0`00000c0?ooo`00C@3oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo01P0oooo103o0000103oool0o`000?ooo`3o000H0?ooo`030?l0003oool0oooo01P0oooo
00<0o`000?ooo`3oool02`3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool00P3oool00`000?l0o`000?ooo`040?ooo`030?l0003oool0003o00L0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01h0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0K0?ooo`040000o`3oool0oooo0000oa@0
oooo00<000000?ooo`3oool07P3oool00`000?l0oooo0?ooo`0:0?ooo`030000003oool0oooo00H0
oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`030000o`3oool0oooo0080
oooo00<00?l00?ooo`3oool00P3oool010000?l0oooo0?ooo`00000]0?ooo`030000003oool0oooo
01d0oooo00<0003o0?ooo`3oool01P3oool01@000?l0oooo0000003oool0000002L0oooo00<00000
0?ooo`3oool08`3oool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo0080oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0DP3oool00`000?l0oooo0000o`0g0?ooo`030000003oool0oooo00h0oooo00@00000
0?ooo`3oool00000<P3oool004d0oooo00@000000?ooo`3oool000002`3oool9000001P0oooo0P3o
000I0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3o00003@3oool00`000?l0oooo0?oo
o`040?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?l0
00070?ooo`030000o`3oool0oooo00H0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0I0?ooo`030000o`3oool0oooo0080oooo00D0003o0?ooo`3oool0oooo0000000@0?ooo`030000
003oool0oooo01d0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`030000
o`3oool0oooo02<0oooo00<0003o0?ooo`3oool00P3oool00`00o`00oooo0?ooo`020?ooo`040000
o`3oool00000000002X0oooo00@000000?ooo`3oool000007`3oool00`000?l0oooo0?ooo`060?oo
o`050000o`3oool000000?ooo`0000009`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo01X0oooo00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo0580oooo00<0003o0?ooo`000?l0;`3oool900000100oooo00@000000?ooo`3oool00000<P3o
ool004L0oooo100000020?ooo`<00000303oool00`000000oooo0?ooo`1B0?ooo`030?l0003oool0
o`0000d0oooo00<0003o0?ooo`3oool01@3oool00`000000oooo0?ooo`0E0?ooo`030000o`3oool0
oooo00H0oooo00<0o`000000o`3oool01`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`080?ooo`030?l0003oool0
000001/0oooo00<0003o0?ooo`3oool00P3oool010000?l0oooo0?ooo`00000B0?ooo`030000003o
ool0oooo01/0oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo0?ooo`020?ooo`030000003o
ool0oooo01`0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo0?ooo`020?ooo`040000o`00
0000oooo000002X0oooo00<000000?ooo`3oool0803oool00`000?l0oooo0?ooo`060?ooo`030000
o`3oool0oooo0080oooo00<000000?ooo`3oool08@3oool00`000?l0oooo000000090?ooo`030000
003oool0oooo01X0oooo00<0003o0?ooo`3oool01P3oool01@000?l0oooo0?ooo`3oool0000000`0
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0580
oooo00@0003o0?ooo`3oool0003o=P3oool00`000000oooo0?ooo`080?ooo`@000000P3oool30000
03<0oooo001>0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0>@3oool00`3o0000
oooo0?ooo`0E0?ooo`050?l0003oool0oooo0?ooo`3o0000303oool00`000?l0oooo0?ooo`060?oo
o`030000003oool0oooo00d0oooo00<000000?ooo`3oool00`3oool010000?l0oooo0?ooo`3o0006
0?ooo`030?l0003oool0003o00P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool01`3oool20?l00080oooo00<00000
0?ooo`3oool0603oool00`000?l0oooo0?ooo`030?ooo`030000o`000000oooo01<0oooo00<00000
0?ooo`3oool06P3oool00`000?l0oooo0?ooo`0;0?ooo`030000003oool0oooo00L0oooo00<0003o
0?ooo`3oool00P3oool00`000000oooo0?ooo`0L0?ooo`030000o`3oool0oooo00<0oooo00<00?l0
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000002P0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0L0?ooo`030000o`3oool0oooo00H0oooo00<0003o0000003oool00P3o
ool00`000000oooo0?ooo`0Q0?ooo`030000o`3oool0000000T0oooo00<000000?ooo`3oool06P3o
ool00`000?l0oooo0?ooo`060?ooo`040000o`3oool0oooo000000h0oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo05D0oooo00D0003o0?ooo`3oool0
oooo0000o`0f0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<P3oool004h0oooo
0`00000;0?ooo`030000003oool0oooo03X0oooo00<0o`000?ooo`3oool0503oool01@3o0000oooo
0?ooo`3oool0o`0000d0oooo00<0003o0?ooo`3oool01P3oool2000000/0oooo0P0000060?ooo`04
0000o`3oool0oooo0?l000H0oooo00<0o`000?ooo`000?l0203oool00`000000oooo0?ooo`0F0?oo
o`03000000000?l0oooo02/0oooo00<000000?ooo`3oool0203oool00`3o0000oooo0?ooo`0L0?oo
o`030000o`3oool0oooo00<0oooo00<0003o0000003oool03@3oool00`3o0000oooo0?ooo`030?oo
o`030000003oool0oooo01T0oooo00<0003o0?ooo`3oool02`3oool00`000000oooo0?ooo`090?oo
o`030000o`3oool0oooo0080oooo00<000000?ooo`3oool06`3oool00`000?l0oooo0?ooo`030?oo
o`06003o003oool0oooo0?ooo`000000003o0`3oool00`000000oooo0?ooo`0V0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0703oool00`000?l0oooo0?ooo`070?ooo`050000003o
ool0oooo0?ooo`0000008`3oool00`000?l0oooo0000000:0?ooo`030000003oool0oooo01T0oooo
00<0003o0?ooo`3oool01P3oool010000?l0oooo0?ooo`00000>0?ooo`030000003oool0oooo02d0
oooo00@000000?ooo`3oool0oooo0P000?l30?ooo`030000003oool0oooo0540oooo00D0003o0?oo
o`3oool0oooo0000o`0f0?ooo`030000003oool0oooo00l0oooo0`00000b0?ooo`00G03oool00`00
0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo02D0oooo00<0003o0?ooo`3oool0203oool00`00
0000oooo000000030?ooo`80000000<0oooo0000000000001`3oool010000?l0oooo0?ooo`3o0007
0?ooo`030?l0003oool0003o00T0oooo00<000000?ooo`3oool0503oool010000?l000000?ooo`00
0?l>0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool02@3oool01@3o0000oooo0?oo
o`3oool0000001P0oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`030?l0
003oool0oooo00@0oooo00<000000?ooo`3oool0603oool00`000?l0oooo0?ooo`0:0?ooo`030000
003oool0oooo00X0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0K0?ooo`030000
o`3oool0oooo00L0oooo00<000000000o`3oool00P3oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0703oool00`000?l0oooo0?ooo`060?ooo`030000
00000?l0oooo02D0oooo00<0003o0?ooo`000?l02`3oool00`000000oooo0?ooo`0I0?ooo`030000
o`3oool0oooo00H0oooo00@0003o0?ooo`3oool000003P3oool00`000000oooo0?ooo`0]0?ooo`06
0000003oool0003o0000o`3oool0003o0`3oool00`000000oooo0?ooo`1A0?ooo`050000o`3oool0
oooo0?ooo`000?l0=P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1A
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool02`3oool00`000?l0oooo0?ooo`0:
0?ooo`<00000303oool010000?l0oooo0?ooo`3o00090?ooo`030000o`3oool0oooo00L0oooo00<0
00000?ooo`3oool0503oool01@000?l0oooo0?ooo`3oool0003o00d0oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`080?ooo`80o`000`3oool00`000000oooo0?ooo`0F0?ooo`030000
o`3oool0oooo00D0oooo00<0003o0?ooo`3oool0303oool00`3o0000oooo0?ooo`050?ooo`030000
003oool0oooo01H0oooo00<0003o0?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000
o`3oool0oooo0080oooo00<000000?ooo`3oool06P3oool00`000?l0oooo0?ooo`030?ooo`06003o
003oool0oooo0000003oool0003o0`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool06`3oool00`000?l0oooo0?ooo`060?ooo`03000000000?l0oooo
0080oooo00<000000?ooo`3oool0803oool010000?l0oooo0000o`00000:0?ooo`030000003oool0
oooo01T0oooo00<0003o0?ooo`3oool01P3oool00`000?l0oooo0?ooo`100?ooo`030000o`3oool0
oooo0080oooo00@0003o0?ooo`3oool00000D`3oool01@000?l0oooo0?ooo`3oool0003o03H0oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0?03oool00`3o0000oooo0?oo
o`0B0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0303oool00`000?l0oooo0?oo
o`0G0?ooo`030000o`3oool0oooo00T0oooo00@0o`000?ooo`3oool0003o2@3oool00`000000oooo
0?ooo`0B0?ooo`030000o`3oool0000000<0oooo00<0003o0?ooo`3oool02`3oool00`000000oooo
0?ooo`0H0?ooo`030000003oool0oooo00T0oooo00<0o`000?ooo`3o00000`3oool00`000000oooo
0?ooo`0E0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`000?l03P3oool00`3o0000oooo
0?ooo`0M0?ooo`030000o`3oool0oooo00/0oooo00<000000?ooo`3oool0303oool00`000?l0oooo
0?ooo`020?ooo`030000003oool0oooo01X0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo
0?ooo`030?ooo`040000o`3oool0oooo000002h0oooo00<000000?ooo`3oool06`3oool00`000?l0
oooo0?ooo`060?ooo`03000000000?l0oooo0080oooo00<000000?ooo`3oool0803oool010000?l0
oooo0000o`00000V0?ooo`030000o`3oool0oooo00H0oooo00@0003o0?ooo`3oool000003P3oool0
0`000000oooo0?ooo`0/0?ooo`03000000000?l0oooo00@0oooo00D0003o0?ooo`3oool0oooo0000
001B0?ooo`050000o`3oool0oooo0?ooo`000?l0=P3oool00`000000oooo0?ooo`140?ooo`00G03o
ool00`000000oooo0?ooo`0l0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0103o
ool00`3o0000oooo0?ooo`0;0?ooo`030000o`3oool0oooo01L0oooo00D0003o0?ooo`3oool0oooo
0?l000070?ooo`040?l0003oool0oooo0000o`T0oooo00<000000?ooo`3oool04P3oool00`000?l0
00000?ooo`040?ooo`030000o`3oool0oooo00X0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`090?ooo`030?l0003oool0o`0000<0oooo00<000000?ooo`3oool05@3oool00`000?l0
oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000?l0303oool00`3o0000oooo0?l000070?oo
o`030000003oool0oooo01@0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`0=0?oo
o`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool06@3oool00`000?l0oooo0?ooo`030?oo
o`03003o003oool0000000<0oooo00D0003o0?ooo`3oool0oooo0000000V0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool06P3oool00`000?l0oooo0?ooo`080?ooo`050000o`3oool0
oooo0?ooo`0000008P3oool010000?l0oooo0000o`00000:0?ooo`030000003oool0oooo01P0oooo
00<0003o0?ooo`3oool01`3oool010000?l0oooo0?ooo`00000>0?ooo`030000003oool0oooo02/0
oooo00<0003o0000003oool01@3oool01@000?l0oooo0?ooo`3oool000000580oooo00D0003o0?oo
o`3oool0oooo0000o`0f0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
03d0oooo00<0o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`0C0?ooo`030000o`3oool0oooo
01D0oooo00<0003o0?ooo`3oool00P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0003o
00T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`050?ooo`030000o`3oool0oooo
00X0oooo00<000000?ooo`3oool05`3oool00`000000003o0000o`060000o`<0oooo00<0o`000?oo
o`3oool0103oool00`000000oooo0?ooo`0C0?ooo`030000o`3oool0oooo0080oooo00<000000?oo
o`3oool00P3oool00`000?l0oooo0?ooo`0:0?ooo`030?l0003oool0o`0000L0oooo00<000000?oo
o`3oool04`3oool00`000?l0oooo0?ooo`0:0?ooo`030000003oool0oooo00l0oooo00<0003o0?oo
o`3oool00P3oool00`000000oooo0?ooo`0I0?ooo`030000o`3oool0oooo0080oooo00<00?l00?oo
o`000000103oool01@000?l0oooo0?ooo`3oool0000002H0oooo00<000000?ooo`3oool08@3oool0
0`000?l0oooo0?ooo`060?ooo`030000003oool0003o00@0oooo00<000000?ooo`3oool07`3oool0
10000?l0oooo000000000?l:0?ooo`030000003oool0oooo01P0oooo00<0003o0?ooo`3oool01`3o
ool010000?l0oooo0?ooo`00000?0?ooo`030000003oool0oooo02T0oooo00<0003o0?ooo`000000
1P3oool01@000?l0oooo0?ooo`3oool000000580oooo00<0003o0?ooo`3oool00P3oool00`000?l0
oooo0?ooo`0c0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03d0oooo
00<0o`000?ooo`3oool05`3oool00`3o0000oooo0?ooo`0=0?ooo`030000o`3oool0oooo01<0oooo
00<0003o0?ooo`3oool00P3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0003o00X0oooo
00<000000?ooo`3oool0403oool00`000?l000000?ooo`070?ooo`030000o`3oool0oooo02<0oooo
00<0003o0?ooo`3oool01@3oool00`000?l0oooo0?ooo`030?ooo`030?l0003oool0oooo01P0oooo
00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000o`3oool0oooo00X0oooo
00<0o`000?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`030000o`3oool0oooo00X0oooo
00<000000?ooo`3oool0403oool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo01L0oooo
00<0003o0?ooo`3oool00`3oool00`00o`00oooo000000040?ooo`030000o`3oool0oooo0080oooo
00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01X0oooo
00<0003o0?ooo`3oool01P3oool00`000000oooo0000o`040?ooo`030000003oool0oooo01h0oooo
00D0003o0?ooo`3oool000000000o`0:0?ooo`030000003oool0oooo01P0oooo00<0003o0?ooo`3o
ool0203oool00`000?l0oooo0000000?0?ooo`030000003oool0oooo02T0oooo00<0003o0?ooo`00
00001`3oool00`000?l0oooo0?ooo`1C0?ooo`030000o`3oool0oooo0080oooo00<0003o0?ooo`3o
ool0<`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0n0?ooo`030?l0
003oool0oooo00h0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0>0?ooo`030000
o`3oool0oooo0180oooo00<0003o0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0:0?ooo`030000
o`3oool0oooo00T0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`070?ooo`030000
o`3oool0oooo00X0oooo00<000000?ooo`3oool05@3oool00`000?l000000?ooo`070?ooo`030000
o`3oool0o`000080oooo00<0o`000?ooo`3oool00`3oool00`000000oooo0?ooo`0B0?ooo`050000
o`3oool0oooo0?ooo`0000001P3oool00`000?l0oooo0?ooo`090?ooo`030?l0003oool0o`0000T0
oooo0P00000A0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool04P3oool00`000?l0
oooo0?ooo`020?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`3oool00`3oool00`00o`00
0000003o00040?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool08P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo01X0oooo00<0003o0?ooo`3oool01P3oool00`000000
oooo0000o`040?ooo`030000003oool0oooo01h0oooo00D0003o0?ooo`3oool000000000o`0;0?oo
o`030000003oool0oooo01L0oooo00<0003o0?ooo`3oool0203oool00`000?l000000?ooo`0@0?oo
o`030000003oool0oooo02L0oooo00@0003o0?ooo`3o000000001`3oool010000?l0oooo0?ooo`00
000W0?ooo`030000003oool0oooo02L0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?oo
o`0c0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03h0oooo00<0o`00
0?ooo`3oool03P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00h0oooo00<0003o
0?ooo`3oool0403oool00`000?l0oooo0?ooo`0=0?ooo`040?l0003oool0oooo0000o``0oooo00<0
00000?ooo`3oool02`3oool00`000000003o0?ooo`0:0?ooo`030000o`3oool0oooo00T0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`070?ooo`030000o`3oool0o`0000<0oooo00<0
o`000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`030000o`3oool0000000P0oooo00<0
003o0?ooo`3oool02`3oool00`3o0000oooo0?ooo`0:0?ooo`030000003oool0oooo00`0oooo00<0
003o0?ooo`3oool02@3oool00`000000oooo0?ooo`0C0?ooo`030000o`3oool0oooo00<0oooo00<0
00000?ooo`3oool05P3oool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<0
003o0?ooo`3oool09P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01X0oooo00<0
003o0?ooo`3oool01@3oool010000000oooo0?ooo`000?l50?ooo`030000003oool0oooo01d0oooo
00D0003o0?ooo`3oool0oooo0000o`0;0?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`3o
ool0203oool00`000?l0oooo0?ooo`0j0?ooo`040000o`3oool0o`00000000L0oooo00@0003o0?oo
o`3oool000009P3oool2000002T0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0c
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03l0oooo00<0o`000?oo
o`3oool0303oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00h0oooo00<0003o0?oo
o`3oool0403oool00`000?l0oooo0?ooo`030?ooo`030?l0003oool0oooo00L0oooo00@0o`000?oo
o`3oool0003o3@3oool00`000000oooo0?ooo`090?ooo`030000003oool0003o00/0oooo00<0003o
0?ooo`3oool02P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00P0oooo00<0003o
0?ooo`3o00000`3oool00`3o0000oooo0?ooo`040?ooo`030000003oool0oooo0100oooo0P00000:
0?ooo`030000o`3oool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0?l0000<0?ooo`800000303o
ool00`000?l0oooo0?ooo`060?ooo`800000603oool00`000?l0oooo0?ooo`020?ooo`030000003o
ool0oooo01H0oooo00<0003o0?ooo`3oool00`3oool00`00o`00oooo003o00040?ooo`030000o`3o
ool0oooo0080oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo01T0oooo00<0003o0?ooo`3oool01@3oool010000000oooo0?ooo`000?l50?ooo`030000
003oool0oooo01d0oooo00D0003o0?ooo`3oool000000000o`0;0?ooo`030000003oool0oooo01L0
oooo00<0003o0?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02D0
oooo00@0003o0?ooo`3oool0o`00203oool010000?l0oooo0?ooo`00000V0?ooo`030000003oool0
000002P0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo0?ooo`0c0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo03l0oooo00<0o`000?ooo`3oool0303oool00`3o
0000oooo0?ooo`0I0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool0103oool00`3o
0000oooo0?ooo`070?ooo`040?l0003oool0oooo0000o`h0oooo00<000000?ooo`3oool01`3oool0
10000000oooo0?ooo`000?l<0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3oool04P3o
ool00`000000003o0?ooo`0:0?ooo`030000o`3o0000oooo00X0oooo00<000000?ooo`3oool03@3o
ool2000000`0oooo00<0003o0?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`0000h0oooo
0`000000103oool000000000000000040?ooo`030000o`3oool0oooo00@0oooo0`00000J0?ooo`03
0000o`3oool0oooo01/0oooo00<0003o0?ooo`3oool00P3oool0100000000?l00?ooo`00o`040?oo
o`030000o`3oool0oooo0080oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0I0?oo
o`030000o`3oool0oooo00D0oooo00@000000?ooo`3oool0003o1@3oool00`000000oooo0?ooo`0M
0?ooo`060000o`3oool0oooo0000003oool0003o903oool00`000?l0oooo0?ooo`070?ooo`030000
00000?l0oooo01<0oooo00<000000?ooo`3oool0903oool010000?l0oooo0?ooo`0000090?ooo`04
0000o`3oool0oooo000002L0oooo00<000000?ooo`3oool09P3oool00`000?l0oooo0?ooo`030?oo
o`030000o`3oool0oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00001G0?ooo`03
0?l0003oool0oooo00l0oooo00<0003o0?ooo`3oool03@3oool00`000?l0oooo0?ooo`040?ooo`03
0?l0003oool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0000o`0G0?ooo`030000003oool0003o
00d0oooo00<0003o0?ooo`3oool02P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0003o
00/0oooo00<0003o0?ooo`3oool00P3oool00`3o0000oooo0?ooo`070?ooo`<000001`3oool30000
0080oooo00<0003o0?ooo`3oool02`3oool00`000?l0oooo0?ooo`060?ooo`030?l0003oool0oooo
01L0oooo0`0000000`000?l0000000000004000001l0oooo00<0003o0?ooo`3oool00P3oool00`00
0000oooo0?ooo`0E0?ooo`090000o`3oool0oooo0?ooo`000000oooo003o003oool00?l000D0oooo
00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`030000o`3oool0000000T0oooo
00<000000?ooo`3oool06@3oool00`000?l0oooo0?ooo`080?ooo`030000o`3oool0oooo00@0oooo
00<000000?ooo`3oool06`3oool01`000?l0oooo0?ooo`3oool000000?ooo`000?l02P3oool00`00
0000oooo0?ooo`0G0?ooo`030000o`3oool0oooo00H0oooo00<000000?ooo`000?l0503oool00`00
0000oooo0?ooo`0S0?ooo`060000o`3oool0oooo0?ooo`000000o`00203oool010000?l0oooo0?oo
o`00000U0?ooo`030000003oool0oooo02P0oooo00<0003o0?ooo`3oool00`3oool00`000?l0oooo
0?ooo`0_0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0@03oool00`3o0000oooo0?oo
o`0;0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0403oool20000o`/0oooo0P00
0?l70?ooo`030?l0003oool0oooo00/0oooo00<0003o0?ooo`3oool03@3oool6000000050?ooo`00
0000oooo0?ooo`000?l03P3oool00`000?l0oooo0?ooo`0M0?ooo`030000o`3oool0oooo00X0oooo
00<0o`000000o`3oool00P3oool00`3o0000oooo0?ooo`0:0?ooo`<0000000@0oooo000000000000
00001@3oool00`000?l0oooo0?ooo`0;0?ooo`030000o`3oool0oooo00H0oooo00D0o`000?ooo`3o
ool0oooo0?l0000H0?ooo`030000o`3oool0oooo02@0oooo00<0003o0?ooo`3oool00P3oool00`00
0000oooo0?ooo`0D0?ooo`090000o`3oool0oooo0?ooo`000000oooo003o003oool00?l000D0oooo
00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0N0?ooo`030000o`000000oooo02D0oooo
00<0003o0?ooo`3oool0103oool01@000000oooo0?ooo`3oool0003o00H0oooo00<000000?ooo`3o
ool06`3oool010000?l0oooo0?ooo`0000020?ooo`030000o`3oool0oooo00P0oooo00<000000?oo
o`3oool05`3oool00`000?l0oooo0?ooo`060?ooo`030000003oool0003o01D0oooo00<000000?oo
o`3oool08P3oool01P000?l0oooo0?ooo`3oool000000?l000P0oooo00<0003o0?ooo`3oool09P3o
ool010000000oooo0?ooo`00000W0?ooo`030000o`3oool0oooo00@0oooo00<0003o0?ooo`3oool0
<P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`110?ooo`030?l0003o
ool0oooo00X0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0A0?ooo`80003o1`3o
ool20000oa@0oooo00@0o`000?ooo`3oool0003o603oool00`000?l0oooo0?ooo`0=0?ooo`030000
o`3oool0oooo00/0oooo00<000000?ooo`3oool03@3oool00`000000oooo0000o`0<0?ooo`030?l0
00000?l0oooo00<0oooo00<0o`000?ooo`3oool05@3oool00`000?l0oooo0?ooo`0<0?ooo`030000
o`3oool0oooo00T0oooo00<0o`000?ooo`3oool05@3oool00`000?l0oooo0?ooo`0V0?ooo`030000
o`3oool0oooo0080oooo00<000000?ooo`3oool04P3oool01@000?l0oooo0?ooo`3oool000000080
oooo00<00?l00?ooo`00o`001@3oool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo01`0
oooo00<0003o0?ooo`0000002`3oool00`000000oooo0?ooo`0H0?ooo`030000o`3oool0oooo00@0
oooo00D000000?ooo`3oool0oooo0000o`060?ooo`030000003oool0oooo01/0oooo00@0003o0?oo
o`3oool000000P3oool00`000?l0oooo0?ooo`080?ooo`030000003oool0oooo01H0oooo00<0003o
0?ooo`3oool01P3oool010000000oooo0?ooo`000?lF0?ooo`030000003oool0oooo0200oooo00H0
003o0?ooo`3oool0oooo0000003o00090?ooo`050000o`3oool0oooo0?ooo`0000008`3oool00`00
0000oooo0000o`020?ooo`030000003oool0oooo02@0oooo00<0003o0?ooo`3oool0103oool00`00
0?l0oooo0?ooo`0b0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0440
oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo01<0
oooo0P000?l20?ooo`<0003o2P3oool00`3o0000oooo0?ooo`090?ooo`050?l0003oool0oooo0?oo
o`000?l05`3oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo00`0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0000o`0=0?ooo`030?l000000?l0oooo01X0oooo00<0003o0?oo
o`3oool03@3oool00`000?l0oooo0?ooo`050?ooo`050?l0003oool0oooo0?ooo`3o00005P3oool0
0`000?l0oooo0?ooo`0W0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool04P3oool0
1@000?l0oooo0?ooo`3oool000000080oooo00<00?l00?ooo`00o`001@3oool00`000?l0oooo0?oo
o`030?ooo`030000003oool0oooo01`0oooo00@0003o0000003oool0003o2P3oool00`000000oooo
0?ooo`0H0?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo
0?ooo`0Q0?ooo`040000o`3oool0oooo000000<0oooo00<0003o0?ooo`3oool0203oool00`000000
oooo0?ooo`0E0?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3oool0=P3oool01`000?l0
oooo0?ooo`3oool000000?ooo`3o00002@3oool010000?l0oooo0?ooo`00000S0?ooo`0300000000
0?l0003o0080oooo00<000000?ooo`3oool0903oool00`000?l0oooo0?ooo`040?ooo`030000o`3o
ool0oooo0380oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0@P3oool0
0`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo0280oooo0P000?l=0?ooo`030?l0003oool0
oooo00T0oooo00<0o`000?ooo`3oool00P3oool00`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0
oooo00h0oooo00<0003o0?ooo`3oool0303oool2000000X0oooo00@000000?ooo`3oool0003o3@3o
ool00`3o0000oooo0000o`030?ooo`030?l0003oool0oooo01@0oooo00<0003o0?ooo`3oool03P3o
ool00`000?l0oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o00005@3oool00`000?l0oooo
0?ooo`0Y0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool04@3oool00`000?l0oooo
0?ooo`0<0?ooo`030000o`3oool0oooo0280oooo00@0003o0000003oool0003o2P3oool00`000000
oooo0?ooo`0H0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000?l0
oooo0?ooo`030?ooo`030000003oool0oooo01/0oooo00<0003o0?ooo`3oool0103oool00`000?l0
oooo0?ooo`080?ooo`030000003oool0oooo01D0oooo00<0003o0?ooo`3oool01@3oool00`000000
oooo0?ooo`020?ooo`030000o`3oool0oooo01@0oooo00<000000?ooo`3oool07P3oool00`000?l0
oooo0?ooo`020?ooo`030000003oool0o`0000T0oooo00@0003o0?ooo`3oool000008P3oool01000
0000oooo0000o`000?l30?ooo`030000003oool0oooo0280oooo00D0003o0?ooo`3oool0oooo0000
00030?ooo`030000o`3oool0oooo0380oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0@`3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo02<0oooo00<0o`00
0?ooo`3oool02@3oool00`3o0000oooo0?ooo`030?ooo`030000o`3oool0oooo0180oooo00<0003o
0?ooo`3oool03`3oool00`000?l0oooo0?l0000>0?ooo`030000003oool0oooo0080oooo0`000000
0`3oool000000?ooo`020?ooo`030000o`3oool0oooo00d0oooo00D0003o0?ooo`3oool0oooo0?l0
000F0?ooo`030000o`3oool0oooo00h0oooo00<0003o0?ooo`3oool00`3oool00`3o0000oooo0?oo
o`0G0?ooo`030000o`3oool0oooo02/0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo0?oo
o`0?0?ooo`040000o`3oool0oooo000000<0oooo00<00?l00?ooo`00o`001@3oool00`000?l0oooo
0?ooo`030?ooo`030000003oool0oooo01`0oooo00D0003o0?ooo`3oool0oooo0000o`0:0?ooo`03
0000003oool0oooo01H0oooo00<0003o0?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`03
0000o`3oool0oooo00<0oooo00<000000?ooo`3oool06P3oool01@000?l0oooo0?ooo`3oool00000
00<0oooo00<0003o0?ooo`3oool0803oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo
00<0oooo00<0003o0?ooo`3oool05@3oool00`000000oooo0?ooo`0M0?ooo`030000o`3oool0oooo
00D0oooo00<0o`000?ooo`3oool01P3oool010000?l0oooo0?ooo`00000R0?ooo`05000000000?l0
oooo0?ooo`000?l00P3oool00`000000oooo0?ooo`0R0?ooo`040000o`3oool0oooo0?ooo`<00000
00<0oooo0000o`3oool0<`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`130?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?oo
o`0S0?ooo`030?l0003oool0oooo0100oooo00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?oo
o`0@0?ooo`030000o`3o0000oooo00l0oooo0`0000070?ooo`030000o`3oool0oooo00`0oooo00<0
o`000?ooo`000?l00`3oool00`3o0000oooo0?ooo`0D0?ooo`030000o`3oool0oooo00l0oooo00<0
003o0?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00l0oooo0P00
0?l_0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool03@3oool010000?l0oooo0?oo
o`0000040?ooo`03003o003oool00?l000D0oooo00<0003o0?ooo`3oool00`3oool00`000000oooo
0?ooo`0K0?ooo`030000o`000000oooo0080oooo00<0003o0?ooo`3oool0203oool00`000000oooo
0?ooo`0F0?ooo`030000o`3oool0oooo00<0oooo0P0000050?ooo`030000o`3oool0oooo00@0oooo
00<000000?ooo`3oool06@3oool01@000?l0oooo0?ooo`3oool0000000<0oooo00<0003o0?ooo`3o
ool0203oool00`000000oooo0?ooo`0E0?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3o
ool00`3oool00`000?l0oooo0?ooo`0F0?ooo`030000003oool0oooo01/0oooo00<0003o0?ooo`3o
ool00`3oool010000000oooo0?ooo`3o00080?ooo`040000o`3oool0oooo000002<0oooo00@0003o
0?ooo`3oool0003o0`3oool00`000000oooo0?ooo`0Q0?ooo`050000o`3oool0oooo0?ooo`000000
0P3oool00`000000003o0?ooo`0c0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo04@0oooo00<0o`000?ooo`3oool00`3oool30?l000h0oooo00<0o`000?ooo`3oool0<03o
ool00`3o0000oooo0?ooo`030?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool04@3o
ool00`000?l0oooo0?l0000I0?ooo`030000o`3oool0oooo00`0oooo00@0o`000?ooo`3oool0003o
0P3oool00`3o0000oooo0?ooo`0C0?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool0
203oool00`3o0000oooo0?ooo`0>0?ooo`030000o`3oool0oooo02l0oooo00<0003o0?ooo`3oool0
0`3oool00`000000oooo0?ooo`0<0?ooo`040000o`3oool0oooo000000D0oooo00<00?l00?ooo`00
o`001@3oool00`000?l0oooo0?ooo`040?ooo`030000003oool0oooo01X0oooo00<0003o0000003o
ool00`3oool00`000?l0oooo0?ooo`0P0?ooo`030000o`3oool0oooo00X0oooo00<0003o0?ooo`3o
ool0103oool00`000000oooo0?ooo`0I0?ooo`050000o`3oool0oooo0?ooo`000000103oool00`00
0?l0oooo0?ooo`080?ooo`030000003oool0oooo01@0oooo00<0003o0?ooo`3oool00`3oool00`00
0000oooo0?ooo`040?ooo`030000o`3oool0oooo01L0oooo00<000000?ooo`3oool06P3oool00`00
0?l0oooo0?ooo`020?ooo`030000003o0000oooo00/0oooo00@0003o0?ooo`3oool000008@3oool0
1@000000oooo0?ooo`3oool0003o00@0oooo00<000000?ooo`3oool0803oool00`000?l0oooo0?oo
o`050?ooo`030000o`3oool0oooo0380oooo00<000000?ooo`3oool0A03oool005`0oooo1@000012
0?ooo`030?l0003oool0oooo0080o`004`3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0
oooo00/0oooo00<0o`000?ooo`3oool0103oool00`000?l0oooo0?ooo`0?0?ooo`030000o`3oool0
oooo0100oooo00@0o`000000o`3oool0o`00603oool00`000?l0oooo0?ooo`0<0?ooo`050?l0003o
ool0oooo0?ooo`000?l0603oool00`000?l0oooo0?ooo`0A0?ooo`050000o`3oool0oooo0?ooo`3o
00001@3oool00`3o0000oooo0?ooo`0=0?ooo`030000o`3oool0oooo01h0oooo0P3o000A0?ooo`03
0000o`3oool0oooo00<0oooo00<000000?ooo`3oool02P3oool01@000?l0oooo0?ooo`3oool00000
00@0oooo00@00?l00?ooo`3oool00?l01P3oool00`000?l0oooo0?ooo`030?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool0103oool00`000?l0oooo0?ooo`060?ooo`030000003oool0
oooo01H0oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000o`3oool0
oooo00D0oooo00<000000?ooo`3oool0603oool010000?l0oooo0?ooo`0000050?ooo`030000o`3o
ool0oooo00T0oooo00<000000?ooo`3oool04`3oool00`000?l0oooo0?ooo`030?ooo`030000003o
ool0oooo00@0oooo00<0003o0?ooo`3oool0<`3oool00`000?l0oooo0?ooo`020?ooo`030000003o
0000oooo0080oooo00<0o`000?ooo`3oool01`3oool00`000?l0oooo0?ooo`0Q0?ooo`0300000000
0?l0oooo0080oooo00<0003o0?ooo`3oool00P3oool00`000000oooo0?ooo`0P0?ooo`040000o`3o
ool0oooo000000@0oooo00<000000?ooo`3oool0;P3oool5000004H0oooo001L0?ooo`030000003o
ool0oooo04D0oooo0P3o000i0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool01@3o
ool00`000?l0oooo0?ooo`0<0?ooo`80003o4`3oool0103o0000oooo0000o`3o000H0?ooo`030000
o`3oool0oooo00`0oooo00<0o`000?ooo`3oool00P3oool010000?l0oooo0?ooo`3o000D0?ooo`03
0000o`3oool0oooo0140oooo00D0003o0?ooo`3oool0oooo0?l000050?ooo`030?l0003oool0oooo
00`0oooo00<0003o0?ooo`3oool07`3oool20?l00180oooo0P000?l40?ooo`030000003oool0oooo
00P0oooo00D0003o0?ooo`3oool0oooo000000050?ooo`04003o003oool0oooo003o00H0oooo00<0
003o0?ooo`3oool0103oool00`000000oooo0?ooo`0H0?ooo`030000o`000000oooo00D0oooo00<0
003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`050000o`3oool0oooo0?ooo`000000
203oool00`000?l0oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo00D0003o0?ooo`3oool0
oooo000000050?ooo`030000o`3oool0oooo00X0oooo00<000000?ooo`3oool04P3oool01@000?l0
oooo0?ooo`3oool0000000P0oooo00<0003o0?ooo`3oool06@3oool00`000000oooo0?ooo`0G0?oo
o`030000o`3oool0oooo0080oooo00<000000?l0003oool00P3oool00`3o0000oooo0?ooo`070?oo
o`050000o`3oool0oooo0?ooo`0000007`3oool00`000000oooo0?ooo`030?ooo`050000o`3oool0
oooo0?ooo`0000008P3oool010000?l0oooo0?ooo`0000050?ooo`800000<P3oool00`000000oooo
0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1L0?ooo`030?l0003oool0oooo0200oooo00<0
o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`060?ooo`030000o`3oool0oooo00X0oooo00<0
003o0?ooo`3oool04P3oool01@3o0000oooo0?ooo`000?l0o`0001P0oooo00<0003o0?ooo`3oool0
4@3oool010000?l0oooo0?ooo`3o000C0?ooo`030000o`3oool0oooo01<0oooo00<0003o0?ooo`3o
00004`3oool20000ob40oooo00<0o`000?ooo`3o0000503oool00`000?l0oooo0?ooo`030?ooo`80
00001`3oool00`000?l00000000000070?ooo`04003o003oool0oooo003o00H0oooo00<0003o0?oo
o`3oool0103oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo00<0oooo00@0o`000?oo
o`3oool0003o1`3oool00`000000oooo0?ooo`0F0?ooo`050000o`3oool0oooo0?ooo`000000203o
ool00`000?l0oooo0?ooo`0O0?ooo`040000o`3oool0oooo000000H0oooo00<0003o0?ooo`3oool0
2`3oool00`000000oooo0?ooo`0A0?ooo`040000o`3oool0oooo000000T0oooo00<0003o0?ooo`3o
ool01`3oool00`3o0000oooo0?ooo`0@0?ooo`8000005@3oool20000o`@0oooo00<000000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`070?ooo`050000o`3oool0oooo0?ooo`0000007P3oool00`00
0000oooo0?ooo`040?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool07`3oool00`00
0?l0oooo000000060?ooo`040000o`3oool0000000000300oooo00<000000?ooo`3oool0A03oool0
05`0oooo00<000000?ooo`3oool0G03oool00`3o0000oooo0?ooo`0i0?ooo`80003o2@3oool00`00
0?l0oooo0?ooo`0C0?ooo`060?l0003oool0oooo0?ooo`000?l0o`005P3oool00`000?l0oooo0?oo
o`0=0?ooo`030?l0003oool0oooo0080oooo00@0003o0?ooo`3oool0o`004P3oool00`000?l0oooo
0?ooo`0D0?ooo`030000o`3oool0o`0000H0oooo00<0o`000?ooo`3oool02@3oool00`000?l0oooo
0?ooo`0Q0?ooo`030?l0003oool0o`0001D0oooo00<0003o0?ooo`3oool0103oool3000000<0oooo
0P00000C0?ooo`030000o`3oool0oooo01l0oooo00<000000?ooo`3oool00`3oool0103o0000oooo
0?ooo`000?l80?ooo`030000003oool0oooo01D0oooo00@0003o0?ooo`3oool000002@3oool00`00
0?l0oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`0000001`3oool00`00
0?l0oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00@0003o0?ooo`00000000002`3oool0
0`000?l0oooo0?ooo`060?ooo`030?l0003oool0oooo0180oooo00<000000?ooo`3oool04@3oool0
0`000?l0oooo0?ooo`030?ooo`040000003oool0oooo0?l000<0oooo00<0o`000?ooo`3oool0203o
ool01@000?l0oooo0?ooo`3oool0000001d0oooo00<000000?ooo`3oool0103oool00`000?l0oooo
0?ooo`020?ooo`030000003oool0oooo01l0oooo00<0003o0?ooo`0000001P3oool010000?l0oooo
0?ooo`00000`0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo05d0oooo
00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00T0oooo
10000?l30?ooo`80003o5@3oool00`3o0000oooo0?ooo`020?ooo`030000o`3o0000oooo01D0oooo
00<0003o0?ooo`3oool03@3oool00`3o0000oooo0?ooo`030?ooo`030000o`3oool0o`000140oooo
00<0003o0?ooo`3oool05P3oool20000o`H0oooo00<0o`000?ooo`3oool01`3oool20000ocd0oooo
0P000?l80?ooo`8000002`3oool01000o`00oooo0?ooo`00o`060?ooo`030000o`3oool0oooo00@0
oooo00<000000?ooo`3oool05`3oool00`000000003o0?ooo`040?ooo`80o`000P3oool00`000?l0
oooo0?ooo`050?ooo`030000003oool0oooo01D0oooo00@0003o0?ooo`3oool000002@3oool00`00
0?l0oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo00<0003o0?ooo`000000203oool00`00
0?l0oooo0?ooo`0<0?ooo`030000003oool0oooo00h0oooo00<0003o0000003oool0303oool00`00
0?l0oooo0?ooo`050?ooo`030?l0003oool0o`0001@0oooo00<000000?ooo`3oool03P3oool20000
o`D0oooo00D000000?ooo`3oool0oooo0?l0000>0?ooo`050000o`3oool0oooo0?ooo`000000703o
ool00`000?l0oooo0?ooo`050?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool07@3o
ool00`000?l0oooo000000070?ooo`030000o`3oool0oooo0340oooo00<000000?ooo`3oool0A03o
ool005`0oooo1@00001l0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool03@3oool3
0000oaL0oooo00<0o`000?ooo`3oool00`3oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0
oooo00d0oooo00<0o`000?ooo`3oool0103oool00`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0
oooo01P0oooo00<0o`000000o`000?l01@3oool00`3o0000oooo0?ooo`040?ooo`80003o9P3oool0
103o0000oooo0?ooo`3o000G0?ooo`T0003o303oool01000o`00oooo0?ooo`00o`070?ooo`030000
o`3oool0oooo00@0oooo00<000000?ooo`3oool05@3oool00`000000003o0?ooo`050?ooo`050?l0
003oool0oooo0?ooo`000?l01`3oool2000001H0oooo00<0003o0?ooo`3oool02P3oool00`000?l0
oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<0003o0000003oool0203oool00`000?l0
oooo0?ooo`0<0?ooo`030000003oool0oooo00h0oooo00<0003o0?ooo`3oool0303oool00`000?l0
oooo0?ooo`050?ooo`030?l0003oool0o`0001D0oooo0P00000<0?ooo`80003o1P3oool00`000000
oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00002P3oool00`000?l0oooo0?ooo`020?oo
o`030000003oool0oooo01T0oooo00<0003o0000003oool01P3oool00`000?l0oooo0?ooo`0R0?oo
o`030000o`3oool0000000L0oooo00D0003o0?ooo`3oool0oooo0000000[0?ooo`D00000AP3oool0
05`0oooo00<000000?ooo`3oool0GP3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003oool0oooo
00l0oooo00<0o`000?ooo`3oool0;03oool00`000?l0oooo0?ooo`0C0?ooo`030000o`3oool0oooo
00d0oooo00<0o`000?ooo`3oool01@3oool20000o`030?l0003oool0oooo00`0oooo00<0003o0?oo
o`3oool06@3oool00`3o0000oooo0?ooo`030000o`80oooo00<0o`000?ooo`3oool010000?lX0?oo
o`040?l0003oool0oooo0?l002`0oooo00@00?l00?ooo`3oool00?l01`3oool00`000?l0oooo0?oo
o`050?ooo`8000005@3oool00`000000003o0?ooo`040?ooo`030?l0003oool0o`0000<0oooo00<0
003o0?ooo`3oool0703oool00`000?l0oooo0000000:0?ooo`030000o`3oool0oooo00H0oooo00<0
00000?ooo`3oool05@3oool00`000?l0oooo000000090?ooo`030000o`3oool0oooo00d0oooo0`00
000;0?ooo`<000003P3oool00`000?l0oooo0?ooo`0O0?ooo`800000203oool20000o`P0oooo00<0
00000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000X0oooo00<0003o0?ooo`3oool0
7@3oool00`000?l0oooo000000070?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool0
703oool00`000?l0oooo0?ooo`070?ooo`050000o`3oool0oooo0?ooo`000000;`3oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1N0?ooo`030?l0003oool0oooo01`0oooo
00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003oool0oooo00@0oooo
00<0o`000000o`3oool04P3oool00`000?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo00/0oooo
00<0003o0?ooo`3oool06P3oool00`3o0000oooo0?ooo`030?ooo`D0003o:`3oool01@3o0000oooo
0?ooo`3oool0o`0002`0oooo00D00?l00?ooo`3oool0oooo003o00070?ooo`030000o`3oool0oooo
00H0oooo00<000000?ooo`3oool04@3oool00`000000oooo0000o`050?ooo`030?l0003oool0o`00
00<0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0C0?ooo`030000o`000000oooo
00X0oooo00<0003o0?ooo`3oool01`3oool00`000000oooo0?ooo`0D0?ooo`030000o`000000oooo
00T0oooo00<0003o0?ooo`3oool04@3oool2000000<0oooo00<000000?ooo`0000000P0000020?oo
o`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool0103oool00`3o0000oooo0?l0000I0?oo
o`800000103oool20000o`H0oooo00@000000?ooo`00000000002P3oool00`3o0000oooo0?ooo`08
0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool05`3oool00`000?l000000?ooo`07
0?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool0703oool00`000?l0oooo00000007
0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`1O0?ooo`030?l0003oool0oooo02d0oooo00<0o`000?oo
o`3oool09@3oool00`3o0000oooo0?ooo`050?ooo`030?l000000?l0oooo0100oooo00<0003o0?oo
o`3oool03`3oool00`3o0000oooo0?ooo`070?ooo`030?l000000?l0003o00X0oooo00<0003o0?oo
o`3oool08`3oool00`3o0000oooo0?ooo`0[0?ooo`050?l0003oool0oooo0?ooo`3o0000;03oool0
1@00o`00oooo0?ooo`3oool00?l000L0oooo00<0003o0?ooo`3oool06P3oool00`000000oooo0000
o`080?ooo`050?l0003oool0oooo0?ooo`000?l0203oool00`000000oooo0?ooo`0B0?ooo`030000
o`000000oooo00X0oooo00<0003o0?ooo`3oool07P3oool00`000?l000000?ooo`0:0?ooo`030000
o`3oool0oooo0180oooo0`0000060?ooo`030000o`3oool0oooo00l0oooo00<0003o0?ooo`3oool0
0`3oool00`3o0000oooo0?l0000L0?ooo`<000001P3oool2000000T0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`080?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool0
5@3oool00`000?l0oooo000000080?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0
6`3oool00`000?l000000?ooo`080?ooo`050000o`3oool0oooo0?ooo`000000;P3oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`1O0?ooo`030?l0003oool0oooo01X0oooo
00<0o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo00H0oooo
00@0o`000?ooo`000?l0003o3P3oool00`000?l0oooo0?ooo`0@0?ooo`030?l0003oool0oooo00L0
oooo00<0o`000?ooo`3oool00P000?l40?ooo`@0003o7@3oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo05`0oooo00D00?l00?ooo`3oool0oooo003o00080?ooo`030000o`3oool0oooo
00H0oooo00<000000?ooo`3oool03`3oool00`000000oooo0000o`060?ooo`040?l0003oool0oooo
0?l000<0oooo00<0003o0?ooo`3oool01P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo00X0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo00X0oooo00<0003o0?ooo`3oool06`3oool00`000?l0oooo0?ooo`0@0?ooo`050000o`3oool0
oooo0?ooo`3o00000`3oool00`3o0000oooo0?ooo`0F0?ooo`<0003o0`3oool3000000030?ooo`00
0000000000/0oooo00<0o`000?ooo`3oool03P3oool00`000?l0oooo0?ooo`020?ooo`030000003o
ool0oooo01@0oooo00<0003o0?ooo`0000002P3oool00`000?l0oooo0?ooo`030?ooo`030000003o
ool0oooo01/0oooo00<0003o0000003oool0203oool00`000?l0oooo0?ooo`020?ooo`030000003o
ool0oooo02/0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00001i0?ooo`030?l0003oool0
oooo0140oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`0:0?ooo`030000o`3oool0
oooo00X0oooo00<0003o0?ooo`3oool04@3oool00`3o0000oooo0?ooo`0<0?ooo`@0003o8@3oool0
0`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo02T0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`0f0?ooo`030000o`3oool0oooo00L0oooo00<000000?ooo`3oool0303oool2
00000080oooo00<0003o0?ooo`3oool0103oool00`3o0000oooo0?ooo`050?ooo`030000o`3oool0
oooo00H0oooo00<000000?ooo`3oool0403oool00`000?l000000?ooo`0<0?ooo`030000o`3oool0
oooo00T0oooo00<000000?ooo`3oool0403oool00`000000003o0?ooo`0;0?ooo`030000o`3oool0
oooo01X0oooo00<0003o0?ooo`3oool04@3oool01@000?l0oooo0?ooo`3oool0o`0000<0oooo00<0
o`000?ooo`3oool0503oool20000oaH0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`090?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool04`3oool00`000?l0oooo0000
000:0?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?oo
o`080?ooo`030000o`3oool0oooo02`0oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`1P
0?ooo`030?l0003oool0oooo01P0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0R
0?ooo`030?l0003oool0oooo00P0oooo00D0o`000?ooo`3oool0oooo0000o`0:0?ooo`030000o`3o
ool0oooo0180oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003o
ool0oooo00L0oooo00<0o`000?ooo`3oool0:@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo02T0oooo00D00?l00?ooo`3oool0oooo003o00090?ooo`030000o`3oool0oooo00L0oooo
00<000000?ooo`3oool02@3oool2000000@0oooo00<0003o0?ooo`3oool00`3oool00`3o0000oooo
0?ooo`020?ooo`050?l0003oool0oooo0?ooo`000?l02@3oool00`000000oooo0?ooo`0?0?ooo`03
0000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool02@3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo00`0oooo00<0003o0?ooo`3oool06@3oool00`000?l0oooo0?ooo`0B0?ooo`03
0000o`3oool0oooo01T0oooo0P000?lH0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool02P3oool00`000?l0oooo0?ooo`020?ooo`030000003oool0oooo0180oooo00<0003o0?ooo`3o
ool02`3oool00`000?l0oooo0?ooo`0Q0?ooo`030000003oool0oooo00P0oooo00<0003o0?ooo`3o
ool00P3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo04@0oooo000h0?ooo`0509VI
V@0R8R80000004A4A03MgMd07`3oool00`000000oooo0?ooo`1P0?ooo`030?l0003oool0oooo0540
oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`020?ooo`@0003o1@3oool00`000?l0
oooo0?ooo`0N0?ooo`030?l0003oool0oooo02H0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo02T0oooo00D00?l00?ooo`3oool0oooo003o00090?oo
o`030000o`3oool0oooo00P0oooo0P0000000`3oool00000000000040?ooo`8000001@3oool00`00
0?l0oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`00
0?l0oooo0?ooo`070?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0303oool00`00
0?l0oooo0?ooo`0:0?ooo`030000003oool0oooo00h0oooo00<000000000o`3oool03@3oool00`00
0?l0oooo0?ooo`0H0?ooo`030000o`3oool0oooo01@0oooo00<0003o0?ooo`3o00000`3oool00`3o
0000oooo0?ooo`0?0?ooo`<0003o8@3oool00`3o0000oooo0?ooo`0:0?ooo`030000o`3oool0oooo
0080oooo00<000000?ooo`3oool04@3oool010000?l0oooo0?ooo`00000:0?ooo`030000o`3oool0
oooo00D0oooo00<000000?ooo`3oool0603oool00`000?l0oooo0?ooo`090?ooo`030000o`3oool0
oooo0080oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`140?ooo`00=`3oool208R8
R080oooo00<0VIVI04A4A03oool07P3oool5000005l0oooo00<0o`000?ooo`3oool05P3oool00`3o
0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool02@3oool00`3o
0000oooo0?ooo`060?ooo`D0003o5@3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo
0300oooo00<0o`000?ooo`3oool0:03oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
02T0oooo00D00?l00?ooo`3oool0oooo003o000:0?ooo`030000o`3oool0oooo00`0oooo0`000008
0?ooo`030000o`3oool0oooo00T0oooo00<0o`000?ooo`3oool00P3oool00`000?l0oooo0?ooo`08
0?ooo`030000003oool0oooo00/0oooo0P0000000`000?l0oooo0?ooo`0<0?ooo`030000o`3oool0
oooo00/0oooo00<000000?ooo`3oool02`3oool2000000030?ooo`000?l0oooo00h0oooo00<0003o
0?ooo`3oool05P3oool00`000?l0oooo0?ooo`0F0?ooo`030000o`3oool0oooo0080oooo00<0o`00
0?ooo`3oool03@3oool20000oad0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0;
0?ooo`030000o`3oool0oooo0080oooo00<000000?ooo`3oool03`3oool010000?l0oooo0?ooo`00
000<0?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0603oool00`000000oooo0?oo
o`090?ooo`030000o`3oool0oooo00<0oooo00<000000?ooo`3oool09P3oool5000004H0oooo000f
0?ooo`030>k^kP1gMgL0oooo00<0oooo00<0A4A40?ooo`3oool07@3oool00`000000oooo0?ooo`1Q
0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?ooo`3oool05@3oool00`3o0000oooo0?ooo`0O
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`09
0?ooo`030?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`1K
0?ooo`05003o003oool0oooo0?ooo`00o`002P3oool00`000?l0oooo0?ooo`0G0?ooo`030000o`3o
ool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030000o`3o
ool0oooo00T0oooo00<000000?ooo`3oool0203oool200000080oooo00<0003o0?ooo`3oool0303o
ool00`000?l0oooo0?ooo`0<0?ooo`<00000203oool00`000000oooo0?ooo`020?ooo`030000o`3o
ool0oooo00h0oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo0?ooo`0F0?ooo`030?l00000
0?l0003o00<0oooo00<0o`000?ooo`3oool02@3oool30000oal0oooo00<0o`000?ooo`3oool04P3o
ool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<0003o0000000000003@3o
ool00`000?l0oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool02@3o
ool00`000?l0oooo0?ooo`030?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0A03o
ool003<0oooo00@0VIVI014A4@1gMgL0R8R81@3oool00`0c<c<0oooo0?ooo`0M0?ooo`030000003o
ool0oooo07T0oooo00<0o`000?ooo`3oool05`3oool00`3o0000oooo0?ooo`1=0?ooo`030?l0003o
ool0oooo0340oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0X0?ooo`030?l0003o
ool0oooo00D0oooo00<0o`000?ooo`3oool0:03oool01@00o`00oooo0?ooo`3oool00?l000/0oooo
00<0003o0?ooo`3oool05P3oool00`000?l0oooo0?ooo`040?ooo`030?l0003oool0oooo00P0oooo
00<0003o0?ooo`3oool02@3oool2000000030?ooo`000000000000<0oooo00<000000?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`0<0?ooo`040000o`3oool0oooo0?l000h0oooo0`0000030?ooo`80
00001@3oool00`000?l0oooo0?ooo`0>0?ooo`030000o`3oool0oooo01@0oooo00<0003o0?ooo`3o
ool06P3oool40000o`H0oooo1@000?lQ0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool0303oool00`000?l0oooo0?ooo`030?ooo`8000003@3oool00`000?l000000?ooo`0>0?ooo`03
0000o`3oool0oooo00D0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0:0?ooo`03
0000o`3oool0oooo00<0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`140?ooo`00
<`3oool0100A4A40k^k^08R8R028R8P40?ooo`030=gMg@1EEED0oooo01h0oooo1@00001O0?ooo`03
0?l0003oool0oooo01D0oooo00<0o`000?ooo`3oool0=`3oool00`3o0000oooo0?ooo`0;0?ooo`03
0?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0T0?ooo`03
0?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0:03oool00`3o0000oooo0?ooo`050?ooo`03
0?l0003oool0oooo02P0oooo00D00?l00?ooo`3oool0oooo003o000;0?ooo`030000o`3oool0oooo
01D0oooo00<0003o0?ooo`3oool0103oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
0080oooo00<0003o0?ooo`3oool03P3oool3000000H0oooo00<0003o0?ooo`3oool0303oool01000
0?l0oooo0?l0003o000B0?ooo`8000001P3oool00`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0
oooo0180oooo00<0003o0?ooo`3oool0603oool00`3o0000oooo0?ooo`040?ooo`H0003o9P3oool0
0`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00d0oooo00<0003o0?ooo`3oool0103oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00h0oooo00<0003o0?ooo`3oool01P3oool0
0`000000oooo0?ooo`0E0?ooo`03000000000?l0oooo00/0oooo00<0003o0?ooo`3oool00`3oool0
0`000000oooo0?ooo`0F0?ooo`030000o`3oool0oooo00`0oooo1@0000160?ooo`00<`3oool01@00
0000oooo0?ooo`0R8R80^k^k0080oooo00<0ZZZZ028R8P3MgMd07`3oool00`000000oooo0?ooo`1Q
0?ooo`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool06P3oool00`3o0000oooo0?ooo`0K
0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo02@0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo03T0oooo00<0003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`04
0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`000?l0oooo0?ooo`0E
0?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool06`3oool00`000?l0oooo0?ooo`0A
0?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3oool0603oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo0380oooo00<0o`000?ooo`3oool03P3oool00`000?l0oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0403oool00`000?l0oooo0?ooo`05
0?ooo`030000003oool0oooo01D0oooo00<000000000o`3oool02`3oool00`000?l0oooo0?ooo`04
0?ooo`030000003oool0oooo01D0oooo00<0003o0?ooo`3oool0403oool00`000000oooo0?ooo`14
0?ooo`00<`3oool01@0R8R80oooo0?ooo`3MgMd0A4A40080000000<0EEEE0>k^kP3oool07`3oool0
0`000000oooo0?ooo`1R0?ooo`80o`004P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0
oooo01/0oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0
oooo00/0oooo00<0o`000?ooo`3oool0<03oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003oool0
oooo00H0oooo00<0o`000?ooo`3oool0:03oool01@00o`00oooo0?ooo`3oool00?l000d0oooo00<0
003o0?ooo`3oool04P3oool00`000?l0oooo0?ooo`0<0?ooo`030?l0003oool0oooo00<0oooo00<0
003o0?ooo`3oool0503oool00`000?l0oooo0?ooo`0?0?ooo`040000o`3oool0oooo0?l001T0oooo
00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0@0?ooo`030000o`3oool0oooo01T0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0Z0?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool03P3oool00`000?l0oooo0?ooo`050?ooo`D0000000H0oooo0000003oool0
oooo000000000?lB0?ooo`030000o`3oool0oooo00H0oooo00<000000?ooo`3oool0503oool00`00
0000003o0?ooo`0;0?ooo`030000o`3oool0oooo00@0oooo00<000000?ooo`3oool0503oool00`00
0?l000000?ooo`0A0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D00000L`3oool00`3o0000
oooo0?ooo`0M0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool03P3oool00`3o0000
oooo0?ooo`0M0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool0903oool00`3o0000
oooo0?ooo`090?ooo`030?l0003oool0oooo05P0oooo00<0o`000?ooo`00o`000`3oool00`00o`00
oooo0?ooo`0<0?ooo`80003o403oool20000o`P0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`040?ooo`030000o`3oool0oooo0180oooo00<0003o0?ooo`3oool0403oool010000?l0
oooo0?ooo`3o000H0?ooo`030000o`3oool0oooo01<0oooo00<0003o0?ooo`3oool03`3oool00`00
0?l0oooo0?ooo`0I0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0:@3oool00`3o
0000oooo0?ooo`0G0?ooo`030000o`3oool0oooo00/0oooo0P0000000`000?l0oooo0?ooo`0A0?oo
o`030000o`3oool0oooo00H0oooo00<000000?ooo`3oool04P3oool010000000oooo0?ooo`000?l<
0?ooo`030000o`3oool0oooo00D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0=
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0I03oool20?l002l0oooo00<0o`000?oo
o`3oool0603oool00`3o0000oooo0?ooo`0_0?ooo`030?l0003oool0oooo0380oooo00<0o`000?oo
o`3oool02@3oool00`3o0000oooo0?ooo`0V0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?oo
o`3oool09@3oool00`3o0000oooo0?l000030?ooo`03003o003oool0oooo00h0oooo00<0003o0?oo
o`3oool0303oool00`000?l0oooo0?ooo`080?ooo`030?l0003oool0oooo00/0oooo00<0003o0?oo
o`3oool04@3oool00`000?l0oooo0?ooo`0@0?ooo`050?l0003oool0003o0?ooo`3o0000603oool0
0`000?l0oooo0?ooo`0D0?ooo`030000o`3oool0oooo00d0oooo00<0003o0?ooo`3oool08@3oool0
0`3o0000oooo0?ooo`0Y0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool03`3oool2
0000o`d0oooo00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?ooo`070?ooo`030000003oool0
oooo0100oooo00@000000?ooo`3oool0003o3@3oool00`000?l0oooo0?ooo`050?ooo`030000003o
ool0oooo0140oooo0P00000D0?ooo`030000003oool0oooo04@0oooo001>0?ooo`800000303oool5
000006@0oooo0P3o000<0?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool05P3oool0
0`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo02`0oooo00<0o`000?ooo`3oool08P3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo02H0oooo00<0o`000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`0U0?ooo`040?l00000o`00oooo0?l00080oooo00<00?l00?ooo`3oool03`3o
ool00`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo00P0oooo00<0o`000?ooo`3oool01P3o
ool00`3o0000oooo0?ooo`040?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool0403o
ool01@3o0000oooo0?ooo`000?l0o`0001L0oooo00<0003o0?ooo`3oool04@3oool01@3o0000oooo
0?ooo`3oool0003o00d0oooo0P000?lL0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`0A0?ooo`80003o2@3oool20000oaD0oooo00<0003o0?ooo`3o
ool01`3oool00`000000oooo0?ooo`0>0?ooo`050000003oool0oooo0?ooo`000?l03@3oool00`00
0?l0oooo0?ooo`060?ooo`800000403oool00`000000oooo0000o`0@0?ooo`D000004@3oool20000
03<0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0L`3oool00`3o
0000oooo0?ooo`0R0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool0403oool00`3o
0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool08P3oool00`3o
0000oooo0?ooo`0b0?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool09P3oool01P00
o`00oooo0?ooo`3o0000oooo003o0180oooo0P000?l80?ooo`80003o2`3oool00`3o0000oooo0?oo
o`060?ooo`030?l0003oool0oooo00@0oooo00<0003o0?ooo`3oool03`3oool00`000?l0oooo0?oo
o`0E0?ooo`030000o`3o0000oooo01@0oooo00<0003o0?ooo`3oool04P3oool00`3o0000oooo0?oo
o`020?ooo`80003o2@3oool20000oah0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`0b0?ooo`030?l0003oool0oooo01<0oooo0P000?l30?ooo`@0003o5`3oool00`000?l0oooo0?oo
o`080?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool00P3oool00`000?l0oooo0?oo
o`0<0?ooo`030000o`3oool0oooo01P0oooo00<0003o0?ooo`3oool04`3oool00`000000oooo0?oo
o`0>0?ooo`040000003oool0oooo00000380oooo001@0?ooo`030000003oool0oooo00T0oooo2@00
001R0?ooo`030?l0003oool0oooo00@0oooo0P3o00000`3oool0o`000?ooo`0U0?ooo`030?l0003o
ool0oooo01<0oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0L0?ooo`030?l0003o
ool0oooo00d0oooo00<0o`000?ooo`3oool0;P3oool00`3o0000oooo0?ooo`0U0?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo003o00040?ooo`030?l0003o
ool0oooo0180oooo20000?lG0?ooo`030?l0003oool0oooo00@0oooo0P000?l>0?ooo`030000o`3o
ool0oooo0180oooo00H0o`000?ooo`3oool0oooo0000o`3o000D0?ooo`030000o`3oool0oooo0180
oooo00<0o`000?ooo`3o00001@3oool40000o`<0oooo0P000?lP0?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool0:@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo01D0
oooo0`000?lK0?ooo`030000o`3oool0oooo00X0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000o`3oool0oooo00`0oooo00<0003o0?ooo`3oool0203oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0003o00d0oooo2@00000C0?ooo`030000003oool0oooo0300
oooo00170?ooo`@000000`3oool2000000`0oooo00<000000?ooo`3oool0J@3oool30?l000030?oo
o`3o0000o`0005@0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0
003oool0oooo0240oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`1G0?ooo`030?l0
003oool0oooo00D0oooo0P3o000W0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
1P3oool00`000?l0oooo0?ooo`0:0?ooo`030000o`3oool0oooo0180oooo00<0o`000?ooo`3oool0
0`3oool00`000?l0oooo0?ooo`0B0?ooo`030000o`3oool0oooo0180oooo00@0o`000?ooo`3oool0
o`00203oool30000ob80oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0Y0?ooo`03
0?l0003oool0oooo03d0oooo00<0003o0?ooo`3oool02P3oool2000000P0oooo00<000000?ooo`3o
ool00`3oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo00T0oooo00<000000?ooo`3o
ool0203oool2000000030?ooo`000?l0oooo01D0oooo00<000000?ooo`3oool0203oool4000000<0
oooo0P00000c0?ooo`00=P3oool700000140oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0f0?ooo`03003o003oool0oooo0640oooo0P3o000B0?ooo`030?l0003oool0oooo0300oooo
00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo00/0oooo
00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0280oooo
00@0o`000?ooo`3oool00?l01@3oool00`00o`00o`000?ooo`0U0?ooo`030?l0003oool0oooo0180
oooo0P000?l80?ooo`80003o5@3oool00`3o0000oooo0?ooo`030?ooo`030?l000000?l0oooo0140
oooo00<0003o0?ooo`3oool05`3oool00`3o0000oooo0?ooo`0b0?ooo`030?l0003oool0oooo02P0
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0/0?ooo`030?l0003oool0oooo00H0
oooo00<0003o0?ooo`3oool02`3oool2000000030?ooo`000000000000<000001P3oool00`000?l0
oooo0?ooo`0=0?ooo`030000o`3oool0oooo00X0oooo0P0000020?ooo`H000000`3oool00`000?l0
oooo0?ooo`0D0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<P3oool003@0oooo
0P0000070?ooo`8000003`3oool3000000/0oooo00<000000?ooo`3oool0=P3oool00`00o`00oooo
0?ooo`1S0?ooo`80o`003`3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo02h0oooo
00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo02<0oooo
00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0R0?ooo`040?l0003oool0oooo003o00D0
oooo00<00?l00?ooo`3o00009@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00T0
oooo0P000?l20?ooo`@0003o5P3oool00`3o0000oooo0?ooo`060?ooo`030000o`3oool0oooo00h0
oooo00<0003o0?ooo`3oool04`3oool00`3o0000oooo0?ooo`0^0?ooo`030?l0003oool0oooo0340
oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0/0?ooo`030?l0003oool0oooo00H0
oooo00<0003o0?ooo`3oool0603oool00`000?l0oooo0?ooo`0?0?ooo`030000o`3oool0oooo00/0
oooo00<000000?ooo`3oool01`3oool00`000?l0oooo0?ooo`0E0?ooo`030000003oool0oooo00l0
oooo0`00000b0?ooo`00<`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01X0oooo
00<000000?ooo`3oool0=P3oool00`00o`00oooo0?ooo`1c0?ooo`80o`005P3oool00`3o0000oooo
0?ooo`0I0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo
0?ooo`0b0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0903oool00`00o`00oooo
0?ooo`030?ooo`03003o003oool0o`000300oooo00<0o`000?ooo`3oool02`3oool20000oaX0oooo
00<0o`000?ooo`3oool01@3oool00`3o0000003o0?ooo`0?0?ooo`030000o`3oool0oooo01<0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0X0?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`0[0?ooo`80o`00203oool00`000?l0oooo
0?ooo`0F0?ooo`030000o`3oool0oooo0100oooo00<0003o0?ooo`3oool05@3oool00`000?l0oooo
0?ooo`0E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo03D0oooo0P00
o`1W0?ooo`80o`002P3oool00`3o0000oooo0?ooo`0H0?ooo`030?l0003oool0oooo01L0oooo00<0
o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`0/0?ooo`030?l0003oool0oooo0340oooo00<0
o`000?ooo`3oool0803oool01@3o0000oooo0?ooo`3oool00?l000D0oooo00@00?l00?ooo`3oool0
o`00903oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo02H0oooo00<0o`000?ooo`3o
ool01@3oool0103o0000oooo0000o`000?l<0?ooo`80003o5@3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0oooo02L0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0W0?oo
o`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool0:P3oool00`3o0000oooo0?ooo`090?oo
o`030000o`3oool0oooo01@0oooo00<0003o0?ooo`3oool04P3oool00`000?l0oooo0?ooo`0C0?oo
o`030000o`3oool0oooo01H0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0=@3oool00`00o`00oooo003o001X0?ooo`80o`0000<0oooo0?l0003o00000`3oool20?l003@0
oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo0240
oooo00<0o`000?ooo`3oool0;`3oool00`3o0000oooo0?ooo`020?ooo`03003o003oool0oooo00<0
oooo00@00?l00?ooo`3oool0o`00903oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo
00L0oooo00<0o`000?ooo`3oool00P000?l80?ooo`80003o5`3oool00`3o0000oooo0?ooo`060?oo
o`030?l0003oool0oooo02H0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`0W0?oo
o`030?l0003oool0oooo03@0oooo00D0o`000?ooo`3oool0oooo0?l000090?ooo`030000o`3oool0
oooo01<0oooo00<0003o0?ooo`3oool04`3oool00`000?l0oooo0?ooo`0B0?ooo`030000o`3oool0
oooo01H0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0=@3oool00`00
o`00oooo003o001]0?ooo`80o`00803oool00`3o0000oooo0?ooo`0/0?ooo`030?l0003oool0oooo
01T0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo
00d0oooo00<0o`000?ooo`3oool07`3oool00`3o0000oooo0?ooo`020?ooo`03003o003oool0oooo
00<0oooo00<00?l00?ooo`3oool0903oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo
02D0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`020?ooo`80003o0`3oool30000
oeD0oooo00<0o`000?ooo`3oool09P3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo
02d0oooo00<0o`000?ooo`3oool0203oool00`000?l0oooo0?ooo`0A0?ooo`030000o`3oool0oooo
00T0oooo0P3o00090?ooo`030000o`3oool0oooo0140oooo00<0003o0?ooo`3oool05`3oool00`00
0000oooo0?ooo`140?ooo`00=`3oool200000080oooo0P00000O0?ooo`030000003oool0oooo0<L0
oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`0F0?ooo`030?l0003oool0oooo01T0
oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0P0?ooo`030?l0003oool0oooo00h0
oooo00<0o`000?ooo`3oool0;@3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo00X0
oooo00<0o`000?ooo`3oool0=P3oool30000oa`0oooo00<0o`000?ooo`3oool01`3oool00`3o0000
oooo0?ooo`0T0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3oool02@3oool00`3o0000
oooo0?ooo`0X0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool00`000?l0
oooo0?ooo`0@0?ooo`030000o`3oool0oooo00X0oooo00<0o`000?ooo`3oool02@3oool00`000?l0
oooo0?ooo`0@0?ooo`030000o`3oool0oooo01L0oooo00<000000?ooo`3oool0A03oool003H0oooo
00H000000?ooo`3oool000000?ooo`00000P0?ooo`030000003oool0oooo03@0oooo00@00?l00?oo
o`3oool00?l0T03oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo01P0oooo00<0o`00
0?ooo`3oool0;03oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo00l0oooo00<0o`00
0?ooo`3oool07@3oool00`3o0000oooo0?ooo`030?ooo`03003o003oool0oooo00<0oooo00@00?l0
0?ooo`3oool0o`00<@3oool00`3o0000oooo0?ooo`0S0?ooo`030?l0003oool0oooo00P0oooo00<0
o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo02@0oooo00<0
o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo02P0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`090?ooo`030000o`3oool0oooo00h0oooo00<0
003o0?ooo`3oool02`3oool00`3o0000oooo0?l0000:0?ooo`030000o`3oool0oooo00h0oooo00<0
003o0?ooo`3oool0603oool00`000000oooo0?ooo`140?ooo`00=P3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0=03oool01000o`00oooo0?oo
o`00o`2B0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo
0?ooo`0E0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo
0?ooo`0@0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool00`3oool00`00o`00oooo
0?ooo`030?ooo`05003o003oool0oooo0?ooo`3o00008P3oool00`3o0000oooo0?ooo`0;0?ooo`03
0?l0003oool0oooo0280oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0R0?ooo`03
0?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`090?ooo`03
0?l0003oool0oooo02D0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0W0?ooo`03
0?l0003oool0oooo0100oooo0P000?l>0?ooo`030000o`3oool0oooo00h0oooo00<0o`000?ooo`3o
ool0203oool00`000?l0oooo0?ooo`0=0?ooo`030000o`3oool0oooo01P0oooo00<000000?ooo`3o
ool0A03oool003H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`03
0000003oool0oooo03@0oooo00@00?l00?ooo`3oool00?l0TP3oool00`3o0000oooo0?ooo`0]0?oo
o`030?l0003oool0oooo01<0oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`0K0?oo
o`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`040?oo
o`03003o003oool0oooo00<0oooo00D00?l00?ooo`3oool0oooo0?l0000R0?ooo`030?l0003oool0
oooo0300oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0Q0?ooo`030?l0003oool0
oooo00T0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0
oooo02D0oooo00<0o`000?ooo`3oool0<`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo00/0oooo0P000?l:0?ooo`80003o3@3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo00L0oooo00<0003o0?ooo`3oool02`3oool20000oa/0oooo00<000000?ooo`3oool0A03oool0
03H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo03<0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`2@0?ooo`80o`00303oool2
0?l00200oooo00<0o`000?ooo`3oool04@3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0
oooo01/0oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0
oooo00@0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`0T0?ooo`030?l0003oool0
oooo00`0oooo00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0
oooo0200oooo00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0^0?ooo`030?l0003oool0
oooo02D0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0]0?ooo`030?l0003oool0
oooo00d0oooo0`000?l30?ooo`@0003o3`3oool00`3o0000oooo0?ooo`0=0?ooo`80003o2@3oool2
0000oad0oooo00<000000?ooo`3oool0A03oool003H0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo03<0oooo00<00?l00?ooo`3oool00P3oool0
0`00o`00oooo0?ooo`2C0?ooo`80o`001`3oool20?l002@0oooo00<0o`000?ooo`3oool0A03oool0
0`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0240oooo00<00?l00?ooo`3oool00`3oool0
0`00o`00oooo0?ooo`020?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool0303oool0
0`3o0000oooo0?ooo`1A0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool08P3oool0
0`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool09@3oool0
0`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00l0oooo0`000?lB0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool02@3oool40000o`<0oooo0P000?lO0?ooo`030000003oool0
oooo04@0oooo000f0?ooo`8000000P3oool200000200oooo1@00000a0?ooo`03003o003oool0oooo
0080oooo00<00?l00?ooo`3oool0U@3oool20?l00080oooo0P3o000X0?ooo`030?l0003oool0oooo
00`0oooo0P3o000I0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3oool06@3oool00`3o
0000oooo0?ooo`040?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool00P3oool00`3o
0000oooo0?ooo`0_0?ooo`030?l0003oool0oooo01l0oooo00<0o`000?ooo`3oool02`3oool00`3o
0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool08@3oool00`3o
0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0340oooo00<0o`000?ooo`3oool0903oool00`3o
0000oooo0?ooo`070?ooo`030?l0003oool0oooo02@0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`0=0?ooo`<0003o7@3oool5000004H0oooo001L0?ooo`030000003oool0oooo0=80
oooo0P3o000[0?ooo`040?l0003oool0o`000?l000P0oooo0P3o000L0?ooo`030?l0003oool0oooo
01L0oooo00<0o`000?ooo`3oool05`3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo
0140oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo
01h0oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo
00d0oooo00<0o`000?ooo`3oool0803oool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo
02@0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0T0?ooo`030?l0003oool0oooo
03H0oooo00<0o`000?ooo`3oool0<03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`0b0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0a`3oool20?l00003
0?ooo`3o0000o`000080o`00803oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo01T0
oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`040?ooo`03003o003oool0oooo00@0
oooo00<00?l00?ooo`3oool00`3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0oooo02l0
oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`1A0?ooo`030?l0003oool0oooo00/0
oooo00<0o`000?ooo`3oool0903oool00`3o0000oooo0?ooo`0k0?ooo`030?l0003oool0oooo02@0
oooo00<0o`000?ooo`3oool0>03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0b0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0o`3oool60?ooo`030?l0
003oool0oooo01/0oooo00<0o`000?ooo`3oool0503oool00`3o0000oooo0?ooo`050?ooo`03003o
003oool0oooo00@0oooo00<00?l00?ooo`3oool08P3oool00`3o0000oooo0?ooo`0@0?ooo`030?l0
003oool0oooo02d0oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0
003oool0oooo02d0oooo00<0o`000?ooo`3oool08`3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0
003oool0oooo02<0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0T0?ooo`030?l0
003oool0oooo00L0oooo00<0o`000?ooo`3oool0;P3oool00`000000oooo0?ooo`140?ooo`00?`3o
ool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0340oooo00<00?l00?ooo`3oool01@3o
ool00`00o`00oooo0?ooo`3_0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool0<P3o
ool00`3o0000oooo0?ooo`060?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0103o
ool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool0703o
ool00`3o0000oooo0?ooo`0_0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool07`3o
ool00`3o0000oooo0?ooo`0a0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool08P3o
ool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0280oooo00<0o`000?ooo`3oool0203o
ool00`3o0000oooo0?ooo`0^0?ooo`030000003oool0oooo04@0oooo000i0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0a0?ooo`03003o003oool0
oooo00H0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`3E0?ooo`<0o`003`3oool2
0?l00200oooo0P3o000A0?ooo`80o`002@3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0
oooo00<0oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0
oooo01X0oooo00<0o`000?ooo`3oool03`3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0003oool0
oooo0100oooo00<0o`000?ooo`3oool07@3oool00`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0
oooo0340oooo00<0o`000?ooo`3oool08@3oool00`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0
oooo0280oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0]0?ooo`030000003oool0
oooo04@0oooo000i0?ooo`L00000703oool00`000000oooo0?ooo`0a0?ooo`03003o003oool0oooo
00H0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`3H0?ooo`030?l0003oool0oooo
00/0oooo00<0o`000?ooo`3oool08P3oool20?l000h0oooo00<0o`000?ooo`3oool02@3oool00`00
o`00oooo0?ooo`050?ooo`03003o003oool0oooo00@0oooo00<0o`000?ooo`3oool0603oool00`3o
0000oooo0?ooo`0`0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool07@3oool00`3o
0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool03P3oool00`3o
0000oooo0?ooo`0Q0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0803oool00`3o
0000oooo0?ooo`0_0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0;@3oool00`00
0000oooo0?ooo`140?ooo`00?`3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo03X0
oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`3I0?ooo`80o`002P3oool00`3o0000
oooo0?ooo`0V0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool02P3oool00`00o`00
oooo0?ooo`050?ooo`03003o003oool0oooo01h0oooo00<0o`000?ooo`3oool05@3oool00`3o0000
oooo0?ooo`0H0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool0C`3oool00`3o0000
oooo0?ooo`0?0?ooo`030?l0003oool0oooo0200oooo00<0o`000?ooo`3oool03@3oool00`3o0000
oooo0?ooo`0O0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool0803oool00`3o0000
oooo0?ooo`0;0?ooo`030?l0003oool0oooo02`0oooo00<000000?ooo`3oool0A03oool003l0oooo
00<000000?ooo`3oool06P3oool5000002l0oooo00<00?l00?ooo`3oool07`3oool00`00o`00oooo
003o003L0?ooo`030?l0003oool0o`0000<0o`0000@0oooo0?l0003o0000o`00:P3oool20?l000<0
oooo0P3o0000103oool0o`000?l0003o000M0?ooo`030?l0003oool0oooo01H0oooo00<0o`000?oo
o`3oool05P3oool00`3o0000oooo0?ooo`0[0?ooo`030?l0003oool0oooo01/0oooo00<0o`000?oo
o`3oool04P3oool00`3o0000oooo0?ooo`0K0?ooo`030?l0003oool0oooo0380oooo00<0o`000?oo
o`3oool03P3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?oo
o`3oool07`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo02P0oooo1@0000160?oo
o`00G03oool00`000000oooo0?ooo`0a0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3o
ool05P3oool00`00o`00oooo003o003o0?oooa@0oooo0P3o000C0?ooo`03003o003oool0oooo00D0
oooo00<00?l00?ooo`3oool01P3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo01P0
oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo01X0
oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0180
oooo00<0o`000?ooo`3oool07P3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo01d0
oooo00<0o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0O0?ooo`030?l0003oool0oooo00d0
oooo00<0o`000?ooo`3oool0:`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo
0?ooo`0a0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo
003o003o0?ooobT0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`070?ooo`030?l0
003oool0oooo0180oooo00<0o`000?ooo`3oool06@3oool00`3o0000oooo0?ooo`0D0?ooo`030?l0
003oool0oooo01D0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0D0?ooo`030?l0
003oool0oooo01T0oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0M0?ooo`030?l0
003oool0oooo0100oooo00<0o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`0>0?ooo`030?l0
003oool0oooo02l0oooo00<0o`000?ooo`3oool0:`3oool00`000000oooo0?ooo`140?ooo`00?P3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0300oooo00<00?l00?ooo`3oool01`3o
ool00`00o`00oooo0?ooo`3o0?oood80oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?oo
o`090?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?oo
o`0C0?ooo`030?l0003oool0oooo01D0oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?oo
o`0_0?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?oo
o`1S0?ooo`030?l0003oool0oooo03/0oooo00<000000?ooo`3oool0A03oool003T0oooo10000002
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0<03oool00`00o`00oooo0?ooo`08
0?ooo`03003o003oool0oooo01@0oooo00D00?l00?ooo`3oool0oooo003o003o0?ooobP0oooo00<0
0?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0:0?ooo`030?l0003oool0oooo00h0oooo00<0
o`000?ooo`3oool0703oool00`3o0000oooo0?ooo`0@0?ooo`030?l0003oool0oooo01P0oooo00<0
o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`0G0?ooo`030?l0003oool0oooo01D0oooo00<0
o`000?ooo`3oool0<`3oool00`3o0000oooo0?ooo`0C0?ooo`030?l0003oool0oooo01T0oooo00<0
o`000?ooo`3oool0403oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo00h0oooo00<0
o`000?ooo`3oool0:P3oool00`000000oooo0?ooo`140?ooo`00>@3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0<03oool00`00o`00oooo0?oo
o`080?ooo`03003o003oool0oooo01@0oooo00D00?l00?ooo`3oool0oooo003o003o0?ooobP0oooo
00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0;0?ooo`030?l0003oool0oooo00X0oooo
0P3o000Q0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo
0?ooo`0C0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool04`3oool00`3o0000oooo
0?ooo`0G0?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool03`3oool00`00o`00oooo
0?ooo`020?ooo`030?l0003oool0oooo01T0oooo00<0o`000?ooo`3oool0403oool00`3o0000oooo
0?ooo`0M0?ooo`030?l0003oool0oooo00l0oooo00<0o`000?ooo`3oool0:P3oool00`000000oooo
0?ooo`140?ooo`00>@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01X0oooo
1@00000i0?ooo`03003o003oool0oooo01@0oooo00D00?l00?ooo`3oool0oooo003o003o0?ooobP0
oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0=0?ooo`030?l0003oool0oooo00H0
oooo0P3o000U0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool07@3oool00`3o0000
oooo0?ooo`0A0?ooo`030?l0003oool0oooo01/0oooo00<0o`000?ooo`3oool04P3oool00`3o0000
oooo0?ooo`0H0?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3oool0403oool00`00o`00
oooo0?ooo`030?ooo`030?l0003oool0oooo01L0oooo00<0o`000?ooo`3oool04P3oool00`3o0000
oooo0?ooo`0L0?ooo`030?l0003oool0oooo0100oooo00<0o`000?ooo`3oool09@3oool5000004H0
oooo000i0?ooo`040000003oool0oooo0?ooo`8000007@3oool00`000000oooo0?ooo`0_0?ooo`03
003o003oool0oooo01l0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`3o0?oooch0
oooo0P3o00000`3oool0o`000?l000020?l002T0oooo0P3o00090?ooo`030?l0003oool0oooo01l0
oooo00<0o`000?ooo`3oool0<@3oool00`3o0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo01T0
oooo00<0o`000?ooo`3oool05P3oool00`3o0000oooo0?ooo`0@0?ooo`03003o003oool0oooo01h0
oooo00<0o`000?ooo`3oool04P3oool00`3o0000oooo0?ooo`0_0?ooo`030?l0003oool0oooo02T0
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0;`3oool00`00o`00oooo
0?ooo`090?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo
0?ooo`3o0?ooobD0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`100?ooo`D0o`00
00@0oooo0?l0003o0000o`008`3oool00`3o0000oooo0?ooo`0>0?ooo`030?l0003oool0oooo0200
oooo00<0o`000?ooo`3oool02`3oool20?l001h0oooo00<0o`000?ooo`3oool05@3oool00`3o0000
oooo0?ooo`0@0?ooo`800?l01P3oool00`3o0000oooo0?ooo`0E0?ooo`030?l0003oool0oooo01<0
oooo00<0o`000?ooo`3oool06`3oool00`3o0000oooo0?ooo`0m0?ooo`030000003oool0oooo04@0
oooo001L0?ooo`030000003oool0oooo02h0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo
0?ooo`0C0?ooo`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool0o`3ooolU0?ooo`03003o
003oool0oooo00D0oooo00<00?l00?ooo`3oool0K@3oool20?l000d0oooo00<0o`000?ooo`3oool0
8P3oool0103o0000oooo0?l0003o00070?ooo`80o`008@3oool00`3o0000oooo0?ooo`0C0?ooo`03
0?l0003oool0oooo0140oooo0P00o`070?ooo`030?l0003oool0oooo01@0oooo00<0o`000?ooo`3o
ool0503oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3o
ool0:03oool00`000000oooo0?ooo`140?ooo`00<@3oool010000000oooo0?ooo`3oool2000002D0
oooo1@00000/0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0o`3ooom10?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0K`3oool20?l000L0oooo0P3o00000`3oool0
o`000?l0000X0?ooo`80o`0000<0oooo0?l0003oool00P3o000T0?ooo`030?l0003oool0oooo0140
oooo00<0o`000?ooo`3oool04`3oool00`00o`00oooo0?ooo`060?ooo`030?l0003oool0oooo0140
oooo0P3o000G0?ooo`030?l0003oool0oooo01P0oooo0P3o000E0?ooo`030?l0003oool0oooo02@0
oooo1@0000160?ooo`00<03oool01`000000oooo0?ooo`3oool000000?ooo`0000009@3oool00`00
0000oooo0?ooo`0^0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool04P3oool00`00
o`00oooo0?ooo`030?ooo`03003o003oool0oooo0?l0oooo903oool00`00o`00oooo0?ooo`060?oo
o`03003o003oool0oooo0780oooo00@0o`000?ooo`3oool0oooo0P3o000`0?ooo`80o`009`3oool0
0`3o0000oooo0?ooo`0>0?ooo`80o`005@3oool2003o00X0oooo00<0o`000?ooo`3oool03@3oool0
0`3o0000oooo0?ooo`0I0?ooo`030?l0003oool0oooo02l0oooo00<0o`000?ooo`3oool09`3oool0
0`000000oooo0?ooo`140?ooo`00<03oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool0;P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0
oooo0180oooo00<00?l00?ooo`3oool00`3oool00`00o`00oooo0?ooo`3o0?ooob@0oooo00<00?l0
0?ooo`3oool01P3oool00`00o`00oooo0?ooo`1c0?ooo`80o`00GP3oool00`3o0000oooo0?ooo`0;
0?ooo`030?l0003oool0oooo01D0oooo0P00o`0;0?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool0703oool00`3o0000oooo0?ooo`0D0?ooo`030?l0003oool0oooo0400oooo00<00000
0?ooo`3oool0A03oool00300oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo0140oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo0?ooo`0B0?oo
o`03003o003oool0oooo00<0oooo00<00?l00?ooo`3oool0o`3ooolT0?ooo`03003o003oool0oooo
00H0oooo00<00?l00?ooo`3oool0e03oool30?l000P0oooo00<0o`000?ooo`3oool05`3oool2003o
00`0oooo00<0o`000?ooo`3oool02@3oool00`3o0000oooo0?ooo`0N0?ooo`030?l0003oool0oooo
0180oooo00<0o`000?ooo`3oool0603oool00`3o0000oooo0?ooo`0V0?ooo`030000003oool0oooo
04@0oooo000a0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool08`3oool5000000l0
oooo00<00?l00?ooo`3oool06@3oool00`00o`00oooo0?ooo`0P0?ooo`03003o003oool0oooo00D0
oooo00<00?l00?ooo`3oool0o`3ooooo0?ooo`P0oooo103o00000`3oool0o`000?l0000I0?ooo`03
003o003oool0oooo00h0oooo103o00000`3oool0o`000?l000020?l002<0oooo00<0o`000?ooo`3o
ool0403oool00`3o0000oooo0?ooo`0J0?ooo`030?l0003oool0oooo0240oooo1@0000160?ooo`00
G03oool00`000000oooo0?ooo`0B0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool0
3P3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool0
o`3ooolS0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0n03oool01000o`00oooo
0?ooo`00o`1:0?ooo`030?l0003oool0oooo01d0oooo00<0o`000?ooo`3oool03`3oool00`3o0000
oooo0?ooo`0B0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0180oooo
00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0100oooo
00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`3o0?ooob<0oooo00<00?l00?ooo`3oool0
1P3oool00`00o`00oooo0?ooo`3h0?ooo`04003o003oool0oooo003o03X0oooo0P3o000=0?ooo`03
0?l0003oool0oooo0200oooo00<0o`000?ooo`3oool0303oool00`3o0000oooo0?ooo`0C0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`D000004@3oool00`00o`00oooo0?ooo`0E0?ooo`03003o
003oool0oooo00l0oooo00<00?l00?ooo`3oool0o`3oooln0?ooo`03003o003oool0oooo00H0oooo
00<00?l00?ooo`3oool0n`3oool00`00o`00oooo0?ooo`0j0?ooo`80o`002P3oool20?l002<0oooo
00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0@0?ooo`D00000AP3oool003T0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`0D0?ooo`03003o003oool0oooo01<0oooo00<0
0?l00?ooo`3oool0403oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo00L0oooo00<0
0?l00?ooo`3oool0o`3ooolR0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0m`3o
ool01000o`00oooo0?ooo`00o`0o0?ooo`030?l0003oool0oooo00<0oooo0P3o000W0?ooo`040?l0
003oool0o`000?l000H0oooo00<0o`000?ooo`3oool05P3oool00`000000oooo0?ooo`140?ooo`00
>@3oool00`000000oooo0?ooo`0P0?ooo`D000004`3oool00`00o`00oooo0?ooo`0U0?ooo`03003o
003oool0oooo00l0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`3o0?ooob80oooo
00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`3g0?ooo`04003o003oool0oooo003o0400
oooo0P3o00000`3oool0o`000?l0000]0?ooo`80o`0000@0oooo0?l0003o0000o`005@3oool50000
04H0oooo000i0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool05@3oool00`00o`00
oooo0?ooo`0A0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool03P3oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo0?l0oooo8P3oool00`00o`00oooo0?ooo`070?ooo`03
003o003oool0oooo0?L0oooo00@00?l00?ooo`3oool00?l0T@3oool00`000000oooo0?ooo`140?oo
o`00=P3oool7000001l0oooo1@00000D0?ooo`03003o003oool0oooo00l0oooo00<00?l00?ooo`3o
ool0503oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3o
ool0o`3ooooo0?ooobD0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`2:0?ooo`D0
0000AP3oool003T0oooo00<000000?ooo`3oool04`3oool3000000X0oooo00<000000?ooo`3oool0
5P3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool0
303oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo0?l0oooo8@3oool00`00o`00oooo
0?ooo`070?ooo`03003o003oool0oooo0?H0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo
0?ooo`2>0?ooo`030000003oool0oooo0100oooo0`00000a0?ooo`00>@3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool05`3oool00`00o`00oooo003o
0002003o00/0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003o
ool0oooo00T0oooo00<00?l00?ooo`3oool0o`3ooolQ0?ooo`03003o003oool0oooo00L0oooo00<0
0?l00?ooo`3oool0mP3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo08h0oooo00<0
00000?ooo`3oool04@3oool00`000000oooo0?ooo`0`0?ooo`00>@3oool00`000000oooo0?ooo`0A
0?ooo`D000002P3oool9000001H0oooo0`00o`040?ooo`<00?l000<0oooo003o003oool05`3oool0
0`00o`00oooo0?ooo`3o0?oooc/0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`3k
0?ooo`03003o003oool0oooo08H0oooo2@00000@0?ooo`D00000<@3oool004L0oooo100000020?oo
o`040000003oool0oooo000000/0oooo00<000000?ooo`3oool0803oool3003o01h0oooo00<00?l0
0?ooo`3oool02P3oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo0?l0oooo8@3oool0
0`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo0?H0oooo00<00?l00?ooo`3oool00P3oool0
0`00o`00oooo0?ooo`2>0?ooo`030000003oool0oooo00P0oooo100000020?ooo`040000003oool0
oooo00000380oooo001>0?ooo`030000003oool0000000/0oooo00<000000?ooo`3oool0@@3oool0
0`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0o`3ooolQ
0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0mP3oool00`00o`00oooo0?ooo`02
0?ooo`03003o003oool0oooo08h0oooo00<000000?ooo`3oool03`3oool00`000000oooo0000000b
0?ooo`00C`3oool2000000/0oooo00<000000?ooo`3oool0C@3oool00`00o`00oooo0?ooo`0:0?oo
o`03003o003oool0oooo0?l0oooo8@3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo
0?H0oooo00<00?l00?ooo`3oool0T`3oool00`000000oooo0?ooo`0@0?ooo`800000<P3oool005`0
oooo00<000000?ooo`3oool0@P3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo00/0
oooo00<00?l00?ooo`3oool0o`3ooooo0?ooob<0oooo00<00?l00?ooo`3oool00`3oool00`00o`00
oooo0?ooo`2>0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo04<0oooo
00<00?l00?ooo`3oool01P3oool2003o00d0oooo00<00?l00?ooo`3oool0o`3ooolP0?ooo`03003o
003oool0oooo00L0oooo00<00?l00?ooo`3oool0m@3oool00`00o`00oooo0?ooo`030?ooo`03003o
003oool0oooo08h0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0@`3o
ool00`00o`00oooo0?ooo`040?ooo`800?l0o`3ooolb0?ooo`03003o003oool0oooo00L0oooo00<0
0?l00?ooo`3oool0m@3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo08h0oooo00<0
00000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0A03oool01000o`00oooo0?ooo`3o
ool2003o0180oooo00<00?l00?ooo`3oool0o`3ooolO0?ooo`03003o003oool0oooo00L0oooo00<0
0?l00?ooo`3oool0o03oool00`00o`00oooo0?ooo`2=0?ooo`030000003oool0oooo04@0oooo001L
0?ooo`030000003oool0oooo04D0oooo0`00o`0D0?ooo`03003o003oool0oooo0?l0oooo7P3oool0
0`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo0?D0oooo00<00?l00?ooo`3oool0103oool0
0`00o`00oooo0?ooo`2=0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
05`0oooo00<00?l00?ooo`3oool0g`3oool00`00o`00oooo0?ooo`0D0?ooo`03003o003oool0oooo
02@0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`3e0?ooo`03003o003oool0oooo
00@0oooo00<00?l00?ooo`3oool0S@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`1L0?ooo`03003o003oool0oooo0=h0oooo00<00?l00?ooo`00o`004`3oool2003o0003
0?ooo`00o`00oooo02@0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`3e0?ooo`03
003o003oool0oooo09@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
G@3oool00`00o`00oooo0?ooo`3L0?ooo`04003o003oool0oooo003o0180oooo00D00?l00?ooo`3o
ool0oooo003o003o0?ooobP0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`2=0?oo
o`030000003oool0oooo04@0oooo000g0?ooo`8000000P3oool2000001l0oooo00<000000?ooo`3o
ool0G@3oool00`00o`00oooo0?ooo`3K0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3o
ool03P3oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3o
ool0203oool00`00o`00oooo0?ooo`3d0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3o
ool0S@3oool00`000000oooo0?ooo`140?ooo`00=P3oool01P000000oooo0?ooo`000000oooo0000
0200oooo1@00002]0?ooo`03003o003oool0oooo08T0oooo00<00?l00?ooo`3oool00`3oool00`00
o`00oooo0?ooo`0;0?ooo`800?l01`3oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo
00P0oooo00<00?l00?ooo`3oool0m03oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo
08T0oooo1@0000160?ooo`00=P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
01d0oooo00<000000?ooo`3oool0GP3oool00`00o`00oooo0?ooo`1=0?ooo`800?l0RP3oool00`00
o`00oooo0?ooo`060?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0203oool00`00
o`00oooo0?ooo`0P0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0o@3oool00`00
o`00oooo0?ooo`2<0?ooo`030000003oool0oooo04@0oooo000f0?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`1N0?ooo`03003o003oool0oooo
04d0oooo0P00o`2D0?ooo`03003o003oool0oooo00@0oooo0P00o`0<0?ooo`03003o003oool0oooo
0200oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`3c0?ooo`03003o003oool0oooo
00H0oooo00<00?l00?ooo`3oool0S03oool00`000000oooo0?ooo`140?ooo`00=P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0GP3oool00`00
o`00oooo0?ooo`1=0?ooo`03003o003oool00?l008P0oooo00<00?l00?ooo`3oool0203oool00`00
o`00oooo0?ooo`020?ooo`800?l03`3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo
00T0oooo00<00?l00?ooo`3oool0l`3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo
08`0oooo00<000000?ooo`3oool0A03oool003H0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0M0?ooo`030000003oool0oooo05l0oooo00<00?l00?ooo`3oool0C03oool00`00
o`00oooo003o00270?ooo`03003o003oool0oooo00X0oooo00@00?l00?ooo`00o`000?l04P3oool0
0`00o`00oooo0?ooo`0N0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0l`3oool0
0`00o`00oooo0?ooo`2E0?ooo`030000003oool0oooo04@0oooo000f0?ooo`8000000P3oool20000
0200oooo00<000000?ooo`3oool0403oool00`3oo`00oooo0?ooo`1<0?ooo`03003o003oool0oooo
02L0oooo00<00?l00?ooo`3oool08@3oool00`00o`00oooo0?ooo`270?ooo`03003o003oool0oooo
00`0oooo00<00?l00?ooo`3oool0o`3ooole0?ooo`03003o003oool0oooo00L0oooo00<00?l00?oo
o`3oool0S03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0@0?ooo`03
0?oo003oool0oooo04`0oooo00<00?l00?ooo`3oool09P3oool2003o02<0oooo00@00?l00?ooo`3o
ool00?l0Q@3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo01`0oooo00<00?l00?oo
o`3oool02@3oool00`00o`00oooo0?ooo`3b0?ooo`03003o003oool0oooo00L0oooo00<00?l00?oo
o`3oool0S03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0A0?ooo`03
0?oo003oool0oooo0780oooo00D00?l00?ooo`3oool0oooo003o000R0?ooo`04003o003oool0oooo
003o08D0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`0L0?ooo`03003o003oool0
oooo00T0oooo00<00?l00?ooo`3oool0lP3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0
oooo08`0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000?0?ooo`030?oo003oool0oooo
04`0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo
02<0oooo00<00?l00?ooo`3oool0Z`3oool00`00o`00oooo0?ooo`0K0?ooo`03003o003oool0oooo
00T0oooo00<00?l00?ooo`3oool0o@3oool00`00o`00oooo0?ooo`270?ooo`D00000AP3oool003X0
oooo00@000000?ooo`3oool0oooo0P00000L0?ooo`030000003oool0oooo0140oooo00<0ool00?oo
o`3oool0C03oool00`00o`00oooo0?ooo`0P0?ooo`800?l0:03oool01@00o`00oooo0?ooo`3oool0
0?l002X0oooo00<00?l00?ooo`3oool0E`3oool00`00o`00oooo0?ooo`0U0?ooo`03003o003oool0
oooo01/0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`3b0?ooo`03003o003oool0
oooo00P0oooo00<00?l00?ooo`3oool0R`3oool00`000000oooo0?ooo`140?ooo`00>@3oool01`00
0000oooo0?ooo`3oool000000?ooo`000000703oool00`000000oooo0?ooo`0A0?ooo`030?oo003o
ool0oooo04d0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`050?ooo`03003o003o
ool0oooo0200oooo00D00?l00?ooo`3oool0oooo003o000Z0?ooo`03003o003oool0oooo05H0oooo
00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00T0oooo
00<00?l00?ooo`3oool0lP3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo08/0oooo
00<000000?ooo`3oool0A03oool003T0oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo0180oooo00<0ool00?ooo`3oool0C03oool00`00o`00oooo
0?ooo`0M0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool07`3oool00`00o`00oooo
0?ooo`020?ooo`03003o003oool0oooo02L0oooo0P00o`1H0?ooo`03003o003oool0oooo04@0oooo
00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`3b0?ooo`03003o003oool0oooo09H0oooo
00<000000?ooo`3oool0A03oool003T0oooo00<000000?ooo`0000000`3oool00`000000oooo0?oo
o`0J0?ooo`030000003oool0oooo0180oooo00<0ool00?ooo`3oool0C@3oool00`00o`00oooo0?oo
o`0K0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?oo
o`0/0?ooo`03003o003oool0oooo05H0oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo0?oo
o`3o0?oooa/0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`2;0?ooo`030000003o
ool0oooo04@0oooo000j0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool06P3oool0
0`000000oooo0?ooo`0B0?ooo`030?oo003oool0oooo06/0oooo00<00?l00?ooo`3oool0203oool0
0`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool09P3oool0
0`00o`00oooo003o000[0?ooo`03003o003oool0oooo02P0oooo00<00?l00?ooo`3oool0:03oool0
0`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0l@3oool0
0`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo08/0oooo00<000000?ooo`3oool0A03oool0
05`0oooo1@00000A0?ooo`030?oo003oool0oooo04`0oooo00<00?l00?ooo`3oool06P3oool00`00
o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo01`0oooo00<00?l00?ooo`3oool0103oool00`00
o`00oooo0?ooo`0X0?ooo`03003o003oool0oooo02T0oooo0P00o`1E0?ooo`03003o003oool0oooo
01P0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`3a0?ooo`03003o003oool0oooo
00T0oooo00<00?l00?ooo`3oool0Q`3oool5000004H0oooo001L0?ooo`030000003oool0oooo01<0
oooo00<0ool00?ooo`3oool0C03oool00`00o`00oooo0?ooo`0J0?ooo`03003o003oool0oooo00X0
oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool00?l002X0
oooo00<00?l00?ooo`00o`00:@3oool00`00o`00oooo0?ooo`0Y0?ooo`03003o003oool0oooo01P0
oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`3m0?ooo`03003o003oool0oooo08/0
oooo00<000000?ooo`3oool0A03oool003h0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0C0?ooo`030?oo003oool0oooo04d0oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo
0?ooo`0Z0?ooo`03003o003oool0oooo00D0oooo00<00?l00?ooo`3oool09@3oool01000o`00oooo
0?ooo`00o`0Y0?ooo`03003o003oool00?l002T0oooo00<00?l00?ooo`3oool0:P3oool00`00o`00
oooo0?ooo`0G0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool0l@3oool00`00o`00
oooo0?ooo`090?ooo`03003o003oool0oooo08/0oooo00<000000?ooo`3oool0A03oool003T0oooo
100000020?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool04`3oool00`3oo`00oooo
0?ooo`1>0?ooo`03003o003oool0oooo02D0oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo
0?ooo`050?ooo`03003o003oool0oooo02@0oooo00D00?l00?ooo`3oool0oooo003o000X0?ooo`05
003o003oool0oooo0?ooo`00o`009`3oool00`00o`00oooo0?ooo`0[0?ooo`03003o003oool0oooo
01L0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`3a0?ooo`03003o003oool0oooo
00T0oooo00<00?l00?ooo`3oool0R`3oool00`000000oooo0?ooo`140?ooo`00>@3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo01X0oooo1@00000B0?ooo`030?oo003oool0oooo
04d0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo
01`0oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo
02X0oooo00D00?l00?ooo`3oool0oooo003o000W0?ooo`03003o003oool0oooo00/0oooo00<0ool0
0?ooo`3oool0=`3oool00`00o`00oooo0?ooo`0:0?ooo`03003o003oool0oooo0?40oooo00<00?l0
0?ooo`3oool0T`3oool5000004H0oooo000i0?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool06P3oool00`000000oooo0?ooo`0D0?ooo`030?oo003oool0oooo04h0oooo00<00?l0
0?ooo`3oool05@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo01X0oooo00<00?l0
0?ooo`3oool0;03oool00`00o`00oooo0?ooo`030?ooo`03003o003oool0oooo02@0oooo00<00?l0
0?ooo`3oool00P3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo00`0oooo00<0ool0
0?ooo`3oool07P3oool00`00o`00oooo0?ooo`3o0?oooaL0oooo00<00?l00?ooo`3oool02`3oool0
0`00o`00oooo0?ooo`2:0?ooo`030000003oool0oooo04@0oooo000i0?ooo`040000003oool0oooo
0?ooo`8000007@3oool00`000000oooo0?ooo`0D0?ooo`030?oo003oool0oooo04l0oooo00<00?l0
0?ooo`3oool04`3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01X0oooo00<00?l0
0?ooo`3oool01P3oool00`00o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo00<0oooo00<00?l0
0?ooo`3oool0903oool00`00o`00oooo0?ooo`0Y0?ooo`03003o003oool0oooo00`0oooo00<0ool0
0?ooo`3oool07`3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00/0oooo00<00?l0
0?ooo`3oool0k`3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo08X0oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05@3oool00`3oo`00oooo0?ooo`1?0?oo
o`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0I0?oo
o`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool0:@3oool00`00o`00oooo0?ooo`0S0?oo
o`03003o003oool0oooo00@0oooo00<00?l00?ooo`3oool0<P3oool00`3oo`00oooo0?ooo`0O0?oo
o`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`3_0?oo
o`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0RP3oool00`000000oooo0?ooo`140?oo
o`00G03oool5000001<0oooo00<0ool00?ooo`3oool0C`3oool00`00o`00oooo0?ooo`0A0?ooo`03
003o003oool0oooo0100oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0R0?ooo`03
003o003oool0oooo00@0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`040?ooo`03
003o003oool0oooo02<0oooo00<00?l00?ooo`3oool0303oool00`3oo`00oooo0?ooo`0P0?ooo`03
003o003oool0oooo01@0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`3^0?ooo`03
003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0QP3oool5000004H0oooo000a0?ooo`040000
003oool0oooo0?ooo`8000009@3oool00`000000oooo0?ooo`0E0?ooo`030?oo003oool0oooo0500
oooo00<00?l00?ooo`3oool0?P3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo0280
oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo00D0
oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo0200
oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo02<0
oooo00<00?l00?ooo`3oool0F03oool00`00o`00oooo0?ooo`1[0?ooo`800?l03`3oool00`00o`00
oooo0?ooo`2:0?ooo`030000003oool0oooo04@0oooo000`0?ooo`070000003oool0oooo0?ooo`00
0000oooo0000000U0?ooo`030000003oool0oooo01D0oooo00<0ool00?ooo`3oool0D@3oool00`00
o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3oool0603oool00`00
o`00oooo0?ooo`090?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool0103oool00`00
o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool08@3oool00`00
o`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo03L0oooo00<00?l00?ooo`3oool02`3oool00`00
o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo05P0oooo00<00?l00?ooo`3oool08`3oool00`00
o`00oooo0?ooo`0h0?ooo`<00?l0203oool2003o0140oooo00<00?l00?ooo`3oool0RP3oool00`00
0000oooo0?ooo`140?ooo`00<03oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
02<0oooo1@00000D0?ooo`030?oo003oool0oooo0640oooo00<00?l00?ooo`3oool04@3oool00`00
o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo02`0oooo00<00?l00?ooo`3oool0<P3oool00`00
o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo00d0oooo0P3oo`0R0?ooo`03003o003oool0oooo
01<0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo
05H0oooo0P00o`0T0?ooo`800?l0=`3oool3003o00@0oooo0`00o`020?ooo`03003o003oool0oooo
09/0oooo1@0000160?ooo`00<03oool00`000000oooo000000030?ooo`030000003oool0oooo02<0
oooo00<000000?ooo`3oool05P3oool00`3oo`00oooo0?ooo`1A0?ooo`03003o003oool0oooo00/0
oooo0P00o`0E0?ooo`03003o003oool0oooo01H0oooo00<00?l00?ooo`3oool02P3oool00`00o`00
oooo0?ooo`0P0?ooo`03003o003oool0oooo00H0oooo00<00?l00?ooo`3oool07`3oool00`00o`00
oooo0?ooo`070?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3oool03@3oool00`3oo`00
oooo0?oo000S0?ooo`03003o003oool0oooo04D0oooo00<00?l00?ooo`00o`00F03oool2003o02D0
oooo00<00?l00?ooo`3oool0<`3oool2003o00X0oooo0`00o`0D0?ooo`03003o003oool0oooo0540
oooo00<00?l00?ooo`3oool0=P3oool00`000000oooo0?ooo`140?ooo`00<@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo02<0oooo1@00000D0?ooo`030?oo003oool0oooo0580oooo
0P00o`0:0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo
0?ooo`0:0?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo
0?ooo`0O0?ooo`03003o003oool0oooo02X0oooo00<00?l00?ooo`3oool03@3oool00`3oo`00oooo
0?oo000S0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo
0?ooo`0R0?ooo`04003o003oool0oooo003o02/0oooo00<00?l00?ooo`3oool0:@3oool2003o02@0
oooo00<00?l00?ooo`00o`00<P3oool2003o02<0oooo00<00?l00?ooo`3oool0D@3oool00`00o`00
oooo0?ooo`0b0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool05`3oool00`3oo`00oooo
0?ooo`1C0?ooo`800?l01@3oool2003o01X0oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo
0?ooo`0:0?ooo`03003o003oool0oooo02T0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo
0?ooo`080?ooo`03003o003oool0oooo0300oooo00<0ool00?ooo`3oo`00903oool00`00o`00oooo
0?ooo`0A0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo
0?ooo`0[0?ooo`03003o003oool0oooo02`0oooo00<00?l00?ooo`3oool08@3oool00`00o`00oooo
003o000a0?ooo`03003o003oool0oooo02<0oooo00<00?l00?ooo`3oool0D@3oool2003o03L0oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool05`3oool00`3oo`00oooo0?oo
o`1F0?ooo`@00?l0@P3oool00`00o`00oooo0?ooo`0N0?ooo`03003o003oool0oooo00P0oooo00<0
0?l00?ooo`3oool07@3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo0200oooo00<0
0?l00?ooo`3oool03@3oool00`3oo`00oooo0?oo000U0?ooo`03003o003oool0oooo00l0oooo00<0
0?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0Q0?ooo`05003o003oool0oooo0?ooo`00o`00
:P3oool2003o02X0oooo00@00?l00?ooo`3oool00?l08`3oool00`00o`00oooo0?ooo`0a0?ooo`03
003o003oool0oooo02@0oooo00<00?l00?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0e0?ooo`03
0000003oool0oooo04@0oooo001>0?ooo`800000303oool5000001D0oooo00<0ool00?ooo`3oool0
MP3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0
7P3oool00`00o`00oooo0?ooo`080?ooo`03003o003oool0oooo01`0oooo00<00?l00?ooo`3oool0
2P3oool00`00o`00oooo0?ooo`0N0?ooo`03003o003oool0oooo00h0oooo00<0ool00?ooo`3oo`00
=`3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo0240oooo00D00?l00?ooo`3oool0
oooo003o000Y0?ooo`03003o003oool00?l002X0oooo00@00?l00?ooo`3oool00?l08P3oool01@00
o`00oooo0?ooo`3oool00?l005L0oooo00<00?l00?ooo`3oool0C`3oool00`00o`00oooo0?ooo`0c
0?ooo`D000004@3oool2000003<0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<00000
0?ooo`3oool05`3oool00`3oo`00oooo0?ooo`1g0?ooo`03003o003oool0oooo01@0oooo00<00?l0
0?ooo`3oool02`3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo00T0oooo00<00?l0
0?ooo`3oool0:@3oool00`00o`00oooo0?ooo`0N0?ooo`03003o003oool0oooo00h0oooo00<0ool0
0?ooo`3oo`009P3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo00`0oooo00<00?l0
0?ooo`3oool08@3oool00`00o`00oooo0?ooo`020?ooo`03003o003oool0oooo02H0oooo00<00?l0
0?ooo`00o`00:P3oool01@00o`00oooo0?ooo`3oool00?l00240oooo00D00?l00?ooo`3oool0oooo
003o000_0?ooo`03003o003oool0oooo02D0oooo00<00?l00?ooo`3oool08P3oool2003o02/0oooo
00<00?l00?ooo`00o`00=`3oool00`000000oooo0?ooo`0>0?ooo`040000003oool0oooo00000380
oooo000c0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`0:0?ooo`T000004P3oool00`3oo`00oooo0?ooo`1g0?ooo`03003o003oool0oooo0180oooo
00<00?l00?ooo`3oool0;03oool00`00o`00oooo0?ooo`0W0?ooo`03003o003oool0oooo00`0oooo
00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0?0?ooo`030?oo003oool0ool002L0oooo
00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo02H0oooo
00<00?l00?ooo`3oool09@3oool01@00o`00oooo0?ooo`3oool00?l002P0oooo00<00?l00?ooo`3o
ool00P3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo0080oooo00<00?l00?ooo`3o
ool0:`3oool00`00o`00oooo0?ooo`1<0?ooo`03003o003oool0oooo02T0oooo00<00?l00?ooo`00
o`00;`3oool900000180oooo00<000000?ooo`3oool0<@3oool003@0oooo0P0000070?ooo`800000
203oool4000000D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0H0?ooo`030?oo
003oool0oooo07P0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o
003oool0oooo01`0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0J0?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool06`3oool00`00o`00oooo0?ooo`0@0?ooo`030?oo
003oool0ool002L0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0b0?ooo`03003o
003oool0oooo00<0oooo00<00?l00?ooo`3oool0903oool01@00o`00oooo0?ooo`3oool00?l002P0
oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo02X0
oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0Q0?ooo`04003o003oool0oooo003o
02T0oooo00@00?l00?ooo`3oool00?l0=`3oool00`000000oooo0?ooo`080?ooo`@000001@3oool0
0`000000oooo0?ooo`0`0?ooo`00=P3oool700000100oooo00@000000?ooo`3oool000002`3oool0
0`000000oooo0?ooo`0H0?ooo`030?oo003oool0oooo07T0oooo00<00?l00?ooo`3oool03`3oool2
003o0100oooo00<00?l00?ooo`3oool0:@3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0
oooo00d0oooo00<00?l00?ooo`3oool0;P3oool00`3oo`00oooo0?oo000X0?ooo`800?l02P3oool0
0`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool00`3oool0
0`00o`00oooo0?ooo`0T0?ooo`05003o003oool0oooo0?ooo`00o`00:03oool00`00o`00oooo0?oo
o`030?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?oo
o`0Y0?ooo`03003o003oool0oooo02P0oooo00<00?l00?ooo`3oool07`3oool01@00o`00oooo0?oo
o`3oool00?l002T0oooo00D00?l00?ooo`3oool0oooo003o000f0?ooo`030000003oool0oooo00h0
oooo00@000000?ooo`3oool00000<P3oool004h0oooo0P00000<0?ooo`030000003oool0oooo01P0
oooo00<0ool00?ooo`3oool0W@3oool00`00o`00oooo0?ooo`0K0?ooo`03003o003oool0oooo00/0
oooo00<00?l00?ooo`3oool0603oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo01X0
oooo00<00?l00?ooo`3oool04@3oool00`3oo`00oooo0?oo000[0?ooo`800?l01@3oool2003o0180
oooo00<00?l00?ooo`3oool0803oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo0280
oooo00<00?l00?ooo`3oool0<@3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo00@0
oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo0?ooo`0Y0?ooo`03003o003oool0oooo01l0
oooo00<00?l00?ooo`3oool0:`3oool01@00o`00oooo0?ooo`3oool00?l003H0oooo00<000000?oo
o`3oool03`3oool2000003<0oooo001L0?ooo`030000003oool0oooo01T0oooo00<0ool00?ooo`3o
ool0N@3oool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo0140oooo00<00?l00?ooo`3o
ool06P3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo01H0oooo00<00?l00?ooo`3o
ool03`3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo0180oooo00<0ool00?ooo`3o
o`00;@3oool2003o0080oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0P0?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`030?ooo`03
003o003oool0oooo02@0oooo00<00?l00?ooo`3oool0103oool00`00o`00oooo0?ooo`0M0?ooo`03
003o003oool0oooo00D0oooo00<00?l00?ooo`3oool09P3oool00`00o`00oooo0?ooo`0[0?ooo`03
003o003oool0oooo01d0oooo00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0[0?ooo`03
003o003oool0oooo03@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
6@3oool00`3oo`00oooo0?ooo`1j0?ooo`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool0
4`3oool00`00o`00oooo0?ooo`0I0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0
5P3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool0
4`3oool00`3oo`00oooo0?oo000_0?ooo`800?l05P3oool00`00o`00oooo0?ooo`0N0?ooo`03003o
003oool0oooo00H0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`030?ooo`03003o
003oool0oooo02@0oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`060?ooo`03003o
003oool0oooo02D0oooo00<00?l00?ooo`3oool0;03oool00`00o`00oooo0?ooo`0M0?ooo`03003o
003oool0oooo0080oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0h0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01T0oooo00<0ool00?ooo`3oool0N`3o
ool00`00o`00oooo0?ooo`080?ooo`800?l0<@3oool00`00o`00oooo0?ooo`0U0?ooo`03003o003o
ool0oooo0140oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0C0?ooo`030?oo003o
ool0ool004L0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`070?ooo`03003o003o
ool0oooo02L0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`040?ooo`03003o003o
ool0oooo01`0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003o
ool0oooo02d0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`0V0?ooo`05003o003o
ool0oooo0?ooo`00o`00=P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`0I0?ooo`030?oo003oool0oooo07`0oooo0P00o`000`3oool00?l0003o00040?ooo`03003o003o
ool0oooo01L0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003o
ool0oooo01@0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003o
ool0oooo01@0oooo00@0ool00?ooo`3oool0ool0AP3oool00`00o`00oooo0?ooo`0X0?ooo`03003o
003oool0oooo0200oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0R0?ooo`03003o
003oool0oooo00D0oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`070?ooo`03003o
003oool0oooo02<0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo0?ooo`0K0?ooo`03003o
003oool0oooo00@0oooo00<00?l00?ooo`3oool09@3oool00`00o`00oooo0?ooo`020?ooo`03003o
003oool0oooo03@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool06@3o
ool00`3oo`00oooo0?ooo`210?ooo`<00?l06`3oool00`00o`00oooo0?ooo`0G0?ooo`03003o003o
ool0oooo00l0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`100?ooo`050?oo003o
ool0oooo0?ooo`3oo`00I`3oool00`00o`00oooo0?ooo`070?ooo`03003o003oool0oooo0200oooo
00<00?l00?ooo`3oool01@3oool00`00o`00oooo0?ooo`0R0?ooo`03003o003oool0oooo00D0oooo
00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo02l0oooo
00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`060?ooo`03003o003oool0oooo02@0oooo
00<00?l00?ooo`3oool00P3oool00`00o`00oooo0?ooo`0d0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo01X0oooo00<0ool00?ooo`3oool0W`3oool00`00o`00oooo0?oo
o`0X0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?oo
o`0C0?ooo`03003o003oool0oooo01@0oooo00D0ool00?ooo`3oool0oooo0?oo00160?ooo`03003o
003oool0oooo01h0oooo00<00?l00?ooo`3oool0:P3oool00`00o`00oooo0?ooo`050?ooo`03003o
003oool0oooo0280oooo00<00?l00?ooo`3oool01P3oool00`00o`00oooo0?ooo`0J0?ooo`03003o
003oool0oooo00T0oooo00<00?l00?ooo`3oool0E03oool00`00o`00oooo0?ooo`0H0?ooo`03003o
003oool0oooo00L0oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`040?ooo`03003o
003oool0oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool06P3o
ool00`3oo`00oooo0?ooo`2O0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04@3o
ool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04@3o
ool00`00o`00oooo0?ooo`0E0?ooo`050?oo003oool0oooo0?ooo`3oo`00A`3oool00`00o`00oooo
0?ooo`0M0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo
0?ooo`0d0?ooo`03003o003oool0oooo01X0oooo00<00?l00?ooo`3oool0;03oool00`00o`00oooo
0?ooo`0a0?ooo`03003o003oool0oooo01P0oooo00<00?l00?ooo`3oool0;@3oool00`00o`00oooo
0?ooo`040?ooo`03003o003oool0oooo03<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<0
00000?ooo`3oool06P3oool00`3oo`00oooo0?ooo`2P0?ooo`03003o003oool0oooo01<0oooo00<0
0?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo01H0oooo0P00
o`0?0?ooo`800?l0603oool01@3oo`00oooo0?ooo`3oool0ool004L0oooo00<00?l00?ooo`3oool0
703oool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01h0oooo00<00?l00?ooo`3oool0
1P3oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3oool0
6@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01h0oooo00<00?l00?ooo`3oool0
<`3oool00`00o`00oooo0?ooo`0F0?ooo`03003o003oool0oooo00P0oooo00<00?l00?ooo`3oool0
:P3oool00`00o`00oooo0?ooo`0P0?ooo`03003o003oool0oooo0100oooo00<000000?ooo`3oool0
A03oool005`0oooo00<000000?ooo`3oool06P3oool00`3oo`00oooo0?ooo`2P0?ooo`03003o003o
ool0oooo0180oooo00<00?l00?ooo`3oool0@@3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003o
ool0oooo01P0oooo00D0ool00?ooo`3oool0oooo0?oo00180?ooo`03003o003oool0oooo01/0oooo
00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo00H0oooo
00<00?l00?ooo`3oool08@3oool00`00o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo00`0oooo
00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0d0?ooo`03003o003oool0oooo0240oooo
00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0W0?ooo`03003o003oool0oooo0100oooo
00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool06P3oool00`3oo`00oooo0?oo
o`2Q0?ooo`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?oo
o`0=0?ooo`03003o003oool0oooo01X0oooo00<00?l00?ooo`3oool0203oool2003o01/0oooo00D0
ool00?ooo`3oool0oooo0?oo00190?ooo`03003o003oool0oooo01X0oooo00<00?l00?ooo`3oool0
2P3oool00`00o`00oooo0?ooo`0W0?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3oool0
203oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool0
703oool00`00o`00oooo0?ooo`1<0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0
8`3oool00`00o`00oooo0?ooo`050?ooo`03003o003oool0oooo01h0oooo00<00?l00?ooo`3oool0
4@3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001T0oooo00<0ool00?ooo`3oool0X@3o
ool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool02`3o
ool2003o01h0oooo1@00o`000`3oool00?l0003o0002003o01d0oooo00D0ool00?ooo`3oool0oooo
0?oo001c0?ooo`03003o003oool0oooo01`0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo
0?ooo`0O0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo
0?ooo`0J0?ooo`03003o003oool0oooo03H0oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo
0?ooo`0;0?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3oool01@3oool00`00o`00oooo
0?ooo`0N0?ooo`03003o003oool0oooo00d0oooo1@0000160?ooo`00G03oool00`000000oooo0?oo
o`0K0?ooo`030?oo003oool0oooo0:80oooo0P00o`0=0?ooo`03003o003oool0oooo01T0oooo00<0
0?l00?ooo`3oool0203oool2003o04L0oooo00D0ool00?ooo`3oool0oooo0?oo001:0?ooo`03003o
003oool0oooo01P0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0K0?ooo`03003o
003oool0oooo00T0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`090?ooo`03003o
003oool0oooo01P0oooo00<00?l00?ooo`3oool03P3oool00`00o`00oooo0?ooo`1C0?ooo`03003o
003oool0oooo0140oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0Q0?ooo`03003o
003oool0oooo00H0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`0A0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01/0oooo00<0ool00?ooo`3oool0Y03o
ool00`00o`00oooo0?ooo`090?ooo`03003o003oool0oooo01/0oooo0P00o`000`3oool00?l0003o
00030?ooo`03003o003oool0oooo04P0oooo00D0ool00?ooo`3oool0oooo0?oo001:0?ooo`03003o
003oool0oooo01P0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0I0?ooo`03003o
003oool0oooo00X0oooo00<00?l00?ooo`3oool07P3oool00`00o`00oooo0?ooo`0:0?ooo`03003o
003oool0oooo01L0oooo00<00?l00?ooo`3oool0:03oool2003o03X0oooo00<00?l00?ooo`3oool0
4@3oool00`00o`00oooo0?ooo`0<0?ooo`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool0
1`3oool00`00o`00oooo0?ooo`0a0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo01/0oooo00<0ool00?ooo`3oool0YP3oool01000o`00oooo0?ooo`3oool2003o00040?oo
o`00o`000?l0003o02<0oooo0`00o`1;0?ooo`050?oo003oool0oooo0?ooo`3oo`00B`3oool00`00
o`00oooo0?ooo`0F0?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool06@3oool00`00
o`00oooo0?ooo`0[0?ooo`03003o003oool0oooo00X0oooo00<00?l00?ooo`3oool05P3oool00`00
o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool0>`3oool00`00
o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0340oooo00<00?l00?ooo`3oool01`3oool00`00
o`00oooo0?ooo`0L0?ooo`03003o003oool0oooo0180oooo00<000000?ooo`3oool0A03oool005`0
oooo00<000000?ooo`3oool06`3oool00`3oo`00oooo0?ooo`2W0?ooo`<00?l0M`3oool01@3oo`00
oooo0?ooo`3oool0ool004/0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0?0?oo
o`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool02`3oool00`00o`00oooo0?ooo`0M0?oo
o`03003o003oool0oooo00/0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0@0?oo
o`03003o003oool0oooo01@0oooo00<00?l00?ooo`3oool0?@3oool00`00o`00oooo0?ooo`0O0?oo
o`03003o003oool0oooo02X0oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?ooo`0B0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01`0oooo00<0ool00?ooo`3o
ool0o`3ooolQ0?ooo`050?oo003oool0oooo0?ooo`3oo`00C03oool00`00o`00oooo0?ooo`0E0?oo
o`03003o003oool0oooo00l0oooo00<00?l00?ooo`3oool09@3oool00`00o`00oooo0?ooo`0M0?oo
o`03003o003oool0oooo02<0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0B0?oo
o`03003o003oool0oooo03l0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0?0?oo
o`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0B0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01`0oooo00<0ool00?ooo`3o
ool0o`3ooolQ0?ooo`050?oo003oool0oooo0?ooo`3oo`00M`3oool00`00o`00oooo0?ooo`0E0?oo
o`03003o003oool0oooo00`0oooo00<00?l00?ooo`3oool07@3oool00`00o`00oooo0?ooo`0;0?oo
o`03003o003oool0oooo01D0oooo00<00?l00?ooo`3oool04P3oool00`00o`00oooo0?ooo`0A0?oo
o`03003o003oool0oooo0440oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0@0?oo
o`03003o003oool0oooo01l0oooo00<00?l00?ooo`3oool0203oool00`00o`00oooo0?ooo`0K0?oo
o`03003o003oool0oooo01<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0703oool00`3oo`00oooo0?ooo`3o0?ooob40oooo00<0ool00?ooo`3oool00P3oool00`3oo`00
oooo0?ooo`1:0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool04@3oool00`00o`00
oooo0?ooo`0D0?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3oool06`3oool00`00o`00
oooo0?ooo`0<0?ooo`03003o003oool0oooo02/0oooo00<00?l00?ooo`3oool03`3oool00`00o`00
oooo0?ooo`130?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool04@3oool00`00o`00
oooo0?ooo`0M0?ooo`03003o003oool0oooo00T0oooo00<00?l00?ooo`3oool06`3oool00`00o`00
oooo0?ooo`0C0?ooo`030000003oool0oooo04@0oooo001L0?ooo`D000006P3oool00`3oo`00oooo
0?ooo`3o0?ooob40oooo00<0ool00?ooo`3oool00P3oool00`3oo`00oooo0?ooo`1;0?ooo`03003o
003oool0oooo0140oooo00<00?l00?ooo`3oool0:03oool00`00o`00oooo0?ooo`0?0?ooo`03003o
003oool0oooo01/0oooo00<00?l00?ooo`3oool0303oool00`00o`00oooo0?ooo`0E0?ooo`03003o
003oool0oooo02@0oooo00<00?l00?ooo`3oool0A@3oool00`00o`00oooo0?ooo`070?ooo`03003o
003oool0oooo0180oooo00<00?l00?ooo`3oool07@3oool00`00o`00oooo0?ooo`090?ooo`03003o
003oool0oooo01/0oooo00<00?l00?ooo`3oool03`3oool5000004H0oooo001L0?ooo`030000003o
ool0oooo01d0oooo00<0ool00?ooo`3oool0o`3ooolO0?ooo`030?oo003oool0oooo00<0oooo00<0
ool00?ooo`3oool0C03oool2003o00l0oooo0P00o`0F0?ooo`03003o003oool0oooo0180oooo00<0
0?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0[0?ooo`03003o003oool0oooo01<0oooo00<0
0?l00?ooo`3oool05@3oool3003o00X0oooo0`00o`190?ooo`03003o003oool0oooo0080oooo0`00
o`000`3oool00?l00?ooo`0C0?ooo`03003o003oool0oooo01d0oooo00<00?l00?ooo`3oool02P3o
ool00`00o`00oooo0?ooo`0`0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo01d0oooo00<0ool00?ooo`3oool0o`3ooolO0?ooo`030?oo003oool0oooo00<0oooo00<0ool0
0?ooo`3oool0CP3oool00`00o`00oooo0?ooo`0;0?ooo`03003o003oool0oooo01H0oooo00<00?l0
0?ooo`3oool04@3oool00`00o`00oooo0?ooo`0]0?ooo`03003o003oool0oooo00h0oooo00<00?l0
0?ooo`3oool04P3oool00`00o`00oooo0?ooo`0I0?ooo`<00?l0103oool3003o04h0oooo0`00o`16
0?ooo`03003o003oool0oooo01T0oooo00<00?l00?ooo`3oool0503oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`0M0?ooo`030?oo003oool0oooo04@0oooo00<0ool00?oo
o`3oool0e`3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo0500oooo00<00?l00?oo
o`3oool08`3oool00`00o`00oooo0?ooo`0T0?ooo`03003o003oool0oooo01P0oooo00<00?l00?oo
o`3oool0403oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo01h0oooo0`00o`1^0?oo
o`03003o003oool0oooo01`0oooo00<00?l00?ooo`3oool02P3oool00`00o`00oooo0?ooo`0I0?oo
o`03003o003oool0oooo01@0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool07@3oool00`3oo`00oooo0?ooo`140?ooo`030?oo003oool0oooo0=L0oooo00<0ool00?ooo`3o
ool00`3oool00`3oo`00oooo0?ooo`1A0?ooo`03003o003oool0oooo00L0oooo00<00?l00?ooo`3o
ool0603oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3o
ool05`3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo00h0oooo00<00?l00?ooo`3o
ool0T03oool00`00o`00oooo0?ooo`0L0?ooo`03003o003oool0oooo02H0oooo00<00?l00?ooo`3o
ool0503oool00`000000oooo0?ooo`140?ooo`00G03oool5000001/0oooo00<0ool00?ooo`3oool0
A03oool00`3oo`00oooo0?ooo`3G0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0
DP3oool3003o00030?ooo`00o`000?l000<00?l0703oool00`00o`00oooo0?ooo`0=0?ooo`03003o
003oool0oooo01@0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0C0?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool0T@3oool00`00o`00oooo0?ooo`0K0?ooo`03003o
003oool0oooo00`0oooo00<00?l00?ooo`3oool05`3oool00`00o`00oooo0?ooo`0A0?ooo`D00000
AP3oool005`0oooo00<000000?ooo`3oool07P3oool00`3oo`00oooo0?ooo`130?ooo`030?oo003o
ool0oooo0=L0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?ooo`1i0?ooo`03003o003o
ool0oooo00/0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0E0?ooo`03003o003o
ool0oooo01D0oooo0P00o`0;0?ooo`03003o003oool0oooo0980oooo00<00?l00?ooo`3oool06P3o
ool00`00o`00oooo0?ooo`0=0?ooo`03003o003oool0oooo01L0oooo00<00?l00?ooo`3oool05@3o
ool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0N0?ooo`030?oo003oool0
oooo0480oooo00<0ool00?ooo`3oo`00f03oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0
oooo07X0oooo00<00?l00?ooo`3oool02@3oool00`00o`00oooo0?ooo`0F0?ooo`03003o003oool0
oooo02h0oooo00<00?l00?ooo`3oool01`3oool00`00o`00oooo0?ooo`2D0?ooo`03003o003oool0
oooo01T0oooo00<00?l00?ooo`3oool03@3oool00`00o`00oooo0?ooo`0G0?ooo`03003o003oool0
oooo01D0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool07P3oool00`3o
o`00oooo0?ooo`120?ooo`030?oo003oool0ool00=P0oooo00<0ool00?ooo`3oool00`3oool00`3o
o`00oooo0?ooo`1k0?ooo`800?l01P3oool00`00o`00oooo003o000J0?ooo`03003o003oool0oooo
0180oooo00<00?l00?ooo`3oool0803oool2003o0;80oooo00<00?l00?ooo`3oool03`3oool00`00
o`00oooo0?ooo`0^0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo01h0
oooo00<0ool00?ooo`3oool0@P3oool00`3oo`00oooo0?oo003H0?ooo`030?oo003oool0oooo00<0
oooo00<0ool00?ooo`3oool0O@3oool01000o`00oooo0?ooo`3oool2003o01h0oooo00<00?l00?oo
o`3oool04@3oool00`00o`00oooo0?ooo`0I0?ooo`H00?l0W03oool00`00o`00oooo0?ooo`0E0?oo
o`03003o003oool0oooo0100oooo00<00?l00?ooo`3oool05@3oool00`00o`00oooo0?ooo`0F0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`D00000703oool00`3oo`00oooo0?ooo`120?ooo`03
0?oo003oool0ool00=P0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?ooo`1o0?ooo`80
0?l08@3oool00`00o`00oooo0?ooo`0?0?ooo`03003o003oool0oooo0;d0oooo00<00?l00?ooo`3o
ool0503oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0oooo01D0oooo00<00?l00?ooo`3o
ool04P3oool5000004H0oooo001L0?ooo`030000003oool0oooo01l0oooo00<0ool00?ooo`3oool0
@@3oool00`3oo`00oooo0?oo003H0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0
X`3oool00`00o`00oooo0?ooo`0>0?ooo`03003o003oool0oooo0;d0oooo00<00?l00?ooo`3oool0
4`3oool00`00o`00oooo0?ooo`0B0?ooo`03003o003oool0oooo01<0oooo00<00?l00?ooo`3oool0
5`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0O0?ooo`030?oo003o
ool0oooo0440oooo00<0ool00?ooo`3oo`00f03oool00`3oo`00oooo0?ooo`040?ooo`030?oo003o
ool0oooo0:<0oooo00<00?l00?ooo`3oool02`3oool2003o0<40oooo00<00?l00?ooo`3oool04P3o
ool00`00o`00oooo0?ooo`0C0?ooo`03003o003oool0oooo0180oooo00<00?l00?ooo`3oool05`3o
ool00`000000oooo0?ooo`140?ooo`00G03oool5000001d0oooo00<0ool00?ooo`3oool0@@3oool0
0`3oo`00oooo0?oo003H0?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool0Y03oool3
003o00P0oooo00<00?l00?ooo`3oool0``3oool00`00o`00oooo0?ooo`0@0?ooo`03003o003oool0
oooo01@0oooo00<00?l00?ooo`3oool04@3oool00`00o`00oooo0?ooo`0D0?ooo`D00000AP3oool0
05`0oooo00<000000?ooo`3oool07`3oool00`3oo`00oooo0?ooo`100?ooo`040?oo003oool0oooo
0?oo0=P0oooo00<0ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`2W0?ooo`<00?l00`3oool2
003o0<L0oooo00<00?l00?ooo`3oool03`3oool00`00o`00oooo0?ooo`0E0?ooo`03003o003oool0
oooo0100oooo00<00?l00?ooo`3oool0603oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`0O0?ooo`030?oo003oool0oooo0400oooo00D0ool00?ooo`3oool0oooo0?oo003F
0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool0Z`3oool2003o0<T0oooo00<00?l0
0?ooo`3oool03P3oool00`00o`00oooo0?ooo`0G0?ooo`03003o003oool0oooo00h0oooo00<00?l0
0?ooo`3oool06@3oool00`000000oooo0?ooo`140?ooo`00G03oool5000001h0oooo00<0ool00?oo
o`3oool0?`3oool01@3oo`00oooo0?ooo`3oool0ool00=H0oooo00<0ool00?ooo`3oool01@3oool0
0`3oo`00oooo0?ooo`3o0?ooogP0oooo0P00o`0<0?ooo`800?l0:P3oool00`00o`00oooo0?ooo`0F
0?ooo`D00000AP3oool005`0oooo00<000000?ooo`3oool0803oool00`3oo`00oooo0?ooo`0o0?oo
o`050?oo003oool0oooo0?ooo`3oo`00eP3oool00`3oo`00oooo0?ooo`050?ooo`030?oo003oool0
oooo0?l0ooooNP3oool2003o00L0oooo0`00o`0M0?ooo`03003o003oool0oooo00X0oooo0P00o`0M
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0200oooo00<0ool00?oo
o`3oool0?`3oool01@3oo`00oooo0?ooo`3oool0ool00=H0oooo00<0ool00?ooo`3oool01@3oool0
0`3oo`00oooo0?ooo`3o0?ooogd0oooo0P00o`020?ooo`03003o003oool0oooo0200oooo00<00?l0
0?ooo`3oool0203oool00`00o`00oooo0?ooo`0M0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`D000007P3oool00`3oo`00oooo0?ooo`0o0?ooo`050?oo003oool0oooo0?ooo`3oo`00eP3oool0
0`3oo`00oooo0?ooo`050?ooo`030?oo003oool0oooo0?l0ooooO`3oool2003o02@0oooo00<00?l0
0?ooo`3oool08`3oool5000004H0oooo001L0?ooo`030000003oool0oooo0240oooo00<0ool00?oo
o`3oool0?P3oool01@3oo`00oooo0?ooo`3oool0ool00=H0oooo00<0ool00?ooo`3oool01@3oool0
0`3oo`00oooo0?ooo`3o0?ooojH0oooo0P00o`000`3oool00?l0003o0004003o0200oooo00<00000
0?ooo`3oool0A03oool004d0oooo1000000;0?ooo`D000007`3oool00`3oo`00oooo0?ooo`0m0?oo
o`030?oo003oool0oooo0080oooo00<0ool00?ooo`3oool0e03oool00`3oo`00oooo0?ooo`050?oo
o`030?oo003oool0oooo0?l0oooob`3oool500000100oooo1000000b0?ooo`00C@3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo0240oooo00<0ool00?ooo`3oool0?@3oool00`3oo`00
oooo0?ooo`020?ooo`030?oo003oool0oooo0=@0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00
oooo0?ooo`3o0?oooll0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0c0?ooo`00
CP3oool00`000000oooo0?ooo`0;0?ooo`T00000703oool00`3oo`00oooo0?ooo`0l0?ooo`030?oo
003oool0oooo00<0oooo00<0ool00?ooo`3oool0d`3oool00`3oo`00oooo0?ooo`050?ooo`030?oo
003oool0oooo0?l0ooooa`3oool900000140oooo00<000000?ooo`3oool0<P3oool004L0oooo1000
00040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool08P3oool00`3oo`00oooo0?oo
o`0l0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0d`3oool00`3oo`00oooo0?oo
o`050?ooo`030?oo003oool0oooo01l0oooo00<0ool00?ooo`3oool0o`3ooon]0?ooo`030000003o
ool0oooo00P0oooo100000040?ooo`030000003oool0oooo0340oooo001=0?ooo`040000003oool0
oooo000000/0oooo00<000000?ooo`3oool08P3oool00`3oo`00oooo0?ooo`0l0?ooo`030?oo003o
ool0oooo00<0oooo00<0ool00?ooo`3oool0d`3oool00`3oo`00oooo0?ooo`050?ooo`030?oo003o
ool0oooo01l0oooo00<0ool00?ooo`3oool0o`3ooon]0?ooo`030000003oool0oooo00h0oooo00@0
00000?ooo`3oool00000<P3oool004h0oooo0P00000<0?ooo`030000003oool0oooo02<0oooo00<0
ool00?ooo`3oool0>`3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo0=<0oooo00<0
ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0N0?ooo`030?oo003oool0oooo0?l0oooo[@3o
ool00`000000oooo0?ooo`0?0?ooo`800000<`3oool005`0oooo00<000000?ooo`3oool08`3oool0
0`3oo`00oooo0?ooo`0k0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0d`3oool0
0`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo01h0oooo00<0ool00?ooo`3oool0o`3ooon]
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02<0oooo00<0ool00?oo
o`3oool0>P3oool00`3oo`00oooo0?ooo`040?ooo`030?oo003oool0oooo0=<0oooo00<0ool00?oo
o`3oool01P3oool00`3oo`00oooo0?ooo`0N0?ooo`80ool0o`3ooon^0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo02@0oooo00<0ool00?ooo`3oool05`3oool00`3oo`00
oooo0?ooo`0O0?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool0dP3oool00`3oo`00
oooo0?ooo`070?ooo`030?oo003oool0oooo01d0oooo00<0ool00?ooo`3oo`00o`3ooon^0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02@0oooo00<0ool00?ooo`3oool0
5`3oool00`3oo`00oooo0?ooo`0O0?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool0
dP3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01d0oooo00<0ool00?ooo`3oo`00
o`3ooon^0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02D0oooo00<0
ool00?ooo`3oool05@3oool00`3oo`00oooo0?oo000P0?ooo`030?oo003oool0oooo00D0oooo00<0
ool00?ooo`3oool0d@3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01d0oooo00<0
ool00?ooo`3oo`00o`3ooon^0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo02D0oooo00<0ool00?ooo`3oool05@3oool00`3oo`00oooo0?oo000P0?ooo`030?oo003oool0
oooo00D0oooo00<0ool00?ooo`3oool0d@3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0
oooo01d0oooo00<0ool00?ooo`3oo`00o`3ooon^0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`030000003oool0oooo02D0oooo00<0ool00?ooo`3oool0503oool01@3oo`00oooo0?ooo`3oool0
ool001l0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`3A0?ooo`030?oo003oool0
oooo00L0oooo00<0ool00?ooo`3oool07@3oool00`3oo`00oooo0?oo003o0?ooojh0oooo00<00000
0?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool09P3oool00`3oo`00oooo0?ooo`0C0?oo
o`050?oo003oool0oooo0?ooo`3oo`007`3oool00`3oo`00oooo0?ooo`050?ooo`030?oo003oool0
oooo0=40oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0
ool00?l0oooo[P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`0V0?oo
o`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool00P3oool00`3oo`00oooo0?ooo`0K0?oo
o`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0d@3oool00`3oo`00oooo0?ooo`070?oo
o`030?oo003oool0oooo01d0oooo00<0ool00?ooo`3oo`00o`3ooon^0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`030000003oool0oooo02H0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00
oooo0?ooo`030?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00
oooo0?ooo`3A0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool07@3oool0103oo`00
oooo0?ooo`3oo`3o0?ooojd0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00000U0?ooo`03
0?oo003oool0oooo0140oooo00<0ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`0J0?ooo`03
0?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0C@3oool00`3oo`00oooo0?ooo`210?ooo`03
0?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool0703oool01@3oo`00oooo0?ooo`3oool0ool0
0?l0ooooZ@3oool5000004H0oooo001L0?ooo`030000003oool0oooo02L0oooo00<0ool00?ooo`3o
ool0403oool00`3oo`00oooo0?ooo`050?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3o
ool01`3oool00`3oo`00oooo0?ooo`1<0?ooo`030?oo003oool0oooo06l0oooo00<0ool00?ooo`3o
ool03`3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01`0oooo00D0ool00?ooo`3o
ool0oooo0?oo003o0?ooojd0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0:03oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3o
ool06@3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo04`0oooo00<0ool00?ooo`3o
ool0K`3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3o
ool06`3oool01@3oo`00oooo0?ooo`3oool0ool00?l0oooo[@3oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`0Y0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3o
ool01P3oool00`3oo`00oooo0?ooo`0I0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3o
ool0B`3oool00`3oo`00oooo0?oo001_0?ooo`030?oo003oool0ool00100oooo00<0ool00?ooo`3o
ool0203oool00`3oo`00oooo0?ooo`0K0?ooo`050?oo003oool0oooo0?ooo`3oo`00o`3ooon]0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02T0oooo00<0ool00?ooo`3o
ool03@3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3o
ool01`3oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0ool006l0oooo00<0ool00?ooo`3o
o`00403oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo01/0oooo00D0ool00?ooo`3o
ool0oooo0?oo003o0?ooojd0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3o
ool0:P3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3o
ool05`3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo04/0oooo00<0ool00?ooo`3o
o`00K`3oool00`3oo`00oooo0?oo000@0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3o
ool06`3oool01@3oo`00oooo0?ooo`3oool0ool00?l0oooo0P3oool00`3oo`00oooo0?ooo`2X0?oo
o`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02/0oooo00<0ool00?ooo`3o
ool02P3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3o
ool0203oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0ool006l0oooo00<0ool00?ooo`3o
o`00403oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo01/0oooo00D0ool00?ooo`3o
ool0oooo0?oo003o0?ooo`80oooo00<0ool00?ooo`3oool0Z03oool00`000000oooo0?ooo`140?oo
o`00G03oool00`000000oooo0?ooo`0/0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3o
ool02P3oool00`3oo`00oooo0?ooo`0F0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3o
ool0B`3oool00`3oo`00oooo0?oo001^0?ooo`050?oo003oool0oooo0?ooo`3oo`003P3oool00`3o
o`00oooo0?ooo`090?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool00P3oool00`3o
o`00oooo0?ooo`3n0?ooo`030?oo003oool0oooo0:P0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00000[0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00
oooo0?ooo`0E0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3oool0BP3oool0103oo`00
oooo0?ooo`3oo`1^0?ooo`050?oo003oool0oooo0?ooo`3oo`003P3oool00`3oo`00oooo0?ooo`09
0?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?ooo`3m
0?ooo`80ool0YP3oool5000004H0oooo001L0?ooo`030000003oool0oooo02d0oooo00<0ool00?oo
o`3oool01`3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo01D0oooo00<0ool00?oo
o`3oool02@3oool00`3oo`00oooo0?ooo`190?ooo`050?oo003oool0oooo0?ooo`3oo`00K@3oool0
1@3oo`00oooo0?ooo`3oool0ool000h0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?oo
o`0J0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0o@3oool00`3oo`00oooo0?oo
002Y0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo02h0oooo00<0ool0
0?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo01@0oooo00<0ool0
0?ooo`3oool02@3oool00`3oo`00oooo0?ooo`190?ooo`050?oo003oool0oooo0?ooo`3oo`00K03o
ool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo00/0oooo00<0ool00?ooo`3oool02@3o
ool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool0o@3o
ool00`3oo`00oooo0?oo002Y0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo02l0oooo103oo`030?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool0503oool0
0`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo04T0oooo00D0ool00?ooo`3oool0oooo0?oo
001/0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?oo
o`090?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?oo
o`3m0?ooo`030?oo003oool0ool00:T0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0<`3oool40?oo0140oooo00<0ool00?ooo`3oool04P3oool00`3oo`00oooo0?ooo`0:
0?ooo`030?oo003oool0oooo04T0oooo00D0ool00?ooo`3oool0oooo0?oo001/0?ooo`030?oo003o
ool0oooo00<0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003o
ool0oooo01X0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?ooo`3m0?ooo`030?oo003o
ool0ool00:T0oooo00<000000?ooo`3oool0A03oool005`0oooo1@0000160?ooo`030?oo003oool0
oooo0180oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`180?ooo`030?oo003oool0
oooo0080oooo00<0ool00?ooo`3oool0JP3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0
oooo00/0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0
oooo00<0oooo00<0ool00?ooo`3oool0o@3oool00`3oo`00oooo0?oo002U0?ooo`D00000AP3oool0
05`0oooo00<000000?ooo`3oool0B03oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo
00X0oooo00<0ool00?ooo`3oool0B03oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo
06P0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
00T0oooo00<0ool00?ooo`3oool06P3oool00`3oo`00oooo0?ooo`040?ooo`030?oo003oool0oooo
0=h0oooo00<0ool00?ooo`3oool06P3oool0103oo`00oooo0?ooo`3oo`2Y0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo04T0oooo00<0ool00?ooo`3oool04@3oool00`3o
o`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo04P0oooo00<0ool00?ooo`3oool00`3oool00`3o
o`00oooo0?ooo`1X0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool02P3oool00`3o
o`00oooo0?ooo`090?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool0103oool00`3o
o`00oooo0?ooo`3N0?ooo`030?oo003oool0oooo01X0oooo00D0ool00?ooo`3oool0oooo0?oo002X
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo04T0oooo00<0ool00?oo
o`3oool04@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo04P0oooo00<0ool00?oo
o`3oool00`3oool00`3oo`00oooo0?ooo`1X0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?oo
o`3oool02P3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?oo
o`3oool01@3oool00`3oo`00oooo0?ooo`3M0?ooo`030?oo003oool0ool001/0oooo00D0ool00?oo
o`3oool0oooo0?oo002X0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
04X0oooo00<0ool00?ooo`3oool0403oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo
04L0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo0?ooo`1X0?ooo`030?oo003oool0oooo
00H0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
01P0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`3M0?ooo`030?oo003oool0ool0
01/0oooo00D0ool00?ooo`3oool0oooo0?oo002X0?ooo`030000003oool0oooo04@0oooo001L0?oo
o`D00000B03oool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo00/0oooo00<0ool00?oo
o`3oool0AP3oool00`3oo`00oooo0?ooo`040?ooo`030?oo003oool0oooo06L0oooo00<0ool00?oo
o`3oool01`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo00X0oooo00<0ool00?oo
o`3oool0603oool00`3oo`00oooo0?ooo`050?ooo`030?oo003oool0oooo0=d0oooo00<0ool00?oo
o`3oo`006`3oool01@3oo`00oooo0?ooo`3oool0ool00:@0oooo1@0000160?ooo`00G03oool00`00
0000oooo0?ooo`1;0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`160?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool0I`3oool00`3o
o`00oooo0?ooo`070?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool02P3oool00`3o
o`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool0C@3oool00`3o
o`00oooo0?ooo`2=0?ooo`040?oo003oool0oooo0?oo01T0oooo00<0ool00?ooo`3oool00P3oool0
0`3oo`00oooo0?ooo`2V0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo
04/0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo
04H0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`1V0?ooo`030?oo003oool0oooo
00L0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
01P0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`1=0?ooo`030?oo003oool0oooo
08`0oooo00D0ool00?ooo`3oool0oooo0?oo000I0?ooo`030?oo003oool0oooo0080oooo00<0ool0
0?ooo`3oool0YP3oool00`000000oooo0?ooo`140?ooo`00G03oool5000004T0oooo00<0ool00?oo
o`3oool03P3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo04H0oooo00<0ool00?oo
o`3oool01@3oool00`3oo`00oooo0?ooo`1U0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?oo
o`3oool01`3oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?oo
o`3oool01@3oool00`3oo`00oooo0?ooo`1=0?ooo`030?oo003oool0oooo08`0oooo00D0ool00?oo
o`3oool0oooo0?oo000I0?ooo`030?oo003oool0oooo0080oooo00<0ool00?ooo`3oool0XP3oool5
000004H0oooo001L0?ooo`030000003oool0oooo04`0oooo00<0ool00?ooo`3oool03@3oool00`3o
o`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo04D0oooo00<0ool00?ooo`3oool01P3oool00`3o
o`00oooo0?ooo`1<0?ooo`80ool05`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo
00L0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo
00H0oooo00<0ool00?ooo`3oool0B`3oool00`3oo`00oooo0?oo001h0?ooo`030?oo003oool0oooo
0180oooo00<0ool00?ooo`3oool00P3oool00`3oo`00oooo0?ooo`0F0?ooo`030?oo003oool0oooo
00<0oooo00<0ool00?ooo`3oool0Y@3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`1<0?ooo`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool03@3oool00`3oo`00
oooo0?ooo`0L0?ooo`T0ool0803oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo04X0
oooo0P3oo`000`3oool0ool00?ooo`0F0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3o
ool01`3oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3o
ool01P3oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0ool007P0oooo00<0ool00?ooo`3o
ool04P3oool00`3oo`00oooo0?ooo`020?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3o
ool00`3oool00`3oo`00oooo0?ooo`2U0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000
003oool0oooo04d0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo
003oool0oooo01`0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`0N0?ooo`030?oo
003oool0oooo00H0oooo00<0ool00?ooo`3oool0A`3oool30?oo00@0oooo00<0ool00?ooo`3oool0
503oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0
2`3oool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0
B`3oool00`3oo`00oooo0?oo001g0?ooo`030?oo003oool0ool00180oooo00<0ool00?ooo`3oool0
0`3oool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool0
Y@3oool00`000000oooo0?ooo`140?ooo`00G03oool5000004/0oooo00<0ool00?ooo`3oool02@3o
ool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool01`3o
ool00`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool07P3o
ool00`3oo`00oooo0?ooo`0S0?ooo`80ool01`3oool00`3oo`00oooo0?ooo`0C0?ooo`030?oo003o
ool0oooo00/0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003o
ool0oooo01L0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003o
ool0ool00580oooo00<0ool00?ooo`3oool08P3oool00`3oo`00oooo0?oo000B0?ooo`030?oo003o
ool0oooo00@0oooo00<0ool00?ooo`3oool0503oool00`3oo`00oooo0?ooo`040?ooo`030?oo003o
ool0oooo0:40oooo1@0000160?ooo`00G03oool00`000000oooo0?ooo`1>0?ooo`80ool0203oool0
0`3oo`00oooo0?ooo`0A0?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool01`3oool0
0`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool07P3oool3
0?oo02<0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0
oooo00/0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0
oooo01L0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0
ool00580oooo00<0ool00?ooo`3oool08@3oool0103oo`00oooo0?ooo`3oo`0B0?ooo`030?oo003o
ool0oooo00@0oooo00<0ool00?ooo`3oool0503oool00`3oo`00oooo0?ooo`040?ooo`030?oo003o
ool0oooo0:D0oooo00<000000?ooo`3oool0A03oool005`0oooo1@00001>0?ooo`80ool01@3oool0
0`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo01T0oooo00<0ool00?ooo`3oool0203oool0
0`3oo`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3oool07@3oool0
1@3oo`00oooo0?ooo`3oool0ool00240oooo00<0ool00?ooo`3oool0203oool00`3oo`00oooo0?oo
o`0A0?ooo`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?oo
o`0;0?ooo`030?oo003oool0oooo01L0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?oo
o`1;0?ooo`030?oo003oool0ool00540oooo00<0ool00?ooo`3oo`008P3oool01@3oo`00oooo0?oo
o`3oool0ool00100oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo
003oool0oooo00@0oooo00<0ool00?ooo`3oool0X@3oool5000004H0oooo001L0?ooo`030000003o
ool0oooo0580oooo0P3oo`020?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool06@3o
ool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool0203o
ool00`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0oooo0080oooo0P3oo`0O0?ooo`030?oo003o
ool0oooo00P0oooo00<0ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003o
ool0oooo0080oooo103oo`0=0?ooo`030?oo003oool0oooo01L0oooo00<0ool00?ooo`3oool01`3o
ool00`3oo`00oooo0?ooo`1:0?ooo`050?oo003oool0oooo0?ooo`3oo`00D03oool00`3oo`00oooo
0?oo000R0?ooo`050?oo003oool0oooo0?ooo`3oo`00403oool00`3oo`00oooo0?ooo`050?ooo`03
0?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`2U0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`D00000DP3oool20?oo01L0oooo00<0ool00?ooo`3oool0
603oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool0
203oool00`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0oooo00@0oooo0P3oo`0M0?ooo`030?oo
003oool0oooo00T0oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?ooo`0>0?ooo`D0ool0
4@3oool00`3oo`00oooo0?ooo`0G0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3oool0
B@3oool01@3oo`00oooo0?ooo`3oool0ool00500oooo00<0ool00?ooo`3oo`008@3oool00`3oo`00
oooo0?ooo`020?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00
oooo0?ooo`0C0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool0X03oool5000004H0
oooo001=0?ooo`D000002P3oool00`000000oooo0?ooo`1]0?ooo`030?oo003oool0oooo01L0oooo
00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0K0?ooo`030?oo003oool0oooo00P0oooo
00<0ool00?ooo`3oool0703oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01T0oooo
00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo02D0oooo
00<0ool00?ooo`3oool05P3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo04T0oooo
00D0ool00?ooo`3oool0oooo0?oo001?0?ooo`040?oo003oool0oooo0?oo0240oooo00<0ool00?oo
o`3oool00`3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?oo
o`3oool04P3oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo0:@0oooo00<000000?oo
o`3oool03P3oool500000340oooo001?0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0KP3oool00`3oo`00oooo0?ooo`0F0?ooo`030?oo003oool0oooo00/0oooo00<0ool00?ooo`3o
ool06P3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3o
ool01`3oool00`3oo`00oooo0?ooo`0I0?ooo`030?oo003oool0oooo00/0oooo00<0ool00?ooo`3o
ool03@3oool00`3oo`00oooo0?ooo`0V0?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3o
ool0203oool00`3oo`00oooo0?ooo`190?ooo`050?oo003oool0oooo0?ooo`3oo`00C`3oool01@3o
o`00oooo0?ooo`3oool0ool001l0oooo00<0ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`0<
0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00oooo0?ooo`06
0?ooo`030?oo003oool0oooo0:@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0a
0?ooo`00C`3oool00`000000oooo0?ooo`0:0?ooo`T00000J03oool00`3oo`00oooo0?ooo`0E0?oo
o`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool06@3oool00`3oo`00oooo0?ooo`0:0?oo
o`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0G0?oo
o`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo0?ooo`0W0?oo
o`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0203oool00`3oo`00oooo0?ooo`190?oo
o`050?oo003oool0oooo0?ooo`3oo`00C`3oool01@3oo`00oooo0?ooo`3oool0ool001l0oooo00<0
ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo00P0oooo00<0
ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo09`0oooo2@00
000B0?ooo`030000003oool0oooo0340oooo00170?ooo`@00000103oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo06l0oooo00<0ool00?ooo`3oool0503oool00`3oo`00oooo0?ooo`0<
0?ooo`030?oo003oool0oooo01T0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0J
0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool05`3oool00`3oo`00oooo0?ooo`0=
0?ooo`030?oo003oool0oooo00/0oooo00<0ool00?ooo`3oool09`3oool00`3oo`00oooo0?ooo`0E
0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool0B03oool00`3oo`00oooo0?ooo`03
0?ooo`030?oo003oool0oooo04`0oooo00D0ool00?ooo`3oool0oooo0?oo000O0?ooo`030?oo003o
ool0oooo00D0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003o
ool0oooo0140oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`2T0?ooo`030000003o
ool0oooo00P0oooo100000040?ooo`030000003oool0oooo0340oooo001?0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0K`3oool00`3oo`00oooo0?ooo`0C0?ooo`030?oo003oool0
oooo00h0oooo00<0ool00?ooo`3oool0603oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0
oooo01X0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0F0?ooo`030?oo003oool0
oooo00d0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0X0?ooo`030?oo003oool0
oooo01D0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`180?ooo`030?oo003oool0
oooo00<0oooo00<0ool00?ooo`3oool0B`3oool00`3oo`00oooo0?ooo`020?ooo`030?oo003oool0
oooo01`0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0
oooo00T0oooo00<0ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0
oooo0:@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0a0?ooo`00CP3oool20000
00`0oooo00<000000?ooo`3oool0L03oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo
00h0oooo00<0ool00?ooo`3oool0603oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
01T0oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo
00h0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0Y0?ooo`030?oo003oool0oooo
01D0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`180?ooo`030?oo003oool0oooo
00<0oooo00<0ool00?ooo`3oool0B`3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo
01/0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo
00X0oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo
0:<0oooo00<000000?ooo`3oool03`3oool2000003<0oooo001L0?ooo`030000003oool0oooo0740
oooo00<0ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo003oool0oooo01P0
oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00`0
oooo00<0ool00?ooo`3oool0503oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo00P0
oooo00<0ool00?ooo`3oool0:@3oool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo00T0
oooo00<0ool00?ooo`3oool07@3oool00`3oo`00oooo0?ooo`0X0?ooo`030?oo003oool0oooo00<0
oooo00<0ool00?ooo`3oool0B`3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo01/0
oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo00X0
oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo0:<0
oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0L@3oool00`3oo`00oooo
0?ooo`0@0?ooo`030?oo003oool0oooo0100oooo00<0ool00?ooo`3oool05P3oool00`3oo`00oooo
0?ooo`0<0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo
0?ooo`0D0?ooo`030?oo003oool0oooo00l0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo
0?ooo`0[0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo
0?ooo`0L0?ooo`80ool0:@3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo04X0oooo
00<0ool00?ooo`3oool0103oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0oooo00P0oooo
00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo00l0oooo
00<0ool00?ooo`3oool0203oool00`3oo`00oooo0?ooo`2S0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0780oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?oo
o`0@0?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo0?oo
o`0G0?ooo`030?oo003oool0oooo00d0oooo00<0ool00?ooo`3oool04`3oool00`3oo`00oooo0?oo
o`0A0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0:`3oool00`3oo`00oooo0?oo
o`0D0?ooo`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool06`3oool00`3oo`00oooo0?oo
000X0?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool0B@3oool00`3oo`00oooo0?oo
o`040?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?oo
o`070?ooo`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?oo
o`080?ooo`030?oo003oool0oooo0:<0oooo00<000000?ooo`3oool0A03oool005`0oooo00<00000
0?ooo`3oool0LP3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo003oool0oooo0140oooo00<0ool0
0?ooo`3oool05P3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo01L0oooo00<0ool0
0?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo0140oooo2@3oo`0_
0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0K
0?ooo`040?oo003oool0oooo0?oo02L0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?oo
o`190?ooo`030?oo003oool0oooo00D0oooo00<0ool00?ooo`3oool0603oool00`3oo`00oooo0?oo
o`0:0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo0?oo
o`0>0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3oool0B`3oool00`3oo`00oooo0?oo
o`1E0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo07<0oooo0P3oo`0=
0?ooo`80ool0503oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003oool0oooo00d0oooo00<0ool0
0?ooo`3oool05`3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo003oool0oooo0140oooo00<0ool0
0?ooo`3oool0BP3oool00`3oo`00oooo0?ooo`0C0?ooo`030?oo003oool0oooo00X0oooo00<0ool0
0?ooo`3oool06`3oool01@3oo`00oooo0?ooo`3oool0ool002H0oooo00<0ool00?ooo`3oool01@3o
ool00`3oo`00oooo0?ooo`0O0?ooo`030?oo003oool0oooo02H0oooo00<0ool00?ooo`3oool01P3o
ool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool01`3o
ool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool02@3o
ool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0oooo05D0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0M@3oool20?oo00T0oooo0P3oo`0F0?ooo`030?oo003oool0
oooo01@0oooo00<0ool00?ooo`3oool03@3oool00`3oo`00oooo0?ooo`0F0?ooo`030?oo003oool0
oooo0100oooo00<0ool00?ooo`3oool0403oool00`3oo`00oooo0?ooo`1;0?ooo`030?oo003oool0
oooo0140oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0
oooo0080oooo00<0ool00?ooo`3oool0903oool00`3oo`00oooo0?ooo`050?ooo`030?oo003oool0
oooo01l0oooo0P3oo`0W0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool0603oool0
0`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool03@3oool0
0`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool0BP3oool2
0?oo05L0oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0M`3oool30?oo
00<0oooo0`3oo`0H0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool03`3oool00`3o
o`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo0100oooo00<0ool00?ooo`3oool0403oool00`3o
o`00oooo0?ooo`1;0?ooo`030?oo003oool0oooo0140oooo00<0ool00?ooo`3oool02`3oool00`3o
o`00oooo0?ooo`0J0?ooo`030?oo003oool0oooo00<0oooo00<0ool00?ooo`3oool08`3oool00`3o
o`00oooo0?ooo`050?ooo`030?oo003oool0oooo01h0oooo00<0ool00?ooo`3oo`009`3oool00`3o
o`00oooo0?ooo`070?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`050?ooo`030?oo003oool0oooo00l0oooo00<0ool00?ooo`3oool02`3oool00`3o
o`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo01d0oooo00<0ool00?ooo`3oool0:@3oool00`3o
o`00oooo0?oo001F0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo07X0
oooo0`3oo`0L0?ooo`030?oo003oool0oooo0140oooo00<0ool00?ooo`3oool0403oool00`3oo`00
oooo0?ooo`0D0?ooo`030?oo003oool0oooo0180oooo00<0ool00?ooo`3oool03P3oool00`3oo`00
oooo0?ooo`1=0?ooo`030?oo003oool0oooo0100oooo00<0ool00?ooo`3oool02`3oool00`3oo`00
oooo0?ooo`0J0?ooo`030?oo003oool0oooo00@0oooo00<0ool00?ooo`3oool08P3oool00`3oo`00
oooo0?ooo`050?ooo`030?oo003oool0oooo01h0oooo00@0ool00?ooo`3oool0ool09@3oool00`3o
o`00oooo0?ooo`080?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`040?ooo`80ool04@3oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo
00X0oooo00<0ool00?ooo`3oool07@3oool20?oo02X0oooo00<0ool00?ooo`3oo`00EP3oool00`00
0000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`2I0?ooo`030?oo003oool0oooo0140
oooo00<0ool00?ooo`3oool0403oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003oool0oooo0180
oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`1>0?ooo`030?oo003oool0oooo00l0
oooo00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0oooo00@0
oooo00<0ool00?ooo`3oool08@3oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01d0
oooo00D0ool00?ooo`3oool0oooo0?oo000T0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?oo
o`3oool05@3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo003oool0ool000<0ool0503oool00`3o
o`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool0703oool00`3o
o`00oooo0?oo000Z0?ooo`030?oo003oool0ool005H0oooo00<000000?ooo`3oool0A03oool005`0
oooo1@00002H0?ooo`030?oo003oool0oooo00l0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00
oooo0?ooo`0C0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool02`3oool20?oo0540
oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo01P0
oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0P0?ooo`030?oo003oool0oooo00L0
oooo00<0ool00?ooo`3oool07@3oool01@3oo`00oooo0?ooo`3oool0ool002@0oooo00<0ool00?oo
o`3oool0203oool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo00h0oooo0P3oo`0H0?oo
o`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0L0?oo
o`040?oo003oool0oooo0?oo02P0oooo00@0ool00?ooo`3oool0ool0DP3oool5000004H0oooo001L
0?ooo`030000003oool0oooo09/0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0C
0?ooo`030?oo003oool0oooo0140oooo00<0ool00?ooo`3oool0503oool20?oo00/0oooo00<0ool0
0?ooo`3oool0DP3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo00d0oooo00<0ool0
0?ooo`3oool0603oool00`3oo`00oooo0?ooo`070?ooo`030?oo003oool0oooo01l0oooo00<0ool0
0?ooo`3oool01`3oool00`3oo`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo00<0oooo00<0ool0
0?ooo`3oool08@3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo01<0oooo00<0ool0
0?ooo`3oool0:P3oool00`3oo`00oooo0?ooo`080?ooo`030?oo003oool0oooo00/0oooo00<0ool0
0?ooo`3oool0703oool0103oo`00oooo0?ooo`3oo`0X0?ooo`050?oo003oool0oooo0?ooo`3oo`00
8`3oool00`3oo`00oooo0?ooo`0_0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003o
ool0oooo09`0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003o
ool0oooo0140oooo00<0ool00?ooo`3oool05P3oool20?oo00L0oooo0P3oo`1E0?ooo`030?oo003o
ool0oooo00/0oooo0P3oo`0@0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3oool01`3o
ool00`3oo`00oooo0?ooo`0O0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool0703o
ool00`3oo`00oooo0?ooo`040?ooo`030?oo003oool0oooo01l0oooo00<0ool00?ooo`3oool02P3o
ool00`3oo`00oooo0?ooo`0C0?ooo`030?oo003oool0oooo02/0oooo00<0ool00?ooo`3oool01`3o
ool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool00P3o
ool00`3oo`00oooo0?ooo`0U0?ooo`050?oo003oool0oooo0?ooo`3oo`008`3oool00`3oo`00oooo
0?ooo`0_0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo09d0oooo0P3o
o`0;0?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?oo
o`0I0?ooo`<0ool00P3oool20?oo05P0oooo0P3oo`0:0?ooo`030?oo003oool0oooo0100oooo00<0
ool00?ooo`3oool05`3oool00`3oo`00oooo0?ooo`090?ooo`030?oo003oool0oooo01h0oooo00<0
ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo00@0oooo00<0
ool00?ooo`3oool07`3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo0180oooo00<0
ool00?ooo`3oool0;03oool00`3oo`00oooo0?ooo`060?ooo`80ool03P3oool00`3oo`00oooo0?oo
o`0J0?ooo`030?oo003oool0oooo0080oooo00<0ool00?ooo`3oool0903oool00`3oo`00oooo0?oo
o`020?ooo`030?oo003oool0oooo0200oooo00<0ool00?ooo`3oo`00<03oool00`000000oooo0?oo
o`140?ooo`00G03oool00`000000oooo0?ooo`2O0?ooo`030?oo003oool0oooo00P0oooo00<0ool0
0?ooo`3oool05`3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo01d0oooo0P3oo`1L
0?ooo`80ool01`3oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo01H0oooo00<0ool0
0?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0M0?ooo`030?oo003oool0oooo00T0oooo00<0ool0
0?ooo`3oool06P3oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo01h0oooo00<0ool0
0?ooo`3oool02P3oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo003oool0oooo02d0oooo00<0ool0
0?ooo`3oool00`3oool20?oo0100oooo00<0ool00?ooo`3oool06@3oool00`3oo`00oooo0?ooo`04
0?ooo`030?oo003oool0oooo02<0oooo00<0ool00?ooo`3oool00P3oool00`3oo`00oooo0?ooo`0P
0?ooo`030?oo003oool0ool00300oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?oo
o`3oool0X03oool00`3oo`00oooo0?ooo`030?ooo`@0ool06`3oool00`3oo`00oooo0?ooo`0;0?oo
o`030?oo003oool0oooo07h0oooo0`3oo`020?ooo`80ool05@3oool00`3oo`00oooo0?ooo`0F0?oo
o`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool0703oool00`3oo`00oooo0?ooo`090?oo
o`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool01`3oool00`3oo`00oooo0?ooo`0L0?oo
o`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool0403oool00`3oo`00oooo0?ooo`0^0?oo
o`030?oo003oool0oooo00<0ool04P3oool00`3oo`00oooo0?ooo`0I0?ooo`030?oo003oool0oooo
00@0oooo00<0ool00?ooo`3oool08`3oool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo
01l0oooo00@0ool00?ooo`3oool0ool0;`3oool00`000000oooo0?ooo`140?ooo`00G03oool00`00
0000oooo0?ooo`2Q0?ooo`D0ool07`3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
0880oooo0P3oo`0H0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool02`3oool00`3o
o`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool06P3oool00`3o
o`00oooo0?ooo`070?ooo`030?oo003oool0oooo01`0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo02l0oooo0P3oo`0E0?ooo`030?oo003oool0oooo
01T0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`0Q0?ooo`030?oo003oool0oooo
00@0oooo00<0ool00?ooo`3oool07`3oool0103oo`00oooo0?ooo`3oo`0_0?ooo`030000003oool0
oooo04@0oooo001L0?ooo`030000003oool0oooo0<H0oooo00<0ool00?ooo`3oool0203oool00`3o
o`00oooo0?ooo`2M0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`0K0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool06P3oool00`3o
o`00oooo0?ooo`080?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool0303oool00`3o
o`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo04P0oooo00<0ool00?ooo`3oool05`3oool00`3o
o`00oooo0?ooo`060?ooo`030?oo003oool0oooo0240oooo00<0ool00?ooo`3oool0103oool00`3o
o`00oooo0?ooo`0N0?ooo`030?oo003oool0oooo0080oooo00<0ool00?ooo`3oool0;03oool00`00
0000oooo0?ooo`140?ooo`00G03oool500000<D0oooo103oo`050?ooo`030?oo003oool0oooo09l0
oooo00<0ool00?ooo`3oool04`3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo01/0
oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0I0?ooo`030?oo003oool0oooo00X0
oooo00<0ool00?ooo`3oool06@3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003oool0oooo00l0
oooo00<0ool00?ooo`3oool0B03oool00`3oo`00oooo0?ooo`0G0?ooo`030?oo003oool0oooo00L0
oooo00<0ool00?ooo`3oool0803oool00`3oo`00oooo0?ooo`040?ooo`030?oo003oool0oooo01h0
oooo00<0ool00?ooo`3oool00P3oool00`3oo`00oooo0?ooo`0X0?ooo`D00000AP3oool005`0oooo
00<000000?ooo`3oool0b`3oool50?oo0:<0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00oooo
0?ooo`0=0?ooo`030?oo003oool0oooo01X0oooo00<0ool00?ooo`3oool02P3oool00`3oo`00oooo
0?ooo`0H0?ooo`030?oo003oool0oooo00X0oooo00<0ool00?ooo`3oool06@3oool00`3oo`00oooo
0?ooo`0>0?ooo`030?oo003oool0oooo00d0oooo00<0ool00?ooo`3oool0BP3oool00`3oo`00oooo
0?ooo`0F0?ooo`030?oo003oool0oooo00L0oooo00<0ool00?ooo`3oool0803oool00`3oo`00oooo
0?ooo`050?ooo`030?oo003oool0oooo01d0oooo00<0ool00?ooo`3oool00`3oool00`3oo`00oooo
0?ooo`0[0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooM03o
ool00`3oo`00oooo0?ooo`0A0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool06@3o
ool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3oool02`3o
ool00`3oo`00oooo0?ooo`0G0?ooo`030?oo003oool0oooo00l0oooo00<0ool00?ooo`3oool03@3o
ool00`3oo`00oooo0?ooo`1:0?ooo`030?oo003oool0oooo01D0oooo00<0ool00?ooo`3oool02@3o
ool00`3oo`00oooo0?ooo`0N0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool07@3o
ool00`3oo`00oooo0?ooo`030?ooo`030?oo003oool0oooo02/0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0o`3ooome0?ooo`030?oo003oool0oooo0100oooo00<0ool0
0?ooo`3oool03`3oool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00/0oooo00<0ool0
0?ooo`3oool0603oool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01L0oooo00<0ool0
0?ooo`3oool0403oool20?oo00`0oooo00<0ool00?ooo`3oool0C03oool00`3oo`00oooo0?ooo`0D
0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3oool07P3oool00`3oo`00oooo0?ooo`06
0?ooo`030?oo003oool0oooo01`0oooo00<0ool00?ooo`3oool01@3oool00`3oo`00oooo0?ooo`0Z
0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooMP3oool00`3o
o`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo00l0oooo00<0ool00?ooo`3oool0603oool00`3o
o`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01L0oooo00<0ool00?ooo`3oool03@3oool00`3o
o`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool0203oool20?oo
04h0oooo00<0ool00?ooo`3oool0503oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
01d0oooo00<0ool00?ooo`3oool01P3oool00`3oo`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo
00D0oooo00<0ool00?ooo`3oool0:P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000
oooo0?ooo`3o0?ooogH0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0A0?ooo`03
0?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo0?ooo`0G0?ooo`03
0?oo003oool0oooo00d0oooo00<0ool00?ooo`3oool05@3oool00`3oo`00oooo0?ooo`0D0?ooo`03
0?oo003oool0oooo00D0oooo0P3oo`1A0?ooo`030?oo003oool0oooo0180oooo00<0ool00?ooo`3o
ool02`3oool00`3oo`00oooo0?ooo`0L0?ooo`030?oo003oool0oooo00P0oooo00<0ool00?ooo`3o
ool06`3oool00`3oo`00oooo0?ooo`060?ooo`030?oo003oool0oooo02T0oooo00<000000?ooo`3o
ool0A03oool005`0oooo1@00003o0?ooogD0oooo00<0ool00?ooo`3oool03@3oool00`3oo`00oooo
0?ooo`0A0?ooo`030?oo003oool0oooo01H0oooo00<0ool00?ooo`3oool0303oool00`3oo`00oooo
0?ooo`0G0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool04`3oool00`3oo`00oooo
0?ooo`0F0?ooo`80ool00P3oool30?oo05@0oooo00<0ool00?ooo`3oool04@3oool00`3oo`00oooo
0?ooo`0<0?ooo`030?oo003oool0oooo01/0oooo00<0ool00?ooo`3oool0203oool00`3oo`00oooo
0?ooo`0K0?ooo`030?oo003oool0oooo00H0oooo00<0ool00?ooo`3oool09@3oool5000004H0oooo
001L0?ooo`030000003oool0oooo0?l0ooooM`3oool00`3oo`00oooo0?ooo`0;0?ooo`80ool05@3o
ool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool05@3o
ool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool0603o
ool20?oo05L0oooo00<0ool00?ooo`3oool0403oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003o
ool0oooo01/0oooo00<0ool00?ooo`3oool0203oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003o
ool0oooo00P0oooo00<0ool00?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`00G03oool0
0`000000oooo0?ooo`3o0?ooogP0oooo0P3oo`0:0?ooo`030?oo003oool0oooo01D0oooo00<0ool0
0?ooo`3oool04`3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo01D0oooo00<0ool0
0?ooo`3oool0403oool00`3oo`00oooo0?ooo`0A0?ooo`030?oo003oool0oooo07<0oooo00<0ool0
0?ooo`3oool03`3oool00`3oo`00oooo0?ooo`0>0?ooo`030?oo003oool0oooo01X0oooo00<0ool0
0?ooo`3oool0203oool00`3oo`00oooo0?ooo`0J0?ooo`030?oo003oool0oooo00P0oooo00<0ool0
0?ooo`3oool0:03oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oo
ogX0oooo0P3oo`060?ooo`80ool06@3oool00`3oo`00oooo0?ooo`0A0?ooo`030?oo003oool0oooo
0100oooo00<0ool00?ooo`3oool05@3oool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo
0140oooo00<0ool00?ooo`3oool0L`3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo
00h0oooo00<0ool00?ooo`3oool06@3oool00`3oo`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo
01T0oooo00<0ool00?ooo`3oool02@3oool00`3oo`00oooo0?ooo`0W0?ooo`030000003oool0oooo
04@0oooo001L0?ooo`D00000o`3ooomj0?ooo`80ool00P3oool20?oo01/0oooo00<0ool00?ooo`3o
ool04@3oool00`3oo`00oooo0?ooo`0A0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3o
ool04@3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo07D0oooo00<0ool00?ooo`3o
ool03@3oool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3o
ool02P3oool00`3oo`00oooo0?ooo`0I0?ooo`030?oo003oool0oooo00T0oooo00<0ool00?ooo`3o
ool08`3oool5000004H0oooo001L0?ooo`030000003oool0oooo0?l0ooooOP3oool20?oo01h0oooo
00<0ool00?ooo`3oool03`3oool00`3oo`00oooo0?ooo`0C0?ooo`030?oo003oool0oooo0180oooo
00<0ool00?ooo`3oool04P3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0oooo07D0oooo
00<0ool00?ooo`3oool03@3oool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo01L0oooo
00<0ool00?ooo`3oool02`3oool00`3oo`00oooo0?ooo`0H0?ooo`030?oo003oool0oooo00/0oooo
00<0ool00?ooo`3oool09P3oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?oo
o`3o0?oooih0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003o
ool0oooo0180oooo00<0ool00?ooo`3oool04`3oool00`3oo`00oooo0?ooo`0=0?ooo`030?oo003o
ool0oooo07L0oooo00<0ool00?ooo`3oool02P3oool20?oo01@0oooo00<0ool00?ooo`3oool05P3o
ool00`3oo`00oooo0?ooo`0;0?ooo`030?oo003oool0oooo01P0oooo00<0ool00?ooo`3oool02`3o
ool00`3oo`00oooo0?ooo`0V0?ooo`030000003oool0oooo04@0oooo001L0?ooo`030000003oool0
oooo0?l0ooooW`3oool20?oo00d0oooo00<0ool00?ooo`3oool05P3oool00`3oo`00oooo0?ooo`0@
0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool03@3oool00`3oo`00oooo0?ooo`1h
0?ooo`80ool02@3oool00`3oo`00oooo0?ooo`0D0?ooo`030?oo003oool0oooo01D0oooo00<0ool0
0?ooo`3oool03@3oool00`3oo`00oooo0?ooo`0G0?ooo`030?oo003oool0oooo00`0oooo00<0ool0
0?ooo`3oool09@3oool00`000000oooo0?ooo`140?ooo`00G03oool500000?l0ooooW`3oool00`3o
o`00oooo0?ooo`0:0?ooo`030?oo003oool0oooo01L0oooo00<0ool00?ooo`3oool03P3oool00`3o
o`00oooo0?ooo`0F0?ooo`80ool02`3oool20?oo07d0oooo0P3oo`050?ooo`80ool0603oool00`3o
o`00oooo0?ooo`0C0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool05`3oool00`3o
o`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo0240oooo1@0000160?ooo`00G03oool00`000000
oooo0?ooo`3o0?oooj80oooo00<0ool00?ooo`3oool01`3oool20?oo01/0oooo00<0ool00?ooo`3o
ool0303oool00`3oo`00oooo0?ooo`0I0?ooo`80ool01`3oool20?oo0840oooo0P3oo`000`3oool0
ool00?oo000J0?ooo`030?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00
oooo0?ooo`0F0?ooo`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool0903oool00`000000
oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`3o0?oooj<0oooo0P3oo`030?ooo`@0ool0
7@3oool00`3oo`00oooo0?ooo`0:0?ooo`80ool07P3oool20?oo00<0oooo0P3oo`250?ooo`030?oo
003oool0oooo01/0oooo00<0ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo
003oool0oooo01H0oooo00<0ool00?ooo`3oool03P3oool00`3oo`00oooo0?ooo`0T0?ooo`030000
003oool0oooo04@0oooo001L0?ooo`D00000o`3ooonS0?ooo`<0ool08P3oool00`3oo`00oooo0?oo
o`080?ooo`030?oo003oool0oooo0200oooo0`3oo`2U0?ooo`030?oo003oool0oooo0100oooo00<0
ool00?ooo`3oool04@3oool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo00l0oooo00<0
ool00?ooo`3oool07`3oool5000004H0oooo001L0?ooo`030000003oool0oooo0?l0oooob`3oool4
0?oo00D0oooo00<0ool00?ooo`3oool0bP3oool00`3oo`00oooo0?ooo`0?0?ooo`030?oo003oool0
oooo0140oooo00<0ool00?ooo`3oool05@3oool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0
oooo0280oooo00<000000?ooo`3oool0A03oool005`0oooo1@00003o0?ooold0oooo1@3oo`3=0?oo
o`030?oo003oool0oooo00h0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00oooo0?ooo`0D0?oo
o`030?oo003oool0oooo0140oooo00<0ool00?ooo`3oool07P3oool5000004H0oooo001L0?ooo`03
0000003oool0oooo0?l0ooooo`3ooonS0?ooo`80ool03@3oool00`3oo`00oooo0?ooo`0D0?ooo`03
0?oo003oool0oooo01<0oooo00<0ool00?ooo`3oool04P3oool00`3oo`00oooo0?ooo`0Q0?ooo`03
0000003oool0oooo04@0oooo001L0?ooo`030000003oool0oooo0?l0ooooo`3ooonU0?ooo`030?oo
003oool0oooo00X0oooo00<0ool00?ooo`3oool05@3oool00`3oo`00oooo0?ooo`0B0?ooo`030?oo
003oool0oooo0180oooo00<0ool00?ooo`3oool08@3oool00`000000oooo0?ooo`140?ooo`00CP3o
ool2000000`0oooo1@00003o0?ooool0ooooY03oool00`3oo`00oooo0?ooo`070?ooo`80ool06@3o
ool00`3oo`00oooo0?ooo`0@0?ooo`030?oo003oool0oooo01@0oooo00<0ool00?ooo`3oool0703o
ool5000000/0oooo0P00000i0?ooo`00C@3oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo0?l0ooooo`3ooonW0?ooo`80ool00`3oool40?oo01`0oooo00<0ool00?ooo`3oool03P3o
ool00`3oo`00oooo0?ooo`0E0?ooo`030?oo003oool0oooo0200oooo00<000000?ooo`3oool0203o
ool010000000oooo0?ooo`00000h0?ooo`00C@3oool010000000oooo0?ooo`00000;0?ooo`T00000
o`3ooooo0?oooj<0oooo0`3oo`0Q0?ooo`030?oo003oool0oooo00`0oooo00<0ool00?ooo`3oool0
5`3oool00`3oo`00oooo0?ooo`0<0?ooo`030?oo003oool0oooo00P0oooo2@00000:0?ooo`040000
003oool0oooo000003P0oooo001=0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooolh0oooo00<0ool00?ooo`3oool02@3oool20?oo01/0oooo0P3oo`0:0?ooo`80
ool04`3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000003P0oooo001=0?ooo`04
0000003oool0oooo000000/0oooo00<000000?ooo`3oool0o`3ooooo0?oooll0oooo00<0ool00?oo
o`3oool01`3oool00`3oo`00oooo0?ooo`0M0?ooo`80ool01P3oool20?oo01D0oooo00<000000?oo
o`3oool0203oool010000000oooo0?ooo`00000h0?ooo`00CP3oool2000000`0oooo00<000000?oo
o`3oool0o`3ooooo0?ooom00oooo103oo`040?ooo`030?oo003oool0oooo0200oooo0P3oo`020?oo
o`80ool05`3oool00`000000oooo0?ooo`090?ooo`800000>@3oool005`0oooo00<000000?ooo`3o
ool0o`3ooooo0?ooom@0oooo103oo`0U0?ooo`80ool06@3oool00`000000oooo0?ooo`140?ooo`00
G03oool00`000000oooo0?ooo`3o0?ooool0ooooo`3ooolI0?ooo`030000003oool0oooo04@0oooo
001L0?ooo`030000003oool0oooo0?l0ooooo`3ooooo0?oooaT0oooo00<000000?ooo`3oool0A03o
ool005`0oooo00<000000?ooo`3oool0o`3ooooo0?ooool0oooo6@3oool00`000000oooo0?ooo`14
0?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo09D0oooo00<000000?oo
o`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`030000003oool0oooo09H0oooo00<000000?oo
o`3oool0U@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo04@0oooo001L0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`2F0?ooo`03
0000003oool0oooo09D0oooo00<000000?ooo`3oool0UP3oool00`000000oooo0?ooo`2E0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool005`0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
8`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`140?ooo`00G03oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo02<0oooo00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo04@0oooo001L0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0A03oool0
05`0ooooo`00003o00000?l000007@0000160?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0oooo
o`3ooooo0?oookl0oooo003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool0
0?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo
_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?oo
ool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?oooi@0oooo1@00001=0?ooo`030000
003oool0oooo05X0oooo00<000000?ooo`3oool0o`3ooomh0?ooo`00o`3ooonG0?ooo`030000003o
ool0oooo04/0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`3o0?ooogL0oooo003o
0?oooiP0oooo00<000000?ooo`3oool0BP3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0
oooo0?l0ooooM`3oool00?l0ooooS03oool5000000L0oooo00<000000?ooo`3oool01@3oool50000
00D0oooo10000000103oool000000000003oool3000000040?ooo`00000000000?ooo`8000000P3o
ool7000000D0oooo0`0000000`3oool00000000000040?ooo`@000003@3oool00`000000oooo0?oo
o`040?ooo`<000000P3oool3000000@0oooo0`000000103oool000000000003oool3000000040?oo
o`00000000000?ooo`800000103oool4000000D0oooo1@0000040?ooo`L000000`3oool6000000H0
oooo1@0000030?ooo`<000000P3oool300000080oooo00<000000?ooo`3oool0o`3ooomf0?ooo`00
o`3ooon=0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`0000001`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000030?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0?oo
o`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool0oooo0P0000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo
0?ooo`3oool000000?l0ooooN03oool00?l0ooooS@3oool00`000000oooo0?ooo`070?ooo`030000
003oool0000000L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`050000
003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool000000180oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
2P3oool01@000000oooo0?ooo`3oool0000000X0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool000000?l0ooooN03oool00?l0ooooS@3oool5000000@0oooo00D000000?ooo`3o
ool0oooo000000060?ooo`030000003oool0oooo00H0oooo1P0000030?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00<0oooo00@000000?ooo`3oool0oooo1`00000<0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D0
00000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo000000<0oooo1`0000050?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool5000000@0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000o`3ooomh0?oo
o`00o`3ooon=0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000030?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0
00000080oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3o
ool000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000o`3ooomh
0?ooo`00o`3ooon=0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000001@3oool0
0`000000oooo0?ooo`030?ooo`<000001P3oool00`000000oooo0?ooo`020?ooo`040000003oool0
oooo0?ooo`80000000D0oooo000000000000oooo000000060?ooo`030000003oool0oooo00D0oooo
00@000000?ooo`3oool0oooo0P0000040?ooo`050000003oool0oooo0?ooo`0000003@3oool00`00
0000oooo0?ooo`050?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool0oooo0P0000001@3oool000000000003oool0000000@0oooo00D0
00000?ooo`3oool0oooo000000060?ooo`<00000203oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo0P0000030?ooo`800000
0`3oool01@000000oooo0?ooo`3oool000000?l0ooooN03oool00?l0ooooS@3oool00`000000oooo
0?ooo`020?ooo`030000003oool00000008000000`3oool3000000<0oooo0P0000020?ooo`<00000
103oool4000000<0oooo0P0000001@3oool000000?ooo`3oool0000000D0oooo0`0000080?ooo`<0
000000<0oooo0000003oool0103oool3000000h0oooo00<000000?ooo`3oool0103oool200000004
0?ooo`0000000000000000@0oooo0P0000030?ooo`8000000P3oool2000000050?ooo`000000oooo
0?ooo`0000001P3oool3000000H0oooo0P0000020?ooo`<000000`3oool3000000L0oooo10000000
0`3oool000000?ooo`040?ooo`@0000000<0oooo0000003oool00P3oool00`000000oooo00000002
000000@0oooo00<000000?ooo`3oool0o`3ooomf0?ooo`00o`3ooon=0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
05@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?ooogL0oooo003o0?oooh`0
oooo1P00000k0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0E03oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo0?l0ooooM`3oool00?l0oooo`03oool00`000000oooo
0?ooo`090?ooo`800000603oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01P0oooo
0P0000060?ooo`030000003oool0oooo0?l0ooooN03oool00?l0oooo`03oool00`000000oooo0?oo
o`1M0?ooo`030000003oool0oooo0?l0ooooV`3oool00?l0ooooo`3ooooo0?oookl0oooo003o0?oo
ool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oookl0oooo
003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3ooooo0?oo
okl0oooo003o0?ooool0ooooo`3ooono0?ooo`00o`3ooooo0?ooool0oooo_`3oool00?l0ooooo`3o
oooo0?oookl0oooo003o0?ooool0ooooo`3ooono0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 955}, {477, 0}} -> {-1.05111, -0.525006, 0.00220128, \
0.00220128}, {{23.1875, 931.75}, {465.625, 11.3125}} -> {-13.6599, -9.42959, \
0.131175, 0.0220652}, {{745.5, 868.125}, {420.188, 329.313}} -> {-20.5274, \
-3.85419, 0.0274009, 0.0660556}, {{752.063, 788.563}, {417.438, 402.25}} -> \
{-101.441, -8.84371, 0.131689, 0.131689}, {{752.063, 788.563}, {399.875, \
384.688}} -> {-101.441, -11.1565, 0.131689, 0.131689}, {{752.063, 788.563}, \
{382.313, 367.125}} -> {-101.441, -13.4693, 0.131689, 0.131689}, {{752.063, \
788.563}, {364.75, 349.563}} -> {-101.441, -15.7821, 0.131689, 0.131689}, \
{{752.063, 788.563}, {347.188, 332}} -> {-101.441, -18.0948, 0.131689, \
0.131689}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 32, 0, 53, "Section"],
Cell[1774, 53, 50, 1, 30, "Input"],
Cell[1827, 56, 51, 0, 33, "Text"],
Cell[1881, 58, 150, 4, 30, "Input"],
Cell[2034, 64, 53, 0, 33, "Text"],
Cell[2090, 66, 156, 4, 30, "Input"],
Cell[2249, 72, 53, 0, 33, "Text"],
Cell[2305, 74, 147, 4, 30, "Input"],
Cell[2455, 80, 63, 0, 33, "Text"],
Cell[2521, 82, 176, 4, 30, "Input"],
Cell[2700, 88, 61, 0, 33, "Text"],
Cell[2764, 90, 1054, 31, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3855, 126, 65, 0, 69, "Title"],

Cell[CellGroupData[{
Cell[3945, 130, 31, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[4001, 134, 36, 0, 47, "Subsection"],
Cell[4040, 136, 69, 0, 33, "Text"],
Cell[4112, 138, 413, 10, 70, "Input"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4574, 154, 32, 0, 33, "Section"],
Cell[4609, 156, 174, 4, 52, "Text"],
Cell[4786, 162, 4416, 98, 270, "Input"],
Cell[9205, 262, 83, 1, 33, "Text"],
Cell[9291, 265, 3307, 66, 230, "Input"],
Cell[12601, 333, 83, 1, 33, "Text"],
Cell[12687, 336, 1977, 44, 170, "Input"],
Cell[14667, 382, 245, 5, 52, "Text"],
Cell[14915, 389, 2423, 56, 190, "Input"],
Cell[17341, 447, 62, 0, 33, "Text"],
Cell[17406, 449, 1118, 22, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18561, 476, 40, 0, 33, "Section"],
Cell[18604, 478, 171, 4, 52, "Text"],
Cell[18778, 484, 1145, 23, 250, "Input"],
Cell[19926, 509, 134, 3, 52, "Text"],
Cell[20063, 514, 732, 16, 170, "Input"],
Cell[20798, 532, 171, 4, 52, "Text"],
Cell[20972, 538, 468, 11, 70, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21477, 554, 54, 0, 33, "Section"],
Cell[21534, 556, 98, 2, 33, "Text"],
Cell[21635, 560, 357, 5, 51, "Text"],
Cell[21995, 567, 170, 3, 33, "Text"],
Cell[22168, 572, 767, 15, 130, "Input"],
Cell[22938, 589, 142, 3, 52, "Text"],
Cell[23083, 594, 614, 13, 130, "Input"],
Cell[23700, 609, 186, 4, 52, "Text"],
Cell[23889, 615, 596, 13, 130, "Input"],
Cell[24488, 630, 128, 3, 52, "Text"],
Cell[24619, 635, 507, 12, 110, "Input"],
Cell[25129, 649, 236, 4, 52, "Text"],
Cell[25368, 655, 1006, 20, 210, "Input"],
Cell[26377, 677, 335, 6, 52, "Text"],
Cell[26715, 685, 893, 18, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[27645, 708, 46, 0, 33, "Section"],
Cell[27694, 710, 246, 6, 52, "Text"],
Cell[27943, 718, 1106, 23, 250, "Input"],
Cell[29052, 743, 251, 6, 52, "Text"],
Cell[29306, 751, 713, 15, 130, "Input"],
Cell[30022, 768, 239, 5, 52, "Text"],
Cell[30264, 775, 4347, 86, 390, "Input"],
Cell[34614, 863, 211, 5, 52, "Text"],
Cell[34828, 870, 11602, 213, 810, "Input"],
Cell[46433, 1085, 293, 4, 52, "Text"],
Cell[46729, 1091, 869, 19, 170, "Input"],
Cell[47601, 1112, 387, 10, 52, "Text"],
Cell[47991, 1124, 716, 15, 130, "Input"],
Cell[48710, 1141, 216, 4, 52, "Text"],
Cell[48929, 1147, 986, 21, 210, "Input"],
Cell[49918, 1170, 229, 5, 52, "Text"],
Cell[50150, 1177, 1269, 25, 270, "Input"],
Cell[51422, 1204, 182, 4, 52, "Text"],
Cell[51607, 1210, 922, 19, 210, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[52566, 1234, 31, 0, 33, "Section"],
Cell[52600, 1236, 69, 0, 33, "Text"],
Cell[52672, 1238, 346, 9, 70, "Input"],
Cell[53021, 1249, 400, 8, 52, "Text"],
Cell[53424, 1259, 126, 2, 44, "Text"],
Cell[53553, 1263, 649, 14, 110, "Input"],
Cell[54205, 1279, 139, 3, 33, "Text"],
Cell[54347, 1284, 206, 4, 32, "Text"],
Cell[54556, 1290, 1034, 20, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[55627, 1315, 37, 0, 33, "Section"],
Cell[55667, 1317, 86, 1, 33, "Text"],
Cell[55756, 1320, 738, 15, 190, "Input"],
Cell[56497, 1337, 108, 3, 33, "Text"],
Cell[56608, 1342, 689, 14, 130, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[57334, 1361, 44, 0, 33, "Section"],
Cell[57381, 1363, 317, 6, 52, "Text"],
Cell[57701, 1371, 8252, 173, 670, "Input"],
Cell[65956, 1546, 151, 4, 52, "Text"],
Cell[66110, 1552, 126, 2, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[66273, 1559, 121, 1, 33, "Section"],
Cell[66397, 1562, 274, 6, 71, "Text"],
Cell[66674, 1570, 5893, 114, 915, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[72604, 1689, 44, 0, 33, "Section"],
Cell[72651, 1691, 195, 5, 52, "Text"],
Cell[72849, 1698, 2083, 45, 250, "Input"],
Cell[74935, 1745, 171, 3, 33, "Text"],
Cell[75109, 1750, 715, 14, 110, "Input"],
Cell[75827, 1766, 524, 12, 204, "Text"],
Cell[76354, 1780, 74783, 1409, 3890, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[151174, 3194, 134, 2, 33, "Section"],
Cell[151311, 3198, 342, 6, 52, "Text"],
Cell[151656, 3206, 1262, 27, 250, "Input"],
Cell[152921, 3235, 403, 7, 71, "Text"],
Cell[153327, 3244, 1394, 29, 250, "Input"],
Cell[154724, 3275, 333, 6, 71, "Text"],
Cell[155060, 3283, 9012, 174, 1235, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[164109, 3462, 38, 0, 33, "Section"],
Cell[164150, 3464, 374, 7, 52, "Text"],
Cell[164527, 3473, 1782, 33, 330, "Input"],
Cell[166312, 3508, 127, 3, 33, "Text"],
Cell[166442, 3513, 1870, 37, 390, "Input"],
Cell[168315, 3552, 362, 7, 52, "Text"],
Cell[168680, 3561, 1088, 21, 210, "Input"],
Cell[169771, 3584, 114, 3, 33, "Text"],
Cell[169888, 3589, 642, 13, 130, "Input"],
Cell[170533, 3604, 403, 10, 128, "Text"],
Cell[170939, 3616, 898, 18, 130, "Input"],
Cell[171840, 3636, 149, 3, 33, "Text"],
Cell[171992, 3641, 1066, 24, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[173095, 3670, 34, 0, 33, "Section"],
Cell[173132, 3672, 92, 2, 33, "Text"],
Cell[173227, 3676, 674, 14, 110, "Input"],
Cell[173904, 3692, 934, 18, 230, "Input"],
Cell[174841, 3712, 346, 6, 90, "Input"],
Cell[175190, 3720, 388, 7, 90, "Input"],
Cell[175581, 3729, 824, 16, 170, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[176442, 3750, 32, 0, 33, "Section"],
Cell[176477, 3752, 109, 3, 33, "Text"],
Cell[176589, 3757, 1505, 31, 250, "Input"],
Cell[178097, 3790, 595, 13, 204, "Text"],
Cell[178695, 3805, 19551, 417, 1550, "Input"],
Cell[198249, 4224, 177, 8, 33, "Text"],
Cell[198429, 4234, 1062, 23, 210, "Input"],
Cell[199494, 4259, 174, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[199693, 4266, 9581, 181, 1375, "Input"],
Cell[209277, 4449, 250615, 4661, 486, 29966, 1932, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

